BeginPackage["LinksGouldExplorer`"];

LGEDirectory = Directory[]; 

SetDirectory[LGEDirectory]; 

LinksGouldExplorer::usage = "
  LinksGouldExplorer is a package which implements calculations
  involving the Links--Gould quantum link invariants.
";

EndPackage[];

(* ------------------------------------------------------------------ *)

(* General  *) 
 Get["Functions/Formats.m"]; 
 Get["Functions/q-Expressions.m"]; 


(* Algebra *)

Get["Functions/glmn.m"];
 Get["Functions/Uqglmn.m"]; 

(* Representation theory *)

Get["Functions/Representations.m"];
 Get["Functions/Tensor Product Representations.m"];



(* Symbolic `linear Algebra' and polynomials *)
Get["Functions/Sparse Tensors.m"];
Get["Functions/Laurent Polynomials.m"]; 


(* HTW data for prime knots *)
Get["Functions/HTW Prime Knots.m"];
Get["Functions/Braids.m"];



(* Special classes of links *)
Get["Functions/Two-Bridge Knots.m"];
Get["Functions/Torus Knots.m"];


(* Link-invariants: state model parameter construction and evaluation *) 
 Get["Functions/State Model Parameters.m"];
Get["Functions/Z Algorithms.m"];


(* The Links--Gould invariants *)
Get["Functions/Links--Gould Invariants.m"];

(* ----------------------------------------------------------------- *)







