(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.2'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[   2901913,     106888]*)
(*NotebookOutlinePosition[   2904422,     106958]*)
(*  CellTagsIndexPosition[   2903906,     106943]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[TextData[{
  "\t",
  StyleBox["KnotTheorybyComputer ",
    FontSlant->"Italic"],
  "\n\tusing MathLink\n\t\n\t***KNOT2000 (K2K)***\n\t      Version 1.3.3\t"
}], "Title"],

Cell["\<\
Mitsuyuki Ochiai: ochiai@ics.nara-wu.ac.jp
Noriko Imafuji Yasui: n.imafuji.yasui@insightbb.com\
\>", "Subtitle"],

Cell[TextData[StyleBox["Graduate school of human culture\nNara Women's \
University, 630-8506,\nNara, Japan",
  FontSize->18,
  FontSlant->"Italic"]], "Subsubtitle"],

Cell["", "Subsubtitle"],

Cell[CellGroupData[{

Cell["Introduction", "Section"],

Cell[TextData[{
  "In order to work with the program",
  StyleBox[" LinKnot",
    FontWeight->"Bold"],
  " you have two options:"
}], "Text"],

Cell[TextData[{
  "1) Set the current working directory to ",
  StyleBox["LinKnotKT",
    FontWeight->"Bold"],
  ". Load the program ",
  StyleBox["LinKnots`  ",
    FontWeight->"Bold"],
  "that will automaticaly load ",
  StyleBox["KnotsByComputer` ",
    FontWeight->"Bold"]
}], "Text"],

Cell[BoxData[{
    \(\(SetDirectory["\<C:\\LinKnot\>"];\)\), "\[IndentingNewLine]", 
    \(<< LinKnots`\)}], "Input"],

Cell[TextData[{
  "2) In order to use all the functions from ",
  StyleBox["the section ",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["Working with KnotTheory`",
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" and work together with",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" LinKnot ",
    FontWeight->"Bold",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["and ",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KnotTheory`",
    FontWeight->"Bold",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[", you  need to downlad ",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KnotTheory`",
    FontWeight->"Bold",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" from \
http://katlas.math.toronto.edu/wiki/The_Mathematica_Package_KnotTheory and \
run it togther with ",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["LinKnot`",
    FontWeight->"Bold",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[". ",
    FontVariations->{"CompatibilityType"->0}],
  "For the detailed explanation of all functions from the program ",
  StyleBox["KnotTheory'",
    FontWeight->"Bold"],
  StyleBox[" please see ",
    FontVariations->{"CompatibilityType"->0}],
  "the manual: \
http://katlas.math.toronto.edu/wiki/The_Mathematica_Package_KnotTheory\nAfter \
installing",
  StyleBox[" KnotTheory`",
    FontWeight->"Bold"],
  ", set the current working directory to ",
  StyleBox["LinKnot",
    FontWeight->"Bold"],
  ". Load the program ",
  StyleBox["LinKnots`  ",
    FontWeight->"Bold"],
  "that will automaticaly load ",
  StyleBox["KnotsByComputer`",
    FontWeight->"Bold"],
  ", In order to work together with the program ",
  StyleBox["KnotTheory`",
    FontWeight->"Bold"],
  " fix the ",
  StyleBox["path to ",
    FontSlant->"Italic"],
  StyleBox["KnotTheory",
    FontWeight->"Bold"],
  StyleBox[".",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" ",
    FontVariations->{"CompatibilityType"->0}],
  "In this case you will be able to work with the conversion functions to ",
  StyleBox["KnotTheory`",
    FontWeight->"Bold"],
  ", selected functions from ",
  StyleBox["KnotTheory`",
    FontWeight->"Bold"],
  " included in this file (in ",
  StyleBox["the section",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" ",
    FontSlant->"Italic",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["Working with ",
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KnotTheory`",
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" ",
    FontVariations->{"CompatibilityType"->0}],
  "), and all other functions from ",
  StyleBox["KnotTheory' ",
    FontWeight->"Bold"],
  "that are not included. For the instructions how to use the complete \
program ",
  StyleBox["KnotTheory`",
    FontWeight->"Bold"],
  " please  visit the page: ",
  StyleBox[" \
http://katlas.math.toronto.edu/wiki/The_Mathematica_Package_KnotTheory",
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(SetDirectory["\<C:\\LinKnot\>"];\)\), "\[IndentingNewLine]", 
    \(<< LinKnots`\), "\n", 
    \(\(AppendTo[$Path, "\<C:\\\>"];\)\), "\[IndentingNewLine]", 
    \(<< KnotTheory`\)}], "Input"],

Cell[BoxData[
    \("Loading KnotTheory` version of March 31, 2006, 19:28:53.6735.\nRead \
more at http://katlas.math.toronto.edu/wiki/KnotTheory."\)], "Print"]
}, Open  ]],

Cell[TextData[{
  "\n",
  StyleBox["All functions & external programs",
    FontSize->18,
    FontWeight->"Bold"]
}], "Subsection"],

Cell[TextData[{
  "This table confirms the names of functions and the corresponding external \
programs. All of these external programs need to be placed in ",
  StyleBox["Knot2000",
    FontWeight->"Bold"],
  ". \n\n",
  Cell[BoxData[GridBox[{
          {
            StyleBox[\(Functions\ in\ Mathematica\),
              FontFamily->"Arial",
              FontWeight->"Bold"], 
            StyleBox[\(External\ Programs\),
              FontFamily->"Arial",
              FontWeight->"Bold"]},
          {
            StyleBox[
              RowBox[{
                StyleBox["GetPdatabyTracking",
                  FontWeight->"Bold"], 
                StyleBox["[",
                  FontWeight->"Bold"], 
                RowBox[{"(", 
                  StyleBox["PLdataFileName",
                    FontSlant->"Italic"], 
                  StyleBox[")",
                    FontSlant->"Italic"]}], 
                StyleBox["]",
                  FontWeight->"Bold"]}],
              FontFamily->"Arial"], 
            StyleBox[\(MouseTracking . exe\),
              FontFamily->"Arial"]},
          {
            StyleBox[
              RowBox[{
                StyleBox["ShowKnotfromPdata",
                  FontWeight->"Bold"], 
                StyleBox["[",
                  FontWeight->"Bold"], 
                StyleBox["Pdata",
                  FontSlant->"Italic"], 
                StyleBox["]",
                  FontWeight->"Bold"]}],
              FontFamily->"Arial"], 
            StyleBox[\(DrawKnot . exe\),
              FontFamily->"Arial"]},
          {
            StyleBox[
              RowBox[{
                StyleBox["ShowKnotbyOpengl",
                  FontWeight->"Bold"], 
                StyleBox["[",
                  FontWeight->"Bold"], 
                StyleBox["Pdata",
                  FontSlant->"Italic"], 
                StyleBox["]",
                  FontWeight->"Bold"]}],
              FontFamily->"Arial"], 
            StyleBox[
              RowBox[{\(KnotOgl . exe\), "  ", 
                StyleBox["*",
                  FontWeight->"Bold"], 
                StyleBox["1",
                  FontWeight->"Bold"]}],
              FontFamily->"Arial"]},
          {
            StyleBox[
              RowBox[{
                StyleBox["ShowKnotFromFile",
                  FontWeight->"Bold"], 
                StyleBox["[",
                  FontWeight->"Bold"], 
                StyleBox["PdataFileName",
                  FontSlant->"Italic"], 
                StyleBox["]",
                  FontWeight->"Bold"]}],
              FontFamily->"Arial"], 
            StyleBox[\(\(*\)\(2\)\),
              FontFamily->"Arial",
              FontWeight->"Bold"]},
          {
            StyleBox[
              RowBox[{
                StyleBox["KnotFromBraid",
                  FontWeight->"Bold"], 
                StyleBox["[",
                  FontWeight->"Bold"], 
                StyleBox["Bword",
                  FontWeight->"Plain",
                  FontSlant->"Italic"], 
                StyleBox["]",
                  FontWeight->"Bold"]}],
              FontFamily->"Arial"], 
            StyleBox[\(BwordToPword . exe\),
              FontFamily->"Arial"]},
          {
            StyleBox[
              RowBox[{
                StyleBox["GetBraidRep",
                  FontWeight->"Bold"], 
                StyleBox["[",
                  FontWeight->"Bold"], 
                StyleBox[
                  RowBox[{
                    StyleBox["P",
                      FontSlant->"Italic"], 
                    StyleBox["data",
                      FontWeight->"Plain",
                      FontSlant->"Italic"]}]], 
                StyleBox["]",
                  FontWeight->"Bold"]}],
              FontFamily->"Arial"], 
            StyleBox[\(BraidFromSc2 . exe\),
              FontFamily->"Arial"]},
          {
            StyleBox[
              RowBox[{
                StyleBox["ShowBraid",
                  FontWeight->"Bold"], 
                StyleBox["[",
                  FontWeight->"Bold"], 
                StyleBox["Bword",
                  FontWeight->"Plain",
                  FontSlant->"Italic"], 
                StyleBox["]",
                  FontWeight->"Bold"]}],
              FontFamily->"Arial"], 
            StyleBox["\[Placeholder]",
              FontFamily->"Arial"]},
          {
            StyleBox[
              RowBox[{
                StyleBox["ReductionKnotLink",
                  FontWeight->"Bold"], 
                StyleBox["[",
                  FontWeight->"Bold"], 
                StyleBox[
                  RowBox[{
                    StyleBox["P",
                      FontSlant->"Italic"], 
                    StyleBox["data",
                      FontWeight->"Plain",
                      FontSlant->"Italic"]}]], 
                StyleBox["]",
                  FontWeight->"Bold"]}],
              FontFamily->"Arial"], 
            StyleBox[\(KnotLinkReduction . exe\),
              FontFamily->"Arial"]},
          {
            StyleBox[
              RowBox[{
                StyleBox["SkeinPolynomial",
                  FontWeight->"Bold"], 
                StyleBox["[",
                  FontWeight->"Bold"], 
                StyleBox[\(type, Pdata\),
                  FontWeight->"Plain",
                  FontSlant->"Italic"], 
                StyleBox["]",
                  FontWeight->"Bold"]}],
              FontFamily->"Arial"], 
            StyleBox[\(JonesPol . exe\),
              FontFamily->"Arial"]},
          {
            StyleBox[
              RowBox[{
                StyleBox["KauffmanPolynomial",
                  FontWeight->"Bold"], 
                StyleBox["[",
                  FontWeight->"Bold"], 
                StyleBox["Pdata",
                  FontSlant->"Italic"], 
                StyleBox["]",
                  FontWeight->"Bold"]}],
              FontFamily->"Arial"], 
            StyleBox[\(KauffmanPol . exe\),
              FontFamily->"Arial"]},
          {
            StyleBox[
              RowBox[{
                StyleBox["AlexanderPolynomialbyBurauRep",
                  FontWeight->"Bold"], 
                StyleBox["[",
                  FontWeight->"Bold"], 
                StyleBox["Bword",
                  FontWeight->"Plain",
                  FontSlant->"Italic"], 
                StyleBox["]",
                  FontWeight->"Bold"]}],
              FontFamily->"Arial"], 
            StyleBox[\(BurauAlexPol . exe\),
              FontFamily->"Arial"]},
          {
            RowBox[{
              StyleBox["ThreeParallelPolynomialInvariant",
                FontFamily->"Arial",
                FontWeight->"Bold"], 
              StyleBox["[",
                FontFamily->"Arial",
                FontWeight->"Bold"], 
              StyleBox["Bword",
                FontFamily->"Arial",
                FontWeight->"Plain",
                FontSlant->"Italic"], 
              StyleBox["]",
                FontFamily->"Arial",
                FontWeight->"Bold"]}], 
            StyleBox[
              RowBox[{\(ParallelLink . exe\), "  ", 
                StyleBox["*",
                  FontWeight->"Bold"], 
                StyleBox["3",
                  FontWeight->"Bold"]}],
              FontFamily->"Arial"]},
          {
            StyleBox[
              RowBox[{
                StyleBox["JonesPolynomialbyBraid",
                  FontWeight->"Bold"], 
                StyleBox["[",
                  FontWeight->"Bold"], 
                StyleBox["Bword",
                  FontWeight->"Plain",
                  FontSlant->"Italic"], 
                StyleBox["]",
                  FontWeight->"Bold"]}],
              FontFamily->"Arial"], 
            StyleBox[\(BraidRep . exe\),
              FontFamily->"Arial"]},
          {
            StyleBox[
              RowBox[{
                StyleBox["SkeinPolynomialFromFile",
                  FontWeight->"Bold"], 
                StyleBox["[",
                  FontWeight->"Bold"], 
                StyleBox["PdataFileName",
                  FontSlant->"Italic"], 
                StyleBox["]",
                  FontWeight->"Bold"]}],
              FontFamily->"Arial"], 
            StyleBox[\(\(*\)\(4\)\),
              FontFamily->"Arial",
              FontWeight->"Bold"]},
          {
            StyleBox[
              RowBox[{
                StyleBox["JonesPolynomialbyBraidFromFile",
                  FontWeight->"Bold"], 
                StyleBox["[",
                  FontWeight->"Bold"], 
                StyleBox["BwordFileName",
                  FontSlant->"Italic"], 
                StyleBox["]",
                  FontWeight->"Bold"]}],
              FontFamily->"Arial"], 
            StyleBox[\(\(*\)\(5\)\),
              FontFamily->"Arial",
              FontWeight->"Bold"]}
          },
        GridFrame->True,
        RowLines->True,
        ColumnLines->True]]],
  "\n\n",
  StyleBox["(Notice)",
    FontWeight->"Bold"],
  "\n",
  StyleBox["*1",
    FontWeight->"Bold"],
  "; ",
  StyleBox["KnotOgl.exe",
    FontWeight->"Bold"],
  " calls ",
  StyleBox["OpenGLKnot.exe",
    FontWeight->"Bold"],
  " which needs to use ",
  StyleBox["OpenGLDraw.dll",
    FontWeight->"Bold"],
  ". Be sure that these files are also placed in Knot2000.\n",
  StyleBox["*2",
    FontWeight->"Bold"],
  "; ",
  StyleBox["ShowKnotFromFile",
    FontWeight->"Bold"],
  " uses ",
  StyleBox["ShowKnotfromPdata",
    FontWeight->"Bold"],
  " which needs ",
  StyleBox["DrawKnot.exe",
    FontWeight->"Bold"],
  " as an external program. \n",
  StyleBox["*3",
    FontWeight->"Bold"],
  "; ",
  StyleBox["ParallelLink.exe",
    FontWeight->"Bold"],
  " uses a matrix placed in directory Braid_9, Braid_ 12, or Braid_15. Be \
sure that these directory are placed in Knot2000. \n",
  StyleBox["*4",
    FontWeight->"Bold"],
  "; ",
  StyleBox["SkeinPolynomialFromFile",
    FontWeight->"Bold"],
  " uses ",
  StyleBox["SkeinPolynomial",
    FontWeight->"Bold"],
  " which needs JonesPol.exe as an external program.\n",
  StyleBox["*5",
    FontWeight->"Bold"],
  "; ",
  StyleBox["JonesPolynomialbyBraidFromFile",
    FontWeight->"Bold"],
  " uses ",
  StyleBox["JonesPolynomialbyBraid",
    FontWeight->"Bold"],
  " which needs BraidRep.exe as an external program."
}], "Text"],

Cell[TextData[{
  "See the usages, before you use them. More precise information of these \
function are in ",
  StyleBox["\"Manual.nb\"",
    FontWeight->"Bold"],
  "."
}], "Text"],

Cell[BoxData[
    \(\(?GetPdatabyTracking\)\)], "Input"],

Cell[BoxData[
    \(\(?ShowKnotfromPdata\)\)], "Input"],

Cell[BoxData[
    \(\(?Graphics3DKnotfromPdata\)\)], "Input"],

Cell[BoxData[
    \(\(?ShowKnotbyOpengl\)\)], "Input"],

Cell[BoxData[
    \(\(?ShowKnotFromFile\)\)], "Input"],

Cell[BoxData[
    \(\(?KnotFromBraid\)\)], "Input"],

Cell[BoxData[
    \(\(?GetBraidRep\)\)], "Input"],

Cell[BoxData[
    \(\(?BraidWReduced\)\)], "Input"],

Cell[BoxData[
    \(\(?ShowBraid\)\)], "Input"],

Cell[BoxData[
    \(\(?ReductionKnotLink\)\)], "Input"],

Cell[BoxData[
    \(\(?SkeinPolynomial\)\)], "Input"],

Cell[BoxData[
    \(\(?KauffmanPolynomial\)\)], "Input"],

Cell[BoxData[
    \(\(?AlexanderPolynomialbyBurauRep\)\)], "Input"],

Cell[BoxData[
    \(\(?ThreeParallelPolynomialInvariant\)\)], "Input"],

Cell[BoxData[
    \(\(?JonesPolynomialbyBraid\)\)], "Input"],

Cell[BoxData[
    \(\(?SkeinPolynomialFromFile\)\)], "Input"],

Cell[BoxData[
    \(\(?JonesPolynomialbyBraidFromFile\)\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Input knots (and links)", "Section"],

Cell[TextData[{
  "To get started, you need input a knot (or link) diagram on the \
mouse-tracking window, and then get its",
  StyleBox[" ",
    FontSlant->"Italic"],
  StyleBox["P",
    FontVariations->{"CompatibilityType"->0}],
  "-data. Use the following function. Note that in this version the function \
returns back the true ",
  StyleBox["P",
    FontVariations->{"CompatibilityType"->0}],
  "-data but not the mirror image like as the version 3_1."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(pdata\  = \ GetPdatabyTracking[]\)], "Input"],

Cell[BoxData[
    \({{3}, {6, \(-1\), 2}}\)], "Output"]
}, Open  ]],

Cell[TextData[{
  "This function genarates \"",
  StyleBox["LastPLdata.pl",
    FontWeight->"Bold"],
  "\" which includes PL-data for the given knot (or link) and \"",
  StyleBox["MOUSETRACK.log",
    FontWeight->"Bold"],
  "\" which includes P-data (of file type) and PL-data. Both of these file \
are modified every time GetPdatabyTracking is called.\nIf you want to change \
something (change crossings, add other components, and so on) for the knot \
(or link) again, specify the name of its PL-data file. You can use \"",
  StyleBox["LastPLdata.pl\"",
    FontWeight->"Bold"],
  " or make a new file by referred to  \"",
  StyleBox["LastPLdata.pl\"",
    FontWeight->"Bold"],
  " or \"",
  StyleBox["MOUSETRACK.log",
    FontWeight->"Bold"],
  "\" and cutting and pasting. Note that you must not assign the file name \
MOUSETRACK.log\" as an input file name. The file has to finish by EOF (555) \
in the last line of the file. When the program will work,  you must input \"r\
\" or \"R\" for reading one next data. And also you can save the current data \
to the file \"",
  StyleBox["LastPLdata.pl\"",
    FontWeight->"Bold"],
  "  by keying \"w\" or \"W\"."
}], "Text"],

Cell[BoxData[
    \(pdata\  = \ GetPdatabyTracking["\<LastPLdata.pl\>"]\)], "Input"],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["About P-data in ",
    FontSize->18,
    FontWeight->"Bold"],
  StyleBox["Mathematica",
    FontSize->18,
    FontWeight->"Bold",
    FontSlant->"Italic"],
  StyleBox[" & PL-data",
    FontSize->18,
    FontWeight->"Bold"]
}], "Section"],

Cell[TextData[{
  "P-data is used as a data strucure representing a knot (or link). \
Originally P-data consists of 3 lines - the twice number of crossings and the \
number of components on the first line, the twice numbers of crossingsis of \
each components on the second, and P-word (mentioned later) on the third - as \
you see in MOUSETRACK.log. However, in order to deal with P-data much easier, \
we are using simplified P-data in ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  ". P-data in ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " is a list having two entries which are also lists. The first one \
indicates the number of crossings of each components, and the second is \
number of sequence derived from the knot (or link), called P-word. \nPL-data \
is the data for drawing knot (or link) diagrams. Notice that with same \
PL-data, you can obtain the same diagram, but only with P-data, you cannot \
specify its diagram itself. "
}], "Text"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Drawing knots (and links)", "Section"],

Cell["\<\
You can get a nice drawing of a knot (or link) diagram with rendering. Give \
the P-data to the following function.\
\>", "Text"],

Cell[BoxData[
    \(\(pdata = {{10}, {\(-6\), \(-8\), \ 17, \(-2\), \ 14, \ 16, \(-19\), \ 
            10, \ 5, \(-13\)}};\)\)], "Input"],

Cell["\<\
You can also get a nice drawing of a knot (or link) with rendering by OpenGL. \
Give the P-data to the following function.
Note that the function ShowKnotbyOpengl[] has not yet been implemented on \
Macintosh version. Note that you can change the outermost domain by clicking \
the left mouse button and the rotation (drugging the left mouse button) mode \
by keying the z-key in the OpenGL program and must exit from the OpenGL \
program by keying the esc-key.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ShowKnotfromPdata[pdata]\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .93767 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics3D
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0 1 -0.0311632 1 [
[ 0 0 0 0 ]
[ 1 .93767 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .93767 L
0 .93767 L
closepath
clip
newpath
.5 Mabswid
[ ] 0 setdash
.859 .867 .845 r
.61563 .58864 m .62224 .5936 L p .60812 .59731 L F P
0 g
s
.859 .867 .845 r
.62224 .5936 m .61334 .60311 L .60724 .59754 L p F P
0 g
s
.877 .865 .824 r
.63015 .58339 m .62224 .5936 L .6161 .589 L p F P
0 g
s
.877 .865 .824 r
.6161 .589 m .61563 .58864 L p .6166 .58829 L F P
0 g
s
.877 .865 .824 r
.63015 .58339 m .6161 .589 L .6166 .58829 L F
.707 .577 .707 r
.62224 .5936 m .63015 .58339 L .64535 .59268 L p F P
0 g
s
.877 .865 .824 r
.62304 .57917 m .63015 .58339 L p .6166 .58829 L F P
0 g
s
.877 .865 .824 r
.61563 .58864 m .62304 .57917 L p .6166 .58829 L F P
0 g
s
.895 .858 .798 r
.62939 .56898 m .63694 .5724 L p .62401 .5787 L F P
0 g
s
.895 .858 .798 r
.62304 .57917 m .62939 .56898 L p .62401 .5787 L F P
0 g
s
.895 .858 .798 r
.63694 .5724 m .63015 .58339 L .62304 .57917 L p F P
0 g
s
.91 .847 .769 r
.63527 .55669 m .64305 .55954 L p .63015 .56845 L F P
0 g
s
.91 .847 .769 r
.62939 .56898 m .63527 .55669 L p .63015 .56845 L F P
0 g
s
.91 .847 .769 r
.64305 .55954 m .63694 .5724 L .62939 .56898 L p F P
0 g
s
.919 .837 .749 r
.6404 .54341 m .6483 .54594 L p .63573 .5563 L F P
0 g
s
.919 .837 .749 r
.63527 .55669 m .6404 .54341 L p .63573 .5563 L F P
0 g
s
.919 .837 .749 r
.6483 .54594 m .64305 .55954 L .63527 .55669 L p F P
0 g
s
.923 .831 .736 r
.6404 .54341 m .64534 .52862 L .65316 .53137 L p F P
0 g
s
.923 .831 .736 r
.65316 .53137 m .6483 .54594 L .6404 .54341 L p F P
0 g
s
.707 .577 .707 r
.64305 .55954 m .6483 .54594 L .66519 .55158 L p F P
0 g
s
.707 .577 .707 r
.6483 .54594 m .65316 .53137 L .66994 .53735 L p F P
0 g
s
.707 .577 .707 r
.66994 .53735 m .66519 .55158 L .6483 .54594 L p F P
0 g
s
.405 .263 .572 r
.6404 .54341 m .64946 .54655 L p .6455 .52931 L F P
0 g
s
.405 .263 .572 r
.64534 .52862 m .6404 .54341 L p .6455 .52931 L F P
0 g
s
.707 .577 .707 r
.63694 .5724 m .64305 .55954 L .65968 .56594 L p F P
0 g
s
.707 .577 .707 r
.66519 .55158 m .65968 .56594 L .64305 .55954 L p F P
0 g
s
.41 .257 .561 r
.63527 .55669 m .64418 .56025 L p .64061 .54439 L F P
0 g
s
.41 .257 .561 r
.6404 .54341 m .63527 .55669 L p .64061 .54439 L F P
0 g
s
.707 .577 .707 r
.63015 .58339 m .63694 .5724 L .65303 .58003 L p F P
0 g
s
.707 .577 .707 r
.65968 .56594 m .65303 .58003 L .63694 .5724 L p F P
0 g
s
.418 .248 .542 r
.62939 .56898 m .63801 .57322 L p .63548 .55798 L F P
0 g
s
.418 .248 .542 r
.63527 .55669 m .62939 .56898 L p .63548 .55798 L F P
0 g
s
.707 .577 .707 r
.65303 .58003 m .64535 .59268 L .63015 .58339 L p F P
0 g
s
.432 .239 .517 r
.62304 .57917 m .63118 .58429 L p .62951 .57 L F P
0 g
s
.432 .239 .517 r
.6295 .56992 m .62304 .57917 L .62951 .57 L F
.62939 .56898 m .62332 .57872 L p .6295 .56992 L F P
0 g
s
.432 .239 .517 r
.62332 .57872 m .62304 .57917 L p .6295 .56992 L F P
0 g
s
.707 .577 .707 r
.61334 .60311 m .62224 .5936 L .63636 .60446 L p F P
0 g
s
.707 .577 .707 r
.64535 .59268 m .63636 .60446 L .62224 .5936 L p F P
0 g
s
.449 .234 .494 r
.61563 .58864 m .6232 .59458 L p .62305 .58006 L F P
0 g
s
.449 .234 .494 r
.62304 .57917 m .61563 .58864 L p .62305 .58006 L F P
0 g
s
.859 .867 .845 r
.60724 .59754 m .61563 .58864 L p .60812 .59731 L F P
0 g
s
.939 .789 .668 r
.68148 .43719 m .68269 .42425 L .69088 .42469 L p F P
0 g
s
.939 .789 .668 r
.69088 .42469 m .68965 .43811 L .68148 .43719 L p F P
0 g
s
.94 .779 .655 r
.69147 .4068 m .69088 .42469 L .68361 .4243 L p F P
0 g
s
.94 .779 .655 r
.69147 .4068 m .68361 .4243 L .68356 .42252 L F
.707 .581 .712 r
.69088 .42469 m .69147 .4068 L .70927 .40757 L p F P
0 g
s
.94 .779 .655 r
.68269 .42425 m .68311 .40989 L .69147 .4068 L p F P
0 g
s
.939 .809 .688 r
.69184 .39541 m .69147 .4068 L .68311 .40989 L p F P
0 g
s
.939 .809 .688 r
.68376 .3992 m .69184 .39541 L p .68353 .40919 L F P
0 g
s
.939 .809 .688 r
.68311 .40989 m .68376 .3992 L p .68353 .40919 L F P
0 g
s
.704 .608 .746 r
.69147 .4068 m .69184 .39541 L .70965 .39474 L p F P
0 g
s
.943 .79 .662 r
.69117 .38442 m .69184 .39541 L .68376 .3992 L p F P
0 g
s
.943 .79 .662 r
.68367 .38934 m .69117 .38442 L p .68425 .39822 L F P
0 g
s
.943 .79 .662 r
.68376 .3992 m .68367 .38934 L p .68425 .39822 L F P
0 g
s
.707 .61 .746 r
.69184 .39541 m .69117 .38442 L .70878 .38156 L p F P
0 g
s
.944 .76 .623 r
.68921 .37421 m .69117 .38442 L .68367 .38934 L p F P
0 g
s
.944 .76 .623 r
.68251 .38019 m .68921 .37421 L p .68403 .38836 L F P
0 g
s
.944 .76 .623 r
.68367 .38934 m .68251 .38019 L p .68403 .38836 L F P
0 g
s
.712 .614 .746 r
.69117 .38442 m .68921 .37421 L .70626 .36893 L p F P
0 g
s
.94 .722 .58 r
.68565 .36366 m .68921 .37421 L .68251 .38019 L p F P
0 g
s
.94 .722 .58 r
.67991 .37091 m .68565 .36366 L p .68274 .37897 L F P
0 g
s
.94 .722 .58 r
.68251 .38019 m .67991 .37091 L p .68274 .37897 L F P
0 g
s
.718 .619 .746 r
.68921 .37421 m .68565 .36366 L .70201 .35647 L p F P
0 g
s
.933 .689 .547 r
.68181 .35611 m .68565 .36366 L .67991 .37091 L p F P
0 g
s
.933 .689 .547 r
.67752 .36438 m .68181 .35611 L p .68003 .36998 L F P
0 g
s
.933 .689 .547 r
.67991 .37091 m .67752 .36438 L p .68003 .36998 L F P
0 g
s
.724 .625 .747 r
.68565 .36366 m .68181 .35611 L .69666 .34615 L p F P
0 g
s
.724 .625 .747 r
.69666 .34615 m .70201 .35647 L .68565 .36366 L p F P
0 g
s
.913 .631 .495 r
.67668 .34934 m .68181 .35611 L .67752 .36438 L p F P
0 g
s
.913 .631 .495 r
.67405 .35844 m .67668 .34934 L p .67747 .36341 L F P
0 g
s
.913 .631 .495 r
.67752 .36438 m .67405 .35844 L p .67747 .36341 L F P
0 g
s
.731 .628 .744 r
.68181 .35611 m .67668 .34934 L .68959 .33695 L p F P
0 g
s
.731 .628 .744 r
.68959 .33695 m .69666 .34615 L .68181 .35611 L p F P
0 g
s
.883 .568 .449 r
.67101 .34438 m .67668 .34934 L .67405 .35844 L p F P
0 g
s
.883 .568 .449 r
.67062 .35398 m .67101 .34438 L p .67386 .35755 L F P
0 g
s
.883 .568 .449 r
.67405 .35844 m .67062 .35398 L p .67386 .35755 L F P
0 g
s
.737 .629 .739 r
.67668 .34934 m .67101 .34438 L .68082 .32939 L p F P
0 g
s
.737 .629 .739 r
.68082 .32939 m .68959 .33695 L .67668 .34934 L p F P
0 g
s
.827 .481 .4 r
.66135 .3398 m .67101 .34438 L .67062 .35398 L p F P
0 g
s
.827 .481 .4 r
.67062 .35398 m .66663 .35057 L .66135 .3398 L p F P
0 g
s
.544 .66 .912 r
.67062 .35398 m .68012 .34856 L p .66742 .35045 L F P
0 g
s
.544 .66 .912 r
.66663 .35057 m .67062 .35398 L p .66742 .35045 L F P
0 g
s
.49 .589 .88 r
.67405 .35844 m .68441 .35512 L p .67101 .35401 L F P
0 g
s
.49 .589 .88 r
.67062 .35398 m .67405 .35844 L p .67101 .35401 L F P
0 g
s
.454 .531 .847 r
.67752 .36438 m .68817 .36269 L p .67498 .35872 L F P
0 g
s
.454 .531 .847 r
.67405 .35844 m .67752 .36438 L p .67498 .35872 L F P
0 g
s
.423 .474 .808 r
.67991 .37091 m .69062 .37098 L p .67764 .36445 L F P
0 g
s
.423 .474 .808 r
.67752 .36438 m .67991 .37091 L p .67764 .36445 L F P
0 g
s
.41 .433 .773 r
.68251 .38019 m .69294 .3809 L p .68092 .37168 L F P
0 g
s
.41 .433 .773 r
.67991 .37091 m .68251 .38019 L p .68092 .37168 L F P
0 g
s
.395 .393 .739 r
.68367 .38934 m .69387 .39141 L p .68312 .38079 L F P
0 g
s
.395 .393 .739 r
.68251 .38019 m .68367 .38934 L p .68312 .38079 L F P
0 g
s
.387 .358 .705 r
.68376 .3992 m .69358 .40234 L p .68399 .38975 L F P
0 g
s
.387 .358 .705 r
.68367 .38934 m .68376 .3992 L p .68399 .38975 L F P
0 g
s
.384 .337 .682 r
.68376 .3992 m .6832 .40836 L p .69261 .41377 L F P
0 g
s
.384 .337 .682 r
.6832 .40836 m .68311 .40989 L .68324 .40994 L p F P
0 g
s
.384 .337 .682 r
.68324 .40994 m .69261 .41377 L p .6832 .40836 L F P
0 g
s
.94 .779 .655 r
.68361 .4243 m .68269 .42425 L p .68356 .42252 L F P
0 g
s
.625 .245 .302 r
.59325 .08011 m .59143 .07283 L p .6195 .07829 L F P
0 g
s
.625 .245 .302 r
.59143 .07283 m .62723 .07252 L .62783 .07991 L p F P
0 g
s
.577 .211 .31 r
.55599 .0786 m .59143 .07283 L .59276 .07815 L p F P
0 g
s
.577 .211 .31 r
.59276 .07815 m .59325 .08011 L p .58537 .07979 L F P
0 g
s
.577 .211 .31 r
.55599 .0786 m .59276 .07815 L .58537 .07979 L F
.707 .577 .707 r
.59143 .07283 m .55599 .0786 L .55071 .06159 L p F P
0 g
s
.577 .211 .31 r
.55886 .08562 m .55599 .0786 L p .58537 .07979 L F P
0 g
s
.577 .211 .31 r
.59325 .08011 m .55886 .08562 L p .58537 .07979 L F P
0 g
s
.536 .188 .324 r
.52491 .09598 m .52106 .08936 L p .5508 .08641 L F P
0 g
s
.536 .188 .324 r
.55886 .08562 m .52491 .09598 L p .5508 .08641 L F P
0 g
s
.536 .188 .324 r
.52106 .08936 m .55599 .0786 L .55886 .08562 L p F P
0 g
s
.498 .172 .344 r
.48584 .10582 m .52106 .08936 L .52369 .09389 L p F P
0 g
s
.498 .172 .344 r
.52369 .09389 m .52491 .09598 L p .51557 .09833 L F P
0 g
s
.498 .172 .344 r
.48584 .10582 m .52369 .09389 L .51557 .09833 L F
.707 .578 .707 r
.52106 .08936 m .48584 .10582 L .47699 .09037 L p F P
0 g
s
.498 .172 .344 r
.49174 .1113 m .48584 .10582 L p .51557 .09833 L F P
0 g
s
.498 .172 .344 r
.52491 .09598 m .49174 .1113 L p .51557 .09833 L F P
0 g
s
.49 .166 .345 r
.46387 .11829 m .48584 .10582 L .49174 .1113 L p F P
0 g
s
.723 .583 .697 r
.48584 .10582 m .46387 .11829 L .45345 .10382 L p F P
0 g
s
.723 .583 .697 r
.45345 .10382 m .47699 .09037 L .48584 .10582 L p F P
0 g
s
.49 .166 .345 r
.47036 .12317 m .46387 .11829 L p .48827 .11217 L F P
0 g
s
.49 .166 .345 r
.49174 .1113 m .47036 .12317 L p .48827 .11217 L F P
0 g
s
.463 .158 .363 r
.44308 .1331 m .46387 .11829 L .47036 .12317 L p F P
0 g
s
.723 .581 .696 r
.46387 .11829 m .44308 .1331 L .43156 .11948 L p F P
0 g
s
.723 .581 .696 r
.43156 .11948 m .45345 .10382 L .46387 .11829 L p F P
0 g
s
.463 .158 .363 r
.44994 .13753 m .44308 .1331 L p .46771 .12414 L F P
0 g
s
.463 .158 .363 r
.47036 .12317 m .44994 .13753 L p .46771 .12414 L F P
0 g
s
.444 .156 .379 r
.42307 .14988 m .44308 .1331 L .44994 .13753 L p F P
0 g
s
.721 .579 .695 r
.44308 .1331 m .42307 .14988 L .41051 .13719 L p F P
0 g
s
.721 .579 .695 r
.41051 .13719 m .43156 .11948 L .44308 .1331 L p F P
0 g
s
.444 .156 .379 r
.43028 .15381 m .42307 .14988 L p .44724 .13877 L F P
0 g
s
.444 .156 .379 r
.44994 .13753 m .43028 .15381 L p .44724 .13877 L F P
0 g
s
.426 .155 .397 r
.40439 .1682 m .42307 .14988 L .43028 .15381 L p F P
0 g
s
.72 .577 .693 r
.42307 .14988 m .40439 .1682 L .39098 .15639 L p F P
0 g
s
.72 .577 .693 r
.39098 .15639 m .41051 .13719 L .42307 .14988 L p F P
0 g
s
.426 .155 .397 r
.41177 .17178 m .40439 .1682 L p .42815 .15499 L F P
0 g
s
.426 .155 .397 r
.43028 .15381 m .41177 .17178 L p .42815 .15499 L F P
0 g
s
.412 .156 .414 r
.38488 .19005 m .40439 .1682 L .41177 .17178 L p F P
0 g
s
.719 .576 .694 r
.40439 .1682 m .38488 .19005 L .37136 .17836 L p F P
0 g
s
.719 .576 .694 r
.37136 .17836 m .39098 .15639 L .40439 .1682 L p F P
0 g
s
.412 .156 .414 r
.39224 .19365 m .38488 .19005 L p .41142 .17202 L F P
0 g
s
.412 .156 .414 r
.41177 .17178 m .39224 .19365 L p .41142 .17202 L F P
0 g
s
.41 .156 .416 r
.36529 .21234 m .38488 .19005 L .39224 .19365 L p F P
0 g
s
.719 .576 .693 r
.38488 .19005 m .36529 .21234 L .35203 .20032 L p F P
0 g
s
.719 .576 .693 r
.35203 .20032 m .37136 .17836 L .38488 .19005 L p F P
0 g
s
.41 .156 .416 r
.39224 .19365 m .37248 .2162 L .36529 .21234 L p F P
0 g
s
.863 .833 .816 r
.39224 .19365 m .38603 .18549 L p .37272 .21567 L F P
0 g
s
.863 .833 .816 r
.37248 .2162 m .39224 .19365 L p .37272 .21567 L F P
0 g
s
.861 .833 .817 r
.41177 .17178 m .40571 .16349 L p .39376 .19024 L F P
0 g
s
.861 .833 .817 r
.39224 .19365 m .41177 .17178 L p .39376 .19024 L F P
0 g
s
.851 .834 .829 r
.43028 .15381 m .42489 .14499 L p .41312 .16902 L F P
0 g
s
.851 .834 .829 r
.41177 .17178 m .43028 .15381 L p .41312 .16902 L F P
0 g
s
.837 .834 .843 r
.44994 .13753 m .44524 .12826 L p .43181 .15119 L F P
0 g
s
.837 .834 .843 r
.43028 .15381 m .44994 .13753 L p .43181 .15119 L F P
0 g
s
.822 .831 .856 r
.47036 .12317 m .46641 .11351 L p .45209 .13439 L F P
0 g
s
.822 .831 .856 r
.44994 .13753 m .47036 .12317 L p .45209 .13439 L F P
0 g
s
.8 .825 .871 r
.49174 .1113 m .48876 .10125 L p .47073 .12274 L F P
0 g
s
.8 .825 .871 r
.4705 .12301 m .49174 .1113 L .47073 .12274 L F
.47036 .12317 m .4815 .11699 L p .4705 .12301 L F P
0 g
s
.8 .825 .871 r
.4815 .11699 m .49174 .1113 L p .4705 .12301 L F P
0 g
s
.707 .577 .707 r
.55599 .0786 m .52106 .08936 L .51356 .0732 L p F P
0 g
s
.707 .578 .707 r
.47699 .09037 m .51356 .0732 L .52106 .08936 L p F P
0 g
s
.766 .81 .888 r
.52491 .09598 m .52123 .08638 L p .49818 .10586 L F P
0 g
s
.766 .81 .888 r
.49174 .1113 m .52491 .09598 L p .49818 .10586 L F P
0 g
s
.707 .577 .707 r
.51356 .0732 m .55071 .06159 L .55599 .0786 L p F P
0 g
s
.735 .793 .899 r
.55886 .08562 m .55643 .07554 L p .53168 .09159 L F P
0 g
s
.735 .793 .899 r
.53144 .09175 m .55886 .08562 L .53168 .09159 L F
.52491 .09598 m .55824 .0858 L p .53144 .09175 L F P
0 g
s
.735 .793 .899 r
.55824 .0858 m .55886 .08562 L p .53144 .09175 L F P
0 g
s
.707 .577 .707 r
.62723 .07252 m .59143 .07283 L .58853 .05526 L p F P
0 g
s
.707 .577 .707 r
.55071 .06159 m .58853 .05526 L .59143 .07283 L p F P
0 g
s
.702 .771 .906 r
.59325 .08011 m .59215 .06972 L p .56654 .08195 L F P
0 g
s
.702 .771 .906 r
.55886 .08562 m .59325 .08011 L p .56654 .08195 L F P
0 g
s
.625 .245 .302 r
.62783 .07991 m .59325 .08011 L p .6195 .07829 L F P
0 g
s
.786 .85 .899 r
.29176 .71795 m .298 .72399 L p .28365 .72318 L F P
0 g
s
.786 .85 .899 r
.298 .72399 m .28744 .72985 L .28269 .72371 L p F P
0 g
s
.786 .85 .899 r
.28269 .72371 m .28221 .72309 L p .28353 .72317 L F P
0 g
s
.786 .85 .899 r
.298 .72399 m .28269 .72371 L .28353 .72317 L F
.29173 .71792 m .29176 .71795 L p .29132 .71819 L F P
0 g
s
.786 .85 .899 r
.28221 .72309 m .29173 .71792 L p .29132 .71819 L F P
0 g
s
.786 .85 .899 r
.28365 .72318 m .28221 .72309 L .29176 .71795 L F
.821 .856 .874 r
.30839 .71603 m .298 .72399 L .29232 .71849 L p F P
0 g
s
.821 .856 .874 r
.29232 .71849 m .29173 .71792 L p .29315 .71776 L F P
0 g
s
.821 .856 .874 r
.30839 .71603 m .29232 .71849 L .29315 .71776 L F
.707 .577 .707 r
.298 .72399 m .30839 .71603 L .32099 .72862 L p F P
0 g
s
.821 .856 .874 r
.30131 .71068 m .30839 .71603 L p .29313 .71776 L F P
0 g
s
.821 .856 .874 r
.29173 .71792 m .30131 .71068 L p .29313 .71776 L F P
0 g
s
.848 .856 .848 r
.31084 .70119 m .3182 .70622 L p .30201 .71049 L F P
0 g
s
.848 .856 .848 r
.30201 .71049 m .30131 .71068 L .31084 .70119 L F
.3182 .70622 m .30839 .71603 L .30131 .71068 L p F P
0 g
s
.858 .854 .837 r
.32209 .68867 m .32975 .69335 L p .31186 .70076 L F P
0 g
s
.858 .854 .837 r
.31186 .70076 m .31083 .70119 L .32209 .68867 L F
.32975 .69335 m .3182 .70622 L .31083 .70119 L p F P
0 g
s
.868 .851 .823 r
.32208 .68867 m .33282 .67517 L .33282 .67517 L p F P
0 g
s
.868 .851 .823 r
.33282 .67517 m .34065 .67964 L p .32276 .68834 L F P
0 g
s
.868 .851 .823 r
.32276 .68834 m .32208 .68867 L .33282 .67517 L F
.34065 .67964 m .32975 .69335 L .32237 .68884 L p F P
0 g
s
.868 .851 .823 r
.32237 .68884 m .32208 .68867 L p .32276 .68834 L F P
0 g
s
.868 .851 .823 r
.34065 .67964 m .32237 .68884 L .32276 .68834 L F
.874 .848 .815 r
.33282 .67517 m .34362 .66044 L .35138 .665 L p F P
0 g
s
.874 .848 .815 r
.35138 .665 m .34065 .67964 L .33282 .67517 L p F P
0 g
s
.707 .577 .707 r
.32975 .69335 m .34065 .67964 L .35502 .69017 L p F P
0 g
s
.422 .209 .483 r
.33282 .67517 m .3394 .68129 L p .34346 .66123 L F P
0 g
s
.422 .209 .483 r
.34362 .66044 m .33292 .67503 L p .34346 .66123 L F P
0 g
s
.422 .209 .483 r
.33292 .67503 m .33282 .67517 L p .34346 .66123 L F P
0 g
s
.422 .209 .483 r
.3394 .68129 m .35022 .66655 L .34389 .66069 L p F P
0 g
s
.422 .209 .483 r
.34389 .66069 m .34362 .66044 L p .34346 .66124 L F P
0 g
s
.422 .209 .483 r
.34346 .66124 m .3394 .68129 L .34389 .66069 L F
.707 .577 .707 r
.3182 .70622 m .32975 .69335 L .3437 .70443 L p F P
0 g
s
.43 .209 .475 r
.32208 .68867 m .32841 .69511 L p .33258 .67626 L F P
0 g
s
.43 .209 .475 r
.33282 .67517 m .32208 .68867 L p .33258 .67626 L F P
0 g
s
.858 .854 .837 r
.32208 .68867 m .32209 .68867 L p .32201 .68875 L F P
0 g
s
.858 .854 .837 r
.31083 .70119 m .32208 .68867 L p .32201 .68875 L F P
0 g
s
.707 .577 .707 r
.35502 .69017 m .3437 .70443 L .32975 .69335 L p F P
0 g
s
.43 .209 .475 r
.32841 .69511 m .3394 .68129 L .3332 .67553 L p F P
0 g
s
.43 .209 .475 r
.3332 .67553 m .33282 .67517 L p .33258 .67626 L F P
0 g
s
.43 .209 .475 r
.33258 .67626 m .32841 .69511 L .3332 .67553 L F
.707 .577 .707 r
.30839 .71603 m .3182 .70622 L .33147 .7181 L p F P
0 g
s
.443 .21 .464 r
.31083 .70119 m .31677 .70809 L p .32182 .68961 L F P
0 g
s
.443 .21 .464 r
.32208 .68867 m .31083 .70119 L p .32182 .68961 L F P
0 g
s
.848 .856 .848 r
.31083 .70119 m .31084 .70119 L p .31063 .70139 L F P
0 g
s
.848 .856 .848 r
.30131 .71068 m .31083 .70119 L p .31063 .70139 L F P
0 g
s
.707 .577 .707 r
.3437 .70443 m .33147 .7181 L .3182 .70622 L p F P
0 g
s
.443 .21 .464 r
.31677 .70809 m .32841 .69511 L .32241 .689 L p F P
0 g
s
.443 .21 .464 r
.32241 .689 m .32208 .68867 L p .32182 .68961 L F P
0 g
s
.443 .21 .464 r
.32182 .68961 m .31677 .70809 L .32241 .689 L F
.456 .212 .455 r
.30131 .71068 m .30688 .71797 L p .31046 .70275 L F P
0 g
s
.456 .212 .455 r
.31083 .70119 m .30131 .71068 L p .31046 .70275 L F P
0 g
s
.707 .577 .707 r
.33147 .7181 m .32099 .72862 L .30839 .71603 L p F P
0 g
s
.456 .212 .455 r
.30688 .71797 m .31677 .70809 L .31139 .70183 L p F P
0 g
s
.456 .212 .455 r
.31139 .70183 m .31083 .70119 L p .31049 .70261 L F P
0 g
s
.456 .212 .455 r
.31049 .70261 m .30688 .71797 L .31139 .70183 L F
.707 .577 .707 r
.28744 .72985 m .298 .72399 L .30891 .73807 L p F P
0 g
s
.488 .222 .436 r
.29173 .71792 m .29641 .72599 L p .30086 .71209 L F P
0 g
s
.488 .222 .436 r
.30092 .71192 m .29173 .71792 L .30086 .71209 L F
.30131 .71068 m .29232 .71748 L p .30092 .71192 L F P
0 g
s
.488 .222 .436 r
.29232 .71748 m .29173 .71792 L p .30092 .71192 L F P
0 g
s
.707 .577 .707 r
.32099 .72862 m .30891 .73807 L .298 .72399 L p F P
0 g
s
.488 .222 .436 r
.29641 .72599 m .30688 .71797 L .30188 .71143 L p F P
0 g
s
.488 .222 .436 r
.30188 .71143 m .30131 .71068 L p .30086 .71209 L F P
0 g
s
.488 .222 .436 r
.30086 .71209 m .29641 .72599 L .30188 .71143 L F
.873 .849 .816 r
.34362 .66044 m .35507 .64507 L .36247 .65009 L p F P
0 g
s
.873 .849 .816 r
.36247 .65009 m .35138 .665 L .34362 .66044 L p F P
0 g
s
.864 .852 .829 r
.37294 .63754 m .36247 .65009 L .35507 .64507 L p F P
0 g
s
.707 .577 .707 r
.68965 .43811 m .69088 .42469 L .70868 .42521 L p F P
0 g
s
.707 .581 .712 r
.70927 .40757 m .70868 .42521 L .69088 .42469 L p F P
0 g
s
.707 .577 .707 r
.35138 .665 m .36247 .65009 L .37616 .66149 L p F P
0 g
s
.707 .577 .707 r
.36247 .65009 m .37294 .63754 L .38601 .64964 L p F P
0 g
s
.707 .577 .707 r
.38601 .64964 m .37616 .66149 L .36247 .65009 L p F P
0 g
s
.786 .846 .896 r
.42825 .57793 m .44239 .57006 L .44636 .57774 L p F P
0 g
s
.786 .846 .896 r
.44636 .57774 m .43289 .58527 L .42825 .57793 L p F P
0 g
s
.76 .836 .91 r
.46401 .56976 m .44636 .57774 L .44274 .57073 L p F P
0 g
s
.76 .836 .91 r
.46401 .56976 m .44274 .57073 L .44411 .57003 L F
.702 .575 .709 r
.44636 .57774 m .46401 .56976 L .4709 .58619 L p F P
0 g
s
.76 .836 .91 r
.44239 .57006 m .45642 .56357 L .46401 .56976 L p F P
0 g
s
.702 .818 .937 r
.47432 .56597 m .46401 .56976 L .45642 .56357 L p F P
0 g
s
.702 .818 .937 r
.45642 .56357 m .46738 .55911 L .47432 .56597 L p F P
0 g
s
.506 .215 .406 r
.46738 .55911 m .45871 .56264 L p .45573 .57389 L F P
0 g
s
.506 .215 .406 r
.45871 .56264 m .45642 .56357 L .45641 .56381 L p F P
0 g
s
.506 .215 .406 r
.45641 .56381 m .45573 .57389 L p .45871 .56264 L F P
0 g
s
.76 .836 .91 r
.44274 .57073 m .44239 .57006 L p .44411 .57003 L F P
0 g
s
.868 .873 .839 r
.58936 .61382 m .59797 .60596 L .6036 .61199 L p F P
0 g
s
.842 .867 .861 r
.60724 .59754 m .61334 .60311 L p .59877 .60581 L F P
0 g
s
.842 .867 .861 r
.59797 .60596 m .60724 .59754 L p .59877 .60581 L F P
0 g
s
.842 .867 .861 r
.61334 .60311 m .6036 .61199 L .59797 .60596 L p F P
0 g
s
.707 .577 .707 r
.6036 .61199 m .61334 .60311 L .62639 .61524 L p F P
0 g
s
.707 .577 .707 r
.63636 .60446 m .62639 .61524 L .61334 .60311 L p F P
0 g
s
.465 .232 .476 r
.60724 .59754 m .61423 .60416 L p .61556 .58942 L F P
0 g
s
.465 .232 .476 r
.61563 .58864 m .60724 .59754 L p .61556 .58942 L F P
0 g
s
.735 .579 .681 r
.59215 .62242 m .6036 .61199 L .61564 .62513 L p F P
0 g
s
.707 .577 .707 r
.62639 .61524 m .61564 .62513 L .6036 .61199 L p F P
0 g
s
.479 .232 .461 r
.60724 .59754 m .59938 .60468 L p .60442 .61312 L F P
0 g
s
.479 .232 .461 r
.59938 .60468 m .59797 .60596 L .59805 .60605 L p F P
0 g
s
.868 .873 .839 r
.6036 .61199 m .59215 .62242 L .58965 .61471 L p F P
0 g
s
.868 .873 .839 r
.6036 .61199 m .58965 .61471 L .59068 .61365 L F
.479 .232 .461 r
.59805 .60605 m .60442 .61312 L p .59938 .60468 L F P
0 g
s
.868 .873 .839 r
.58965 .61471 m .58936 .61382 L p .59068 .61365 L F P
0 g
s
.921 .834 .743 r
.64534 .52862 m .65131 .51225 L .65868 .51609 L p F P
0 g
s
.921 .834 .743 r
.65868 .51609 m .65316 .53137 L .64534 .52862 L p F P
0 g
s
.907 .849 .775 r
.65131 .51225 m .65828 .49844 L .66553 .50251 L p F P
0 g
s
.907 .849 .775 r
.66553 .50251 m .65868 .51609 L .65131 .51225 L p F P
0 g
s
.904 .851 .781 r
.65828 .49844 m .66505 .48576 L .67243 .48955 L p F P
0 g
s
.904 .851 .781 r
.67243 .48955 m .66553 .50251 L .65828 .49844 L p F P
0 g
s
.909 .847 .771 r
.66505 .48576 m .67101 .47345 L .67862 .4767 L p F P
0 g
s
.909 .847 .771 r
.67862 .4767 m .67243 .48955 L .66505 .48576 L p F P
0 g
s
.918 .839 .752 r
.67101 .47345 m .67588 .4614 L .68377 .46381 L p F P
0 g
s
.918 .839 .752 r
.68377 .46381 m .67862 .4767 L .67101 .47345 L p F P
0 g
s
.928 .824 .722 r
.67588 .4614 m .67925 .44957 L .68733 .45118 L p F P
0 g
s
.928 .824 .722 r
.68733 .45118 m .68377 .46381 L .67588 .4614 L p F P
0 g
s
.935 .806 .693 r
.67925 .44957 m .68148 .43719 L .68965 .43811 L p F P
0 g
s
.935 .806 .693 r
.68965 .43811 m .68733 .45118 L .67925 .44957 L p F P
0 g
s
.952 .786 .64 r
.84957 .37986 m .85179 .35547 L .85932 .35627 L p F P
0 g
s
.952 .786 .64 r
.85932 .35627 m .8569 .38286 L .84957 .37986 L p F P
0 g
s
.95 .787 .644 r
.85179 .35547 m .85334 .31957 L .86084 .31942 L p F P
0 g
s
.95 .787 .644 r
.86084 .31942 m .85932 .35627 L .85179 .35547 L p F P
0 g
s
.951 .755 .604 r
.85334 .31957 m .85058 .28421 L .85791 .28301 L p F P
0 g
s
.951 .755 .604 r
.85791 .28301 m .86084 .31942 L .85334 .31957 L p F P
0 g
s
.945 .715 .559 r
.85058 .28421 m .84334 .2505 L .85031 .24814 L p F P
0 g
s
.945 .715 .559 r
.85031 .24814 m .85791 .28301 L .85058 .28421 L p F P
0 g
s
.932 .665 .51 r
.84334 .2505 m .83086 .21785 L .83742 .21462 L p F P
0 g
s
.932 .665 .51 r
.83742 .21462 m .85031 .24814 L .84334 .2505 L p F P
0 g
s
.916 .622 .472 r
.83086 .21785 m .81609 .18984 L .82194 .18552 L p F P
0 g
s
.916 .622 .472 r
.82194 .18552 m .83742 .21462 L .83086 .21785 L p F P
0 g
s
.888 .563 .426 r
.797 .16447 m .80202 .15925 L p .8131 .18333 L F P
0 g
s
.888 .563 .426 r
.80202 .15925 m .82194 .18552 L .81609 .18984 L p F P
0 g
s
.855 .505 .388 r
.77401 .14204 m .77816 .1361 L p .7931 .1586 L F P
0 g
s
.855 .505 .388 r
.797 .16447 m .77401 .14204 L p .7931 .1586 L F P
0 g
s
.855 .505 .388 r
.77816 .1361 m .80202 .15925 L .797 .16447 L p F P
0 g
s
.819 .45 .357 r
.74681 .12228 m .75055 .11607 L p .77143 .13918 L F P
0 g
s
.819 .45 .357 r
.77401 .14204 m .74681 .12228 L p .77143 .13918 L F P
0 g
s
.819 .45 .357 r
.75055 .11607 m .77816 .1361 L .77401 .14204 L p F P
0 g
s
.801 .425 .345 r
.71949 .10505 m .72223 .09832 L p .74185 .11745 L F P
0 g
s
.801 .425 .345 r
.74681 .12228 m .71949 .10505 L p .74185 .11745 L F P
0 g
s
.801 .425 .345 r
.72223 .09832 m .75055 .11607 L .74681 .12228 L p F P
0 g
s
.76 .374 .324 r
.69041 .09197 m .692 .08484 L p .71365 .10076 L F P
0 g
s
.76 .374 .324 r
.71949 .10505 m .69041 .09197 L p .71365 .10076 L F P
0 g
s
.76 .374 .324 r
.692 .08484 m .72223 .09832 L .71949 .10505 L p F P
0 g
s
.713 .323 .309 r
.65999 .08349 m .66031 .07614 L p .68375 .08846 L F P
0 g
s
.713 .323 .309 r
.69041 .09197 m .65999 .08349 L p .68375 .08846 L F P
0 g
s
.713 .323 .309 r
.66031 .07614 m .692 .08484 L .69041 .09197 L p F P
0 g
s
.662 .275 .302 r
.62783 .07991 m .62723 .07252 L p .65428 .08158 L F P
0 g
s
.662 .275 .302 r
.65999 .08349 m .62783 .07991 L p .65428 .08158 L F P
0 g
s
.662 .275 .302 r
.62723 .07252 m .66031 .07614 L .65999 .08349 L p F P
0 g
s
.707 .577 .707 r
.66031 .07614 m .62723 .07252 L .62702 .05471 L p F P
0 g
s
.707 .577 .707 r
.58853 .05526 m .62702 .05471 L .62723 .07252 L p F P
0 g
s
.665 .742 .908 r
.62783 .07991 m .62823 .06941 L p .59967 .07814 L F P
0 g
s
.665 .742 .908 r
.59325 .08011 m .62783 .07991 L p .59967 .07814 L F P
0 g
s
.707 .577 .707 r
.692 .08484 m .66031 .07614 L .66221 .05843 L p F P
0 g
s
.707 .577 .707 r
.62702 .05471 m .66221 .05843 L .66031 .07614 L p F P
0 g
s
.637 .718 .906 r
.65999 .08349 m .66157 .07305 L p .63547 .07836 L F P
0 g
s
.637 .718 .906 r
.62783 .07991 m .65999 .08349 L p .63547 .07836 L F P
0 g
s
.707 .577 .707 r
.72223 .09832 m .692 .08484 L .69666 .06765 L p F P
0 g
s
.707 .577 .707 r
.66221 .05843 m .69666 .06765 L .692 .08484 L p F P
0 g
s
.599 .68 .898 r
.69041 .09197 m .69351 .08182 L p .66708 .08314 L F P
0 g
s
.599 .68 .898 r
.65999 .08349 m .69041 .09197 L p .66708 .08314 L F P
0 g
s
.707 .577 .707 r
.75055 .11607 m .72223 .09832 L .72944 .08204 L p F P
0 g
s
.707 .577 .707 r
.69666 .06765 m .72944 .08204 L .72223 .09832 L p F P
0 g
s
.566 .642 .885 r
.71949 .10505 m .72398 .09541 L p .69713 .09266 L F P
0 g
s
.566 .642 .885 r
.69041 .09197 m .71949 .10505 L p .69713 .09266 L F P
0 g
s
.707 .577 .707 r
.77816 .1361 m .75055 .11607 L .75997 .10096 L p F P
0 g
s
.707 .577 .707 r
.72944 .08204 m .75997 .10096 L .75055 .11607 L p F P
0 g
s
.536 .604 .869 r
.74681 .12228 m .75252 .1133 L p .72297 .10592 L F P
0 g
s
.536 .604 .869 r
.71949 .10505 m .74681 .12228 L p .72297 .10592 L F P
0 g
s
.707 .577 .707 r
.80202 .15925 m .77816 .1361 L .78861 .12167 L p F P
0 g
s
.707 .577 .707 r
.75997 .10096 m .78861 .12167 L .77816 .1361 L p F P
0 g
s
.523 .586 .86 r
.77401 .14204 m .78035 .13348 L p .75401 .12469 L F P
0 g
s
.523 .586 .86 r
.74681 .12228 m .77401 .14204 L p .75401 .12469 L F P
0 g
s
.707 .577 .707 r
.82194 .18552 m .80202 .15925 L .81439 .14644 L p F P
0 g
s
.707 .577 .707 r
.78861 .12167 m .81439 .14644 L .80202 .15925 L p F P
0 g
s
.496 .546 .837 r
.797 .16447 m .8044 .15682 L p .78056 .14522 L F P
0 g
s
.496 .546 .837 r
.77401 .14204 m .797 .16447 L p .78056 .14522 L F P
0 g
s
.888 .563 .426 r
.81609 .18984 m .797 .16447 L p .8131 .18333 L F P
0 g
s
.67 .796 .942 r
.27311 .72565 m .27662 .73305 L p .25469 .7291 L F P
0 g
s
.67 .796 .942 r
.27662 .73305 m .24344 .73502 L .24334 .7308 L p F P
0 g
s
.67 .796 .942 r
.24334 .7308 m .24324 .72704 L p .25375 .72893 L F P
0 g
s
.67 .796 .942 r
.27662 .73305 m .24334 .7308 L .25375 .72893 L F
.27306 .72555 m .27311 .72565 L p .27228 .72569 L F P
0 g
s
.67 .796 .942 r
.24324 .72704 m .27306 .72555 L p .27228 .72569 L F P
0 g
s
.67 .796 .942 r
.25469 .7291 m .24324 .72704 L .27311 .72565 L F
.725 .827 .928 r
.28224 .72313 m .28744 .72985 L p .27478 .72607 L F P
0 g
s
.725 .827 .928 r
.27478 .72607 m .27306 .72555 L .28224 .72313 L F
.28744 .72985 m .27662 .73305 L .27306 .72555 L p F P
0 g
s
.707 .577 .707 r
.27662 .73305 m .28744 .72985 L .29621 .74536 L p F P
0 g
s
.527 .238 .419 r
.28221 .72309 m .28577 .73191 L p .29098 .71969 L F P
0 g
s
.527 .238 .419 r
.29173 .71792 m .28221 .72309 L p .29098 .71969 L F P
0 g
s
.725 .827 .928 r
.28221 .72309 m .28224 .72313 L p .28183 .72324 L F P
0 g
s
.725 .827 .928 r
.27306 .72555 m .28221 .72309 L p .28183 .72324 L F P
0 g
s
.707 .577 .707 r
.30891 .73807 m .29621 .74536 L .28744 .72985 L p F P
0 g
s
.527 .238 .419 r
.28577 .73191 m .29641 .72599 L .29243 .71912 L p F P
0 g
s
.527 .238 .419 r
.29243 .71912 m .29173 .71792 L p .29098 .71969 L F P
0 g
s
.527 .238 .419 r
.29098 .71969 m .28577 .73191 L .29243 .71912 L F
.721 .588 .706 r
.24344 .73502 m .27662 .73305 L .28196 .75004 L p F P
0 g
s
.589 .275 .405 r
.27306 .72555 m .27486 .73513 L p .28162 .72406 L F P
0 g
s
.589 .275 .405 r
.2817 .72393 m .27306 .72555 L .28162 .72406 L F
.28221 .72309 m .27393 .72532 L p .2817 .72393 L F P
0 g
s
.589 .275 .405 r
.27393 .72532 m .27306 .72555 L p .2817 .72393 L F P
0 g
s
.707 .577 .707 r
.29621 .74536 m .28196 .75004 L .27662 .73305 L p F P
0 g
s
.589 .275 .405 r
.27486 .73513 m .28577 .73191 L .28253 .72389 L p F P
0 g
s
.589 .275 .405 r
.28253 .72389 m .28221 .72309 L p .28162 .72406 L F P
0 g
s
.589 .275 .405 r
.28162 .72406 m .27486 .73513 L .28253 .72389 L F
.864 .852 .829 r
.35507 .64507 m .36589 .63212 L .37294 .63754 L p F P
0 g
s
.855 .854 .84 r
.36589 .63212 m .37729 .61984 L .38401 .6256 L p F P
0 g
s
.855 .854 .84 r
.38401 .6256 m .37294 .63754 L .36589 .63212 L p F P
0 g
s
.846 .855 .85 r
.37729 .61984 m .38936 .60801 L .39564 .61419 L p F P
0 g
s
.846 .855 .85 r
.39564 .61419 m .38401 .6256 L .37729 .61984 L p F P
0 g
s
.834 .855 .861 r
.38936 .60801 m .40192 .5971 L .40783 .60357 L p F P
0 g
s
.834 .855 .861 r
.40783 .60357 m .39564 .61419 L .38936 .60801 L p F P
0 g
s
.824 .854 .87 r
.40192 .5971 m .41467 .58704 L .42 .59395 L p F P
0 g
s
.824 .854 .87 r
.42 .59395 m .40783 .60357 L .40192 .5971 L p F P
0 g
s
.806 .851 .883 r
.41467 .58704 m .42825 .57793 L .43289 .58527 L p F P
0 g
s
.806 .851 .883 r
.43289 .58527 m .42 .59395 L .41467 .58704 L p F P
0 g
s
.707 .577 .707 r
.43289 .58527 m .44636 .57774 L .45384 .59391 L p F P
0 g
s
.707 .577 .707 r
.45384 .59391 m .44161 .6008 L .43289 .58527 L p F P
0 g
s
.702 .575 .709 r
.4709 .58619 m .45384 .59391 L .44636 .57774 L p F P
0 g
s
.707 .577 .707 r
.65316 .53137 m .65868 .51609 L .67458 .52411 L p F P
0 g
s
.707 .577 .707 r
.67458 .52411 m .66994 .53735 L .65316 .53137 L p F P
0 g
s
.707 .577 .707 r
.65868 .51609 m .66553 .50251 L .68125 .51087 L p F P
0 g
s
.707 .577 .707 r
.68125 .51087 m .67458 .52411 L .65868 .51609 L p F P
0 g
s
.707 .577 .707 r
.66553 .50251 m .67243 .48955 L .68849 .49725 L p F P
0 g
s
.707 .577 .707 r
.68849 .49725 m .68125 .51087 L .66553 .50251 L p F P
0 g
s
.707 .577 .707 r
.67243 .48955 m .67862 .4767 L .69519 .48325 L p F P
0 g
s
.707 .577 .707 r
.69519 .48325 m .68849 .49725 L .67243 .48955 L p F P
0 g
s
.707 .577 .707 r
.67862 .4767 m .68377 .46381 L .70093 .46858 L p F P
0 g
s
.707 .577 .707 r
.70093 .46858 m .69519 .48325 L .67862 .4767 L p F P
0 g
s
.707 .577 .707 r
.68377 .46381 m .68733 .45118 L .70487 .45425 L p F P
0 g
s
.707 .577 .707 r
.70487 .45425 m .70093 .46858 L .68377 .46381 L p F P
0 g
s
.707 .577 .707 r
.68733 .45118 m .68965 .43811 L .70739 .43972 L p F P
0 g
s
.707 .577 .707 r
.70739 .43972 m .70487 .45425 L .68733 .45118 L p F P
0 g
s
.707 .577 .707 r
.70868 .42521 m .70739 .43972 L .68965 .43811 L p F P
0 g
s
.709 .563 .688 r
.8569 .38286 m .85932 .35627 L .87712 .35697 L p F P
0 g
s
.707 .577 .707 r
.85932 .35627 m .86084 .31942 L .87859 .31795 L p F P
0 g
s
.707 .577 .707 r
.87859 .31795 m .87712 .35697 L .85932 .35627 L p F P
0 g
s
.707 .577 .707 r
.86084 .31942 m .85791 .28301 L .8753 .27916 L p F P
0 g
s
.707 .577 .707 r
.8753 .27916 m .87859 .31795 L .86084 .31942 L p F P
0 g
s
.707 .577 .707 r
.85791 .28301 m .85031 .24814 L .86692 .24172 L p F P
0 g
s
.707 .577 .707 r
.86692 .24172 m .8753 .27916 L .85791 .28301 L p F P
0 g
s
.707 .577 .707 r
.85031 .24814 m .83742 .21462 L .85312 .2062 L p F P
0 g
s
.707 .577 .707 r
.85312 .2062 m .86692 .24172 L .85031 .24814 L p F P
0 g
s
.707 .577 .707 r
.83742 .21462 m .82194 .18552 L .8361 .17472 L p F P
0 g
s
.707 .577 .707 r
.8361 .17472 m .85312 .2062 L .83742 .21462 L p F P
0 g
s
.707 .577 .707 r
.81439 .14644 m .8361 .17472 L .82194 .18552 L p F P
0 g
s
.707 .577 .707 r
.34065 .67964 m .35138 .665 L .36569 .67562 L p F P
0 g
s
.707 .577 .707 r
.36569 .67562 m .35502 .69017 L .34065 .67964 L p F P
0 g
s
.707 .577 .707 r
.37616 .66149 m .36569 .67562 L .35138 .665 L p F P
0 g
s
.707 .577 .707 r
.37294 .63754 m .38401 .6256 L .39651 .6383 L p F P
0 g
s
.707 .577 .707 r
.39651 .6383 m .38601 .64964 L .37294 .63754 L p F P
0 g
s
.707 .577 .707 r
.38401 .6256 m .39564 .61419 L .40735 .62761 L p F P
0 g
s
.707 .577 .707 r
.40735 .62761 m .39651 .6383 L .38401 .6256 L p F P
0 g
s
.707 .577 .707 r
.39564 .61419 m .40783 .60357 L .41891 .61753 L p F P
0 g
s
.707 .577 .707 r
.41891 .61753 m .40735 .62761 L .39564 .61419 L p F P
0 g
s
.707 .577 .707 r
.40783 .60357 m .42 .59395 L .42998 .60871 L p F P
0 g
s
.707 .577 .707 r
.42998 .60871 m .41891 .61753 L .40783 .60357 L p F P
0 g
s
.707 .577 .707 r
.42 .59395 m .43289 .58527 L .44161 .6008 L p F P
0 g
s
.707 .577 .707 r
.44161 .6008 m .42998 .60871 L .42 .59395 L p F P
0 g
s
.466 .237 .481 r
.62639 .61524 m .63636 .60446 L .64398 .61044 L p F P
0 g
s
.45 .239 .5 r
.63636 .60446 m .64535 .59268 L .65354 .59784 L p F P
0 g
s
.45 .239 .5 r
.65354 .59784 m .64398 .61044 L .63636 .60446 L p F P
0 g
s
.4 .308 .635 r
.70739 .43972 m .70868 .42521 L .71844 .4253 L p F P
0 g
s
.4 .32 .651 r
.70868 .42521 m .70927 .40757 L .71884 .41143 L p F P
0 g
s
.4 .32 .651 r
.71884 .41143 m .71844 .4253 L .70868 .42521 L p F P
0 g
s
.669 .743 .906 r
.62702 .05471 m .58853 .05526 L .58742 .04482 L p F P
0 g
s
.705 .771 .904 r
.58853 .05526 m .55071 .06159 L .54826 .05146 L p F P
0 g
s
.705 .771 .904 r
.54826 .05146 m .58742 .04482 L .58853 .05526 L p F P
0 g
s
.522 .239 .426 r
.29621 .74536 m .30891 .73807 L .31364 .74619 L p F P
0 g
s
.487 .225 .442 r
.30891 .73807 m .32099 .72862 L .32661 .73595 L p F P
0 g
s
.487 .225 .442 r
.32661 .73595 m .31364 .74619 L .30891 .73807 L p F P
0 g
s
.428 .215 .486 r
.36569 .67562 m .37616 .66149 L .38254 .66797 L p F P
0 g
s
.439 .215 .475 r
.37616 .66149 m .38601 .64964 L .39212 .65643 L p F P
0 g
s
.439 .215 .475 r
.39212 .65643 m .38254 .66797 L .37616 .66149 L p F P
0 g
s
.735 .579 .681 r
.61564 .62513 m .60402 .63572 L .59215 .62242 L p F P
0 g
s
.721 .588 .706 r
.28196 .75004 m .24454 .75281 L .24344 .73502 L p F P
0 g
s
.52 .233 .419 r
.44161 .6008 m .45384 .59391 L .45741 .60251 L p F P
0 g
s
.52 .233 .419 r
.45741 .60251 m .44575 .60912 L .44161 .6008 L p F P
0 g
s
.541 .242 .41 r
.45384 .59391 m .4709 .58619 L .47027 .59655 L p F P
0 g
s
.541 .242 .41 r
.47027 .59655 m .45741 .60251 L .45384 .59391 L p F P
0 g
s
.505 .231 .432 r
.60402 .63572 m .61564 .62513 L .62213 .63233 L p F P
0 g
s
.481 .237 .467 r
.61564 .62513 m .62639 .61524 L .63343 .6219 L p F P
0 g
s
.481 .237 .467 r
.63343 .6219 m .62213 .63233 L .61564 .62513 L p F P
0 g
s
.466 .237 .481 r
.64398 .61044 m .63343 .6219 L .62639 .61524 L p F P
0 g
s
.434 .245 .523 r
.64535 .59268 m .65303 .58003 L .66171 .58429 L p F P
0 g
s
.434 .245 .523 r
.66171 .58429 m .65354 .59784 L .64535 .59268 L p F P
0 g
s
.421 .254 .547 r
.65303 .58003 m .65968 .56594 L .66865 .56953 L p F P
0 g
s
.421 .254 .547 r
.66865 .56953 m .66171 .58429 L .65303 .58003 L p F P
0 g
s
.414 .262 .564 r
.65968 .56594 m .66519 .55158 L .67432 .55473 L p F P
0 g
s
.414 .262 .564 r
.67432 .55473 m .66865 .56953 L .65968 .56594 L p F P
0 g
s
.41 .267 .575 r
.66519 .55158 m .66994 .53735 L .67902 .54062 L p F P
0 g
s
.41 .267 .575 r
.67902 .54062 m .67432 .55473 L .66519 .55158 L p F P
0 g
s
.411 .266 .572 r
.66994 .53735 m .67458 .52411 L .68325 .52835 L p F P
0 g
s
.411 .266 .572 r
.68325 .52835 m .67902 .54062 L .66994 .53735 L p F P
0 g
s
.424 .25 .54 r
.67458 .52411 m .68125 .51087 L .68985 .51524 L p F P
0 g
s
.424 .25 .54 r
.68325 .52835 m .67458 .52411 L p .68832 .51613 L F P
0 g
s
.924 .836 .74 r
.68325 .52835 m .67595 .52454 L p .67875 .5392 L F P
0 g
s
.924 .836 .74 r
.67902 .54062 m .68325 .52835 L p .67875 .5392 L F P
0 g
s
.424 .25 .54 r
.68985 .51524 m .68325 .52835 L p .68832 .51613 L F P
0 g
s
.426 .248 .535 r
.68125 .51087 m .68849 .49725 L .69729 .50123 L p F P
0 g
s
.426 .248 .535 r
.68985 .51524 m .68125 .51087 L p .69699 .50141 L F P
0 g
s
.908 .852 .775 r
.68985 .51524 m .68268 .5112 L p .68324 .52805 L F P
0 g
s
.908 .852 .775 r
.68325 .52835 m .68985 .51524 L p .68324 .52805 L F P
0 g
s
.426 .248 .535 r
.69729 .50123 m .68985 .51524 L p .69699 .50141 L F P
0 g
s
.422 .253 .545 r
.68849 .49725 m .69519 .48325 L .70427 .4866 L p F P
0 g
s
.422 .253 .545 r
.70427 .4866 m .69729 .50123 L .68849 .49725 L p F P
0 g
s
.415 .261 .563 r
.69519 .48325 m .70093 .46858 L .71034 .47097 L p F P
0 g
s
.415 .261 .563 r
.71034 .47097 m .70427 .4866 L .69519 .48325 L p F P
0 g
s
.407 .276 .589 r
.70093 .46858 m .70487 .45425 L .71448 .45574 L p F P
0 g
s
.407 .276 .589 r
.71448 .45574 m .71034 .47097 L .70093 .46858 L p F P
0 g
s
.402 .293 .614 r
.70487 .45425 m .70739 .43972 L .7171 .44041 L p F P
0 g
s
.402 .293 .614 r
.7171 .44041 m .71448 .45574 L .70487 .45425 L p F P
0 g
s
.4 .308 .635 r
.71844 .4253 m .7171 .44041 L .70739 .43972 L p F P
0 g
s
.419 .335 .655 r
.87712 .35697 m .87859 .31795 L .88898 .31662 L p F P
0 g
s
.422 .362 .685 r
.87859 .31795 m .8753 .27916 L .8855 .27649 L p F P
0 g
s
.422 .362 .685 r
.8855 .27649 m .88898 .31662 L .87859 .31795 L p F P
0 g
s
.429 .394 .718 r
.8753 .27916 m .86692 .24172 L .8767 .2376 L p F P
0 g
s
.429 .394 .718 r
.8767 .2376 m .8855 .27649 L .8753 .27916 L p F P
0 g
s
.441 .432 .752 r
.86692 .24172 m .85312 .2062 L .86238 .20095 L p F P
0 g
s
.441 .432 .752 r
.86238 .20095 m .8767 .2376 L .86692 .24172 L p F P
0 g
s
.455 .465 .78 r
.85312 .2062 m .8361 .17472 L .84452 .16815 L p F P
0 g
s
.455 .465 .78 r
.84452 .16815 m .86238 .20095 L .85312 .2062 L p F P
0 g
s
.477 .508 .811 r
.8361 .17472 m .81439 .14644 L .82183 .13874 L p F P
0 g
s
.477 .508 .811 r
.82183 .13874 m .84452 .16815 L .8361 .17472 L p F P
0 g
s
.501 .55 .838 r
.81439 .14644 m .78861 .12167 L .79498 .11307 L p F P
0 g
s
.501 .55 .838 r
.79498 .11307 m .82183 .13874 L .81439 .14644 L p F P
0 g
s
.526 .587 .859 r
.78861 .12167 m .75997 .10096 L .76572 .09193 L p F P
0 g
s
.526 .587 .859 r
.76572 .09193 m .79498 .11307 L .78861 .12167 L p F P
0 g
s
.541 .607 .869 r
.75997 .10096 m .72944 .08204 L .73395 .07234 L p F P
0 g
s
.541 .607 .869 r
.73395 .07234 m .76572 .09193 L .75997 .10096 L p F P
0 g
s
.57 .644 .884 r
.72944 .08204 m .69666 .06765 L .69977 .05745 L p F P
0 g
s
.57 .644 .884 r
.69977 .05745 m .73395 .07234 L .72944 .08204 L p F P
0 g
s
.604 .682 .897 r
.69666 .06765 m .66221 .05843 L .6638 .04793 L p F P
0 g
s
.604 .682 .897 r
.6638 .04793 m .69977 .05745 L .69666 .06765 L p F P
0 g
s
.64 .718 .904 r
.66221 .05843 m .62702 .05471 L .62742 .04415 L p F P
0 g
s
.64 .718 .904 r
.62742 .04415 m .6638 .04793 L .66221 .05843 L p F P
0 g
s
.669 .743 .906 r
.58742 .04482 m .62742 .04415 L .62702 .05471 L p F P
0 g
s
.737 .792 .897 r
.55071 .06159 m .51356 .0732 L .50985 .06354 L p F P
0 g
s
.737 .792 .897 r
.50985 .06354 m .54826 .05146 L .55071 .06159 L p F P
0 g
s
.767 .808 .886 r
.51356 .0732 m .47699 .09037 L .47396 .08027 L p F P
0 g
s
.767 .808 .886 r
.47396 .08027 m .50985 .06354 L .51356 .0732 L p F P
0 g
s
.653 .326 .407 r
.24454 .75281 m .28196 .75004 L .28378 .75967 L p F P
0 g
s
.574 .268 .412 r
.28196 .75004 m .29621 .74536 L .29982 .75422 L p F P
0 g
s
.574 .268 .412 r
.29982 .75422 m .28378 .75967 L .28196 .75004 L p F P
0 g
s
.522 .239 .426 r
.31364 .74619 m .29982 .75422 L .29621 .74536 L p F P
0 g
s
.459 .217 .46 r
.32099 .72862 m .33147 .7181 L .33747 .72504 L p F P
0 g
s
.459 .217 .46 r
.33747 .72504 m .32661 .73595 L .32099 .72862 L p F P
0 g
s
.447 .216 .469 r
.33147 .7181 m .3437 .70443 L .35009 .71091 L p F P
0 g
s
.447 .216 .469 r
.35009 .71091 m .33747 .72504 L .33147 .7181 L p F P
0 g
s
.435 .215 .479 r
.3437 .70443 m .35502 .69017 L .36166 .69632 L p F P
0 g
s
.435 .215 .479 r
.36166 .69632 m .35009 .71091 L .3437 .70443 L p F P
0 g
s
.427 .215 .487 r
.35502 .69017 m .36569 .67562 L .37234 .68176 L p F P
0 g
s
.427 .215 .487 r
.37234 .68176 m .36166 .69632 L .35502 .69017 L p F P
0 g
s
.428 .215 .486 r
.38254 .66797 m .37234 .68176 L .36569 .67562 L p F P
0 g
s
.45 .215 .465 r
.38601 .64964 m .39651 .6383 L .40237 .64534 L p F P
0 g
s
.45 .215 .465 r
.40237 .64534 m .39212 .65643 L .38601 .64964 L p F P
0 g
s
.46 .216 .457 r
.39651 .6383 m .40735 .62761 L .41286 .63498 L p F P
0 g
s
.46 .216 .457 r
.41286 .63498 m .40237 .64534 L .39651 .6383 L p F P
0 g
s
.473 .219 .447 r
.40735 .62761 m .41891 .61753 L .42415 .62511 L p F P
0 g
s
.473 .219 .447 r
.42415 .62511 m .41286 .63498 L .40735 .62761 L p F P
0 g
s
.483 .221 .44 r
.41891 .61753 m .42998 .60871 L .43471 .61666 L p F P
0 g
s
.483 .221 .44 r
.43471 .61666 m .42415 .62511 L .41891 .61753 L p F P
0 g
s
.5 .226 .429 r
.42998 .60871 m .44161 .6008 L .44575 .60912 L p F P
0 g
s
.5 .226 .429 r
.44575 .60912 m .43471 .61666 L .42998 .60871 L p F P
0 g
s
.709 .563 .688 r
.87712 .35697 m .87464 .38464 L .8569 .38286 L p F P
0 g
s
.418 .309 .622 r
.87464 .38464 m .87712 .35697 L .88752 .35689 L p F P
0 g
s
.419 .335 .655 r
.88898 .31662 m .88752 .35689 L .87712 .35697 L p F P
0 g
s
.591 .744 .949 r
.72957 .74073 m .73372 .7424 L .73411 .75026 L p F P
0 g
s
.614 .754 .945 r
.76432 .7508 m .73411 .75026 L .73372 .7424 L p F P
0 g
s
.614 .754 .945 r
.76194 .74351 m .76432 .7508 L p .74221 .74473 L F P
0 g
s
.614 .754 .945 r
.73372 .7424 m .76194 .74351 L p .74221 .74473 L F P
0 g
s
.692 .565 .707 r
.73411 .75026 m .76432 .7508 L .76839 .76816 L p F P
0 g
s
.688 .817 .944 r
.79456 .74387 m .76432 .7508 L .76194 .74351 L p F P
0 g
s
.692 .568 .71 r
.76432 .7508 m .79456 .74387 L .80184 .76016 L p F P
0 g
s
.692 .568 .71 r
.80184 .76016 m .76839 .76816 L .76432 .7508 L p F P
0 g
s
.688 .817 .944 r
.79081 .73733 m .79456 .74387 L p .76958 .74359 L F P
0 g
s
.688 .817 .944 r
.76194 .74351 m .79081 .73733 L p .76958 .74359 L F P
0 g
s
.746 .855 .93 r
.82386 .73098 m .79456 .74387 L .79081 .73733 L p F P
0 g
s
.694 .571 .713 r
.79456 .74387 m .82386 .73098 L .83415 .74558 L p F P
0 g
s
.694 .571 .713 r
.83415 .74558 m .80184 .76016 L .79456 .74387 L p F P
0 g
s
.746 .855 .93 r
.81886 .72546 m .82386 .73098 L p .79904 .73575 L F P
0 g
s
.746 .855 .93 r
.79081 .73733 m .81886 .72546 L p .79904 .73575 L F P
0 g
s
.802 .881 .903 r
.85092 .71217 m .82386 .73098 L .81886 .72546 L p F P
0 g
s
.695 .574 .716 r
.82386 .73098 m .85092 .71217 L .86289 .72543 L p F P
0 g
s
.695 .574 .716 r
.86289 .72543 m .83415 .74558 L .82386 .73098 L p F P
0 g
s
.802 .881 .903 r
.84532 .70733 m .85092 .71217 L p .82431 .7232 L F P
0 g
s
.802 .881 .903 r
.81886 .72546 m .84532 .70733 L p .82431 .7232 L F P
0 g
s
.835 .89 .88 r
.87659 .68928 m .85092 .71217 L .84532 .70733 L p F P
0 g
s
.697 .576 .716 r
.85092 .71217 m .87659 .68928 L .89069 .70028 L p F P
0 g
s
.697 .576 .716 r
.89069 .70028 m .86289 .72543 L .85092 .71217 L p F P
0 g
s
.835 .89 .88 r
.8702 .68564 m .87659 .68928 L p .85285 .70299 L F P
0 g
s
.835 .89 .88 r
.84532 .70733 m .8702 .68564 L p .85285 .70299 L F P
0 g
s
.876 .892 .841 r
.89789 .66237 m .87659 .68928 L .8702 .68564 L p F P
0 g
s
.698 .579 .718 r
.87659 .68928 m .89789 .66237 L .91366 .67083 L p F P
0 g
s
.698 .579 .718 r
.91366 .67083 m .89069 .70028 L .87659 .68928 L p F P
0 g
s
.876 .892 .841 r
.89093 .66 m .89789 .66237 L p .87677 .68012 L F P
0 g
s
.876 .892 .841 r
.8702 .68564 m .89093 .66 L p .87677 .68012 L F P
0 g
s
.91 .883 .795 r
.91475 .63146 m .89789 .66237 L .89093 .66 L p F P
0 g
s
.7 .582 .719 r
.89789 .66237 m .91475 .63146 L .93159 .63753 L p F P
0 g
s
.7 .582 .719 r
.93159 .63753 m .91366 .67083 L .89789 .66237 L p F P
0 g
s
.91 .883 .795 r
.90749 .63023 m .91475 .63146 L p .89614 .65376 L F P
0 g
s
.91 .883 .795 r
.89093 .66 m .90749 .63023 L p .89614 .65376 L F P
0 g
s
.932 .866 .751 r
.92735 .59732 m .91475 .63146 L .90749 .63023 L p F P
0 g
s
.702 .584 .72 r
.91475 .63146 m .92735 .59732 L .94452 .60245 L p F P
0 g
s
.702 .584 .72 r
.94452 .60245 m .93159 .63753 L .91475 .63146 L p F P
0 g
s
.932 .866 .751 r
.92005 .59645 m .92735 .59732 L p .9094 .62706 L F P
0 g
s
.932 .866 .751 r
.90749 .63023 m .92005 .59645 L p .9094 .62706 L F P
0 g
s
.939 .857 .733 r
.93782 .56314 m .92735 .59732 L .92005 .59645 L p F P
0 g
s
.703 .585 .72 r
.92735 .59732 m .93782 .56314 L .95557 .56571 L p F P
0 g
s
.703 .585 .72 r
.95557 .56571 m .94452 .60245 L .92735 .59732 L p F P
0 g
s
.939 .857 .733 r
.93045 .56347 m .93782 .56314 L p .92391 .58921 L F P
0 g
s
.939 .857 .733 r
.92005 .59645 m .93045 .56347 L p .92391 .58921 L F P
0 g
s
.952 .829 .686 r
.94312 .52834 m .93782 .56314 L .93045 .56347 L p F P
0 g
s
.705 .587 .721 r
.93782 .56314 m .94312 .52834 L .96106 .52785 L p F P
0 g
s
.705 .587 .721 r
.96106 .52785 m .95557 .56571 L .93782 .56314 L p F P
0 g
s
.952 .829 .686 r
.93589 .53011 m .94312 .52834 L p .93353 .55494 L F P
0 g
s
.952 .829 .686 r
.93045 .56347 m .93589 .53011 L p .93353 .55494 L F P
0 g
s
.958 .788 .629 r
.94242 .4939 m .94312 .52834 L .93589 .53011 L p F P
0 g
s
.707 .589 .721 r
.94312 .52834 m .94242 .4939 L .96002 .49033 L p F P
0 g
s
.707 .589 .721 r
.96002 .49033 m .96106 .52785 L .94312 .52834 L p F P
0 g
s
.958 .788 .629 r
.93558 .49705 m .94242 .4939 L p .93747 .52132 L F P
0 g
s
.958 .788 .629 r
.93589 .53011 m .93558 .49705 L p .93747 .52132 L F P
0 g
s
.953 .737 .572 r
.93565 .45939 m .94242 .4939 L .93558 .49705 L p F P
0 g
s
.71 .591 .721 r
.94242 .4939 m .93565 .45939 L .95274 .45381 L p F P
0 g
s
.71 .591 .721 r
.95274 .45381 m .96002 .49033 L .94242 .4939 L p F P
0 g
s
.953 .737 .572 r
.92922 .46348 m .93565 .45939 L p .93559 .49034 L F P
0 g
s
.953 .737 .572 r
.93558 .49705 m .92922 .46348 L p .93559 .49034 L F P
0 g
s
.945 .701 .536 r
.92599 .42915 m .93565 .45939 L .92922 .46348 L p F P
0 g
s
.712 .593 .721 r
.93565 .45939 m .92599 .42915 L .94166 .42032 L p F P
0 g
s
.712 .593 .721 r
.94166 .42032 m .95274 .45381 L .93565 .45939 L p F P
0 g
s
.945 .701 .536 r
.9205 .43466 m .92599 .42915 L p .92842 .455 L F P
0 g
s
.945 .701 .536 r
.92922 .46348 m .9205 .43466 L p .92842 .455 L F P
0 g
s
.921 .632 .478 r
.91075 .40173 m .92599 .42915 L .9205 .43466 L p F P
0 g
s
.714 .594 .72 r
.92599 .42915 m .91075 .40173 L .92442 .39001 L p F P
0 g
s
.714 .594 .72 r
.92442 .39001 m .94166 .42032 L .92599 .42915 L p F P
0 g
s
.921 .632 .478 r
.90646 .40846 m .91075 .40173 L p .91819 .42688 L F P
0 g
s
.921 .632 .478 r
.9205 .43466 m .90646 .40846 L p .91819 .42688 L F P
0 g
s
.887 .562 .429 r
.89189 .37942 m .91075 .40173 L .90646 .40846 L p F P
0 g
s
.717 .595 .719 r
.91075 .40173 m .89189 .37942 L .902 .36451 L p F P
0 g
s
.717 .595 .719 r
.902 .36451 m .92442 .39001 L .91075 .40173 L p F P
0 g
s
.887 .562 .429 r
.88961 .3874 m .89189 .37942 L p .90244 .40045 L F P
0 g
s
.887 .562 .429 r
.90646 .40846 m .88961 .3874 L p .90244 .40045 L F P
0 g
s
.418 .309 .622 r
.88752 .35689 m .88518 .38343 L .87464 .38464 L p F P
0 g
s
.954 .788 .637 r
.88518 .38343 m .88752 .35689 L .88008 .35609 L p F P
0 g
s
.954 .788 .637 r
.88008 .35609 m .87792 .38041 L .88518 .38343 L p F P
0 g
s
.709 .561 .685 r
.87792 .38041 m .88008 .35609 L .86214 .35538 L p F P
0 g
s
.831 .473 .379 r
.87022 .36393 m .89189 .37942 L .88961 .3874 L p F P
0 g
s
.707 .577 .707 r
.86368 .31824 m .86214 .35538 L .88008 .35609 L p F P
0 g
s
.72 .595 .716 r
.89189 .37942 m .87022 .36393 L .87516 .34659 L p F P
0 g
s
.953 .788 .64 r
.88752 .35689 m .88898 .31662 L .88157 .31677 L p F P
0 g
s
.953 .788 .64 r
.88157 .31677 m .88008 .35609 L .88752 .35689 L p F P
0 g
s
.707 .577 .707 r
.88008 .35609 m .88157 .31677 L .86368 .31824 L p F P
0 g
s
.72 .595 .716 r
.87516 .34659 m .902 .36451 L .89189 .37942 L p F P
0 g
s
.421 .293 .599 r
.8696 .4105 m .87464 .38464 L .88518 .38343 L p F P
0 g
s
.421 .293 .599 r
.88518 .38343 m .88017 .41027 L .8696 .4105 L p F P
0 g
s
.951 .81 .668 r
.88017 .41027 m .88518 .38343 L .87792 .38041 L p F P
0 g
s
.709 .561 .685 r
.86214 .35538 m .86005 .37862 L .87792 .38041 L p F P
0 g
s
.831 .473 .379 r
.86921 .37221 m .86923 .37204 L p .87104 .3734 L F P
0 g
s
.831 .473 .379 r
.86923 .37204 m .87022 .36393 L p .88428 .38095 L F P
0 g
s
.831 .473 .379 r
.88428 .38095 m .88961 .3874 L .86923 .37204 L F
.734 .362 .347 r
.86525 .37044 m .86407 .36188 L p .86877 .37132 L F P
0 g
s
.734 .362 .347 r
.86877 .37132 m .86921 .37221 L .86525 .37044 L F
.414 .303 .618 r
.86005 .37862 m .86214 .35538 L .85179 .35547 L p F P
0 g
s
.734 .362 .347 r
.86407 .36188 m .87022 .36393 L .86921 .37221 L p F P
0 g
s
.656 .295 .348 r
.85921 .37005 m .85658 .36156 L p .86469 .36991 L F P
0 g
s
.656 .295 .348 r
.86469 .36991 m .86526 .37051 L .85921 .37005 L F
.414 .303 .618 r
.85179 .35547 m .84957 .37986 L .86005 .37862 L p F P
0 g
s
.656 .295 .348 r
.85658 .36156 m .86407 .36188 L .86526 .37051 L p F P
0 g
s
.61 .265 .36 r
.85214 .37087 m .84825 .3626 L p .85852 .36962 L F P
0 g
s
.61 .265 .36 r
.85852 .36962 m .85922 .3701 L .85214 .37087 L F
.84825 .3626 m .85658 .36156 L .85922 .3701 L p F P
0 g
s
.57 .244 .377 r
.84369 .37327 m .83931 .36517 L p .85175 .3707 L F P
0 g
s
.57 .244 .377 r
.85175 .3707 m .85214 .37087 L .84369 .37327 L F
.83931 .36517 m .84825 .3626 L .85214 .37087 L p F P
0 g
s
.556 .239 .385 r
.83283 .37709 m .82783 .36923 L p .84289 .37308 L F P
0 g
s
.556 .239 .385 r
.84289 .37308 m .8437 .37328 L .83283 .37709 L F
.82783 .36923 m .83931 .36517 L .8437 .37328 L p F P
0 g
s
.538 .232 .397 r
.83283 .3771 m .822 .3819 L .822 .3819 L p F P
0 g
s
.538 .232 .397 r
.822 .3819 m .81655 .37426 L p .83216 .37698 L F P
0 g
s
.538 .232 .397 r
.83216 .37698 m .83283 .3771 L .822 .3819 L F
.81655 .37426 m .82783 .36923 L .83262 .37676 L p F P
0 g
s
.538 .232 .397 r
.83262 .37676 m .83283 .3771 L p .83217 .37698 L F P
0 g
s
.538 .232 .397 r
.81655 .37426 m .83262 .37676 L .83217 .37698 L F
.524 .229 .408 r
.81057 .38789 m .80502 .38031 L p .82178 .38188 L F P
0 g
s
.524 .229 .408 r
.82178 .38188 m .822 .3819 L .81057 .38789 L F
.80502 .38031 m .81655 .37426 L .822 .3819 L p F P
0 g
s
.52 .228 .411 r
.81057 .3879 m .79829 .39461 L .79311 .38683 L p F P
0 g
s
.52 .228 .411 r
.79311 .38683 m .80502 .38031 L .81057 .3879 L p F P
0 g
s
.784 .848 .9 r
.81057 .3879 m .80744 .37961 L p .79841 .39441 L F P
0 g
s
.784 .848 .9 r
.79829 .39461 m .81057 .3879 L p .79841 .39441 L F P
0 g
s
.524 .229 .408 r
.81057 .3879 m .81057 .38789 L p .81094 .3877 L F P
0 g
s
.524 .229 .408 r
.822 .3819 m .81057 .3879 L p .81094 .3877 L F P
0 g
s
.784 .848 .9 r
.80744 .37961 m .79544 .38617 L .79825 .3945 L p F P
0 g
s
.784 .848 .9 r
.79825 .3945 m .79829 .39461 L p .79841 .39441 L F P
0 g
s
.784 .848 .9 r
.79841 .39441 m .80744 .37961 L .79825 .3945 L F
.78 .846 .902 r
.822 .3819 m .81907 .37351 L p .81093 .38729 L F P
0 g
s
.78 .846 .902 r
.81057 .3879 m .82175 .38204 L p .81093 .38729 L F P
0 g
s
.78 .846 .902 r
.82175 .38204 m .822 .3819 L p .81093 .38729 L F P
0 g
s
.78 .846 .902 r
.81907 .37351 m .80744 .37961 L .81043 .38752 L p F P
0 g
s
.78 .846 .902 r
.81043 .38752 m .81057 .3879 L p .81095 .38726 L F P
0 g
s
.78 .846 .902 r
.81095 .38726 m .81907 .37351 L .81043 .38752 L F
.763 .838 .909 r
.83283 .3771 m .83044 .36844 L p .82243 .38123 L F P
0 g
s
.763 .838 .909 r
.822 .3819 m .83283 .3771 L p .82243 .38123 L F P
0 g
s
.556 .239 .385 r
.83283 .3771 m .83283 .37709 L p .83304 .37701 L F P
0 g
s
.556 .239 .385 r
.8437 .37328 m .83283 .3771 L p .83304 .37701 L F P
0 g
s
.763 .838 .909 r
.83044 .36844 m .81907 .37351 L .82185 .38146 L p F P
0 g
s
.763 .838 .909 r
.82185 .38146 m .822 .3819 L p .82243 .38123 L F P
0 g
s
.763 .838 .909 r
.82243 .38123 m .83044 .36844 L .82185 .38146 L F
.707 .577 .707 r
.84825 .3626 m .83931 .36517 L .83326 .34819 L p F P
0 g
s
.742 .825 .916 r
.8437 .37328 m .84201 .36434 L p .83317 .37663 L F P
0 g
s
.742 .825 .916 r
.83283 .3771 m .8437 .37328 L p .83317 .37663 L F P
0 g
s
.57 .244 .377 r
.8437 .37328 m .84369 .37327 L p .84414 .37314 L F P
0 g
s
.57 .244 .377 r
.85214 .37087 m .8437 .37328 L p .84414 .37314 L F P
0 g
s
.742 .825 .916 r
.84201 .36434 m .83044 .36844 L .83274 .37677 L p F P
0 g
s
.742 .825 .916 r
.83274 .37677 m .83283 .3771 L p .83317 .37663 L F P
0 g
s
.742 .825 .916 r
.83317 .37663 m .84201 .36434 L .83274 .37677 L F
.707 .577 .707 r
.85658 .36156 m .84825 .3626 L .84324 .34528 L p F P
0 g
s
.726 .814 .92 r
.85214 .37087 m .85102 .36176 L p .84426 .3724 L F P
0 g
s
.726 .814 .92 r
.8437 .37328 m .85214 .37087 L p .84426 .3724 L F P
0 g
s
.61 .265 .36 r
.85214 .37087 m .85214 .37087 L p .85224 .37085 L F P
0 g
s
.61 .265 .36 r
.85922 .3701 m .85214 .37087 L p .85224 .37085 L F P
0 g
s
.707 .577 .707 r
.83326 .34819 m .84324 .34528 L .84825 .3626 L p F P
0 g
s
.726 .814 .92 r
.85102 .36176 m .84201 .36434 L .84356 .37254 L p F P
0 g
s
.726 .814 .92 r
.84356 .37254 m .8437 .37328 L p .84426 .3724 L F P
0 g
s
.726 .814 .92 r
.84426 .3724 m .85102 .36176 L .84356 .37254 L F
.415 .33 .652 r
.85334 .31957 m .85179 .35547 L .86214 .35538 L p F P
0 g
s
.707 .577 .707 r
.86407 .36188 m .85658 .36156 L .85414 .3437 L p F P
0 g
s
.681 .78 .926 r
.85922 .3701 m .85942 .36071 L p .85262 .37021 L F P
0 g
s
.681 .78 .926 r
.85214 .37087 m .85922 .3701 L p .85262 .37021 L F P
0 g
s
.656 .295 .348 r
.85922 .3701 m .85921 .37005 L p .85978 .37009 L F P
0 g
s
.656 .295 .348 r
.86526 .37051 m .85922 .3701 L p .85978 .37009 L F P
0 g
s
.707 .577 .707 r
.84324 .34528 m .85414 .3437 L .85658 .36156 L p F P
0 g
s
.681 .78 .926 r
.85942 .36071 m .85102 .36176 L .85206 .37022 L p F P
0 g
s
.681 .78 .926 r
.85206 .37022 m .85214 .37087 L p .85262 .37021 L F P
0 g
s
.681 .78 .926 r
.85262 .37021 m .85942 .36071 L .85206 .37022 L F
.707 .577 .707 r
.87022 .36393 m .86407 .36188 L .86456 .34386 L p F P
0 g
s
.635 .739 .923 r
.86526 .37051 m .86696 .36103 L p .86005 .36913 L F P
0 g
s
.635 .739 .923 r
.85922 .3701 m .86526 .37051 L p .86005 .36913 L F P
0 g
s
.734 .362 .347 r
.86526 .37051 m .86525 .37044 L p .86561 .3706 L F P
0 g
s
.734 .362 .347 r
.86921 .37221 m .86526 .37051 L p .86561 .3706 L F P
0 g
s
.415 .33 .652 r
.86214 .35538 m .86368 .31824 L .85334 .31957 L p F P
0 g
s
.707 .577 .707 r
.85414 .3437 m .86456 .34386 L .86407 .36188 L p F P
0 g
s
.635 .739 .923 r
.86696 .36103 m .85942 .36071 L .85925 .36893 L p F P
0 g
s
.635 .739 .923 r
.85925 .36893 m .85922 .3701 L p .86005 .36913 L F P
0 g
s
.635 .739 .923 r
.86005 .36913 m .86696 .36103 L .85925 .36893 L F
.553 .648 .897 r
.86921 .37221 m .87317 .36309 L p .8658 .37 L F P
0 g
s
.553 .648 .897 r
.86526 .37051 m .86921 .37221 L p .8658 .37 L F P
0 g
s
.831 .473 .379 r
.88961 .3874 m .86921 .37221 L p .87104 .3734 L F P
0 g
s
.707 .577 .707 r
.86456 .34386 m .87516 .34659 L .87022 .36393 L p F P
0 g
s
.553 .648 .897 r
.87317 .36309 m .86696 .36103 L .86539 .36976 L p F P
0 g
s
.553 .648 .897 r
.86539 .36976 m .86526 .37051 L p .8658 .37 L F P
0 g
s
.553 .648 .897 r
.8658 .37 m .87317 .36309 L .86539 .36976 L F
.522 .603 .876 r
.88961 .3874 m .89749 .38041 L p .87685 .37443 L F P
0 g
s
.522 .603 .876 r
.86921 .37221 m .88961 .3874 L p .87685 .37443 L F P
0 g
s
.477 .529 .832 r
.90646 .40846 m .91592 .40344 L p .89522 .39082 L F P
0 g
s
.477 .529 .832 r
.88961 .3874 m .90646 .40846 L p .89522 .39082 L F P
0 g
s
.452 .477 .794 r
.9205 .43466 m .93075 .4313 L p .9125 .41414 L F P
0 g
s
.452 .477 .794 r
.90646 .40846 m .9205 .43466 L p .9125 .41414 L F P
0 g
s
.433 .425 .75 r
.92922 .46348 m .93996 .46197 L p .92332 .43862 L F P
0 g
s
.433 .425 .75 r
.9205 .43466 m .92922 .46348 L p .92332 .43862 L F P
0 g
s
.426 .397 .723 r
.93558 .49705 m .94643 .49663 L p .93363 .47197 L F P
0 g
s
.426 .397 .723 r
.92922 .46348 m .93558 .49705 L p .93363 .47197 L F P
0 g
s
.422 .358 .681 r
.93589 .53011 m .94668 .5314 L p .93825 .50529 L F P
0 g
s
.422 .358 .681 r
.93558 .49705 m .93589 .53011 L p .93825 .50529 L F P
0 g
s
.423 .326 .64 r
.93045 .56347 m .94091 .56639 L p .93696 .53784 L F P
0 g
s
.423 .326 .64 r
.93589 .53011 m .93045 .56347 L p .93696 .53784 L F P
0 g
s
.429 .303 .605 r
.92005 .59645 m .93 .60075 L p .93041 .56667 L F P
0 g
s
.429 .303 .605 r
.93045 .56347 m .92005 .59645 L p .93041 .56667 L F P
0 g
s
.433 .295 .593 r
.90749 .63023 m .91716 .63511 L p .91936 .60561 L F P
0 g
s
.433 .295 .593 r
.92005 .59645 m .90749 .63023 L p .91936 .60561 L F P
0 g
s
.446 .279 .56 r
.89093 .66 m .89982 .66613 L p .90557 .63922 L F P
0 g
s
.446 .279 .56 r
.90749 .63023 m .89093 .66 L p .90557 .63922 L F P
0 g
s
.467 .266 .524 r
.8702 .68564 m .87796 .69306 L p .88777 .66807 L F P
0 g
s
.467 .266 .524 r
.89093 .66 m .8702 .68564 L p .88777 .66807 L F P
0 g
s
.493 .261 .49 r
.84532 .70733 m .85176 .71582 L p .8669 .69104 L F P
0 g
s
.493 .261 .49 r
.8702 .68564 m .84532 .70733 L p .8669 .69104 L F P
0 g
s
.513 .261 .471 r
.81886 .72546 m .82418 .73461 L p .83962 .71469 L F P
0 g
s
.513 .261 .471 r
.84532 .70733 m .81886 .72546 L p .83962 .71469 L F P
0 g
s
.552 .271 .442 r
.79081 .73733 m .79437 .74715 L p .81278 .73084 L F P
0 g
s
.552 .271 .442 r
.81886 .72546 m .79081 .73733 L p .81278 .73084 L F P
0 g
s
.593 .289 .422 r
.76194 .74351 m .76364 .75365 L p .78265 .74223 L F P
0 g
s
.593 .289 .422 r
.79081 .73733 m .76194 .74351 L p .78265 .74223 L F P
0 g
s
.653 .326 .406 r
.76194 .74351 m .73372 .7424 L .73371 .74256 L p F P
0 g
s
.591 .744 .949 r
.73411 .75026 m .72176 .74701 L .7277 .74223 L p F P
0 g
s
.591 .744 .949 r
.73411 .75026 m .7277 .74223 L .73035 .74237 L F
.741 .613 .716 r
.72176 .74701 m .73411 .75026 L .73387 .76807 L p F P
0 g
s
.692 .565 .707 r
.76839 .76816 m .73387 .76807 L .73411 .75026 L p F P
0 g
s
.653 .326 .406 r
.73371 .74256 m .73309 .75242 L p .76023 .74404 L F P
0 g
s
.653 .326 .406 r
.76194 .74351 m .73371 .74256 L .76023 .74404 L F
.591 .744 .949 r
.7277 .74223 m .72957 .74073 L p .73035 .74237 L F P
0 g
s
.741 .613 .716 r
.73387 .76807 m .71687 .76415 L .72176 .74701 L p F P
0 g
s
.748 .413 .415 r
.71687 .76415 m .73387 .76807 L .73324 .77816 L p F P
0 g
s
.649 .325 .41 r
.73387 .76807 m .76839 .76816 L .77011 .77836 L p F P
0 g
s
.649 .325 .41 r
.77011 .77836 m .73324 .77816 L .73387 .76807 L p F P
0 g
s
.799 .823 .87 r
.47699 .09037 m .45345 .10382 L .44945 .09412 L p F P
0 g
s
.799 .823 .87 r
.44945 .09412 m .47396 .08027 L .47699 .09037 L p F P
0 g
s
.32 .309 .691 r
.14383 .29913 m .1491 .33499 L .14224 .33939 L p F P
0 g
s
.32 .309 .691 r
.14224 .33939 m .13622 .29984 L .14383 .29913 L p F P
0 g
s
.316 .303 .686 r
.14777 .36248 m .14224 .33939 L .1491 .33499 L p F P
0 g
s
.709 .589 .719 r
.13622 .29984 m .14224 .33939 L .12493 .3436 L p F P
0 g
s
.702 .557 .687 r
.14224 .33939 m .14777 .36248 L .13104 .36863 L p F P
0 g
s
.702 .557 .687 r
.13104 .36863 m .12493 .3436 L .14224 .33939 L p F P
0 g
s
.709 .589 .719 r
.12493 .3436 m .11858 .30236 L .13622 .29984 L p F P
0 g
s
.908 .721 .638 r
.11858 .30236 m .12493 .3436 L .11436 .34345 L p F P
0 g
s
.9 .673 .586 r
.12493 .3436 m .13104 .36863 L .12058 .36962 L p F P
0 g
s
.9 .673 .586 r
.12058 .36962 m .11436 .34345 L .12493 .3436 L p F P
0 g
s
.876 .572 .469 r
.50745 .35269 m .50315 .34542 L .50957 .33898 L p F P
0 g
s
.876 .572 .469 r
.50957 .33898 m .51791 .35336 L p .50818 .34794 L F P
0 g
s
.685 .531 .671 r
.51795 .35343 m .50957 .33898 L .52535 .33072 L p F P
0 g
s
.919 .668 .543 r
.50287 .32532 m .50957 .33898 L .50315 .34542 L p F P
0 g
s
.919 .668 .543 r
.50315 .34542 m .49578 .33107 L .50287 .32532 L p F P
0 g
s
.419 .467 .803 r
.49578 .33107 m .50315 .34542 L .51258 .3436 L p F P
0 g
s
.724 .619 .74 r
.50957 .33898 m .50287 .32532 L .5194 .31863 L p F P
0 g
s
.724 .619 .74 r
.5194 .31863 m .52535 .33072 L .50957 .33898 L p F P
0 g
s
.419 .467 .803 r
.51258 .3436 m .50528 .33011 L .49578 .33107 L p F P
0 g
s
.685 .531 .671 r
.52535 .33072 m .53332 .3444 L .51795 .35343 L p F P
0 g
s
.357 .365 .731 r
.53332 .3444 m .52535 .33072 L .53483 .32884 L p F P
0 g
s
.722 .615 .737 r
.51258 .3436 m .52849 .33527 L p .50828 .33078 L F P
0 g
s
.722 .615 .737 r
.50528 .33011 m .5104 .33957 L p .50828 .33078 L F P
0 g
s
.722 .615 .737 r
.5104 .33957 m .51258 .3436 L p .50828 .33078 L F P
0 g
s
.876 .572 .469 r
.51795 .35343 m .50745 .35269 L p .50818 .34794 L F P
0 g
s
.876 .572 .469 r
.51791 .35336 m .51795 .35343 L p .50818 .34794 L F P
0 g
s
.367 .38 .741 r
.50315 .34542 m .50745 .35269 L .51157 .3444 L p F P
0 g
s
.367 .38 .741 r
.51235 .34283 m .51258 .3436 L .50353 .34535 L p F P
0 g
s
.367 .38 .741 r
.51157 .3444 m .51235 .34283 L p .51126 .34314 L F P
0 g
s
.367 .38 .741 r
.50353 .34535 m .50315 .34542 L p .50349 .34533 L F P
0 g
s
.367 .38 .741 r
.50349 .34533 m .51235 .34283 L .50353 .34535 L F
.50315 .34542 m .51157 .3444 L .51126 .34314 L F
.425 .479 .812 r
.52535 .33072 m .5194 .31863 L .52876 .31765 L p F P
0 g
s
.425 .479 .812 r
.52888 .31788 m .52535 .33072 L .52876 .31765 L F
.52895 .31762 m .53483 .32884 L .52535 .33072 L p F P
0 g
s
.722 .615 .737 r
.52849 .33527 m .52193 .32336 L .50528 .33011 L p F P
0 g
s
.783 .932 .93 r
.51258 .3436 m .51235 .34283 L .52678 .33435 L p F P
0 g
s
.916 .658 .534 r
.52539 .32489 m .52802 .33443 L .53468 .329 L F
.52193 .32336 m .52635 .33139 L p .52539 .32489 L F P
0 g
s
.916 .658 .534 r
.52635 .33139 m .52802 .33443 L p .52539 .32489 L F P
0 g
s
.783 .932 .93 r
.52678 .33435 m .52783 .33373 L p .52687 .33435 L F P
0 g
s
.783 .932 .93 r
.51258 .3436 m .52678 .33435 L .52687 .33435 L F
.916 .658 .534 r
.52802 .33443 m .52849 .33527 L .52923 .33452 L p F P
0 g
s
.916 .658 .534 r
.52923 .33452 m .53468 .329 L p .52802 .33443 L F P
0 g
s
.357 .365 .731 r
.5383 .33455 m .53332 .3444 L p .53474 .32985 L F P
0 g
s
.357 .365 .731 r
.53483 .32884 m .5383 .33455 L p .53474 .32985 L F P
0 g
s
.872 .833 .806 r
.5383 .33455 m .53483 .32884 L .53229 .33142 L p F P
0 g
s
.872 .833 .806 r
.53229 .33142 m .52849 .33527 L p .5383 .33455 L F P
0 g
s
.359 .388 .755 r
.5379 .34915 m .53332 .3444 L .5383 .33455 L p F P
0 g
s
.359 .388 .755 r
.54176 .33878 m .5379 .34915 L p .53828 .33528 L F P
0 g
s
.359 .388 .755 r
.5383 .33455 m .54176 .33878 L p .53828 .33528 L F P
0 g
s
.373 .428 .789 r
.54302 .35301 m .5379 .34915 L .54176 .33878 L p F P
0 g
s
.373 .428 .789 r
.54548 .34219 m .54302 .35301 L p .54182 .33943 L F P
0 g
s
.373 .428 .789 r
.54176 .33878 m .54548 .34219 L p .54182 .33943 L F P
0 g
s
.397 .476 .824 r
.54857 .35594 m .54302 .35301 L .54548 .34219 L p F P
0 g
s
.397 .476 .824 r
.54954 .3449 m .54857 .35594 L p .54554 .34245 L F P
0 g
s
.397 .476 .824 r
.54548 .34219 m .54954 .3449 L p .54554 .34245 L F P
0 g
s
.423 .517 .85 r
.5545 .35857 m .54857 .35594 L .54954 .3449 L p F P
0 g
s
.423 .517 .85 r
.55422 .34744 m .5545 .35857 L p .54988 .34581 L F P
0 g
s
.423 .517 .85 r
.54954 .3449 m .55422 .34744 L p .54988 .34581 L F P
0 g
s
.448 .564 .879 r
.56044 .35974 m .5545 .35857 L .55422 .34744 L p F P
0 g
s
.448 .564 .879 r
.55849 .34881 m .56044 .35974 L p .55444 .34787 L F P
0 g
s
.448 .564 .879 r
.55422 .34744 m .55849 .34881 L p .55444 .34787 L F P
0 g
s
.488 .616 .904 r
.56653 .36008 m .56044 .35974 L .55849 .34881 L p F P
0 g
s
.488 .616 .904 r
.56306 .34957 m .56653 .36008 L p .5589 .34938 L F P
0 g
s
.488 .616 .904 r
.55849 .34881 m .56306 .34957 L p .5589 .34938 L F P
0 g
s
.531 .67 .926 r
.57249 .35928 m .56653 .36008 L .56306 .34957 L p F P
0 g
s
.531 .67 .926 r
.56742 .34952 m .57249 .35928 L p .56321 .34974 L F P
0 g
s
.531 .67 .926 r
.56306 .34957 m .56742 .34952 L p .56321 .34974 L F P
0 g
s
.585 .719 .936 r
.57866 .35781 m .57249 .35928 L .56742 .34952 L p F P
0 g
s
.585 .719 .936 r
.57263 .34886 m .57866 .35781 L p .56789 .34987 L F P
0 g
s
.585 .719 .936 r
.56742 .34952 m .57263 .34886 L p .56789 .34987 L F P
0 g
s
.628 .759 .941 r
.58485 .35544 m .57866 .35781 L .57263 .34886 L p F P
0 g
s
.628 .759 .941 r
.57771 .34746 m .58485 .35544 L p .57282 .34896 L F P
0 g
s
.628 .759 .941 r
.57263 .34886 m .57771 .34746 L p .57282 .34896 L F P
0 g
s
.668 .787 .938 r
.59123 .35252 m .58485 .35544 L .57771 .34746 L p F P
0 g
s
.668 .787 .938 r
.58348 .34531 m .59123 .35252 L p .57804 .34758 L F P
0 g
s
.668 .787 .938 r
.57771 .34746 m .58348 .34531 L p .57804 .34758 L F P
0 g
s
.697 .807 .934 r
.59768 .34901 m .59123 .35252 L .58348 .34531 L p F P
0 g
s
.697 .807 .934 r
.58348 .34531 m .58938 .34254 L .59768 .34901 L p F P
0 g
s
.474 .181 .388 r
.58348 .34531 m .58149 .35519 L p .58912 .34297 L F P
0 g
s
.474 .181 .388 r
.58938 .34254 m .58348 .34531 L p .58912 .34297 L F P
0 g
s
.499 .19 .373 r
.57771 .34746 m .57445 .35706 L p .5831 .34581 L F P
0 g
s
.499 .19 .373 r
.58348 .34531 m .57771 .34746 L p .5831 .34581 L F P
0 g
s
.532 .205 .359 r
.57263 .34886 m .56793 .35785 L p .57733 .34786 L F P
0 g
s
.532 .205 .359 r
.57771 .34746 m .57263 .34886 L p .57733 .34786 L F P
0 g
s
.572 .227 .345 r
.56742 .34952 m .56113 .3577 L p .57209 .34927 L F P
0 g
s
.572 .227 .345 r
.57263 .34886 m .56742 .34952 L p .57209 .34927 L F P
0 g
s
.615 .257 .339 r
.56306 .34957 m .55542 .35655 L p .567 .34976 L F P
0 g
s
.615 .257 .339 r
.56742 .34952 m .56306 .34957 L p .567 .34976 L F P
0 g
s
.662 .293 .335 r
.55849 .34881 m .54984 .35453 L p .56258 .34975 L F P
0 g
s
.662 .293 .335 r
.56306 .34957 m .55849 .34881 L p .56258 .34975 L F P
0 g
s
.708 .336 .342 r
.55422 .34744 m .54473 .35171 L p .55809 .34889 L F P
0 g
s
.708 .336 .342 r
.55849 .34881 m .55422 .34744 L p .55809 .34889 L F P
0 g
s
.747 .374 .347 r
.54954 .3449 m .53969 .34814 L p .55375 .34746 L F P
0 g
s
.747 .374 .347 r
.55422 .34744 m .54954 .3449 L p .55375 .34746 L F P
0 g
s
.783 .419 .369 r
.54548 .34219 m .53519 .34394 L p .54904 .34486 L F P
0 g
s
.783 .419 .369 r
.54954 .3449 m .54548 .34219 L p .54904 .34486 L F P
0 g
s
.818 .467 .391 r
.54176 .33878 m .53131 .33919 L p .54504 .34209 L F P
0 g
s
.818 .467 .391 r
.54548 .34219 m .54176 .33878 L p .54504 .34209 L F P
0 g
s
.872 .833 .806 r
.52849 .33527 m .52783 .33373 L .5383 .33455 L p F P
0 g
s
.849 .512 .416 r
.5383 .33455 m .52783 .33373 L p .54143 .33866 L F P
0 g
s
.849 .512 .416 r
.54176 .33878 m .5383 .33455 L p .54143 .33866 L F P
0 g
s
.783 .932 .93 r
.52783 .33373 m .52849 .33527 L .51258 .3436 L p F P
0 g
s
.667 .505 .655 r
.53131 .33919 m .52783 .33373 L .52678 .33435 L p F P
0 g
s
.667 .505 .655 r
.52678 .33435 m .51235 .34283 L p .5276 .3399 L F P
0 g
s
.667 .505 .655 r
.5276 .3399 m .53131 .33919 L .52678 .33435 L F
.916 .658 .534 r
.53468 .329 m .53483 .32884 L p .53453 .32871 L F P
0 g
s
.916 .658 .534 r
.52193 .32336 m .53468 .329 L .53453 .32871 L F
.425 .479 .812 r
.52876 .31765 m .52895 .31762 L p .52888 .31788 L F P
0 g
s
.704 .608 .746 r
.70965 .39474 m .70927 .40757 L .69147 .4068 L p F P
0 g
s
.392 .338 .678 r
.70927 .40757 m .70965 .39474 L .71953 .39786 L p F P
0 g
s
.392 .338 .678 r
.71953 .39786 m .71884 .41143 L .70927 .40757 L p F P
0 g
s
.654 .551 .726 r
.46401 .56976 m .47432 .56597 L .4797 .58296 L p F P
0 g
s
.654 .551 .726 r
.4797 .58296 m .4709 .58619 L .46401 .56976 L p F P
0 g
s
.485 .201 .406 r
.4709 .58619 m .4797 .58296 L .47822 .59296 L p F P
0 g
s
.485 .201 .406 r
.47799 .59305 m .4709 .58619 L .47822 .59296 L F
.47818 .59323 m .47027 .59655 L .4709 .58619 L p F P
0 g
s
.719 .824 .93 r
.47123 .58646 m .46268 .59043 L .47004 .59636 L p F P
0 g
s
.719 .824 .93 r
.47004 .59636 m .47027 .59655 L p .4703 .59625 L F P
0 g
s
.719 .824 .93 r
.47123 .58646 m .47004 .59636 L .4703 .59625 L F
.485 .201 .406 r
.47822 .59296 m .47818 .59323 L p .47799 .59305 L F P
0 g
s
.92 .668 .541 r
.61271 .35586 m .6106 .34842 L .61675 .34006 L p F P
0 g
s
.92 .668 .541 r
.61675 .34006 m .62222 .35882 L .61699 .3572 L p F P
0 g
s
.92 .668 .541 r
.61675 .34006 m .61699 .3572 L .61365 .35218 L F
.701 .556 .687 r
.62222 .35882 m .61675 .34006 L .63372 .33462 L p F P
0 g
s
.945 .742 .598 r
.6146 .33451 m .61675 .34006 L .6106 .34842 L p F P
0 g
s
.945 .742 .598 r
.60915 .34336 m .6146 .33451 L p .6107 .34808 L F P
0 g
s
.945 .742 .598 r
.6106 .34842 m .60915 .34336 L p .6107 .34808 L F P
0 g
s
.941 .718 .573 r
.61198 .32923 m .6146 .33451 L .60915 .34336 L p F P
0 g
s
.941 .718 .573 r
.60743 .33865 m .61198 .32923 L p .60923 .34295 L F P
0 g
s
.941 .718 .573 r
.60915 .34336 m .60743 .33865 L p .60923 .34295 L F P
0 g
s
.725 .647 .771 r
.61675 .34006 m .6146 .33451 L .63112 .32778 L p F P
0 g
s
.725 .647 .771 r
.63112 .32778 m .63372 .33462 L .61675 .34006 L p F P
0 g
s
.933 .688 .544 r
.60901 .32459 m .61198 .32923 L .60743 .33865 L p F P
0 g
s
.933 .688 .544 r
.60551 .33447 m .60901 .32459 L p .60746 .33837 L F P
0 g
s
.933 .688 .544 r
.60743 .33865 m .60551 .33447 L p .60746 .33837 L F P
0 g
s
.73 .65 .769 r
.6146 .33451 m .61198 .32923 L .62784 .32104 L p F P
0 g
s
.73 .65 .769 r
.62784 .32104 m .63112 .32778 L .6146 .33451 L p F P
0 g
s
.927 .66 .513 r
.60493 .31911 m .60901 .32459 L .60551 .33447 L p F P
0 g
s
.927 .66 .513 r
.60551 .33447 m .60285 .33011 L .60493 .31911 L p F P
0 g
s
.443 .548 .869 r
.60551 .33447 m .61702 .33454 L p .60343 .33029 L F P
0 g
s
.443 .548 .869 r
.60285 .33011 m .60551 .33447 L p .60343 .33029 L F P
0 g
s
.417 .515 .851 r
.60743 .33865 m .61881 .33989 L p .60571 .33455 L F P
0 g
s
.417 .515 .851 r
.60551 .33447 m .60743 .33865 L p .60571 .33455 L F P
0 g
s
.401 .481 .827 r
.60915 .34336 m .62029 .34549 L p .60764 .33876 L F P
0 g
s
.401 .481 .827 r
.60743 .33865 m .60915 .34336 L p .60764 .33876 L F P
0 g
s
.389 .453 .806 r
.60915 .34336 m .6106 .34842 L .6215 .35136 L p F P
0 g
s
.389 .453 .806 r
.6215 .35136 m .62029 .34549 L .61926 .34529 L p F P
0 g
s
.389 .453 .806 r
.61926 .34529 m .60915 .34336 L p .61532 .34736 L F P
0 g
s
.389 .453 .806 r
.61532 .34736 m .6215 .35136 L .61926 .34529 L F
.358 .307 .663 r
.62047 .34819 m .6215 .35136 L .61127 .3486 L p F P
0 g
s
.358 .307 .663 r
.61114 .3484 m .62047 .34819 L .61127 .3486 L F
.92 .668 .541 r
.61699 .3572 m .61271 .35586 L p .61365 .35218 L F P
0 g
s
.358 .307 .663 r
.61271 .35586 m .62047 .34819 L p .61342 .34835 L F P
0 g
s
.358 .307 .663 r
.61127 .3486 m .6106 .34842 L p .61114 .3484 L F P
0 g
s
.358 .307 .663 r
.6106 .34842 m .61095 .34964 L p .61342 .34835 L F P
0 g
s
.358 .307 .663 r
.61095 .34964 m .61271 .35586 L p .61342 .34835 L F P
0 g
s
.701 .556 .687 r
.63372 .33462 m .63943 .35416 L .62222 .35882 L p F P
0 g
s
.374 .327 .676 r
.63943 .35416 m .63372 .33462 L .64466 .3375 L p F P
0 g
s
.406 .444 .788 r
.63372 .33462 m .63112 .32778 L .64229 .32985 L p F P
0 g
s
.406 .444 .788 r
.64229 .32985 m .64466 .3375 L .63372 .33462 L p F P
0 g
s
.309 .262 .642 r
.14386 .2639 m .14383 .29913 L .13622 .29984 L p F P
0 g
s
.309 .262 .642 r
.13622 .29984 m .13633 .26345 L .14372 .26389 L p F P
0 g
s
.309 .262 .642 r
.13622 .29984 m .14372 .26389 L .14372 .26455 L F
.707 .588 .72 r
.13633 .26345 m .13622 .29984 L .11858 .30236 L p F P
0 g
s
.707 .588 .72 r
.11858 .30236 m .11849 .26339 L .13633 .26345 L p F P
0 g
s
.909 .754 .677 r
.13347 .26429 m .13372 .30094 L .14376 .29914 L p F P
0 g
s
.909 .754 .677 r
.14376 .29914 m .14383 .29913 L p .14376 .29887 L F P
0 g
s
.909 .754 .677 r
.14376 .29887 m .13347 .26429 L .14376 .29914 L F
.309 .262 .642 r
.14372 .26389 m .14386 .2639 L p .14372 .26455 L F P
0 g
s
.907 .749 .674 r
.11849 .26339 m .11858 .30236 L .1084 .30417 L p F P
0 g
s
.908 .721 .638 r
.11436 .34345 m .1084 .30417 L .11858 .30236 L p F P
0 g
s
.592 .737 .945 r
.21343 .72163 m .24324 .72704 L .24344 .73502 L p F P
0 g
s
.592 .737 .945 r
.24344 .73502 m .2117 .72921 L .21336 .72192 L p F P
0 g
s
.592 .737 .945 r
.24344 .73502 m .21336 .72192 L .21452 .72212 L F
.721 .591 .709 r
.2117 .72921 m .24344 .73502 L .24454 .75281 L p F P
0 g
s
.721 .591 .709 r
.24454 .75281 m .20867 .74679 L .2117 .72921 L p F P
0 g
s
.721 .389 .416 r
.21211 .73171 m .24415 .73694 L .24325 .72713 L p F P
0 g
s
.721 .389 .416 r
.24325 .72713 m .24324 .72704 L p .24299 .72708 L F P
0 g
s
.721 .389 .416 r
.24299 .72708 m .21211 .73171 L .24325 .72713 L F
.592 .737 .945 r
.21336 .72192 m .21343 .72163 L p .21452 .72212 L F P
0 g
s
.712 .383 .418 r
.20867 .74679 m .24454 .75281 L .24544 .76277 L p F P
0 g
s
.653 .326 .407 r
.28378 .75967 m .24544 .76277 L .24454 .75281 L p F P
0 g
s
.593 .291 .426 r
.76839 .76816 m .80184 .76016 L .80542 .77003 L p F P
0 g
s
.593 .291 .426 r
.80542 .77003 m .77011 .77836 L .76839 .76816 L p F P
0 g
s
.82 .828 .855 r
.45345 .10382 m .43156 .11948 L .42681 .11018 L p F P
0 g
s
.82 .828 .855 r
.42681 .11018 m .44945 .09412 L .45345 .10382 L p F P
0 g
s
.948 .81 .674 r
.84505 .40325 m .84957 .37986 L .8569 .38286 L p F P
0 g
s
.948 .81 .674 r
.8569 .38286 m .85211 .407 L .84516 .4033 L p F P
0 g
s
.948 .81 .674 r
.8569 .38286 m .84516 .4033 L .84523 .40294 L F
.711 .564 .687 r
.85211 .407 m .8569 .38286 L .87464 .38464 L p F P
0 g
s
.417 .285 .592 r
.85557 .40299 m .86005 .37862 L .84968 .37984 L p F P
0 g
s
.417 .285 .592 r
.84968 .37984 m .84957 .37986 L p .84963 .38009 L F P
0 g
s
.417 .285 .592 r
.84963 .38009 m .85557 .40299 L .84968 .37984 L F
.948 .81 .674 r
.84516 .4033 m .84505 .40325 L p .84523 .40294 L F P
0 g
s
.711 .564 .687 r
.87464 .38464 m .8696 .4105 L .85211 .407 L p F P
0 g
s
.316 .303 .686 r
.15417 .35725 m .14777 .36248 L p .14893 .3385 L F P
0 g
s
.329 .342 .722 r
.15598 .38506 m .14777 .36248 L .15417 .35725 L p F P
0 g
s
.7 .556 .688 r
.14777 .36248 m .15598 .38506 L .13983 .39264 L p F P
0 g
s
.7 .556 .688 r
.13983 .39264 m .13104 .36863 L .14777 .36248 L p F P
0 g
s
.329 .342 .722 r
.16199 .37931 m .15598 .38506 L p .15435 .36003 L F P
0 g
s
.329 .342 .722 r
.15417 .35725 m .16199 .37931 L p .15435 .36003 L F P
0 g
s
.341 .372 .749 r
.16639 .40745 m .15598 .38506 L .16199 .37931 L p F P
0 g
s
.698 .556 .689 r
.15598 .38506 m .16639 .40745 L .15093 .41637 L p F P
0 g
s
.698 .556 .689 r
.15093 .41637 m .13983 .39264 L .15598 .38506 L p F P
0 g
s
.341 .372 .749 r
.17196 .40118 m .16639 .40745 L p .16244 .38219 L F P
0 g
s
.341 .372 .749 r
.16199 .37931 m .17196 .40118 L p .16244 .38219 L F P
0 g
s
.354 .402 .773 r
.17868 .42894 m .16639 .40745 L .17196 .40118 L p F P
0 g
s
.697 .555 .69 r
.16639 .40745 m .17868 .42894 L .16387 .43894 L p F P
0 g
s
.697 .555 .69 r
.16387 .43894 m .15093 .41637 L .16639 .40745 L p F P
0 g
s
.354 .402 .773 r
.18395 .42242 m .17868 .42894 L p .17249 .40339 L F P
0 g
s
.354 .402 .773 r
.17196 .40118 m .18395 .42242 L p .17249 .40339 L F P
0 g
s
.368 .43 .793 r
.19429 .45234 m .17868 .42894 L .18395 .42242 L p F P
0 g
s
.697 .556 .692 r
.17868 .42894 m .19429 .45234 L .17961 .46256 L p F P
0 g
s
.697 .556 .692 r
.17961 .46256 m .16387 .43894 L .17868 .42894 L p F P
0 g
s
.368 .43 .793 r
.19953 .44582 m .19429 .45234 L p .18415 .42301 L F P
0 g
s
.368 .43 .793 r
.18395 .42242 m .19953 .44582 L p .18415 .42301 L F P
0 g
s
.371 .434 .797 r
.21041 .47588 m .19429 .45234 L .19953 .44582 L p F P
0 g
s
.696 .556 .692 r
.19429 .45234 m .21041 .47588 L .19552 .48582 L p F P
0 g
s
.696 .556 .692 r
.19552 .48582 m .17961 .46256 L .19429 .45234 L p F P
0 g
s
.371 .434 .797 r
.19953 .44582 m .21583 .46956 L .21041 .47588 L p F P
0 g
s
.862 .572 .496 r
.19953 .44582 m .19003 .44955 L p .21522 .46908 L F P
0 g
s
.862 .572 .496 r
.21583 .46956 m .19953 .44582 L p .21522 .46908 L F P
0 g
s
.864 .576 .499 r
.18395 .42242 m .17434 .42593 L p .19667 .44356 L F P
0 g
s
.864 .576 .499 r
.19953 .44582 m .18395 .42242 L p .19667 .44356 L F P
0 g
s
.873 .595 .513 r
.17196 .40118 m .16199 .40386 L p .18162 .42045 L F P
0 g
s
.873 .595 .513 r
.18395 .42242 m .17196 .40118 L p .18162 .42045 L F P
0 g
s
.884 .619 .533 r
.16199 .37931 m .15176 .38115 L p .16981 .39905 L F P
0 g
s
.884 .619 .533 r
.17196 .40118 m .16199 .37931 L p .16981 .39905 L F P
0 g
s
.893 .643 .554 r
.15417 .35725 m .14375 .3582 L p .15952 .37646 L F P
0 g
s
.893 .643 .554 r
.16199 .37931 m .15417 .35725 L p .15952 .37646 L F P
0 g
s
.316 .303 .686 r
.1491 .33499 m .15417 .35725 L p .14893 .3385 L F P
0 g
s
.891 .644 .557 r
.13104 .36863 m .13983 .39264 L .12956 .39452 L p F P
0 g
s
.891 .644 .557 r
.12956 .39452 m .12058 .36962 L .13104 .36863 L p F P
0 g
s
.927 .697 .571 r
.49754 .3111 m .50287 .32532 L .49578 .33107 L p F P
0 g
s
.721 .618 .742 r
.50287 .32532 m .49754 .3111 L .51465 .30607 L p F P
0 g
s
.721 .618 .742 r
.51465 .30607 m .5194 .31863 L .50287 .32532 L p F P
0 g
s
.409 .448 .789 r
.5194 .31863 m .51465 .30607 L .52399 .30594 L p F P
0 g
s
.409 .448 .789 r
.52409 .30619 m .5194 .31863 L .52399 .30594 L F
.52419 .30594 m .52895 .31762 L .5194 .31863 L p F P
0 g
s
.924 .687 .562 r
.51654 .31087 m .52193 .32336 L .52877 .31777 L p F P
0 g
s
.924 .687 .562 r
.52877 .31777 m .52895 .31762 L p .52865 .31746 L F P
0 g
s
.924 .687 .562 r
.51654 .31087 m .52877 .31777 L .52865 .31746 L F
.409 .448 .789 r
.52399 .30594 m .52419 .30594 L p .52409 .30619 L F P
0 g
s
.707 .61 .746 r
.70878 .38156 m .70965 .39474 L .69184 .39541 L p F P
0 g
s
.395 .358 .699 r
.70965 .39474 m .70878 .38156 L .71903 .38359 L p F P
0 g
s
.395 .358 .699 r
.71903 .38359 m .71953 .39786 L .70965 .39474 L p F P
0 g
s
.846 .873 .861 r
.58125 .61982 m .58936 .61382 L .59215 .62242 L p F P
0 g
s
.846 .873 .861 r
.59215 .62242 m .58316 .62869 L .5813 .62008 L p F P
0 g
s
.846 .873 .861 r
.59215 .62242 m .5813 .62008 L .58155 .61989 L F
.739 .584 .682 r
.58316 .62869 m .59215 .62242 L .60402 .63572 L p F P
0 g
s
.528 .23 .404 r
.58995 .62539 m .59851 .61855 L .58958 .61393 L p F P
0 g
s
.528 .23 .404 r
.58958 .61393 m .58936 .61382 L p .58937 .61408 L F P
0 g
s
.528 .23 .404 r
.58937 .61408 m .58995 .62539 L .58958 .61393 L F
.846 .873 .861 r
.5813 .62008 m .58125 .61982 L p .58155 .61989 L F P
0 g
s
.739 .584 .682 r
.60402 .63572 m .59371 .64307 L .58316 .62869 L p F P
0 g
s
.525 .239 .424 r
.59371 .64307 m .60402 .63572 L .61319 .64052 L p F P
0 g
s
.505 .231 .432 r
.62213 .63233 m .61319 .64052 L .60402 .63572 L p F P
0 g
s
.673 .799 .942 r
.48505 .56316 m .47432 .56597 L .46738 .55911 L p F P
0 g
s
.651 .546 .722 r
.47432 .56597 m .48505 .56316 L .48865 .58063 L p F P
0 g
s
.651 .546 .722 r
.48865 .58063 m .4797 .58296 L .47432 .56597 L p F P
0 g
s
.505 .206 .393 r
.4797 .58296 m .48865 .58063 L .4862 .5904 L p F P
0 g
s
.505 .206 .393 r
.48594 .59049 m .4797 .58296 L .4862 .5904 L F
.48612 .59071 m .47818 .59323 L .4797 .58296 L p F P
0 g
s
.694 .808 .936 r
.47995 .58325 m .47123 .58646 L .47793 .59299 L p F P
0 g
s
.694 .808 .936 r
.47793 .59299 m .47818 .59323 L p .47824 .5929 L F P
0 g
s
.694 .808 .936 r
.47995 .58325 m .47793 .59299 L .47824 .5929 L F
.505 .206 .393 r
.4862 .5904 m .48612 .59071 L p .48594 .59049 L F P
0 g
s
.518 .638 .908 r
.72515 .73788 m .72957 .74073 L .72176 .74701 L p F P
0 g
s
.518 .638 .908 r
.72176 .74701 m .71596 .74245 L .72515 .73788 L p F P
0 g
s
.746 .627 .728 r
.71596 .74245 m .72176 .74701 L .71687 .76415 L p F P
0 g
s
.746 .627 .728 r
.71687 .76415 m .70734 .75808 L .71596 .74245 L p F P
0 g
s
.805 .476 .432 r
.70734 .75808 m .71687 .76415 L .71977 .77515 L p F P
0 g
s
.748 .413 .415 r
.73324 .77816 m .71977 .77515 L .71687 .76415 L p F P
0 g
s
.92 .647 .506 r
.61475 .36376 m .61271 .35586 L .62222 .35882 L p F P
0 g
s
.92 .647 .506 r
.62222 .35882 m .62419 .36692 L .61475 .36376 L p F P
0 g
s
.69 .517 .647 r
.62419 .36692 m .62222 .35882 L .63943 .35416 L p F P
0 g
s
.69 .517 .647 r
.63943 .35416 m .64152 .36266 L .62419 .36692 L p F P
0 g
s
.371 .317 .667 r
.64152 .36266 m .63943 .35416 L .64725 .3465 L p F P
0 g
s
.374 .327 .676 r
.64466 .3375 m .64725 .3465 L .63943 .35416 L p F P
0 g
s
.832 .474 .378 r
.51319 .36038 m .50745 .35269 L .51795 .35343 L p F P
0 g
s
.832 .474 .378 r
.51795 .35343 m .52366 .3599 L .51319 .36038 L p F P
0 g
s
.655 .483 .639 r
.52366 .3599 m .51795 .35343 L .53332 .3444 L p F P
0 g
s
.655 .483 .639 r
.53332 .3444 m .5379 .34915 L .52366 .3599 L p F P
0 g
s
.418 .468 .805 r
.63112 .32778 m .62784 .32104 L .63925 .32221 L p F P
0 g
s
.418 .468 .805 r
.63925 .32221 m .64229 .32985 L .63112 .32778 L p F P
0 g
s
.305 .22 .593 r
.1489 .22967 m .14386 .2639 L .13633 .26345 L p F P
0 g
s
.305 .22 .593 r
.13633 .26345 m .14162 .22805 L .14876 .22964 L p F P
0 g
s
.305 .22 .593 r
.13633 .26345 m .14876 .22964 L .14867 .2303 L F
.705 .587 .72 r
.14162 .22805 m .13633 .26345 L .11849 .26339 L p F P
0 g
s
.705 .587 .72 r
.11849 .26339 m .12397 .2254 L .14162 .22805 L p F P
0 g
s
.903 .778 .713 r
.13844 .22863 m .13347 .26429 L .14378 .2639 L p F P
0 g
s
.903 .778 .713 r
.14378 .2639 m .14386 .2639 L p .14382 .26363 L F P
0 g
s
.903 .778 .713 r
.14382 .26363 m .13844 .22863 L .14378 .2639 L F
.305 .22 .593 r
.14876 .22964 m .1489 .22967 L p .14867 .2303 L F P
0 g
s
.902 .774 .71 r
.12397 .2254 m .11849 .26339 L .10804 .26379 L p F P
0 g
s
.907 .749 .674 r
.1084 .30417 m .10804 .26379 L .11849 .26339 L p F P
0 g
s
.531 .681 .934 r
.18365 .71045 m .21343 .72163 L .2117 .72921 L p F P
0 g
s
.531 .681 .934 r
.2117 .72921 m .18053 .71742 L .18357 .71065 L p F P
0 g
s
.531 .681 .934 r
.2117 .72921 m .18357 .71065 L .18441 .71096 L F
.72 .592 .712 r
.18053 .71742 m .2117 .72921 L .20867 .74679 L p F P
0 g
s
.72 .592 .712 r
.20867 .74679 m .17428 .73414 L .18053 .71742 L p F P
0 g
s
.764 .438 .434 r
.18051 .72029 m .21211 .73171 L .21342 .72173 L p F P
0 g
s
.764 .438 .434 r
.21342 .72173 m .21343 .72163 L p .21314 .72162 L F P
0 g
s
.764 .438 .434 r
.21314 .72162 m .18051 .72029 L .21342 .72173 L F
.531 .681 .934 r
.18357 .71065 m .18365 .71045 L p .18441 .71096 L F P
0 g
s
.757 .433 .436 r
.17428 .73414 m .20867 .74679 L .20733 .75693 L p F P
0 g
s
.712 .383 .418 r
.24544 .76277 m .20733 .75693 L .20867 .74679 L p F P
0 g
s
.552 .274 .447 r
.80184 .76016 m .83415 .74558 L .83951 .75476 L p F P
0 g
s
.552 .274 .447 r
.83951 .75476 m .80542 .77003 L .80184 .76016 L p F P
0 g
s
.835 .831 .843 r
.43156 .11948 m .41051 .13719 L .40506 .12834 L p F P
0 g
s
.835 .831 .843 r
.40506 .12834 m .42681 .11018 L .43156 .11948 L p F P
0 g
s
.883 .62 .537 r
.13983 .39264 m .15093 .41637 L .14091 .4191 L p F P
0 g
s
.883 .62 .537 r
.14091 .4191 m .12956 .39452 L .13983 .39264 L p F P
0 g
s
.942 .827 .702 r
.83837 .42671 m .84505 .40325 L .85211 .407 L p F P
0 g
s
.942 .827 .702 r
.85211 .407 m .84513 .43107 L .83846 .42677 L p F P
0 g
s
.942 .827 .702 r
.85211 .407 m .83846 .42677 L .83855 .42645 L F
.712 .566 .688 r
.84513 .43107 m .85211 .407 L .8696 .4105 L p F P
0 g
s
.422 .272 .571 r
.84883 .42737 m .85557 .40299 L .84515 .40324 L p F P
0 g
s
.422 .272 .571 r
.84515 .40324 m .84505 .40325 L p .84509 .40347 L F P
0 g
s
.422 .272 .571 r
.84509 .40347 m .84883 .42737 L .84515 .40324 L F
.942 .827 .702 r
.83846 .42677 m .83837 .42671 L p .83855 .42645 L F P
0 g
s
.712 .566 .688 r
.8696 .4105 m .86227 .43607 L .84513 .43107 L p F P
0 g
s
.426 .279 .577 r
.86227 .43607 m .8696 .4105 L .88017 .41027 L p F P
0 g
s
.927 .697 .571 r
.49578 .33107 m .48982 .31603 L .49754 .3111 L p F P
0 g
s
.931 .724 .6 r
.49357 .29632 m .49754 .3111 L .48982 .31603 L p F P
0 g
s
.717 .615 .743 r
.49754 .3111 m .49357 .29632 L .51109 .29288 L p F P
0 g
s
.717 .615 .743 r
.51109 .29288 m .51465 .30607 L .49754 .3111 L p F P
0 g
s
.395 .416 .764 r
.51465 .30607 m .51109 .29288 L .52035 .29354 L p F P
0 g
s
.395 .416 .764 r
.52042 .29378 m .51465 .30607 L .52035 .29354 L F
.52053 .29355 m .52419 .30594 L .51465 .30607 L p F P
0 g
s
.93 .716 .591 r
.51239 .2977 m .51654 .31087 L .52401 .30605 L p F P
0 g
s
.93 .716 .591 r
.52401 .30605 m .52419 .30594 L p .52392 .30576 L F P
0 g
s
.93 .716 .591 r
.51239 .2977 m .52401 .30605 L .52392 .30576 L F
.395 .416 .764 r
.52035 .29354 m .52053 .29355 L p .52042 .29378 L F P
0 g
s
.814 .868 .887 r
.57312 .62433 m .58125 .61982 L .58316 .62869 L p F P
0 g
s
.814 .868 .887 r
.58316 .62869 m .57379 .63342 L .57314 .62468 L p F P
0 g
s
.814 .868 .887 r
.58316 .62869 m .57314 .62468 L .57349 .62449 L F
.742 .589 .686 r
.57379 .63342 m .58316 .62869 L .59371 .64307 L p F P
0 g
s
.563 .243 .385 r
.58118 .63089 m .58995 .62539 L .58151 .61999 L p F P
0 g
s
.563 .243 .385 r
.58151 .61999 m .58125 .61982 L p .58125 .62014 L F P
0 g
s
.563 .243 .385 r
.58125 .62014 m .58118 .63089 L .58151 .61999 L F
.814 .868 .887 r
.57314 .62468 m .57312 .62433 L p .57349 .62449 L F P
0 g
s
.742 .589 .686 r
.59371 .64307 m .58246 .64903 L .57379 .63342 L p F P
0 g
s
.554 .252 .411 r
.58246 .64903 m .59371 .64307 L .60243 .64871 L p F P
0 g
s
.525 .239 .424 r
.61319 .64052 m .60243 .64871 L .59371 .64307 L p F P
0 g
s
.712 .614 .746 r
.70626 .36893 m .70878 .38156 L .69117 .38442 L p F P
0 g
s
.402 .391 .732 r
.70878 .38156 m .70626 .36893 L .71675 .36959 L p F P
0 g
s
.402 .391 .732 r
.71675 .36959 m .71903 .38359 L .70878 .38156 L p F P
0 g
s
.673 .799 .942 r
.46738 .55911 m .4789 .55563 L .48505 .56316 L p F P
0 g
s
.639 .774 .945 r
.49605 .56155 m .48505 .56316 L .4789 .55563 L p F P
0 g
s
.648 .539 .716 r
.48505 .56316 m .49605 .56155 L .49758 .57934 L p F P
0 g
s
.648 .539 .716 r
.49758 .57934 m .48865 .58063 L .48505 .56316 L p F P
0 g
s
.528 .214 .379 r
.48865 .58063 m .49758 .57934 L .49396 .58906 L p F P
0 g
s
.528 .214 .379 r
.49396 .58906 m .48612 .59071 L .48865 .58063 L p F P
0 g
s
.485 .599 .891 r
.71966 .73339 m .72515 .73788 L .71596 .74245 L p F P
0 g
s
.485 .599 .891 r
.71596 .74245 m .70991 .73676 L .71966 .73339 L p F P
0 g
s
.742 .629 .734 r
.70991 .73676 m .71596 .74245 L .70734 .75808 L p F P
0 g
s
.742 .629 .734 r
.70734 .75808 m .69894 .75084 L .70991 .73676 L p F P
0 g
s
.845 .528 .452 r
.69894 .75084 m .70734 .75808 L .70785 .76924 L p F P
0 g
s
.805 .476 .432 r
.71977 .77515 m .70785 .76924 L .70734 .75808 L p F P
0 g
s
.919 .64 .498 r
.617 .37218 m .61475 .36376 L .62419 .36692 L p F P
0 g
s
.919 .64 .498 r
.62419 .36692 m .62647 .37524 L .617 .37218 L p F P
0 g
s
.689 .514 .645 r
.62647 .37524 m .62419 .36692 L .64152 .36266 L p F P
0 g
s
.689 .514 .645 r
.64152 .36266 m .64377 .37083 L .62647 .37524 L p F P
0 g
s
.368 .314 .666 r
.64377 .37083 m .64152 .36266 L .64953 .35521 L p F P
0 g
s
.371 .317 .667 r
.64725 .3465 m .64953 .35521 L .64152 .36266 L p F P
0 g
s
.795 .421 .348 r
.52002 .36741 m .51319 .36038 L .52366 .3599 L p F P
0 g
s
.795 .421 .348 r
.52366 .3599 m .53033 .36558 L .52002 .36741 L p F P
0 g
s
.644 .478 .644 r
.53033 .36558 m .52366 .3599 L .5379 .34915 L p F P
0 g
s
.644 .478 .644 r
.5379 .34915 m .54302 .35301 L .53033 .36558 L p F P
0 g
s
.736 .652 .766 r
.61198 .32923 m .60901 .32459 L .62393 .31477 L p F P
0 g
s
.736 .652 .766 r
.62393 .31477 m .62784 .32104 L .61198 .32923 L p F P
0 g
s
.433 .497 .825 r
.62784 .32104 m .62393 .31477 L .63546 .31477 L p F P
0 g
s
.433 .497 .825 r
.63546 .31477 m .63925 .32221 L .62784 .32104 L p F P
0 g
s
.309 .181 .538 r
.15928 .19687 m .1489 .22967 L .14162 .22805 L p F P
0 g
s
.309 .181 .538 r
.14162 .22805 m .15248 .19404 L .15914 .19681 L p F P
0 g
s
.309 .181 .538 r
.14162 .22805 m .15914 .19681 L .15891 .19753 L F
.703 .584 .72 r
.15248 .19404 m .14162 .22805 L .12397 .2254 L p F P
0 g
s
.703 .584 .72 r
.12397 .2254 m .13545 .18861 L .15248 .19404 L p F P
0 g
s
.891 .799 .751 r
.14899 .19426 m .13844 .22863 L .14882 .22966 L p F P
0 g
s
.891 .799 .751 r
.14882 .22966 m .1489 .22967 L p .1489 .2294 L F P
0 g
s
.891 .799 .751 r
.1489 .2294 m .14899 .19426 L .14882 .22966 L F
.309 .181 .538 r
.15914 .19681 m .15928 .19687 L p .15891 .19753 L F P
0 g
s
.891 .794 .747 r
.13545 .18861 m .12397 .2254 L .11345 .22435 L p F P
0 g
s
.902 .774 .71 r
.10804 .26379 m .11345 .22435 L .12397 .2254 L p F P
0 g
s
.471 .615 .911 r
.15633 .69372 m .18365 .71045 L .18053 .71742 L p F P
0 g
s
.471 .615 .911 r
.18053 .71742 m .1519 .69979 L .1562 .69389 L p F P
0 g
s
.471 .615 .911 r
.18053 .71742 m .1562 .69389 L .15699 .69437 L F
.719 .593 .714 r
.1519 .69979 m .18053 .71742 L .17428 .73414 L p F P
0 g
s
.719 .593 .714 r
.17428 .73414 m .14259 .71504 L .1519 .69979 L p F P
0 g
s
.804 .492 .461 r
.15141 .70297 m .18051 .72029 L .18363 .71054 L p F P
0 g
s
.804 .492 .461 r
.18363 .71054 m .18365 .71045 L p .18338 .71039 L F P
0 g
s
.804 .492 .461 r
.18338 .71039 m .15141 .70297 L .18363 .71054 L F
.471 .615 .911 r
.1562 .69389 m .15633 .69372 L p .15699 .69437 L F P
0 g
s
.798 .486 .461 r
.14259 .71504 m .17428 .73414 L .17111 .74403 L p F P
0 g
s
.757 .433 .436 r
.20733 .75693 m .17111 .74403 L .17428 .73414 L p F P
0 g
s
.515 .265 .474 r
.83415 .74558 m .86289 .72543 L .86937 .73395 L p F P
0 g
s
.515 .265 .474 r
.86937 .73395 m .83951 .75476 L .83415 .74558 L p F P
0 g
s
.849 .831 .829 r
.41051 .13719 m .39098 .15639 L .38486 .14807 L p F P
0 g
s
.849 .831 .829 r
.38486 .14807 m .40506 .12834 L .41051 .13719 L p F P
0 g
s
.934 .843 .731 r
.82956 .44943 m .83837 .42671 L .84513 .43107 L p F P
0 g
s
.934 .843 .731 r
.84513 .43107 m .83595 .45442 L .82965 .4495 L p F P
0 g
s
.934 .843 .731 r
.84513 .43107 m .82965 .4495 L .82978 .44917 L F
.714 .568 .689 r
.83595 .45442 m .84513 .43107 L .86227 .43607 L p F P
0 g
s
.43 .26 .549 r
.83988 .45101 m .84883 .42737 L .83847 .42672 L p F P
0 g
s
.43 .26 .549 r
.83847 .42672 m .83837 .42671 L p .83838 .42694 L F P
0 g
s
.43 .26 .549 r
.83838 .42694 m .83988 .45101 L .83847 .42672 L F
.934 .843 .731 r
.82965 .4495 m .82956 .44943 L p .82978 .44917 L F P
0 g
s
.714 .568 .689 r
.86227 .43607 m .85256 .46098 L .83595 .45442 L p F P
0 g
s
.433 .267 .555 r
.85256 .46098 m .86227 .43607 L .87278 .43676 L p F P
0 g
s
.426 .279 .577 r
.88017 .41027 m .87278 .43676 L .86227 .43607 L p F P
0 g
s
.872 .596 .517 r
.15093 .41637 m .16387 .43894 L .15422 .4425 L p F P
0 g
s
.872 .596 .517 r
.15422 .4425 m .14091 .4191 L .15093 .41637 L p F P
0 g
s
.931 .724 .6 r
.48982 .31603 m .48536 .30047 L .49357 .29632 L p F P
0 g
s
.933 .745 .626 r
.49091 .28177 m .49357 .29632 L .48536 .30047 L p F P
0 g
s
.713 .612 .743 r
.49357 .29632 m .49091 .28177 L .50861 .27932 L p F P
0 g
s
.713 .612 .743 r
.50861 .27932 m .51109 .29288 L .49357 .29632 L p F P
0 g
s
.384 .385 .737 r
.51109 .29288 m .50861 .27932 L .51781 .28019 L p F P
0 g
s
.384 .385 .737 r
.51784 .28034 m .51109 .29288 L .51781 .28019 L F
.51792 .2802 m .52053 .29355 L .51109 .29288 L p F P
0 g
s
.934 .742 .62 r
.50946 .28356 m .51239 .2977 L .52042 .29361 L p F P
0 g
s
.934 .742 .62 r
.52042 .29361 m .52053 .29355 L p .52039 .29343 L F P
0 g
s
.934 .742 .62 r
.50946 .28356 m .52042 .29361 L .52039 .29343 L F
.384 .385 .737 r
.51781 .28019 m .51792 .2802 L p .51784 .28034 L F P
0 g
s
.718 .619 .746 r
.70201 .35647 m .70626 .36893 L .68921 .37421 L p F P
0 g
s
.416 .43 .766 r
.70626 .36893 m .70201 .35647 L .71276 .35649 L p F P
0 g
s
.416 .43 .766 r
.71276 .35649 m .71675 .36959 L .70626 .36893 L p F P
0 g
s
.774 .854 .91 r
.56476 .62742 m .57312 .62433 L .57379 .63342 L p F P
0 g
s
.774 .854 .91 r
.57379 .63342 m .56404 .63655 L .56473 .62784 L p F P
0 g
s
.774 .854 .91 r
.57379 .63342 m .56473 .62784 L .56515 .62768 L F
.744 .596 .692 r
.56404 .63655 m .57379 .63342 L .58246 .64903 L p F P
0 g
s
.604 .266 .371 r
.57186 .63506 m .58118 .63089 L .5734 .62455 L p F P
0 g
s
.604 .266 .371 r
.5734 .62455 m .57312 .62433 L p .57308 .62467 L F P
0 g
s
.604 .266 .371 r
.57308 .62467 m .57186 .63506 L .5734 .62455 L F
.774 .854 .91 r
.56473 .62784 m .56476 .62742 L p .56515 .62768 L F P
0 g
s
.744 .596 .692 r
.58246 .64903 m .57036 .65327 L .56404 .63655 L p F P
0 g
s
.589 .272 .4 r
.57036 .65327 m .58246 .64903 L .59052 .65566 L p F P
0 g
s
.554 .252 .411 r
.60243 .64871 m .59052 .65566 L .58246 .64903 L p F P
0 g
s
.457 .555 .867 r
.71462 .72789 m .71966 .73339 L .70991 .73676 L p F P
0 g
s
.457 .555 .867 r
.70991 .73676 m .70438 .72999 L .71462 .72789 L p F P
0 g
s
.737 .629 .739 r
.70438 .72999 m .70991 .73676 L .69894 .75084 L p F P
0 g
s
.737 .629 .739 r
.69894 .75084 m .69149 .74235 L .70438 .72999 L p F P
0 g
s
.874 .574 .476 r
.69149 .74235 m .69894 .75084 L .69763 .76166 L p F P
0 g
s
.845 .528 .452 r
.70785 .76924 m .69763 .76166 L .69894 .75084 L p F P
0 g
s
.639 .774 .945 r
.4789 .55563 m .49091 .55334 L .49605 .56155 L p F P
0 g
s
.604 .744 .943 r
.50705 .56117 m .49605 .56155 L .49091 .55334 L p F P
0 g
s
.648 .533 .71 r
.49605 .56155 m .50705 .56117 L .50673 .57904 L p F P
0 g
s
.648 .533 .71 r
.50673 .57904 m .49758 .57934 L .49605 .56155 L p F P
0 g
s
.564 .235 .37 r
.49758 .57934 m .50673 .57904 L .50236 .58806 L p F P
0 g
s
.564 .235 .37 r
.50209 .58809 m .49758 .57934 L .50236 .58806 L F
.50222 .58834 m .49396 .58906 L .49758 .57934 L p F P
0 g
s
.627 .758 .941 r
.498 .57972 m .48879 .58092 L .49378 .58877 L p F P
0 g
s
.627 .758 .941 r
.49378 .58877 m .49396 .58906 L p .4941 .58874 L F P
0 g
s
.627 .758 .941 r
.498 .57972 m .49378 .58877 L .4941 .58874 L F
.564 .235 .37 r
.50236 .58806 m .50222 .58834 L p .50209 .58809 L F P
0 g
s
.915 .628 .486 r
.61958 .38088 m .617 .37218 L .62647 .37524 L p F P
0 g
s
.915 .628 .486 r
.62647 .37524 m .62912 .38364 L .61958 .38088 L p F P
0 g
s
.687 .512 .644 r
.62912 .38364 m .62647 .37524 L .64377 .37083 L p F P
0 g
s
.687 .512 .644 r
.64377 .37083 m .64631 .37874 L .62912 .38364 L p F P
0 g
s
.367 .318 .671 r
.64631 .37874 m .64377 .37083 L .65174 .36333 L p F P
0 g
s
.368 .314 .666 r
.65174 .36333 m .64377 .37083 L p .64943 .35548 L F P
0 g
s
.367 .318 .671 r
.65408 .37105 m .64631 .37874 L p .6516 .36373 L F P
0 g
s
.367 .318 .671 r
.65174 .36333 m .65408 .37105 L p .6516 .36373 L F P
0 g
s
.36 .314 .671 r
.64897 .38615 m .64631 .37874 L .65408 .37105 L p F P
0 g
s
.36 .314 .671 r
.65635 .37772 m .64897 .38615 L p .6538 .37189 L F P
0 g
s
.36 .314 .671 r
.65408 .37105 m .65635 .37772 L p .6538 .37189 L F P
0 g
s
.354 .326 .689 r
.65225 .39209 m .64897 .38615 L .65635 .37772 L p F P
0 g
s
.354 .326 .689 r
.65884 .38303 m .65225 .39209 L p .65614 .37843 L F P
0 g
s
.354 .326 .689 r
.65635 .37772 m .65884 .38303 L p .65614 .37843 L F P
0 g
s
.353 .348 .715 r
.65617 .39729 m .65225 .39209 L .65884 .38303 L p F P
0 g
s
.353 .348 .715 r
.66162 .38742 m .65617 .39729 L p .65863 .38414 L F P
0 g
s
.353 .348 .715 r
.65884 .38303 m .66162 .38742 L p .65863 .38414 L F P
0 g
s
.357 .387 .755 r
.66083 .40094 m .65617 .39729 L .66162 .38742 L p F P
0 g
s
.357 .387 .755 r
.66453 .39033 m .66083 .40094 L p .66155 .38859 L F P
0 g
s
.357 .387 .755 r
.66162 .38742 m .66453 .39033 L p .66155 .38859 L F P
0 g
s
.343 .415 .792 r
.66593 .40315 m .66083 .40094 L .66453 .39033 L p F P
0 g
s
.343 .415 .792 r
.66699 .3917 m .66593 .40315 L p .66457 .39066 L F P
0 g
s
.343 .415 .792 r
.66453 .39033 m .66699 .3917 L p .66457 .39066 L F P
0 g
s
.384 .491 .845 r
.67088 .40404 m .66593 .40315 L .66699 .3917 L p F P
0 g
s
.384 .491 .845 r
.66984 .39272 m .67088 .40404 L p .66699 .39171 L F P
0 g
s
.384 .491 .845 r
.66699 .3917 m .66984 .39272 L p .66699 .39171 L F P
0 g
s
.439 .562 .882 r
.67617 .40467 m .67088 .40404 L .66984 .39272 L p F P
0 g
s
.439 .562 .882 r
.67362 .39375 m .67617 .40467 L p .67005 .39311 L F P
0 g
s
.439 .562 .882 r
.66984 .39272 m .67362 .39375 L p .67005 .39311 L F P
0 g
s
.478 .617 .909 r
.68161 .40454 m .67617 .40467 L .67362 .39375 L p F P
0 g
s
.478 .617 .909 r
.67362 .39375 m .67755 .39421 L .68161 .40454 L p F P
0 g
s
.65 .286 .34 r
.67362 .39375 m .66501 .3998 L p .67718 .39438 L F P
0 g
s
.65 .286 .34 r
.67755 .39421 m .67362 .39375 L p .67718 .39438 L F P
0 g
s
.694 .324 .341 r
.66984 .39272 m .66028 .39727 L p .6731 .39388 L F P
0 g
s
.694 .324 .341 r
.67362 .39375 m .66984 .39272 L p .6731 .39388 L F P
0 g
s
.745 .379 .36 r
.66699 .3917 m .65667 .3942 L p .66945 .39277 L F P
0 g
s
.745 .379 .36 r
.66984 .39272 m .66699 .3917 L p .66945 .39277 L F P
0 g
s
.795 .437 .38 r
.66453 .39033 m .65432 .39112 L p .66687 .3917 L F P
0 g
s
.795 .437 .38 r
.66699 .3917 m .66453 .39033 L p .66687 .3917 L F P
0 g
s
.844 .503 .409 r
.66162 .38742 m .65141 .38637 L p .66417 .39022 L F P
0 g
s
.844 .503 .409 r
.66453 .39033 m .66162 .38742 L p .66417 .39022 L F P
0 g
s
.877 .553 .434 r
.65884 .38303 m .64888 .38095 L p .66131 .38726 L F P
0 g
s
.877 .553 .434 r
.66162 .38742 m .65884 .38303 L p .66131 .38726 L F P
0 g
s
.898 .593 .461 r
.65635 .37772 m .64661 .37467 L p .65861 .38288 L F P
0 g
s
.898 .593 .461 r
.65884 .38303 m .65635 .37772 L p .65861 .38288 L F P
0 g
s
.912 .617 .472 r
.65408 .37105 m .6446 .36824 L p .65635 .37771 L F P
0 g
s
.912 .617 .472 r
.65635 .37772 m .65408 .37105 L p .65635 .37771 L F P
0 g
s
.917 .635 .491 r
.65174 .36333 m .64233 .36022 L p .65398 .37095 L F P
0 g
s
.917 .635 .491 r
.65408 .37105 m .65174 .36333 L p .65398 .37095 L F P
0 g
s
.368 .314 .666 r
.64953 .35521 m .65174 .36333 L p .64943 .35548 L F P
0 g
s
.752 .367 .324 r
.52795 .37354 m .52002 .36741 L .53033 .36558 L p F P
0 g
s
.752 .367 .324 r
.53033 .36558 m .53781 .37021 L .52795 .37354 L p F P
0 g
s
.635 .478 .652 r
.53781 .37021 m .53033 .36558 L .54302 .35301 L p F P
0 g
s
.635 .478 .652 r
.54302 .35301 m .54857 .35594 L .53781 .37021 L p F P
0 g
s
.744 .659 .766 r
.60901 .32459 m .60493 .31911 L .61908 .30819 L p F P
0 g
s
.744 .659 .766 r
.61908 .30819 m .62393 .31477 L .60901 .32459 L p F P
0 g
s
.453 .532 .849 r
.62393 .31477 m .61908 .30819 L .63124 .30819 L p F P
0 g
s
.453 .532 .849 r
.63124 .30819 m .63546 .31477 L .62393 .31477 L p F P
0 g
s
.317 .158 .501 r
.17226 .16802 m .15928 .19687 L .15248 .19404 L p F P
0 g
s
.317 .158 .501 r
.15248 .19404 m .16597 .16423 L .17216 .16796 L p F P
0 g
s
.317 .158 .501 r
.15248 .19404 m .17216 .16796 L .17196 .1684 L F
.701 .583 .721 r
.16597 .16423 m .15248 .19404 L .13545 .18861 L p F P
0 g
s
.701 .583 .721 r
.13545 .18861 m .14971 .1568 L .16597 .16423 L p F P
0 g
s
.879 .81 .778 r
.1622 .16434 m .14899 .19426 L .1592 .19685 L p F P
0 g
s
.879 .81 .778 r
.1592 .19685 m .15928 .19687 L p .1593 .19663 L F P
0 g
s
.879 .81 .778 r
.1593 .19663 m .1622 .16434 L .1592 .19685 L F
.317 .158 .501 r
.17216 .16796 m .17226 .16802 L p .17196 .1684 L F P
0 g
s
.879 .806 .774 r
.14971 .1568 m .13545 .18861 L .12511 .18597 L p F P
0 g
s
.891 .794 .747 r
.11345 .22435 m .12511 .18597 L .13545 .18861 L p F P
0 g
s
.494 .265 .494 r
.86289 .72543 m .89069 .70028 L .8985 .70772 L p F P
0 g
s
.494 .265 .494 r
.8985 .70772 m .86937 .73395 L .86289 .72543 L p F P
0 g
s
.436 .573 .892 r
.12977 .67299 m .15633 .69372 L .1519 .69979 L p F P
0 g
s
.436 .573 .892 r
.1519 .69979 m .12466 .67841 L .12969 .67307 L p F P
0 g
s
.436 .573 .892 r
.1519 .69979 m .12969 .67307 L .1301 .67339 L F
.718 .594 .716 r
.12466 .67841 m .1519 .69979 L .14259 .71504 L p F P
0 g
s
.718 .594 .716 r
.14259 .71504 m .11359 .69245 L .12466 .67841 L p F P
0 g
s
.825 .524 .479 r
.12376 .68167 m .15141 .70297 L .15629 .69379 L p F P
0 g
s
.825 .524 .479 r
.15629 .69379 m .15633 .69372 L p .15608 .69363 L F P
0 g
s
.825 .524 .479 r
.15608 .69363 m .12376 .68167 L .15629 .69379 L F
.436 .573 .892 r
.12969 .67307 m .12977 .67299 L p .1301 .67339 L F P
0 g
s
.822 .521 .481 r
.11359 .69245 m .14259 .71504 L .13764 .72433 L p F P
0 g
s
.798 .486 .461 r
.17111 .74403 m .13764 .72433 L .14259 .71504 L p F P
0 g
s
.86 .83 .817 r
.39098 .15639 m .37136 .17836 L .36508 .17017 L p F P
0 g
s
.86 .83 .817 r
.36508 .17017 m .38486 .14807 L .39098 .15639 L p F P
0 g
s
.863 .577 .502 r
.16387 .43894 m .17961 .46256 L .17007 .46633 L p F P
0 g
s
.863 .577 .502 r
.17007 .46633 m .15422 .4425 L .16387 .43894 L p F P
0 g
s
.923 .855 .757 r
.81767 .47371 m .82956 .44943 L .83595 .45442 L p F P
0 g
s
.923 .855 .757 r
.83595 .45442 m .82372 .47911 L .81774 .47378 L p F P
0 g
s
.923 .855 .757 r
.83595 .45442 m .81774 .47378 L .81789 .47347 L F
.715 .571 .691 r
.82372 .47911 m .83595 .45442 L .85256 .46098 L p F P
0 g
s
.438 .253 .531 r
.8277 .47629 m .83988 .45101 L .82966 .44944 L p F P
0 g
s
.438 .253 .531 r
.82966 .44944 m .82956 .44943 L p .82955 .44966 L F P
0 g
s
.438 .253 .531 r
.82955 .44966 m .8277 .47629 L .82966 .44944 L F
.923 .855 .757 r
.81774 .47378 m .81767 .47371 L p .81789 .47347 L F P
0 g
s
.715 .571 .691 r
.85256 .46098 m .83973 .48706 L .82372 .47911 L p F P
0 g
s
.441 .259 .536 r
.83973 .48706 m .85256 .46098 L .86293 .4626 L p F P
0 g
s
.433 .267 .555 r
.87278 .43676 m .86293 .4626 L .85256 .46098 L p F P
0 g
s
.933 .745 .626 r
.48536 .30047 m .48238 .28512 L .49091 .28177 L p F P
0 g
s
.932 .756 .641 r
.48886 .26532 m .49091 .28177 L .48238 .28512 L p F P
0 g
s
.711 .608 .74 r
.49091 .28177 m .48886 .26532 L .50669 .26407 L p F P
0 g
s
.711 .608 .74 r
.50669 .26407 m .50861 .27932 L .49091 .28177 L p F P
0 g
s
.378 .367 .72 r
.50861 .27932 m .50669 .26407 L .51575 .2655 L p F P
0 g
s
.378 .367 .72 r
.51578 .2657 m .50861 .27932 L .51575 .2655 L F
.51587 .26552 m .51792 .2802 L .50861 .27932 L p F P
0 g
s
.933 .752 .634 r
.50715 .26824 m .50946 .28356 L .51779 .28025 L p F P
0 g
s
.933 .752 .634 r
.51779 .28025 m .51792 .2802 L p .51775 .28002 L F P
0 g
s
.933 .752 .634 r
.50715 .26824 m .51779 .28025 L .51775 .28002 L F
.378 .367 .72 r
.51575 .2655 m .51587 .26552 L p .51578 .2657 L F P
0 g
s
.742 .84 .925 r
.55657 .62933 m .56476 .62742 L .56404 .63655 L p F P
0 g
s
.742 .84 .925 r
.56404 .63655 m .55437 .63838 L .55648 .62971 L p F P
0 g
s
.742 .84 .925 r
.56404 .63655 m .55648 .62971 L .55687 .62962 L F
.749 .603 .696 r
.55437 .63838 m .56404 .63655 L .57036 .65327 L p F P
0 g
s
.641 .292 .365 r
.56292 .63775 m .57186 .63506 L .56499 .62767 L p F P
0 g
s
.641 .292 .365 r
.56499 .62767 m .56476 .62742 L p .56471 .62773 L F P
0 g
s
.641 .292 .365 r
.56471 .62773 m .56292 .63775 L .56499 .62767 L F
.742 .84 .925 r
.55648 .62971 m .55657 .62933 L p .55687 .62962 L F P
0 g
s
.749 .603 .696 r
.57036 .65327 m .55848 .65578 L .55437 .63838 L p F P
0 g
s
.625 .294 .39 r
.55848 .65578 m .57036 .65327 L .57745 .66097 L p F P
0 g
s
.589 .272 .4 r
.59052 .65566 m .57745 .66097 L .57036 .65327 L p F P
0 g
s
.443 .531 .853 r
.70726 .71895 m .71462 .72789 L .70438 .72999 L p F P
0 g
s
.443 .531 .853 r
.70438 .72999 m .69739 .72106 L .70705 .719 L p F P
0 g
s
.443 .531 .853 r
.70438 .72999 m .70705 .719 L .7072 .71918 L F
.895 .604 .488 r
.70334 .72834 m .71195 .73824 L .71457 .72812 L p F P
0 g
s
.895 .604 .488 r
.71457 .72812 m .71462 .72789 L p .71439 .7279 L F P
0 g
s
.895 .604 .488 r
.71439 .7279 m .70334 .72834 L .71457 .72812 L F
.443 .531 .853 r
.70705 .719 m .70726 .71895 L p .7072 .71918 L F P
0 g
s
.731 .621 .736 r
.69739 .72106 m .70438 .72999 L .69149 .74235 L p F P
0 g
s
.731 .621 .736 r
.69149 .74235 m .68364 .73249 L .69739 .72106 L p F P
0 g
s
.886 .596 .489 r
.68364 .73249 m .69149 .74235 L .68873 .75272 L p F P
0 g
s
.874 .574 .476 r
.69763 .76166 m .68873 .75272 L .69149 .74235 L p F P
0 g
s
.604 .744 .943 r
.49091 .55334 m .50286 .55248 L .50705 .56117 L p F P
0 g
s
.572 .713 .938 r
.51816 .56198 m .50705 .56117 L .50286 .55248 L p F P
0 g
s
.648 .528 .704 r
.50705 .56117 m .51816 .56198 L .51585 .57971 L p F P
0 g
s
.648 .528 .704 r
.51585 .57971 m .50673 .57904 L .50705 .56117 L p F P
0 g
s
.591 .251 .362 r
.50673 .57904 m .51585 .57971 L .51059 .58819 L p F P
0 g
s
.591 .251 .362 r
.5103 .58818 m .50673 .57904 L .51059 .58819 L F
.51041 .58847 m .50222 .58834 L .50673 .57904 L p F P
0 g
s
.598 .731 .938 r
.50726 .57942 m .498 .57972 L .50206 .58801 L p F P
0 g
s
.598 .731 .938 r
.50206 .58801 m .50222 .58834 L p .50241 .58802 L F P
0 g
s
.598 .731 .938 r
.50726 .57942 m .50206 .58801 L .50241 .58802 L F
.591 .251 .362 r
.51059 .58819 m .51041 .58847 L p .5103 .58818 L F P
0 g
s
.429 .466 .797 r
.70201 .35647 m .69666 .34615 L .70734 .3444 L p F P
0 g
s
.429 .466 .797 r
.70734 .3444 m .71276 .35649 L .70201 .35647 L p F P
0 g
s
.909 .61 .467 r
.62214 .38859 m .61958 .38088 L .62912 .38364 L p F P
0 g
s
.909 .61 .467 r
.62912 .38364 m .63193 .39157 L .62214 .38859 L p F P
0 g
s
.682 .502 .636 r
.63193 .39157 m .62912 .38364 L .64631 .37874 L p F P
0 g
s
.682 .502 .636 r
.64631 .37874 m .64897 .38615 L .63193 .39157 L p F P
0 g
s
.72 .332 .314 r
.53586 .37829 m .52795 .37354 L .53781 .37021 L p F P
0 g
s
.72 .332 .314 r
.53781 .37021 m .54535 .37394 L .53586 .37829 L p F P
0 g
s
.632 .482 .66 r
.54535 .37394 m .53781 .37021 L .54857 .35594 L p F P
0 g
s
.632 .482 .66 r
.54857 .35594 m .5545 .35857 L .54535 .37394 L p F P
0 g
s
.909 .625 .494 r
.60178 .31644 m .60493 .31911 L .60285 .33011 L p F P
0 g
s
.751 .665 .766 r
.60493 .31911 m .60178 .31644 L .61423 .3036 L p F P
0 g
s
.751 .665 .766 r
.61423 .3036 m .61908 .30819 L .60493 .31911 L p F P
0 g
s
.469 .56 .866 r
.61908 .30819 m .61423 .3036 L .62638 .30194 L p F P
0 g
s
.469 .56 .866 r
.62638 .30194 m .63124 .30819 L .61908 .30819 L p F P
0 g
s
.469 .27 .527 r
.89069 .70028 m .91366 .67083 L .92259 .67698 L p F P
0 g
s
.469 .27 .527 r
.92259 .67698 m .8985 .70772 L .89069 .70028 L p F P
0 g
s
.387 .503 .854 r
.10814 .64868 m .12977 .67299 L .12466 .67841 L p F P
0 g
s
.387 .503 .854 r
.12466 .67841 m .10212 .65295 L .10799 .64879 L p F P
0 g
s
.387 .503 .854 r
.12466 .67841 m .10799 .64879 L .10855 .64941 L F
.716 .593 .718 r
.10212 .65295 m .12466 .67841 L .11359 .69245 L p F P
0 g
s
.716 .593 .718 r
.11359 .69245 m .08874 .66483 L .10212 .65295 L p F P
0 g
s
.856 .576 .513 r
.10072 .65635 m .12376 .68167 L .12972 .67306 L p F P
0 g
s
.856 .576 .513 r
.12972 .67306 m .12977 .67299 L p .12953 .67285 L F P
0 g
s
.856 .576 .513 r
.12953 .67285 m .10072 .65635 L .12972 .67306 L F
.387 .503 .854 r
.10799 .64879 m .10814 .64868 L p .10855 .64941 L F P
0 g
s
.851 .57 .512 r
.08874 .66483 m .11359 .69245 L .10754 .70118 L p F P
0 g
s
.822 .521 .481 r
.13764 .72433 m .10754 .70118 L .11359 .69245 L p F P
0 g
s
.339 .133 .447 r
.1894 .14261 m .17226 .16802 L .16597 .16423 L p F P
0 g
s
.339 .133 .447 r
.16597 .16423 m .18398 .13772 L .18927 .14249 L p F P
0 g
s
.339 .133 .447 r
.16597 .16423 m .18927 .14249 L .18884 .14312 L F
.699 .58 .719 r
.18398 .13772 m .16597 .16423 L .14971 .1568 L p F P
0 g
s
.699 .58 .719 r
.14971 .1568 m .16918 .12767 L .18398 .13772 L p F P
0 g
s
.856 .82 .813 r
.17994 .13741 m .1622 .16434 L .17216 .16798 L p F P
0 g
s
.856 .82 .813 r
.17216 .16798 m .17226 .16802 L p .17233 .16773 L F P
0 g
s
.856 .82 .813 r
.17233 .16773 m .17994 .13741 L .17216 .16798 L F
.339 .133 .447 r
.18927 .14249 m .1894 .14261 L p .18884 .14312 L F P
0 g
s
.857 .816 .807 r
.16918 .12767 m .14971 .1568 L .1396 .1531 L p F P
0 g
s
.879 .806 .774 r
.12511 .18597 m .1396 .1531 L .14971 .1568 L p F P
0 g
s
.862 .83 .815 r
.37136 .17836 m .35203 .20032 L .34588 .19209 L p F P
0 g
s
.862 .83 .815 r
.34593 .19203 m .37136 .17836 L .34588 .19209 L F
.34587 .19207 m .36508 .17017 L .37136 .17836 L p F P
0 g
s
.404 .149 .411 r
.35301 .19586 m .3724 .17371 L .36511 .17018 L p F P
0 g
s
.404 .149 .411 r
.36511 .17018 m .36508 .17017 L p .36505 .17025 L F P
0 g
s
.404 .149 .411 r
.35301 .19586 m .36511 .17018 L .36505 .17025 L F
.862 .83 .815 r
.34588 .19209 m .34587 .19207 L p .34593 .19203 L F P
0 g
s
.918 .859 .767 r
.80446 .49843 m .81767 .47371 L .82372 .47911 L p F P
0 g
s
.918 .859 .767 r
.82372 .47911 m .81037 .504 L .80449 .49846 L p F P
0 g
s
.918 .859 .767 r
.82372 .47911 m .80449 .49846 L .80455 .49834 L F
.716 .571 .691 r
.81037 .504 m .82372 .47911 L .83973 .48706 L p F P
0 g
s
.442 .25 .523 r
.81435 .50144 m .8277 .47629 L .81771 .47372 L p F P
0 g
s
.442 .25 .523 r
.81771 .47372 m .81767 .47371 L p .81765 .47382 L F P
0 g
s
.442 .25 .523 r
.81765 .47382 m .81435 .50144 L .81771 .47372 L F
.918 .859 .767 r
.80449 .49846 m .80446 .49843 L p .80455 .49834 L F P
0 g
s
.716 .571 .691 r
.83973 .48706 m .82609 .51254 L .81037 .504 L p F P
0 g
s
.446 .255 .527 r
.82609 .51254 m .83973 .48706 L .84982 .48968 L p F P
0 g
s
.441 .259 .536 r
.86293 .4626 m .84982 .48968 L .83973 .48706 L p F P
0 g
s
.861 .572 .499 r
.17961 .46256 m .19552 .48582 L .18598 .4895 L p F P
0 g
s
.861 .572 .499 r
.18594 .48944 m .17961 .46256 L .18598 .4895 L F
.18595 .48951 m .17007 .46633 L .17961 .46256 L p F P
0 g
s
.365 .432 .797 r
.19131 .48321 m .17524 .45984 L .17008 .46631 L p F P
0 g
s
.365 .432 .797 r
.17008 .46631 m .17007 .46633 L p .17012 .46637 L F P
0 g
s
.365 .432 .797 r
.19131 .48321 m .17008 .46631 L .17012 .46637 L F
.861 .572 .499 r
.18598 .4895 m .18595 .48951 L p .18594 .48944 L F P
0 g
s
.932 .756 .641 r
.48238 .28512 m .48006 .26803 L .48886 .26532 L p F P
0 g
s
.931 .77 .66 r
.48786 .24893 m .48886 .26532 L .48006 .26803 L p F P
0 g
s
.709 .606 .74 r
.48886 .26532 m .48786 .24893 L .50575 .24856 L p F P
0 g
s
.709 .606 .74 r
.50575 .24856 m .50669 .26407 L .48886 .26532 L p F P
0 g
s
.372 .346 .7 r
.50669 .26407 m .50575 .24856 L .51472 .25035 L p F P
0 g
s
.372 .346 .7 r
.51473 .2505 m .50669 .26407 L .51472 .25035 L F
.51481 .25037 m .51587 .26552 L .50669 .26407 L p F P
0 g
s
.933 .769 .655 r
.50591 .25257 m .50715 .26824 L .51578 .26555 L p F P
0 g
s
.933 .769 .655 r
.51578 .26555 m .51587 .26552 L p .51577 .26538 L F P
0 g
s
.933 .769 .655 r
.50591 .25257 m .51578 .26555 L .51577 .26538 L F
.372 .346 .7 r
.51472 .25035 m .51481 .25037 L p .51473 .2505 L F P
0 g
s
.431 .507 .836 r
.70072 .70952 m .70726 .71895 L .69739 .72106 L p F P
0 g
s
.431 .507 .836 r
.69739 .72106 m .69066 .71094 L .7005 .70955 L p F P
0 g
s
.431 .507 .836 r
.69739 .72106 m .7005 .70955 L .70065 .70977 L F
.908 .631 .506 r
.69611 .71847 m .70334 .72834 L .70718 .71913 L p F P
0 g
s
.908 .631 .506 r
.70718 .71913 m .70726 .71895 L p .70706 .71895 L F P
0 g
s
.908 .631 .506 r
.70706 .71895 m .69611 .71847 L .70718 .71913 L F
.431 .507 .836 r
.7005 .70955 m .70072 .70952 L p .70065 .70977 L F P
0 g
s
.728 .62 .738 r
.69066 .71094 m .69739 .72106 L .68364 .73249 L p F P
0 g
s
.728 .62 .738 r
.68364 .73249 m .67602 .72123 L .69066 .71094 L p F P
0 g
s
.899 .62 .506 r
.67602 .72123 m .68364 .73249 L .67964 .74189 L p F P
0 g
s
.886 .596 .489 r
.68873 .75272 m .67964 .74189 L .68364 .73249 L p F P
0 g
s
.691 .808 .937 r
.54868 .62981 m .55657 .62933 L .55437 .63838 L p F P
0 g
s
.691 .808 .937 r
.55437 .63838 m .54502 .63844 L .54849 .63028 L p F P
0 g
s
.691 .808 .937 r
.55437 .63838 m .54849 .63028 L .54897 .63024 L F
.749 .609 .703 r
.54502 .63844 m .55437 .63838 L .55848 .65578 L p F P
0 g
s
.69 .331 .361 r
.55371 .63911 m .56292 .63775 L .55682 .62966 L p F P
0 g
s
.69 .331 .361 r
.55682 .62966 m .55657 .62933 L p .55646 .62969 L F P
0 g
s
.69 .331 .361 r
.55646 .62969 m .55371 .63911 L .55682 .62966 L F
.691 .808 .937 r
.54849 .63028 m .54868 .62981 L p .54897 .63024 L F P
0 g
s
.749 .609 .703 r
.55848 .65578 m .54634 .65628 L .54502 .63844 L p F P
0 g
s
.664 .325 .389 r
.54634 .65628 m .55848 .65578 L .56481 .66427 L p F P
0 g
s
.625 .294 .39 r
.57745 .66097 m .56481 .66427 L .55848 .65578 L p F P
0 g
s
.519 .229 .413 r
.43236 .58619 m .44593 .5786 L .44239 .57006 L p F P
0 g
s
.519 .229 .413 r
.44239 .57006 m .42825 .57793 L .43236 .58619 L p F P
0 g
s
.538 .237 .405 r
.44593 .5786 m .45573 .57389 L .45642 .56357 L p F P
0 g
s
.538 .237 .405 r
.45642 .56357 m .44239 .57006 L .44593 .5786 L p F P
0 g
s
.835 .464 .351 r
.73251 .75168 m .73309 .75242 L .73372 .7424 L p F P
0 g
s
.835 .464 .351 r
.73372 .7424 m .72957 .74073 L .73251 .75168 L p F P
0 g
s
.502 .225 .426 r
.59851 .61855 m .60442 .61312 L .59797 .60596 L p F P
0 g
s
.502 .225 .426 r
.59797 .60596 m .58936 .61382 L .59851 .61855 L p F P
0 g
s
.479 .232 .461 r
.60442 .61312 m .61423 .60416 L .60724 .59754 L p F P
0 g
s
.465 .232 .476 r
.61423 .60416 m .6232 .59458 L .61563 .58864 L p F P
0 g
s
.449 .234 .494 r
.6232 .59458 m .63118 .58429 L .62304 .57917 L p F P
0 g
s
.432 .239 .517 r
.63118 .58429 m .63801 .57322 L .62939 .56898 L p F P
0 g
s
.418 .248 .542 r
.63801 .57322 m .64418 .56025 L .63527 .55669 L p F P
0 g
s
.41 .257 .561 r
.64418 .56025 m .64946 .54655 L .6404 .54341 L p F P
0 g
s
.405 .263 .572 r
.64946 .54655 m .65436 .53186 L .64534 .52862 L p F P
0 g
s
.408 .259 .565 r
.65436 .53186 m .65992 .51646 L .65131 .51225 L p F P
0 g
s
.408 .259 .565 r
.65131 .51225 m .64534 .52862 L .65436 .53186 L p F P
0 g
s
.42 .246 .537 r
.65992 .51646 m .66683 .50277 L .65828 .49844 L p F P
0 g
s
.42 .246 .537 r
.65828 .49844 m .65131 .51225 L .65992 .51646 L p F P
0 g
s
.422 .243 .531 r
.66683 .50277 m .67379 .48971 L .66505 .48576 L p F P
0 g
s
.422 .243 .531 r
.66505 .48576 m .65828 .49844 L .66683 .50277 L p F P
0 g
s
.418 .247 .541 r
.67379 .48971 m .68003 .47677 L .67101 .47345 L p F P
0 g
s
.418 .247 .541 r
.67101 .47345 m .66505 .48576 L .67379 .48971 L p F P
0 g
s
.411 .255 .557 r
.68003 .47677 m .68522 .46377 L .67588 .4614 L p F P
0 g
s
.411 .255 .557 r
.67588 .4614 m .67101 .47345 L .68003 .47677 L p F P
0 g
s
.403 .27 .584 r
.68522 .46377 m .6888 .45104 L .67925 .44957 L p F P
0 g
s
.403 .27 .584 r
.67925 .44957 m .67588 .4614 L .68522 .46377 L p F P
0 g
s
.398 .287 .61 r
.6888 .45104 m .69114 .43787 L .68148 .43719 L p F P
0 g
s
.398 .287 .61 r
.68148 .43719 m .67925 .44957 L .6888 .45104 L p F P
0 g
s
.396 .303 .632 r
.69114 .43787 m .69238 .42434 L .68269 .42425 L p F P
0 g
s
.396 .303 .632 r
.68269 .42425 m .68148 .43719 L .69114 .43787 L p F P
0 g
s
.395 .316 .649 r
.69238 .42434 m .69261 .41377 L .68311 .40989 L p F P
0 g
s
.395 .316 .649 r
.68311 .40989 m .68269 .42425 L .69238 .42434 L p F P
0 g
s
.91 .724 .639 r
.13372 .30094 m .13858 .3348 L .1491 .33499 L p F P
0 g
s
.91 .724 .639 r
.1491 .33499 m .14383 .29913 L .13372 .30094 L p F P
0 g
s
.902 .674 .583 r
.15417 .35725 m .1491 .33499 L .13858 .3348 L p F P
0 g
s
.418 .357 .682 r
.86368 .31824 m .86072 .28155 L .85058 .28421 L p F P
0 g
s
.418 .357 .682 r
.85058 .28421 m .85334 .31957 L .86368 .31824 L p F P
0 g
s
.424 .388 .715 r
.86072 .28155 m .85306 .24641 L .84334 .2505 L p F P
0 g
s
.424 .388 .715 r
.84334 .2505 m .85058 .28421 L .86072 .28155 L p F P
0 g
s
.437 .427 .751 r
.85306 .24641 m .84007 .21262 L .83086 .21785 L p F P
0 g
s
.437 .427 .751 r
.83086 .21785 m .84334 .2505 L .85306 .24641 L p F P
0 g
s
.45 .46 .777 r
.84007 .21262 m .82447 .1833 L .81609 .18984 L p F P
0 g
s
.45 .46 .777 r
.81609 .18984 m .83086 .21785 L .84007 .21262 L p F P
0 g
s
.472 .504 .81 r
.82447 .1833 m .8044 .15682 L .797 .16447 L p F P
0 g
s
.472 .504 .81 r
.797 .16447 m .81609 .18984 L .82447 .1833 L p F P
0 g
s
.496 .546 .837 r
.8044 .15682 m .78035 .13348 L .77401 .14204 L p F P
0 g
s
.523 .586 .86 r
.78035 .13348 m .75252 .1133 L .74681 .12228 L p F P
0 g
s
.536 .604 .869 r
.75252 .1133 m .72398 .09541 L .71949 .10505 L p F P
0 g
s
.566 .642 .885 r
.72398 .09541 m .69351 .08182 L .69041 .09197 L p F P
0 g
s
.599 .68 .898 r
.69351 .08182 m .66157 .07305 L .65999 .08349 L p F P
0 g
s
.637 .718 .906 r
.66157 .07305 m .62823 .06941 L .62783 .07991 L p F P
0 g
s
.665 .742 .908 r
.62823 .06941 m .59215 .06972 L .59325 .08011 L p F P
0 g
s
.702 .771 .906 r
.59215 .06972 m .55643 .07554 L .55886 .08562 L p F P
0 g
s
.735 .793 .899 r
.55643 .07554 m .52123 .08638 L .52491 .09598 L p F P
0 g
s
.766 .81 .888 r
.52123 .08638 m .48876 .10125 L .49174 .1113 L p F P
0 g
s
.662 .331 .402 r
.24415 .73694 m .27486 .73513 L .27306 .72555 L p F P
0 g
s
.662 .331 .402 r
.27306 .72555 m .24324 .72704 L .24415 .73694 L p F P
0 g
s
.424 .209 .481 r
.35022 .66655 m .36139 .65151 L .35507 .64507 L p F P
0 g
s
.424 .209 .481 r
.35507 .64507 m .34362 .66044 L .35022 .66655 L p F P
0 g
s
.435 .209 .47 r
.36139 .65151 m .37195 .63887 L .36589 .63212 L p F P
0 g
s
.435 .209 .47 r
.36589 .63212 m .35507 .64507 L .36139 .65151 L p F P
0 g
s
.446 .21 .461 r
.37195 .63887 m .3831 .62684 L .37729 .61984 L p F P
0 g
s
.446 .21 .461 r
.37729 .61984 m .36589 .63212 L .37195 .63887 L p F P
0 g
s
.456 .211 .452 r
.3831 .62684 m .39482 .61533 L .38936 .60801 L p F P
0 g
s
.456 .211 .452 r
.38936 .60801 m .37729 .61984 L .3831 .62684 L p F P
0 g
s
.47 .213 .442 r
.39482 .61533 m .40711 .60463 L .40192 .5971 L p F P
0 g
s
.47 .213 .442 r
.40192 .5971 m .38936 .60801 L .39482 .61533 L p F P
0 g
s
.481 .216 .435 r
.40711 .60463 m .41937 .59494 L .41467 .58704 L p F P
0 g
s
.481 .216 .435 r
.41467 .58704 m .40192 .5971 L .40711 .60463 L p F P
0 g
s
.499 .221 .424 r
.41937 .59494 m .43236 .58619 L .42825 .57793 L p F P
0 g
s
.499 .221 .424 r
.42825 .57793 m .41467 .58704 L .41937 .59494 L p F P
0 g
s
.787 .849 .897 r
.44575 .60912 m .45741 .60251 L .45347 .59489 L p F P
0 g
s
.787 .849 .897 r
.45347 .59489 m .44115 .60184 L .44575 .60912 L p F P
0 g
s
.78 .847 .902 r
.45741 .60251 m .47027 .59655 L .46268 .59043 L p F P
0 g
s
.78 .847 .902 r
.46268 .59043 m .45347 .59489 L .45741 .60251 L p F P
0 g
s
.719 .824 .93 r
.47027 .59655 m .47818 .59323 L .47123 .58646 L p F P
0 g
s
.597 .764 .959 r
.71977 .77515 m .73324 .77816 L .73284 .77037 L p F P
0 g
s
.613 .757 .947 r
.73324 .77816 m .77011 .77836 L .76774 .77114 L p F P
0 g
s
.613 .757 .947 r
.76774 .77114 m .73284 .77037 L .73324 .77816 L p F P
0 g
s
.854 .84 .831 r
.64423 .33809 m .63859 .34588 L p .64663 .34646 L F P
0 g
s
.959 .771 .606 r
.63692 .33871 m .63859 .34588 L .64466 .3375 L p F P
0 g
s
.854 .84 .831 r
.64663 .34646 m .64725 .3465 L .64423 .33809 L F
.728 .663 .785 r
.63859 .34588 m .63745 .34101 L p .62029 .34549 L F P
0 g
s
.728 .663 .785 r
.63745 .34101 m .63692 .33871 L .63604 .33907 L p F P
0 g
s
.728 .663 .785 r
.63604 .33907 m .62029 .34549 L p .63745 .34101 L F P
0 g
s
.854 .84 .831 r
.6378 .34349 m .64725 .3465 L p .64663 .34646 L F P
0 g
s
.854 .84 .831 r
.63859 .34588 m .6378 .34349 L p .64663 .34646 L F P
0 g
s
.728 .663 .785 r
.62029 .34549 m .6215 .35136 L .63859 .34588 L p F P
0 g
s
.731 .739 .858 r
.63859 .34588 m .6215 .35136 L p .63729 .34373 L F P
0 g
s
.731 .739 .858 r
.6378 .34349 m .63783 .34357 L p .63729 .34373 L F P
0 g
s
.731 .739 .858 r
.63783 .34357 m .63859 .34588 L p .63729 .34373 L F P
0 g
s
.731 .739 .858 r
.6215 .35136 m .62047 .34819 L .6378 .34349 L p F P
0 g
s
.689 .513 .643 r
.62269 .35628 m .64015 .35199 L p .62183 .34845 L F P
0 g
s
.689 .513 .643 r
.62047 .34819 m .62064 .34881 L p .62183 .34845 L F P
0 g
s
.689 .513 .643 r
.62064 .34881 m .62269 .35628 L p .62183 .34845 L F P
0 g
s
.922 .641 .494 r
.6378 .34349 m .64015 .35199 L .64725 .35442 L p F P
0 g
s
.922 .641 .494 r
.64725 .35442 m .6491 .35506 L p .6436 .34943 L F P
0 g
s
.922 .641 .494 r
.6378 .34349 m .64725 .35442 L .6436 .34943 L F
.6491 .35506 m .64953 .35521 L p .64898 .35465 L F P
0 g
s
.922 .641 .494 r
.6378 .34349 m .6491 .35506 L .64898 .35465 L F
.854 .84 .831 r
.64725 .3465 m .64466 .3375 L .64423 .33809 L p F P
0 g
s
.959 .771 .606 r
.64466 .3375 m .64229 .32985 L .63692 .33871 L p F P
0 g
s
.88 .88 .83 r
.61319 .64052 m .62213 .63233 L .61655 .62635 L p F P
0 g
s
.844 .87 .862 r
.62213 .63233 m .63343 .6219 L .62738 .61639 L p F P
0 g
s
.844 .87 .862 r
.62738 .61639 m .61655 .62635 L .62213 .63233 L p F P
0 g
s
.861 .87 .844 r
.63343 .6219 m .64398 .61044 L .63743 .60553 L p F P
0 g
s
.861 .87 .844 r
.63743 .60553 m .62738 .61639 L .63343 .6219 L p F P
0 g
s
.879 .867 .823 r
.64398 .61044 m .65354 .59784 L .64649 .59366 L p F P
0 g
s
.879 .867 .823 r
.64649 .59366 m .63743 .60553 L .64398 .61044 L p F P
0 g
s
.897 .86 .796 r
.65354 .59784 m .66171 .58429 L .65424 .5809 L p F P
0 g
s
.897 .86 .796 r
.65424 .5809 m .64649 .59366 L .65354 .59784 L p F P
0 g
s
.912 .85 .768 r
.66171 .58429 m .66865 .56953 L .66093 .5667 L p F P
0 g
s
.912 .85 .768 r
.66093 .5667 m .65424 .5809 L .66171 .58429 L p F P
0 g
s
.921 .84 .748 r
.66865 .56953 m .67432 .55473 L .66649 .55223 L p F P
0 g
s
.921 .84 .748 r
.66649 .55223 m .66093 .5667 L .66865 .56953 L p F P
0 g
s
.925 .833 .735 r
.67432 .55473 m .67902 .54062 L .67127 .53789 L p F P
0 g
s
.925 .833 .735 r
.67127 .53789 m .66649 .55223 L .67432 .55473 L p F P
0 g
s
.924 .836 .74 r
.67595 .52454 m .67127 .53789 L .67902 .54062 L p F P
0 g
s
.908 .852 .775 r
.68268 .5112 m .67595 .52454 L .68325 .52835 L p F P
0 g
s
.905 .854 .781 r
.68985 .51524 m .69729 .50123 L .68997 .49748 L p F P
0 g
s
.905 .854 .781 r
.68997 .49748 m .68268 .5112 L .68985 .51524 L p F P
0 g
s
.911 .85 .77 r
.69729 .50123 m .70427 .4866 L .69672 .48337 L p F P
0 g
s
.911 .85 .77 r
.69672 .48337 m .68997 .49748 L .69729 .50123 L p F P
0 g
s
.92 .841 .75 r
.70427 .4866 m .71034 .47097 L .70251 .46858 L p F P
0 g
s
.92 .841 .75 r
.70251 .46858 m .69672 .48337 L .70427 .4866 L p F P
0 g
s
.931 .825 .719 r
.71034 .47097 m .71448 .45574 L .70648 .45414 L p F P
0 g
s
.931 .825 .719 r
.70648 .45414 m .70251 .46858 L .71034 .47097 L p F P
0 g
s
.937 .807 .691 r
.71448 .45574 m .7171 .44041 L .70902 .43949 L p F P
0 g
s
.937 .807 .691 r
.70902 .43949 m .70648 .45414 L .71448 .45574 L p F P
0 g
s
.941 .79 .666 r
.7171 .44041 m .71844 .4253 L .71032 .42487 L p F P
0 g
s
.941 .79 .666 r
.71032 .42487 m .70902 .43949 L .7171 .44041 L p F P
0 g
s
.942 .769 .638 r
.71844 .4253 m .71884 .41143 L .71055 .41454 L p F P
0 g
s
.942 .769 .638 r
.71055 .41454 m .71032 .42487 L .71844 .4253 L p F P
0 g
s
.942 .818 .693 r
.71884 .41143 m .71953 .39786 L .71153 .40167 L p F P
0 g
s
.942 .818 .693 r
.71153 .40167 m .71055 .41454 L .71884 .41143 L p F P
0 g
s
.916 .658 .534 r
.53483 .32884 m .52895 .31762 L .52193 .32336 L p F P
0 g
s
.313 .304 .689 r
.1084 .30417 m .11436 .34345 L .12114 .33905 L p F P
0 g
s
.308 .296 .682 r
.11436 .34345 m .12058 .36962 L .12689 .36441 L p F P
0 g
s
.308 .296 .682 r
.12689 .36441 m .12114 .33905 L .11436 .34345 L p F P
0 g
s
.953 .755 .599 r
.88898 .31662 m .8855 .27649 L .87825 .27767 L p F P
0 g
s
.953 .755 .599 r
.87825 .27767 m .88157 .31677 L .88898 .31662 L p F P
0 g
s
.947 .715 .554 r
.8855 .27649 m .8767 .2376 L .86981 .23993 L p F P
0 g
s
.947 .715 .554 r
.86981 .23993 m .87825 .27767 L .8855 .27649 L p F P
0 g
s
.934 .664 .504 r
.8767 .2376 m .86238 .20095 L .85589 .20414 L p F P
0 g
s
.934 .664 .504 r
.85589 .20414 m .86981 .23993 L .8767 .2376 L p F P
0 g
s
.917 .619 .465 r
.86238 .20095 m .84452 .16815 L .83874 .17241 L p F P
0 g
s
.917 .619 .465 r
.83874 .17241 m .85589 .20414 L .86238 .20095 L p F P
0 g
s
.888 .559 .419 r
.84452 .16815 m .82183 .13874 L .81686 .1439 L p F P
0 g
s
.888 .559 .419 r
.81686 .1439 m .83874 .17241 L .84452 .16815 L p F P
0 g
s
.855 .5 .38 r
.82183 .13874 m .79498 .11307 L .79088 .11894 L p F P
0 g
s
.855 .5 .38 r
.79088 .11894 m .81686 .1439 L .82183 .13874 L p F P
0 g
s
.819 .447 .35 r
.79498 .11307 m .76572 .09193 L .76202 .09807 L p F P
0 g
s
.819 .447 .35 r
.76202 .09807 m .79088 .11894 L .79498 .11307 L p F P
0 g
s
.799 .42 .337 r
.76572 .09193 m .73395 .07234 L .73124 .079 L p F P
0 g
s
.799 .42 .337 r
.73124 .079 m .76202 .09807 L .76572 .09193 L p F P
0 g
s
.757 .368 .316 r
.73395 .07234 m .69977 .05745 L .69821 .0645 L p F P
0 g
s
.757 .368 .316 r
.69821 .0645 m .73124 .079 L .73395 .07234 L p F P
0 g
s
.71 .316 .301 r
.69977 .05745 m .6638 .04793 L .66349 .0552 L p F P
0 g
s
.71 .316 .301 r
.66349 .0552 m .69821 .0645 L .69977 .05745 L p F P
0 g
s
.659 .269 .294 r
.6638 .04793 m .62742 .04415 L .62802 .05146 L p F P
0 g
s
.659 .269 .294 r
.62802 .05146 m .66349 .0552 L .6638 .04793 L p F P
0 g
s
.621 .237 .295 r
.62742 .04415 m .58742 .04482 L .58922 .05201 L p F P
0 g
s
.621 .237 .295 r
.58922 .05201 m .62802 .05146 L .62742 .04415 L p F P
0 g
s
.573 .204 .304 r
.58742 .04482 m .54826 .05146 L .55111 .05839 L p F P
0 g
s
.573 .204 .304 r
.55111 .05839 m .58922 .05201 L .58742 .04482 L p F P
0 g
s
.531 .18 .318 r
.54826 .05146 m .50985 .06354 L .51367 .07009 L p F P
0 g
s
.531 .18 .318 r
.51367 .07009 m .55111 .05839 L .54826 .05146 L p F P
0 g
s
.494 .165 .337 r
.50985 .06354 m .47396 .08027 L .47983 .08568 L p F P
0 g
s
.494 .165 .337 r
.47983 .08568 m .51367 .07009 L .50985 .06354 L p F P
0 g
s
.486 .159 .336 r
.47396 .08027 m .44945 .09412 L .45592 .09893 L p F P
0 g
s
.486 .159 .336 r
.45592 .09893 m .47983 .08568 L .47396 .08027 L p F P
0 g
s
.671 .8 .944 r
.24544 .76277 m .28378 .75967 L .28024 .75225 L p F P
0 g
s
.734 .834 .927 r
.28378 .75967 m .29982 .75422 L .29461 .74753 L p F P
0 g
s
.734 .834 .927 r
.29461 .74753 m .28024 .75225 L .28378 .75967 L p F P
0 g
s
.79 .854 .899 r
.29982 .75422 m .31364 .74619 L .30741 .74018 L p F P
0 g
s
.79 .854 .899 r
.30741 .74018 m .29461 .74753 L .29982 .75422 L p F P
0 g
s
.824 .859 .873 r
.31364 .74619 m .32661 .73595 L .31958 .73066 L p F P
0 g
s
.824 .859 .873 r
.31958 .73066 m .30741 .74018 L .31364 .74619 L p F P
0 g
s
.849 .859 .849 r
.32661 .73595 m .33747 .72504 L .33015 .72006 L p F P
0 g
s
.849 .859 .849 r
.33015 .72006 m .31958 .73066 L .32661 .73595 L p F P
0 g
s
.86 .857 .837 r
.33747 .72504 m .35009 .71091 L .34247 .70628 L p F P
0 g
s
.86 .857 .837 r
.34247 .70628 m .33015 .72006 L .33747 .72504 L p F P
0 g
s
.87 .854 .824 r
.35009 .71091 m .36166 .69632 L .35388 .69191 L p F P
0 g
s
.87 .854 .824 r
.35388 .69191 m .34247 .70628 L .35009 .71091 L p F P
0 g
s
.876 .851 .815 r
.36166 .69632 m .37234 .68176 L .36463 .67724 L p F P
0 g
s
.876 .851 .815 r
.36463 .67724 m .35388 .69191 L .36166 .69632 L p F P
0 g
s
.875 .852 .816 r
.37234 .68176 m .38254 .66797 L .37518 .663 L p F P
0 g
s
.875 .852 .816 r
.37518 .663 m .36463 .67724 L .37234 .68176 L p F P
0 g
s
.866 .855 .829 r
.38254 .66797 m .39212 .65643 L .38511 .65107 L p F P
0 g
s
.866 .855 .829 r
.38511 .65107 m .37518 .663 L .38254 .66797 L p F P
0 g
s
.856 .857 .841 r
.39212 .65643 m .40237 .64534 L .39569 .63963 L p F P
0 g
s
.856 .857 .841 r
.39569 .63963 m .38511 .65107 L .39212 .65643 L p F P
0 g
s
.847 .858 .85 r
.40237 .64534 m .41286 .63498 L .40662 .62886 L p F P
0 g
s
.847 .858 .85 r
.40662 .62886 m .39569 .63963 L .40237 .64534 L p F P
0 g
s
.835 .858 .862 r
.41286 .63498 m .42415 .62511 L .41827 .61869 L p F P
0 g
s
.835 .858 .862 r
.41827 .61869 m .40662 .62886 L .41286 .63498 L p F P
0 g
s
.825 .857 .871 r
.42415 .62511 m .43471 .61666 L .42943 .60981 L p F P
0 g
s
.825 .857 .871 r
.42943 .60981 m .41827 .61869 L .42415 .62511 L p F P
0 g
s
.808 .854 .884 r
.43471 .61666 m .44575 .60912 L .44115 .60184 L p F P
0 g
s
.808 .854 .884 r
.44115 .60184 m .42943 .60981 L .43471 .61666 L p F P
0 g
s
.572 .713 .938 r
.50286 .55248 m .51505 .55287 L .51816 .56198 L p F P
0 g
s
.541 .68 .929 r
.52899 .56392 m .51816 .56198 L .51505 .55287 L p F P
0 g
s
.649 .524 .698 r
.51816 .56198 m .52899 .56392 L .52497 .58136 L p F P
0 g
s
.649 .524 .698 r
.52497 .58136 m .51585 .57971 L .51816 .56198 L p F P
0 g
s
.627 .278 .36 r
.51585 .57971 m .52497 .58136 L .51901 .58934 L p F P
0 g
s
.627 .278 .36 r
.51876 .58931 m .51585 .57971 L .51901 .58934 L F
.51884 .58957 m .51041 .58847 L .51585 .57971 L p F P
0 g
s
.562 .697 .931 r
.51671 .58027 m .50726 .57942 L .51031 .58817 L p F P
0 g
s
.562 .697 .931 r
.51031 .58817 m .51041 .58847 L p .51061 .58821 L F P
0 g
s
.562 .697 .931 r
.51671 .58027 m .51031 .58817 L .51061 .58821 L F
.627 .278 .36 r
.51901 .58934 m .51884 .58957 L p .51876 .58931 L F P
0 g
s
.457 .52 .834 r
.69666 .34615 m .68959 .33695 L .69997 .33357 L p F P
0 g
s
.457 .52 .834 r
.69997 .33357 m .70734 .3444 L .69666 .34615 L p F P
0 g
s
.89 .565 .428 r
.62577 .39707 m .62214 .38859 L .63193 .39157 L p F P
0 g
s
.89 .565 .428 r
.63193 .39157 m .63577 .39908 L .62577 .39707 L p F P
0 g
s
.673 .491 .631 r
.63577 .39908 m .63193 .39157 L .64897 .38615 L p F P
0 g
s
.673 .491 .631 r
.64897 .38615 m .65225 .39209 L .63577 .39908 L p F P
0 g
s
.664 .275 .298 r
.54515 .38216 m .53586 .37829 L .54535 .37394 L p F P
0 g
s
.664 .275 .298 r
.54535 .37394 m .55379 .37636 L .54515 .38216 L p F P
0 g
s
.62 .48 .669 r
.55379 .37636 m .54535 .37394 L .5545 .35857 L p F P
0 g
s
.62 .48 .669 r
.5545 .35857 m .56044 .35974 L .55379 .37636 L p F P
0 g
s
.909 .625 .494 r
.60139 .32771 m .60178 .31644 L p .60282 .32978 L F P
0 g
s
.884 .573 .456 r
.59823 .31434 m .60178 .31644 L .60139 .32771 L p F P
0 g
s
.884 .573 .456 r
.60139 .32771 m .59981 .3257 L .59823 .31434 L p F P
0 g
s
.485 .664 .941 r
.60139 .32771 m .61353 .32612 L p .6 .32571 L F P
0 g
s
.485 .664 .941 r
.59981 .3257 m .60139 .32771 L p .6 .32571 L F P
0 g
s
.909 .625 .494 r
.60285 .33011 m .60139 .32771 L p .60282 .32978 L F P
0 g
s
.76 .666 .758 r
.60178 .31644 m .59823 .31434 L .60856 .29972 L p F P
0 g
s
.76 .666 .758 r
.60856 .29972 m .61423 .3036 L .60178 .31644 L p F P
0 g
s
.502 .606 .889 r
.61423 .3036 m .60856 .29972 L .62055 .29637 L p F P
0 g
s
.502 .606 .889 r
.62055 .29637 m .62638 .30194 L .61423 .3036 L p F P
0 g
s
.449 .283 .563 r
.91366 .67083 m .93159 .63753 L .94131 .64242 L p F P
0 g
s
.449 .283 .563 r
.94131 .64242 m .92259 .67698 L .91366 .67083 L p F P
0 g
s
.348 .435 .809 r
.09077 .62059 m .10814 .64868 L .10212 .65295 L p F P
0 g
s
.348 .435 .809 r
.10212 .65295 m .08407 .6236 L .09061 .62067 L p F P
0 g
s
.348 .435 .809 r
.10212 .65295 m .09061 .62067 L .09104 .62137 L F
.714 .593 .719 r
.08407 .6236 m .10212 .65295 L .08874 .66483 L p F P
0 g
s
.714 .593 .719 r
.08874 .66483 m .06883 .633 L .08407 .6236 L p F P
0 g
s
.878 .623 .549 r
.08216 .62702 m .10072 .65635 L .10808 .64875 L p F P
0 g
s
.878 .623 .549 r
.10808 .64875 m .10814 .64868 L p .10792 .6485 L F P
0 g
s
.878 .623 .549 r
.10792 .6485 m .08216 .62702 L .10808 .64875 L F
.348 .435 .809 r
.09061 .62067 m .09077 .62059 L p .09104 .62137 L F P
0 g
s
.874 .617 .547 r
.06883 .633 m .08874 .66483 L .08128 .67254 L p F P
0 g
s
.851 .57 .512 r
.10754 .70118 m .08128 .67254 L .08874 .66483 L p F P
0 g
s
.369 .121 .401 r
.2105 .12032 m .1894 .14261 L .18398 .13772 L p F P
0 g
s
.369 .121 .401 r
.18398 .13772 m .2061 .11451 L .21039 .12018 L p F P
0 g
s
.369 .121 .401 r
.18398 .13772 m .21039 .12018 L .20988 .12072 L F
.697 .578 .718 r
.2061 .11451 m .18398 .13772 L .16918 .12767 L p F P
0 g
s
.697 .578 .718 r
.16918 .12767 m .19313 .10216 L .2061 .11451 L p F P
0 g
s
.829 .821 .842 r
.20187 .11373 m .17994 .13741 L .18931 .14256 L p F P
0 g
s
.829 .821 .842 r
.18931 .14256 m .1894 .14261 L p .18952 .14234 L F P
0 g
s
.829 .821 .842 r
.18952 .14234 m .20187 .11373 L .18931 .14256 L F
.369 .121 .401 r
.21039 .12018 m .2105 .12032 L p .20988 .12072 L F P
0 g
s
.831 .818 .837 r
.19313 .10216 m .16918 .12767 L .15968 .12243 L p F P
0 g
s
.857 .816 .807 r
.1396 .1531 m .15968 .12243 L .16918 .12767 L p F P
0 g
s
.415 .155 .408 r
.34469 .23438 m .36529 .21234 L .37248 .2162 L p F P
0 g
s
.719 .576 .693 r
.36529 .21234 m .34469 .23438 L .33295 .22086 L p F P
0 g
s
.719 .576 .693 r
.33295 .22086 m .35203 .20032 L .36529 .21234 L p F P
0 g
s
.86 .831 .818 r
.35203 .20032 m .33295 .22086 L .32767 .21214 L p F P
0 g
s
.86 .831 .818 r
.32787 .21193 m .35203 .20032 L .32767 .21214 L F
.32762 .21205 m .34587 .19207 L .35203 .20032 L p F P
0 g
s
.408 .15 .407 r
.33408 .21679 m .35301 .19586 L .34599 .19214 L p F P
0 g
s
.408 .15 .407 r
.34599 .19214 m .34587 .19207 L p .34566 .19249 L F P
0 g
s
.408 .15 .407 r
.33408 .21679 m .34599 .19214 L .34566 .19249 L F
.86 .831 .818 r
.32767 .21214 m .32762 .21205 L p .32787 .21193 L F P
0 g
s
.918 .86 .768 r
.79086 .52364 m .80446 .49843 L .81037 .504 L p F P
0 g
s
.918 .86 .768 r
.81037 .504 m .7968 .52914 L .79086 .52365 L p F P
0 g
s
.918 .86 .768 r
.81037 .504 m .79086 .52365 L .79087 .52363 L F
.716 .571 .691 r
.7968 .52914 m .81037 .504 L .82609 .51254 L p F P
0 g
s
.442 .25 .523 r
.80069 .52678 m .81435 .50144 L .80446 .49843 L p F P
0 g
s
.442 .25 .523 r
.80446 .49843 m .80446 .49843 L p .80446 .49845 L F P
0 g
s
.442 .25 .523 r
.80446 .49845 m .80069 .52678 L .80446 .49843 L F
.918 .86 .768 r
.79086 .52365 m .79086 .52364 L p .79087 .52363 L F P
0 g
s
.716 .571 .691 r
.82609 .51254 m .8125 .53776 L .7968 .52914 L p F P
0 g
s
.446 .254 .526 r
.8125 .53776 m .82609 .51254 L .83602 .51559 L p F P
0 g
s
.446 .255 .527 r
.84982 .48968 m .83602 .51559 L .82609 .51254 L p F P
0 g
s
.365 .425 .79 r
.22619 .50031 m .21041 .47588 L .21583 .46956 L p F P
0 g
s
.696 .555 .691 r
.21041 .47588 m .22619 .50031 L .21025 .50848 L p F P
0 g
s
.696 .555 .691 r
.21025 .50848 m .19552 .48582 L .21041 .47588 L p F P
0 g
s
.862 .575 .501 r
.19552 .48582 m .21025 .50848 L .20047 .51122 L p F P
0 g
s
.862 .575 .501 r
.20031 .51098 m .19552 .48582 L .20047 .51122 L F
.20036 .51125 m .18595 .48951 L .19552 .48582 L p F P
0 g
s
.363 .427 .794 r
.20645 .50581 m .19131 .48321 L .18605 .4894 L p F P
0 g
s
.363 .427 .794 r
.18605 .4894 m .18595 .48951 L p .1863 .48978 L F P
0 g
s
.363 .427 .794 r
.20645 .50581 m .18605 .4894 L .1863 .48978 L F
.862 .575 .501 r
.20047 .51122 m .20036 .51125 L p .20031 .51098 L F P
0 g
s
.931 .77 .66 r
.48006 .26803 m .47889 .25111 L .48786 .24893 L p F P
0 g
s
.929 .78 .674 r
.48766 .23231 m .48786 .24893 L .47889 .25111 L p F P
0 g
s
.707 .604 .74 r
.48786 .24893 m .48766 .23231 L .50556 .2328 L p F P
0 g
s
.707 .604 .74 r
.50556 .2328 m .50575 .24856 L .48786 .24893 L p F P
0 g
s
.369 .332 .686 r
.50575 .24856 m .50556 .2328 L .51441 .23495 L p F P
0 g
s
.369 .332 .686 r
.51441 .2351 m .50575 .24856 L .51441 .23495 L F
.51449 .23497 m .51481 .25037 L .50575 .24856 L p F P
0 g
s
.931 .779 .669 r
.50545 .23668 m .50591 .25257 L .51472 .2504 L p F P
0 g
s
.931 .779 .669 r
.51472 .2504 m .51481 .25037 L p .51472 .25023 L F P
0 g
s
.931 .779 .669 r
.50545 .23668 m .51472 .2504 L .51472 .25023 L F
.369 .332 .686 r
.51441 .23495 m .51449 .23497 L p .51441 .2351 L F P
0 g
s
.422 .489 .823 r
.69442 .69916 m .70072 .70952 L .69066 .71094 L p F P
0 g
s
.422 .489 .823 r
.69066 .71094 m .68428 .70011 L .69425 .69918 L p F P
0 g
s
.422 .489 .823 r
.69066 .71094 m .69425 .69918 L .69436 .69935 L F
.915 .648 .52 r
.68927 .70768 m .69611 .71847 L .70065 .70965 L p F P
0 g
s
.915 .648 .52 r
.70065 .70965 m .70072 .70952 L p .70056 .7095 L F P
0 g
s
.915 .648 .52 r
.70056 .7095 m .68927 .70768 L .70065 .70965 L F
.422 .489 .823 r
.69425 .69918 m .69442 .69916 L p .69436 .69935 L F P
0 g
s
.726 .619 .739 r
.68428 .70011 m .69066 .71094 L .67602 .72123 L p F P
0 g
s
.726 .619 .739 r
.67602 .72123 m .66903 .7095 L .68428 .70011 L p F P
0 g
s
.908 .64 .52 r
.66903 .7095 m .67602 .72123 L .67133 .73019 L p F P
0 g
s
.899 .62 .506 r
.67964 .74189 m .67133 .73019 L .67602 .72123 L p F P
0 g
s
.648 .777 .942 r
.54055 .62915 m .54868 .62981 L .54502 .63844 L p F P
0 g
s
.648 .777 .942 r
.54502 .63844 m .53562 .63718 L .54031 .62955 L p F P
0 g
s
.648 .777 .942 r
.54502 .63844 m .54031 .62955 L .54076 .62958 L F
.749 .614 .709 r
.53562 .63718 m .54502 .63844 L .54634 .65628 L p F P
0 g
s
.728 .369 .371 r
.54421 .63906 m .55371 .63911 L .54887 .63016 L p F P
0 g
s
.728 .369 .371 r
.54887 .63016 m .54868 .62981 L p .54853 .63014 L F P
0 g
s
.728 .369 .371 r
.54853 .63014 m .54421 .63906 L .54887 .63016 L F
.648 .777 .942 r
.54031 .62955 m .54055 .62915 L p .54076 .62958 L F P
0 g
s
.749 .614 .709 r
.54634 .65628 m .53433 .65504 L .53562 .63718 L p F P
0 g
s
.704 .36 .392 r
.53433 .65504 m .54634 .65628 L .55134 .66564 L p F P
0 g
s
.664 .325 .389 r
.56481 .66427 m .55134 .66564 L .54634 .65628 L p F P
0 g
s
.872 .532 .404 r
.72573 .74901 m .73251 .75168 L .72957 .74073 L p F P
0 g
s
.872 .532 .404 r
.72957 .74073 m .72515 .73788 L .72573 .74901 L p F P
0 g
s
.361 .305 .66 r
.62269 .35628 m .62047 .34819 L .61271 .35586 L p F P
0 g
s
.361 .305 .66 r
.61271 .35586 m .61475 .36376 L .62269 .35628 L p F P
0 g
s
.528 .23 .404 r
.58936 .61382 m .58125 .61982 L .58995 .62539 L p F P
0 g
s
.387 .422 .776 r
.51697 .35002 m .51235 .34283 L .50745 .35269 L p F P
0 g
s
.387 .422 .776 r
.50745 .35269 m .51319 .36038 L .51697 .35002 L p F P
0 g
s
.909 .754 .677 r
.14383 .29913 m .14386 .2639 L .13347 .26429 L p F P
0 g
s
.417 .285 .592 r
.84957 .37986 m .84505 .40325 L .85557 .40299 L p F P
0 g
s
.721 .389 .416 r
.24324 .72704 m .21343 .72163 L .21211 .73171 L p F P
0 g
s
.532 .704 .949 r
.70785 .76924 m .71977 .77515 L .7276 .76895 L p F P
0 g
s
.597 .764 .959 r
.73284 .77037 m .7276 .76895 L .71977 .77515 L p F P
0 g
s
.922 .641 .494 r
.64953 .35521 m .64725 .3465 L .6378 .34349 L p F P
0 g
s
.858 .882 .854 r
.60243 .64871 m .61319 .64052 L .61047 .63195 L p F P
0 g
s
.88 .88 .83 r
.61655 .62635 m .61047 .63195 L .61319 .64052 L p F P
0 g
s
.301 .259 .643 r
.10804 .26379 m .1084 .30417 L .11593 .30347 L p F P
0 g
s
.313 .304 .689 r
.12114 .33905 m .11593 .30347 L .1084 .30417 L p F P
0 g
s
.597 .746 .948 r
.20733 .75693 m .24544 .76277 L .24525 .75487 L p F P
0 g
s
.671 .8 .944 r
.28024 .75225 m .24525 .75487 L .24544 .76277 L p F P
0 g
s
.506 .215 .406 r
.45573 .57389 m .46581 .56933 L .46738 .55911 L p F P
0 g
s
.53 .226 .395 r
.4789 .55563 m .46738 .55911 L .46581 .56933 L p F P
0 g
s
.653 .326 .406 r
.73309 .75242 m .76364 .75365 L .76194 .74351 L p F P
0 g
s
.384 .337 .682 r
.69261 .41377 m .69358 .40234 L .68376 .3992 L p F P
0 g
s
.404 .436 .78 r
.48982 .31603 m .49578 .33107 L .50528 .33011 L p F P
0 g
s
.902 .674 .583 r
.13858 .3348 m .14375 .3582 L .15417 .35725 L p F P
0 g
s
.8 .825 .871 r
.48876 .10125 m .46641 .11351 L .47036 .12317 L p F P
0 g
s
.694 .808 .936 r
.47818 .59323 m .48612 .59071 L .47995 .58325 L p F P
0 g
s
.686 .82 .947 r
.77011 .77836 m .80542 .77003 L .8017 .76356 L p F P
0 g
s
.686 .82 .947 r
.8017 .76356 m .76774 .77114 L .77011 .77836 L p F P
0 g
s
.959 .751 .579 r
.64229 .32985 m .63925 .32221 L .63478 .33164 L p F P
0 g
s
.959 .751 .579 r
.63478 .33164 m .63692 .33871 L .64229 .32985 L p F P
0 g
s
.947 .804 .67 r
.71953 .39786 m .71903 .38359 L .71161 .38852 L p F P
0 g
s
.947 .804 .67 r
.71161 .38852 m .71153 .40167 L .71953 .39786 L p F P
0 g
s
.924 .687 .562 r
.52895 .31762 m .52419 .30594 L .51654 .31087 L p F P
0 g
s
.32 .335 .719 r
.12058 .36962 m .12956 .39452 L .13549 .38879 L p F P
0 g
s
.32 .335 .719 r
.13549 .38879 m .12689 .36441 L .12058 .36962 L p F P
0 g
s
.459 .151 .355 r
.44945 .09412 m .42681 .11018 L .43363 .11454 L p F P
0 g
s
.459 .151 .355 r
.43363 .11454 m .45592 .09893 L .44945 .09412 L p F P
0 g
s
.541 .68 .929 r
.51505 .55287 m .5269 .55456 L .52899 .56392 L p F P
0 g
s
.519 .652 .918 r
.53956 .56674 m .52899 .56392 L .5269 .55456 L p F P
0 g
s
.653 .523 .693 r
.52899 .56392 m .53956 .56674 L .53438 .58388 L p F P
0 g
s
.653 .523 .693 r
.53438 .58388 m .52497 .58136 L .52899 .56392 L p F P
0 g
s
.66 .307 .364 r
.52497 .58136 m .53438 .58388 L .52792 .59152 L p F P
0 g
s
.66 .307 .364 r
.52773 .59148 m .52497 .58136 L .52792 .59152 L F
.52779 .59168 m .51884 .58957 L .52497 .58136 L p F P
0 g
s
.531 .664 .921 r
.52636 .58226 m .51671 .58027 L .51879 .58936 L p F P
0 g
s
.531 .664 .921 r
.51879 .58936 m .51884 .58957 L p .519 .58941 L F P
0 g
s
.531 .664 .921 r
.52636 .58226 m .51879 .58936 L .519 .58941 L F
.66 .307 .364 r
.52792 .59152 m .52779 .59168 L p .52773 .59148 L F P
0 g
s
.491 .575 .868 r
.68959 .33695 m .68082 .32939 L .69032 .3239 L p F P
0 g
s
.491 .575 .868 r
.69032 .3239 m .69997 .33357 L .68959 .33695 L p F P
0 g
s
.863 .516 .392 r
.63035 .40516 m .62577 .39707 L .63577 .39908 L p F P
0 g
s
.863 .516 .392 r
.63577 .39908 m .64059 .40613 L .63035 .40516 L p F P
0 g
s
.661 .481 .63 r
.64059 .40613 m .63577 .39908 L .65225 .39209 L p F P
0 g
s
.661 .481 .63 r
.65225 .39209 m .65617 .39729 L .64059 .40613 L p F P
0 g
s
.616 .235 .297 r
.55481 .38457 m .54515 .38216 L .55379 .37636 L p F P
0 g
s
.616 .235 .297 r
.55379 .37636 m .56242 .37751 L .55481 .38457 L p F P
0 g
s
.617 .488 .682 r
.56242 .37751 m .55379 .37636 L .56044 .35974 L p F P
0 g
s
.617 .488 .682 r
.56044 .35974 m .56653 .36008 L .56242 .37751 L p F P
0 g
s
.844 .512 .425 r
.59486 .31343 m .59823 .31434 L .59981 .3257 L p F P
0 g
s
.767 .663 .748 r
.59823 .31434 m .59486 .31343 L .60224 .2971 L p F P
0 g
s
.767 .663 .748 r
.60224 .2971 m .60856 .29972 L .59823 .31434 L p F P
0 g
s
.541 .654 .909 r
.60856 .29972 m .60224 .2971 L .61351 .29159 L p F P
0 g
s
.541 .654 .909 r
.61351 .29159 m .62055 .29637 L .60856 .29972 L p F P
0 g
s
.437 .299 .595 r
.93159 .63753 m .94452 .60245 L .95453 .60675 L p F P
0 g
s
.437 .299 .595 r
.95453 .60675 m .94131 .64242 L .93159 .63753 L p F P
0 g
s
.319 .374 .762 r
.07797 .58963 m .09077 .62059 L .08407 .6236 L p F P
0 g
s
.319 .374 .762 r
.08407 .6236 m .07084 .59139 L .07781 .58967 L p F P
0 g
s
.319 .374 .762 r
.08407 .6236 m .07781 .58967 L .0781 .59038 L F
.712 .592 .72 r
.07084 .59139 m .08407 .6236 L .06883 .633 L p F P
0 g
s
.712 .592 .72 r
.06883 .633 m .05426 .59819 L .07084 .59139 L p F P
0 g
s
.894 .665 .585 r
.06844 .59473 m .08216 .62702 L .0907 .62065 L p F P
0 g
s
.894 .665 .585 r
.0907 .62065 m .09077 .62059 L p .09059 .62038 L F P
0 g
s
.894 .665 .585 r
.09059 .62038 m .06844 .59473 L .0907 .62065 L F
.319 .374 .762 r
.07781 .58967 m .07797 .58963 L p .0781 .59038 L F P
0 g
s
.89 .659 .583 r
.05426 .59819 m .06883 .633 L .06016 .63945 L p F P
0 g
s
.874 .617 .547 r
.08128 .67254 m .06016 .63945 L .06883 .633 L p F P
0 g
s
.406 .12 .362 r
.23509 .10149 m .2105 .12032 L .2061 .11451 L p F P
0 g
s
.406 .12 .362 r
.2061 .11451 m .23179 .09496 L .23501 .10134 L p F P
0 g
s
.406 .12 .362 r
.2061 .11451 m .23501 .10134 L .23444 .10178 L F
.695 .575 .716 r
.23179 .09496 m .2061 .11451 L .19313 .10216 L p F P
0 g
s
.695 .575 .716 r
.19313 .10216 m .22095 .0807 L .23179 .09496 L p F P
0 g
s
.798 .816 .866 r
.22748 .09369 m .20187 .11373 L .21042 .12026 L p F P
0 g
s
.798 .816 .866 r
.21042 .12026 m .2105 .12032 L p .21066 .12007 L F P
0 g
s
.798 .816 .866 r
.21066 .12007 m .22748 .09369 L .21042 .12026 L F
.406 .12 .362 r
.23501 .10134 m .23509 .10149 L p .23444 .10178 L F P
0 g
s
.802 .814 .861 r
.22095 .0807 m .19313 .10216 L .18447 .09552 L p F P
0 g
s
.831 .818 .837 r
.15968 .12243 m .18447 .09552 L .19313 .10216 L p F P
0 g
s
.928 .849 .744 r
.77875 .55101 m .79086 .52364 L .7968 .52914 L p F P
0 g
s
.928 .849 .744 r
.7968 .52914 m .78517 .55583 L .77875 .55101 L p F P
0 g
s
.715 .569 .69 r
.78517 .55583 m .7968 .52914 L .8125 .53776 L p F P
0 g
s
.715 .569 .69 r
.8125 .53776 m .80152 .56318 L .78517 .55583 L p F P
0 g
s
.437 .261 .543 r
.80152 .56318 m .8125 .53776 L .82238 .54095 L p F P
0 g
s
.446 .254 .526 r
.82238 .54095 m .8125 .53776 L p .83315 .5183 L F P
0 g
s
.437 .261 .543 r
.81157 .56574 m .80152 .56318 L p .81726 .5464 L F P
0 g
s
.437 .261 .543 r
.82238 .54095 m .81157 .56574 L p .81726 .5464 L F P
0 g
s
.419 .284 .59 r
.79626 .58882 m .80152 .56318 L .81157 .56574 L p F P
0 g
s
.419 .284 .59 r
.80656 .58971 m .79626 .58882 L p .81035 .56758 L F P
0 g
s
.419 .284 .59 r
.81157 .56574 m .80656 .58971 L p .81035 .56758 L F P
0 g
s
.414 .295 .608 r
.79257 .616 m .79626 .58882 L .80656 .58971 L p F P
0 g
s
.414 .295 .608 r
.80656 .58971 m .80287 .61629 L .79257 .616 L p F P
0 g
s
.949 .799 .66 r
.80656 .58971 m .79935 .5865 L p .80252 .61332 L F P
0 g
s
.949 .799 .66 r
.80287 .61629 m .80656 .58971 L p .80252 .61332 L F P
0 g
s
.946 .817 .684 r
.81157 .56574 m .80523 .56094 L p .80628 .58372 L F P
0 g
s
.946 .817 .684 r
.80656 .58971 m .81157 .56574 L p .80628 .58372 L F P
0 g
s
.93 .852 .744 r
.82238 .54095 m .81651 .53547 L p .81209 .56258 L F P
0 g
s
.93 .852 .744 r
.81157 .56574 m .82238 .54095 L p .81209 .56258 L F P
0 g
s
.446 .254 .526 r
.83602 .51559 m .82238 .54095 L p .83315 .5183 L F P
0 g
s
.415 .155 .408 r
.37248 .2162 m .3512 .23919 L .34469 .23438 L p F P
0 g
s
.445 .157 .38 r
.32087 .25394 m .34469 .23438 L .3512 .23919 L p F P
0 g
s
.722 .579 .694 r
.34469 .23438 m .32087 .25394 L .31262 .23803 L p F P
0 g
s
.722 .579 .694 r
.31262 .23803 m .33295 .22086 L .34469 .23438 L p F P
0 g
s
.843 .833 .836 r
.33295 .22086 m .31262 .23803 L .30931 .22849 L p F P
0 g
s
.843 .833 .836 r
.30957 .22826 m .33295 .22086 L .30931 .22849 L F
.30926 .22836 m .32762 .21205 L .33295 .22086 L p F P
0 g
s
.434 .152 .385 r
.31418 .23464 m .33408 .21679 L .3279 .21226 L p F P
0 g
s
.434 .152 .385 r
.3279 .21226 m .32762 .21205 L p .32705 .213 L F P
0 g
s
.434 .152 .385 r
.31418 .23464 m .3279 .21226 L .32705 .213 L F
.843 .833 .836 r
.30931 .22849 m .30926 .22836 L p .30957 .22826 L F P
0 g
s
.365 .425 .79 r
.21583 .46956 m .23235 .49484 L .22619 .50031 L p F P
0 g
s
.345 .38 .755 r
.23898 .52704 m .22619 .50031 L .23235 .49484 L p F P
0 g
s
.697 .554 .688 r
.22619 .50031 m .23898 .52704 L .22158 .53131 L p F P
0 g
s
.697 .554 .688 r
.22158 .53131 m .21025 .50848 L .22619 .50031 L p F P
0 g
s
.876 .602 .52 r
.21025 .50848 m .22158 .53131 L .2115 .53211 L p F P
0 g
s
.876 .602 .52 r
.21135 .53183 m .21025 .50848 L .2115 .53211 L F
.21137 .53212 m .20036 .51125 L .21025 .50848 L p F P
0 g
s
.347 .391 .765 r
.21861 .52863 m .20645 .50581 L .20062 .51102 L p F P
0 g
s
.347 .391 .765 r
.20062 .51102 m .20036 .51125 L p .2011 .51195 L F P
0 g
s
.347 .391 .765 r
.21861 .52863 m .20062 .51102 L .2011 .51195 L F
.876 .602 .52 r
.2115 .53211 m .21137 .53212 L p .21135 .53183 L F P
0 g
s
.929 .78 .674 r
.47889 .25111 m .47855 .234 L .48766 .23231 L p F P
0 g
s
.927 .788 .687 r
.4882 .21607 m .48766 .23231 L .47855 .234 L p F P
0 g
s
.705 .603 .739 r
.48766 .23231 m .4882 .21607 L .50608 .2173 L p F P
0 g
s
.705 .603 .739 r
.50608 .2173 m .50556 .2328 L .48766 .23231 L p F P
0 g
s
.366 .318 .672 r
.50556 .2328 m .50608 .2173 L .51484 .21941 L p F P
0 g
s
.366 .318 .672 r
.51484 .21953 m .50556 .2328 L .51484 .21941 L F
.5149 .21943 m .51449 .23497 L .50556 .2328 L p F P
0 g
s
.929 .788 .684 r
.50578 .22033 m .50545 .23668 L .51442 .23499 L p F P
0 g
s
.929 .788 .684 r
.51442 .23499 m .51449 .23497 L p .51442 .23486 L F P
0 g
s
.929 .788 .684 r
.50578 .22033 m .51442 .23499 L .51442 .23486 L F
.366 .318 .672 r
.51484 .21941 m .5149 .21943 L p .51484 .21953 L F P
0 g
s
.42 .488 .823 r
.68772 .68796 m .69442 .69916 L .68428 .70011 L p F P
0 g
s
.42 .488 .823 r
.68428 .70011 m .67759 .68885 L .6877 .68797 L p F P
0 g
s
.42 .488 .823 r
.68428 .70011 m .6877 .68797 L .68771 .688 L F
.914 .648 .521 r
.68246 .69637 m .68927 .70768 L .6944 .69919 L p F P
0 g
s
.914 .648 .521 r
.6944 .69919 m .69442 .69916 L p .69438 .69916 L F P
0 g
s
.914 .648 .521 r
.69438 .69916 m .68246 .69637 L .6944 .69919 L F
.42 .488 .823 r
.6877 .68797 m .68772 .68796 L p .68771 .688 L F P
0 g
s
.726 .621 .74 r
.67759 .68885 m .68428 .70011 L .66903 .7095 L p F P
0 g
s
.726 .621 .74 r
.66903 .7095 m .66223 .69809 L .67759 .68885 L p F P
0 g
s
.912 .647 .524 r
.66223 .69809 m .66903 .7095 L .66381 .71803 L p F P
0 g
s
.908 .64 .52 r
.67133 .73019 m .66381 .71803 L .66903 .7095 L p F P
0 g
s
.609 .744 .941 r
.5323 .62737 m .54055 .62915 L .53562 .63718 L p F P
0 g
s
.609 .744 .941 r
.53562 .63718 m .52631 .63469 L .53204 .6277 L p F P
0 g
s
.609 .744 .941 r
.53562 .63718 m .53204 .6277 L .53244 .62778 L F
.748 .618 .715 r
.52631 .63469 m .53562 .63718 L .53433 .65504 L p F P
0 g
s
.762 .407 .383 r
.53463 .63766 m .54421 .63906 L .54068 .6295 L p F P
0 g
s
.762 .407 .383 r
.54068 .6295 m .54055 .62915 L p .54036 .62943 L F P
0 g
s
.762 .407 .383 r
.54036 .62943 m .53463 .63766 L .54068 .6295 L F
.609 .744 .941 r
.53204 .6277 m .5323 .62737 L p .53244 .62778 L F P
0 g
s
.748 .618 .715 r
.53433 .65504 m .52263 .65223 L .52631 .63469 L p F P
0 g
s
.739 .395 .399 r
.52263 .65223 m .53433 .65504 L .53795 .66501 L p F P
0 g
s
.704 .36 .392 r
.55134 .66564 m .53795 .66501 L .53433 .65504 L p F P
0 g
s
.53 .226 .395 r
.46581 .56933 m .47632 .56564 L .4789 .55563 L p F P
0 g
s
.559 .241 .385 r
.49091 .55334 m .4789 .55563 L .47632 .56564 L p F P
0 g
s
.879 .561 .444 r
.71843 .74418 m .72573 .74901 L .72515 .73788 L p F P
0 g
s
.879 .561 .444 r
.72515 .73788 m .71966 .73339 L .71843 .74418 L p F P
0 g
s
.593 .289 .422 r
.76364 .75365 m .79437 .74715 L .79081 .73733 L p F P
0 g
s
.364 .313 .666 r
.62489 .36466 m .62269 .35628 L .61475 .36376 L p F P
0 g
s
.364 .313 .666 r
.61475 .36376 m .617 .37218 L .62489 .36466 L p F P
0 g
s
.401 .481 .827 r
.62029 .34549 m .61881 .33989 L .60743 .33865 L p F P
0 g
s
.563 .243 .385 r
.58125 .61982 m .57312 .62433 L .58118 .63089 L p F P
0 g
s
.387 .358 .705 r
.69358 .40234 m .69387 .39141 L .68367 .38934 L p F P
0 g
s
.408 .466 .808 r
.52241 .3566 m .51697 .35002 L .51319 .36038 L p F P
0 g
s
.408 .466 .808 r
.51319 .36038 m .52002 .36741 L .52241 .3566 L p F P
0 g
s
.404 .436 .78 r
.50528 .33011 m .49929 .31593 L .48982 .31603 L p F P
0 g
s
.39 .405 .755 r
.48536 .30047 m .48982 .31603 L .49929 .31593 L p F P
0 g
s
.903 .778 .713 r
.14386 .2639 m .1489 .22967 L .13844 .22863 L p F P
0 g
s
.893 .643 .554 r
.14375 .3582 m .15176 .38115 L .16199 .37931 L p F P
0 g
s
.422 .272 .571 r
.84505 .40325 m .83837 .42671 L .84883 .42737 L p F P
0 g
s
.822 .831 .856 r
.46641 .11351 m .44524 .12826 L .44994 .13753 L p F P
0 g
s
.764 .438 .434 r
.21343 .72163 m .18365 .71045 L .18051 .72029 L p F P
0 g
s
.665 .787 .939 r
.48612 .59071 m .49396 .58906 L .48879 .58092 L p F P
0 g
s
.665 .787 .939 r
.48879 .58092 m .47995 .58325 L .48612 .59071 L p F P
0 g
s
.487 .635 .92 r
.69763 .76166 m .70785 .76924 L .71705 .76475 L p F P
0 g
s
.532 .704 .949 r
.7276 .76895 m .71705 .76475 L .70785 .76924 L p F P
0 g
s
.745 .858 .932 r
.80542 .77003 m .83951 .75476 L .83455 .74931 L p F P
0 g
s
.745 .858 .932 r
.83455 .74931 m .8017 .76356 L .80542 .77003 L p F P
0 g
s
.921 .642 .496 r
.65174 .36333 m .64953 .35521 L .64015 .35199 L p F P
0 g
s
.957 .726 .548 r
.63925 .32221 m .63546 .31477 L .63204 .32465 L p F P
0 g
s
.957 .726 .548 r
.63204 .32465 m .63478 .33164 L .63925 .32221 L p F P
0 g
s
.832 .882 .879 r
.59052 .65566 m .60243 .64871 L .60058 .63989 L p F P
0 g
s
.858 .882 .854 r
.61047 .63195 m .60058 .63989 L .60243 .64871 L p F P
0 g
s
.95 .776 .631 r
.71903 .38359 m .71675 .36959 L .71013 .37557 L p F P
0 g
s
.95 .776 .631 r
.71013 .37557 m .71161 .38852 L .71903 .38359 L p F P
0 g
s
.849 .512 .416 r
.52783 .33373 m .53131 .33919 L .54176 .33878 L p F P
0 g
s
.93 .716 .591 r
.52419 .30594 m .52053 .29355 L .51239 .2977 L p F P
0 g
s
.296 .216 .593 r
.11345 .22435 m .10804 .26379 L .11549 .26424 L p F P
0 g
s
.301 .259 .643 r
.11593 .30347 m .11549 .26424 L .10804 .26379 L p F P
0 g
s
.333 .366 .746 r
.12956 .39452 m .14091 .4191 L .14641 .41286 L p F P
0 g
s
.333 .366 .746 r
.14641 .41286 m .13549 .38879 L .12956 .39452 L p F P
0 g
s
.946 .828 .697 r
.87278 .43676 m .88017 .41027 L .8732 .40652 L p F P
0 g
s
.951 .81 .668 r
.87792 .38041 m .8732 .40652 L .88017 .41027 L p F P
0 g
s
.439 .148 .372 r
.42681 .11018 m .40506 .12834 L .41223 .1322 L p F P
0 g
s
.439 .148 .372 r
.41223 .1322 m .43363 .11454 L .42681 .11018 L p F P
0 g
s
.533 .688 .938 r
.17111 .74403 m .20733 .75693 L .20905 .74943 L p F P
0 g
s
.597 .746 .948 r
.24525 .75487 m .20905 .74943 L .20733 .75693 L p F P
0 g
s
.519 .652 .918 r
.5269 .55456 m .53819 .55726 L .53956 .56674 L p F P
0 g
s
.51 .637 .911 r
.54962 .56981 m .53956 .56674 L .53819 .55726 L p F P
0 g
s
.658 .525 .691 r
.53956 .56674 m .54962 .56981 L .54457 .58701 L p F P
0 g
s
.658 .525 .691 r
.54457 .58701 m .53438 .58388 L .53956 .56674 L p F P
0 g
s
.687 .335 .371 r
.53438 .58388 m .54457 .58701 L .53792 .59482 L p F P
0 g
s
.687 .335 .371 r
.53792 .59482 m .52779 .59168 L .53438 .58388 L p F P
0 g
s
.75 .637 .735 r
.67101 .34438 m .66135 .3398 L .66731 .32288 L p F P
0 g
s
.75 .637 .735 r
.66731 .32288 m .68082 .32939 L .67101 .34438 L p F P
0 g
s
.542 .644 .9 r
.68082 .32939 m .66731 .32288 L .67858 .31663 L p F P
0 g
s
.542 .644 .9 r
.67858 .31663 m .69032 .3239 L .68082 .32939 L p F P
0 g
s
.562 .196 .305 r
.56507 .38542 m .55481 .38457 L .56242 .37751 L p F P
0 g
s
.562 .196 .305 r
.56242 .37751 m .57132 .37717 L .56507 .38542 L p F P
0 g
s
.613 .496 .696 r
.57132 .37717 m .56242 .37751 L .56653 .36008 L p F P
0 g
s
.613 .496 .696 r
.56653 .36008 m .57249 .35928 L .57132 .37717 L p F P
0 g
s
.816 .441 .346 r
.63674 .41319 m .63035 .40516 L .64059 .40613 L p F P
0 g
s
.816 .441 .346 r
.64059 .40613 m .64698 .41233 L .63674 .41319 L p F P
0 g
s
.643 .468 .631 r
.64698 .41233 m .64059 .40613 L .65617 .39729 L p F P
0 g
s
.643 .468 .631 r
.65617 .39729 m .66083 .40094 L .64698 .41233 L p F P
0 g
s
.844 .512 .425 r
.59524 .3145 m .59486 .31343 L p .59545 .31489 L F P
0 g
s
.901 .493 .102 r
.59497 .31407 m .59486 .31343 L .5987 .32435 L p F P
0 g
s
.779 .665 .737 r
.59927 .29667 m .60224 .2971 L .59486 .31343 L p F P
0 g
s
.779 .665 .737 r
.59486 .31343 m .59497 .31407 L .59927 .29667 L p F P
0 g
s
.747 .618 .716 r
.58708 .29455 m .59927 .29667 L .59498 .31402 L p F P
0 g
s
.747 .618 .716 r
.59498 .31402 m .59497 .31407 L p .59486 .3138 L F P
0 g
s
.747 .618 .716 r
.58708 .29455 m .59498 .31402 L .59486 .3138 L F
.844 .512 .425 r
.5987 .32435 m .59524 .3145 L p .59975 .32554 L F P
0 g
s
.844 .512 .425 r
.59545 .31489 m .59981 .3257 L .59524 .3145 L F
.901 .493 .102 r
.5987 .32435 m .59724 .32322 L .59497 .31407 L p F P
0 g
s
.602 .805 .978 r
.5987 .32435 m .60999 .31892 L p .59759 .3231 L F P
0 g
s
.602 .805 .978 r
.59724 .32322 m .5987 .32435 L p .59759 .3231 L F P
0 g
s
.844 .512 .425 r
.59981 .3257 m .5987 .32435 L p .59975 .32554 L F P
0 g
s
.592 .71 .925 r
.60224 .2971 m .59927 .29667 L .60587 .28829 L p F P
0 g
s
.592 .71 .925 r
.60587 .28829 m .61351 .29159 L .60224 .2971 L p F P
0 g
s
.433 .307 .608 r
.94452 .60245 m .95557 .56571 L .96608 .56863 L p F P
0 g
s
.433 .307 .608 r
.96608 .56863 m .95453 .60675 L .94452 .60245 L p F P
0 g
s
.307 .344 .737 r
.06821 .559 m .07797 .58963 L .07084 .59139 L p F P
0 g
s
.307 .344 .737 r
.07084 .59139 m .06093 .55999 L .06814 .55901 L p F P
0 g
s
.307 .344 .737 r
.07084 .59139 m .06814 .55901 L .06824 .55934 L F
.711 .593 .722 r
.06093 .55999 m .07084 .59139 L .05426 .59819 L p F P
0 g
s
.711 .593 .722 r
.05426 .59819 m .0438 .56529 L .06093 .55999 L p F P
0 g
s
.9 .687 .606 r
.05829 .56335 m .06844 .59473 L .0779 .58967 L p F P
0 g
s
.9 .687 .606 r
.0779 .58967 m .07797 .58963 L p .07784 .58946 L F P
0 g
s
.9 .687 .606 r
.07784 .58946 m .05829 .56335 L .0779 .58967 L F
.307 .344 .737 r
.06814 .55901 m .06821 .559 L p .06824 .55934 L F P
0 g
s
.897 .684 .605 r
.0438 .56529 m .05426 .59819 L .04468 .6033 L p F P
0 g
s
.89 .659 .583 r
.06016 .63945 m .04468 .6033 L .05426 .59819 L p F P
0 g
s
.431 .125 .343 r
.26443 .08289 m .23509 .10149 L .23179 .09496 L p F P
0 g
s
.431 .125 .343 r
.23179 .09496 m .26169 .07611 L .2644 .08281 L p F P
0 g
s
.431 .125 .343 r
.23179 .09496 m .2644 .08281 L .26406 .08302 L F
.695 .574 .714 r
.26169 .07611 m .23179 .09496 L .22095 .0807 L p F P
0 g
s
.695 .574 .714 r
.22095 .0807 m .2522 .06089 L .26169 .07611 L p F P
0 g
s
.782 .811 .876 r
.25763 .07438 m .22748 .09369 L .23503 .10144 L p F P
0 g
s
.782 .811 .876 r
.23503 .10144 m .23509 .10149 L p .23524 .10131 L F P
0 g
s
.782 .811 .876 r
.23524 .10131 m .25763 .07438 L .23503 .10144 L F
.431 .125 .343 r
.2644 .08281 m .26443 .08289 L p .26406 .08302 L F P
0 g
s
.783 .809 .873 r
.2522 .06089 m .22095 .0807 L .21332 .07284 L p F P
0 g
s
.802 .814 .861 r
.18447 .09552 m .21332 .07284 L .22095 .0807 L p F P
0 g
s
.345 .38 .755 r
.23235 .49484 m .24631 .52355 L .23898 .52704 L p F P
0 g
s
.326 .311 .688 r
.24557 .55576 m .23898 .52704 L .24631 .52355 L p F P
0 g
s
.702 .558 .688 r
.23898 .52704 m .24557 .55576 L .22778 .55798 L p F P
0 g
s
.702 .558 .688 r
.22778 .55798 m .22158 .53131 L .23898 .52704 L p F P
0 g
s
.902 .673 .582 r
.22158 .53131 m .22778 .55798 L .21768 .55786 L p F P
0 g
s
.902 .673 .582 r
.21762 .55759 m .22158 .53131 L .21768 .55786 L F
.21758 .55786 m .21137 .53212 L .22158 .53131 L p F P
0 g
s
.321 .31 .691 r
.22523 .55549 m .21861 .52863 L .21149 .53206 L p F P
0 g
s
.321 .31 .691 r
.21149 .53206 m .21137 .53212 L p .2116 .53251 L F P
0 g
s
.321 .31 .691 r
.22523 .55549 m .21149 .53206 L .2116 .53251 L F
.902 .673 .582 r
.21768 .55786 m .21758 .55786 L p .21762 .55759 L F P
0 g
s
.944 .814 .685 r
.7715 .58152 m .77875 .55101 L .78517 .55583 L p F P
0 g
s
.944 .814 .685 r
.78517 .55583 m .77879 .58474 L .7715 .58152 L p F P
0 g
s
.711 .565 .687 r
.77879 .58474 m .78517 .55583 L .80152 .56318 L p F P
0 g
s
.711 .565 .687 r
.80152 .56318 m .79626 .58882 L .77879 .58474 L p F P
0 g
s
.445 .157 .38 r
.3512 .23919 m .32581 .2603 L .32087 .25394 L p F P
0 g
s
.51 .181 .346 r
.29552 .26655 m .32087 .25394 L .32581 .2603 L p F P
0 g
s
.725 .584 .698 r
.32087 .25394 m .29552 .26655 L .2892 .24977 L p F P
0 g
s
.725 .584 .698 r
.2892 .24977 m .31262 .23803 L .32087 .25394 L p F P
0 g
s
.793 .824 .877 r
.31262 .23803 m .2892 .24977 L .28679 .24 L p F P
0 g
s
.793 .824 .877 r
.28704 .23988 m .31262 .23803 L .28679 .24 L F
.28676 .2399 m .30926 .22836 L .31262 .23803 L p F P
0 g
s
.502 .174 .343 r
.29068 .24686 m .31418 .23464 L .30935 .22847 L p F P
0 g
s
.502 .174 .343 r
.30935 .22847 m .30926 .22836 L p .30894 .22868 L F P
0 g
s
.502 .174 .343 r
.29068 .24686 m .30935 .22847 L .30894 .22868 L F
.793 .824 .877 r
.28679 .24 m .28676 .2399 L p .28704 .23988 L F P
0 g
s
.927 .788 .687 r
.47855 .234 m .47901 .21696 L .4882 .21607 L p F P
0 g
s
.925 .792 .694 r
.48945 .19752 m .4882 .21607 L .47901 .21696 L p F P
0 g
s
.705 .598 .735 r
.4882 .21607 m .48945 .19752 L .50734 .1987 L p F P
0 g
s
.705 .598 .735 r
.50734 .1987 m .50608 .2173 L .4882 .21607 L p F P
0 g
s
.365 .304 .655 r
.50608 .2173 m .50734 .1987 L .51619 .20073 L p F P
0 g
s
.365 .304 .655 r
.51619 .20073 m .5149 .21943 L .50608 .2173 L p F P
0 g
s
.429 .511 .841 r
.68026 .67694 m .68772 .68796 L .67759 .68885 L p F P
0 g
s
.429 .511 .841 r
.67759 .68885 m .67012 .67821 L .68026 .67694 L p F P
0 g
s
.731 .627 .743 r
.67012 .67821 m .67759 .68885 L .66223 .69809 L p F P
0 g
s
.731 .627 .743 r
.66223 .69809 m .65531 .68833 L .67012 .67821 L p F P
0 g
s
.907 .635 .513 r
.65531 .68833 m .66223 .69809 L .65689 .7065 L p F P
0 g
s
.912 .647 .524 r
.65689 .7065 m .66223 .69809 L p .66371 .71682 L F P
0 g
s
.907 .635 .513 r
.65053 .69725 m .65531 .68833 L p .65687 .70628 L F P
0 g
s
.907 .635 .513 r
.65689 .7065 m .65053 .69725 L p .65687 .70628 L F P
0 g
s
.902 .624 .505 r
.64818 .67868 m .65531 .68833 L .65053 .69725 L p F P
0 g
s
.902 .624 .505 r
.64359 .68773 m .64818 .67868 L p .65052 .69717 L F P
0 g
s
.902 .624 .505 r
.65053 .69725 m .64359 .68773 L p .65052 .69717 L F P
0 g
s
.9 .62 .503 r
.64089 .66894 m .64818 .67868 L .64359 .68773 L p F P
0 g
s
.9 .62 .503 r
.63637 .67802 m .64089 .66894 L p .64355 .68745 L F P
0 g
s
.9 .62 .503 r
.64359 .68773 m .63637 .67802 L p .64355 .68745 L F P
0 g
s
.897 .614 .498 r
.63343 .65943 m .64089 .66894 L .63637 .67802 L p F P
0 g
s
.897 .614 .498 r
.62904 .66857 m .63343 .65943 L p .63635 .67786 L F P
0 g
s
.897 .614 .498 r
.63637 .67802 m .62904 .66857 L p .63635 .67786 L F P
0 g
s
.896 .61 .496 r
.62591 .65003 m .63343 .65943 L .62904 .66857 L p F P
0 g
s
.896 .61 .496 r
.62163 .65924 m .62591 .65003 L p .62897 .66817 L F P
0 g
s
.896 .61 .496 r
.62904 .66857 m .62163 .65924 L p .62897 .66817 L F P
0 g
s
.892 .602 .49 r
.6182 .64104 m .62591 .65003 L .62163 .65924 L p F P
0 g
s
.892 .602 .49 r
.61413 .65036 m .6182 .64104 L p .62154 .65878 L F P
0 g
s
.892 .602 .49 r
.62163 .65924 m .61413 .65036 L p .62154 .65878 L F P
0 g
s
.886 .591 .481 r
.61019 .63242 m .6182 .64104 L .61413 .65036 L p F P
0 g
s
.886 .591 .481 r
.60641 .64188 m .61019 .63242 L p .61406 .65006 L F P
0 g
s
.886 .591 .481 r
.61413 .65036 m .60641 .64188 L p .61406 .65006 L F P
0 g
s
.744 .584 .677 r
.60058 .63989 m .61047 .63195 L .59851 .61855 L p F P
0 g
s
.744 .584 .677 r
.59851 .61855 m .58995 .62539 L .60058 .63989 L p F P
0 g
s
.881 .581 .475 r
.60188 .62395 m .61019 .63242 L .60641 .64188 L p F P
0 g
s
.881 .581 .475 r
.60641 .64188 m .60027 .63552 L p .60188 .62395 L F P
0 g
s
.881 .581 .475 r
.60027 .63552 m .59832 .6335 L .59846 .63311 L p F P
0 g
s
.881 .581 .475 r
.59846 .63311 m .60188 .62395 L p .60027 .63552 L F P
0 g
s
.806 .462 .406 r
.59295 .61491 m .60012 .62206 L .59111 .62571 L p F P
0 g
s
.806 .462 .406 r
.59111 .62571 m .59098 .62576 L p .591 .62561 L F P
0 g
s
.806 .462 .406 r
.591 .62561 m .59295 .61491 L .59111 .62571 L F
.787 .437 .393 r
.58562 .60842 m .59295 .61491 L .58412 .61894 L p F P
0 g
s
.787 .437 .393 r
.58412 .61894 m .58394 .61903 L p .58397 .61882 L F P
0 g
s
.787 .437 .393 r
.58397 .61882 m .58562 .60842 L .58412 .61894 L F
.762 .407 .381 r
.57796 .60261 m .58562 .60842 L .57704 .61298 L p F P
0 g
s
.762 .407 .381 r
.57704 .61298 m .57682 .6131 L p .57685 .61285 L F P
0 g
s
.762 .407 .381 r
.57685 .61285 m .57796 .60261 L .57704 .61298 L F
.737 .378 .371 r
.5703 .59774 m .57796 .60261 L .56973 .60789 L p F P
0 g
s
.737 .378 .371 r
.56973 .60789 m .56951 .60803 L p .56953 .60778 L F P
0 g
s
.737 .378 .371 r
.56953 .60778 m .5703 .59774 L .56973 .60789 L F
.71 .35 .364 r
.56218 .59353 m .5703 .59774 L .56238 .60361 L p F P
0 g
s
.71 .35 .364 r
.56238 .60361 m .56215 .60378 L p .56215 .60351 L F P
0 g
s
.71 .35 .364 r
.56215 .60351 m .56218 .59353 L .56238 .60361 L F
.689 .33 .362 r
.55359 .59 m .56218 .59353 L .55475 .60014 L p F P
0 g
s
.689 .33 .362 r
.55475 .60014 m .55456 .60031 L p .55453 .60006 L F P
0 g
s
.689 .33 .362 r
.55453 .60006 m .55359 .59 L .55475 .60014 L F
.676 .32 .364 r
.54457 .58701 m .55359 .59 L .54666 .59726 L p F P
0 g
s
.676 .32 .364 r
.54666 .59726 m .54652 .5974 L p .54649 .59721 L F P
0 g
s
.676 .32 .364 r
.54649 .59721 m .54457 .58701 L .54666 .59726 L F
.54652 .5974 m .53792 .59482 L .54457 .58701 L p F P
0 g
s
.513 .643 .914 r
.54552 .58786 m .53629 .58537 L .53788 .59463 L p F P
0 g
s
.513 .643 .914 r
.53788 .59463 m .53792 .59482 L p .53807 .59469 L F P
0 g
s
.513 .643 .914 r
.54552 .58786 m .53788 .59463 L .53807 .59469 L F
.689 .33 .362 r
.55456 .60031 m .54652 .5974 L .55359 .59 L p F P
0 g
s
.501 .626 .906 r
.55441 .5907 m .54552 .58786 L .54649 .59713 L p F P
0 g
s
.501 .626 .906 r
.54649 .59713 m .54652 .5974 L p .54674 .59722 L F P
0 g
s
.501 .626 .906 r
.55441 .5907 m .54649 .59713 L .54674 .59722 L F
.71 .35 .364 r
.56215 .60378 m .55456 .60031 L .56218 .59353 L p F P
0 g
s
.481 .599 .894 r
.56297 .59419 m .55441 .5907 L .55455 .6 L p F P
0 g
s
.481 .599 .894 r
.55455 .6 m .55456 .60031 L p .55482 .60012 L F P
0 g
s
.481 .599 .894 r
.56297 .59419 m .55455 .6 L .55482 .60012 L F
.737 .378 .371 r
.56951 .60803 m .56215 .60378 L .5703 .59774 L p F P
0 g
s
.458 .566 .877 r
.57135 .59862 m .56297 .59419 L .56217 .60351 L p F P
0 g
s
.458 .566 .877 r
.56217 .60351 m .56215 .60378 L p .5624 .60364 L F P
0 g
s
.458 .566 .877 r
.57135 .59862 m .56217 .60351 L .5624 .60364 L F
.762 .407 .381 r
.57682 .6131 m .56951 .60803 L .57796 .60261 L p F P
0 g
s
.442 .539 .861 r
.57954 .60388 m .57135 .59862 L .56957 .60776 L p F P
0 g
s
.442 .539 .861 r
.56957 .60776 m .56951 .60803 L p .56979 .60791 L F P
0 g
s
.442 .539 .861 r
.57954 .60388 m .56957 .60776 L .56979 .60791 L F
.787 .437 .393 r
.58394 .61903 m .57682 .6131 L .58562 .60842 L p F P
0 g
s
.423 .508 .841 r
.58737 .61004 m .57954 .60388 L .57688 .61289 L p F P
0 g
s
.423 .508 .841 r
.57688 .61289 m .57682 .6131 L p .57704 .61303 L F P
0 g
s
.423 .508 .841 r
.58737 .61004 m .57688 .61289 L .57704 .61303 L F
.806 .462 .406 r
.59098 .62576 m .58394 .61903 L .59295 .61491 L p F P
0 g
s
.41 .483 .825 r
.59489 .61695 m .58737 .61004 L .58399 .61889 L p F P
0 g
s
.41 .483 .825 r
.58399 .61889 m .58394 .61903 L p .5841 .619 L F P
0 g
s
.41 .483 .825 r
.59489 .61695 m .58399 .61889 L .5841 .619 L F
.82 .483 .418 r
.60012 .62206 m .60188 .62395 L .59832 .6335 L p F P
0 g
s
.82 .483 .418 r
.59832 .6335 m .59098 .62576 L .60012 .62206 L p F P
0 g
s
.419 .487 .824 r
.60785 .63055 m .59489 .61695 L .59171 .62411 L p F P
0 g
s
.419 .487 .824 r
.59171 .62411 m .59098 .62576 L p .59348 .62647 L F P
0 g
s
.419 .487 .824 r
.60785 .63055 m .59171 .62411 L .59348 .62647 L F
.454 .561 .874 r
.60641 .64188 m .61606 .63924 L p .59866 .63361 L F P
0 g
s
.454 .561 .874 r
.59832 .6335 m .60641 .64188 L p .59866 .63361 L F P
0 g
s
.449 .551 .868 r
.61413 .65036 m .62392 .64809 L p .60679 .64202 L F P
0 g
s
.449 .551 .868 r
.60641 .64188 m .61413 .65036 L p .60679 .64202 L F P
0 g
s
.441 .539 .861 r
.62163 .65924 m .63152 .65727 L p .61441 .65047 L F P
0 g
s
.441 .539 .861 r
.61413 .65036 m .62163 .65924 L p .61441 .65047 L F P
0 g
s
.436 .531 .856 r
.62904 .66857 m .63895 .6667 L p .62175 .6593 L F P
0 g
s
.436 .531 .856 r
.62163 .65924 m .62904 .66857 L p .62175 .6593 L F P
0 g
s
.434 .526 .852 r
.63637 .67802 m .64635 .67637 L p .62925 .66866 L F P
0 g
s
.434 .526 .852 r
.62904 .66857 m .63637 .67802 L p .62925 .66866 L F P
0 g
s
.43 .52 .848 r
.64359 .68773 m .65361 .68622 L p .63653 .67809 L F P
0 g
s
.43 .52 .848 r
.63637 .67802 m .64359 .68773 L p .63653 .67809 L F P
0 g
s
.429 .515 .845 r
.65053 .69725 m .66063 .69605 L p .64396 .68791 L F P
0 g
s
.429 .515 .845 r
.64359 .68773 m .65053 .69725 L p .64396 .68791 L F P
0 g
s
.424 .505 .838 r
.65689 .7065 m .66698 .70568 L p .6509 .69744 L F P
0 g
s
.424 .505 .838 r
.65053 .69725 m .65689 .7065 L p .6509 .69744 L F P
0 g
s
.912 .647 .524 r
.66381 .71803 m .65689 .7065 L p .66371 .71682 L F P
0 g
s
.594 .732 .94 r
.52204 .62463 m .5323 .62737 L .52631 .63469 L p F P
0 g
s
.594 .732 .94 r
.52631 .63469 m .51588 .63167 L .52193 .62476 L p F P
0 g
s
.594 .732 .94 r
.52631 .63469 m .52193 .62476 L .52212 .62481 L F
.747 .619 .717 r
.51588 .63167 m .52631 .63469 L .52263 .65223 L p F P
0 g
s
.765 .417 .395 r
.52346 .63496 m .53463 .63766 L .53235 .62755 L p F P
0 g
s
.765 .417 .395 r
.53235 .62755 m .5323 .62737 L p .53215 .6275 L F P
0 g
s
.765 .417 .395 r
.53215 .6275 m .52346 .63496 L .53235 .62755 L F
.594 .732 .94 r
.52193 .62476 m .52204 .62463 L p .52212 .62481 L F P
0 g
s
.747 .619 .717 r
.52263 .65223 m .51113 .64896 L .51588 .63167 L p F P
0 g
s
.758 .414 .402 r
.51113 .64896 m .52263 .65223 L .52491 .66258 L p F P
0 g
s
.739 .395 .399 r
.53795 .66501 m .52491 .66258 L .52263 .65223 L p F P
0 g
s
.745 .374 .35 r
.58632 .31247 m .59497 .31407 L .59724 .32322 L p F P
0 g
s
.747 .618 .716 r
.59497 .31407 m .58632 .31247 L .58708 .29455 L p F P
0 g
s
.626 .731 .923 r
.59927 .29667 m .58708 .29455 L .59197 .28507 L p F P
0 g
s
.626 .731 .923 r
.59197 .28507 m .60587 .28829 L .59927 .29667 L p F P
0 g
s
.559 .241 .385 r
.47632 .56564 m .48725 .563 L .49091 .55334 L p F P
0 g
s
.589 .258 .376 r
.50286 .55248 m .49091 .55334 L .48725 .563 L p F P
0 g
s
.903 .607 .475 r
.71195 .73824 m .71843 .74418 L .71966 .73339 L p F P
0 g
s
.903 .607 .475 r
.71966 .73339 m .71462 .72789 L .71195 .73824 L p F P
0 g
s
.552 .271 .442 r
.79437 .74715 m .82418 .73461 L .81886 .72546 L p F P
0 g
s
.367 .323 .676 r
.62729 .37318 m .62489 .36466 L .617 .37218 L p F P
0 g
s
.367 .323 .676 r
.617 .37218 m .61958 .38088 L .62729 .37318 L p F P
0 g
s
.417 .515 .851 r
.61881 .33989 m .61702 .33454 L .60551 .33447 L p F P
0 g
s
.604 .266 .371 r
.57312 .62433 m .56476 .62742 L .57186 .63506 L p F P
0 g
s
.395 .393 .739 r
.69387 .39141 m .69294 .3809 L .68251 .38019 L p F P
0 g
s
.436 .514 .841 r
.52885 .36252 m .52241 .3566 L .52002 .36741 L p F P
0 g
s
.436 .514 .841 r
.52002 .36741 m .52795 .37354 L .52885 .36252 L p F P
0 g
s
.39 .405 .755 r
.49929 .31593 m .49473 .30117 L .48536 .30047 L p F P
0 g
s
.379 .378 .732 r
.48238 .28512 m .48536 .30047 L .49473 .30117 L p F P
0 g
s
.891 .799 .751 r
.1489 .22967 m .15928 .19687 L .14899 .19426 L p F P
0 g
s
.884 .619 .533 r
.15176 .38115 m .16199 .40386 L .17196 .40118 L p F P
0 g
s
.43 .26 .549 r
.83837 .42671 m .82956 .44943 L .83988 .45101 L p F P
0 g
s
.837 .834 .843 r
.44524 .12826 m .42489 .14499 L .43028 .15381 L p F P
0 g
s
.804 .492 .461 r
.18365 .71045 m .15633 .69372 L .15141 .70297 L p F P
0 g
s
.627 .758 .941 r
.49396 .58906 m .50222 .58834 L .498 .57972 L p F P
0 g
s
.453 .582 .892 r
.68873 .75272 m .69763 .76166 L .70737 .75837 L p F P
0 g
s
.487 .635 .92 r
.71705 .76475 m .70737 .75837 L .69763 .76166 L p F P
0 g
s
.801 .884 .905 r
.83951 .75476 m .86937 .73395 L .86383 .72918 L p F P
0 g
s
.801 .884 .905 r
.86383 .72918 m .83455 .74931 L .83951 .75476 L p F P
0 g
s
.921 .642 .496 r
.64015 .35199 m .64233 .36022 L .65174 .36333 L p F P
0 g
s
.949 .691 .511 r
.63546 .31477 m .63124 .30819 L .62924 .31918 L p F P
0 g
s
.949 .691 .511 r
.62924 .31918 m .63204 .32465 L .63546 .31477 L p F P
0 g
s
.795 .874 .905 r
.57745 .66097 m .59052 .65566 L .58991 .64661 L p F P
0 g
s
.832 .882 .879 r
.60058 .63989 m .58991 .64661 L .59052 .65566 L p F P
0 g
s
.948 .739 .586 r
.71675 .36959 m .71276 .35649 L .7071 .36375 L p F P
0 g
s
.948 .739 .586 r
.7071 .36375 m .71013 .37557 L .71675 .36959 L p F P
0 g
s
.818 .467 .391 r
.53131 .33919 m .53519 .34394 L .54548 .34219 L p F P
0 g
s
.934 .742 .62 r
.52053 .29355 m .51792 .2802 L .50946 .28356 L p F P
0 g
s
.3 .175 .538 r
.12511 .18597 m .11345 .22435 L .12065 .22596 L p F P
0 g
s
.296 .216 .593 r
.11549 .26424 m .12065 .22596 L .11345 .22435 L p F P
0 g
s
.347 .397 .771 r
.14091 .4191 m .15422 .4425 L .15942 .43601 L p F P
0 g
s
.347 .397 .771 r
.15942 .43601 m .14641 .41286 L .14091 .4191 L p F P
0 g
s
.937 .845 .726 r
.86293 .4626 m .87278 .43676 L .8661 .43241 L p F P
0 g
s
.946 .828 .697 r
.8732 .40652 m .8661 .43241 L .87278 .43676 L p F P
0 g
s
.421 .147 .39 r
.40506 .12834 m .38486 .14807 L .3922 .15158 L p F P
0 g
s
.421 .147 .39 r
.3922 .15158 m .41223 .1322 L .40506 .12834 L p F P
0 g
s
.471 .621 .916 r
.13764 .72433 m .17111 .74403 L .17421 .73715 L p F P
0 g
s
.533 .688 .938 r
.20905 .74943 m .17421 .73715 L .17111 .74403 L p F P
0 g
s
.51 .637 .911 r
.53819 .55726 m .54805 .5603 L .54962 .56981 L p F P
0 g
s
.501 .631 .91 r
.55967 .57312 m .54962 .56981 L .54805 .5603 L p F P
0 g
s
.652 .52 .689 r
.54962 .56981 m .55967 .57312 L .55359 .59 L p F P
0 g
s
.652 .52 .689 r
.55359 .59 m .54457 .58701 L .54962 .56981 L p F P
0 g
s
.526 .181 .325 r
.57535 .38476 m .56507 .38542 L .57132 .37717 L p F P
0 g
s
.526 .181 .325 r
.57132 .37717 m .58001 .3757 L .57535 .38476 L p F P
0 g
s
.622 .513 .709 r
.58001 .3757 m .57132 .37717 L .57249 .35928 L p F P
0 g
s
.622 .513 .709 r
.57249 .35928 m .57866 .35781 L .58001 .3757 L p F P
0 g
s
.749 .353 .301 r
.6443 .41966 m .63674 .41319 L .64698 .41233 L p F P
0 g
s
.749 .353 .301 r
.64698 .41233 m .65463 .41708 L .6443 .41966 L p F P
0 g
s
.616 .448 .632 r
.65463 .41708 m .64698 .41233 L .66083 .40094 L p F P
0 g
s
.616 .448 .632 r
.66083 .40094 m .66593 .40315 L .65463 .41708 L p F P
0 g
s
.769 .417 .389 r
.65847 .34027 m .66135 .3398 L .66663 .35057 L p F P
0 g
s
.778 .657 .729 r
.66135 .3398 m .65847 .34027 L .66065 .32246 L p F P
0 g
s
.778 .657 .729 r
.66065 .32246 m .66731 .32288 L .66135 .3398 L p F P
0 g
s
.615 .734 .931 r
.66731 .32288 m .66065 .32246 L .67034 .31402 L p F P
0 g
s
.615 .734 .931 r
.67034 .31402 m .67858 .31663 L .66731 .32288 L p F P
0 g
s
.426 .33 .643 r
.95557 .56571 m .96106 .52785 L .97191 .52912 L p F P
0 g
s
.426 .33 .643 r
.97191 .52912 m .96608 .56863 L .95557 .56571 L p F P
0 g
s
.481 .143 .316 r
.29504 .07011 m .26443 .08289 L .26169 .07611 L p F P
0 g
s
.481 .143 .316 r
.26169 .07611 m .2936 .06289 L .29501 .06994 L p F P
0 g
s
.481 .143 .316 r
.26169 .07611 m .29501 .06994 L .2943 .07024 L F
.694 .571 .712 r
.2936 .06289 m .26169 .07611 L .2522 .06089 L p F P
0 g
s
.694 .571 .712 r
.2522 .06089 m .28673 .0463 L .2936 .06289 L p F P
0 g
s
.744 .794 .893 r
.28957 .06068 m .25763 .07438 L .26437 .08282 L p F P
0 g
s
.744 .794 .893 r
.26437 .08282 m .26443 .08289 L p .26464 .08271 L F P
0 g
s
.744 .794 .893 r
.26464 .08271 m .28957 .06068 L .26437 .08282 L F
.481 .143 .316 r
.29501 .06994 m .29504 .07011 L p .2943 .07024 L F P
0 g
s
.749 .794 .89 r
.28673 .0463 m .2522 .06089 L .24538 .05233 L p F P
0 g
s
.783 .809 .873 r
.21332 .07284 m .24538 .05233 L .2522 .06089 L p F P
0 g
s
.292 .289 .684 r
.06377 .52862 m .06821 .559 L .06093 .55999 L p F P
0 g
s
.292 .289 .684 r
.06093 .55999 m .05639 .52829 L .0636 .52862 L p F P
0 g
s
.292 .289 .684 r
.06093 .55999 m .0636 .52862 L .0637 .52932 L F
.709 .591 .722 r
.05639 .52829 m .06093 .55999 L .0438 .56529 L p F P
0 g
s
.709 .591 .722 r
.0438 .56529 m .03863 .53082 L .05639 .52829 L p F P
0 g
s
.906 .724 .645 r
.05329 .53152 m .05829 .56335 L .06812 .55904 L p F P
0 g
s
.906 .724 .645 r
.06812 .55904 m .06821 .559 L p .06808 .55875 L F P
0 g
s
.906 .724 .645 r
.06808 .55875 m .05329 .53152 L .06812 .55904 L F
.292 .289 .684 r
.0636 .52862 m .06377 .52862 L p .0637 .52932 L F P
0 g
s
.904 .718 .641 r
.03863 .53082 m .0438 .56529 L .03382 .56965 L p F P
0 g
s
.897 .684 .605 r
.04468 .6033 m .03382 .56965 L .0438 .56529 L p F P
0 g
s
.326 .311 .688 r
.24631 .52355 m .25331 .55339 L .24557 .55576 L p F P
0 g
s
.324 .281 .655 r
.24895 .58473 m .24557 .55576 L .25331 .55339 L p F P
0 g
s
.705 .56 .689 r
.24557 .55576 m .24895 .58473 L .2311 .58655 L p F P
0 g
s
.705 .56 .689 r
.2311 .58655 m .22778 .55798 L .24557 .55576 L p F P
0 g
s
.91 .705 .613 r
.22778 .55798 m .2311 .58655 L .22095 .58635 L p F P
0 g
s
.91 .705 .613 r
.22094 .58628 m .22778 .55798 L .22095 .58635 L F
.22092 .58635 m .21758 .55786 L .22778 .55798 L p F P
0 g
s
.317 .276 .653 r
.22866 .58432 m .22523 .55549 L .2176 .55785 L p F P
0 g
s
.317 .276 .653 r
.2176 .55785 m .21758 .55786 L p .21761 .55793 L F P
0 g
s
.317 .276 .653 r
.22866 .58432 m .2176 .55785 L .21761 .55793 L F
.91 .705 .613 r
.22095 .58635 m .22092 .58635 L p .22094 .58628 L F P
0 g
s
.947 .795 .66 r
.76724 .61093 m .7715 .58152 L .77879 .58474 L p F P
0 g
s
.947 .795 .66 r
.77879 .58474 m .77482 .61333 L .76724 .61093 L p F P
0 g
s
.71 .564 .688 r
.77482 .61333 m .77879 .58474 L .79626 .58882 L p F P
0 g
s
.71 .564 .688 r
.79626 .58882 m .79257 .616 L .77482 .61333 L p F P
0 g
s
.51 .181 .346 r
.32581 .2603 m .29946 .27359 L .29552 .26655 L p F P
0 g
s
.544 .201 .338 r
.26925 .2762 m .29552 .26655 L .29946 .27359 L p F P
0 g
s
.725 .586 .7 r
.29552 .26655 m .26925 .2762 L .26328 .25928 L p F P
0 g
s
.725 .586 .7 r
.26328 .25928 m .2892 .24977 L .29552 .26655 L p F P
0 g
s
.764 .814 .892 r
.2892 .24977 m .26328 .25928 L .26091 .24943 L p F P
0 g
s
.764 .814 .892 r
.26098 .24941 m .2892 .24977 L .26091 .24943 L F
.26091 .24941 m .28676 .2399 L .2892 .24977 L p F P
0 g
s
.54 .195 .331 r
.26454 .25652 m .29068 .24686 L .28677 .23992 L p F P
0 g
s
.54 .195 .331 r
.28677 .23992 m .28676 .2399 L p .2867 .23994 L F P
0 g
s
.54 .195 .331 r
.26454 .25652 m .28677 .23992 L .2867 .23994 L F
.764 .814 .892 r
.26091 .24943 m .26091 .24941 L p .26098 .24941 L F P
0 g
s
.925 .792 .694 r
.47901 .21696 m .48026 .19837 L .48945 .19752 L p F P
0 g
s
.925 .79 .693 r
.49052 .17926 m .48945 .19752 L .48026 .19837 L p F P
0 g
s
.705 .598 .734 r
.48945 .19752 m .49052 .17926 L .50847 .17967 L p F P
0 g
s
.705 .598 .734 r
.50847 .17967 m .50734 .1987 L .48945 .19752 L p F P
0 g
s
.366 .304 .655 r
.50734 .1987 m .50847 .17967 L .51745 .18129 L p F P
0 g
s
.366 .304 .655 r
.51745 .18129 m .51619 .20073 L .50734 .1987 L p F P
0 g
s
.433 .519 .847 r
.67276 .66656 m .68026 .67694 L .67012 .67821 L p F P
0 g
s
.433 .519 .847 r
.67012 .67821 m .6627 .66814 L .67276 .66656 L p F P
0 g
s
.732 .626 .741 r
.6627 .66814 m .67012 .67821 L .65531 .68833 L p F P
0 g
s
.732 .626 .741 r
.65531 .68833 m .64818 .67868 L .6627 .66814 L p F P
0 g
s
.551 .685 .928 r
.51359 .62095 m .52204 .62463 L .51588 .63167 L p F P
0 g
s
.551 .685 .928 r
.51588 .63167 m .50647 .62711 L .51329 .62121 L p F P
0 g
s
.551 .685 .928 r
.51588 .63167 m .51329 .62121 L .51368 .62138 L F
.744 .62 .722 r
.50647 .62711 m .51588 .63167 L .51113 .64896 L p F P
0 g
s
.807 .466 .41 r
.51367 .63138 m .52346 .63496 L .52209 .62496 L p F P
0 g
s
.807 .466 .41 r
.52209 .62496 m .52204 .62463 L p .52179 .62483 L F P
0 g
s
.807 .466 .41 r
.52179 .62483 m .51367 .63138 L .52209 .62496 L F
.551 .685 .928 r
.51329 .62121 m .51359 .62095 L p .51368 .62138 L F P
0 g
s
.744 .62 .722 r
.51113 .64896 m .49942 .64362 L .50647 .62711 L p F P
0 g
s
.786 .449 .418 r
.49942 .64362 m .51113 .64896 L .5125 .65935 L p F P
0 g
s
.758 .414 .402 r
.52491 .66258 m .5125 .65935 L .51113 .64896 L p F P
0 g
s
.745 .374 .35 r
.59045 .32105 m .58632 .31247 L p .59647 .32246 L F P
0 g
s
.687 .315 .335 r
.57728 .31253 m .58632 .31247 L .59045 .32105 L p F P
0 g
s
.687 .315 .335 r
.5828 .32035 m .57728 .31253 L p .5896 .3205 L F P
0 g
s
.687 .315 .335 r
.59045 .32105 m .5828 .32035 L p .5896 .3205 L F P
0 g
s
.749 .613 .708 r
.58632 .31247 m .57728 .31253 L .57501 .29472 L p F P
0 g
s
.749 .613 .708 r
.57501 .29472 m .58708 .29455 L .58632 .31247 L p F P
0 g
s
.636 .27 .333 r
.56821 .31415 m .57728 .31253 L .5828 .32035 L p F P
0 g
s
.636 .27 .333 r
.57507 .32095 m .56821 .31415 L p .58181 .31993 L F P
0 g
s
.636 .27 .333 r
.5828 .32035 m .57507 .32095 L p .58181 .31993 L F P
0 g
s
.748 .606 .7 r
.57728 .31253 m .56821 .31415 L .56286 .29701 L p F P
0 g
s
.748 .606 .7 r
.56286 .29701 m .57501 .29472 L .57728 .31253 L p F P
0 g
s
.586 .233 .338 r
.55932 .31724 m .56821 .31415 L .57507 .32095 L p F P
0 g
s
.586 .233 .338 r
.56668 .32332 m .55932 .31724 L p .57432 .32077 L F P
0 g
s
.586 .233 .338 r
.57507 .32095 m .56668 .32332 L p .57432 .32077 L F P
0 g
s
.748 .6 .693 r
.56821 .31415 m .55932 .31724 L .55188 .30088 L p F P
0 g
s
.547 .213 .353 r
.54969 .32202 m .55932 .31724 L .56668 .32332 L p F P
0 g
s
.547 .213 .353 r
.5579 .32702 m .54969 .32202 L p .56547 .32323 L F P
0 g
s
.547 .213 .353 r
.56668 .32332 m .5579 .32702 L p .56547 .32323 L F P
0 g
s
.742 .592 .69 r
.55932 .31724 m .54969 .32202 L .53991 .30692 L p F P
0 g
s
.508 .195 .371 r
.54075 .32819 m .54969 .32202 L .5579 .32702 L p F P
0 g
s
.508 .195 .371 r
.54952 .33218 m .54075 .32819 L p .55683 .32709 L F P
0 g
s
.508 .195 .371 r
.5579 .32702 m .54952 .33218 L p .55683 .32709 L F P
0 g
s
.739 .586 .684 r
.54969 .32202 m .54075 .32819 L .52908 .31448 L p F P
0 g
s
.476 .185 .392 r
.53197 .33594 m .54075 .32819 L .54952 .33218 L p F P
0 g
s
.476 .185 .392 r
.54106 .33921 m .53197 .33594 L p .54878 .33234 L F P
0 g
s
.476 .185 .392 r
.54952 .33218 m .54106 .33921 L p .54878 .33234 L F P
0 g
s
.783 .419 .369 r
.53519 .34394 m .53969 .34814 L .54954 .3449 L p F P
0 g
s
.661 .504 .661 r
.53519 .34394 m .53131 .33919 L .51697 .35002 L p F P
0 g
s
.661 .504 .661 r
.51697 .35002 m .52241 .3566 L .53519 .34394 L p F P
0 g
s
.656 .506 .668 r
.53969 .34814 m .53519 .34394 L .52241 .3566 L p F P
0 g
s
.719 .613 .738 r
.49929 .31593 m .50528 .33011 L .52193 .32336 L p F P
0 g
s
.736 .58 .68 r
.54075 .32819 m .53197 .33594 L .51914 .3233 L p F P
0 g
s
.667 .505 .655 r
.51235 .34283 m .51697 .35002 L .53131 .33919 L p F P
0 g
s
.458 .175 .396 r
.52549 .34245 m .53197 .33594 L .54106 .33921 L p F P
0 g
s
.458 .175 .396 r
.54106 .33921 m .53197 .34838 L .52549 .34245 L p F P
0 g
s
.875 .855 .819 r
.54106 .33921 m .53729 .32977 L p .53238 .34694 L F P
0 g
s
.875 .855 .819 r
.53197 .34838 m .54106 .33921 L p .53238 .34694 L F P
0 g
s
.862 .858 .836 r
.54952 .33218 m .5466 .32239 L p .54155 .33772 L F P
0 g
s
.862 .858 .836 r
.54106 .33921 m .54952 .33218 L p .54155 .33772 L F P
0 g
s
.837 .858 .861 r
.5579 .32702 m .55634 .31683 L p .55007 .33094 L F P
0 g
s
.837 .858 .861 r
.54952 .33218 m .5579 .32702 L p .55007 .33094 L F P
0 g
s
.803 .85 .885 r
.56668 .32332 m .56659 .31297 L p .5585 .32606 L F P
0 g
s
.803 .85 .885 r
.5579 .32702 m .56668 .32332 L p .5585 .32606 L F P
0 g
s
.777 .842 .901 r
.57507 .32095 m .57659 .31052 L p .56765 .32207 L F P
0 g
s
.777 .842 .901 r
.56668 .32332 m .57507 .32095 L p .56765 .32207 L F P
0 g
s
.732 .819 .919 r
.5828 .32035 m .58608 .31029 L p .57584 .3202 L F P
0 g
s
.732 .819 .919 r
.57507 .32095 m .5828 .32035 L p .57584 .3202 L F P
0 g
s
.686 .789 .928 r
.59045 .32105 m .59538 .31163 L p .58398 .31953 L F P
0 g
s
.686 .789 .928 r
.5828 .32035 m .59045 .32105 L p .58398 .31953 L F P
0 g
s
.745 .374 .35 r
.59724 .32322 m .59045 .32105 L p .59647 .32246 L F P
0 g
s
.679 .776 .924 r
.58708 .29455 m .57501 .29472 L .57825 .28461 L p F P
0 g
s
.679 .776 .924 r
.57825 .28461 m .59197 .28507 L .58708 .29455 L p F P
0 g
s
.589 .258 .376 r
.48725 .563 m .49832 .56172 L .50286 .55248 L p F P
0 g
s
.619 .279 .372 r
.51505 .55287 m .50286 .55248 L .49832 .56172 L p F P
0 g
s
.513 .261 .471 r
.82418 .73461 m .85176 .71582 L .84532 .70733 L p F P
0 g
s
.443 .548 .869 r
.61702 .33454 m .61499 .33018 L .60285 .33011 L p F P
0 g
s
.443 .605 .915 r
.60139 .32771 m .60285 .33011 L .61499 .33018 L p F P
0 g
s
.41 .433 .773 r
.69294 .3809 m .69062 .37098 L .67991 .37091 L p F P
0 g
s
.379 .378 .732 r
.49473 .30117 m .49163 .28603 L .48238 .28512 L p F P
0 g
s
.374 .359 .714 r
.48006 .26803 m .48238 .28512 L .49163 .28603 L p F P
0 g
s
.873 .595 .513 r
.16199 .40386 m .17434 .42593 L .18395 .42242 L p F P
0 g
s
.851 .834 .829 r
.42489 .14499 m .40571 .16349 L .41177 .17178 L p F P
0 g
s
.598 .731 .938 r
.50222 .58834 m .51041 .58847 L .50726 .57942 L p F P
0 g
s
.835 .893 .882 r
.86937 .73395 m .8985 .70772 L .89217 .70414 L p F P
0 g
s
.835 .893 .882 r
.89217 .70414 m .86383 .72918 L .86937 .73395 L p F P
0 g
s
.958 .686 .478 r
.63124 .30819 m .62638 .30194 L .62607 .31319 L p F P
0 g
s
.958 .686 .478 r
.62607 .31319 m .62924 .31918 L .63124 .30819 L p F P
0 g
s
.946 .714 .554 r
.71276 .35649 m .70734 .3444 L .70313 .35266 L p F P
0 g
s
.946 .714 .554 r
.70313 .35266 m .7071 .36375 L .71276 .35649 L p F P
0 g
s
.933 .752 .634 r
.51792 .2802 m .51587 .26552 L .50715 .26824 L p F P
0 g
s
.362 .426 .793 r
.15422 .4425 m .17007 .46633 L .17524 .45984 L p F P
0 g
s
.362 .426 .793 r
.17524 .45984 m .15942 .43601 L .15422 .4425 L p F P
0 g
s
.406 .149 .408 r
.38486 .14807 m .36508 .17017 L .3724 .17371 L p F P
0 g
s
.406 .149 .408 r
.3724 .17371 m .3922 .15158 L .38486 .14807 L p F P
0 g
s
.895 .604 .488 r
.71462 .72789 m .70726 .71895 L .70334 .72834 L p F P
0 g
s
.363 .322 .678 r
.62944 .38013 m .62729 .37318 L .61958 .38088 L p F P
0 g
s
.363 .322 .678 r
.61958 .38088 m .62214 .38859 L .62944 .38013 L p F P
0 g
s
.641 .292 .365 r
.56476 .62742 m .55657 .62933 L .56292 .63775 L p F P
0 g
s
.456 .548 .862 r
.53551 .36719 m .52885 .36252 L .52795 .37354 L p F P
0 g
s
.456 .548 .862 r
.52795 .37354 m .53586 .37829 L .53551 .36719 L p F P
0 g
s
.879 .81 .778 r
.15928 .19687 m .17226 .16802 L .1622 .16434 L p F P
0 g
s
.438 .253 .531 r
.82956 .44943 m .81767 .47371 L .8277 .47629 L p F P
0 g
s
.825 .524 .479 r
.15633 .69372 m .12977 .67299 L .12376 .68167 L p F P
0 g
s
.44 .541 .863 r
.67964 .74189 m .68873 .75272 L .69895 .7507 L p F P
0 g
s
.453 .582 .892 r
.70737 .75837 m .69895 .7507 L .68873 .75272 L p F P
0 g
s
.917 .635 .491 r
.64233 .36022 m .6446 .36824 L .65408 .37105 L p F P
0 g
s
.76 .861 .924 r
.56481 .66427 m .57745 .66097 L .57823 .6519 L p F P
0 g
s
.795 .874 .905 r
.58991 .64661 m .57823 .6519 L .57745 .66097 L p F P
0 g
s
.308 .151 .499 r
.1396 .1531 m .12511 .18597 L .13183 .18879 L p F P
0 g
s
.3 .175 .538 r
.12065 .22596 m .13183 .18879 L .12511 .18597 L p F P
0 g
s
.926 .858 .754 r
.84982 .48968 m .86293 .4626 L .85662 .45762 L p F P
0 g
s
.937 .845 .726 r
.8661 .43241 m .85662 .45762 L .86293 .4626 L p F P
0 g
s
.433 .575 .896 r
.10754 .70118 m .13764 .72433 L .14203 .71834 L p F P
0 g
s
.471 .621 .916 r
.17421 .73715 m .14203 .71834 L .13764 .72433 L p F P
0 g
s
.501 .631 .91 r
.54805 .5603 m .55872 .56352 L .55967 .57312 L p F P
0 g
s
.482 .608 .901 r
.56965 .57721 m .55967 .57312 L .55872 .56352 L p F P
0 g
s
.651 .516 .686 r
.55967 .57312 m .56965 .57721 L .56218 .59353 L p F P
0 g
s
.651 .516 .686 r
.56218 .59353 m .55359 .59 L .55967 .57312 L p F P
0 g
s
.489 .167 .347 r
.58554 .38263 m .57535 .38476 L .58001 .3757 L p F P
0 g
s
.489 .167 .347 r
.58001 .3757 m .58875 .37297 L .58554 .38263 L p F P
0 g
s
.625 .524 .72 r
.58875 .37297 m .58001 .3757 L .57866 .35781 L p F P
0 g
s
.625 .524 .72 r
.57866 .35781 m .58485 .35544 L .58875 .37297 L p F P
0 g
s
.681 .279 .278 r
.65288 .42452 m .6443 .41966 L .65463 .41708 L p F P
0 g
s
.681 .279 .278 r
.65463 .41708 m .66243 .41988 L .65288 .42452 L p F P
0 g
s
.603 .451 .648 r
.66243 .41988 m .65463 .41708 L .66593 .40315 L p F P
0 g
s
.603 .451 .648 r
.66593 .40315 m .67088 .40404 L .66243 .41988 L p F P
0 g
s
.769 .417 .389 r
.66663 .35057 m .66597 .34976 L .65847 .34027 L p F P
0 g
s
.724 .354 .349 r
.6554 .34092 m .65847 .34027 L .66597 .34976 L p F P
0 g
s
.786 .65 .712 r
.65847 .34027 m .6554 .34092 L .65472 .32298 L p F P
0 g
s
.786 .65 .712 r
.65472 .32298 m .66065 .32246 L .65847 .34027 L p F P
0 g
s
.676 .789 .934 r
.66065 .32246 m .65472 .32298 L .66272 .31318 L p F P
0 g
s
.676 .789 .934 r
.66272 .31318 m .67034 .31402 L .66065 .32246 L p F P
0 g
s
.425 .362 .684 r
.96106 .52785 m .96002 .49033 L .97092 .48988 L p F P
0 g
s
.425 .362 .684 r
.97092 .48988 m .97191 .52912 L .96106 .52785 L p F P
0 g
s
.537 .174 .298 r
.32679 .06305 m .29504 .07011 L .2936 .06289 L p F P
0 g
s
.537 .174 .298 r
.2936 .06289 m .32681 .05559 L .32679 .06287 L p F P
0 g
s
.537 .174 .298 r
.2936 .06289 m .32679 .06287 L .32598 .06305 L F
.693 .568 .71 r
.32681 .05559 m .2936 .06289 L .28673 .0463 L p F P
0 g
s
.693 .568 .71 r
.28673 .0463 m .32294 .03805 L .32681 .05559 L p F P
0 g
s
.701 .77 .905 r
.32287 .0529 m .28957 .06068 L .29499 .07003 L p F P
0 g
s
.701 .77 .905 r
.29499 .07003 m .29504 .07011 L p .29527 .06997 L F P
0 g
s
.701 .77 .905 r
.29527 .06997 m .32287 .0529 L .29499 .07003 L F
.537 .174 .298 r
.32679 .06287 m .32679 .06305 L p .32598 .06305 L F P
0 g
s
.708 .771 .901 r
.32294 .03805 m .28673 .0463 L .28125 .03682 L p F P
0 g
s
.749 .794 .89 r
.24538 .05233 m .28125 .03682 L .28673 .0463 L p F P
0 g
s
.287 .24 .629 r
.06436 .49807 m .06377 .52862 L .05639 .52829 L p F P
0 g
s
.287 .24 .629 r
.05639 .52829 m .05712 .49636 L .06419 .49803 L p F P
0 g
s
.287 .24 .629 r
.05639 .52829 m .06419 .49803 L .06417 .49877 L F
.707 .589 .722 r
.05712 .49636 m .05639 .52829 L .03863 .53082 L p F P
0 g
s
.707 .589 .722 r
.03863 .53082 m .03916 .49597 L .05712 .49636 L p F P
0 g
s
.907 .758 .685 r
.05356 .49938 m .05329 .53152 L .06367 .52865 L p F P
0 g
s
.907 .758 .685 r
.06367 .52865 m .06377 .52862 L p .06367 .52835 L F P
0 g
s
.907 .758 .685 r
.06367 .52835 m .05356 .49938 L .06367 .52865 L F
.287 .24 .629 r
.06419 .49803 m .06436 .49807 L p .06417 .49877 L F P
0 g
s
.905 .751 .68 r
.03916 .49597 m .03863 .53082 L .02809 .53372 L p F P
0 g
s
.904 .718 .641 r
.03382 .56965 m .02809 .53372 L .03863 .53082 L p F P
0 g
s
.324 .281 .655 r
.25331 .55339 m .25677 .58269 L .24895 .58473 L p F P
0 g
s
.324 .276 .649 r
.25175 .61392 m .24895 .58473 L .25677 .58269 L p F P
0 g
s
.705 .561 .689 r
.24895 .58473 m .25175 .61392 L .2339 .61593 L p F P
0 g
s
.705 .561 .689 r
.2339 .61593 m .2311 .58655 L .24895 .58473 L p F P
0 g
s
.911 .711 .619 r
.2311 .58655 m .2339 .61593 L .22372 .61594 L p F P
0 g
s
.911 .711 .619 r
.22372 .61594 m .22092 .58635 L .2311 .58655 L p F P
0 g
s
.947 .797 .662 r
.76315 .63889 m .76724 .61093 L .77482 .61333 L p F P
0 g
s
.947 .797 .662 r
.77482 .61333 m .77074 .64122 L .76315 .63889 L p F P
0 g
s
.947 .797 .662 r
.77482 .61333 m .76315 .63889 L .76315 .63888 L F
.71 .564 .688 r
.77074 .64122 m .77482 .61333 L .79257 .616 L p F P
0 g
s
.71 .564 .688 r
.79257 .616 m .78849 .64396 L .77074 .64122 L p F P
0 g
s
.41 .29 .605 r
.77338 .6393 m .77748 .61119 L .76724 .61093 L p F P
0 g
s
.41 .29 .605 r
.76724 .61093 m .76724 .61093 L p .76724 .61094 L F P
0 g
s
.41 .29 .605 r
.76724 .61094 m .77338 .6393 L .76724 .61093 L F
.947 .797 .662 r
.76315 .63889 m .76315 .63889 L p .76315 .63888 L F P
0 g
s
.414 .294 .607 r
.78849 .64396 m .79257 .616 L .80287 .61629 L p F P
0 g
s
.544 .201 .338 r
.29946 .27359 m .2729 .28339 L .26925 .2762 L p F P
0 g
s
.55 .205 .337 r
.24267 .2854 m .26925 .2762 L .2729 .28339 L p F P
0 g
s
.724 .586 .701 r
.26925 .2762 m .24267 .2854 L .23648 .26854 L p F P
0 g
s
.724 .586 .701 r
.23648 .26854 m .26328 .25928 L .26925 .2762 L p F P
0 g
s
.759 .811 .894 r
.26328 .25928 m .23648 .26854 L .23389 .25872 L p F P
0 g
s
.759 .811 .894 r
.23389 .25872 m .26091 .24941 L .26328 .25928 L p F P
0 g
s
.925 .79 .693 r
.48142 .18046 m .49052 .17926 L p .48069 .19756 L F P
0 g
s
.927 .783 .681 r
.49078 .1614 m .49052 .17926 L .48142 .18046 L p F P
0 g
s
.927 .783 .681 r
.48183 .16309 m .49078 .1614 L p .48193 .17942 L F P
0 g
s
.927 .783 .681 r
.48142 .18046 m .48183 .16309 L p .48193 .17942 L F P
0 g
s
.706 .599 .734 r
.49052 .17926 m .49078 .1614 L .50873 .16071 L p F P
0 g
s
.93 .771 .663 r
.48992 .14283 m .49078 .1614 L .48183 .16309 L p F P
0 g
s
.93 .771 .663 r
.48183 .16309 m .48118 .14555 L .48992 .14283 L p F P
0 g
s
.367 .331 .686 r
.48183 .16309 m .4909 .1641 L p .48173 .1466 L F P
0 g
s
.367 .331 .686 r
.48118 .14555 m .48183 .16309 L p .48173 .1466 L F P
0 g
s
.362 .313 .668 r
.48142 .18046 m .49033 .18209 L p .48213 .16376 L F P
0 g
s
.362 .313 .668 r
.48183 .16309 m .48142 .18046 L p .48213 .16376 L F P
0 g
s
.925 .79 .693 r
.48026 .19837 m .48142 .18046 L p .48069 .19756 L F P
0 g
s
.706 .599 .734 r
.50873 .16071 m .50847 .17967 L .49052 .17926 L p F P
0 g
s
.368 .316 .668 r
.50847 .17967 m .50873 .16071 L .51787 .16171 L p F P
0 g
s
.368 .316 .668 r
.51787 .16171 m .51745 .18129 L .50847 .17967 L p F P
0 g
s
.435 .522 .848 r
.66533 .65652 m .67276 .66656 L .6627 .66814 L p F P
0 g
s
.435 .522 .848 r
.6627 .66814 m .65532 .65824 L .66533 .65652 L p F P
0 g
s
.732 .626 .741 r
.65532 .65824 m .6627 .66814 L .64818 .67868 L p F P
0 g
s
.732 .626 .741 r
.64818 .67868 m .64089 .66894 L .65532 .65824 L p F P
0 g
s
.51 .637 .911 r
.50605 .6162 m .51359 .62095 L .50647 .62711 L p F P
0 g
s
.51 .637 .911 r
.50647 .62711 m .49801 .62126 L .50567 .61644 L p F P
0 g
s
.51 .637 .911 r
.50647 .62711 m .50567 .61644 L .50607 .61668 L F
.741 .622 .727 r
.49801 .62126 m .50647 .62711 L .49942 .64362 L p F P
0 g
s
.843 .516 .434 r
.50468 .62653 m .51367 .63138 L .5136 .62131 L p F P
0 g
s
.843 .516 .434 r
.5136 .62131 m .51359 .62095 L p .5133 .62113 L F P
0 g
s
.843 .516 .434 r
.5133 .62113 m .50468 .62653 L .5136 .62131 L F
.51 .637 .911 r
.50567 .61644 m .50605 .6162 L p .50607 .61668 L F P
0 g
s
.741 .622 .727 r
.49942 .64362 m .48861 .63656 L .49801 .62126 L p F P
0 g
s
.819 .493 .438 r
.48861 .63656 m .49942 .64362 L .49945 .6541 L p F P
0 g
s
.786 .449 .418 r
.5125 .65935 m .49945 .6541 L .49942 .64362 L p F P
0 g
s
.723 .807 .916 r
.57501 .29472 m .56286 .29701 L .56433 .28652 L p F P
0 g
s
.723 .807 .916 r
.56433 .28652 m .57825 .28461 L .57501 .29472 L p F P
0 g
s
.716 .581 .703 r
.45347 .59489 m .46268 .59043 L .45573 .57389 L p F P
0 g
s
.716 .581 .703 r
.45573 .57389 m .44593 .5786 L .45347 .59489 L p F P
0 g
s
.662 .555 .724 r
.46581 .56933 m .45573 .57389 L .46268 .59043 L p F P
0 g
s
.662 .555 .724 r
.46268 .59043 m .47123 .58646 L .46581 .56933 L p F P
0 g
s
.619 .279 .372 r
.49832 .56172 m .50959 .56155 L .51505 .55287 L p F P
0 g
s
.648 .301 .369 r
.5269 .55456 m .51505 .55287 L .50959 .56155 L p F P
0 g
s
.908 .631 .506 r
.70726 .71895 m .70072 .70952 L .69611 .71847 L p F P
0 g
s
.493 .261 .49 r
.85176 .71582 m .87796 .69306 L .8702 .68564 L p F P
0 g
s
.373 .354 .709 r
.63228 .38799 m .62944 .38013 L .62214 .38859 L p F P
0 g
s
.373 .354 .709 r
.62214 .38859 m .62577 .39707 L .63228 .38799 L p F P
0 g
s
.443 .605 .915 r
.61499 .33018 m .61353 .32612 L .60139 .32771 L p F P
0 g
s
.69 .331 .361 r
.55657 .62933 m .54868 .62981 L .55371 .63911 L p F P
0 g
s
.423 .474 .808 r
.69062 .37098 m .68817 .36269 L .67752 .36438 L p F P
0 g
s
.494 .601 .889 r
.54314 .37127 m .53551 .36719 L .53586 .37829 L p F P
0 g
s
.494 .601 .889 r
.53586 .37829 m .54515 .38216 L .54314 .37127 L p F P
0 g
s
.374 .359 .714 r
.49163 .28603 m .48918 .2695 L .48006 .26803 L p F P
0 g
s
.368 .34 .696 r
.47889 .25111 m .48006 .26803 L .48918 .2695 L p F P
0 g
s
.856 .82 .813 r
.17226 .16802 m .1894 .14261 L .17994 .13741 L p F P
0 g
s
.864 .576 .499 r
.17434 .42593 m .19003 .44955 L .19953 .44582 L p F P
0 g
s
.442 .25 .523 r
.81767 .47371 m .80446 .49843 L .81435 .50144 L p F P
0 g
s
.861 .833 .817 r
.40571 .16349 m .38603 .18549 L .39224 .19365 L p F P
0 g
s
.856 .576 .513 r
.12977 .67299 m .10814 .64868 L .10072 .65635 L p F P
0 g
s
.562 .697 .931 r
.51041 .58847 m .51884 .58957 L .51671 .58027 L p F P
0 g
s
.426 .514 .845 r
.67133 .73019 m .67964 .74189 L .68948 .73986 L p F P
0 g
s
.44 .541 .863 r
.69895 .7507 m .68948 .73986 L .67964 .74189 L p F P
0 g
s
.877 .896 .842 r
.8985 .70772 m .92259 .67698 L .91571 .67466 L p F P
0 g
s
.877 .896 .842 r
.91571 .67466 m .89217 .70414 L .8985 .70772 L p F P
0 g
s
.912 .617 .472 r
.6446 .36824 m .64661 .37467 L .65635 .37772 L p F P
0 g
s
.941 .631 .423 r
.62638 .30194 m .62055 .29637 L .62222 .3077 L p F P
0 g
s
.941 .631 .423 r
.62222 .3077 m .62607 .31319 L .62638 .30194 L p F P
0 g
s
.714 .839 .941 r
.55134 .66564 m .56481 .66427 L .56706 .65528 L p F P
0 g
s
.76 .861 .924 r
.57823 .6519 m .56706 .65528 L .56481 .66427 L p F P
0 g
s
.93 .655 .498 r
.70734 .3444 m .69997 .33357 L .69743 .34264 L p F P
0 g
s
.93 .655 .498 r
.69743 .34264 m .70313 .35266 L .70734 .3444 L p F P
0 g
s
.747 .374 .347 r
.53969 .34814 m .54473 .35171 L .55422 .34744 L p F P
0 g
s
.933 .769 .655 r
.51587 .26552 m .51481 .25037 L .50591 .25257 L p F P
0 g
s
.328 .125 .446 r
.15968 .12243 m .1396 .1531 L .14581 .15686 L p F P
0 g
s
.308 .151 .499 r
.13183 .18879 m .14581 .15686 L .1396 .1531 L p F P
0 g
s
.365 .432 .797 r
.17007 .46633 m .18595 .48951 L .19131 .48321 L p F P
0 g
s
.921 .862 .766 r
.83602 .51559 m .84982 .48968 L .84384 .48431 L p F P
0 g
s
.926 .858 .754 r
.85662 .45762 m .84384 .48431 L .84982 .48968 L p F P
0 g
s
.404 .149 .411 r
.36508 .17017 m .34587 .19207 L .35301 .19586 L p F P
0 g
s
.384 .507 .859 r
.08128 .67254 m .10754 .70118 L .1126 .69582 L p F P
0 g
s
.433 .575 .896 r
.14203 .71834 m .1126 .69582 L .10754 .70118 L p F P
0 g
s
.482 .608 .901 r
.55872 .56352 m .56956 .56755 L .56965 .57721 L p F P
0 g
s
.461 .578 .886 r
.57927 .58218 m .56965 .57721 L .56956 .56755 L p F P
0 g
s
.652 .513 .681 r
.56965 .57721 m .57927 .58218 L .5703 .59774 L p F P
0 g
s
.652 .513 .681 r
.5703 .59774 m .56218 .59353 L .56965 .57721 L p F P
0 g
s
.707 .571 .7 r
.71032 .42487 m .71055 .41454 L .69261 .41377 L p F P
0 g
s
.707 .571 .7 r
.69261 .41377 m .69238 .42434 L .71032 .42487 L p F P
0 g
s
.704 .612 .751 r
.69358 .40234 m .69261 .41377 L .71055 .41454 L p F P
0 g
s
.704 .612 .751 r
.71055 .41454 m .71153 .40167 L .69358 .40234 L p F P
0 g
s
.467 .165 .368 r
.59508 .37946 m .58554 .38263 L .58875 .37297 L p F P
0 g
s
.467 .165 .368 r
.58875 .37297 m .59701 .36953 L .59508 .37946 L p F P
0 g
s
.633 .537 .727 r
.59701 .36953 m .58875 .37297 L .58485 .35544 L p F P
0 g
s
.633 .537 .727 r
.58485 .35544 m .59123 .35252 L .59701 .36953 L p F P
0 g
s
.709 .592 .723 r
.11593 .30347 m .12114 .33905 L .13858 .3348 L p F P
0 g
s
.709 .592 .723 r
.13858 .3348 m .13372 .30094 L .11593 .30347 L p F P
0 g
s
.702 .555 .685 r
.14375 .3582 m .13858 .3348 L .12114 .33905 L p F P
0 g
s
.702 .555 .685 r
.12114 .33905 m .12689 .36441 L .14375 .3582 L p F P
0 g
s
.707 .577 .707 r
.51367 .07009 m .47983 .08568 L .48876 .10125 L p F P
0 g
s
.707 .577 .707 r
.48876 .10125 m .52123 .08638 L .51367 .07009 L p F P
0 g
s
.725 .583 .697 r
.47983 .08568 m .45592 .09893 L .46641 .11351 L p F P
0 g
s
.725 .583 .697 r
.46641 .11351 m .48876 .10125 L .47983 .08568 L p F P
0 g
s
.975 .893 .678 r
.7276 .76895 m .73284 .77037 L .73309 .75242 L p F P
0 g
s
.975 .893 .678 r
.73309 .75242 m .73251 .75168 L .7276 .76895 L p F P
0 g
s
.69 .563 .707 r
.76364 .75365 m .73309 .75242 L .73284 .77037 L p F P
0 g
s
.69 .563 .707 r
.73284 .77037 m .76774 .77114 L .76364 .75365 L p F P
0 g
s
.707 .577 .707 r
.44115 .60184 m .45347 .59489 L .44593 .5786 L p F P
0 g
s
.707 .577 .707 r
.44593 .5786 m .43236 .58619 L .44115 .60184 L p F P
0 g
s
.746 .579 .668 r
.61047 .63195 m .61655 .62635 L .60442 .61312 L p F P
0 g
s
.746 .579 .668 r
.60442 .61312 m .59851 .61855 L .61047 .63195 L p F P
0 g
s
.707 .577 .707 r
.61655 .62635 m .62738 .61639 L .61423 .60416 L p F P
0 g
s
.707 .577 .707 r
.61423 .60416 m .60442 .61312 L .61655 .62635 L p F P
0 g
s
.707 .577 .707 r
.6232 .59458 m .61423 .60416 L .62738 .61639 L p F P
0 g
s
.707 .577 .707 r
.63743 .60553 m .64649 .59366 L .63118 .58429 L p F P
0 g
s
.707 .577 .707 r
.63118 .58429 m .6232 .59458 L .63743 .60553 L p F P
0 g
s
.707 .577 .707 r
.64649 .59366 m .65424 .5809 L .63801 .57322 L p F P
0 g
s
.707 .577 .707 r
.63801 .57322 m .63118 .58429 L .64649 .59366 L p F P
0 g
s
.707 .577 .707 r
.65424 .5809 m .66093 .5667 L .64418 .56025 L p F P
0 g
s
.707 .577 .707 r
.64418 .56025 m .63801 .57322 L .65424 .5809 L p F P
0 g
s
.707 .577 .707 r
.66093 .5667 m .66649 .55223 L .64946 .54655 L p F P
0 g
s
.707 .577 .707 r
.64946 .54655 m .64418 .56025 L .66093 .5667 L p F P
0 g
s
.707 .577 .707 r
.66649 .55223 m .67127 .53789 L .65436 .53186 L p F P
0 g
s
.707 .577 .707 r
.65436 .53186 m .64946 .54655 L .66649 .55223 L p F P
0 g
s
.707 .577 .707 r
.67127 .53789 m .67595 .52454 L .65992 .51646 L p F P
0 g
s
.707 .577 .707 r
.65992 .51646 m .65436 .53186 L .67127 .53789 L p F P
0 g
s
.707 .577 .707 r
.67595 .52454 m .68268 .5112 L .66683 .50277 L p F P
0 g
s
.707 .577 .707 r
.66683 .50277 m .65992 .51646 L .67595 .52454 L p F P
0 g
s
.707 .577 .707 r
.68268 .5112 m .68997 .49748 L .67379 .48971 L p F P
0 g
s
.707 .577 .707 r
.67379 .48971 m .66683 .50277 L .68268 .5112 L p F P
0 g
s
.707 .577 .707 r
.68997 .49748 m .69672 .48337 L .68003 .47677 L p F P
0 g
s
.707 .577 .707 r
.68003 .47677 m .67379 .48971 L .68997 .49748 L p F P
0 g
s
.707 .577 .707 r
.69672 .48337 m .70251 .46858 L .68522 .46377 L p F P
0 g
s
.707 .577 .707 r
.68522 .46377 m .68003 .47677 L .69672 .48337 L p F P
0 g
s
.707 .577 .707 r
.70251 .46858 m .70648 .45414 L .6888 .45104 L p F P
0 g
s
.707 .577 .707 r
.6888 .45104 m .68522 .46377 L .70251 .46858 L p F P
0 g
s
.707 .577 .707 r
.70648 .45414 m .70902 .43949 L .69114 .43787 L p F P
0 g
s
.707 .577 .707 r
.69114 .43787 m .6888 .45104 L .70648 .45414 L p F P
0 g
s
.707 .577 .707 r
.69238 .42434 m .69114 .43787 L .70902 .43949 L p F P
0 g
s
.707 .577 .707 r
.88157 .31677 m .87825 .27767 L .86072 .28155 L p F P
0 g
s
.707 .577 .707 r
.86072 .28155 m .86368 .31824 L .88157 .31677 L p F P
0 g
s
.707 .577 .707 r
.87825 .27767 m .86981 .23993 L .85306 .24641 L p F P
0 g
s
.707 .577 .707 r
.85306 .24641 m .86072 .28155 L .87825 .27767 L p F P
0 g
s
.707 .577 .707 r
.86981 .23993 m .85589 .20414 L .84007 .21262 L p F P
0 g
s
.707 .577 .707 r
.84007 .21262 m .85306 .24641 L .86981 .23993 L p F P
0 g
s
.707 .577 .707 r
.85589 .20414 m .83874 .17241 L .82447 .1833 L p F P
0 g
s
.707 .577 .707 r
.82447 .1833 m .84007 .21262 L .85589 .20414 L p F P
0 g
s
.707 .577 .707 r
.83874 .17241 m .81686 .1439 L .8044 .15682 L p F P
0 g
s
.707 .577 .707 r
.8044 .15682 m .82447 .1833 L .83874 .17241 L p F P
0 g
s
.707 .577 .707 r
.81686 .1439 m .79088 .11894 L .78035 .13348 L p F P
0 g
s
.707 .577 .707 r
.78035 .13348 m .8044 .15682 L .81686 .1439 L p F P
0 g
s
.707 .577 .707 r
.79088 .11894 m .76202 .09807 L .75252 .1133 L p F P
0 g
s
.707 .577 .707 r
.75252 .1133 m .78035 .13348 L .79088 .11894 L p F P
0 g
s
.707 .577 .707 r
.76202 .09807 m .73124 .079 L .72398 .09541 L p F P
0 g
s
.707 .577 .707 r
.72398 .09541 m .75252 .1133 L .76202 .09807 L p F P
0 g
s
.707 .577 .707 r
.73124 .079 m .69821 .0645 L .69351 .08182 L p F P
0 g
s
.707 .577 .707 r
.69351 .08182 m .72398 .09541 L .73124 .079 L p F P
0 g
s
.707 .577 .707 r
.69821 .0645 m .66349 .0552 L .66157 .07305 L p F P
0 g
s
.707 .577 .707 r
.66157 .07305 m .69351 .08182 L .69821 .0645 L p F P
0 g
s
.707 .577 .707 r
.66349 .0552 m .62802 .05146 L .62823 .06941 L p F P
0 g
s
.707 .577 .707 r
.62823 .06941 m .66157 .07305 L .66349 .0552 L p F P
0 g
s
.707 .577 .707 r
.59215 .06972 m .62823 .06941 L .62802 .05146 L p F P
0 g
s
.707 .577 .707 r
.58922 .05201 m .55111 .05839 L .55643 .07554 L p F P
0 g
s
.707 .577 .707 r
.55643 .07554 m .59215 .06972 L .58922 .05201 L p F P
0 g
s
.707 .577 .707 r
.55111 .05839 m .51367 .07009 L .52123 .08638 L p F P
0 g
s
.707 .577 .707 r
.52123 .08638 m .55643 .07554 L .55111 .05839 L p F P
0 g
s
.724 .59 .706 r
.24525 .75487 m .28024 .75225 L .27486 .73513 L p F P
0 g
s
.724 .59 .706 r
.27486 .73513 m .24415 .73694 L .24525 .75487 L p F P
0 g
s
.707 .577 .707 r
.28024 .75225 m .29461 .74753 L .28577 .73191 L p F P
0 g
s
.707 .577 .707 r
.28577 .73191 m .27486 .73513 L .28024 .75225 L p F P
0 g
s
.707 .577 .707 r
.29641 .72599 m .28577 .73191 L .29461 .74753 L p F P
0 g
s
.707 .577 .707 r
.30741 .74018 m .31958 .73066 L .30688 .71797 L p F P
0 g
s
.707 .577 .707 r
.30688 .71797 m .29641 .72599 L .30741 .74018 L p F P
0 g
s
.707 .577 .707 r
.31958 .73066 m .33015 .72006 L .31677 .70809 L p F P
0 g
s
.707 .577 .707 r
.31677 .70809 m .30688 .71797 L .31958 .73066 L p F P
0 g
s
.707 .577 .707 r
.33015 .72006 m .34247 .70628 L .32841 .69511 L p F P
0 g
s
.707 .577 .707 r
.32841 .69511 m .31677 .70809 L .33015 .72006 L p F P
0 g
s
.707 .577 .707 r
.34247 .70628 m .35388 .69191 L .3394 .68129 L p F P
0 g
s
.707 .577 .707 r
.3394 .68129 m .32841 .69511 L .34247 .70628 L p F P
0 g
s
.707 .577 .707 r
.35388 .69191 m .36463 .67724 L .35022 .66655 L p F P
0 g
s
.707 .577 .707 r
.35022 .66655 m .3394 .68129 L .35388 .69191 L p F P
0 g
s
.707 .577 .707 r
.36139 .65151 m .35022 .66655 L .36463 .67724 L p F P
0 g
s
.707 .577 .707 r
.37518 .663 m .38511 .65107 L .37195 .63887 L p F P
0 g
s
.707 .577 .707 r
.37195 .63887 m .36139 .65151 L .37518 .663 L p F P
0 g
s
.707 .577 .707 r
.38511 .65107 m .39569 .63963 L .3831 .62684 L p F P
0 g
s
.707 .577 .707 r
.3831 .62684 m .37195 .63887 L .38511 .65107 L p F P
0 g
s
.707 .577 .707 r
.39569 .63963 m .40662 .62886 L .39482 .61533 L p F P
0 g
s
.707 .577 .707 r
.39482 .61533 m .3831 .62684 L .39569 .63963 L p F P
0 g
s
.707 .577 .707 r
.40662 .62886 m .41827 .61869 L .40711 .60463 L p F P
0 g
s
.707 .577 .707 r
.40711 .60463 m .39482 .61533 L .40662 .62886 L p F P
0 g
s
.707 .577 .707 r
.41827 .61869 m .42943 .60981 L .41937 .59494 L p F P
0 g
s
.707 .577 .707 r
.41937 .59494 m .40711 .60463 L .41827 .61869 L p F P
0 g
s
.707 .577 .707 r
.42943 .60981 m .44115 .60184 L .43236 .58619 L p F P
0 g
s
.707 .577 .707 r
.43236 .58619 m .41937 .59494 L .42943 .60981 L p F P
0 g
s
.707 .577 .707 r
.62738 .61639 m .63743 .60553 L .6232 .59458 L p F P
0 g
s
.707 .577 .707 r
.70902 .43949 m .71032 .42487 L .69238 .42434 L p F P
0 g
s
.707 .577 .707 r
.62802 .05146 m .58922 .05201 L .59215 .06972 L p F P
0 g
s
.707 .577 .707 r
.29461 .74753 m .30741 .74018 L .29641 .72599 L p F P
0 g
s
.707 .577 .707 r
.36463 .67724 m .37518 .663 L .36139 .65151 L p F P
0 g
s
.637 .246 .285 r
.66157 .42774 m .65288 .42452 L .66243 .41988 L p F P
0 g
s
.637 .246 .285 r
.66243 .41988 m .67016 .4216 L .66157 .42774 L p F P
0 g
s
.607 .468 .667 r
.67016 .4216 m .66243 .41988 L .67088 .40404 L p F P
0 g
s
.607 .468 .667 r
.67088 .40404 m .67617 .40467 L .67016 .4216 L p F P
0 g
s
.724 .354 .349 r
.66408 .34919 m .6554 .34092 L p .66591 .3497 L F P
0 g
s
.679 .307 .334 r
.65182 .34198 m .6554 .34092 L .66408 .34919 L p F P
0 g
s
.679 .307 .334 r
.6616 .34901 m .65182 .34198 L p .66407 .34919 L F P
0 g
s
.679 .307 .334 r
.66408 .34919 m .6616 .34901 L p .66407 .34919 L F P
0 g
s
.645 .259 .299 r
.64864 .34293 m .65182 .34198 L .6616 .34901 L p F P
0 g
s
.645 .259 .299 r
.65774 .34961 m .64864 .34293 L p .6616 .34901 L F P
0 g
s
.645 .259 .299 r
.6616 .34901 m .65774 .34961 L p .6616 .34901 L F P
0 g
s
.616 .249 .324 r
.64346 .34478 m .64864 .34293 L .65774 .34961 L p F P
0 g
s
.616 .249 .324 r
.65317 .35063 m .64346 .34478 L p .65743 .34951 L F P
0 g
s
.616 .249 .324 r
.65774 .34961 m .65317 .35063 L p .65743 .34951 L F P
0 g
s
.689 .513 .643 r
.64015 .35199 m .6378 .34349 L .62047 .34819 L p F P
0 g
s
.588 .228 .326 r
.6384 .34706 m .64346 .34478 L .65317 .35063 L p F P
0 g
s
.588 .228 .326 r
.64848 .3522 m .6384 .34706 L p .65294 .35057 L F P
0 g
s
.588 .228 .326 r
.65317 .35063 m .64848 .3522 L p .65294 .35057 L F P
0 g
s
.792 .633 .684 r
.65182 .34198 m .64864 .34293 L .64421 .32551 L p F P
0 g
s
.565 .212 .329 r
.63308 .34982 m .6384 .34706 L .64848 .3522 L p F P
0 g
s
.689 .515 .646 r
.64233 .36022 m .64015 .35199 L .62269 .35628 L p F P
0 g
s
.565 .212 .329 r
.64345 .35441 m .63308 .34982 L p .64832 .35218 L F P
0 g
s
.565 .212 .329 r
.64848 .3522 m .64345 .35441 L p .64832 .35218 L F P
0 g
s
.774 .617 .685 r
.64864 .34293 m .64346 .34478 L .63738 .32785 L p F P
0 g
s
.735 .668 .785 r
.61881 .33989 m .62029 .34549 L .63692 .33871 L p F P
0 g
s
.735 .668 .785 r
.63692 .33871 m .63478 .33164 L .61881 .33989 L p F P
0 g
s
.744 .676 .784 r
.61702 .33454 m .61881 .33989 L .63478 .33164 L p F P
0 g
s
.771 .605 .672 r
.6384 .34706 m .63308 .34982 L .63286 .34939 L p F P
0 g
s
.771 .605 .672 r
.63286 .34939 m .6247 .33386 L p .63619 .34493 L F P
0 g
s
.771 .605 .672 r
.63619 .34493 m .6384 .34706 L .63286 .34939 L F
.5 .298 .536 r
.63735 .34742 m .63308 .34982 L p .63376 .35012 L F P
0 g
s
.5 .298 .536 r
.63735 .34742 m .63762 .35183 L .64345 .35441 L p F P
0 g
s
.453 .181 .41 r
.63735 .34742 m .63796 .35725 L p .63046 .3526 L F P
0 g
s
.453 .181 .41 r
.6293 .35188 m .6322 .35027 L p .63046 .3526 L F P
0 g
s
.744 .676 .784 r
.63478 .33164 m .63204 .32465 L .61702 .33454 L p F P
0 g
s
.771 .605 .672 r
.6247 .33386 m .63098 .33065 L .6384 .34706 L p F P
0 g
s
.751 .675 .777 r
.61499 .33018 m .61702 .33454 L .63204 .32465 L p F P
0 g
s
.751 .675 .777 r
.63204 .32465 m .62924 .31918 L .61499 .33018 L p F P
0 g
s
.818 .865 .882 r
.63098 .33065 m .6247 .33386 L .62485 .33293 L p F P
0 g
s
.818 .865 .882 r
.62485 .33293 m .62662 .32239 L p .6294 .32766 L F P
0 g
s
.818 .865 .882 r
.6294 .32766 m .63098 .33065 L .62485 .33293 L F
.617 .54 .745 r
.63735 .34742 m .63154 .34355 L p .63308 .34982 L F P
0 g
s
.617 .54 .745 r
.62861 .33165 m .6247 .33386 L .63286 .34939 L p F P
0 g
s
.617 .54 .745 r
.63286 .34939 m .63308 .34982 L p .63297 .34935 L F P
0 g
s
.617 .54 .745 r
.62861 .33165 m .63286 .34939 L .63297 .34935 L F
.453 .181 .41 r
.6322 .35027 m .63646 .34791 L p .63046 .3526 L F P
0 g
s
.453 .181 .41 r
.63646 .34791 m .63735 .34742 L p .63697 .3477 L F P
0 g
s
.453 .181 .41 r
.63646 .34791 m .63697 .3477 L .63046 .3526 L F
.655 .557 .732 r
.62861 .33165 m .63735 .34742 L p .62149 .33684 L F P
0 g
s
.655 .557 .732 r
.62047 .33617 m .62353 .33447 L p .62149 .33684 L F P
0 g
s
.773 .712 .795 r
.61353 .32612 m .61499 .33018 L .62924 .31918 L p F P
0 g
s
.836 .872 .87 r
.62041 .32559 m .62662 .32239 L .62485 .33293 L p F P
0 g
s
.836 .872 .87 r
.62485 .33293 m .6247 .33386 L p .62446 .3334 L F P
0 g
s
.836 .872 .87 r
.62041 .32559 m .62485 .33293 L .62446 .3334 L F
.655 .557 .732 r
.62353 .33447 m .62355 .33446 L p .62149 .33684 L F P
0 g
s
.836 .872 .87 r
.62861 .33165 m .62088 .32594 L p .62446 .3334 L F P
0 g
s
.836 .872 .87 r
.62063 .32602 m .62446 .3334 L .62088 .32594 L F
.6247 .33386 m .62861 .33165 L p .62446 .3334 L F P
0 g
s
.797 .858 .895 r
.63738 .32785 m .63098 .33065 L .63358 .31927 L p F P
0 g
s
.797 .858 .895 r
.63358 .31927 m .64098 .31663 L .63738 .32785 L p F P
0 g
s
.818 .865 .882 r
.62662 .32239 m .63358 .31927 L .63098 .33065 L p F P
0 g
s
.739 .826 .918 r
.62861 .33165 m .62047 .33617 L .61222 .33019 L p F P
0 g
s
.836 .872 .87 r
.62088 .32594 m .62041 .32559 L p .62063 .32602 L F P
0 g
s
.739 .826 .918 r
.61222 .33019 m .62041 .32559 L .62861 .33165 L p F P
0 g
s
.538 .219 .374 r
.62096 .33539 m .637 .3269 L .629 .32342 L p F P
0 g
s
.538 .219 .374 r
.629 .32342 m .62662 .32239 L p .62573 .32444 L F P
0 g
s
.538 .219 .374 r
.62096 .33539 m .629 .32342 L .62573 .32444 L F
.655 .557 .732 r
.62355 .33446 m .62861 .33165 L p .62158 .33678 L F P
0 g
s
.655 .557 .732 r
.62355 .33446 m .62158 .33678 L .62149 .33684 L F
.5 .298 .536 r
.64345 .35441 m .63796 .35725 L .63735 .34742 L p F P
0 g
s
.843 .881 .869 r
.64345 .35441 m .64544 .34296 L p .6382 .35681 L F P
0 g
s
.843 .881 .869 r
.63796 .35725 m .64345 .35441 L p .6382 .35681 L F P
0 g
s
.834 .883 .878 r
.64848 .3522 m .65115 .34086 L p .64371 .35395 L F P
0 g
s
.834 .883 .878 r
.64345 .35441 m .64848 .3522 L p .64371 .35395 L F P
0 g
s
.818 .883 .892 r
.65317 .35063 m .65684 .33946 L p .64875 .35179 L F P
0 g
s
.818 .883 .892 r
.64848 .3522 m .65317 .35063 L p .64875 .35179 L F P
0 g
s
.794 .876 .907 r
.65774 .34961 m .66243 .33879 L p .65345 .35028 L F P
0 g
s
.794 .876 .907 r
.65317 .35063 m .65774 .34961 L p .65345 .35028 L F P
0 g
s
.786 .886 .918 r
.6616 .34901 m .66817 .33829 L p .6585 .34879 L F P
0 g
s
.786 .886 .918 r
.65774 .34961 m .6616 .34901 L p .6585 .34879 L F P
0 g
s
.758 .896 .939 r
.66408 .34919 m .67214 .33945 L p .66203 .34862 L F P
0 g
s
.758 .896 .939 r
.6616 .34901 m .66408 .34919 L p .66203 .34862 L F P
0 g
s
.724 .354 .349 r
.66597 .34976 m .66408 .34919 L p .66591 .3497 L F P
0 g
s
.786 .639 .699 r
.6554 .34092 m .65182 .34198 L .64856 .32431 L p F P
0 g
s
.786 .639 .699 r
.64856 .32431 m .65472 .32298 L .6554 .34092 L p F P
0 g
s
.72 .819 .927 r
.65472 .32298 m .64856 .32431 L .65507 .31354 L p F P
0 g
s
.72 .819 .927 r
.65507 .31354 m .66272 .31318 L .65472 .32298 L p F P
0 g
s
.43 .4 .724 r
.96002 .49033 m .95274 .45381 L .96352 .45227 L p F P
0 g
s
.43 .4 .724 r
.96352 .45227 m .97092 .48988 L .96002 .49033 L p F P
0 g
s
.598 .217 .292 r
.35939 .06173 m .32679 .06305 L .32681 .05559 L p F P
0 g
s
.598 .217 .292 r
.32681 .05559 m .36088 .05429 L .35943 .06154 L p F P
0 g
s
.598 .217 .292 r
.32681 .05559 m .35943 .06154 L .35859 .06158 L F
.693 .566 .708 r
.36088 .05429 m .32681 .05559 L .32294 .03805 L p F P
0 g
s
.693 .566 .708 r
.32294 .03805 m .36017 .03633 L .36088 .05429 L p F P
0 g
s
.658 .738 .909 r
.35717 .05112 m .32287 .0529 L .32676 .06297 L p F P
0 g
s
.658 .738 .909 r
.32676 .06297 m .32679 .06305 L p .32704 .06295 L F P
0 g
s
.658 .738 .909 r
.32704 .06295 m .35717 .05112 L .32676 .06297 L F
.598 .217 .292 r
.35943 .06154 m .35939 .06173 L p .35859 .06158 L F P
0 g
s
.665 .741 .907 r
.36017 .03633 m .32294 .03805 L .31902 .02784 L p F P
0 g
s
.708 .771 .901 r
.28125 .03682 m .31902 .02784 L .32294 .03805 L p F P
0 g
s
.293 .199 .574 r
.07006 .46798 m .06436 .49807 L .05712 .49636 L p F P
0 g
s
.293 .199 .574 r
.05712 .49636 m .06318 .46493 L .06989 .46791 L p F P
0 g
s
.293 .199 .574 r
.05712 .49636 m .06989 .46791 L .06975 .46866 L F
.704 .587 .722 r
.06318 .46493 m .05712 .49636 L .03916 .49597 L p F P
0 g
s
.704 .587 .722 r
.03916 .49597 m .04553 .46155 L .06318 .46493 L p F P
0 g
s
.901 .786 .725 r
.05921 .46764 m .05356 .49938 L .06425 .49808 L p F P
0 g
s
.901 .786 .725 r
.06425 .49808 m .06436 .49807 L p .06431 .49778 L F P
0 g
s
.901 .786 .725 r
.06431 .49778 m .05921 .46764 L .06425 .49808 L F
.293 .199 .574 r
.06989 .46791 m .07006 .46798 L p .06975 .46866 L F P
0 g
s
.9 .779 .72 r
.04553 .46155 m .03916 .49597 L .0283 .49726 L p F P
0 g
s
.905 .751 .68 r
.02809 .53372 m .0283 .49726 L .03916 .49597 L p F P
0 g
s
.324 .276 .649 r
.25956 .6119 m .25175 .61392 L p .25668 .58325 L F P
0 g
s
.324 .279 .652 r
.25489 .6427 m .25175 .61392 L .25956 .6119 L p F P
0 g
s
.705 .561 .689 r
.25175 .61392 m .25489 .6427 L .23721 .64593 L p F P
0 g
s
.705 .561 .689 r
.23721 .64593 m .2339 .61593 L .25175 .61392 L p F P
0 g
s
.324 .279 .652 r
.26249 .64006 m .25489 .6427 L p .25907 .6151 L F P
0 g
s
.324 .279 .652 r
.25956 .6119 m .26249 .64006 L p .25907 .6151 L F P
0 g
s
.324 .295 .671 r
.25954 .66868 m .25489 .6427 L .26249 .64006 L p F P
0 g
s
.703 .559 .688 r
.25489 .6427 m .25954 .66868 L .24214 .67327 L p F P
0 g
s
.703 .559 .688 r
.24214 .67327 m .23721 .64593 L .25489 .6427 L p F P
0 g
s
.324 .295 .671 r
.26688 .66549 m .25954 .66868 L p .2622 .6429 L F P
0 g
s
.324 .295 .671 r
.26249 .64006 m .26688 .66549 L p .2622 .6429 L F P
0 g
s
.325 .316 .695 r
.26617 .69423 m .25954 .66868 L .26688 .66549 L p F P
0 g
s
.702 .558 .688 r
.25954 .66868 m .26617 .69423 L .24917 .70015 L p F P
0 g
s
.702 .558 .688 r
.24917 .70015 m .24214 .67327 L .25954 .66868 L p F P
0 g
s
.325 .316 .695 r
.27321 .69047 m .26617 .69423 L p .26681 .66835 L F P
0 g
s
.325 .316 .695 r
.26688 .66549 m .27321 .69047 L p .26681 .66835 L F P
0 g
s
.328 .338 .718 r
.27453 .71849 m .26617 .69423 L .27321 .69047 L p F P
0 g
s
.7 .557 .689 r
.26617 .69423 m .27453 .71849 L .25819 .72609 L p F P
0 g
s
.7 .557 .689 r
.25819 .72609 m .24917 .70015 L .26617 .69423 L p F P
0 g
s
.328 .338 .718 r
.28109 .71406 m .27453 .71849 L p .27337 .69387 L F P
0 g
s
.328 .338 .718 r
.27321 .69047 m .28109 .71406 L p .27337 .69387 L F P
0 g
s
.334 .365 .745 r
.28444 .74041 m .27453 .71849 L .28109 .71406 L p F P
0 g
s
.698 .555 .689 r
.27453 .71849 m .28444 .74041 L .26877 .74931 L p F P
0 g
s
.698 .555 .689 r
.26877 .74931 m .25819 .72609 L .27453 .71849 L p F P
0 g
s
.334 .365 .745 r
.28109 .71406 m .29146 .73702 L .28444 .74041 L p F P
0 g
s
.883 .621 .537 r
.28109 .71406 m .27125 .71724 L p .28894 .73455 L F P
0 g
s
.883 .621 .537 r
.29146 .73702 m .28109 .71406 L p .28894 .73455 L F P
0 g
s
.895 .649 .559 r
.27321 .69047 m .26316 .69266 L p .27946 .71211 L F P
0 g
s
.895 .649 .559 r
.28109 .71406 m .27321 .69047 L p .27946 .71211 L F P
0 g
s
.902 .67 .577 r
.26688 .66549 m .25675 .6669 L p .27158 .68814 L F P
0 g
s
.902 .67 .577 r
.27321 .69047 m .26688 .66549 L p .27158 .68814 L F P
0 g
s
.908 .69 .596 r
.26249 .64006 m .25233 .64066 L p .2657 .66347 L F P
0 g
s
.908 .69 .596 r
.26688 .66549 m .26249 .64006 L p .2657 .66347 L F P
0 g
s
.913 .709 .614 r
.25956 .6119 m .24944 .6119 L p .26236 .63977 L F P
0 g
s
.913 .709 .614 r
.26249 .64006 m .25956 .6119 L p .26236 .63977 L F P
0 g
s
.324 .276 .649 r
.25677 .58269 m .25956 .6119 L p .25668 .58325 L F P
0 g
s
.911 .708 .617 r
.2339 .61593 m .23721 .64593 L .22699 .64655 L p F P
0 g
s
.911 .708 .617 r
.22699 .64655 m .22372 .61594 L .2339 .61593 L p F P
0 g
s
.946 .806 .673 r
.75816 .66607 m .76315 .63889 L .77074 .64122 L p F P
0 g
s
.946 .806 .673 r
.77074 .64122 m .76567 .66861 L .7582 .66608 L p F P
0 g
s
.946 .806 .673 r
.77074 .64122 m .7582 .66608 L .75822 .66595 L F
.71 .565 .689 r
.76567 .66861 m .77074 .64122 L .78849 .64396 L p F P
0 g
s
.71 .565 .689 r
.78849 .64396 m .78332 .67198 L .76567 .66861 L p F P
0 g
s
.412 .285 .596 r
.76839 .66691 m .77338 .6393 L .76319 .63889 L p F P
0 g
s
.412 .285 .596 r
.76319 .63889 m .76315 .63889 L p .76317 .639 L F P
0 g
s
.412 .285 .596 r
.76317 .639 m .76839 .66691 L .76319 .63889 L F
.946 .806 .673 r
.7582 .66608 m .75816 .66607 L p .75822 .66595 L F P
0 g
s
.417 .29 .599 r
.78332 .67198 m .78849 .64396 L .79879 .64439 L p F P
0 g
s
.414 .294 .607 r
.80287 .61629 m .79879 .64439 L .78849 .64396 L p F P
0 g
s
.55 .205 .337 r
.24632 .29257 m .24267 .2854 L p .27229 .28343 L F P
0 g
s
.545 .202 .338 r
.21655 .29489 m .24267 .2854 L .24632 .29257 L p F P
0 g
s
.724 .586 .701 r
.24267 .2854 m .21655 .29489 L .20919 .27849 L p F P
0 g
s
.724 .586 .701 r
.20919 .27849 m .23648 .26854 L .24267 .2854 L p F P
0 g
s
.545 .202 .338 r
.2208 .30169 m .21655 .29489 L p .24326 .29281 L F P
0 g
s
.545 .202 .338 r
.24632 .29257 m .2208 .30169 L p .24326 .29281 L F P
0 g
s
.525 .189 .341 r
.19385 .30499 m .21655 .29489 L .2208 .30169 L p F P
0 g
s
.725 .585 .699 r
.21655 .29489 m .19385 .30499 L .18513 .28925 L p F P
0 g
s
.725 .585 .699 r
.18513 .28925 m .20919 .27849 L .21655 .29489 L p F P
0 g
s
.525 .189 .341 r
.19863 .31135 m .19385 .30499 L p .21807 .30203 L F P
0 g
s
.525 .189 .341 r
.2208 .30169 m .19863 .31135 L p .21807 .30203 L F P
0 g
s
.498 .174 .348 r
.1721 .31694 m .19385 .30499 L .19863 .31135 L p F P
0 g
s
.724 .584 .697 r
.19385 .30499 m .1721 .31694 L .16205 .302 L p F P
0 g
s
.724 .584 .697 r
.16205 .302 m .18513 .28925 L .19385 .30499 L p F P
0 g
s
.498 .174 .348 r
.17742 .32279 m .1721 .31694 L p .19588 .31193 L F P
0 g
s
.498 .174 .348 r
.19863 .31135 m .17742 .32279 L p .19588 .31193 L F P
0 g
s
.472 .161 .357 r
.15222 .33022 m .1721 .31694 L .17742 .32279 L p F P
0 g
s
.724 .582 .695 r
.1721 .31694 m .15222 .33022 L .1405 .31654 L p F P
0 g
s
.724 .582 .695 r
.1405 .31654 m .16205 .302 L .1721 .31694 L p F P
0 g
s
.472 .161 .357 r
.15816 .33532 m .15222 .33022 L p .17421 .32374 L F P
0 g
s
.472 .161 .357 r
.17742 .32279 m .15816 .33532 L p .17421 .32374 L F P
0 g
s
.442 .147 .367 r
.13608 .34349 m .15222 .33022 L .15816 .33532 L p F P
0 g
s
.724 .579 .692 r
.15222 .33022 m .13608 .34349 L .12304 .33103 L p F P
0 g
s
.724 .579 .692 r
.12304 .33103 m .1405 .31654 L .15222 .33022 L p F P
0 g
s
.442 .147 .367 r
.15816 .33532 m .14033 .35014 L .13608 .34349 L p F P
0 g
s
.838 .831 .84 r
.15816 .33532 m .15235 .32667 L p .1419 .34707 L F P
0 g
s
.838 .831 .84 r
.14033 .35014 m .15816 .33532 L p .1419 .34707 L F P
0 g
s
.816 .83 .86 r
.17742 .32279 m .17265 .31363 L p .1595 .33333 L F P
0 g
s
.816 .83 .86 r
.15816 .33532 m .17742 .32279 L p .1595 .33333 L F P
0 g
s
.798 .827 .874 r
.19863 .31135 m .19466 .30191 L p .17915 .32069 L F P
0 g
s
.798 .827 .874 r
.17742 .32279 m .19863 .31135 L p .17915 .32069 L F P
0 g
s
.78 .822 .885 r
.2208 .30169 m .21767 .29202 L p .20006 .3099 L F P
0 g
s
.78 .822 .885 r
.19863 .31135 m .2208 .30169 L p .20006 .3099 L F P
0 g
s
.762 .815 .895 r
.24632 .29257 m .24376 .28281 L p .22109 .30146 L F P
0 g
s
.762 .815 .895 r
.2208 .30169 m .24632 .29257 L p .22109 .30146 L F P
0 g
s
.55 .205 .337 r
.2729 .28339 m .24632 .29257 L p .27229 .28343 L F P
0 g
s
.762 .812 .893 r
.23648 .26854 m .20919 .27849 L .20603 .26877 L p F P
0 g
s
.762 .812 .893 r
.20603 .26877 m .23389 .25872 L .23648 .26854 L p F P
0 g
s
.708 .601 .735 r
.49078 .1614 m .48992 .14283 L .50782 .14124 L p F P
0 g
s
.708 .601 .735 r
.50782 .14124 m .50873 .16071 L .49078 .1614 L p F P
0 g
s
.372 .333 .685 r
.50873 .16071 m .50782 .14124 L .51712 .14234 L p F P
0 g
s
.372 .333 .685 r
.51712 .14234 m .51787 .16171 L .50873 .16071 L p F P
0 g
s
.439 .529 .853 r
.65759 .64649 m .66533 .65652 L .65532 .65824 L p F P
0 g
s
.439 .529 .853 r
.65532 .65824 m .64765 .64843 L .65759 .64649 L p F P
0 g
s
.732 .626 .74 r
.64765 .64843 m .65532 .65824 L .64089 .66894 L p F P
0 g
s
.732 .626 .74 r
.64089 .66894 m .63343 .65943 L .64765 .64843 L p F P
0 g
s
.768 .656 .739 r
.71705 .76475 m .7276 .76895 L .73251 .75168 L p F P
0 g
s
.768 .656 .739 r
.73251 .75168 m .72573 .74901 L .71705 .76475 L p F P
0 g
s
.469 .581 .884 r
.49957 .61042 m .50605 .6162 L .49801 .62126 L p F P
0 g
s
.469 .581 .884 r
.49801 .62126 m .49076 .61415 L .49912 .61061 L p F P
0 g
s
.469 .581 .884 r
.49801 .62126 m .49912 .61061 L .4995 .61094 L F
.737 .623 .732 r
.49076 .61415 m .49801 .62126 L .48861 .63656 L p F P
0 g
s
.877 .571 .467 r
.49663 .62038 m .50468 .62653 L .506 .61659 L p F P
0 g
s
.877 .571 .467 r
.506 .61659 m .50605 .6162 L p .50572 .61635 L F P
0 g
s
.877 .571 .467 r
.50572 .61635 m .49663 .62038 L .506 .61659 L F
.469 .581 .884 r
.49912 .61061 m .49957 .61042 L p .4995 .61094 L F P
0 g
s
.737 .623 .732 r
.48861 .63656 m .47902 .62776 L .49076 .61415 L p F P
0 g
s
.85 .542 .465 r
.47902 .62776 m .48861 .63656 L .48718 .64693 L p F P
0 g
s
.819 .493 .438 r
.49945 .6541 m .48718 .64693 L .48861 .63656 L p F P
0 g
s
.748 .6 .693 r
.55188 .30088 m .56286 .29701 L .56821 .31415 L p F P
0 g
s
.768 .831 .901 r
.56286 .29701 m .55188 .30088 L .55173 .29048 L p F P
0 g
s
.768 .831 .901 r
.55173 .29048 m .56433 .28652 L .56286 .29701 L p F P
0 g
s
.661 .551 .72 r
.47632 .56564 m .46581 .56933 L .47123 .58646 L p F P
0 g
s
.661 .551 .72 r
.47123 .58646 m .47995 .58325 L .47632 .56564 L p F P
0 g
s
.648 .301 .369 r
.50959 .56155 m .52075 .5627 L .5269 .55456 L p F P
0 g
s
.673 .32 .368 r
.53819 .55726 m .5269 .55456 L .52075 .5627 L p F P
0 g
s
.915 .648 .52 r
.70072 .70952 m .69442 .69916 L .68927 .70768 L p F P
0 g
s
.467 .266 .524 r
.87796 .69306 m .89982 .66613 L .89093 .66 L p F P
0 g
s
.381 .386 .74 r
.63572 .39527 m .63228 .38799 L .62577 .39707 L p F P
0 g
s
.381 .386 .74 r
.62577 .39707 m .63035 .40516 L .63572 .39527 L p F P
0 g
s
.485 .664 .941 r
.61353 .32612 m .61181 .32242 L .59981 .3257 L p F P
0 g
s
.531 .744 .973 r
.5987 .32435 m .59981 .3257 L .61181 .32242 L p F P
0 g
s
.728 .369 .371 r
.54868 .62981 m .54055 .62915 L .54421 .63906 L p F P
0 g
s
.454 .531 .847 r
.68817 .36269 m .68441 .35512 L .67405 .35844 L p F P
0 g
s
.531 .648 .909 r
.55128 .37411 m .54314 .37127 L .54515 .38216 L p F P
0 g
s
.531 .648 .909 r
.54515 .38216 m .55481 .38457 L .55128 .37411 L p F P
0 g
s
.368 .34 .696 r
.48918 .2695 m .48789 .25294 L .47889 .25111 L p F P
0 g
s
.364 .325 .681 r
.47855 .234 m .47889 .25111 L .48789 .25294 L p F P
0 g
s
.829 .821 .842 r
.1894 .14261 m .2105 .12032 L .20187 .11373 L p F P
0 g
s
.862 .572 .496 r
.19003 .44955 m .20631 .4732 L .21583 .46956 L p F P
0 g
s
.866 .58 .502 r
.23235 .49484 m .21583 .46956 L .20631 .4732 L p F P
0 g
s
.442 .25 .523 r
.80446 .49843 m .79086 .52364 L .80069 .52678 L p F P
0 g
s
.863 .833 .816 r
.38603 .18549 m .36637 .20797 L .37248 .2162 L p F P
0 g
s
.858 .833 .821 r
.3512 .23919 m .37248 .2162 L .36637 .20797 L p F P
0 g
s
.878 .623 .549 r
.10814 .64868 m .09077 .62059 L .08216 .62702 L p F P
0 g
s
.898 .593 .461 r
.64661 .37467 m .64888 .38095 L .65884 .38303 L p F P
0 g
s
.916 .567 .362 r
.62055 .29637 m .61351 .29159 L .61742 .30248 L p F P
0 g
s
.916 .567 .362 r
.61742 .30248 m .62222 .3077 L .62055 .29637 L p F P
0 g
s
.708 .336 .342 r
.54473 .35171 m .54984 .35453 L .55849 .34881 L p F P
0 g
s
.531 .664 .921 r
.51884 .58957 m .52779 .59168 L .52636 .58226 L p F P
0 g
s
.417 .492 .83 r
.66381 .71803 m .67133 .73019 L .68136 .72884 L p F P
0 g
s
.426 .514 .845 r
.68948 .73986 m .68136 .72884 L .67133 .73019 L p F P
0 g
s
.911 .887 .795 r
.92259 .67698 m .94131 .64242 L .93413 .64123 L p F P
0 g
s
.911 .887 .795 r
.93413 .64123 m .91571 .67466 L .92259 .67698 L p F P
0 g
s
.667 .807 .95 r
.53795 .66501 m .55134 .66564 L .55504 .65709 L p F P
0 g
s
.714 .839 .941 r
.56706 .65528 m .55504 .65709 L .55134 .66564 L p F P
0 g
s
.906 .595 .447 r
.69997 .33357 m .69032 .3239 L .69 .33347 L p F P
0 g
s
.906 .595 .447 r
.69 .33347 m .69743 .34264 L .69997 .33357 L p F P
0 g
s
.931 .779 .669 r
.51481 .25037 m .51449 .23497 L .50545 .23668 L p F P
0 g
s
.357 .111 .398 r
.18447 .09552 m .15968 .12243 L .16502 .12728 L p F P
0 g
s
.328 .125 .446 r
.14581 .15686 m .16502 .12728 L .15968 .12243 L p F P
0 g
s
.363 .427 .794 r
.18595 .48951 m .20036 .51125 L .20645 .50581 L p F P
0 g
s
.92 .863 .768 r
.82238 .54095 m .83602 .51559 L .83019 .51005 L p F P
0 g
s
.921 .862 .766 r
.84384 .48431 m .83019 .51005 L .83602 .51559 L p F P
0 g
s
.408 .15 .407 r
.34587 .19207 m .32762 .21205 L .33408 .21679 L p F P
0 g
s
.343 .438 .814 r
.06016 .63945 m .08128 .67254 L .08724 .66833 L p F P
0 g
s
.384 .507 .859 r
.1126 .69582 m .08724 .66833 L .08128 .67254 L p F P
0 g
s
.461 .578 .886 r
.56956 .56755 m .58015 .57254 L .57927 .58218 L p F P
0 g
s
.441 .547 .868 r
.58823 .58786 m .57927 .58218 L .58015 .57254 L p F P
0 g
s
.655 .512 .676 r
.57927 .58218 m .58823 .58786 L .57796 .60261 L p F P
0 g
s
.655 .512 .676 r
.57796 .60261 m .5703 .59774 L .57927 .58218 L p F P
0 g
s
.707 .617 .753 r
.71153 .40167 m .71161 .38852 L .69387 .39141 L p F P
0 g
s
.707 .617 .753 r
.69387 .39141 m .69358 .40234 L .71153 .40167 L p F P
0 g
s
.719 .613 .738 r
.52193 .32336 m .51654 .31087 L .49929 .31593 L p F P
0 g
s
.449 .164 .388 r
.60405 .37551 m .59508 .37946 L .59701 .36953 L p F P
0 g
s
.449 .164 .388 r
.59701 .36953 m .60499 .36543 L .60405 .37551 L p F P
0 g
s
.638 .545 .733 r
.60499 .36543 m .59701 .36953 L .59123 .35252 L p F P
0 g
s
.638 .545 .733 r
.59123 .35252 m .59768 .34901 L .60499 .36543 L p F P
0 g
s
.699 .554 .686 r
.12689 .36441 m .13549 .38879 L .15176 .38115 L p F P
0 g
s
.699 .554 .686 r
.15176 .38115 m .14375 .3582 L .12689 .36441 L p F P
0 g
s
.711 .563 .686 r
.8732 .40652 m .87792 .38041 L .86005 .37862 L p F P
0 g
s
.711 .563 .686 r
.86005 .37862 m .85557 .40299 L .8732 .40652 L p F P
0 g
s
.723 .581 .695 r
.45592 .09893 m .43363 .11454 L .44524 .12826 L p F P
0 g
s
.723 .581 .695 r
.44524 .12826 m .46641 .11351 L .45592 .09893 L p F P
0 g
s
.69 .567 .711 r
.76774 .77114 m .8017 .76356 L .79437 .74715 L p F P
0 g
s
.69 .567 .711 r
.79437 .74715 m .76364 .75365 L .76774 .77114 L p F P
0 g
s
.723 .593 .71 r
.20905 .74943 m .24525 .75487 L .24415 .73694 L p F P
0 g
s
.723 .593 .71 r
.24415 .73694 m .21211 .73171 L .20905 .74943 L p F P
0 g
s
.707 .589 .721 r
.11549 .26424 m .11593 .30347 L .13372 .30094 L p F P
0 g
s
.707 .589 .721 r
.13372 .30094 m .13347 .26429 L .11549 .26424 L p F P
0 g
s
.591 .213 .294 r
.67073 .42965 m .66157 .42774 L .67016 .4216 L p F P
0 g
s
.591 .213 .294 r
.67016 .4216 m .67821 .4222 L .67073 .42965 L p F P
0 g
s
.604 .478 .682 r
.67821 .4222 m .67016 .4216 L .67617 .40467 L p F P
0 g
s
.604 .478 .682 r
.67617 .40467 m .68161 .40454 L .67821 .4222 L p F P
0 g
s
.792 .633 .684 r
.64421 .32551 m .64856 .32431 L .65182 .34198 L p F P
0 g
s
.764 .85 .915 r
.64856 .32431 m .64421 .32551 L .64884 .31464 L p F P
0 g
s
.764 .85 .915 r
.64884 .31464 m .65507 .31354 L .64856 .32431 L p F P
0 g
s
.636 .249 .294 r
.39217 .06409 m .35939 .06173 L .36088 .05429 L p F P
0 g
s
.636 .249 .294 r
.36088 .05429 m .39462 .05682 L .39221 .06398 L p F P
0 g
s
.636 .249 .294 r
.36088 .05429 m .39221 .06398 L .39172 .06395 L F
.692 .564 .706 r
.39462 .05682 m .36088 .05429 L .36017 .03633 L p F P
0 g
s
.692 .564 .706 r
.36017 .03633 m .39601 .03888 L .39462 .05682 L p F P
0 g
s
.629 .714 .908 r
.39111 .05335 m .35717 .05112 L .35937 .06165 L p F P
0 g
s
.629 .714 .908 r
.35937 .06165 m .35939 .06173 L p .35963 .06167 L F P
0 g
s
.629 .714 .908 r
.35963 .06167 m .39111 .05335 L .35937 .06165 L F
.636 .249 .294 r
.39221 .06398 m .39217 .06409 L p .39172 .06395 L F P
0 g
s
.634 .716 .906 r
.39601 .03888 m .36017 .03633 L .35796 .02567 L p F P
0 g
s
.665 .741 .907 r
.31902 .02784 m .35796 .02567 L .36017 .03633 L p F P
0 g
s
.437 .429 .752 r
.95274 .45381 m .94166 .42032 L .95196 .41692 L p F P
0 g
s
.437 .429 .752 r
.95196 .41692 m .96352 .45227 L .95274 .45381 L p F P
0 g
s
.303 .176 .536 r
.08052 .43469 m .07006 .46798 L .06318 .46493 L p F P
0 g
s
.303 .176 .536 r
.06318 .46493 m .07398 .43089 L .08042 .43463 L p F P
0 g
s
.303 .176 .536 r
.06318 .46493 m .08042 .43463 L .08025 .43516 L F
.703 .585 .72 r
.07398 .43089 m .06318 .46493 L .04553 .46155 L p F P
0 g
s
.703 .585 .72 r
.04553 .46155 m .05685 .42541 L .07398 .43089 L p F P
0 g
s
.893 .8 .75 r
.06984 .433 m .05921 .46764 L .06997 .46798 L p F P
0 g
s
.893 .8 .75 r
.06997 .46798 m .07006 .46798 L p .07006 .4677 L F P
0 g
s
.893 .8 .75 r
.07006 .4677 m .06984 .433 L .06997 .46798 L F
.303 .176 .536 r
.08042 .43463 m .08052 .43469 L p .08025 .43516 L F P
0 g
s
.892 .796 .747 r
.05685 .42541 m .04553 .46155 L .03462 .46118 L p F P
0 g
s
.9 .779 .72 r
.0283 .49726 m .03462 .46118 L .04553 .46155 L p F P
0 g
s
.942 .824 .698 r
.75174 .68956 m .75816 .66607 L .76567 .66861 L p F P
0 g
s
.942 .824 .698 r
.76567 .66861 m .75893 .69287 L .75183 .6896 L p F P
0 g
s
.942 .824 .698 r
.76567 .66861 m .75183 .6896 L .75191 .6893 L F
.712 .566 .688 r
.75893 .69287 m .76567 .66861 L .78332 .67198 L p F P
0 g
s
.712 .566 .688 r
.78332 .67198 m .77625 .69773 L .75893 .69287 L p F P
0 g
s
.42 .272 .573 r
.76195 .69113 m .76839 .66691 L .75825 .66608 L p F P
0 g
s
.42 .272 .573 r
.75825 .66608 m .75816 .66607 L p .75819 .66628 L F P
0 g
s
.42 .272 .573 r
.75819 .66628 m .76195 .69113 L .75825 .66608 L F
.942 .824 .698 r
.75183 .6896 m .75174 .68956 L p .75191 .6893 L F P
0 g
s
.424 .279 .579 r
.77625 .69773 m .78332 .67198 L .79361 .67285 L p F P
0 g
s
.417 .29 .599 r
.79879 .64439 m .79361 .67285 L .78332 .67198 L p F P
0 g
s
.907 .69 .599 r
.23721 .64593 m .24214 .67327 L .23196 .67471 L p F P
0 g
s
.907 .69 .599 r
.23196 .67471 m .22699 .64655 L .23721 .64593 L p F P
0 g
s
.779 .819 .884 r
.20919 .27849 m .18513 .28925 L .18112 .27976 L p F P
0 g
s
.779 .819 .884 r
.18112 .27976 m .20603 .26877 L .20919 .27849 L p F P
0 g
s
.689 .515 .646 r
.62269 .35628 m .62489 .36466 L .64233 .36022 L p F P
0 g
s
.932 .764 .651 r
.4884 .12942 m .48992 .14283 L .48118 .14555 L p F P
0 g
s
.709 .606 .74 r
.48992 .14283 m .4884 .12942 L .50596 .12552 L p F P
0 g
s
.709 .606 .74 r
.50596 .12552 m .50782 .14124 L .48992 .14283 L p F P
0 g
s
.376 .352 .705 r
.50782 .14124 m .50596 .12552 L .5155 .12538 L p F P
0 g
s
.376 .352 .705 r
.5155 .12538 m .51712 .14234 L .50782 .14124 L p F P
0 g
s
.441 .533 .856 r
.64993 .63681 m .65759 .64649 L .64765 .64843 L p F P
0 g
s
.441 .533 .856 r
.64765 .64843 m .64001 .63886 L .64993 .63681 L p F P
0 g
s
.733 .627 .74 r
.64001 .63886 m .64765 .64843 L .63343 .65943 L p F P
0 g
s
.733 .627 .74 r
.63343 .65943 m .62591 .65003 L .64001 .63886 L p F P
0 g
s
.742 .592 .69 r
.53991 .30692 m .55188 .30088 L .55932 .31724 L p F P
0 g
s
.796 .842 .886 r
.55188 .30088 m .53991 .30692 L .53829 .29669 L p F P
0 g
s
.796 .842 .886 r
.53829 .29669 m .55173 .29048 L .55188 .30088 L p F P
0 g
s
.753 .646 .743 r
.70737 .75837 m .71705 .76475 L .72573 .74901 L p F P
0 g
s
.753 .646 .743 r
.72573 .74901 m .71843 .74418 L .70737 .75837 L p F P
0 g
s
.439 .536 .859 r
.49314 .603 m .49957 .61042 L .49076 .61415 L p F P
0 g
s
.439 .536 .859 r
.49076 .61415 m .48398 .60568 L .49275 .60311 L p F P
0 g
s
.439 .536 .859 r
.49076 .61415 m .49275 .60311 L .49304 .60344 L F
.732 .622 .735 r
.48398 .60568 m .49076 .61415 L .47902 .62776 L p F P
0 g
s
.893 .607 .496 r
.48879 .61231 m .49663 .62038 L .49948 .61075 L p F P
0 g
s
.893 .607 .496 r
.49948 .61075 m .49957 .61042 L p .49924 .61048 L F P
0 g
s
.893 .607 .496 r
.49924 .61048 m .48879 .61231 L .49948 .61075 L F
.439 .536 .859 r
.49275 .60311 m .49314 .603 L p .49304 .60344 L F P
0 g
s
.732 .622 .735 r
.47902 .62776 m .4705 .61759 L .48398 .60568 L p F P
0 g
s
.875 .584 .492 r
.4705 .61759 m .47902 .62776 L .47601 .63775 L p F P
0 g
s
.85 .542 .465 r
.48718 .64693 m .47601 .63775 L .47902 .62776 L p F P
0 g
s
.659 .546 .715 r
.48725 .563 m .47632 .56564 L .47995 .58325 L p F P
0 g
s
.659 .546 .715 r
.47995 .58325 m .48879 .58092 L .48725 .563 L p F P
0 g
s
.673 .32 .368 r
.52075 .5627 m .53158 .56498 L .53819 .55726 L p F P
0 g
s
.685 .329 .365 r
.54805 .5603 m .53819 .55726 L .53158 .56498 L p F P
0 g
s
.914 .648 .521 r
.69442 .69916 m .68772 .68796 L .68246 .69637 L p F P
0 g
s
.446 .279 .56 r
.89982 .66613 m .91716 .63511 L .90749 .63023 L p F P
0 g
s
.402 .439 .785 r
.64038 .40258 m .63572 .39527 L .63035 .40516 L p F P
0 g
s
.402 .439 .785 r
.63035 .40516 m .63674 .41319 L .64038 .40258 L p F P
0 g
s
.531 .744 .973 r
.61181 .32242 m .60999 .31892 L .5987 .32435 L p F P
0 g
s
.762 .407 .383 r
.54055 .62915 m .5323 .62737 L .53463 .63766 L p F P
0 g
s
.49 .589 .88 r
.68441 .35512 m .68012 .34856 L .67062 .35398 L p F P
0 g
s
.576 .697 .924 r
.55996 .37572 m .55128 .37411 L .55481 .38457 L p F P
0 g
s
.576 .697 .924 r
.55481 .38457 m .56507 .38542 L .55996 .37572 L p F P
0 g
s
.364 .325 .681 r
.48789 .25294 m .48741 .23619 L .47855 .234 L p F P
0 g
s
.361 .312 .667 r
.47901 .21696 m .47855 .234 L .48741 .23619 L p F P
0 g
s
.798 .816 .866 r
.2105 .12032 m .23509 .10149 L .22748 .09369 L p F P
0 g
s
.866 .58 .502 r
.20631 .4732 m .22251 .49757 L .23235 .49484 L p F P
0 g
s
.883 .618 .532 r
.24631 .52355 m .23235 .49484 L .22251 .49757 L p F P
0 g
s
.433 .257 .541 r
.78875 .55354 m .80069 .52678 L .79086 .52364 L p F P
0 g
s
.433 .257 .541 r
.79086 .52364 m .77875 .55101 L .78875 .55354 L p F P
0 g
s
.858 .833 .821 r
.36637 .20797 m .34592 .23041 L .3512 .23919 L p F P
0 g
s
.834 .833 .846 r
.32581 .2603 m .3512 .23919 L .34592 .23041 L p F P
0 g
s
.894 .665 .585 r
.09077 .62059 m .07797 .58963 L .06844 .59473 L p F P
0 g
s
.504 .636 .912 r
.52779 .59168 m .53792 .59482 L .53629 .58537 L p F P
0 g
s
.504 .636 .912 r
.53629 .58537 m .52636 .58226 L .52779 .59168 L p F P
0 g
s
.415 .487 .825 r
.65689 .7065 m .66381 .71803 L .6739 .71715 L p F P
0 g
s
.417 .492 .83 r
.68136 .72884 m .6739 .71715 L .66381 .71803 L p F P
0 g
s
.934 .869 .75 r
.94131 .64242 m .95453 .60675 L .9473 .60591 L p F P
0 g
s
.934 .869 .75 r
.9473 .60591 m .93413 .64123 L .94131 .64242 L p F P
0 g
s
.877 .553 .434 r
.64888 .38095 m .65141 .38637 L .66162 .38742 L p F P
0 g
s
.839 .464 .343 r
.61351 .29159 m .60587 .28829 L .6082 .29738 L p F P
0 g
s
.839 .464 .343 r
.6082 .29738 m .61742 .30248 L .61351 .29159 L p F P
0 g
s
.623 .772 .952 r
.52491 .66258 m .53795 .66501 L .5429 .65706 L p F P
0 g
s
.667 .807 .95 r
.55504 .65709 m .5429 .65706 L .53795 .66501 L p F P
0 g
s
.88 .53 .383 r
.69032 .3239 m .67858 .31663 L .68394 .32737 L p F P
0 g
s
.88 .53 .383 r
.68394 .32737 m .69 .33347 L .69032 .3239 L p F P
0 g
s
.662 .293 .335 r
.54984 .35453 m .55542 .35655 L .56306 .34957 L p F P
0 g
s
.929 .788 .684 r
.51449 .23497 m .5149 .21943 L .50578 .22033 L p F P
0 g
s
.395 .11 .358 r
.21332 .07284 m .18447 .09552 L .1888 .10128 L p F P
0 g
s
.357 .111 .398 r
.16502 .12728 m .1888 .10128 L .18447 .09552 L p F P
0 g
s
.347 .391 .765 r
.20036 .51125 m .21137 .53212 L .21861 .52863 L p F P
0 g
s
.92 .863 .768 r
.83019 .51005 m .81651 .53547 L .82238 .54095 L p F P
0 g
s
.434 .152 .385 r
.32762 .21205 m .30926 .22836 L .31418 .23464 L p F P
0 g
s
.313 .374 .766 r
.04468 .6033 m .06016 .63945 L .06679 .63649 L p F P
0 g
s
.343 .438 .814 r
.08724 .66833 m .06679 .63649 L .06016 .63945 L p F P
0 g
s
.441 .547 .868 r
.58015 .57254 m .59013 .57841 L .58823 .58786 L p F P
0 g
s
.427 .521 .851 r
.59713 .59459 m .58823 .58786 L .59013 .57841 L p F P
0 g
s
.66 .513 .674 r
.58823 .58786 m .59713 .59459 L .58562 .60842 L p F P
0 g
s
.66 .513 .674 r
.58562 .60842 m .57796 .60261 L .58823 .58786 L p F P
0 g
s
.713 .623 .755 r
.69294 .3809 m .69387 .39141 L .71161 .38852 L p F P
0 g
s
.713 .623 .755 r
.71161 .38852 m .71013 .37557 L .69294 .3809 L p F P
0 g
s
.75 .592 .681 r
.58991 .64661 m .60058 .63989 L .58995 .62539 L p F P
0 g
s
.75 .592 .681 r
.58995 .62539 m .58118 .63089 L .58991 .64661 L p F P
0 g
s
.716 .611 .739 r
.49473 .30117 m .49929 .31593 L .51654 .31087 L p F P
0 g
s
.716 .611 .739 r
.51654 .31087 m .51239 .2977 L .49473 .30117 L p F P
0 g
s
.457 .176 .399 r
.61291 .37114 m .60405 .37551 L .60499 .36543 L p F P
0 g
s
.457 .176 .399 r
.60499 .36543 m .61292 .36127 L .61291 .37114 L p F P
0 g
s
.651 .553 .731 r
.61292 .36127 m .60499 .36543 L .59768 .34901 L p F P
0 g
s
.651 .553 .731 r
.59768 .34901 m .60498 .34513 L .61292 .36127 L p F P
0 g
s
.721 .817 .924 r
.60498 .34513 m .59768 .34901 L .58938 .34254 L p F P
0 g
s
.713 .565 .687 r
.8661 .43241 m .8732 .40652 L .85557 .40299 L p F P
0 g
s
.713 .565 .687 r
.85557 .40299 m .84883 .42737 L .8661 .43241 L p F P
0 g
s
.698 .554 .688 r
.13549 .38879 m .14641 .41286 L .16199 .40386 L p F P
0 g
s
.698 .554 .688 r
.16199 .40386 m .15176 .38115 L .13549 .38879 L p F P
0 g
s
.722 .579 .694 r
.42489 .14499 m .44524 .12826 L .43363 .11454 L p F P
0 g
s
.722 .579 .694 r
.43363 .11454 m .41223 .1322 L .42489 .14499 L p F P
0 g
s
.692 .57 .714 r
.82418 .73461 m .79437 .74715 L .8017 .76356 L p F P
0 g
s
.692 .57 .714 r
.8017 .76356 m .83455 .74931 L .82418 .73461 L p F P
0 g
s
.722 .594 .712 r
.17421 .73715 m .20905 .74943 L .21211 .73171 L p F P
0 g
s
.722 .594 .712 r
.21211 .73171 m .18051 .72029 L .17421 .73715 L p F P
0 g
s
.705 .587 .721 r
.12065 .22596 m .11549 .26424 L .13347 .26429 L p F P
0 g
s
.705 .587 .721 r
.13347 .26429 m .13844 .22863 L .12065 .22596 L p F P
0 g
s
.578 .214 .315 r
.67962 .43055 m .67073 .42965 L .67821 .4222 L p F P
0 g
s
.578 .214 .315 r
.67821 .4222 m .68587 .42233 L .67962 .43055 L p F P
0 g
s
.62 .5 .694 r
.68587 .42233 m .67821 .4222 L .68161 .40454 L p F P
0 g
s
.62 .5 .694 r
.68161 .40454 m .68761 .40442 L .68587 .42233 L p F P
0 g
s
.532 .666 .922 r
.68761 .40442 m .68161 .40454 L .67755 .39421 L p F P
0 g
s
.774 .617 .685 r
.63738 .32785 m .64421 .32551 L .64864 .34293 L p F P
0 g
s
.772 .846 .908 r
.64421 .32551 m .63738 .32785 L .64098 .31663 L p F P
0 g
s
.772 .846 .908 r
.64098 .31663 m .64884 .31464 L .64421 .32551 L p F P
0 g
s
.325 .153 .488 r
.09591 .40423 m .08052 .43469 L .07398 .43089 L p F P
0 g
s
.325 .153 .488 r
.07398 .43089 m .09004 .39929 L .09578 .40412 L p F P
0 g
s
.325 .153 .488 r
.07398 .43089 m .09578 .40412 L .09545 .40479 L F
.701 .582 .719 r
.09004 .39929 m .07398 .43089 L .05685 .42541 L p F P
0 g
s
.701 .582 .719 r
.05685 .42541 m .07399 .39114 L .09004 .39929 L p F P
0 g
s
.877 .818 .787 r
.08565 .401 m .06984 .433 L .08043 .43468 L p F P
0 g
s
.877 .818 .787 r
.08043 .43468 m .08052 .43469 L p .08056 .43443 L F P
0 g
s
.877 .818 .787 r
.08056 .43443 m .08565 .401 L .08043 .43468 L F
.325 .153 .488 r
.09578 .40412 m .09591 .40423 L p .09545 .40479 L F P
0 g
s
.877 .813 .782 r
.07399 .39114 m .05685 .42541 L .04612 .42369 L p F P
0 g
s
.892 .796 .747 r
.03462 .46118 m .04612 .42369 L .05685 .42541 L p F P
0 g
s
.702 .314 .31 r
.42216 .07248 m .39217 .06409 L .39462 .05682 L p F P
0 g
s
.702 .314 .31 r
.39462 .05682 m .42617 .06572 L .42227 .07229 L p F P
0 g
s
.702 .314 .31 r
.39462 .05682 m .42227 .07229 L .42138 .07204 L F
.693 .563 .703 r
.42617 .06572 m .39462 .05682 L .39601 .03888 L p F P
0 g
s
.693 .563 .703 r
.39601 .03888 m .43098 .04838 L .42617 .06572 L p F P
0 g
s
.578 .666 .898 r
.42297 .06181 m .39111 .05335 L .39217 .064 L p F P
0 g
s
.578 .666 .898 r
.39217 .064 m .39217 .06409 L p .39244 .06407 L F P
0 g
s
.578 .666 .898 r
.39244 .06407 m .42297 .06181 L .39217 .064 L F
.702 .314 .31 r
.42227 .07229 m .42216 .07248 L p .42138 .07204 L F P
0 g
s
.588 .672 .898 r
.43098 .04838 m .39601 .03888 L .39496 .02808 L p F P
0 g
s
.634 .716 .906 r
.35796 .02567 m .39496 .02808 L .39601 .03888 L p F P
0 g
s
.656 .506 .668 r
.52241 .3566 m .52885 .36252 L .53969 .34814 L p F P
0 g
s
.456 .481 .796 r
.94166 .42032 m .92442 .39001 L .93391 .38494 L p F P
0 g
s
.456 .481 .796 r
.93391 .38494 m .95196 .41692 L .94166 .42032 L p F P
0 g
s
.901 .67 .58 r
.24214 .67327 m .24917 .70015 L .23907 .70237 L p F P
0 g
s
.901 .67 .58 r
.23907 .70237 m .23196 .67471 L .24214 .67327 L p F P
0 g
s
.936 .842 .726 r
.74327 .71227 m .75174 .68956 L .75893 .69287 L p F P
0 g
s
.936 .842 .726 r
.75893 .69287 m .75009 .71621 L .74337 .71232 L p F P
0 g
s
.936 .842 .726 r
.75893 .69287 m .74337 .71232 L .74349 .712 L F
.714 .568 .688 r
.75009 .71621 m .75893 .69287 L .77625 .69773 L p F P
0 g
s
.714 .568 .688 r
.77625 .69773 m .76691 .72262 L .75009 .71621 L p F P
0 g
s
.43 .263 .552 r
.75336 .71475 m .76195 .69113 L .75184 .68958 L p F P
0 g
s
.43 .263 .552 r
.75184 .68958 m .75174 .68956 L p .75176 .6898 L F P
0 g
s
.43 .263 .552 r
.75176 .6898 m .75336 .71475 L .75184 .68958 L F
.936 .842 .726 r
.74337 .71232 m .74327 .71227 L p .74349 .712 L F P
0 g
s
.433 .27 .558 r
.76691 .72262 m .77625 .69773 L .78651 .69932 L p F P
0 g
s
.424 .279 .579 r
.79361 .67285 m .78651 .69932 L .77625 .69773 L p F P
0 g
s
.797 .824 .873 r
.18513 .28925 m .16205 .302 L .15724 .2928 L p F P
0 g
s
.797 .824 .873 r
.15724 .2928 m .18112 .27976 L .18513 .28925 L p F P
0 g
s
.688 .515 .647 r
.6446 .36824 m .64233 .36022 L .62489 .36466 L p F P
0 g
s
.688 .515 .647 r
.62489 .36466 m .62729 .37318 L .6446 .36824 L p F P
0 g
s
.932 .764 .651 r
.48024 .13322 m .4884 .12942 L p .48175 .14425 L F P
0 g
s
.932 .733 .611 r
.48515 .11648 m .4884 .12942 L .48024 .13322 L p F P
0 g
s
.932 .733 .611 r
.47791 .12159 m .48515 .11648 L p .48068 .13172 L F P
0 g
s
.932 .733 .611 r
.48024 .13322 m .47791 .12159 L p .48068 .13172 L F P
0 g
s
.714 .609 .739 r
.4884 .12942 m .48515 .11648 L .50194 .11 L p F P
0 g
s
.927 .694 .565 r
.48056 .1059 m .48515 .11648 L .47791 .12159 L p F P
0 g
s
.927 .694 .565 r
.47495 .11247 m .48056 .1059 L p .47816 .12006 L F P
0 g
s
.927 .694 .565 r
.47791 .12159 m .47495 .11247 L p .47816 .12006 L F P
0 g
s
.719 .613 .738 r
.48515 .11648 m .48056 .1059 L .49551 .09584 L p F P
0 g
s
.948 .707 .539 r
.47792 .10049 m .48056 .1059 L .47495 .11247 L p F P
0 g
s
.948 .707 .539 r
.47495 .11247 m .47088 .105 L .47792 .10049 L p F P
0 g
s
.452 .513 .831 r
.47495 .11247 m .48436 .10895 L p .47192 .10531 L F P
0 g
s
.452 .513 .831 r
.47088 .105 m .47495 .11247 L p .47192 .10531 L F P
0 g
s
.41 .443 .783 r
.47791 .12159 m .48753 .12021 L p .4755 .11281 L F P
0 g
s
.41 .443 .783 r
.47495 .11247 m .47791 .12159 L p .4755 .11281 L F P
0 g
s
.386 .393 .744 r
.48024 .13322 m .48971 .13311 L p .47875 .12242 L F P
0 g
s
.386 .393 .744 r
.47791 .12159 m .48024 .13322 L p .47875 .12242 L F P
0 g
s
.932 .764 .651 r
.48118 .14555 m .48024 .13322 L p .48175 .14425 L F P
0 g
s
.714 .609 .739 r
.50194 .11 m .50596 .12552 L .4884 .12942 L p F P
0 g
s
.391 .392 .741 r
.50596 .12552 m .50194 .11 L .51162 .10858 L p F P
0 g
s
.391 .392 .741 r
.51162 .10858 m .5155 .12538 L .50596 .12552 L p F P
0 g
s
.411 .486 .826 r
.48802 .59485 m .49314 .603 L .48398 .60568 L p F P
0 g
s
.411 .486 .826 r
.48398 .60568 m .47851 .59617 L .48759 .59491 L p F P
0 g
s
.411 .486 .826 r
.48398 .60568 m .48759 .59491 L .48785 .59531 L F
.727 .62 .739 r
.47851 .59617 m .48398 .60568 L .4705 .61759 L p F P
0 g
s
.915 .657 .533 r
.48238 .60338 m .48879 .61231 L .49299 .60331 L p F P
0 g
s
.915 .657 .533 r
.49299 .60331 m .49314 .603 L p .4928 .60301 L F P
0 g
s
.915 .657 .533 r
.4928 .60301 m .48238 .60338 L .49299 .60331 L F
.411 .486 .826 r
.48759 .59491 m .48802 .59485 L p .48785 .59531 L F P
0 g
s
.727 .62 .739 r
.4705 .61759 m .4634 .60597 L .47851 .59617 L p F P
0 g
s
.896 .629 .525 r
.4634 .60597 m .4705 .61759 L .46608 .62692 L p F P
0 g
s
.875 .584 .492 r
.47601 .63775 m .46608 .62692 L .4705 .61759 L p F P
0 g
s
.446 .543 .862 r
.64181 .62712 m .64993 .63681 L .64001 .63886 L p F P
0 g
s
.446 .543 .862 r
.64001 .63886 m .63199 .62946 L .64181 .62712 L p F P
0 g
s
.734 .628 .74 r
.63199 .62946 m .64001 .63886 L .62591 .65003 L p F P
0 g
s
.734 .628 .74 r
.62591 .65003 m .6182 .64104 L .63199 .62946 L p F P
0 g
s
.739 .586 .684 r
.52908 .31448 m .53991 .30692 L .54969 .32202 L p F P
0 g
s
.829 .851 .863 r
.53991 .30692 m .52908 .31448 L .52609 .30465 L p F P
0 g
s
.829 .851 .863 r
.52609 .30465 m .53829 .29669 L .53991 .30692 L p F P
0 g
s
.658 .541 .71 r
.49832 .56172 m .48725 .563 L .48879 .58092 L p F P
0 g
s
.658 .541 .71 r
.48879 .58092 m .498 .57972 L .49832 .56172 L p F P
0 g
s
.746 .645 .748 r
.69895 .7507 m .70737 .75837 L .71843 .74418 L p F P
0 g
s
.746 .645 .748 r
.71843 .74418 m .71195 .73824 L .69895 .7507 L p F P
0 g
s
.685 .329 .365 r
.53158 .56498 m .54138 .56805 L .54805 .5603 L p F P
0 g
s
.687 .333 .368 r
.55872 .56352 m .54805 .5603 L .54138 .56805 L p F P
0 g
s
.906 .629 .507 r
.67555 .68586 m .68246 .69637 L .68772 .68796 L p F P
0 g
s
.906 .629 .507 r
.68772 .68796 m .68026 .67694 L .67555 .68586 L p F P
0 g
s
.433 .295 .593 r
.91716 .63511 m .93 .60075 L .92005 .59645 L p F P
0 g
s
.428 .497 .829 r
.64528 .40823 m .64038 .40258 L .63674 .41319 L p F P
0 g
s
.428 .497 .829 r
.63674 .41319 m .6443 .41966 L .64528 .40823 L p F P
0 g
s
.602 .805 .978 r
.60999 .31892 m .60387 .31491 L .59724 .32322 L p F P
0 g
s
.631 .744 .929 r
.59045 .32105 m .59724 .32322 L .60387 .31491 L p F P
0 g
s
.765 .417 .395 r
.5323 .62737 m .52204 .62463 L .52346 .63496 L p F P
0 g
s
.544 .66 .912 r
.68012 .34856 m .67794 .34439 L .66663 .35057 L p F P
0 g
s
.627 .872 .988 r
.66597 .34976 m .66663 .35057 L .67794 .34439 L p F P
0 g
s
.618 .737 .931 r
.56929 .37587 m .55996 .37572 L .56507 .38542 L p F P
0 g
s
.618 .737 .931 r
.56507 .38542 m .57535 .38476 L .56929 .37587 L p F P
0 g
s
.361 .312 .667 r
.48741 .23619 m .48776 .21909 L .47901 .21696 L p F P
0 g
s
.36 .299 .653 r
.48026 .19837 m .47901 .21696 L .48776 .21909 L p F P
0 g
s
.782 .811 .876 r
.23509 .10149 m .26443 .08289 L .25763 .07438 L p F P
0 g
s
.883 .618 .532 r
.22251 .49757 m .23615 .52433 L .24631 .52355 L p F P
0 g
s
.905 .678 .584 r
.25331 .55339 m .24631 .52355 L .23615 .52433 L p F P
0 g
s
.415 .278 .585 r
.78175 .58239 m .78875 .55354 L .77875 .55101 L p F P
0 g
s
.415 .278 .585 r
.77875 .55101 m .7715 .58152 L .78175 .58239 L p F P
0 g
s
.834 .833 .846 r
.34592 .23041 m .32249 .25068 L .32581 .2603 L p F P
0 g
s
.789 .825 .88 r
.29946 .27359 m .32581 .2603 L .32249 .25068 L p F P
0 g
s
.9 .687 .606 r
.07797 .58963 m .06821 .559 L .05829 .56335 L p F P
0 g
s
.846 .434 .255 r
.67858 .31663 m .67034 .31402 L .67791 .32345 L p F P
0 g
s
.846 .434 .255 r
.67791 .32345 m .68394 .32737 L .67858 .31663 L p F P
0 g
s
.844 .503 .409 r
.65141 .38637 m .65432 .39112 L .66453 .39033 L p F P
0 g
s
.615 .257 .339 r
.55542 .35655 m .56113 .3577 L .56742 .34952 L p F P
0 g
s
.513 .643 .914 r
.53792 .59482 m .54652 .5974 L .54552 .58786 L p F P
0 g
s
.761 .381 .335 r
.60587 .28829 m .59197 .28507 L .59614 .29358 L p F P
0 g
s
.761 .381 .335 r
.59614 .29358 m .6082 .29738 L .60587 .28829 L p F P
0 g
s
.597 .744 .946 r
.5125 .65935 m .52491 .66258 L .53092 .65533 L p F P
0 g
s
.623 .772 .952 r
.5429 .65706 m .53092 .65533 L .52491 .66258 L p F P
0 g
s
.415 .487 .825 r
.6739 .71715 m .66698 .70568 L .65689 .7065 L p F P
0 g
s
.927 .794 .694 r
.5149 .21943 m .51619 .20073 L .50707 .20159 L p F P
0 g
s
.927 .794 .694 r
.50707 .20159 m .50578 .22033 L .5149 .21943 L p F P
0 g
s
.502 .174 .343 r
.30926 .22836 m .28676 .2399 L .29068 .24686 L p F P
0 g
s
.93 .852 .744 r
.81651 .53547 m .80523 .56094 L .81157 .56574 L p F P
0 g
s
.321 .31 .691 r
.21137 .53212 m .21758 .55786 L .22523 .55549 L p F P
0 g
s
.423 .115 .337 r
.24538 .05233 m .21332 .07284 L .21656 .07931 L p F P
0 g
s
.395 .11 .358 r
.1888 .10128 m .21656 .07931 L .21332 .07284 L p F P
0 g
s
.3 .341 .738 r
.03382 .56965 m .04468 .6033 L .05173 .60158 L p F P
0 g
s
.313 .374 .766 r
.06679 .63649 m .05173 .60158 L .04468 .6033 L p F P
0 g
s
.941 .86 .732 r
.95453 .60675 m .96608 .56863 L .9588 .56898 L p F P
0 g
s
.941 .86 .732 r
.9588 .56898 m .9473 .60591 L .95453 .60675 L p F P
0 g
s
.427 .521 .851 r
.59013 .57841 m .59991 .58533 L .59713 .59459 L p F P
0 g
s
.414 .494 .833 r
.60537 .60188 m .59713 .59459 L .59991 .58533 L p F P
0 g
s
.664 .514 .671 r
.59713 .59459 m .60537 .60188 L .59295 .61491 L p F P
0 g
s
.664 .514 .671 r
.59295 .61491 m .58562 .60842 L .59713 .59459 L p F P
0 g
s
.754 .6 .687 r
.57823 .6519 m .58991 .64661 L .58118 .63089 L p F P
0 g
s
.754 .6 .687 r
.58118 .63089 m .57186 .63506 L .57823 .6519 L p F P
0 g
s
.72 .626 .753 r
.69062 .37098 m .69294 .3809 L .71013 .37557 L p F P
0 g
s
.72 .626 .753 r
.71013 .37557 m .7071 .36375 L .69062 .37098 L p F P
0 g
s
.449 .177 .407 r
.62161 .36644 m .61291 .37114 L .61292 .36127 L p F P
0 g
s
.449 .177 .407 r
.61292 .36127 m .62119 .35657 L .62161 .36644 L p F P
0 g
s
.652 .555 .733 r
.62119 .35657 m .61292 .36127 L .60498 .34513 L p F P
0 g
s
.652 .555 .733 r
.60498 .34513 m .61264 .34072 L .62119 .35657 L p F P
0 g
s
.732 .823 .922 r
.61264 .34072 m .60498 .34513 L .59697 .33873 L p F P
0 g
s
.721 .817 .924 r
.59697 .33873 m .60498 .34513 L p .58965 .34258 L F P
0 g
s
.732 .823 .922 r
.60444 .33463 m .61264 .34072 L p .59702 .33874 L F P
0 g
s
.732 .823 .922 r
.59697 .33873 m .60444 .33463 L p .59702 .33874 L F P
0 g
s
.738 .826 .919 r
.62047 .33617 m .61264 .34072 L .60444 .33463 L p F P
0 g
s
.738 .826 .919 r
.60444 .33463 m .61222 .33019 L .62047 .33617 L p F P
0 g
s
.449 .176 .406 r
.60444 .33463 m .6048 .34445 L p .61213 .33037 L F P
0 g
s
.449 .176 .406 r
.61222 .33019 m .60444 .33463 L p .61213 .33037 L F P
0 g
s
.455 .177 .403 r
.59697 .33873 m .5969 .34856 L p .60431 .33487 L F P
0 g
s
.455 .177 .403 r
.60444 .33463 m .59697 .33873 L p .60431 .33487 L F P
0 g
s
.721 .817 .924 r
.58938 .34254 m .59697 .33873 L p .58965 .34258 L F P
0 g
s
.713 .61 .74 r
.49163 .28603 m .49473 .30117 L .51239 .2977 L p F P
0 g
s
.713 .61 .74 r
.51239 .2977 m .50946 .28356 L .49163 .28603 L p F P
0 g
s
.696 .554 .689 r
.14641 .41286 m .15942 .43601 L .17434 .42593 L p F P
0 g
s
.696 .554 .689 r
.17434 .42593 m .16199 .40386 L .14641 .41286 L p F P
0 g
s
.715 .567 .687 r
.85662 .45762 m .8661 .43241 L .84883 .42737 L p F P
0 g
s
.715 .567 .687 r
.84883 .42737 m .83988 .45101 L .85662 .45762 L p F P
0 g
s
.721 .577 .693 r
.40571 .16349 m .42489 .14499 L .41223 .1322 L p F P
0 g
s
.721 .577 .693 r
.41223 .1322 m .3922 .15158 L .40571 .16349 L p F P
0 g
s
.694 .574 .716 r
.85176 .71582 m .82418 .73461 L .83455 .74931 L p F P
0 g
s
.694 .574 .716 r
.83455 .74931 m .86383 .72918 L .85176 .71582 L p F P
0 g
s
.72 .595 .715 r
.14203 .71834 m .17421 .73715 L .18051 .72029 L p F P
0 g
s
.72 .595 .715 r
.18051 .72029 m .15141 .70297 L .14203 .71834 L p F P
0 g
s
.702 .585 .721 r
.13183 .18879 m .12065 .22596 L .13844 .22863 L p F P
0 g
s
.702 .585 .721 r
.13844 .22863 m .14899 .19426 L .13183 .18879 L p F P
0 g
s
.544 .195 .327 r
.68903 .43046 m .67962 .43055 L .68587 .42233 L p F P
0 g
s
.544 .195 .327 r
.68587 .42233 m .69421 .42147 L .68903 .43046 L p F P
0 g
s
.618 .506 .704 r
.69421 .42147 m .68587 .42233 L .68761 .40442 L p F P
0 g
s
.618 .506 .704 r
.68761 .40442 m .69383 .40346 L .69421 .42147 L p F P
0 g
s
.56 .7 .935 r
.69383 .40346 m .68761 .40442 L .68312 .39461 L p F P
0 g
s
.532 .666 .922 r
.68312 .39461 m .68761 .40442 L p .678 .39467 L F P
0 g
s
.56 .7 .935 r
.68827 .39432 m .69383 .40346 L p .68335 .3948 L F P
0 g
s
.56 .7 .935 r
.68312 .39461 m .68827 .39432 L p .68335 .3948 L F P
0 g
s
.596 .734 .941 r
.70011 .40195 m .69383 .40346 L .68827 .39432 L p F P
0 g
s
.596 .734 .941 r
.69379 .39348 m .70011 .40195 L p .68839 .39439 L F P
0 g
s
.596 .734 .941 r
.68827 .39432 m .69379 .39348 L p .68839 .39439 L F P
0 g
s
.623 .757 .942 r
.70673 .40016 m .70011 .40195 L .69379 .39348 L p F P
0 g
s
.623 .757 .942 r
.69379 .39348 m .69813 .39257 L p .70673 .40016 L F P
0 g
s
.623 .757 .942 r
.69813 .39257 m .69989 .3922 L .70006 .3924 L p F P
0 g
s
.623 .757 .942 r
.70006 .3924 m .70673 .40016 L p .69813 .39257 L F P
0 g
s
.717 .807 .921 r
.72248 .39654 m .71194 .39914 L .71102 .38999 L p F P
0 g
s
.704 .798 .923 r
.71194 .39914 m .70673 .40016 L .69989 .3922 L p F P
0 g
s
.704 .798 .923 r
.69989 .3922 m .71102 .38999 L .71194 .39914 L p F P
0 g
s
.58 .247 .369 r
.69655 .40199 m .71362 .39859 L .71144 .3914 L p F P
0 g
s
.58 .247 .369 r
.71144 .3914 m .71102 .38999 L p .70906 .39161 L F P
0 g
s
.58 .247 .369 r
.69655 .40199 m .71144 .3914 L .70906 .39161 L F
.53 .206 .363 r
.69379 .39348 m .6897 .40296 L p .69959 .39251 L F P
0 g
s
.53 .206 .363 r
.69989 .3922 m .69379 .39348 L p .69959 .39251 L F P
0 g
s
.555 .22 .357 r
.68827 .39432 m .68305 .40324 L p .69343 .39382 L F P
0 g
s
.555 .22 .357 r
.69379 .39348 m .68827 .39432 L p .69343 .39382 L F P
0 g
s
.585 .238 .347 r
.68312 .39461 m .67683 .40276 L p .68796 .39455 L F P
0 g
s
.585 .238 .347 r
.68827 .39432 m .68312 .39461 L p .68796 .39455 L F P
0 g
s
.532 .666 .922 r
.67755 .39421 m .68312 .39461 L p .678 .39467 L F P
0 g
s
.773 .611 .678 r
.64346 .34478 m .6384 .34706 L .63098 .33065 L p F P
0 g
s
.773 .611 .678 r
.63098 .33065 m .63738 .32785 L .64346 .34478 L p F P
0 g
s
.773 .712 .795 r
.62924 .31918 m .62607 .31319 L .61353 .32612 L p F P
0 g
s
.352 .142 .448 r
.11606 .37564 m .09591 .40423 L .09004 .39929 L p F P
0 g
s
.352 .142 .448 r
.09004 .39929 m .11094 .36978 L .11597 .37552 L p F P
0 g
s
.352 .142 .448 r
.09004 .39929 m .11597 .37552 L .11558 .37608 L F
.699 .58 .718 r
.11094 .36978 m .09004 .39929 L .07399 .39114 L p F P
0 g
s
.699 .58 .718 r
.07399 .39114 m .09624 .35937 L .11094 .36978 L p F P
0 g
s
.857 .827 .817 r
.10641 .37104 m .08565 .401 L .09583 .4042 L p F P
0 g
s
.857 .827 .817 r
.09583 .4042 m .09591 .40423 L p .09599 .40397 L F P
0 g
s
.857 .827 .817 r
.09599 .40397 m .10641 .37104 L .09583 .4042 L F
.352 .142 .448 r
.11597 .37552 m .11606 .37564 L p .11558 .37608 L F P
0 g
s
.858 .823 .813 r
.09624 .35937 m .07399 .39114 L .06368 .38787 L p F P
0 g
s
.877 .813 .782 r
.04612 .42369 m .06368 .38787 L .07399 .39114 L p F P
0 g
s
.761 .382 .336 r
.44918 .08601 m .42216 .07248 L .42617 .06572 L p F P
0 g
s
.761 .382 .336 r
.42617 .06572 m .45463 .08006 L .44934 .08584 L p F P
0 g
s
.761 .382 .336 r
.42617 .06572 m .44934 .08584 L .44854 .08544 L F
.693 .561 .7 r
.45463 .08006 m .42617 .06572 L .43098 .04838 L p F P
0 g
s
.693 .561 .7 r
.43098 .04838 m .46265 .06393 L .45463 .08006 L p F P
0 g
s
.531 .613 .88 r
.45177 .07574 m .42297 .06181 L .42216 .07238 L p F P
0 g
s
.531 .613 .88 r
.42216 .07238 m .42216 .07248 L p .42242 .07251 L F P
0 g
s
.531 .613 .88 r
.42242 .07251 m .45177 .07574 L .42216 .07238 L F
.761 .382 .336 r
.44934 .08584 m .44918 .08601 L p .44854 .08544 L F P
0 g
s
.541 .622 .881 r
.46265 .06393 m .43098 .04838 L .43183 .03765 L p F P
0 g
s
.588 .672 .898 r
.39496 .02808 m .43183 .03765 L .43098 .04838 L p F P
0 g
s
.649 .503 .671 r
.54473 .35171 m .53969 .34814 L .52885 .36252 L p F P
0 g
s
.649 .503 .671 r
.52885 .36252 m .53551 .36719 L .54473 .35171 L p F P
0 g
s
.483 .537 .836 r
.92442 .39001 m .902 .36451 L .9099 .35746 L p F P
0 g
s
.483 .537 .836 r
.9099 .35746 m .93391 .38494 L .92442 .39001 L p F P
0 g
s
.893 .649 .562 r
.24917 .70015 m .25819 .72609 L .2483 .72932 L p F P
0 g
s
.893 .649 .562 r
.2483 .72932 m .23907 .70237 L .24917 .70015 L p F P
0 g
s
.927 .856 .751 r
.73302 .73396 m .74327 .71227 L .75009 .71621 L p F P
0 g
s
.927 .856 .751 r
.75009 .71621 m .73943 .73849 L .7331 .73402 L p F P
0 g
s
.927 .856 .751 r
.75009 .71621 m .7331 .73402 L .73324 .73373 L F
.716 .569 .689 r
.73943 .73849 m .75009 .71621 L .76691 .72262 L p F P
0 g
s
.716 .569 .689 r
.76691 .72262 m .75566 .74631 L .73943 .73849 L p F P
0 g
s
.441 .257 .534 r
.74292 .73728 m .75336 .71475 L .74336 .71229 L p F P
0 g
s
.441 .257 .534 r
.74336 .71229 m .74327 .71227 L p .74327 .7125 L F P
0 g
s
.441 .257 .534 r
.74327 .7125 m .74292 .73728 L .74336 .71229 L F
.927 .856 .751 r
.7331 .73402 m .73302 .73396 L p .73324 .73373 L F P
0 g
s
.444 .263 .54 r
.75566 .74631 m .76691 .72262 L .77705 .72513 L p F P
0 g
s
.433 .27 .558 r
.78651 .69932 m .77705 .72513 L .76691 .72262 L p F P
0 g
s
.815 .828 .859 r
.16205 .302 m .1405 .31654 L .13465 .30784 L p F P
0 g
s
.815 .828 .859 r
.13465 .30784 m .15724 .2928 L .16205 .302 L p F P
0 g
s
.683 .506 .64 r
.64661 .37467 m .6446 .36824 L .62729 .37318 L p F P
0 g
s
.683 .506 .64 r
.62729 .37318 m .62944 .38013 L .64661 .37467 L p F P
0 g
s
.719 .613 .738 r
.49551 .09584 m .50194 .11 L .48515 .11648 L p F P
0 g
s
.414 .443 .781 r
.50194 .11 m .49551 .09584 L .50496 .09227 L p F P
0 g
s
.414 .443 .781 r
.50496 .09227 m .51162 .10858 L .50194 .11 L p F P
0 g
s
.736 .58 .68 r
.51914 .3233 m .52908 .31448 L .54075 .32819 L p F P
0 g
s
.856 .853 .839 r
.52908 .31448 m .51914 .3233 L .51529 .31383 L p F P
0 g
s
.856 .853 .839 r
.51529 .31383 m .52609 .30465 L .52908 .31448 L p F P
0 g
s
.391 .444 .796 r
.48366 .58552 m .48802 .59485 L .47851 .59617 L p F P
0 g
s
.391 .444 .796 r
.47851 .59617 m .47404 .58571 L .48329 .58553 L p F P
0 g
s
.391 .444 .796 r
.47851 .59617 m .48329 .58553 L .48347 .58591 L F
.723 .618 .741 r
.47404 .58571 m .47851 .59617 L .4634 .60597 L p F P
0 g
s
.925 .691 .565 r
.47698 .59317 m .48238 .60338 L .48785 .5951 L p F P
0 g
s
.925 .691 .565 r
.48785 .5951 m .48802 .59485 L p .48771 .5948 L F P
0 g
s
.925 .691 .565 r
.48771 .5948 m .47698 .59317 L .48785 .5951 L F
.391 .444 .796 r
.48329 .58553 m .48366 .58552 L p .48347 .58591 L F P
0 g
s
.723 .618 .741 r
.4634 .60597 m .45779 .5935 L .47404 .58571 L p F P
0 g
s
.912 .668 .557 r
.45779 .5935 m .4634 .60597 L .45769 .61451 L p F P
0 g
s
.896 .629 .525 r
.46608 .62692 m .45769 .61451 L .4634 .60597 L p F P
0 g
s
.454 .556 .87 r
.63323 .61761 m .64181 .62712 L .63199 .62946 L p F P
0 g
s
.454 .556 .87 r
.63199 .62946 m .62355 .62033 L .63323 .61761 L p F P
0 g
s
.736 .628 .739 r
.62355 .62033 m .63199 .62946 L .6182 .64104 L p F P
0 g
s
.736 .628 .739 r
.6182 .64104 m .61019 .63242 L .62355 .62033 L p F P
0 g
s
.729 .641 .761 r
.68817 .36269 m .69062 .37098 L .7071 .36375 L p F P
0 g
s
.729 .641 .761 r
.7071 .36375 m .70313 .35266 L .68817 .36269 L p F P
0 g
s
.658 .537 .705 r
.50959 .56155 m .49832 .56172 L .498 .57972 L p F P
0 g
s
.658 .537 .705 r
.498 .57972 m .50726 .57942 L .50959 .56155 L p F P
0 g
s
.734 .626 .739 r
.68948 .73986 m .69895 .7507 L .71195 .73824 L p F P
0 g
s
.734 .626 .739 r
.71195 .73824 m .70334 .72834 L .68948 .73986 L p F P
0 g
s
.687 .333 .368 r
.54138 .56805 m .55164 .57086 L .55872 .56352 L p F P
0 g
s
.706 .351 .372 r
.56956 .56755 m .55872 .56352 L .55164 .57086 L p F P
0 g
s
.902 .621 .501 r
.66825 .6756 m .67555 .68586 L .68026 .67694 L p F P
0 g
s
.902 .621 .501 r
.68026 .67694 m .67276 .66656 L .66825 .6756 L p F P
0 g
s
.429 .303 .605 r
.93 .60075 m .94091 .56639 L .93045 .56347 L p F P
0 g
s
.465 .56 .868 r
.65177 .41323 m .64528 .40823 L .6443 .41966 L p F P
0 g
s
.465 .56 .868 r
.6443 .41966 m .65288 .42452 L .65177 .41323 L p F P
0 g
s
.631 .744 .929 r
.60387 .31491 m .59538 .31163 L .59045 .32105 L p F P
0 g
s
.807 .466 .41 r
.52204 .62463 m .51359 .62095 L .51367 .63138 L p F P
0 g
s
.627 .872 .988 r
.67794 .34439 m .67572 .34138 L .66597 .34976 L p F P
0 g
s
.708 .884 .962 r
.66408 .34919 m .66597 .34976 L .67572 .34138 L p F P
0 g
s
.658 .772 .933 r
.57838 .37471 m .56929 .37587 L .57535 .38476 L p F P
0 g
s
.658 .772 .933 r
.57535 .38476 m .58554 .38263 L .57838 .37471 L p F P
0 g
s
.36 .299 .653 r
.48776 .21909 m .48903 .20041 L .48026 .19837 L p F P
0 g
s
.36 .301 .655 r
.48142 .18046 m .48026 .19837 L .48903 .20041 L p F P
0 g
s
.744 .794 .893 r
.26443 .08289 m .29504 .07011 L .28957 .06068 L p F P
0 g
s
.905 .678 .584 r
.23615 .52433 m .24317 .55325 L .25331 .55339 L p F P
0 g
s
.912 .706 .612 r
.25677 .58269 m .25331 .55339 L .24317 .55325 L p F P
0 g
s
.41 .291 .606 r
.77748 .61119 m .78175 .58239 L .7715 .58152 L p F P
0 g
s
.41 .291 .606 r
.7715 .58152 m .76724 .61093 L .77748 .61119 L p F P
0 g
s
.789 .825 .88 r
.32249 .25068 m .29706 .26377 L .29946 .27359 L p F P
0 g
s
.764 .816 .894 r
.2729 .28339 m .29946 .27359 L .29706 .26377 L p F P
0 g
s
.906 .724 .645 r
.06821 .559 m .06377 .52862 L .05329 .53152 L p F P
0 g
s
.501 .626 .906 r
.54652 .5974 m .55456 .60031 L .55441 .5907 L p F P
0 g
s
.424 .505 .838 r
.66698 .70568 m .66063 .69605 L .65053 .69725 L p F P
0 g
s
.954 .832 .684 r
.96608 .56863 m .97191 .52912 L .96476 .5309 L p F P
0 g
s
.954 .832 .684 r
.96476 .5309 m .9588 .56898 L .96608 .56863 L p F P
0 g
s
.795 .437 .38 r
.65432 .39112 m .65667 .3942 L .66699 .3917 L p F P
0 g
s
.7 .315 .316 r
.59197 .28507 m .57825 .28461 L .58379 .29235 L p F P
0 g
s
.7 .315 .316 r
.58379 .29235 m .59614 .29358 L .59197 .28507 L p F P
0 g
s
.559 .709 .941 r
.49945 .6541 m .5125 .65935 L .51867 .65239 L p F P
0 g
s
.597 .744 .946 r
.53092 .65533 m .51867 .65239 L .5125 .65935 L p F P
0 g
s
.768 .337 .227 r
.67034 .31402 m .66272 .31318 L .67146 .32139 L p F P
0 g
s
.768 .337 .227 r
.67146 .32139 m .67791 .32345 L .67034 .31402 L p F P
0 g
s
.572 .227 .345 r
.56113 .3577 m .56793 .35785 L .57263 .34886 L p F P
0 g
s
.927 .794 .693 r
.51619 .20073 m .51745 .18129 L .50841 .1825 L p F P
0 g
s
.927 .794 .693 r
.50841 .1825 m .50707 .20159 L .51619 .20073 L p F P
0 g
s
.47 .131 .309 r
.28125 .03682 m .24538 .05233 L .24807 .05904 L p F P
0 g
s
.423 .115 .337 r
.21656 .07931 m .24807 .05904 L .24538 .05233 L p F P
0 g
s
.317 .276 .653 r
.21758 .55786 m .22092 .58635 L .22866 .58432 L p F P
0 g
s
.946 .817 .684 r
.80523 .56094 m .79935 .5865 L .80656 .58971 L p F P
0 g
s
.54 .195 .331 r
.28676 .2399 m .26091 .24941 L .26454 .25652 L p F P
0 g
s
.284 .287 .687 r
.02809 .53372 m .03382 .56965 L .04102 .5687 L p F P
0 g
s
.3 .341 .738 r
.05173 .60158 m .04102 .5687 L .03382 .56965 L p F P
0 g
s
.414 .494 .833 r
.59991 .58533 m .60887 .59286 L .60537 .60188 L p F P
0 g
s
.406 .475 .819 r
.61315 .60962 m .60537 .60188 L .60887 .59286 L p F P
0 g
s
.667 .515 .669 r
.60537 .60188 m .61315 .60962 L .60012 .62206 L p F P
0 g
s
.667 .515 .669 r
.60012 .62206 m .59295 .61491 L .60537 .60188 L p F P
0 g
s
.759 .609 .692 r
.56706 .65528 m .57823 .6519 L .57186 .63506 L p F P
0 g
s
.759 .609 .692 r
.57186 .63506 m .56292 .63775 L .56706 .65528 L p F P
0 g
s
.449 .179 .411 r
.62995 .36172 m .62161 .36644 L .62119 .35657 L p F P
0 g
s
.449 .179 .411 r
.62119 .35657 m .6293 .35188 L .62995 .36172 L p F P
0 g
s
.654 .557 .733 r
.6293 .35188 m .62119 .35657 L .61264 .34072 L p F P
0 g
s
.654 .557 .733 r
.61264 .34072 m .62047 .33617 L .6293 .35188 L p F P
0 g
s
.711 .606 .738 r
.50946 .28356 m .50715 .26824 L .48918 .2695 L p F P
0 g
s
.711 .606 .738 r
.48918 .2695 m .49163 .28603 L .50946 .28356 L p F P
0 g
s
.715 .57 .69 r
.84384 .48431 m .85662 .45762 L .83988 .45101 L p F P
0 g
s
.715 .57 .69 r
.83988 .45101 m .8277 .47629 L .84384 .48431 L p F P
0 g
s
.696 .556 .691 r
.19003 .44955 m .17434 .42593 L .15942 .43601 L p F P
0 g
s
.696 .556 .691 r
.15942 .43601 m .17524 .45984 L .19003 .44955 L p F P
0 g
s
.719 .576 .693 r
.38603 .18549 m .40571 .16349 L .3922 .15158 L p F P
0 g
s
.719 .576 .693 r
.3922 .15158 m .3724 .17371 L .38603 .18549 L p F P
0 g
s
.719 .595 .716 r
.1126 .69582 m .14203 .71834 L .15141 .70297 L p F P
0 g
s
.719 .595 .716 r
.15141 .70297 m .12376 .68167 L .1126 .69582 L p F P
0 g
s
.696 .576 .717 r
.87796 .69306 m .85176 .71582 L .86383 .72918 L p F P
0 g
s
.696 .576 .717 r
.86383 .72918 m .89217 .70414 L .87796 .69306 L p F P
0 g
s
.7 .584 .722 r
.14581 .15686 m .13183 .18879 L .14899 .19426 L p F P
0 g
s
.7 .584 .722 r
.14899 .19426 m .1622 .16434 L .14581 .15686 L p F P
0 g
s
.519 .187 .344 r
.69832 .42937 m .68903 .43046 L .69421 .42147 L p F P
0 g
s
.519 .187 .344 r
.69421 .42147 m .70236 .41983 L .69832 .42937 L p F P
0 g
s
.622 .516 .713 r
.70236 .41983 m .69421 .42147 L .69383 .40346 L p F P
0 g
s
.622 .516 .713 r
.69383 .40346 m .70011 .40195 L .70236 .41983 L p F P
0 g
s
.789 .719 .786 r
.61181 .32242 m .61353 .32612 L .62607 .31319 L p F P
0 g
s
.789 .719 .786 r
.62607 .31319 m .62222 .3077 L .61181 .32242 L p F P
0 g
s
.647 .51 .682 r
.54984 .35453 m .54473 .35171 L .53551 .36719 L p F P
0 g
s
.647 .51 .682 r
.53551 .36719 m .54314 .37127 L .54984 .35453 L p F P
0 g
s
.385 .139 .414 r
.14033 .35014 m .11606 .37564 L .11094 .36978 L p F P
0 g
s
.385 .139 .414 r
.11094 .36978 m .13608 .34349 L .14025 .35001 L p F P
0 g
s
.385 .139 .414 r
.11094 .36978 m .14025 .35001 L .13978 .3505 L F
.698 .578 .717 r
.13608 .34349 m .11094 .36978 L .09624 .35937 L p F P
0 g
s
.698 .578 .717 r
.09624 .35937 m .12304 .33103 L .13608 .34349 L p F P
0 g
s
.833 .831 .845 r
.13147 .34429 m .10641 .37104 L .11599 .3756 L p F P
0 g
s
.833 .831 .845 r
.11599 .3756 m .11606 .37564 L p .11618 .3754 L F P
0 g
s
.833 .831 .845 r
.11618 .3754 m .13147 .34429 L .11599 .3756 L F
.385 .139 .414 r
.14025 .35001 m .14033 .35014 L p .13978 .3505 L F P
0 g
s
.835 .828 .84 r
.12304 .33103 m .09624 .35937 L .08655 .35473 L p F P
0 g
s
.858 .823 .813 r
.06368 .38787 m .08655 .35473 L .09624 .35937 L p F P
0 g
s
.829 .476 .388 r
.47088 .105 m .44918 .08601 L .45463 .08006 L p F P
0 g
s
.829 .476 .388 r
.45463 .08006 m .47792 .10049 L .47117 .10481 L p F P
0 g
s
.829 .476 .388 r
.45463 .08006 m .47117 .10481 L .47024 .10401 L F
.696 .56 .697 r
.47792 .10049 m .45463 .08006 L .46265 .06393 L p F P
0 g
s
.472 .536 .842 r
.47559 .09573 m .45177 .07574 L .4492 .08592 L p F P
0 g
s
.472 .536 .842 r
.4492 .08592 m .44918 .08601 L p .4494 .08608 L F P
0 g
s
.472 .536 .842 r
.4494 .08608 m .47559 .09573 L .4492 .08592 L F
.829 .476 .388 r
.47117 .10481 m .47088 .105 L p .47024 .10401 L F P
0 g
s
.696 .56 .697 r
.46265 .06393 m .48963 .08678 L .47792 .10049 L p F P
0 g
s
.487 .552 .848 r
.48963 .08678 m .46265 .06393 L .46528 .05362 L p F P
0 g
s
.541 .622 .881 r
.43183 .03765 m .46528 .05362 L .46265 .06393 L p F P
0 g
s
.531 .614 .881 r
.902 .36451 m .87516 .34659 L .87912 .3374 L p F P
0 g
s
.531 .614 .881 r
.87912 .3374 m .9099 .35746 L .902 .36451 L p F P
0 g
s
.68 .507 .646 r
.64888 .38095 m .64661 .37467 L .62944 .38013 L p F P
0 g
s
.68 .507 .646 r
.62944 .38013 m .63228 .38799 L .64888 .38095 L p F P
0 g
s
.882 .622 .54 r
.25819 .72609 m .26877 .74931 L .25998 .75489 L p F P
0 g
s
.882 .622 .54 r
.25998 .75489 m .2483 .72932 L .25819 .72609 L p F P
0 g
s
.915 .869 .779 r
.72083 .75447 m .73302 .73396 L .73943 .73849 L p F P
0 g
s
.915 .869 .779 r
.73943 .73849 m .72673 .75959 L .72092 .75455 L p F P
0 g
s
.915 .869 .779 r
.73943 .73849 m .72092 .75455 L .72111 .75423 L F
.717 .572 .69 r
.72673 .75959 m .73943 .73849 L .75566 .74631 L p F P
0 g
s
.717 .572 .69 r
.75566 .74631 m .74216 .76891 L .72673 .75959 L p F P
0 g
s
.455 .252 .514 r
.73044 .75871 m .74292 .73728 L .73312 .734 L p F P
0 g
s
.455 .252 .514 r
.73312 .734 m .73302 .73396 L p .73299 .73422 L F P
0 g
s
.455 .252 .514 r
.73299 .73422 m .73044 .75871 L .73312 .734 L F
.915 .869 .779 r
.72092 .75455 m .72083 .75447 L p .72111 .75423 L F P
0 g
s
.457 .258 .521 r
.74216 .76891 m .75566 .74631 L .76561 .74966 L p F P
0 g
s
.444 .263 .54 r
.77705 .72513 m .76561 .74966 L .75566 .74631 L p F P
0 g
s
.836 .829 .84 r
.1405 .31654 m .12304 .33103 L .11415 .32513 L p F P
0 g
s
.836 .829 .84 r
.11415 .32513 m .13465 .30784 L .1405 .31654 L p F P
0 g
s
.73 .626 .742 r
.48056 .1059 m .47792 .10049 L .48963 .08678 L p F P
0 g
s
.73 .626 .742 r
.48963 .08678 m .49551 .09584 L .48056 .1059 L p F P
0 g
s
.457 .516 .831 r
.49551 .09584 m .48963 .08678 L .4944 .07748 L p F P
0 g
s
.457 .516 .831 r
.4944 .07748 m .50496 .09227 L .49551 .09584 L p F P
0 g
s
.741 .575 .669 r
.53197 .33594 m .52549 .34245 L .5128 .32965 L p F P
0 g
s
.741 .575 .669 r
.5128 .32965 m .51914 .3233 L .53197 .33594 L p F P
0 g
s
.874 .852 .818 r
.51914 .3233 m .5128 .32965 L .50647 .32268 L p F P
0 g
s
.874 .852 .818 r
.50647 .32268 m .51529 .31383 L .51914 .3233 L p F P
0 g
s
.378 .417 .775 r
.47988 .57516 m .48366 .58552 L .47404 .58571 L p F P
0 g
s
.378 .417 .775 r
.47404 .58571 m .47026 .57451 L .47963 .57514 L p F P
0 g
s
.378 .417 .775 r
.47404 .58571 m .47963 .57514 L .47973 .57543 L F
.72 .618 .743 r
.47026 .57451 m .47404 .58571 L .45779 .5935 L p F P
0 g
s
.929 .713 .588 r
.47253 .5821 m .47698 .59317 L .48351 .58569 L p F P
0 g
s
.929 .713 .588 r
.48351 .58569 m .48366 .58552 L p .48342 .58545 L F P
0 g
s
.929 .713 .588 r
.48342 .58545 m .47253 .5821 L .48351 .58569 L F
.378 .417 .775 r
.47963 .57514 m .47988 .57516 L p .47973 .57543 L F P
0 g
s
.72 .618 .743 r
.45779 .5935 m .45335 .58074 L .47026 .57451 L p F P
0 g
s
.921 .698 .583 r
.45335 .58074 m .45779 .5935 L .45104 .60115 L p F P
0 g
s
.912 .668 .557 r
.45769 .61451 m .45104 .60115 L .45779 .5935 L p F P
0 g
s
.459 .565 .875 r
.62446 .60846 m .63323 .61761 L .62355 .62033 L p F P
0 g
s
.459 .565 .875 r
.62355 .62033 m .61491 .61148 L .62446 .60846 L p F P
0 g
s
.737 .628 .738 r
.61491 .61148 m .62355 .62033 L .61019 .63242 L p F P
0 g
s
.737 .628 .738 r
.61019 .63242 m .60188 .62395 L .61491 .61148 L p F P
0 g
s
.739 .646 .756 r
.68441 .35512 m .68817 .36269 L .70313 .35266 L p F P
0 g
s
.739 .646 .756 r
.70313 .35266 m .69743 .34264 L .68441 .35512 L p F P
0 g
s
.658 .533 .699 r
.52075 .5627 m .50959 .56155 L .50726 .57942 L p F P
0 g
s
.658 .533 .699 r
.50726 .57942 m .51671 .58027 L .52075 .5627 L p F P
0 g
s
.706 .351 .372 r
.55164 .57086 m .56194 .57426 L .56956 .56755 L p F P
0 g
s
.73 .375 .378 r
.58015 .57254 m .56956 .56755 L .56194 .57426 L p F P
0 g
s
.901 .619 .499 r
.66088 .66558 m .66825 .6756 L .67276 .66656 L p F P
0 g
s
.901 .619 .499 r
.67276 .66656 m .66533 .65652 L .66088 .66558 L p F P
0 g
s
.423 .326 .64 r
.94091 .56639 m .94668 .5314 L .93589 .53011 L p F P
0 g
s
.499 .609 .893 r
.65896 .41686 m .65177 .41323 L .65288 .42452 L p F P
0 g
s
.499 .609 .893 r
.65288 .42452 m .66157 .42774 L .65896 .41686 L p F P
0 g
s
.686 .789 .928 r
.59538 .31163 m .58608 .31029 L .5828 .32035 L p F P
0 g
s
.843 .516 .434 r
.51359 .62095 m .50605 .6162 L .50468 .62653 L p F P
0 g
s
.708 .884 .962 r
.67572 .34138 m .67214 .33945 L .66408 .34919 L p F P
0 g
s
.689 .796 .931 r
.58731 .37233 m .57838 .37471 L .58554 .38263 L p F P
0 g
s
.689 .796 .931 r
.58554 .38263 m .59508 .37946 L .58731 .37233 L p F P
0 g
s
.36 .301 .655 r
.48903 .20041 m .49033 .18209 L .48142 .18046 L p F P
0 g
s
.701 .77 .905 r
.29504 .07011 m .32679 .06305 L .32287 .0529 L p F P
0 g
s
.912 .706 .612 r
.24317 .55325 m .24665 .58248 L .25677 .58269 L p F P
0 g
s
.913 .712 .617 r
.25956 .6119 m .25677 .58269 L .24665 .58248 L p F P
0 g
s
.41 .29 .605 r
.76724 .61093 m .76315 .63889 L .77338 .6393 L p F P
0 g
s
.764 .816 .894 r
.29706 .26377 m .27056 .27358 L .2729 .28339 L p F P
0 g
s
.759 .814 .896 r
.24632 .29257 m .2729 .28339 L .27056 .27358 L p F P
0 g
s
.907 .758 .685 r
.06377 .52862 m .06436 .49807 L .05356 .49938 L p F P
0 g
s
.745 .379 .36 r
.65667 .3942 m .66028 .39727 L .66984 .39272 L p F P
0 g
s
.709 .276 .219 r
.66272 .31318 m .65507 .31354 L .66489 .3205 L p F P
0 g
s
.709 .276 .219 r
.66489 .3205 m .67146 .32139 L .66272 .31318 L p F P
0 g
s
.532 .205 .359 r
.56793 .35785 m .57445 .35706 L .57771 .34746 L p F P
0 g
s
.481 .599 .894 r
.55456 .60031 m .56215 .60378 L .56297 .59419 L p F P
0 g
s
.429 .515 .845 r
.66063 .69605 m .65361 .68622 L .64359 .68773 L p F P
0 g
s
.96 .79 .627 r
.97191 .52912 m .97092 .48988 L .96417 .49303 L p F P
0 g
s
.96 .79 .627 r
.96417 .49303 m .96476 .5309 L .97191 .52912 L p F P
0 g
s
.646 .267 .312 r
.57825 .28461 m .56433 .28652 L .5712 .29324 L p F P
0 g
s
.646 .267 .312 r
.5712 .29324 m .58379 .29235 L .57825 .28461 L p F P
0 g
s
.516 .663 .928 r
.48718 .64693 m .49945 .6541 L .50657 .64802 L p F P
0 g
s
.559 .709 .941 r
.51867 .65239 m .50657 .64802 L .49945 .6541 L p F P
0 g
s
.93 .787 .682 r
.51745 .18129 m .51787 .16171 L .50899 .1634 L p F P
0 g
s
.93 .787 .682 r
.50899 .1634 m .50841 .1825 L .51745 .18129 L p F P
0 g
s
.527 .162 .29 r
.31902 .02784 m .28125 .03682 L .28265 .04396 L p F P
0 g
s
.47 .131 .309 r
.24807 .05904 m .28265 .04396 L .28125 .03682 L p F P
0 g
s
.317 .27 .646 r
.22092 .58635 m .22372 .61594 L .23145 .61392 L p F P
0 g
s
.317 .27 .646 r
.23145 .61392 m .22866 .58432 L .22092 .58635 L p F P
0 g
s
.949 .799 .66 r
.79879 .64439 m .80287 .61629 L .79537 .61388 L p F P
0 g
s
.949 .799 .66 r
.79935 .5865 m .79537 .61388 L .80287 .61629 L p F P
0 g
s
.547 .199 .33 r
.26091 .24941 m .23389 .25872 L .23752 .26582 L p F P
0 g
s
.547 .199 .33 r
.23752 .26582 m .26454 .25652 L .26091 .24941 L p F P
0 g
s
.278 .237 .632 r
.0283 .49726 m .02809 .53372 L .03538 .53408 L p F P
0 g
s
.284 .287 .687 r
.04102 .5687 m .03538 .53408 L .02809 .53372 L p F P
0 g
s
.406 .475 .819 r
.60887 .59286 m .61714 .60078 L .61315 .60962 L p F P
0 g
s
.254 .288 .705 r
.61491 .61148 m .61315 .60962 L .61714 .60078 L p F P
0 g
s
.552 .339 .546 r
.61315 .60962 m .61491 .61148 L .60188 .62395 L p F P
0 g
s
.552 .339 .546 r
.60188 .62395 m .60012 .62206 L .61315 .60962 L p F P
0 g
s
.762 .619 .701 r
.55504 .65709 m .56706 .65528 L .56292 .63775 L p F P
0 g
s
.762 .619 .701 r
.56292 .63775 m .55371 .63911 L .55504 .65709 L p F P
0 g
s
.453 .181 .41 r
.63796 .35725 m .62995 .36172 L .6293 .35188 L p F P
0 g
s
.655 .557 .732 r
.63735 .34742 m .6293 .35188 L .62047 .33617 L p F P
0 g
s
.731 .626 .741 r
.68136 .72884 m .68948 .73986 L .70334 .72834 L p F P
0 g
s
.731 .626 .741 r
.70334 .72834 m .69611 .71847 L .68136 .72884 L p F P
0 g
s
.709 .605 .738 r
.50715 .26824 m .50591 .25257 L .48789 .25294 L p F P
0 g
s
.709 .605 .738 r
.48789 .25294 m .48918 .2695 L .50715 .26824 L p F P
0 g
s
.696 .556 .692 r
.17524 .45984 m .19131 .48321 L .20631 .4732 L p F P
0 g
s
.696 .556 .692 r
.20631 .4732 m .19003 .44955 L .17524 .45984 L p F P
0 g
s
.716 .571 .69 r
.83019 .51005 m .84384 .48431 L .8277 .47629 L p F P
0 g
s
.716 .571 .69 r
.8277 .47629 m .81435 .50144 L .83019 .51005 L p F P
0 g
s
.719 .576 .693 r
.36637 .20797 m .38603 .18549 L .3724 .17371 L p F P
0 g
s
.719 .576 .693 r
.3724 .17371 m .35301 .19586 L .36637 .20797 L p F P
0 g
s
.698 .581 .721 r
.16502 .12728 m .14581 .15686 L .1622 .16434 L p F P
0 g
s
.698 .581 .721 r
.1622 .16434 m .17994 .13741 L .16502 .12728 L p F P
0 g
s
.717 .595 .719 r
.08724 .66833 m .1126 .69582 L .12376 .68167 L p F P
0 g
s
.717 .595 .719 r
.12376 .68167 m .10072 .65635 L .08724 .66833 L p F P
0 g
s
.697 .579 .719 r
.89982 .66613 m .87796 .69306 L .89217 .70414 L p F P
0 g
s
.697 .579 .719 r
.89217 .70414 m .91571 .67466 L .89982 .66613 L p F P
0 g
s
.506 .186 .358 r
.70696 .4277 m .69832 .42937 L .70236 .41983 L p F P
0 g
s
.506 .186 .358 r
.70236 .41983 m .71025 .41785 L .70696 .4277 L p F P
0 g
s
.627 .525 .718 r
.71025 .41785 m .70236 .41983 L .70011 .40195 L p F P
0 g
s
.627 .525 .718 r
.70011 .40195 m .70673 .40016 L .71025 .41785 L p F P
0 g
s
.812 .732 .777 r
.60999 .31892 m .61181 .32242 L .62222 .3077 L p F P
0 g
s
.812 .732 .777 r
.62222 .3077 m .61742 .30248 L .60999 .31892 L p F P
0 g
s
.354 .417 .788 r
.3023 .77201 m .28444 .74041 L .29146 .73702 L p F P
0 g
s
.373 .462 .823 r
.30874 .76776 m .32968 .79578 L .32396 .80084 L p F P
0 g
s
.373 .462 .823 r
.32396 .80084 m .3023 .77201 L .30874 .76776 L p F P
0 g
s
.398 .511 .856 r
.32968 .79578 m .35356 .82012 L .34876 .82597 L p F P
0 g
s
.398 .511 .856 r
.34876 .82597 m .32396 .80084 L .32968 .79578 L p F P
0 g
s
.433 .567 .889 r
.37733 .84724 m .34876 .82597 L .35356 .82012 L p F P
0 g
s
.707 .577 .707 r
.28444 .74041 m .3023 .77201 L .28791 .78287 L p F P
0 g
s
.707 .577 .707 r
.28791 .78287 m .26877 .74931 L .28444 .74041 L p F P
0 g
s
.707 .577 .707 r
.3023 .77201 m .32396 .80084 L .31117 .81355 L p F P
0 g
s
.707 .577 .707 r
.32396 .80084 m .34876 .82597 L .33802 .84045 L p F P
0 g
s
.707 .577 .707 r
.33802 .84045 m .31117 .81355 L .32396 .80084 L p F P
0 g
s
.707 .577 .707 r
.34876 .82597 m .37733 .84724 L .36836 .86288 L p F P
0 g
s
.707 .577 .707 r
.36836 .86288 m .33802 .84045 L .34876 .82597 L p F P
0 g
s
.529 .23 .404 r
.79829 .39461 m .78722 .40008 L .7823 .39218 L p F P
0 g
s
.529 .23 .404 r
.7823 .39218 m .79311 .38683 L .79829 .39461 L p F P
0 g
s
.535 .232 .4 r
.78722 .40008 m .77614 .40521 L .77142 .39722 L p F P
0 g
s
.535 .232 .4 r
.77142 .39722 m .7823 .39218 L .78722 .40008 L p F P
0 g
s
.539 .233 .397 r
.77614 .40521 m .76475 .41022 L .76035 .40209 L p F P
0 g
s
.539 .233 .397 r
.76035 .40209 m .77142 .39722 L .77614 .40521 L p F P
0 g
s
.547 .236 .392 r
.76475 .41022 m .75323 .41482 L .74915 .40657 L p F P
0 g
s
.547 .236 .392 r
.74915 .40657 m .76035 .40209 L .76475 .41022 L p F P
0 g
s
.555 .239 .388 r
.75323 .41482 m .7417 .419 L .73809 .41058 L p F P
0 g
s
.555 .239 .388 r
.73809 .41058 m .74915 .40657 L .75323 .41482 L p F P
0 g
s
.567 .244 .382 r
.7417 .419 m .72984 .42262 L .72678 .41405 L p F P
0 g
s
.567 .244 .382 r
.72678 .41405 m .73809 .41058 L .7417 .419 L p F P
0 g
s
.582 .252 .375 r
.72984 .42262 m .71805 .4255 L .71544 .41683 L p F P
0 g
s
.582 .252 .375 r
.71544 .41683 m .72678 .41405 L .72984 .42262 L p F P
0 g
s
.626 .277 .36 r
.71025 .41785 m .71544 .41683 L .71805 .4255 L p F P
0 g
s
.442 .193 .44 r
.52145 .35874 m .51456 .35327 L p .531 .34865 L F P
0 g
s
.442 .193 .44 r
.51456 .35327 m .52549 .34245 L .53197 .34838 L p F P
0 g
s
.428 .195 .456 r
.51205 .36938 m .50465 .36461 L p .52011 .35921 L F P
0 g
s
.428 .195 .456 r
.52011 .35921 m .52145 .35874 L .51205 .36938 L F
.50465 .36461 m .51456 .35327 L .52145 .35874 L p F P
0 g
s
.411 .2 .48 r
.50404 .38057 m .4961 .37668 L p .51062 .37006 L F P
0 g
s
.411 .2 .48 r
.51062 .37006 m .51208 .3694 L .50404 .38057 L F
.4961 .37668 m .50465 .36461 L .51208 .3694 L p F P
0 g
s
.395 .211 .51 r
.49748 .39255 m .4891 .38963 L p .50267 .38143 L F P
0 g
s
.395 .211 .51 r
.50267 .38143 m .50407 .38059 L .49748 .39255 L F
.4891 .38963 m .4961 .37668 L .50407 .38059 L p F P
0 g
s
.381 .227 .544 r
.49751 .39256 m .49206 .4065 L .49205 .4065 L p F P
0 g
s
.381 .227 .544 r
.49205 .4065 m .48339 .40439 L p .49635 .39353 L F P
0 g
s
.381 .227 .544 r
.49635 .39353 m .49751 .39256 L .49205 .4065 L F
.372 .243 .572 r
.48794 .42153 m .47914 .41999 L p .49127 .40733 L F P
0 g
s
.372 .243 .572 r
.49206 .4065 m .48794 .42153 L p .49127 .40733 L F P
0 g
s
.372 .243 .572 r
.47914 .41999 m .48339 .40439 L .49206 .4065 L p F P
0 g
s
.368 .256 .593 r
.48469 .43819 m .47588 .4367 L p .48784 .42165 L F P
0 g
s
.368 .256 .593 r
.48794 .42153 m .48469 .43819 L p .48784 .42165 L F P
0 g
s
.368 .256 .593 r
.47588 .4367 m .47914 .41999 L .48794 .42153 L p F P
0 g
s
.367 .258 .596 r
.48469 .43819 m .48122 .45685 L .47262 .45444 L p F P
0 g
s
.367 .258 .596 r
.47262 .45444 m .47588 .4367 L .48469 .43819 L p F P
0 g
s
.707 .577 .707 r
.47914 .41999 m .47588 .4367 L .45814 .43348 L p F P
0 g
s
.707 .577 .707 r
.47588 .4367 m .47262 .45444 L .45527 .44953 L p F P
0 g
s
.707 .577 .707 r
.45527 .44953 m .45814 .43348 L .47588 .4367 L p F P
0 g
s
.925 .797 .7 r
.48469 .43819 m .47569 .43645 L p .48117 .45667 L F P
0 g
s
.925 .797 .7 r
.48122 .45685 m .48469 .43819 L p .48117 .45667 L F P
0 g
s
.707 .577 .707 r
.48339 .40439 m .47914 .41999 L .46144 .41655 L p F P
0 g
s
.707 .577 .707 r
.45814 .43348 m .46144 .41655 L .47914 .41999 L p F P
0 g
s
.924 .798 .703 r
.48794 .42153 m .47897 .4196 L p .48431 .43697 L F P
0 g
s
.924 .798 .703 r
.48469 .43819 m .48794 .42153 L p .48431 .43697 L F P
0 g
s
.707 .577 .707 r
.4891 .38963 m .48339 .40439 L .46599 .39967 L p F P
0 g
s
.707 .577 .707 r
.46144 .41655 m .46599 .39967 L .48339 .40439 L p F P
0 g
s
.919 .811 .723 r
.48326 .40388 m .47897 .4196 L .48713 .42135 L p F P
0 g
s
.919 .811 .723 r
.48713 .42135 m .48794 .42153 L p .48755 .42007 L F P
0 g
s
.381 .227 .544 r
.48339 .40439 m .4891 .38963 L .49678 .3923 L p F P
0 g
s
.381 .227 .544 r
.49678 .3923 m .49751 .39256 L p .49638 .3935 L F P
0 g
s
.381 .227 .544 r
.48339 .40439 m .49678 .3923 L .49638 .3935 L F
.919 .811 .723 r
.49206 .4065 m .48326 .40388 L p .48758 .42016 L F P
0 g
s
.919 .811 .723 r
.48794 .42153 m .49193 .40697 L p .48758 .42016 L F P
0 g
s
.919 .811 .723 r
.49193 .40697 m .49206 .4065 L p .48758 .42016 L F P
0 g
s
.919 .811 .723 r
.48755 .42007 m .48326 .40388 L .48713 .42135 L F
.707 .577 .707 r
.4961 .37668 m .4891 .38963 L .47227 .38318 L p F P
0 g
s
.91 .826 .751 r
.49751 .39256 m .48901 .389 L p .49177 .40481 L F P
0 g
s
.91 .826 .751 r
.49206 .4065 m .49751 .39256 L p .49177 .40481 L F P
0 g
s
.395 .211 .51 r
.49751 .39256 m .49748 .39255 L p .49766 .39222 L F P
0 g
s
.395 .211 .51 r
.50407 .38059 m .49751 .39256 L p .49766 .39222 L F P
0 g
s
.707 .577 .707 r
.46599 .39967 m .47227 .38318 L .4891 .38963 L p F P
0 g
s
.91 .826 .751 r
.48901 .389 m .48326 .40388 L .49111 .40622 L p F P
0 g
s
.91 .826 .751 r
.49111 .40622 m .49206 .4065 L p .49177 .40481 L F P
0 g
s
.91 .826 .751 r
.49177 .40481 m .48901 .389 L .49111 .40622 L F
.707 .577 .707 r
.50465 .36461 m .4961 .37668 L .48021 .36818 L p F P
0 g
s
.894 .839 .784 r
.50407 .38059 m .49607 .37595 L p .49739 .39118 L F P
0 g
s
.894 .839 .784 r
.49751 .39256 m .50407 .38059 L p .49739 .39118 L F P
0 g
s
.411 .2 .48 r
.50407 .38059 m .50404 .38057 L p .50439 .38008 L F P
0 g
s
.411 .2 .48 r
.51208 .3694 m .50407 .38059 L p .50439 .38008 L F P
0 g
s
.707 .577 .707 r
.47227 .38318 m .48021 .36818 L .4961 .37668 L p F P
0 g
s
.894 .839 .784 r
.49607 .37595 m .48901 .389 L .49673 .39223 L p F P
0 g
s
.894 .839 .784 r
.49673 .39223 m .49751 .39256 L p .49739 .39118 L F P
0 g
s
.894 .839 .784 r
.49739 .39118 m .49607 .37595 L .49673 .39223 L F
.707 .577 .707 r
.51456 .35327 m .50465 .36461 L .4899 .35426 L p F P
0 g
s
.876 .847 .812 r
.51208 .3694 m .50469 .36378 L p .50411 .3794 L F P
0 g
s
.876 .847 .812 r
.50407 .38059 m .51208 .3694 L p .50411 .3794 L F P
0 g
s
.428 .195 .456 r
.51208 .3694 m .51205 .36938 L p .5125 .36887 L F P
0 g
s
.428 .195 .456 r
.52145 .35874 m .51208 .3694 L p .5125 .36887 L F P
0 g
s
.707 .577 .707 r
.48021 .36818 m .4899 .35426 L .50465 .36461 L p F P
0 g
s
.876 .847 .812 r
.50469 .36378 m .49607 .37595 L .50346 .38023 L p F P
0 g
s
.876 .847 .812 r
.50346 .38023 m .50407 .38059 L p .50411 .3794 L F P
0 g
s
.876 .847 .812 r
.50411 .3794 m .50469 .36378 L .50346 .38023 L F
.707 .577 .707 r
.52549 .34245 m .51456 .35327 L .50094 .34146 L p F P
0 g
s
.707 .577 .707 r
.4899 .35426 m .50094 .34146 L .51456 .35327 L p F P
0 g
s
.859 .85 .833 r
.52145 .35874 m .51467 .35235 L p .51222 .36849 L F P
0 g
s
.859 .85 .833 r
.51208 .3694 m .52145 .35874 L p .51222 .36849 L F P
0 g
s
.442 .193 .44 r
.53197 .34838 m .52145 .35874 L p .531 .34865 L F P
0 g
s
.373 .242 .57 r
.48122 .45685 m .47654 .47336 L .46793 .471 L p F P
0 g
s
.373 .242 .57 r
.46793 .471 m .47262 .45444 L .48122 .45685 L p F P
0 g
s
.372 .243 .573 r
.47654 .47336 m .47233 .48883 L .46359 .48706 L p F P
0 g
s
.372 .243 .573 r
.46359 .48706 m .46793 .471 L .47654 .47336 L p F P
0 g
s
.368 .256 .593 r
.47233 .48883 m .46938 .50373 L .46052 .50282 L p F P
0 g
s
.368 .256 .593 r
.46052 .50282 m .46359 .48706 L .47233 .48883 L p F P
0 g
s
.363 .275 .621 r
.46938 .50373 m .46797 .51836 L .45909 .51851 L p F P
0 g
s
.363 .275 .621 r
.45909 .51851 m .46052 .50282 L .46938 .50373 L p F P
0 g
s
.361 .303 .656 r
.46797 .51836 m .46836 .53207 L .45959 .53328 L p F P
0 g
s
.361 .303 .656 r
.45959 .53328 m .45909 .51851 L .46797 .51836 L p F P
0 g
s
.363 .334 .692 r
.46836 .53207 m .47053 .54597 L .46196 .54805 L p F P
0 g
s
.363 .334 .692 r
.46196 .54805 m .45959 .53328 L .46836 .53207 L p F P
0 g
s
.369 .363 .722 r
.47053 .54597 m .47433 .56003 L .46597 .56277 L p F P
0 g
s
.369 .363 .722 r
.46597 .56277 m .46196 .54805 L .47053 .54597 L p F P
0 g
s
.373 .381 .74 r
.47026 .57451 m .46597 .56277 L .47433 .56003 L p F P
0 g
s
.354 .417 .788 r
.29146 .73702 m .30874 .76776 L .3023 .77201 L p F P
0 g
s
.433 .567 .889 r
.35356 .82012 m .38134 .84089 L .37733 .84724 L p F P
0 g
s
.463 .61 .91 r
.38134 .84089 m .40829 .85658 L .40545 .86348 L p F P
0 g
s
.463 .61 .91 r
.40545 .86348 m .37733 .84724 L .38134 .84089 L p F P
0 g
s
.508 .666 .933 r
.40829 .85658 m .4374 .86787 L .43575 .87511 L p F P
0 g
s
.508 .666 .933 r
.43575 .87511 m .40545 .86348 L .40829 .85658 L p F P
0 g
s
.554 .716 .948 r
.46825 .87471 m .46772 .8821 L p .4435 .87073 L F P
0 g
s
.554 .716 .948 r
.46772 .8821 m .43575 .87511 L .4374 .86787 L p F P
0 g
s
.6 .76 .955 r
.46825 .87471 m .50125 .87716 L .50121 .88456 L p F P
0 g
s
.6 .76 .955 r
.50121 .88456 m .46772 .8821 L .46825 .87471 L p F P
0 g
s
.707 .577 .707 r
.43575 .87511 m .46772 .8821 L .46641 .90008 L p F P
0 g
s
.707 .577 .707 r
.46772 .8821 m .50121 .88456 L .50115 .90259 L p F P
0 g
s
.707 .577 .707 r
.50115 .90259 m .46641 .90008 L .46772 .8821 L p F P
0 g
s
.681 .357 .419 r
.46825 .87471 m .46746 .88539 L p .49418 .87888 L F P
0 g
s
.681 .357 .419 r
.50125 .87716 m .46825 .87471 L p .49418 .87888 L F P
0 g
s
.554 .716 .948 r
.4374 .86787 m .46825 .87471 L p .4435 .87073 L F P
0 g
s
.623 .779 .956 r
.53297 .87744 m .53406 .88476 L p .50768 .87865 L F P
0 g
s
.623 .779 .956 r
.53406 .88476 m .50121 .88456 L .50125 .87716 L p F P
0 g
s
.669 .814 .953 r
.56403 .87338 m .56632 .88043 L p .53982 .87805 L F P
0 g
s
.669 .814 .953 r
.53297 .87744 m .56403 .87338 L p .53982 .87805 L F P
0 g
s
.669 .814 .953 r
.56632 .88043 m .53406 .88476 L .53297 .87744 L p F P
0 g
s
.717 .845 .943 r
.59382 .86482 m .59733 .87139 L p .57124 .87295 L F P
0 g
s
.717 .845 .943 r
.56403 .87338 m .59382 .86482 L p .57124 .87295 L F P
0 g
s
.717 .845 .943 r
.59733 .87139 m .56632 .88043 L .56403 .87338 L p F P
0 g
s
.767 .87 .923 r
.62248 .85129 m .62685 .85738 L p .59961 .86352 L F P
0 g
s
.767 .87 .923 r
.59382 .86482 m .62248 .85129 L p .59961 .86352 L F P
0 g
s
.767 .87 .923 r
.62685 .85738 m .59733 .87139 L .59382 .86482 L p F P
0 g
s
.802 .882 .904 r
.65112 .83325 m .65645 .8386 L p .62997 .84849 L F P
0 g
s
.802 .882 .904 r
.62248 .85129 m .65112 .83325 L p .62997 .84849 L F P
0 g
s
.802 .882 .904 r
.65645 .8386 m .62685 .85738 L .62248 .85129 L p F P
0 g
s
.841 .888 .874 r
.67696 .81089 m .68304 .81548 L p .65758 .82966 L F P
0 g
s
.841 .888 .874 r
.65112 .83325 m .67696 .81089 L p .65758 .82966 L F P
0 g
s
.841 .888 .874 r
.68304 .81548 m .65645 .8386 L .65112 .83325 L p F P
0 g
s
.872 .887 .843 r
.7002 .78456 m .70685 .7884 L p .68269 .80658 L F P
0 g
s
.872 .887 .843 r
.67696 .81089 m .7002 .78456 L p .68269 .80658 L F P
0 g
s
.872 .887 .843 r
.70685 .7884 m .68304 .81548 L .67696 .81089 L p F P
0 g
s
.895 .88 .813 r
.72673 .75959 m .70685 .7884 L .70022 .78457 L p F P
0 g
s
.895 .88 .813 r
.70022 .78457 m .7002 .78456 L p .70028 .78448 L F P
0 g
s
.895 .88 .813 r
.72673 .75959 m .70022 .78457 L .70028 .78448 L F
.707 .577 .707 r
.68304 .81548 m .70685 .7884 L .72172 .79859 L p F P
0 g
s
.707 .577 .708 r
.70685 .7884 m .72673 .75959 L .74216 .76891 L p F P
0 g
s
.707 .577 .708 r
.74216 .76891 m .72172 .79859 L .70685 .7884 L p F P
0 g
s
.895 .88 .813 r
.7002 .78456 m .72083 .75447 L .72673 .75959 L p F P
0 g
s
.455 .256 .52 r
.70849 .79095 m .73044 .75871 L .72092 .75451 L p F P
0 g
s
.455 .256 .52 r
.72092 .75451 m .72083 .75447 L p .72073 .75479 L F P
0 g
s
.455 .256 .52 r
.72073 .75479 m .70849 .79095 L .72092 .75451 L F
.7002 .78456 m .70849 .79095 L p .7184 .76168 L F P
0 g
s
.455 .256 .52 r
.72083 .75447 m .7002 .78456 L p .7184 .76168 L F P
0 g
s
.707 .577 .707 r
.65645 .8386 m .68304 .81548 L .6966 .82736 L p F P
0 g
s
.707 .577 .707 r
.72172 .79859 m .6966 .82736 L .68304 .81548 L p F P
0 g
s
.475 .253 .497 r
.67696 .81089 m .68449 .81824 L p .69695 .79153 L F P
0 g
s
.475 .253 .497 r
.7002 .78456 m .67696 .81089 L p .69695 .79153 L F P
0 g
s
.707 .577 .707 r
.62685 .85738 m .65645 .8386 L .66832 .85218 L p F P
0 g
s
.707 .577 .707 r
.6966 .82736 m .66832 .85218 L .65645 .8386 L p F P
0 g
s
.5 .255 .475 r
.65112 .83325 m .6577 .84154 L p .67266 .81772 L F P
0 g
s
.5 .255 .475 r
.67696 .81089 m .65112 .83325 L p .67266 .81772 L F P
0 g
s
.707 .577 .707 r
.59733 .87139 m .62685 .85738 L .63655 .87258 L p F P
0 g
s
.707 .577 .707 r
.66832 .85218 m .63655 .87258 L .62685 .85738 L p F P
0 g
s
.531 .263 .454 r
.62248 .85129 m .62786 .86047 L p .64682 .83829 L F P
0 g
s
.531 .263 .454 r
.65112 .83325 m .62248 .85129 L p .64682 .83829 L F P
0 g
s
.707 .577 .707 r
.56632 .88043 m .59733 .87139 L .6051 .88766 L p F P
0 g
s
.707 .577 .707 r
.63655 .87258 m .6051 .88766 L .59733 .87139 L p F P
0 g
s
.558 .274 .441 r
.59382 .86482 m .59811 .8746 L p .61709 .85645 L F P
0 g
s
.558 .274 .441 r
.62248 .85129 m .59382 .86482 L p .61709 .85645 L F P
0 g
s
.707 .577 .707 r
.53406 .88476 m .56632 .88043 L .57143 .89772 L p F P
0 g
s
.707 .577 .707 r
.6051 .88766 m .57143 .89772 L .56632 .88043 L p F P
0 g
s
.595 .294 .427 r
.56403 .87338 m .56685 .8837 L p .5883 .86868 L F P
0 g
s
.595 .294 .427 r
.59382 .86482 m .56403 .87338 L p .5883 .86868 L F P
0 g
s
.707 .577 .707 r
.50121 .88456 m .53406 .88476 L .53652 .90262 L p F P
0 g
s
.707 .577 .707 r
.57143 .89772 m .53652 .90262 L .53406 .88476 L p F P
0 g
s
.631 .317 .42 r
.53297 .87744 m .53434 .88807 L p .55825 .87624 L F P
0 g
s
.631 .317 .42 r
.56403 .87338 m .53297 .87744 L p .55825 .87624 L F P
0 g
s
.623 .779 .956 r
.50125 .87716 m .53297 .87744 L p .50768 .87865 L F P
0 g
s
.707 .577 .707 r
.83931 .36517 m .82783 .36923 L .82047 .35278 L p F P
0 g
s
.707 .577 .707 r
.82047 .35278 m .83326 .34819 L .83931 .36517 L p F P
0 g
s
.707 .577 .707 r
.82783 .36923 m .81655 .37426 L .80817 .3583 L p F P
0 g
s
.707 .577 .707 r
.80817 .3583 m .82047 .35278 L .82783 .36923 L p F P
0 g
s
.707 .577 .707 r
.81655 .37426 m .80502 .38031 L .79635 .3645 L p F P
0 g
s
.707 .577 .707 r
.79635 .3645 m .80817 .3583 L .81655 .37426 L p F P
0 g
s
.707 .577 .707 r
.80502 .38031 m .79311 .38683 L .7851 .37067 L p F P
0 g
s
.707 .577 .707 r
.7851 .37067 m .79635 .3645 L .80502 .38031 L p F P
0 g
s
.707 .577 .707 r
.79311 .38683 m .7823 .39218 L .77473 .37582 L p F P
0 g
s
.707 .577 .707 r
.77473 .37582 m .7851 .37067 L .79311 .38683 L p F P
0 g
s
.707 .577 .707 r
.7823 .39218 m .77142 .39722 L .76415 .38072 L p F P
0 g
s
.707 .577 .707 r
.76415 .38072 m .77473 .37582 L .7823 .39218 L p F P
0 g
s
.707 .577 .707 r
.77142 .39722 m .76035 .40209 L .75365 .38535 L p F P
0 g
s
.707 .577 .707 r
.75365 .38535 m .76415 .38072 L .77142 .39722 L p F P
0 g
s
.707 .577 .707 r
.76035 .40209 m .74915 .40657 L .74298 .38962 L p F P
0 g
s
.707 .577 .707 r
.74298 .38962 m .75365 .38535 L .76035 .40209 L p F P
0 g
s
.707 .577 .707 r
.74915 .40657 m .73809 .41058 L .73278 .39335 L p F P
0 g
s
.707 .577 .707 r
.73278 .39335 m .74298 .38962 L .74915 .40657 L p F P
0 g
s
.707 .577 .707 r
.73809 .41058 m .72678 .41405 L .72248 .39654 L p F P
0 g
s
.707 .577 .707 r
.72248 .39654 m .73278 .39335 L .73809 .41058 L p F P
0 g
s
.707 .577 .707 r
.72678 .41405 m .71544 .41683 L .71194 .39914 L p F P
0 g
s
.707 .577 .707 r
.71194 .39914 m .72248 .39654 L .72678 .41405 L p F P
0 g
s
.744 .601 .698 r
.71544 .41683 m .71025 .41785 L .70673 .40016 L p F P
0 g
s
.744 .601 .698 r
.70673 .40016 m .71194 .39914 L .71544 .41683 L p F P
0 g
s
.707 .577 .707 r
.50094 .34146 m .5128 .32965 L .52549 .34245 L p F P
0 g
s
.707 .577 .707 r
.47262 .45444 m .46793 .471 L .45052 .46632 L p F P
0 g
s
.707 .577 .707 r
.45052 .46632 m .45527 .44953 L .47262 .45444 L p F P
0 g
s
.707 .577 .707 r
.46793 .471 m .46359 .48706 L .44588 .48367 L p F P
0 g
s
.707 .577 .707 r
.44588 .48367 m .45052 .46632 L .46793 .471 L p F P
0 g
s
.707 .577 .707 r
.46359 .48706 m .46052 .50282 L .44256 .50126 L p F P
0 g
s
.707 .577 .707 r
.44256 .50126 m .44588 .48367 L .46359 .48706 L p F P
0 g
s
.707 .577 .707 r
.46052 .50282 m .45909 .51851 L .44108 .5192 L p F P
0 g
s
.707 .577 .707 r
.44108 .5192 m .44256 .50126 L .46052 .50282 L p F P
0 g
s
.707 .577 .707 r
.45909 .51851 m .45959 .53328 L .4418 .53619 L p F P
0 g
s
.707 .577 .707 r
.4418 .53619 m .44108 .5192 L .45909 .51851 L p F P
0 g
s
.707 .577 .707 r
.45959 .53328 m .46196 .54805 L .44457 .55283 L p F P
0 g
s
.707 .577 .707 r
.44457 .55283 m .4418 .53619 L .45959 .53328 L p F P
0 g
s
.707 .577 .707 r
.46196 .54805 m .46597 .56277 L .44905 .56898 L p F P
0 g
s
.707 .577 .707 r
.44905 .56898 m .44457 .55283 L .46196 .54805 L p F P
0 g
s
.705 .571 .702 r
.46597 .56277 m .47026 .57451 L .45335 .58074 L p F P
0 g
s
.705 .571 .702 r
.45335 .58074 m .44905 .56898 L .46597 .56277 L p F P
0 g
s
.707 .577 .707 r
.31117 .81355 m .28791 .78287 L .3023 .77201 L p F P
0 g
s
.707 .577 .707 r
.37733 .84724 m .40545 .86348 L .39904 .88033 L p F P
0 g
s
.707 .577 .707 r
.39904 .88033 m .36836 .86288 L .37733 .84724 L p F P
0 g
s
.707 .577 .707 r
.40545 .86348 m .43575 .87511 L .43194 .89273 L p F P
0 g
s
.707 .577 .707 r
.43194 .89273 m .39904 .88033 L .40545 .86348 L p F P
0 g
s
.707 .577 .707 r
.46641 .90008 m .43194 .89273 L .43575 .87511 L p F P
0 g
s
.707 .577 .707 r
.53652 .90262 m .50115 .90259 L .50121 .88456 L p F P
0 g
s
.878 .616 .537 r
.26877 .74931 m .28791 .78287 L .27985 .78957 L p F P
0 g
s
.878 .616 .537 r
.27985 .78957 m .25998 .75489 L .26877 .74931 L p F P
0 g
s
.86 .579 .512 r
.28791 .78287 m .31117 .81355 L .304 .82129 L p F P
0 g
s
.837 .541 .488 r
.31117 .81355 m .33802 .84045 L .33199 .84919 L p F P
0 g
s
.837 .541 .488 r
.33199 .84919 m .304 .82129 L .31117 .81355 L p F P
0 g
s
.809 .499 .466 r
.33802 .84045 m .36836 .86288 L .36334 .8723 L p F P
0 g
s
.809 .499 .466 r
.36334 .8723 m .33199 .84919 L .33802 .84045 L p F P
0 g
s
.596 .694 .911 r
.87516 .34659 m .86456 .34386 L .86625 .33432 L p F P
0 g
s
.596 .694 .911 r
.86625 .33432 m .87912 .3374 L .87516 .34659 L p F P
0 g
s
.652 .752 .923 r
.86456 .34386 m .85414 .3437 L .85432 .33423 L p F P
0 g
s
.652 .752 .923 r
.85432 .33423 m .86625 .33432 L .86456 .34386 L p F P
0 g
s
.693 .787 .923 r
.85414 .3437 m .84324 .34528 L .84208 .3361 L p F P
0 g
s
.693 .787 .923 r
.84208 .3361 m .85432 .33423 L .85414 .3437 L p F P
0 g
s
.728 .813 .918 r
.84324 .34528 m .83326 .34819 L .83154 .33918 L p F P
0 g
s
.728 .813 .918 r
.83154 .33918 m .84208 .3361 L .84324 .34528 L p F P
0 g
s
.744 .824 .913 r
.83326 .34819 m .82047 .35278 L .81804 .34406 L p F P
0 g
s
.744 .824 .913 r
.81804 .34406 m .83154 .33918 L .83326 .34819 L p F P
0 g
s
.78 .843 .9 r
.80817 .3583 m .79635 .3645 L .79318 .35615 L p F P
0 g
s
.784 .846 .898 r
.79635 .3645 m .7851 .37067 L .78222 .36217 L p F P
0 g
s
.784 .846 .898 r
.78222 .36217 m .79318 .35615 L .79635 .3645 L p F P
0 g
s
.774 .841 .903 r
.7851 .37067 m .77473 .37582 L .77201 .36724 L p F P
0 g
s
.774 .841 .903 r
.77201 .36724 m .78222 .36217 L .7851 .37067 L p F P
0 g
s
.767 .837 .906 r
.77473 .37582 m .76415 .38072 L .76155 .37209 L p F P
0 g
s
.767 .837 .906 r
.76155 .37209 m .77201 .36724 L .77473 .37582 L p F P
0 g
s
.762 .835 .907 r
.76415 .38072 m .75365 .38535 L .75129 .37662 L p F P
0 g
s
.762 .835 .907 r
.75129 .37662 m .76155 .37209 L .76415 .38072 L p F P
0 g
s
.753 .83 .911 r
.75365 .38535 m .74298 .38962 L .74085 .38081 L p F P
0 g
s
.753 .83 .911 r
.74085 .38081 m .75129 .37662 L .75365 .38535 L p F P
0 g
s
.745 .825 .913 r
.74298 .38962 m .73278 .39335 L .73103 .3844 L p F P
0 g
s
.745 .825 .913 r
.73103 .3844 m .74085 .38081 L .74298 .38962 L p F P
0 g
s
.732 .817 .917 r
.73278 .39335 m .72248 .39654 L .7212 .38747 L p F P
0 g
s
.732 .817 .917 r
.7212 .38747 m .73103 .3844 L .73278 .39335 L p F P
0 g
s
.845 .847 .845 r
.5128 .32965 m .50094 .34146 L .4941 .33502 L p F P
0 g
s
.845 .847 .845 r
.4941 .33502 m .50647 .32268 L .5128 .32965 L p F P
0 g
s
.86 .847 .83 r
.50094 .34146 m .4899 .35426 L .48245 .34861 L p F P
0 g
s
.86 .847 .83 r
.48245 .34861 m .4941 .33502 L .50094 .34146 L p F P
0 g
s
.877 .844 .808 r
.4899 .35426 m .48021 .36818 L .47215 .36351 L p F P
0 g
s
.877 .844 .808 r
.47215 .36351 m .48245 .34861 L .4899 .35426 L p F P
0 g
s
.895 .835 .779 r
.48021 .36818 m .47227 .38318 L .46371 .3796 L p F P
0 g
s
.895 .835 .779 r
.46371 .3796 m .47215 .36351 L .48021 .36818 L p F P
0 g
s
.909 .822 .749 r
.47227 .38318 m .46599 .39967 L .45712 .39703 L p F P
0 g
s
.909 .822 .749 r
.45712 .39703 m .46371 .3796 L .47227 .38318 L p F P
0 g
s
.918 .808 .723 r
.46599 .39967 m .46144 .41655 L .45241 .41461 L p F P
0 g
s
.918 .808 .723 r
.45241 .41461 m .45712 .39703 L .46599 .39967 L p F P
0 g
s
.922 .796 .704 r
.46144 .41655 m .45814 .43348 L .44907 .43173 L p F P
0 g
s
.922 .796 .704 r
.44907 .43173 m .45241 .41461 L .46144 .41655 L p F P
0 g
s
.923 .793 .699 r
.45814 .43348 m .45527 .44953 L .44639 .44698 L p F P
0 g
s
.923 .793 .699 r
.44639 .44698 m .44907 .43173 L .45814 .43348 L p F P
0 g
s
.917 .81 .726 r
.45527 .44953 m .45052 .46632 L .44158 .46396 L p F P
0 g
s
.917 .81 .726 r
.44158 .46396 m .44639 .44698 L .45527 .44953 L p F P
0 g
s
.918 .808 .722 r
.45052 .46632 m .44588 .48367 L .43677 .48203 L p F P
0 g
s
.918 .808 .722 r
.43677 .48203 m .44158 .46396 L .45052 .46632 L p F P
0 g
s
.923 .795 .701 r
.44588 .48367 m .44256 .50126 L .43332 .5006 L p F P
0 g
s
.923 .795 .701 r
.43332 .5006 m .43677 .48203 L .44588 .48367 L p F P
0 g
s
.926 .774 .673 r
.44256 .50126 m .44108 .5192 L .4318 .51975 L p F P
0 g
s
.926 .774 .673 r
.4318 .51975 m .43332 .5006 L .44256 .50126 L p F P
0 g
s
.926 .746 .639 r
.44108 .5192 m .4418 .53619 L .43264 .53792 L p F P
0 g
s
.926 .746 .639 r
.43264 .53792 m .4318 .51975 L .44108 .5192 L p F P
0 g
s
.922 .716 .606 r
.4418 .53619 m .44457 .55283 L .43563 .55557 L p F P
0 g
s
.922 .716 .606 r
.43563 .55557 m .43264 .53792 L .4418 .53619 L p F P
0 g
s
.916 .688 .578 r
.44457 .55283 m .44905 .56898 L .44035 .57249 L p F P
0 g
s
.916 .688 .578 r
.44035 .57249 m .43563 .55557 L .44457 .55283 L p F P
0 g
s
.909 .665 .558 r
.44905 .56898 m .45335 .58074 L .44592 .58767 L p F P
0 g
s
.909 .665 .558 r
.44592 .58767 m .44035 .57249 L .44905 .56898 L p F P
0 g
s
.86 .579 .512 r
.304 .82129 m .27985 .78957 L .28791 .78287 L p F P
0 g
s
.784 .466 .451 r
.36836 .86288 m .39904 .88033 L .39542 .89042 L p F P
0 g
s
.784 .466 .451 r
.39542 .89042 m .36334 .8723 L .36836 .86288 L p F P
0 g
s
.749 .426 .436 r
.39904 .88033 m .43194 .89273 L .42976 .90325 L p F P
0 g
s
.749 .426 .436 r
.42976 .90325 m .39542 .89042 L .39904 .88033 L p F P
0 g
s
.714 .389 .427 r
.43194 .89273 m .46641 .90008 L .46562 .91081 L p F P
0 g
s
.714 .389 .427 r
.46562 .91081 m .42976 .90325 L .43194 .89273 L p F P
0 g
s
.682 .359 .423 r
.46641 .90008 m .50115 .90259 L .50112 .91336 L p F P
0 g
s
.682 .359 .423 r
.50112 .91336 m .46562 .91081 L .46641 .90008 L p F P
0 g
s
.664 .344 .422 r
.50115 .90259 m .53652 .90262 L .5379 .9133 L p F P
0 g
s
.664 .344 .422 r
.5379 .9133 m .50112 .91336 L .50115 .90259 L p F P
0 g
s
.63 .319 .425 r
.53652 .90262 m .57143 .89772 L .57427 .9081 L p F P
0 g
s
.63 .319 .425 r
.57427 .9081 m .5379 .9133 L .53652 .90262 L p F P
0 g
s
.594 .296 .432 r
.57143 .89772 m .6051 .88766 L .60941 .89749 L p F P
0 g
s
.594 .296 .432 r
.60941 .89749 m .57427 .9081 L .57143 .89772 L p F P
0 g
s
.558 .277 .445 r
.6051 .88766 m .63655 .87258 L .64196 .8818 L p F P
0 g
s
.558 .277 .445 r
.64196 .8818 m .60941 .89749 L .6051 .88766 L p F P
0 g
s
.531 .267 .459 r
.63655 .87258 m .66832 .85218 L .67494 .86051 L p F P
0 g
s
.531 .267 .459 r
.67494 .86051 m .64196 .8818 L .63655 .87258 L p F P
0 g
s
.501 .259 .479 r
.66832 .85218 m .6966 .82736 L .70418 .83475 L p F P
0 g
s
.501 .259 .479 r
.70418 .83475 m .67494 .86051 L .66832 .85218 L p F P
0 g
s
.477 .258 .501 r
.6966 .82736 m .72172 .79859 L .73007 .80501 L p F P
0 g
s
.477 .258 .501 r
.73007 .80501 m .70418 .83475 L .6966 .82736 L p F P
0 g
s
.458 .26 .523 r
.72172 .79859 m .74216 .76891 L .75174 .77316 L p F P
0 g
s
.458 .26 .523 r
.75157 .7734 m .72172 .79859 L .75174 .77316 L F
.75182 .77319 m .73007 .80501 L .72172 .79859 L p F P
0 g
s
.457 .258 .521 r
.76561 .74966 m .75182 .77319 L .74216 .76891 L p F P
0 g
s
.898 .883 .81 r
.74599 .76811 m .72349 .80121 L .73005 .805 L p F P
0 g
s
.898 .883 .81 r
.73005 .805 m .73007 .80501 L p .73012 .80489 L F P
0 g
s
.898 .883 .81 r
.74599 .76811 m .73005 .805 L .73012 .80489 L F
.458 .26 .523 r
.75174 .77316 m .75182 .77319 L p .75157 .7734 L F P
0 g
s
.764 .836 .907 r
.82047 .35278 m .80817 .3583 L .80519 .34985 L p F P
0 g
s
.764 .836 .907 r
.80519 .34985 m .81804 .34406 L .82047 .35278 L p F P
0 g
s
.78 .843 .9 r
.79318 .35615 m .80519 .34985 L .80817 .3583 L p F P
0 g
s
.717 .807 .921 r
.71102 .38999 m .7212 .38747 L .72248 .39654 L p F P
0 g
s
.644 .514 .69 r
.55542 .35655 m .54984 .35453 L .54314 .37127 L p F P
0 g
s
.644 .514 .69 r
.54314 .37127 m .55128 .37411 L .55542 .35655 L p F P
0 g
s
.835 .828 .84 r
.08655 .35473 m .1136 .32573 L p .12304 .33103 L F P
0 g
s
.835 .828 .84 r
.11423 .32519 m .12304 .33103 L p .1136 .32573 L F P
0 g
s
.431 .141 .37 r
.11833 .33174 m .14055 .31287 L .1347 .30789 L p F P
0 g
s
.431 .141 .37 r
.1347 .30789 m .13465 .30784 L p .1345 .30805 L F P
0 g
s
.431 .141 .37 r
.11833 .33174 m .1347 .30789 L .1345 .30805 L F
.835 .828 .84 r
.1136 .32573 m .11415 .32513 L .11423 .32519 L p F P
0 g
s
.487 .552 .848 r
.46528 .05362 m .4944 .07748 L .48963 .08678 L p F P
0 g
s
.673 .504 .648 r
.65141 .38637 m .64888 .38095 L .63228 .38799 L p F P
0 g
s
.673 .504 .648 r
.63228 .38799 m .63572 .39527 L .65141 .38637 L p F P
0 g
s
.373 .381 .74 r
.47433 .56003 m .47988 .57516 L .47026 .57451 L p F P
0 g
s
.921 .698 .583 r
.45104 .60115 m .44654 .58931 L p .45335 .58074 L F P
0 g
s
.921 .698 .583 r
.446 .58759 m .45335 .58074 L p .44654 .58931 L F P
0 g
s
.371 .388 .748 r
.45548 .58838 m .44864 .56977 L .44118 .57222 L p F P
0 g
s
.371 .388 .748 r
.44118 .57222 m .44035 .57249 L p .44171 .57392 L F P
0 g
s
.371 .388 .748 r
.45548 .58838 m .44118 .57222 L .44171 .57392 L F
.921 .698 .583 r
.44654 .58931 m .44592 .58767 L .446 .58759 L p F P
0 g
s
.254 .288 .705 r
.61714 .60078 m .62446 .60846 L .61491 .61148 L p F P
0 g
s
.751 .654 .753 r
.68012 .34856 m .68441 .35512 L .69743 .34264 L p F P
0 g
s
.751 .654 .753 r
.69743 .34264 m .69 .33347 L .68012 .34856 L p F P
0 g
s
.659 .529 .695 r
.53158 .56498 m .52075 .5627 L .51671 .58027 L p F P
0 g
s
.659 .529 .695 r
.51671 .58027 m .52636 .58226 L .53158 .56498 L p F P
0 g
s
.73 .375 .378 r
.56194 .57426 m .572 .57851 L .58015 .57254 L p F P
0 g
s
.754 .4 .384 r
.59013 .57841 m .58015 .57254 L .572 .57851 L p F P
0 g
s
.898 .612 .494 r
.65328 .65562 m .66088 .66558 L .66533 .65652 L p F P
0 g
s
.898 .612 .494 r
.66533 .65652 m .65759 .64649 L .65328 .65562 L p F P
0 g
s
.422 .358 .681 r
.94668 .5314 m .94643 .49663 L .93558 .49705 L p F P
0 g
s
.536 .656 .913 r
.66662 .41938 m .65896 .41686 L .66157 .42774 L p F P
0 g
s
.536 .656 .913 r
.66157 .42774 m .67073 .42965 L .66662 .41938 L p F P
0 g
s
.732 .819 .919 r
.58608 .31029 m .57659 .31052 L .57507 .32095 L p F P
0 g
s
.877 .571 .467 r
.50605 .6162 m .49957 .61042 L .49663 .62038 L p F P
0 g
s
.758 .896 .939 r
.67214 .33945 m .66817 .33829 L .6616 .34901 L p F P
0 g
s
.715 .813 .926 r
.59575 .36912 m .58731 .37233 L .59508 .37946 L p F P
0 g
s
.715 .813 .926 r
.59508 .37946 m .60405 .37551 L .59575 .36912 L p F P
0 g
s
.362 .313 .668 r
.49033 .18209 m .4909 .1641 L .48183 .16309 L p F P
0 g
s
.658 .738 .909 r
.32679 .06305 m .35939 .06173 L .35717 .05112 L p F P
0 g
s
.913 .712 .617 r
.24665 .58248 m .24944 .6119 L .25956 .6119 L p F P
0 g
s
.412 .285 .596 r
.76315 .63889 m .75816 .66607 L .76839 .66691 L p F P
0 g
s
.759 .814 .896 r
.27056 .27358 m .24376 .28281 L .24632 .29257 L p F P
0 g
s
.901 .786 .725 r
.06436 .49807 m .07006 .46798 L .05921 .46764 L p F P
0 g
s
.458 .566 .877 r
.56215 .60378 m .56951 .60803 L .57135 .59862 L p F P
0 g
s
.43 .52 .848 r
.65361 .68622 m .64635 .67637 L .63637 .67802 L p F P
0 g
s
.956 .739 .569 r
.97092 .48988 m .96352 .45227 L .95718 .45634 L p F P
0 g
s
.956 .739 .569 r
.95718 .45634 m .96417 .49303 L .97092 .48988 L p F P
0 g
s
.694 .324 .341 r
.66028 .39727 m .66501 .3998 L .67362 .39375 L p F P
0 g
s
.59 .226 .32 r
.56433 .28652 m .55173 .29048 L .55909 .29648 L p F P
0 g
s
.59 .226 .32 r
.55909 .29648 m .5712 .29324 L .56433 .28652 L p F P
0 g
s
.472 .609 .906 r
.47601 .63775 m .48718 .64693 L .49521 .64195 L p F P
0 g
s
.516 .663 .928 r
.50657 .64802 m .49521 .64195 L .48718 .64693 L p F P
0 g
s
.651 .239 .25 r
.65507 .31354 m .64884 .31464 L .65797 .32124 L p F P
0 g
s
.651 .239 .25 r
.65797 .32124 m .66489 .3205 L .65507 .31354 L p F P
0 g
s
.499 .19 .373 r
.57445 .35706 m .58149 .35519 L .58348 .34531 L p F P
0 g
s
.932 .775 .664 r
.51787 .16171 m .51712 .14234 L .50845 .14507 L p F P
0 g
s
.932 .775 .664 r
.50845 .14507 m .50899 .1634 L .51787 .16171 L p F P
0 g
s
.588 .205 .283 r
.35796 .02567 m .31902 .02784 L .31898 .03522 L p F P
0 g
s
.527 .162 .29 r
.28265 .04396 m .31898 .03522 L .31902 .02784 L p F P
0 g
s
.317 .272 .649 r
.22372 .61594 m .22699 .64655 L .23451 .64392 L p F P
0 g
s
.317 .272 .649 r
.23451 .64392 m .23145 .61392 L .22372 .61594 L p F P
0 g
s
.948 .807 .671 r
.79361 .67285 m .79879 .64439 L .79127 .64206 L p F P
0 g
s
.949 .799 .66 r
.79537 .61388 m .79127 .64206 L .79879 .64439 L p F P
0 g
s
.543 .196 .33 r
.23389 .25872 m .20603 .26877 L .21025 .27549 L p F P
0 g
s
.543 .196 .33 r
.21025 .27549 m .23752 .26582 L .23389 .25872 L p F P
0 g
s
.282 .194 .575 r
.03462 .46118 m .0283 .49726 L .03546 .49897 L p F P
0 g
s
.278 .237 .632 r
.03538 .53408 m .03546 .49897 L .0283 .49726 L p F P
0 g
s
.761 .625 .709 r
.5429 .65706 m .55504 .65709 L .55371 .63911 L p F P
0 g
s
.761 .625 .709 r
.55371 .63911 m .54421 .63906 L .5429 .65706 L p F P
0 g
s
.728 .623 .742 r
.6739 .71715 m .68136 .72884 L .69611 .71847 L p F P
0 g
s
.728 .623 .742 r
.69611 .71847 m .68927 .70768 L .6739 .71715 L p F P
0 g
s
.707 .603 .738 r
.50591 .25257 m .50545 .23668 L .48741 .23619 L p F P
0 g
s
.707 .603 .738 r
.48741 .23619 m .48789 .25294 L .50591 .25257 L p F P
0 g
s
.697 .557 .692 r
.22251 .49757 m .20631 .4732 L .19131 .48321 L p F P
0 g
s
.697 .557 .692 r
.19131 .48321 m .20645 .50581 L .22251 .49757 L p F P
0 g
s
.716 .571 .691 r
.81651 .53547 m .83019 .51005 L .81435 .50144 L p F P
0 g
s
.716 .571 .691 r
.81435 .50144 m .80069 .52678 L .81651 .53547 L p F P
0 g
s
.719 .576 .694 r
.34592 .23041 m .36637 .20797 L .35301 .19586 L p F P
0 g
s
.719 .576 .694 r
.35301 .19586 m .33408 .21679 L .34592 .23041 L p F P
0 g
s
.696 .578 .719 r
.1888 .10128 m .16502 .12728 L .17994 .13741 L p F P
0 g
s
.696 .578 .719 r
.17994 .13741 m .20187 .11373 L .1888 .10128 L p F P
0 g
s
.715 .594 .72 r
.06679 .63649 m .08724 .66833 L .10072 .65635 L p F P
0 g
s
.715 .594 .72 r
.10072 .65635 m .08216 .62702 L .06679 .63649 L p F P
0 g
s
.7 .582 .72 r
.91571 .67466 m .93413 .64123 L .91716 .63511 L p F P
0 g
s
.7 .582 .72 r
.91716 .63511 m .89982 .66613 L .91571 .67466 L p F P
0 g
s
.626 .277 .36 r
.71805 .4255 m .70696 .4277 L .71025 .41785 L p F P
0 g
s
.8 .691 .744 r
.60387 .31491 m .60999 .31892 L .61742 .30248 L p F P
0 g
s
.8 .691 .744 r
.61742 .30248 m .6082 .29738 L .60387 .31491 L p F P
0 g
s
.666 .505 .657 r
.65432 .39112 m .65141 .38637 L .63572 .39527 L p F P
0 g
s
.666 .505 .657 r
.63572 .39527 m .64038 .40258 L .65432 .39112 L p F P
0 g
s
.644 .523 .701 r
.56113 .3577 m .55542 .35655 L .55128 .37411 L p F P
0 g
s
.644 .523 .701 r
.55128 .37411 m .55996 .37572 L .56113 .3577 L p F P
0 g
s
.755 .643 .737 r
.67794 .34439 m .68012 .34856 L .69 .33347 L p F P
0 g
s
.755 .643 .737 r
.69 .33347 m .68394 .32737 L .67794 .34439 L p F P
0 g
s
.656 .524 .691 r
.54138 .56805 m .53158 .56498 L .52636 .58226 L p F P
0 g
s
.656 .524 .691 r
.52636 .58226 m .53629 .58537 L .54138 .56805 L p F P
0 g
s
.754 .4 .384 r
.572 .57851 m .5817 .58375 L .59013 .57841 L p F P
0 g
s
.777 .427 .394 r
.59991 .58533 m .59013 .57841 L .5817 .58375 L p F P
0 g
s
.426 .397 .723 r
.94643 .49663 m .93996 .46197 L .92922 .46348 L p F P
0 g
s
.777 .842 .901 r
.57659 .31052 m .56659 .31297 L .56668 .32332 L p F P
0 g
s
.786 .886 .918 r
.66817 .33829 m .66243 .33879 L .65774 .34961 L p F P
0 g
s
.367 .331 .686 r
.4909 .1641 m .49041 .14667 L .48118 .14555 L p F P
0 g
s
.37 .352 .708 r
.48024 .13322 m .48118 .14555 L .49041 .14667 L p F P
0 g
s
.913 .709 .614 r
.24944 .6119 m .25233 .64066 L .26249 .64006 L p F P
0 g
s
.762 .815 .895 r
.24376 .28281 m .21767 .29202 L .2208 .30169 L p F P
0 g
s
.442 .539 .861 r
.56951 .60803 m .57682 .6131 L .57954 .60388 L p F P
0 g
s
.947 .701 .532 r
.96352 .45227 m .95196 .41692 L .94654 .4224 L p F P
0 g
s
.947 .701 .532 r
.94654 .4224 m .95718 .45634 L .96352 .45227 L p F P
0 g
s
.55 .204 .334 r
.55173 .29048 m .53829 .29669 L .54649 .30161 L p F P
0 g
s
.55 .204 .334 r
.54649 .30161 m .55909 .29648 L .55173 .29048 L p F P
0 g
s
.626 .228 .27 r
.64884 .31464 m .64098 .31663 L .65072 .3224 L p F P
0 g
s
.626 .228 .27 r
.65072 .3224 m .65797 .32124 L .64884 .31464 L p F P
0 g
s
.935 .773 .657 r
.51712 .14234 m .5155 .12538 L .50741 .12918 L p F P
0 g
s
.935 .773 .657 r
.50741 .12918 m .50845 .14507 L .51712 .14234 L p F P
0 g
s
.316 .288 .668 r
.22699 .64655 m .23196 .67471 L .23922 .67153 L p F P
0 g
s
.316 .288 .668 r
.23922 .67153 m .23451 .64392 L .22699 .64655 L p F P
0 g
s
.522 .183 .333 r
.20603 .26877 m .18112 .27976 L .18587 .28605 L p F P
0 g
s
.522 .183 .333 r
.18587 .28605 m .21025 .27549 L .20603 .26877 L p F P
0 g
s
.897 .609 .491 r
.64573 .64601 m .65328 .65562 L .65759 .64649 L p F P
0 g
s
.897 .609 .491 r
.65759 .64649 m .64993 .63681 L .64573 .64601 L p F P
0 g
s
.562 .686 .923 r
.67508 .4208 m .66662 .41938 L .67073 .42965 L p F P
0 g
s
.562 .686 .923 r
.67073 .42965 m .67962 .43055 L .67508 .4208 L p F P
0 g
s
.893 .607 .496 r
.49957 .61042 m .49314 .603 L .48879 .61231 L p F P
0 g
s
.727 .82 .923 r
.6049 .36482 m .59575 .36912 L .60405 .37551 L p F P
0 g
s
.727 .82 .923 r
.60405 .37551 m .61291 .37114 L .6049 .36482 L p F P
0 g
s
.629 .714 .908 r
.35939 .06173 m .39217 .06409 L .39111 .05335 L p F P
0 g
s
.42 .272 .573 r
.75816 .66607 m .75174 .68956 L .76195 .69113 L p F P
0 g
s
.893 .8 .75 r
.07006 .46798 m .08052 .43469 L .06984 .433 L p F P
0 g
s
.434 .526 .852 r
.64635 .67637 m .63895 .6667 L .62904 .66857 L p F P
0 g
s
.614 .254 .336 r
.68312 .39461 m .67755 .39421 L .67004 .4016 L p F P
0 g
s
.65 .286 .34 r
.66501 .3998 m .67004 .4016 L .67755 .39421 L p F P
0 g
s
.438 .556 .877 r
.46608 .62692 m .47601 .63775 L .4848 .6341 L p F P
0 g
s
.472 .609 .906 r
.49521 .64195 m .4848 .6341 L .47601 .63775 L p F P
0 g
s
.463 .179 .395 r
.59697 .33873 m .58938 .34254 L .58839 .35257 L p F P
0 g
s
.474 .181 .388 r
.58149 .35519 m .58839 .35257 L .58938 .34254 L p F P
0 g
s
.63 .239 .285 r
.39496 .02808 m .35796 .02567 L .35645 .03302 L p F P
0 g
s
.588 .205 .283 r
.31898 .03522 m .35645 .03302 L .35796 .02567 L p F P
0 g
s
.945 .825 .694 r
.78651 .69932 m .79361 .67285 L .78618 .67031 L p F P
0 g
s
.948 .807 .671 r
.79127 .64206 m .78618 .67031 L .79361 .67285 L p F P
0 g
s
.294 .169 .534 r
.04612 .42369 m .03462 .46118 L .04142 .46423 L p F P
0 g
s
.282 .194 .575 r
.03546 .49897 m .04142 .46423 L .03462 .46118 L p F P
0 g
s
.759 .629 .716 r
.53092 .65533 m .5429 .65706 L .54421 .63906 L p F P
0 g
s
.759 .629 .716 r
.54421 .63906 m .53463 .63766 L .53092 .65533 L p F P
0 g
s
.727 .622 .741 r
.66698 .70568 m .6739 .71715 L .68927 .70768 L p F P
0 g
s
.727 .622 .741 r
.68927 .70768 m .68246 .69637 L .66698 .70568 L p F P
0 g
s
.706 .602 .738 r
.48776 .21909 m .48741 .23619 L .50545 .23668 L p F P
0 g
s
.706 .602 .738 r
.50545 .23668 m .50578 .22033 L .48776 .21909 L p F P
0 g
s
.699 .558 .691 r
.20645 .50581 m .21861 .52863 L .23615 .52433 L p F P
0 g
s
.699 .558 .691 r
.23615 .52433 m .22251 .49757 L .20645 .50581 L p F P
0 g
s
.72 .579 .696 r
.33408 .21679 m .31418 .23464 L .32249 .25068 L p F P
0 g
s
.72 .579 .696 r
.32249 .25068 m .34592 .23041 L .33408 .21679 L p F P
0 g
s
.714 .57 .69 r
.80523 .56094 m .81651 .53547 L .80069 .52678 L p F P
0 g
s
.714 .57 .69 r
.80069 .52678 m .78875 .55354 L .80523 .56094 L p F P
0 g
s
.694 .575 .717 r
.21656 .07931 m .1888 .10128 L .20187 .11373 L p F P
0 g
s
.694 .575 .717 r
.20187 .11373 m .22748 .09369 L .21656 .07931 L p F P
0 g
s
.713 .593 .721 r
.05173 .60158 m .06679 .63649 L .08216 .62702 L p F P
0 g
s
.713 .593 .721 r
.08216 .62702 m .06844 .59473 L .05173 .60158 L p F P
0 g
s
.702 .584 .721 r
.93 .60075 m .91716 .63511 L .93413 .64123 L p F P
0 g
s
.702 .584 .721 r
.93413 .64123 m .9473 .60591 L .93 .60075 L p F P
0 g
s
.847 .737 .743 r
.67572 .34138 m .67794 .34439 L .68394 .32737 L p F P
0 g
s
.847 .737 .743 r
.68394 .32737 m .67791 .32345 L .67572 .34138 L p F P
0 g
s
.654 .5 .663 r
.65667 .3942 m .65432 .39112 L .64038 .40258 L p F P
0 g
s
.654 .5 .663 r
.64038 .40258 m .64528 .40823 L .65667 .3942 L p F P
0 g
s
.645 .531 .709 r
.56793 .35785 m .56113 .3577 L .55996 .37572 L p F P
0 g
s
.645 .531 .709 r
.55996 .37572 m .56929 .37587 L .56793 .35785 L p F P
0 g
s
.657 .525 .691 r
.55164 .57086 m .54138 .56805 L .53629 .58537 L p F P
0 g
s
.657 .525 .691 r
.53629 .58537 m .54552 .58786 L .55164 .57086 L p F P
0 g
s
.777 .427 .394 r
.5817 .58375 m .59113 .58994 L .59991 .58533 L p F P
0 g
s
.797 .452 .403 r
.60887 .59286 m .59991 .58533 L .59113 .58994 L p F P
0 g
s
.891 .599 .485 r
.63781 .63642 m .64573 .64601 L .64993 .63681 L p F P
0 g
s
.891 .599 .485 r
.64993 .63681 m .64181 .62712 L .63781 .63642 L p F P
0 g
s
.433 .425 .75 r
.93996 .46197 m .93075 .4313 L .9205 .43466 L p F P
0 g
s
.595 .721 .932 r
.68343 .42138 m .67508 .4208 L .67962 .43055 L p F P
0 g
s
.595 .721 .932 r
.67962 .43055 m .68903 .43046 L .68343 .42138 L p F P
0 g
s
.803 .85 .885 r
.56659 .31297 m .55634 .31683 L .5579 .32702 L p F P
0 g
s
.915 .657 .533 r
.49314 .603 m .48802 .59485 L .48238 .60338 L p F P
0 g
s
.794 .876 .907 r
.66243 .33879 m .65684 .33946 L .65317 .35063 L p F P
0 g
s
.738 .827 .92 r
.61341 .36041 m .6049 .36482 L .61291 .37114 L p F P
0 g
s
.738 .827 .92 r
.61291 .37114 m .62161 .36644 L .61341 .36041 L p F P
0 g
s
.37 .352 .708 r
.49041 .14667 m .48971 .13311 L .48024 .13322 L p F P
0 g
s
.578 .666 .898 r
.39217 .06409 m .42216 .07248 L .42297 .06181 L p F P
0 g
s
.908 .69 .596 r
.25233 .64066 m .25675 .6669 L .26688 .66549 L p F P
0 g
s
.43 .263 .552 r
.75174 .68956 m .74327 .71227 L .75336 .71475 L p F P
0 g
s
.78 .822 .885 r
.21767 .29202 m .19466 .30191 L .19863 .31135 L p F P
0 g
s
.877 .818 .787 r
.08052 .43469 m .09591 .40423 L .08565 .401 L p F P
0 g
s
.423 .508 .841 r
.57682 .6131 m .58394 .61903 L .58737 .61004 L p F P
0 g
s
.436 .531 .856 r
.63895 .6667 m .63152 .65727 L .62163 .65924 L p F P
0 g
s
.923 .632 .474 r
.95196 .41692 m .93391 .38494 L .92969 .39164 L p F P
0 g
s
.923 .632 .474 r
.92969 .39164 m .94654 .4224 L .95196 .41692 L p F P
0 g
s
.614 .254 .336 r
.67004 .4016 m .67683 .40276 L .68312 .39461 L p F P
0 g
s
.509 .185 .353 r
.53829 .29669 m .52609 .30465 L .53484 .30857 L p F P
0 g
s
.509 .185 .353 r
.53484 .30857 m .54649 .30161 L .53829 .29669 L p F P
0 g
s
.406 .503 .845 r
.45769 .61451 m .46608 .62692 L .4752 .62431 L p F P
0 g
s
.438 .556 .877 r
.4848 .6341 m .4752 .62431 L .46608 .62692 L p F P
0 g
s
.593 .206 .278 r
.64098 .31663 m .63358 .31927 L .64367 .32434 L p F P
0 g
s
.593 .206 .278 r
.64367 .32434 m .65072 .3224 L .64098 .31663 L p F P
0 g
s
.463 .179 .395 r
.58839 .35257 m .5969 .34856 L .59697 .33873 L p F P
0 g
s
.937 .744 .617 r
.5155 .12538 m .51162 .10858 L .50445 .11368 L p F P
0 g
s
.937 .744 .617 r
.50445 .11368 m .50741 .12918 L .5155 .12538 L p F P
0 g
s
.694 .301 .298 r
.43183 .03765 m .39496 .02808 L .39251 .03528 L p F P
0 g
s
.63 .239 .285 r
.35645 .03302 m .39251 .03528 L .39496 .02808 L p F P
0 g
s
.318 .309 .692 r
.23196 .67471 m .23907 .70237 L .24603 .69863 L p F P
0 g
s
.318 .309 .692 r
.24603 .69863 m .23922 .67153 L .23196 .67471 L p F P
0 g
s
.939 .843 .721 r
.77705 .72513 m .78651 .69932 L .77941 .69603 L p F P
0 g
s
.945 .825 .694 r
.78618 .67031 m .77941 .69603 L .78651 .69932 L p F P
0 g
s
.495 .168 .34 r
.18112 .27976 m .15724 .2928 L .16252 .29858 L p F P
0 g
s
.495 .168 .34 r
.16252 .29858 m .18587 .28605 L .18112 .27976 L p F P
0 g
s
.315 .146 .486 r
.06368 .38787 m .04612 .42369 L .05257 .42748 L p F P
0 g
s
.294 .169 .534 r
.04142 .46423 m .05257 .42748 L .04612 .42369 L p F P
0 g
s
.762 .634 .719 r
.6082 .29738 m .59614 .29358 L .59538 .31163 L p F P
0 g
s
.762 .634 .719 r
.59538 .31163 m .60387 .31491 L .6082 .29738 L p F P
0 g
s
.751 .624 .718 r
.51867 .65239 m .53092 .65533 L .53463 .63766 L p F P
0 g
s
.751 .624 .718 r
.53463 .63766 m .52346 .63496 L .51867 .65239 L p F P
0 g
s
.729 .624 .74 r
.66063 .69605 m .66698 .70568 L .68246 .69637 L p F P
0 g
s
.729 .624 .74 r
.68246 .69637 m .67555 .68586 L .66063 .69605 L p F P
0 g
s
.705 .599 .735 r
.48903 .20041 m .48776 .21909 L .50578 .22033 L p F P
0 g
s
.705 .599 .735 r
.50578 .22033 m .50707 .20159 L .48903 .20041 L p F P
0 g
s
.723 .584 .698 r
.29706 .26377 m .32249 .25068 L .31418 .23464 L p F P
0 g
s
.723 .584 .698 r
.31418 .23464 m .29068 .24686 L .29706 .26377 L p F P
0 g
s
.711 .566 .689 r
.79935 .5865 m .80523 .56094 L .78875 .55354 L p F P
0 g
s
.711 .566 .689 r
.78875 .55354 m .78175 .58239 L .79935 .5865 L p F P
0 g
s
.703 .559 .689 r
.24317 .55325 m .23615 .52433 L .21861 .52863 L p F P
0 g
s
.703 .559 .689 r
.21861 .52863 m .22523 .55549 L .24317 .55325 L p F P
0 g
s
.694 .573 .715 r
.24807 .05904 m .21656 .07931 L .22748 .09369 L p F P
0 g
s
.694 .573 .715 r
.22748 .09369 m .25763 .07438 L .24807 .05904 L p F P
0 g
s
.712 .594 .722 r
.04102 .5687 m .05173 .60158 L .06844 .59473 L p F P
0 g
s
.712 .594 .722 r
.06844 .59473 m .05829 .56335 L .04102 .5687 L p F P
0 g
s
.703 .585 .721 r
.94091 .56639 m .93 .60075 L .9473 .60591 L p F P
0 g
s
.703 .585 .721 r
.9473 .60591 m .9588 .56898 L .94091 .56639 L p F P
0 g
s
.837 .698 .71 r
.67214 .33945 m .67572 .34138 L .67791 .32345 L p F P
0 g
s
.837 .698 .71 r
.67791 .32345 m .67146 .32139 L .67214 .33945 L p F P
0 g
s
.645 .502 .673 r
.66028 .39727 m .65667 .3942 L .64528 .40823 L p F P
0 g
s
.645 .502 .673 r
.64528 .40823 m .65177 .41323 L .66028 .39727 L p F P
0 g
s
.647 .539 .717 r
.57445 .35706 m .56793 .35785 L .56929 .37587 L p F P
0 g
s
.647 .539 .717 r
.56929 .37587 m .57838 .37471 L .57445 .35706 L p F P
0 g
s
.659 .525 .689 r
.56194 .57426 m .55164 .57086 L .54552 .58786 L p F P
0 g
s
.659 .525 .689 r
.54552 .58786 m .55441 .5907 L .56194 .57426 L p F P
0 g
s
.797 .452 .403 r
.59113 .58994 m .59988 .5969 L .60887 .59286 L p F P
0 g
s
.812 .471 .41 r
.61714 .60078 m .60887 .59286 L .59988 .5969 L p F P
0 g
s
.885 .586 .477 r
.62952 .62705 m .63781 .63642 L .64181 .62712 L p F P
0 g
s
.885 .586 .477 r
.64181 .62712 m .63323 .61761 L .62952 .62705 L p F P
0 g
s
.452 .477 .794 r
.93075 .4313 m .91592 .40344 L .90646 .40846 L p F P
0 g
s
.625 .75 .937 r
.69197 .42097 m .68343 .42138 L .68903 .43046 L p F P
0 g
s
.625 .75 .937 r
.68903 .43046 m .69832 .42937 L .69197 .42097 L p F P
0 g
s
.837 .858 .861 r
.55634 .31683 m .5466 .32239 L .54952 .33218 L p F P
0 g
s
.925 .691 .565 r
.48802 .59485 m .48366 .58552 L .47698 .59317 L p F P
0 g
s
.818 .883 .892 r
.65684 .33946 m .65115 .34086 L .64848 .3522 L p F P
0 g
s
.741 .829 .919 r
.6217 .35582 m .61341 .36041 L .62161 .36644 L p F P
0 g
s
.741 .829 .919 r
.62161 .36644 m .62995 .36172 L .6217 .35582 L p F P
0 g
s
.386 .393 .744 r
.48971 .13311 m .48753 .12021 L .47791 .12159 L p F P
0 g
s
.531 .613 .88 r
.42216 .07248 m .44918 .08601 L .45177 .07574 L p F P
0 g
s
.902 .67 .577 r
.25675 .6669 m .26316 .69266 L .27321 .69047 L p F P
0 g
s
.441 .257 .534 r
.74327 .71227 m .73302 .73396 L .74292 .73728 L p F P
0 g
s
.798 .827 .874 r
.19466 .30191 m .17265 .31363 L .17742 .32279 L p F P
0 g
s
.857 .827 .817 r
.09591 .40423 m .11606 .37564 L .10641 .37104 L p F P
0 g
s
.41 .483 .825 r
.58394 .61903 m .59098 .62576 L .59489 .61695 L p F P
0 g
s
.441 .539 .861 r
.63152 .65727 m .62392 .64809 L .61413 .65036 L p F P
0 g
s
.887 .56 .423 r
.93391 .38494 m .9099 .35746 L .90768 .36538 L p F P
0 g
s
.887 .56 .423 r
.90768 .36538 m .92969 .39164 L .93391 .38494 L p F P
0 g
s
.585 .238 .347 r
.67683 .40276 m .68305 .40324 L .68827 .39432 L p F P
0 g
s
.474 .175 .377 r
.52609 .30465 m .51529 .31383 L .52435 .31703 L p F P
0 g
s
.474 .175 .377 r
.52435 .31703 m .53484 .30857 L .52609 .30465 L p F P
0 g
s
.383 .456 .812 r
.45104 .60115 m .45769 .61451 L .46716 .61325 L p F P
0 g
s
.406 .503 .845 r
.4752 .62431 m .46716 .61325 L .45769 .61451 L p F P
0 g
s
.567 .192 .291 r
.63358 .31927 m .62662 .32239 L .637 .3269 L p F P
0 g
s
.567 .192 .291 r
.637 .3269 m .64367 .32434 L .63358 .31927 L p F P
0 g
s
.455 .177 .403 r
.5969 .34856 m .6048 .34445 L .60444 .33463 L p F P
0 g
s
.934 .708 .572 r
.51162 .10858 m .50496 .09227 L .49942 .09881 L p F P
0 g
s
.934 .708 .572 r
.49942 .09881 m .50445 .11368 L .51162 .10858 L p F P
0 g
s
.754 .369 .324 r
.46528 .05362 m .43183 .03765 L .42782 .04433 L p F P
0 g
s
.694 .301 .298 r
.39251 .03528 m .42782 .04433 L .43183 .03765 L p F P
0 g
s
.32 .331 .715 r
.23907 .70237 m .2483 .72932 L .25479 .72491 L p F P
0 g
s
.32 .331 .715 r
.25479 .72491 m .24603 .69863 L .23907 .70237 L p F P
0 g
s
.931 .858 .747 r
.76561 .74966 m .77705 .72513 L .77031 .72121 L p F P
0 g
s
.939 .843 .721 r
.77941 .69603 m .77031 .72121 L .77705 .72513 L p F P
0 g
s
.469 .154 .349 r
.15724 .2928 m .13465 .30784 L .14055 .31287 L p F P
0 g
s
.469 .154 .349 r
.14055 .31287 m .16252 .29858 L .15724 .2928 L p F P
0 g
s
.342 .134 .445 r
.08655 .35473 m .06368 .38787 L .06947 .39279 L p F P
0 g
s
.315 .146 .486 r
.05257 .42748 m .06947 .39279 L .06368 .38787 L p F P
0 g
s
.762 .624 .707 r
.59614 .29358 m .58379 .29235 L .58608 .31029 L p F P
0 g
s
.762 .624 .707 r
.58608 .31029 m .59538 .31163 L .59614 .29358 L p F P
0 g
s
.752 .631 .725 r
.50657 .64802 m .51867 .65239 L .52346 .63496 L p F P
0 g
s
.752 .631 .725 r
.52346 .63496 m .51367 .63138 L .50657 .64802 L p F P
0 g
s
.731 .625 .74 r
.65361 .68622 m .66063 .69605 L .67555 .68586 L p F P
0 g
s
.731 .625 .74 r
.67555 .68586 m .66825 .6756 L .65361 .68622 L p F P
0 g
s
.705 .599 .736 r
.50707 .20159 m .50841 .1825 L .49033 .18209 L p F P
0 g
s
.705 .599 .736 r
.49033 .18209 m .48903 .20041 L .50707 .20159 L p F P
0 g
s
.725 .586 .7 r
.27056 .27358 m .29706 .26377 L .29068 .24686 L p F P
0 g
s
.725 .586 .7 r
.29068 .24686 m .26454 .25652 L .27056 .27358 L p F P
0 g
s
.71 .565 .689 r
.79537 .61388 m .79935 .5865 L .78175 .58239 L p F P
0 g
s
.71 .565 .689 r
.78175 .58239 m .77748 .61119 L .79537 .61388 L p F P
0 g
s
.705 .561 .689 r
.22523 .55549 m .22866 .58432 L .24665 .58248 L p F P
0 g
s
.705 .561 .689 r
.24665 .58248 m .24317 .55325 L .22523 .55549 L p F P
0 g
s
.709 .593 .723 r
.03538 .53408 m .04102 .5687 L .05829 .56335 L p F P
0 g
s
.709 .593 .723 r
.05829 .56335 m .05329 .53152 L .03538 .53408 L p F P
0 g
s
.693 .57 .713 r
.28265 .04396 m .24807 .05904 L .25763 .07438 L p F P
0 g
s
.693 .57 .713 r
.25763 .07438 m .28957 .06068 L .28265 .04396 L p F P
0 g
s
.705 .588 .722 r
.94668 .5314 m .94091 .56639 L .9588 .56898 L p F P
0 g
s
.705 .588 .722 r
.9588 .56898 m .96476 .5309 L .94668 .5314 L p F P
0 g
s
.83 .673 .689 r
.66817 .33829 m .67214 .33945 L .67146 .32139 L p F P
0 g
s
.83 .673 .689 r
.67146 .32139 m .66489 .3205 L .66817 .33829 L p F P
0 g
s
.64 .504 .681 r
.66501 .3998 m .66028 .39727 L .65177 .41323 L p F P
0 g
s
.64 .504 .681 r
.65177 .41323 m .65896 .41686 L .66501 .3998 L p F P
0 g
s
.649 .545 .724 r
.58149 .35519 m .57445 .35706 L .57838 .37471 L p F P
0 g
s
.649 .545 .724 r
.57838 .37471 m .58731 .37233 L .58149 .35519 L p F P
0 g
s
.661 .523 .685 r
.55441 .5907 m .56297 .59419 L .572 .57851 L p F P
0 g
s
.661 .523 .685 r
.572 .57851 m .56194 .57426 L .55441 .5907 L p F P
0 g
s
.88 .577 .47 r
.62097 .61799 m .62952 .62705 L .63323 .61761 L p F P
0 g
s
.88 .577 .47 r
.63323 .61761 m .62446 .60846 L .62097 .61799 L p F P
0 g
s
.643 .767 .939 r
.7001 .4198 m .69197 .42097 L .69832 .42937 L p F P
0 g
s
.643 .767 .939 r
.69832 .42937 m .70696 .4277 L .7001 .4198 L p F P
0 g
s
.929 .713 .588 r
.48366 .58552 m .47988 .57516 L .47253 .5821 L p F P
0 g
s
.737 .828 .921 r
.62977 .35128 m .6217 .35582 L .62995 .36172 L p F P
0 g
s
.737 .828 .921 r
.62995 .36172 m .63796 .35725 L .62977 .35128 L p F P
0 g
s
.472 .536 .842 r
.44918 .08601 m .47088 .105 L .47559 .09573 L p F P
0 g
s
.455 .252 .514 r
.73302 .73396 m .72083 .75447 L .73044 .75871 L p F P
0 g
s
.833 .831 .845 r
.11606 .37564 m .14033 .35014 L .13147 .34429 L p F P
0 g
s
.449 .551 .868 r
.62392 .64809 m .61606 .63924 L .60641 .64188 L p F P
0 g
s
.555 .22 .357 r
.68305 .40324 m .6897 .40296 L .69379 .39348 L p F P
0 g
s
.37 .422 .785 r
.44592 .58767 m .45104 .60115 L .46061 .60101 L p F P
0 g
s
.383 .456 .812 r
.46716 .61325 m .46061 .60101 L .45104 .60115 L p F P
0 g
s
.447 .173 .404 r
.62041 .32559 m .61222 .33019 L .61281 .33999 L p F P
0 g
s
.449 .176 .406 r
.6048 .34445 m .61281 .33999 L .61222 .33019 L p F P
0 g
s
.822 .461 .373 r
.4944 .07748 m .46528 .05362 L .45985 .05948 L p F P
0 g
s
.754 .369 .324 r
.42782 .04433 m .45985 .05948 L .46528 .05362 L p F P
0 g
s
.919 .872 .775 r
.75182 .77319 m .76561 .74966 L .75928 .74516 L p F P
0 g
s
.931 .858 .747 r
.77031 .72121 m .75928 .74516 L .76561 .74966 L p F P
0 g
s
.376 .131 .41 r
.11415 .32513 m .08655 .35473 L .0916 .36054 L p F P
0 g
s
.342 .134 .445 r
.06947 .39279 m .0916 .36054 L .08655 .35473 L p F P
0 g
s
.812 .471 .41 r
.59988 .5969 m .60802 .60441 L .61714 .60078 L p F P
0 g
s
.821 .481 .413 r
.62446 .60846 m .61714 .60078 L .60802 .60441 L p F P
0 g
s
.477 .529 .832 r
.91592 .40344 m .89749 .38041 L .88961 .3874 L p F P
0 g
s
.862 .858 .836 r
.5466 .32239 m .53729 .32977 L .54106 .33921 L p F P
0 g
s
.834 .883 .878 r
.65115 .34086 m .64544 .34296 L .64345 .35441 L p F P
0 g
s
.41 .443 .783 r
.48753 .12021 m .48436 .10895 L .47495 .11247 L p F P
0 g
s
.895 .649 .559 r
.26316 .69266 m .27125 .71724 L .28109 .71406 L p F P
0 g
s
.816 .83 .86 r
.17265 .31363 m .15235 .32667 L .15816 .33532 L p F P
0 g
s
.419 .487 .824 r
.59098 .62576 m .59832 .6335 L .60785 .63055 L p F P
0 g
s
.82 .458 .37 r
.9099 .35746 m .87912 .3374 L .87814 .34561 L p F P
0 g
s
.82 .458 .37 r
.87814 .34561 m .90768 .36538 L .9099 .35746 L p F P
0 g
s
.451 .176 .404 r
.51529 .31383 m .50647 .32268 L .5129 .32855 L p F P
0 g
s
.451 .176 .404 r
.5129 .32855 m .52435 .31703 L .51529 .31383 L p F P
0 g
s
.538 .219 .374 r
.62662 .32239 m .62041 .32559 L .62096 .33539 L p F P
0 g
s
.9 .609 .484 r
.50496 .09227 m .4944 .07748 L .4874 .08192 L p F P
0 g
s
.9 .609 .484 r
.4874 .08192 m .49942 .09881 L .50496 .09227 L p F P
0 g
s
.329 .365 .747 r
.2483 .72932 m .25998 .75489 L .26693 .75154 L p F P
0 g
s
.329 .365 .747 r
.26693 .75154 m .25479 .72491 L .2483 .72932 L p F P
0 g
s
.431 .141 .37 r
.13465 .30784 m .11415 .32513 L .11833 .33174 L p F P
0 g
s
.761 .616 .698 r
.57659 .31052 m .58608 .31029 L .58379 .29235 L p F P
0 g
s
.761 .616 .698 r
.58379 .29235 m .5712 .29324 L .57659 .31052 L p F P
0 g
s
.75 .634 .733 r
.49521 .64195 m .50657 .64802 L .51367 .63138 L p F P
0 g
s
.75 .634 .733 r
.51367 .63138 m .50468 .62653 L .49521 .64195 L p F P
0 g
s
.731 .625 .74 r
.64635 .67637 m .65361 .68622 L .66825 .6756 L p F P
0 g
s
.731 .625 .74 r
.66825 .6756 m .66088 .66558 L .64635 .67637 L p F P
0 g
s
.706 .601 .736 r
.50841 .1825 m .50899 .1634 L .4909 .1641 L p F P
0 g
s
.706 .601 .736 r
.4909 .1641 m .49033 .18209 L .50841 .1825 L p F P
0 g
s
.725 .587 .701 r
.24376 .28281 m .27056 .27358 L .26454 .25652 L p F P
0 g
s
.725 .587 .701 r
.26454 .25652 m .23752 .26582 L .24376 .28281 L p F P
0 g
s
.71 .564 .688 r
.79127 .64206 m .79537 .61388 L .77748 .61119 L p F P
0 g
s
.71 .564 .688 r
.77748 .61119 m .77338 .6393 L .79127 .64206 L p F P
0 g
s
.705 .561 .689 r
.22866 .58432 m .23145 .61392 L .24944 .6119 L p F P
0 g
s
.705 .561 .689 r
.24944 .6119 m .24665 .58248 L .22866 .58432 L p F P
0 g
s
.707 .591 .724 r
.03546 .49897 m .03538 .53408 L .05329 .53152 L p F P
0 g
s
.707 .591 .724 r
.05329 .53152 m .05356 .49938 L .03546 .49897 L p F P
0 g
s
.692 .567 .71 r
.31898 .03522 m .28265 .04396 L .28957 .06068 L p F P
0 g
s
.692 .567 .71 r
.28957 .06068 m .32287 .0529 L .31898 .03522 L p F P
0 g
s
.707 .59 .722 r
.94643 .49663 m .94668 .5314 L .96476 .5309 L p F P
0 g
s
.707 .59 .722 r
.96476 .5309 m .96417 .49303 L .94643 .49663 L p F P
0 g
s
.808 .643 .678 r
.66243 .33879 m .66817 .33829 L .66489 .3205 L p F P
0 g
s
.808 .643 .678 r
.66489 .3205 m .65797 .32124 L .66243 .33879 L p F P
0 g
s
.638 .51 .691 r
.67004 .4016 m .66501 .3998 L .65896 .41686 L p F P
0 g
s
.638 .51 .691 r
.65896 .41686 m .66662 .41938 L .67004 .4016 L p F P
0 g
s
.65 .551 .729 r
.58839 .35257 m .58149 .35519 L .58731 .37233 L p F P
0 g
s
.65 .551 .729 r
.58731 .37233 m .59575 .36912 L .58839 .35257 L p F P
0 g
s
.663 .521 .681 r
.5817 .58375 m .572 .57851 L .56297 .59419 L p F P
0 g
s
.663 .521 .681 r
.56297 .59419 m .57135 .59862 L .5817 .58375 L p F P
0 g
s
.821 .481 .413 r
.60802 .60441 m .62097 .61799 L .62446 .60846 L p F P
0 g
s
.522 .603 .876 r
.89749 .38041 m .87317 .36309 L .86921 .37221 L p F P
0 g
s
.774 .843 .905 r
.79544 .38617 m .78455 .39157 L .78722 .40008 L p F P
0 g
s
.774 .843 .905 r
.78722 .40008 m .79829 .39461 L .79544 .38617 L p F P
0 g
s
.767 .84 .907 r
.78455 .39157 m .77358 .39665 L .77614 .40521 L p F P
0 g
s
.767 .84 .907 r
.77614 .40521 m .78722 .40008 L .78455 .39157 L p F P
0 g
s
.762 .837 .909 r
.77358 .39665 m .76242 .40156 L .76475 .41022 L p F P
0 g
s
.762 .837 .909 r
.76475 .41022 m .77614 .40521 L .77358 .39665 L p F P
0 g
s
.753 .832 .913 r
.76242 .40156 m .75113 .40607 L .75323 .41482 L p F P
0 g
s
.753 .832 .913 r
.75323 .41482 m .76475 .41022 L .76242 .40156 L p F P
0 g
s
.744 .827 .916 r
.75113 .40607 m .73998 .41012 L .7417 .419 L p F P
0 g
s
.744 .827 .916 r
.7417 .419 m .75323 .41482 L .75113 .40607 L p F P
0 g
s
.73 .819 .92 r
.73998 .41012 m .72859 .41361 L .72984 .42262 L p F P
0 g
s
.73 .819 .92 r
.72984 .42262 m .7417 .419 L .73998 .41012 L p F P
0 g
s
.715 .809 .923 r
.72859 .41361 m .71715 .41641 L .71805 .4255 L p F P
0 g
s
.715 .809 .923 r
.71805 .4255 m .72984 .42262 L .72859 .41361 L p F P
0 g
s
.703 .8 .925 r
.71715 .41641 m .7001 .4198 L .70696 .4277 L p F P
0 g
s
.703 .8 .925 r
.70696 .4277 m .71805 .4255 L .71715 .41641 L p F P
0 g
s
.875 .855 .819 r
.53729 .32977 m .5257 .34145 L .53197 .34838 L p F P
0 g
s
.845 .85 .848 r
.5257 .34145 m .51467 .35235 L .52145 .35874 L p F P
0 g
s
.845 .85 .848 r
.52145 .35874 m .53197 .34838 L .5257 .34145 L p F P
0 g
s
.859 .85 .833 r
.51467 .35235 m .50469 .36378 L .51208 .3694 L p F P
0 g
s
.924 .798 .703 r
.47897 .4196 m .47569 .43645 L .48469 .43819 L p F P
0 g
s
.925 .797 .7 r
.47569 .43645 m .4724 .45432 L .48122 .45685 L p F P
0 g
s
.919 .813 .726 r
.4724 .45432 m .46767 .47101 L .47654 .47336 L p F P
0 g
s
.919 .813 .726 r
.47654 .47336 m .48122 .45685 L .4724 .45432 L p F P
0 g
s
.92 .811 .723 r
.46767 .47101 m .4633 .48721 L .47233 .48883 L p F P
0 g
s
.92 .811 .723 r
.47233 .48883 m .47654 .47336 L .46767 .47101 L p F P
0 g
s
.924 .799 .704 r
.4633 .48721 m .46021 .50309 L .46938 .50373 L p F P
0 g
s
.924 .799 .704 r
.46938 .50373 m .47233 .48883 L .4633 .48721 L p F P
0 g
s
.928 .779 .676 r
.46021 .50309 m .45877 .5189 L .46797 .51836 L p F P
0 g
s
.928 .779 .676 r
.46797 .51836 m .46938 .50373 L .46021 .50309 L p F P
0 g
s
.929 .752 .642 r
.45877 .5189 m .45927 .53379 L .46836 .53207 L p F P
0 g
s
.929 .752 .642 r
.46836 .53207 m .46797 .51836 L .45877 .5189 L p F P
0 g
s
.925 .72 .607 r
.45927 .53379 m .46165 .54868 L .47053 .54597 L p F P
0 g
s
.925 .72 .607 r
.47053 .54597 m .46836 .53207 L .45927 .53379 L p F P
0 g
s
.918 .691 .578 r
.46165 .54868 m .4657 .56352 L .47433 .56003 L p F P
0 g
s
.918 .691 .578 r
.47433 .56003 m .47053 .54597 L .46165 .54868 L p F P
0 g
s
.911 .666 .555 r
.4657 .56352 m .47253 .5821 L .47988 .57516 L p F P
0 g
s
.911 .666 .555 r
.47988 .57516 m .47433 .56003 L .4657 .56352 L p F P
0 g
s
.843 .881 .869 r
.64544 .34296 m .62977 .35128 L .63796 .35725 L p F P
0 g
s
.452 .513 .831 r
.48436 .10895 m .47559 .09573 L .47088 .105 L p F P
0 g
s
.883 .621 .537 r
.27125 .71724 m .28273 .74257 L .29146 .73702 L p F P
0 g
s
.881 .618 .536 r
.28273 .74257 m .30073 .77442 L .30874 .76776 L p F P
0 g
s
.881 .618 .536 r
.30874 .76776 m .29146 .73702 L .28273 .74257 L p F P
0 g
s
.862 .581 .51 r
.30073 .77442 m .32256 .80348 L .32968 .79578 L p F P
0 g
s
.862 .581 .51 r
.32968 .79578 m .30874 .76776 L .30073 .77442 L p F P
0 g
s
.84 .543 .487 r
.32256 .80348 m .34756 .82881 L .35356 .82012 L p F P
0 g
s
.84 .543 .487 r
.35356 .82012 m .32968 .79578 L .32256 .80348 L p F P
0 g
s
.811 .5 .463 r
.34756 .82881 m .37635 .85025 L .38134 .84089 L p F P
0 g
s
.811 .5 .463 r
.38134 .84089 m .35356 .82012 L .34756 .82881 L p F P
0 g
s
.787 .468 .449 r
.37635 .85025 m .4047 .86662 L .40829 .85658 L p F P
0 g
s
.787 .468 .449 r
.40829 .85658 m .38134 .84089 L .37635 .85025 L p F P
0 g
s
.752 .426 .433 r
.4047 .86662 m .43524 .87834 L .4374 .86787 L p F P
0 g
s
.752 .426 .433 r
.4374 .86787 m .40829 .85658 L .4047 .86662 L p F P
0 g
s
.716 .389 .423 r
.43524 .87834 m .46746 .88539 L .46825 .87471 L p F P
0 g
s
.716 .389 .423 r
.46825 .87471 m .4374 .86787 L .43524 .87834 L p F P
0 g
s
.681 .357 .419 r
.46746 .88539 m .50122 .88787 L .50125 .87716 L p F P
0 g
s
.665 .343 .418 r
.50122 .88787 m .53434 .88807 L .53297 .87744 L p F P
0 g
s
.665 .343 .418 r
.53297 .87744 m .50125 .87716 L .50122 .88787 L p F P
0 g
s
.631 .317 .42 r
.53434 .88807 m .56685 .8837 L .56403 .87338 L p F P
0 g
s
.595 .294 .427 r
.56685 .8837 m .59811 .8746 L .59382 .86482 L p F P
0 g
s
.558 .274 .441 r
.59811 .8746 m .62786 .86047 L .62248 .85129 L p F P
0 g
s
.531 .263 .454 r
.62786 .86047 m .6577 .84154 L .65112 .83325 L p F P
0 g
s
.5 .255 .475 r
.6577 .84154 m .68449 .81824 L .67696 .81089 L p F P
0 g
s
.475 .253 .497 r
.68449 .81824 m .70849 .79095 L .7002 .78456 L p F P
0 g
s
.838 .831 .84 r
.15235 .32667 m .13147 .34429 L .14033 .35014 L p F P
0 g
s
.454 .561 .874 r
.61606 .63924 m .60785 .63055 L .59832 .6335 L p F P
0 g
s
.713 .339 .339 r
.87912 .3374 m .86625 .33432 L .86746 .34287 L p F P
0 g
s
.713 .339 .339 r
.86746 .34287 m .87814 .34561 L .87912 .3374 L p F P
0 g
s
.646 .284 .344 r
.86625 .33432 m .85432 .33423 L .85696 .3427 L p F P
0 g
s
.646 .284 .344 r
.85696 .3427 m .86746 .34287 L .86625 .33432 L p F P
0 g
s
.602 .257 .356 r
.85432 .33423 m .84208 .3361 L .84597 .3443 L p F P
0 g
s
.602 .257 .356 r
.84597 .3443 m .85696 .3427 L .85432 .33423 L p F P
0 g
s
.567 .239 .372 r
.84208 .3361 m .83154 .33918 L .83591 .34723 L p F P
0 g
s
.567 .239 .372 r
.83591 .34723 m .84597 .3443 L .84208 .3361 L p F P
0 g
s
.552 .233 .381 r
.83154 .33918 m .81804 .34406 L .82302 .35185 L p F P
0 g
s
.552 .233 .381 r
.82302 .35185 m .83591 .34723 L .83154 .33918 L p F P
0 g
s
.534 .227 .393 r
.81804 .34406 m .80519 .34985 L .81063 .35742 L p F P
0 g
s
.534 .227 .393 r
.81063 .35742 m .82302 .35185 L .81804 .34406 L p F P
0 g
s
.52 .223 .403 r
.80519 .34985 m .79318 .35615 L .79871 .36367 L p F P
0 g
s
.52 .223 .403 r
.79871 .36367 m .81063 .35742 L .80519 .34985 L p F P
0 g
s
.516 .223 .406 r
.79318 .35615 m .78222 .36217 L .78737 .36989 L p F P
0 g
s
.516 .223 .406 r
.78737 .36989 m .79871 .36367 L .79318 .35615 L p F P
0 g
s
.525 .225 .399 r
.78222 .36217 m .77201 .36724 L .77691 .37508 L p F P
0 g
s
.525 .225 .399 r
.77691 .37508 m .78737 .36989 L .78222 .36217 L p F P
0 g
s
.531 .226 .395 r
.77201 .36724 m .76155 .37209 L .76625 .38002 L p F P
0 g
s
.531 .226 .395 r
.76625 .38002 m .77691 .37508 L .77201 .36724 L p F P
0 g
s
.536 .228 .392 r
.76155 .37209 m .75129 .37662 L .75567 .38468 L p F P
0 g
s
.536 .228 .392 r
.75567 .38468 m .76625 .38002 L .76155 .37209 L p F P
0 g
s
.544 .231 .387 r
.75129 .37662 m .74085 .38081 L .74491 .38899 L p F P
0 g
s
.544 .231 .387 r
.74491 .38899 m .75567 .38468 L .75129 .37662 L p F P
0 g
s
.551 .234 .383 r
.74085 .38081 m .73103 .3844 L .73463 .39275 L p F P
0 g
s
.551 .234 .383 r
.73463 .39275 m .74491 .38899 L .74085 .38081 L p F P
0 g
s
.564 .239 .377 r
.73103 .3844 m .7212 .38747 L .72425 .39597 L p F P
0 g
s
.564 .239 .377 r
.72425 .39597 m .73463 .39275 L .73103 .3844 L p F P
0 g
s
.579 .247 .37 r
.7212 .38747 m .71102 .38999 L .71362 .39859 L p F P
0 g
s
.579 .247 .37 r
.71362 .39859 m .72425 .39597 L .7212 .38747 L p F P
0 g
s
.58 .247 .369 r
.71102 .38999 m .69989 .3922 L .69655 .40199 L p F P
0 g
s
.53 .206 .363 r
.6897 .40296 m .69655 .40199 L .69989 .3922 L p F P
0 g
s
.437 .187 .436 r
.50647 .32268 m .4941 .33502 L .50094 .34044 L p F P
0 g
s
.437 .187 .436 r
.50094 .34044 m .5129 .32855 L .50647 .32268 L p F P
0 g
s
.423 .189 .453 r
.4941 .33502 m .48245 .34861 L .48982 .35335 L p F P
0 g
s
.423 .189 .453 r
.48982 .35335 m .50094 .34044 L .4941 .33502 L p F P
0 g
s
.405 .195 .478 r
.48245 .34861 m .47215 .36351 L .48005 .36738 L p F P
0 g
s
.405 .195 .478 r
.48005 .36738 m .48982 .35335 L .48245 .34861 L p F P
0 g
s
.388 .206 .509 r
.47215 .36351 m .46371 .3796 L .47205 .3825 L p F P
0 g
s
.388 .206 .509 r
.47205 .3825 m .48005 .36738 L .47215 .36351 L p F P
0 g
s
.375 .222 .542 r
.46371 .3796 m .45712 .39703 L .46572 .39912 L p F P
0 g
s
.375 .222 .542 r
.46572 .39912 m .47205 .3825 L .46371 .3796 L p F P
0 g
s
.367 .238 .57 r
.45712 .39703 m .45241 .41461 L .46114 .41613 L p F P
0 g
s
.367 .238 .57 r
.46114 .41613 m .46572 .39912 L .45712 .39703 L p F P
0 g
s
.362 .251 .59 r
.45241 .41461 m .44907 .43173 L .45781 .4332 L p F P
0 g
s
.362 .251 .59 r
.45781 .4332 m .46114 .41613 L .45241 .41461 L p F P
0 g
s
.362 .254 .595 r
.44907 .43173 m .44639 .44698 L .45492 .44937 L p F P
0 g
s
.362 .254 .595 r
.45492 .44937 m .45781 .4332 L .44907 .43173 L p F P
0 g
s
.368 .236 .567 r
.44639 .44698 m .44158 .46396 L .45013 .4663 L p F P
0 g
s
.368 .236 .567 r
.45013 .4663 m .45492 .44937 L .44639 .44698 L p F P
0 g
s
.367 .239 .571 r
.44158 .46396 m .43677 .48203 L .44545 .48379 L p F P
0 g
s
.367 .239 .571 r
.44545 .48379 m .45013 .4663 L .44158 .46396 L p F P
0 g
s
.362 .252 .592 r
.43677 .48203 m .43332 .5006 L .44211 .50152 L p F P
0 g
s
.362 .252 .592 r
.44211 .50152 m .44545 .48379 L .43677 .48203 L p F P
0 g
s
.357 .272 .621 r
.43332 .5006 m .4318 .51975 L .44061 .5196 L p F P
0 g
s
.357 .272 .621 r
.44061 .5196 m .44211 .50152 L .43332 .5006 L p F P
0 g
s
.355 .3 .657 r
.4318 .51975 m .43264 .53792 L .44134 .53672 L p F P
0 g
s
.355 .3 .657 r
.44134 .53672 m .44061 .5196 L .4318 .51975 L p F P
0 g
s
.358 .331 .692 r
.43264 .53792 m .43563 .55557 L .44413 .5535 L p F P
0 g
s
.358 .331 .692 r
.44413 .5535 m .44134 .53672 L .43264 .53792 L p F P
0 g
s
.363 .36 .722 r
.43563 .55557 m .44035 .57249 L .44864 .56977 L p F P
0 g
s
.363 .36 .722 r
.44864 .56977 m .44413 .5535 L .43563 .55557 L p F P
0 g
s
.371 .388 .748 r
.44035 .57249 m .44592 .58767 L .45548 .58838 L p F P
0 g
s
.37 .422 .785 r
.46061 .60101 m .45548 .58838 L .44592 .58767 L p F P
0 g
s
.447 .173 .404 r
.61281 .33999 m .62096 .33539 L .62041 .32559 L p F P
0 g
s
.822 .461 .373 r
.45985 .05948 m .4874 .08192 L .4944 .07748 L p F P
0 g
s
.348 .415 .789 r
.25998 .75489 m .27985 .78957 L .28623 .78537 L p F P
0 g
s
.348 .415 .789 r
.28623 .78537 m .26693 .75154 L .25998 .75489 L p F P
0 g
s
.368 .461 .824 r
.27985 .78957 m .304 .82129 L .30966 .81629 L p F P
0 g
s
.368 .461 .824 r
.30966 .81629 m .28623 .78537 L .27985 .78957 L p F P
0 g
s
.394 .511 .858 r
.304 .82129 m .33199 .84919 L .33673 .84341 L p F P
0 g
s
.394 .511 .858 r
.33673 .84341 m .30966 .81629 L .304 .82129 L p F P
0 g
s
.428 .567 .891 r
.33199 .84919 m .36334 .8723 L .36732 .86602 L p F P
0 g
s
.428 .567 .891 r
.36732 .86602 m .33673 .84341 L .33199 .84919 L p F P
0 g
s
.459 .611 .913 r
.36334 .8723 m .39542 .89042 L .39824 .8836 L p F P
0 g
s
.459 .611 .913 r
.39824 .8836 m .36732 .86602 L .36334 .8723 L p F P
0 g
s
.505 .668 .936 r
.39542 .89042 m .42976 .90325 L .4314 .8961 L p F P
0 g
s
.505 .668 .936 r
.4314 .8961 m .39824 .8836 L .39542 .89042 L p F P
0 g
s
.552 .719 .951 r
.42976 .90325 m .46562 .91081 L .46614 .90351 L p F P
0 g
s
.552 .719 .951 r
.46614 .90351 m .4314 .8961 L .42976 .90325 L p F P
0 g
s
.598 .762 .957 r
.46562 .91081 m .50112 .91336 L .50116 .90604 L p F P
0 g
s
.598 .762 .957 r
.50116 .90604 m .46614 .90351 L .46562 .91081 L p F P
0 g
s
.622 .782 .958 r
.50112 .91336 m .5379 .9133 L .53681 .90607 L p F P
0 g
s
.622 .782 .958 r
.53681 .90607 m .50116 .90604 L .50112 .91336 L p F P
0 g
s
.669 .818 .955 r
.5379 .9133 m .57427 .9081 L .57199 .90113 L p F P
0 g
s
.669 .818 .955 r
.57199 .90113 m .53681 .90607 L .5379 .9133 L p F P
0 g
s
.718 .849 .944 r
.57427 .9081 m .60941 .89749 L .60593 .89099 L p F P
0 g
s
.718 .849 .944 r
.60593 .89099 m .57199 .90113 L .57427 .9081 L p F P
0 g
s
.768 .873 .925 r
.60941 .89749 m .64196 .8818 L .63764 .87579 L p F P
0 g
s
.768 .873 .925 r
.63764 .87579 m .60593 .89099 L .60941 .89749 L p F P
0 g
s
.804 .885 .904 r
.64196 .8818 m .67494 .86051 L .66965 .85523 L p F P
0 g
s
.804 .885 .904 r
.66965 .85523 m .63764 .87579 L .64196 .8818 L p F P
0 g
s
.843 .892 .874 r
.67494 .86051 m .70418 .83475 L .69816 .83021 L p F P
0 g
s
.843 .892 .874 r
.69816 .83021 m .66965 .85523 L .67494 .86051 L p F P
0 g
s
.874 .89 .842 r
.70418 .83475 m .73007 .80501 L .72349 .80121 L p F P
0 g
s
.874 .89 .842 r
.72349 .80121 m .69816 .83021 L .70418 .83475 L p F P
0 g
s
.898 .883 .81 r
.73007 .80501 m .75182 .77319 L .74599 .76811 L p F P
0 g
s
.919 .872 .775 r
.75928 .74516 m .74599 .76811 L .75182 .77319 L p F P
0 g
s
.376 .131 .41 r
.0916 .36054 m .11833 .33174 L .11415 .32513 L p F P
0 g
s
.756 .605 .689 r
.56659 .31297 m .57659 .31052 L .5712 .29324 L p F P
0 g
s
.756 .605 .689 r
.5712 .29324 m .55909 .29648 L .56659 .31297 L p F P
0 g
s
.745 .637 .74 r
.4848 .6341 m .49521 .64195 L .50468 .62653 L p F P
0 g
s
.745 .637 .74 r
.50468 .62653 m .49663 .62038 L .4848 .6341 L p F P
0 g
s
.732 .625 .74 r
.63895 .6667 m .64635 .67637 L .66088 .66558 L p F P
0 g
s
.732 .625 .74 r
.66088 .66558 m .65328 .65562 L .63895 .6667 L p F P
0 g
s
.708 .602 .736 r
.49041 .14667 m .4909 .1641 L .50899 .1634 L p F P
0 g
s
.708 .602 .736 r
.50899 .1634 m .50845 .14507 L .49041 .14667 L p F P
0 g
s
.725 .586 .7 r
.21767 .29202 m .24376 .28281 L .23752 .26582 L p F P
0 g
s
.725 .586 .7 r
.23752 .26582 m .21025 .27549 L .21767 .29202 L p F P
0 g
s
.71 .565 .688 r
.78618 .67031 m .79127 .64206 L .77338 .6393 L p F P
0 g
s
.71 .565 .688 r
.77338 .6393 m .76839 .66691 L .78618 .67031 L p F P
0 g
s
.705 .56 .688 r
.23145 .61392 m .23451 .64392 L .25233 .64066 L p F P
0 g
s
.705 .56 .688 r
.25233 .64066 m .24944 .6119 L .23145 .61392 L p F P
0 g
s
.704 .588 .723 r
.04142 .46423 m .03546 .49897 L .05356 .49938 L p F P
0 g
s
.704 .588 .723 r
.05356 .49938 m .05921 .46764 L .04142 .46423 L p F P
0 g
s
.691 .565 .708 r
.35645 .03302 m .31898 .03522 L .32287 .0529 L p F P
0 g
s
.691 .565 .708 r
.32287 .0529 m .35717 .05112 L .35645 .03302 L p F P
0 g
s
.71 .592 .722 r
.96417 .49303 m .95718 .45634 L .93996 .46197 L p F P
0 g
s
.71 .592 .722 r
.93996 .46197 m .94643 .49663 L .96417 .49303 L p F P
0 g
s
.793 .628 .677 r
.65797 .32124 m .65072 .3224 L .65684 .33946 L p F P
0 g
s
.793 .628 .677 r
.65684 .33946 m .66243 .33879 L .65797 .32124 L p F P
0 g
s
.638 .515 .697 r
.67683 .40276 m .67004 .4016 L .66662 .41938 L p F P
0 g
s
.638 .515 .697 r
.66662 .41938 m .67508 .4208 L .67683 .40276 L p F P
0 g
s
.654 .555 .73 r
.5969 .34856 m .58839 .35257 L .59575 .36912 L p F P
0 g
s
.654 .555 .73 r
.59575 .36912 m .6049 .36482 L .5969 .34856 L p F P
0 g
s
.666 .522 .678 r
.59113 .58994 m .5817 .58375 L .57135 .59862 L p F P
0 g
s
.666 .522 .678 r
.57135 .59862 m .57954 .60388 L .59113 .58994 L p F P
0 g
s
.738 .632 .742 r
.4752 .62431 m .4848 .6341 L .49663 .62038 L p F P
0 g
s
.738 .632 .742 r
.49663 .62038 m .48879 .61231 L .4752 .62431 L p F P
0 g
s
.75 .596 .685 r
.55634 .31683 m .56659 .31297 L .55909 .29648 L p F P
0 g
s
.75 .596 .685 r
.55909 .29648 m .54649 .30161 L .55634 .31683 L p F P
0 g
s
.733 .626 .74 r
.63152 .65727 m .63895 .6667 L .65328 .65562 L p F P
0 g
s
.733 .626 .74 r
.65328 .65562 m .64573 .64601 L .63152 .65727 L p F P
0 g
s
.71 .611 .745 r
.48971 .13311 m .49041 .14667 L .50845 .14507 L p F P
0 g
s
.71 .611 .745 r
.50845 .14507 m .50741 .12918 L .48971 .13311 L p F P
0 g
s
.726 .586 .698 r
.19466 .30191 m .21767 .29202 L .21025 .27549 L p F P
0 g
s
.726 .586 .698 r
.21025 .27549 m .18587 .28605 L .19466 .30191 L p F P
0 g
s
.703 .558 .687 r
.23451 .64392 m .23922 .67153 L .25675 .6669 L p F P
0 g
s
.703 .558 .687 r
.25675 .6669 m .25233 .64066 L .23451 .64392 L p F P
0 g
s
.713 .565 .686 r
.77941 .69603 m .78618 .67031 L .76839 .66691 L p F P
0 g
s
.713 .565 .686 r
.76839 .66691 m .76195 .69113 L .77941 .69603 L p F P
0 g
s
.702 .585 .721 r
.05257 .42748 m .04142 .46423 L .05921 .46764 L p F P
0 g
s
.702 .585 .721 r
.05921 .46764 m .06984 .433 L .05257 .42748 L p F P
0 g
s
.712 .594 .723 r
.93075 .4313 m .93996 .46197 L .95718 .45634 L p F P
0 g
s
.712 .594 .723 r
.95718 .45634 m .94654 .4224 L .93075 .4313 L p F P
0 g
s
.691 .563 .706 r
.39251 .03528 m .35645 .03302 L .35717 .05112 L p F P
0 g
s
.691 .563 .706 r
.35717 .05112 m .39111 .05335 L .39251 .03528 L p F P
0 g
s
.789 .618 .669 r
.65115 .34086 m .65684 .33946 L .65072 .3224 L p F P
0 g
s
.789 .618 .669 r
.65072 .3224 m .64367 .32434 L .65115 .34086 L p F P
0 g
s
.64 .524 .706 r
.68305 .40324 m .67683 .40276 L .67508 .4208 L p F P
0 g
s
.64 .524 .706 r
.67508 .4208 m .68343 .42138 L .68305 .40324 L p F P
0 g
s
.656 .557 .731 r
.6048 .34445 m .5969 .34856 L .6049 .36482 L p F P
0 g
s
.656 .557 .731 r
.6049 .36482 m .61341 .36041 L .6048 .34445 L p F P
0 g
s
.668 .521 .675 r
.57954 .60388 m .58737 .61004 L .59988 .5969 L p F P
0 g
s
.668 .521 .675 r
.59988 .5969 m .59113 .58994 L .57954 .60388 L p F P
0 g
s
.746 .588 .679 r
.54649 .30161 m .53484 .30857 L .5466 .32239 L p F P
0 g
s
.746 .588 .679 r
.5466 .32239 m .55634 .31683 L .54649 .30161 L p F P
0 g
s
.734 .626 .739 r
.62392 .64809 m .63152 .65727 L .64573 .64601 L p F P
0 g
s
.734 .626 .739 r
.64573 .64601 m .63781 .63642 L .62392 .64809 L p F P
0 g
s
.732 .631 .747 r
.46716 .61325 m .4752 .62431 L .48879 .61231 L p F P
0 g
s
.732 .631 .747 r
.48879 .61231 m .48238 .60338 L .46716 .61325 L p F P
0 g
s
.715 .616 .745 r
.50741 .12918 m .50445 .11368 L .48753 .12021 L p F P
0 g
s
.715 .616 .745 r
.48753 .12021 m .48971 .13311 L .50741 .12918 L p F P
0 g
s
.726 .584 .696 r
.18587 .28605 m .16252 .29858 L .17265 .31363 L p F P
0 g
s
.726 .584 .696 r
.17265 .31363 m .19466 .30191 L .18587 .28605 L p F P
0 g
s
.714 .567 .687 r
.77031 .72121 m .77941 .69603 L .76195 .69113 L p F P
0 g
s
.714 .567 .687 r
.76195 .69113 m .75336 .71475 L .77031 .72121 L p F P
0 g
s
.702 .557 .687 r
.23922 .67153 m .24603 .69863 L .26316 .69266 L p F P
0 g
s
.702 .557 .687 r
.26316 .69266 m .25675 .6669 L .23922 .67153 L p F P
0 g
s
.715 .596 .722 r
.94654 .4224 m .92969 .39164 L .91592 .40344 L p F P
0 g
s
.715 .596 .722 r
.91592 .40344 m .93075 .4313 L .94654 .4224 L p F P
0 g
s
.691 .561 .703 r
.42782 .04433 m .39251 .03528 L .39111 .05335 L p F P
0 g
s
.691 .561 .703 r
.39111 .05335 m .42297 .06181 L .42782 .04433 L p F P
0 g
s
.7 .583 .72 r
.06947 .39279 m .05257 .42748 L .06984 .433 L p F P
0 g
s
.7 .583 .72 r
.06984 .433 m .08565 .401 L .06947 .39279 L p F P
0 g
s
.782 .609 .665 r
.64367 .32434 m .637 .3269 L .64544 .34296 L p F P
0 g
s
.782 .609 .665 r
.64544 .34296 m .65115 .34086 L .64367 .32434 L p F P
0 g
s
.641 .53 .712 r
.6897 .40296 m .68305 .40324 L .68343 .42138 L p F P
0 g
s
.641 .53 .712 r
.68343 .42138 m .69197 .42097 L .6897 .40296 L p F P
0 g
s
.655 .558 .733 r
.61281 .33999 m .6048 .34445 L .61341 .36041 L p F P
0 g
s
.655 .558 .733 r
.61341 .36041 m .6217 .35582 L .61281 .33999 L p F P
0 g
s
.67 .52 .672 r
.60802 .60441 m .59988 .5969 L .58737 .61004 L p F P
0 g
s
.67 .52 .672 r
.58737 .61004 m .59489 .61695 L .60802 .60441 L p F P
0 g
s
.735 .626 .738 r
.61606 .63924 m .62392 .64809 L .63781 .63642 L p F P
0 g
s
.735 .626 .738 r
.63781 .63642 m .62952 .62705 L .61606 .63924 L p F P
0 g
s
.726 .627 .748 r
.46061 .60101 m .46716 .61325 L .48238 .60338 L p F P
0 g
s
.726 .627 .748 r
.48238 .60338 m .47698 .59317 L .46061 .60101 L p F P
0 g
s
.74 .58 .676 r
.53484 .30857 m .52435 .31703 L .53729 .32977 L p F P
0 g
s
.74 .58 .676 r
.53729 .32977 m .5466 .32239 L .53484 .30857 L p F P
0 g
s
.722 .625 .749 r
.50445 .11368 m .49942 .09881 L .48436 .10895 L p F P
0 g
s
.722 .625 .749 r
.48436 .10895 m .48753 .12021 L .50445 .11368 L p F P
0 g
s
.725 .582 .694 r
.16252 .29858 m .14055 .31287 L .15235 .32667 L p F P
0 g
s
.725 .582 .694 r
.15235 .32667 m .17265 .31363 L .16252 .29858 L p F P
0 g
s
.716 .569 .687 r
.75928 .74516 m .77031 .72121 L .75336 .71475 L p F P
0 g
s
.716 .569 .687 r
.75336 .71475 m .74292 .73728 L .75928 .74516 L p F P
0 g
s
.7 .555 .687 r
.24603 .69863 m .25479 .72491 L .27125 .71724 L p F P
0 g
s
.7 .555 .687 r
.27125 .71724 m .26316 .69266 L .24603 .69863 L p F P
0 g
s
.719 .598 .721 r
.92969 .39164 m .90768 .36538 L .89749 .38041 L p F P
0 g
s
.719 .598 .721 r
.89749 .38041 m .91592 .40344 L .92969 .39164 L p F P
0 g
s
.692 .559 .699 r
.45985 .05948 m .42782 .04433 L .42297 .06181 L p F P
0 g
s
.692 .559 .699 r
.42297 .06181 m .45177 .07574 L .45985 .05948 L p F P
0 g
s
.698 .58 .719 r
.0916 .36054 m .06947 .39279 L .08565 .401 L p F P
0 g
s
.698 .58 .719 r
.08565 .401 m .10641 .37104 L .0916 .36054 L p F P
0 g
s
.738 .589 .689 r
.637 .3269 m .62096 .33539 L .62977 .35128 L p F P
0 g
s
.738 .589 .689 r
.62977 .35128 m .64544 .34296 L .637 .3269 L p F P
0 g
s
.639 .533 .717 r
.69655 .40199 m .6897 .40296 L .69197 .42097 L p F P
0 g
s
.639 .533 .717 r
.69197 .42097 m .7001 .4198 L .69655 .40199 L p F P
0 g
s
.654 .557 .733 r
.62096 .33539 m .61281 .33999 L .6217 .35582 L p F P
0 g
s
.654 .557 .733 r
.6217 .35582 m .62977 .35128 L .62096 .33539 L p F P
0 g
s
.686 .542 .685 r
.62097 .61799 m .60802 .60441 L .59489 .61695 L p F P
0 g
s
.686 .542 .685 r
.59489 .61695 m .60785 .63055 L .62097 .61799 L p F P
0 g
s
.736 .626 .737 r
.60785 .63055 m .61606 .63924 L .62952 .62705 L p F P
0 g
s
.736 .626 .737 r
.62952 .62705 m .62097 .61799 L .60785 .63055 L p F P
0 g
s
.721 .624 .748 r
.45548 .58838 m .46061 .60101 L .47698 .59317 L p F P
0 g
s
.721 .624 .748 r
.47698 .59317 m .47253 .5821 L .45548 .58838 L p F P
0 g
s
.732 .576 .68 r
.5257 .34145 m .53729 .32977 L .52435 .31703 L p F P
0 g
s
.732 .576 .68 r
.52435 .31703 m .5129 .32855 L .5257 .34145 L p F P
0 g
s
.727 .619 .737 r
.49942 .09881 m .4874 .08192 L .47559 .09573 L p F P
0 g
s
.727 .619 .737 r
.47559 .09573 m .48436 .10895 L .49942 .09881 L p F P
0 g
s
.722 .579 .694 r
.14055 .31287 m .11833 .33174 L .13147 .34429 L p F P
0 g
s
.722 .579 .694 r
.13147 .34429 m .15235 .32667 L .14055 .31287 L p F P
0 g
s
.718 .571 .688 r
.74599 .76811 m .75928 .74516 L .74292 .73728 L p F P
0 g
s
.718 .571 .688 r
.74292 .73728 m .73044 .75871 L .74599 .76811 L p F P
0 g
s
.698 .555 .689 r
.25479 .72491 m .26693 .75154 L .28273 .74257 L p F P
0 g
s
.698 .555 .689 r
.28273 .74257 m .27125 .71724 L .25479 .72491 L p F P
0 g
s
.722 .598 .717 r
.90768 .36538 m .87814 .34561 L .87317 .36309 L p F P
0 g
s
.722 .598 .717 r
.87317 .36309 m .89749 .38041 L .90768 .36538 L p F P
0 g
s
.694 .557 .696 r
.4874 .08192 m .45985 .05948 L .45177 .07574 L p F P
0 g
s
.694 .557 .696 r
.45177 .07574 m .47559 .09573 L .4874 .08192 L p F P
0 g
s
.697 .578 .718 r
.11833 .33174 m .0916 .36054 L .10641 .37104 L p F P
0 g
s
.697 .578 .718 r
.10641 .37104 m .13147 .34429 L .11833 .33174 L p F P
0 g
s
.695 .57 .709 r
.71362 .39859 m .69655 .40199 L .7001 .4198 L p F P
0 g
s
.695 .57 .709 r
.7001 .4198 m .71715 .41641 L .71362 .39859 L p F P
0 g
s
.708 .581 .711 r
.44864 .56977 m .45548 .58838 L .47253 .5821 L p F P
0 g
s
.708 .581 .711 r
.47253 .5821 m .4657 .56352 L .44864 .56977 L p F P
0 g
s
.707 .577 .707 r
.72349 .80121 m .74599 .76811 L .73044 .75871 L p F P
0 g
s
.707 .577 .707 r
.73044 .75871 m .70849 .79095 L .72349 .80121 L p F P
0 g
s
.707 .577 .707 r
.83591 .34723 m .82302 .35185 L .83044 .36844 L p F P
0 g
s
.707 .577 .707 r
.83044 .36844 m .84201 .36434 L .83591 .34723 L p F P
0 g
s
.707 .577 .707 r
.82302 .35185 m .81063 .35742 L .81907 .37351 L p F P
0 g
s
.707 .577 .707 r
.81907 .37351 m .83044 .36844 L .82302 .35185 L p F P
0 g
s
.707 .577 .707 r
.80744 .37961 m .81907 .37351 L .81063 .35742 L p F P
0 g
s
.707 .577 .707 r
.73463 .39275 m .72425 .39597 L .72859 .41361 L p F P
0 g
s
.707 .577 .707 r
.72859 .41361 m .73998 .41012 L .73463 .39275 L p F P
0 g
s
.707 .577 .707 r
.71715 .41641 m .72859 .41361 L .72425 .39597 L p F P
0 g
s
.707 .577 .707 r
.87814 .34561 m .86746 .34287 L .86696 .36103 L p F P
0 g
s
.707 .577 .707 r
.86696 .36103 m .87317 .36309 L .87814 .34561 L p F P
0 g
s
.707 .577 .707 r
.86746 .34287 m .85696 .3427 L .85942 .36071 L p F P
0 g
s
.707 .577 .707 r
.85942 .36071 m .86696 .36103 L .86746 .34287 L p F P
0 g
s
.707 .577 .707 r
.85696 .3427 m .84597 .3443 L .85102 .36176 L p F P
0 g
s
.707 .577 .707 r
.85102 .36176 m .85942 .36071 L .85696 .3427 L p F P
0 g
s
.707 .577 .707 r
.84597 .3443 m .83591 .34723 L .84201 .36434 L p F P
0 g
s
.707 .577 .707 r
.84201 .36434 m .85102 .36176 L .84597 .3443 L p F P
0 g
s
.707 .577 .707 r
.81063 .35742 m .79871 .36367 L .80744 .37961 L p F P
0 g
s
.707 .577 .707 r
.79871 .36367 m .78737 .36989 L .79544 .38617 L p F P
0 g
s
.707 .577 .707 r
.79544 .38617 m .80744 .37961 L .79871 .36367 L p F P
0 g
s
.707 .577 .707 r
.78737 .36989 m .77691 .37508 L .78455 .39157 L p F P
0 g
s
.707 .577 .707 r
.78455 .39157 m .79544 .38617 L .78737 .36989 L p F P
0 g
s
.707 .577 .707 r
.77691 .37508 m .76625 .38002 L .77358 .39665 L p F P
0 g
s
.707 .577 .707 r
.77358 .39665 m .78455 .39157 L .77691 .37508 L p F P
0 g
s
.707 .577 .707 r
.76625 .38002 m .75567 .38468 L .76242 .40156 L p F P
0 g
s
.707 .577 .707 r
.76242 .40156 m .77358 .39665 L .76625 .38002 L p F P
0 g
s
.707 .577 .707 r
.75567 .38468 m .74491 .38899 L .75113 .40607 L p F P
0 g
s
.707 .577 .707 r
.75113 .40607 m .76242 .40156 L .75567 .38468 L p F P
0 g
s
.707 .577 .707 r
.74491 .38899 m .73463 .39275 L .73998 .41012 L p F P
0 g
s
.707 .577 .707 r
.73998 .41012 m .75113 .40607 L .74491 .38899 L p F P
0 g
s
.707 .577 .707 r
.72425 .39597 m .71362 .39859 L .71715 .41641 L p F P
0 g
s
.707 .577 .707 r
.5129 .32855 m .50094 .34044 L .51467 .35235 L p F P
0 g
s
.707 .577 .707 r
.51467 .35235 m .5257 .34145 L .5129 .32855 L p F P
0 g
s
.707 .577 .707 r
.50094 .34044 m .48982 .35335 L .50469 .36378 L p F P
0 g
s
.707 .577 .707 r
.50469 .36378 m .51467 .35235 L .50094 .34044 L p F P
0 g
s
.707 .577 .707 r
.48982 .35335 m .48005 .36738 L .49607 .37595 L p F P
0 g
s
.707 .577 .707 r
.49607 .37595 m .50469 .36378 L .48982 .35335 L p F P
0 g
s
.707 .577 .707 r
.48005 .36738 m .47205 .3825 L .48901 .389 L p F P
0 g
s
.707 .577 .707 r
.48901 .389 m .49607 .37595 L .48005 .36738 L p F P
0 g
s
.707 .577 .707 r
.47205 .3825 m .46572 .39912 L .48326 .40388 L p F P
0 g
s
.707 .577 .707 r
.48326 .40388 m .48901 .389 L .47205 .3825 L p F P
0 g
s
.707 .577 .707 r
.46572 .39912 m .46114 .41613 L .47897 .4196 L p F P
0 g
s
.707 .577 .707 r
.47897 .4196 m .48326 .40388 L .46572 .39912 L p F P
0 g
s
.707 .577 .707 r
.46114 .41613 m .45781 .4332 L .47569 .43645 L p F P
0 g
s
.707 .577 .707 r
.47569 .43645 m .47897 .4196 L .46114 .41613 L p F P
0 g
s
.707 .577 .707 r
.45781 .4332 m .45492 .44937 L .4724 .45432 L p F P
0 g
s
.707 .577 .707 r
.4724 .45432 m .47569 .43645 L .45781 .4332 L p F P
0 g
s
.707 .577 .707 r
.45492 .44937 m .45013 .4663 L .46767 .47101 L p F P
0 g
s
.707 .577 .707 r
.46767 .47101 m .4724 .45432 L .45492 .44937 L p F P
0 g
s
.707 .577 .707 r
.45013 .4663 m .44545 .48379 L .4633 .48721 L p F P
0 g
s
.707 .577 .707 r
.4633 .48721 m .46767 .47101 L .45013 .4663 L p F P
0 g
s
.707 .577 .707 r
.44545 .48379 m .44211 .50152 L .46021 .50309 L p F P
0 g
s
.707 .577 .707 r
.46021 .50309 m .4633 .48721 L .44545 .48379 L p F P
0 g
s
.707 .577 .707 r
.44211 .50152 m .44061 .5196 L .45877 .5189 L p F P
0 g
s
.707 .577 .707 r
.45877 .5189 m .46021 .50309 L .44211 .50152 L p F P
0 g
s
.707 .577 .707 r
.44061 .5196 m .44134 .53672 L .45927 .53379 L p F P
0 g
s
.707 .577 .707 r
.45927 .53379 m .45877 .5189 L .44061 .5196 L p F P
0 g
s
.707 .577 .707 r
.44134 .53672 m .44413 .5535 L .46165 .54868 L p F P
0 g
s
.707 .577 .707 r
.46165 .54868 m .45927 .53379 L .44134 .53672 L p F P
0 g
s
.707 .577 .707 r
.44413 .5535 m .44864 .56977 L .4657 .56352 L p F P
0 g
s
.707 .577 .707 r
.4657 .56352 m .46165 .54868 L .44413 .5535 L p F P
0 g
s
.707 .577 .707 r
.26693 .75154 m .28623 .78537 L .30073 .77442 L p F P
0 g
s
.707 .577 .707 r
.30073 .77442 m .28273 .74257 L .26693 .75154 L p F P
0 g
s
.707 .577 .707 r
.28623 .78537 m .30966 .81629 L .32256 .80348 L p F P
0 g
s
.707 .577 .707 r
.32256 .80348 m .30073 .77442 L .28623 .78537 L p F P
0 g
s
.707 .577 .707 r
.30966 .81629 m .33673 .84341 L .34756 .82881 L p F P
0 g
s
.707 .577 .707 r
.34756 .82881 m .32256 .80348 L .30966 .81629 L p F P
0 g
s
.707 .577 .707 r
.33673 .84341 m .36732 .86602 L .37635 .85025 L p F P
0 g
s
.707 .577 .707 r
.37635 .85025 m .34756 .82881 L .33673 .84341 L p F P
0 g
s
.707 .577 .707 r
.36732 .86602 m .39824 .8836 L .4047 .86662 L p F P
0 g
s
.707 .577 .707 r
.4047 .86662 m .37635 .85025 L .36732 .86602 L p F P
0 g
s
.707 .577 .707 r
.39824 .8836 m .4314 .8961 L .43524 .87834 L p F P
0 g
s
.707 .577 .707 r
.43524 .87834 m .4047 .86662 L .39824 .8836 L p F P
0 g
s
.707 .577 .707 r
.4314 .8961 m .46614 .90351 L .46746 .88539 L p F P
0 g
s
.707 .577 .707 r
.46746 .88539 m .43524 .87834 L .4314 .8961 L p F P
0 g
s
.707 .577 .707 r
.46614 .90351 m .50116 .90604 L .50122 .88787 L p F P
0 g
s
.707 .577 .707 r
.50122 .88787 m .46746 .88539 L .46614 .90351 L p F P
0 g
s
.707 .577 .707 r
.50116 .90604 m .53681 .90607 L .53434 .88807 L p F P
0 g
s
.707 .577 .707 r
.53434 .88807 m .50122 .88787 L .50116 .90604 L p F P
0 g
s
.707 .577 .707 r
.53681 .90607 m .57199 .90113 L .56685 .8837 L p F P
0 g
s
.707 .577 .707 r
.56685 .8837 m .53434 .88807 L .53681 .90607 L p F P
0 g
s
.707 .577 .707 r
.57199 .90113 m .60593 .89099 L .59811 .8746 L p F P
0 g
s
.707 .577 .707 r
.59811 .8746 m .56685 .8837 L .57199 .90113 L p F P
0 g
s
.707 .577 .707 r
.60593 .89099 m .63764 .87579 L .62786 .86047 L p F P
0 g
s
.707 .577 .707 r
.62786 .86047 m .59811 .8746 L .60593 .89099 L p F P
0 g
s
.707 .577 .707 r
.63764 .87579 m .66965 .85523 L .6577 .84154 L p F P
0 g
s
.707 .577 .707 r
.6577 .84154 m .62786 .86047 L .63764 .87579 L p F P
0 g
s
.707 .577 .707 r
.66965 .85523 m .69816 .83021 L .68449 .81824 L p F P
0 g
s
.707 .577 .707 r
.68449 .81824 m .6577 .84154 L .66965 .85523 L p F P
0 g
s
.707 .577 .707 r
.69816 .83021 m .72349 .80121 L .70849 .79095 L p F P
0 g
s
.707 .577 .707 r
.70849 .79095 m .68449 .81824 L .69816 .83021 L p F P
0 g
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 270},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P00013R000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00FP3ooolB00000;@0oooo001F0?ooo`<000000P26
:DX00`000000USA809HdB00809HdB0030000002Q?DP0XCe800<0XCe82000002/0?ooo`00DP3oool4
000000D0QRU:00<0000009HdB02F=4P00`2F=4P:000000D0XCe800@000000;5=C02aCD`0/De<1@00
002W0?ooo`00D03oool2000000L0QRU:200000050;2@]@030000002`T;@0/92d0080/92d20000006
0;5=C0<00000Y03oool004h0oooo00<0000007PQC`0000000`26:DX500000080/I6e00<000000;2@
]@2`T;D0202`T;D00`000000/92d0;2@]0070;2@]0030000002`Sk<0/8nc00D000000P2aCD`01000
0000`EiB00000000002R0?ooo`00C03oool010000000N25?07PQC`1h8Dl4000000L0/I6e00<00000
0;2@]@2`T;D0202`T;D00`000000/92d0;2@]0070;2@]0030000002`Sk<0/8nc00D0/8nc0`000003
0<5NDP8000009P3ooolC000006L0oooo001:0?ooo`8000000P1h8Dl2000000030;6A]P000000/I6e
00T0/I6e00<000000;2@]@2`T;D01`2`T;D00`000000/92d0;2@]0070;2@]0030000002`Sk<0/8nc
00L0/8nc0`0000030<5NDP8000007P3oool600000080TSA=00<0000009hlB`2N?4/02@2N?4/00`00
0000Z4A;0:Q4B`020:Q4B`L00000H03oool004P0oooo0P000000101h8Dl000000000000000040;6A
]P030000002aTKD0/I6e00L0/I6e00<000000;2@]@2`T;D00`2`T;D9000000D0/92d00<000000;2?
/`2`Sk<01`2`Sk<00`000000/Hnb0;6?/P02000000<0`EiB0P00000H0?ooo`@000001`2B=4dB0000
00D0Z4A;00<000000;E@C@0000000P00001M0?ooo`00AP3oool20000000307PQC`000000000000L0
/I6f00<000000;6A]@2aTKD01@2aTKD8000000@0Z;cX00<000000:6fj02Q]^P00P2Q]^P8000000H0
/8nc00<000000;6?/P2aSk800`2aSk82000000@0`EiB00<000000?ooo`3oool04@3oool300000003
08L^D@000000TSA=0080TSA=1P0000020;BC]0030000002dTk@0]9>d00P0]9>d00<000000;BC]02d
Tk@00P2dTk@7000000<0]E1=1000001I0?ooo`00A03oool00`000000K1eF06`MEP02000000X0/I6f
00<000000;6A]@2aTKD0100000020;?5i`030000002X_>P0Z;cX00P0Z;cX00<000000:6fj02Q]^P0
1P2Q]^P00`000000Tj[U09>Zi@0400000080/8nc00<000000;6?/P2aSk801@2aSk82000000040<5N
DP000000dWIO00000100oooo0P00000408L^D@@00000202dTk@00`000000]9>d0;BC]0080;BC]003
0000002dTk@0]9>d00L0]9>d00<000000;BC]00000000P0000050;E@C@800000EP3oool00480oooo
0P000000101/7EH0000000000000000:0;6A]P@000001`2caNL2000000@0Z;cX2@0000040:6fj003
0000002CZ^D0Tj[U00@0Tj[U0`0000090;6?/P050000003BMUl0dWIO0=9fG`000000303oool30000
00<0QbiA0`0000000`2dTk@000000;BC]0090;BC]0030000002dTk@0]9>d00P0]9>d00<000000;BC
]02dTk@01`2dTk@00`000000]9>d0;BC]0020;BC]0@0000000<0]E1=00000031GU000P00001D0?oo
o`00@03oool200000080K1eF00D000000;6B]`2aT[L0/I:g000000070;6A]P80000000<0_/_T0000
002caNL01P2caNL8000000T0oooo1`00000609>Zi@<000001P2aSk800`000000/Hjb000000030=9f
G`030000003oool0oooo00L0oooo0P00000408L^D@800000102dTk@00`000000]9>d0;BC]0080;BC
]0030000002dTk@0]9>d00P0]9>d00<000000;BC]02dTk@01P2dTk@00`000000]9>d0;BC]0070;BC
]0<000000P31GU0300000540oooo000n0?ooo`8000000P1/7EH2000000@0/I:g00<000000;6A]P2a
TKH00P2aTKH3000000@0_/_T00<000000;?5i`2caNL01000000H0?ooo`@000000P2CZ^D00`000000
QicQ08NLh@02000000@0/Hnb00<000000;6>/P2aS[800P0000020=9fG`8000001@3oool00`000000
ORYF0000000208L^D@<000001`2dTk@00`000000]9>d0;BC]0070;BC]0030000002dTk@0]9>d00<0
]9>d2P0000040;BC]0030000002dTk@0]9>d00P0]9>d00@000000;BC]000000000000`31GU020000
04l0oooo000m0?ooo`050000001/7EH0K1eF06`MEP0000001`2aT[L010000000/I6f000000000006
0;k;i0@00000803oool3000000@0QicQ0P0000000`2aSk8000000;6>/P040;6>/P050000003BMUl0
dWIO0=9fG`0000000P3oool010000000ORYF07hZEP1n:UH3000000X0]9>d00<000000;BC]02dTk@0
0`2dTk@:00000080Z[gX00@000000:Zmj02Z_NP00000102S]nL6000000T0]9>d00@000000;BC]02d
Tk@0]9>d0P0000040<5ND0030000003oool0oooo04/0oooo000l0?ooo`80000000<0K1eF00000000
0000202aT[L2000000D0_/_T0`00000W0?ooo`8000001027W>42000000H0/Hjb00@000000=9fG`3B
MUl0dWIO0P00000207hZEP80000000<0]9>d0000002dTk@02@2dTk@7000000@0/lGW00<000000:Zm
j02Z_NP00P2Z_NP00`3oool0Z[gX0:Zmj0030:Zmj0030000002S]nL0XkOW0080XkOW00H000000:>g
i`2S]nL0XkOW0000002I[^D3000000D0]9>d00<000000;BC]02dTk@0102dTk@2000000030<5ND000
0000c6]F00800000B`3oool003X0oooo0P00000206DLF`030000002aT[L0/I:g00H0/I:g0P000000
1038cn0000000;k;i02nbn@3000002`0oooo0P00000308NLh@8000001P2aS[8200000080dWIO0`00
00040;BC]0030000002dTk@0]9>d00@0]9>d0`0000000`2lbnH000000;?5i`070;?5ia400000102S
]nL00`000000VJkU09V^i@0209V^i@@0000000<0]9>d0000002dTk@01`2dTk@2000000<0c6]F00<0
00000?ooo`3oool0B03oool003T0oooo00L0000006DLF`1U75/0IAaK0000002aTkL0000000H0/I:g
00<000000<S?h038cn000P38cn0200000340oooo0`00000207R9e`030000002aS[80/Hjb00D0/Hjb
0P0000000`3VVg/000000;BC]0040;BC]0030000002dTk@0]9>d00@0000000<0_<_V0000002lbnH0
0P2lbnH00`000000/lGW0;?5i`0500000140oooo1@00000809V^i@8000002@2dTk@300000080c6]F
0P0000180?ooo`00>03oool01@000000IAaK06DLF`1U75/000000080/I>g00<000000;6B]`2aT[L0
0P2aT[L2000000@0b<oP00<000000?ooo`3oool0<`3oool200000080N8WG0P0000040;6>/P050000
002jW[`000000>JKN`0000001P2dTk@2000000P0_<_V1000000L0?ooo`<000001@2I[^D3000000H0
]9>d00D000000;BC]02dTk@0]9>d000000030<a[EP030000003oool0oooo04D0oooo000f0?ooo`80
00000`1U75/00`000000/I>g0;6C]`020;6C]`040000002aT[L00000000000@0b<oP0P00000g0?oo
o`030000001hRML0N8WG0080N8WG00@000000;6>/P2aS[8000000`2jW[`00`000000iY]k00000003
0;BC]0<000000`2lbnH00`29<580_<_V0;c;iP03000002<0oooo0`0000000`2I[^D00000092ThP02
092ThP800000102dTk@00`000000]9>d0;BC]0020;BC]08000000P3<JeH2000004D0oooo000e0?oo
o`040000001U75/0IAaK06DLF`8000001P2aTkL00`000000b<oP0<S?h0030<S?h0030000003oool0
oooo03P0oooo00<0000007R9e`1hRML00P1hRML00`000000/Hjb000000030;ZN_0030000003VVg/0
iY]k00<000000`34cn<00`000000_<_V00000003000002T0oooo0P000005092ThP80000000<0]9>d
0000002dTk@01P2dTk@01@000000c6]F0<a[EP3<JeH0000004@0oooo000d0?ooo`050000001U75/0
IAaK06DLF`0000001`2aTkL00`000000c=3M000000030<S?h0030000003oool0oooo03P0oooo00@0
000007`XEP00000000000`1hRML00`000000^Yjl0;ZN_0030;ZN_0<000001034cn<3000002l0oooo
0P000005092ThP800000202dTk@3000000030=5bF@00000000000480oooo000c0?ooo`050000001K
76D0000006DLF`0000001P2aTkL200000080c=3M00@000000<S?h00000000000>@3oool010000000
MBIJ07DVFP0000020;VE/P030000001hRML0N8WG008000001@2jW[`010000000kkFB00000034cn<2
000003@0oooo0P000004092ThP<00000202dTk@01@000000dG9I0=5bF@3ALUT000000440oooo000b
0?ooo`050000001K76D0FaaU05/LI@0000001P2aTkL00`000000c=3M0<c@g@030<c@g@030000003o
ool0oooo03L0oooo0P0000001@1e9UX000000000002iU;4000000080^IFb0P0000000`1cPm@00000
0;ZN_0030;ZN_080000000<0kkFB000000000000>03oool200000003092ThP000000RI[N0080RI[N
00<000000;BC]02dTk@0102dTk@00`000000]9>d000000030=5bF@800000?`3oool00340oooo00L0
000005/LI@1K76D0FaaU0000002bTkP0000000@0/I>g00<000000<c@g@3<d=d00P3<d=d2000003P0
oooo0P00000207DVFP050000002iU;40^IBa0;VD/@0000000`2iUK801@000000Lh?D07>3e0000000
^Yjl0080000000D0^9no0000003_]I80kkFB0000000j0?ooo`8000001029V]h2000000<0]9>d00@0
00000;BC]02dTk@0]9>d0P0000030=5bF@030000003oool0oooo03`0oooo000`0?ooo`050000001K
76D0FaaU05/LI@0000000`2bTkP010000000/I>g0000000000040<c@g@030000003oool0oooo03L0
oooo00<0000007DVFP1e9UX00P0000050;VD/@040000002iUK80^IFb00000080Lh?D0P0000040;RO
_`030000003_]I80000003`0oooo0P00000408VJgP80000000<0]9>d0000002dTk@0102dTk@01000
0000dG9I0=5bF@3ALUT2000003`0oooo000`0?ooo`040000001K76D0FaaU000000D0/Y>h00<00000
0<c@g@3<d=d00`3<d=d00`000000oooo0?ooo`0g0?ooo`040000001`9El00000000000P0^IBa0P00
00001@3<dmh000000000001XLLP0000000<0^9no1000000n0?ooo`0300000029V]h0RI[N00<0RI[N
00<000000;BC]02dTk@01@2dTk@00`000000dG9I0=5bF@020=5bF@030000003oool0oooo03T0oooo
000_0?ooo`040000001K76D0FaaU000000D0/Y>h00D000000=CBe`00000000000<c@g@02000003T0
oooo00H00000070UG`1`9El000000;RD/@0000050;VD/@<000000P3<dmh01@000000J77806Qab000
0000^9no0080000000@0]ifn0000003__Yd00000?`3oool2000000<0RI[N0P0000070;BC]0800000
00@0dG9I0000003JOf400000>P3oool002h0oooo00@0000005/LI@1K76D000001@2bTkP00`000000
e=;G0=CBe`020=CBe`030000003oool0oooo03L0oooo0P000002070UG`040000002hU;40^9Ba0000
00@0^IBa00@000000=;Df`3Be=/0d]CK1`0000030;NM_P040000003__Yd0kkjM00000400oooo0`00
000208FFg08000001`2dTk@01@000000fWmQ0=YoH@3JOf40000003T0oooo000]0?ooo`040000001K
76D0FaaU000000D0/Y>h00<000000=CBe`3Dd]L00P3Dd]L00`000000oooo0?ooo`0g0?ooo`030000
001`9El0L2EO00800000102hU;4010000000^IBa0000000000040=;Df`80000000@0oooo0000001R
I;h000001@2gWKh00`000000kkjM000000120?ooo`0300000025U]`0QIKL0080QIKL00<000000;BC
]02dTk@00`2dTk@00`000000]9>d000000030=YoH@030000003oool0oooo03H0oooo000/0?ooo`04
0000001C7g800000000000H0/Y>h00D000000=CBe`3Dd]L0e=;G0000000i0?ooo`040000001`9El0
L2EO000000L0^9Ba00<000000=;Df`3Be=/00`3Be=/01`000000oooo0?ooo`3oool000000>jkW000
00001@2gWKh3000004<0oooo0P00000308FFg0050000002dTk@0]9>d0;BC]00000000`2dTk@01@00
0000fWmQ0=YoH@3JOf40000003L0oooo000/0?ooo`050000001C7g8000000;:D^0000000102bTkP0
1@000000e=;G0=CBe`3Dd]L0000003T0oooo00@0000006/UH`00000000001`2hU;400`000000e]GG
000000020=;Df`800000103oool010000000HVBn0000000000020;NM_P<0000000<0klFX0000003o
ool0A03oool010000000QIKL08FFg025U]`2000000030;BC]0000000]9>d00<0]9>d00D000000=Yo
H@3JOf40fWmQ0000000f0?ooo`00:`3oool00`000000Damb000000030;:D^080000000<0/Y>h0000
003Dd]L00P3Dd]L00`000000oooo0?ooo`0g0?ooo`060000001[9F<0JbES0000002hTk4000001@2h
U;401P000000e]GG0=KEe`000000d]CK000000H0oooo1P0000020;FL_P040000003_aJP0klFX0000
04D0oooo0P00000308FFg0030000002dTk@0]9>d00@0]9>d0P0000020=YoH@030000003oool0oooo
03<0oooo000Z0?ooo`040000001C7g80Damb000000D0/YBh0P0000020=CBe`030000003oool0oooo
03L0oooo00@0000006/UH`1[9F<000000P2hTk4010000000^9Ba0;RD/@2hU;42000000@0e]GG00<0
00000?ooo`3oool01@3oool010000000GUZe05iJ]@0000040;FL_P040000003_aJP0klFX000004L0
oooo0`0000000`1nRmH000000;BC]0060;BC]0040000003JOf40fWmQ000003@0oooo000Z0?ooo`03
0000001C7g80000000D0/YBh00<000000=_Ad03KdM000P00000i0?ooo`040000001[9F<0JbES0000
00@0^9>a00<000000;RD/@0000001@3FeML00`000000oooo0?ooo`070?ooo`030000001NF[D00000
00@0]Ibn00@000000>o5Z00000000000B@3oool010000000OX_F07j;eP0000070;BC]080000000<0
hhm[0000003oool0<P3oool002T0oooo00<0000005<OLP0000001P2bU;P01@000000fm7@0=_Ad000
0000ER9b03P0oooo00@0000006/UH`1[9F<000001P2hTk400`000000e]GG0=KEe`030=KEe`030000
003oool0oooo00P0oooo00<0000005iJ]@0000000P2eW;h4000000030>k6Z@000000oooo04T0oooo
00<0000007j;eP1nRmH00P0000060;BC]0040000003SSf/0hhm[00000380oooo000Y0?ooo`800000
1P2bU;P01@000000fm7@0=_Ad03KdM00000003P0oooo00@0000006/UH`1[9F<000001P2hTk400`00
0000fMGD000000020=KEe`8000002`3oool500000080]IZl00@000000>k6Z@3^aZT00000B`3oool0
1@000000OX_F07j;eP1nRmH0000000@0]9>d00D000000;BC]0000000hhm[0000000b0?ooo`00:03o
ool00`000000Damb000000050;:D^0050000003KdM00fm7@0=_Ad0000000>03oool010000000IbIX
0000000000060;RC/@060000003IeM@0fMGD0000003FeML000003@3oool00`000000GEB_00000004
0;FJ_0040000003^aZT0k/JY000004`0oooo00H0000007j;eP1nRmH0OX_F0000002dTk@200000080
]9>d00@000000>>?J`3SSf/00000<@3oool002L0oooo00<0000004hVO`0000001P2bU;P010000000
fm7@0=_Ad000000h0?ooo`060000001W9VP0IbIX0000002hTk400000102hTk400`000000fMGD0=WE
e0020=WEe0030000003oool0oooo00`0oooo00<0000005eD[`0000001@2eV[`00`000000k/JY0000
001<0?ooo`030000001nRmH0OX_F0080OX_F00<000000;BC]02dTk@00`2dTk@010000000hhm[0>>?
J`00000`0?ooo`009`3oool00`000000CRIo00000002000000<0/YBh00D000000=_Ad03KdM00fm7@
0000000g0?ooo`040000001W9VP0IbIX000000<0^9>a0P0000000`2hTk4000000=WEe0030=WEe003
0000003oool0oooo00d0oooo00<0000005eD[`0000001@2eV[`00`000000k/JY0000001=0?ooo`06
0000001nRmH0OX_F0000001hPLl000001@2dTk@010000000hhm[0>>?J`00000_0?ooo`009P3oool0
0`000000CRIo000000030;>E^080000000D0/YBh0000003KdM00fm7@0000000g0?ooo`040000001W
9VP0IbIX000000H0^9>a00<000000=WEe03IeM@00P3IeM@00`000000oooo0?ooo`0>0?ooo`030000
001ME:l0000000<0]IZl1@00001>0?ooo`050000001nRmH0000007R1c`0000001P2dTk@00`000000
hhm[0000000_0?ooo`009P3oool00`000000CRIo000000050;>E^080000000<0fm7@000000000000
=P3oool010000000IbIX06LVJ00000060;RC/@030000003LeM4000000080fMGD00<000000?ooo`3o
ool03`3oool600000080]9Vl00<000000>k9[P000000C`3oool01@000000N87?07R1c`1hPLl00000
00D0]9>d00@000000>>?J`3SSf/00000;P3oool002D0oooo00<0000004hVO`0000001@2cUKP00`00
0000hLo70>7?a`02000003H0oooo00@0000006LVJ01W9VP000001P2hTk401P000000g=GA0=cEd@00
0000fMGD00000180oooo00<0000005a@Z`0000001@2dVK`00`000000k/V^0000001@0?ooo`050000
001hPLl0N87?07R1c`0000001@2dTk@010000000hhm[0>>?J`00000]0?ooo`009@3oool00`000000
CRIo000000050;>E^0040000003QclL0hLo7000003H0oooo00@0000006LVJ@00000000001P2hTk40
0`000000g=GA0=cEd@020=cEd@030000003oool0oooo0140oooo00<0000005a@Z`000000102dVK`0
10000000k/V^0>k9[P00001A0?ooo`050000001hPLl0N87?07R1c`0000001@2dTk@2000000030>ZN
M`000000oooo02/0oooo000T0?ooo`040000001>9Wl0CRIo000000@0/iFh00D000000>7?a`3QclL0
hLo70000000f0?ooo`050000001W9VT000000;RC/@0000001@2hTk401@000000g=GA0=cEd@3LeM40
000001@0oooo00<0000005a@Z`000000102dVK`010000000k/V^0>k9[P00001B0?ooo`040000001h
PLl0N87?000000@0]9>d00D000000;BC]0000000jYig0000000/0?ooo`00903oool00`000000CRIo
000000050;>E^0040000003QclL0hLo7000003H0oooo00@0000006LVJ@1W9VT000000P2hTk402@00
0000^9>a0;RC/@2hTk4000000=cEd@1Y9fT0g=GA0000000E0?ooo`030000001LD:/0000000@0]9Vl
00@000000>k9[P3^bJh00000DP3oool01P000000N87?07R1c`1hPLl000000;BC]08000000P2dTk@0
10000000jYig0>ZNM`00000[0?ooo`008`3oool010000000CRIo04hVO`0000040;>E^0050000003Q
clL0hLo70>7?a`000000=@3oool010000000IbIY06LVJ@0000040;RC/@030000002hTk40000000<0
g=GA00<000000?ooo`3oool0503oool;000005<0oooo00D0000007R1c`1hPLl0N87?000000050;BC
]0030000003ZWWL0000002/0oooo000S0?ooo`030000001>9Wl0000000D0/iFh00@000000>7?a`3Q
clL00000=@3oool010000000IbIY06LVJ@0000060;RC/@050000003LeM40g=GA06TWJ@0000005`3o
ool00`000000G4fW000000040;BI_0040000003]bk40kL^a000005@0oooo00D0000007R1c`000000
LgG6000000040;BC]0040000003ZWWL0jYig000002X0oooo000S0?ooo`0304`/R@00000000000080
00000P2cUKP01@000000hLo70>7?a`3QclL0000003@0oooo0P0000000`1W9VT000000;RC/@050;RC
/@050000003LeM0000000=cEd@0000005`3oool010000000G4fW05a=Y`0000040;BI_0040000003]
bk40kL^a000005D0oooo00@0000007=eaP1cMLH000001@2dTk@00`000000jYig0000000Z0?ooo`00
8P3oool010000000C2b904`/R@0000020;>E^0@0000000<0hLo70000003oool0=03oool010000000
IbIY06LVJ@0000050;RC/@050000003LeM00g=G@0=cEd0000000603oool010000000G4fW05a=Y`00
00040;BI_0040000003]bk40kL^a000005D0oooo00D0000007=eaP1cMLH0LgG6000000040;BC]004
0000003ZWWL0jYig000002T0oooo000R0?ooo`030000001<;8T0000000D0/iFh00@000000>C<`000
00000000=03oool010000000J2IX0000000000050;RC/@050000003LeM00g=G@0=cEd00000006@3o
ool20000000305a=Y`000000]9Vl00<0]9Vl00@000000>g;/@3]bk400000EP3oool010000000LgG6
07=eaP0000050;BC]0030000003ZWWL0jYig02T0oooo000R0?ooo`030000001<;8T0000000@0/iFh
00D000000>C<`03Tc<00i<c00000000c0?ooo`060000001X9VP0J2IX0000002hTk400000102hTk40
10000000g=G@0=cEd000000J0?ooo`030000001LC:L0000000T00000EP3oool01@000000LgG607=e
aP1cMLH0000000@0]9>d00@000000>ZNM`3ZWWL00000:03oool00280oooo00<0000004`/R@000000
102cUKP010000000i<c00>C<`000000c0?ooo`040000001X9VP0J2IX000000<0^9>a0P0000001@2h
Tk4000000=cEd03LeM00000001/0oooo00@0000005a<Y`1LC:L00000102dVK`010000000kL^a0>g;
/@00001G0?ooo`050000001cMLH0LgG607=eaP000000102dTk@3000002P0oooo000Q0?ooo`030000
001<;8T0000000D0/iFh00@000000>C<`03Tc<000000<P3oool010000000J2IX06PVJ00000060;RC
/@050000003LeM00g=G@0=cEd00000006`3oool010000000G4bW05a<Y`0000040;BI_0040000003]
bk40kL^a000005L0oooo00D0000007=eaP1cMLH0LgG6000000020;BC]0<000000P3_ZH400`000000
oooo0?ooo`0U0?ooo`008@3oool00`000000C2b9000000040;>E^0050000003Tc<00i<c00>C<`000
0000<@3oool010000000J2IX06PVJ00000060;RC/@8000000P3LeM000`000000oooo0?ooo`0J0?oo
o`030000001LC:L0000000D0]9Vl00<000000>g;/@000000F@3oool010000000LgG607=eaP1cMLH2
000000<0]9>d00<000000>nYP@0000009`3oool00240oooo00<0000004`/R@000000102cUKP01000
0000i<c00>C<`000000a0?ooo`80000000<0J2IX0000002hTk401@2hTk400`000000fmGB0=_EdP02
000001d0oooo00<0000005a<Y`0000001@2dVK`00`000000kL^a0000001I0?ooo`030000001cMLH0
000000800000102dTk@00`000000kjV10000000W0?ooo`008@3oool00`000000C2b9000000040;>E
^0040000003Tc<00i<c000000300oooo00@0000006lVHP1_9V8000001P2hTk401@000000fmGB0=_E
dP3KeM80000001h0oooo1@0000030;BI_0040000003]bk400000000005T0oooo00D0000006m]`01_
KL00Kfg0000000040;BC]0030000003_ZH40000002H0oooo000P0?ooo`030000001<;8T0000000D0
/iFh00@000000>C<`03Tc<000000;P3oool200000080KbIR00<000000;RD/P0000001@2hTk401000
0000fmGB0=_EdP00000O0?ooo`030000001LCjX000000080]9Zl1P00001J0?ooo`050000001_KL00
Kfg006m]`0000000102dTk@00`000000kjV10000000V0?ooo`00803oool500000080/iFh00@00000
0>C<`03Tc<000000;P3oool01@000000KbIR06lVHP1_9V80000000<0^9Bb00D000000;RC/@2hTk40
^9>a000000020=_EdP030000003oool0oooo01h0oooo00<0000005a?ZP0000001@2dV[`00`000000
kLV_0000001K0?ooo`040000001_KL00Kfg0000000@0]9>d00@000000>nYP@3_ZH4000009@3oool0
0200oooo00<0000004/gU`0000000P2dU[P7000002`0oooo00D0000006lVHP1_9V80KbIR00000005
0;RD/P030000002hTk4000000080fmGB00<000000?ooo`3oool07`3oool00`000000G4nZ00000005
0;BJ_0030000003]bJl0000005/0oooo00@0000006m]`01_KL0000001@2dTk@00`000000kjV10000
000U0?ooo`00803oool00`000000BcNG000000040;BF^0040000003WakH0ilNf000002/0oooo0P00
00001020;5L0000006lVHP0000070;RD/P040000003KeM80fmGB00000280oooo00<0000005a?ZP00
00001@2dV[`00`000000kLV_0000001K0?ooo`050000001_KL00Kfg006m]`0000000102dTk@00`00
0000kjV10000000U0?ooo`00803oool00`000000BcNG000000040;BF^0040000003WakH0ilNf0000
02T0oooo0P000003080/E`8000001P2hU;83000000030=_EdP000000oooo0280oooo2`00001L0?oo
o`040000001_KL00Kfg0000000D0]9>d00<000000>nYP@000000903oool00200oooo00<0000004/g
U`000000102dU[P010000000ilNf0>O7]P00000V0?ooo`<000000`20;5L2000000030;VE/P000000
^9Bb00@0^9Bb00D000000=GEf03EeMP0eMGH0000000T0?ooo`030000001MDjh0000000D0]9Zl00<0
00000>k7Z`000000G03oool010000000Kfg006m]`00000040;BC]0@00000903oool00200oooo00<0
000004/gU`000000102dU[P010000000ilNf0>O7]P00000T0?ooo`80000000@0RS5D00000020;5L0
P2aG0P0000040;VE/P050000002hU;80^9Bb0;RD/P0000000`3EeMP00`000000oooo0?ooo`0S0?oo
o`030000001MDjh0000000D0]9Zl00<000000>k7Z`000000G03oool01P000000Kfg006m]`01_KL00
00000;BC]080000000@0]9>d0000003b]hd00000903oool001l0oooo00<0000004/gU`000000102d
U[P010000000ilNf0>O7]P00000R0?ooo`<000000`2:<E@3000000H0^IFb00@000000;RD/P000000
00000`3EeMP00`000000oooo0?ooo`0T0?ooo`040000001MDjh0GE>^000000@0]9Zl00<000000>k7
Z`000000G@3oool00`000000Kfg000000002000000@0]9>d00<000000?:gS@0000008`3oool001l0
oooo00<0000004/gU`000000102dU[P010000000ilNf0>O7]P00000O0?ooo`<00000102:<E@20000
00030;VF/`000000^IFb00L0^IFb00@000000=GEf03EeMP0eMGH0P00000W0?ooo`040000001MDjh0
GE>^000000@0]9Zl00<000000>k7Z`000000G@3oool20000000306aS]`000000]9>d00@0]9>d00<0
00000?:gS@0000008`3oool001l0oooo00<0000004/gU`000000102dU[P010000000ilNf0>O7]P00
000M0?ooo`80000000@0S39D0000002:<E@0RS5D0`0000040;VF/`030000002iUK80^IFb00<0^IFb
0`0000020=GEf0030000003oool0oooo02L0oooo2`00001M0?ooo`040000001/HkL0K6>g000000D0
]9>d00<000000?:gS@0000008`3oool001l0oooo00<0000004/gU`000000102dU[P010000000ilNf
0>O7]P00000K0?ooo`8000000`2<<U@3000000L0^IJc00@000000;VE/P2iUK80^IFb0P0000030<WC
h@800000:P3oool010000000GUNb05iG/P0000040;FJ_0030000003^a:L0000005h0oooo00@00000
06aS]`1/HkL00000102dTk@00`000000l[N=0000000S0?ooo`007`3oool00`000000BcNG00000004
0;BF^0040000003WakH0ilNf000001P0oooo0`00000308`bE080000000<0^IJc0000002iU[<0202i
U[<3000000D0bM?Q00<000000?ooo`3oool0:@3oool010000000GUNb05iG/P0000040;FJ_0040000
003^a:L0k/BW000005d0oooo00@0000006aS]`1/HkL000001@2dTk@00`000000l[N=0000000R0?oo
o`007`3oool;000001H0oooo0P000000102;<U@0000008`bE02<<U@2000000@0^IJc00<000000;VF
/`2iU[<01@2iU[<2000000D0bM?Q0P00000/0?ooo`040000001NEk80GUNb000000@0]IZl00@00000
0>k4Y`3^a:L00000G@3oool010000000K6>g06aS]`0000050;BC]0030000003b]hd000000280oooo
000O0?ooo`030000001=@Z@0000000@0]9Jh00@000000>S1[@3X`Jd000004`3oool3000000<0Rc9D
0`0000060;VF/`030000002iU[<0^IJc00<0^IJc0P0000000`33d>@000000<WCh@020<WCh@800000
;P3oool20000000405iG/P000000]IZl0;FJ_0H00000G@3oool010000000K6>g06aS]`0000050;BC
]0030000003b]hd000000280oooo000O0?ooo`030000001=@Z@0000000@0]9Jh00@000000>S1[@3X
`Jd00000403oool3000000@0Rc9D0P0000000`2iU[<000000;VF/`070;VF/`030000002iU[<00000
008000000`33d>@010000000bM?Q00000000000`0?ooo`030000001OFkH0000000<000000P2fVk`0
10000000k/2R0>k0XP00001N0?ooo`030000001/HkL0000000D0]9>d00<000000?:gS@3b]hd08P3o
ool001l0oooo00<0000004e2Y0000000102dU[P010000000j<6]0>S1[@00000>0?ooo`80000000@0
QBiE0000002;<U@0Rc9D0`0000030;VF/`030000002iU[<0^IJc00D0^IJc0`0000050<?@i0<00000
<P3oool010000000Ge^f05mK]P0000040;JK_0040000003^`:80k/2R000005h0oooo00@0000006aS
]`1/HkL000001@2dTk@00`000000l[N=0000000Q0?ooo`007`3oool00`000000CD:T000000040;BF
^0040000003X`Jd0j<6]000000`0oooo0P00000308D^E@<000001`2iU[<00`000000^IJc0;VF/`02
0;VF/`80000000<0`]3U00000033d>@00`33d>@2000003H0oooo00<0000005mK]P0000001@2fVk`0
0`000000k/2R0000001N0?ooo`040000001/HkL0K6>g000000<0]9>d1@00000Q0?ooo`007`3oool0
0`000000CD:T000000040;BF^0040000003X`Jd0j<6]000000T0oooo0`00000308D^E@80000000<0
^IJb0000002iU[<01`2iU[<00`000000^IJc00000002000000@0`]3U00@000000<?@i00000000000
>03oool010000000Ge^f05mK]P0000040;JK_0030000003^`:80000005l0oooo00<0000006aS]`00
00000`0000020;BC]0030000003c`IT000000240oooo000O0?ooo`030000001=@Z@0000000@0]9Jh
00@000000>S1[@3X`Jd000001`3oool20000000407h[E`000000QBiE08D^E@800000102iU[800`00
0000^IJc0;VF/`040;VF/`<000001P32d>D3000003X0oooo0P000000101OFkH000000;JK_02fVk`5
000000l0oooo1`0000190?ooo`<000001@2dTk@00`000000ll6I0000000Q0?ooo`007`3oool00`00
0000CD:T000000040;BF^0040000003X`Jd0j<6]000000D0oooo0P00000307h[E`<000001P2iU[80
0`000000^IJc0;VF/`04000000030<?@i@000000`]3U0080`]3U1000000m0?ooo`030000001QH;/0
000000<000000P2fW;d00`000000kkfN0000000;0?ooo`@000000P2UA4l010000000/e1@0;=@D02c
D505000004D0oooo00<0000006]K[P0000001@2dTk@00`000000ll6I0000000Q0?ooo`007`3oool0
0`000000CD:T000000040;BF^0040000003X`Jd0j<6]000000<0oooo0P00000307h[E`80000000<0
^IFb0000002iU[801P2iU[83000000D0`m3U100000110?ooo`040000001QH;/0HF2k000000@0]Ybm
00@000000>nmWP3__Ih00000203oool200000080UcUA00@000000:E4C`2UA4l0YDA?0`0000001P2c
D50000000<9QE@32HED000000=IfE`800000@`3oool00`000000Je^^000000050;BC]0030000003c
`IT000000240oooo000O0?ooo`030000001=@Z@0000000@0]9Jh00D000000>S1[@3X`Jd000000?oo
o`0300000080OR]G0P0000040;VE/P030000002iU[80^IJb0080^IJb0P0000000`37d^8000000<?@
i@030<?@i@800000AP3oool00`000000HF2k000000050;JL_@030000003__Ih0000000H0oooo0P00
0000102<=5D0000009LiD@2G>E44000000030<:M/P000000`ind00@0000000<0`V5E0000003FMUL0
0P0000120?ooo`030000001[Fjh0000000D0]9>d00<000000??1V@0000008@3oool001l0oooo00<0
000004e2Y0000000102dU[P00`000000j<6]00000002000000<0N2MI0P0000060;VE/P030000002i
U[80^IJb008000001037d^8010000000`m3U0000000000180?ooo`030000001QH;/0000000<0]Ybm
1@0000040?ooo`8000000`2<=5D3000000030<6J/0000000`Yfb0080`Yfb00H000000<>O]033Wk@0
`ind00000033X[P3000000030=IfE`00000000000440oooo00<0000006]K[P0000001@2dTk@01000
0000ll6I0??1V@00000P0?ooo`007`3oool00`000000CD:T000000020;BF^0@0000000@0j;VS0000
001h9eT0N2MI0P0000000`2iU;4000000;VE/P060;VE/P8000001P37d^82000004X0oooo1P000002
0;NL_@050000003^]iL0k[NG0000003oool00P0000000`22;eX0000000000002000000030;nH[`00
0000`IZ`0080`IZ`00@000000<:M/P32WK8000000`33Wk@01@000000`j:h0<>R^0000000c;2n00@0
0000@03oool010000000Je^^06]K[P0000040;BC]0040000003c`IT0ll6I00000200oooo000O0?oo
o`D000000P2eUkT300000080N2MI00D000000;VD/@2iU;40^IBa000000050;VE/P80000000<0c=?O
00000037d^800`37d^82000004`0oooo00<0000006=W`@0000001@2gW;d00`000000k[NG0>jgU`02
00000080PRmJ0P0000000`2nUZd000000;nH[`020;nH[`0400000031V[00`IZ`000000<0`Yfb00<0
00000<>O]00000000`33X[P00`000000c;2n0<b`_P04000003l0oooo00@0000006]K[P1[Fjh00000
102dTk@010000000ll6I0??1V@00000P0?ooo`007`3oool00`000000D4f`000000040;FG^@030000
001h9eT0N2MI008000001@2iU;400`000000^IFb0;VE/P02000000<0c=?O00<000000<OBhP37d^80
0P00001>0?ooo`040000001SIl40HfO1000000D0]ibm0P00000207T/H08000000`2nUZd01@000000
_iR_0;nH[`2oV:l0000000<0`IZ`00H000000<:M/P32WK8000000<>O]00000020<>R^0050000003<
/;h0c;2n0000003?^lH00P0000000`3e[gX000000?ooo`0m0?ooo`040000001[Fjh0Je^^000000@0
]9>d00@000000??1V@3c`IT00000803oool001l0oooo00<00000051=/00000000`2eUkT010000000
KRAN0000000000080;VD/@8000001@3<dml300000540oooo00<0000006=W`@0000000`2gW;d30000
0080NBaP0P0000000`2mU:d000000;jF[@020;jF[@030000002oV:l0_iR_00/0000000@0`j:h0000
003</;h0c;2n0P0000001039^<T000000?F_NP0000050?ooo`@00000=@3oool010000000Je^^06]K
[P0000040;BC]0040000003c`IT0ll6I00000200oooo000O0?ooo`030000001@CK0000000080]INi
00H0000006hTGP1^95h000000;RD/@0000050;VD/@<00000103<dml2000005@0oooo1P0000000`2h
W;`0000000000002000000<0_IB]00<000000;jF[@2nUZd00P2nUZd2000000070<gIhP000000a]OV
0<KGiP000000^m7[000000020:o9k@050000002Q_^d000000000003</;h00P0000001@39^<T00000
000000000000l[2200D0000000@0YSdo000000000000]DHh1000000a0?ooo`040000001[Fjh0Je^^
00000080]9>d1P00000P0?ooo`007`3oool00`000000D4f`0000000200000080KRAN00@000000;RD
/@2hU;400000102iU;401P000000d=CL0=3Dg03@e=`000000<cCg`800000EP3oool010000000Ifo7
06M_a`0000020;RL_0060000001c;FL0LbeW0000002kTjh000000`2mU:d00`000000_YJ]00000002
00000080cMWR00P000000<KGiP36enH000000;_Aj`000000[lW]00000080XKk]00<0000009[>nP00
00000`0000020<Ffb`<0000000D0UcA7000000000000X3Y5000000020:Hm?`80000000<0a5Hj0000
003HKd400P00000_0?ooo`H000000P2dTk@010000000llVS0??9X`00000P0?ooo`007`3oool00`00
0000D4f`0000000306hTGP030000002hU;40^9Ba0080^9Ba00@000000;VD/@0000000000103@e=`2
000005T0oooo00<0000006M_a`1WKlL00P00000207<]I`050000002kTjh0^i>^0;^C[P0000000`2m
U:d01P000000e]_L0=KKg03Ffm`000000<gIhPD0000000<0oooo0000000000000P0000001`2Jc_X0
0000000000000000bKS900000035]//00P0000000`2A<DX000000000000209LdA`X0000000<0hHMR
000000000000;@3oool010000000JUBV06YDYP0000040;BC]0040000003cbJ<0llVS00000200oooo
000P0?ooo`050000001^95h0KRAN06hTGP0000001P2hU;400`000000d=CL0=3Dg0030=3Dg0030000
003oool0oooo05T0oooo00P0000006M_a`1WKlL0000006l_K`000000LbeW000000@0^i>^00@00000
0;fD[@00000000000`3Ffm`2000000T0oooo0`00000207bYl0<000000P29>5l6000000070<^P[@00
0000cZB]0000003D[;0000000=Jb]@03000000030>67HP000000000002`0oooo00@0000006YDYP1Z
E:H00000102dTk@010000000llVS0??9X`00000P0?ooo`007`3oool01@000000H25X0000001^95h0
000000H0^9Ba00<000000=KDe`0000000P3@e=`2000005d0oooo0P00000306l_K`030000002kTjh0
^i>^00@0^i>^00<000000=cKeP3LfmH00`00000<0?ooo`D0000000H0LRaW00000029>5l0RCQO0000
002lU[0200000080bIj[00T000000<^P[@00000000000=B//0000000e[:e0000003H_;h01000000/
0?ooo`040000001ZE:H0JUBV000000@0]9>d00@000000??9X`3cbJ<00000803oool001h0oooo00D0
0000060QJ01P8FP0H25X000000060;RD/@060000003Fe=L0e]CG0000003@e=`00000G`3oool01`00
0000Kbm_06l_K`1_;fl000000;BC]0000000102kTjh200000080g=_F00<000000?ooo`3oool03@3o
ool300000080LRaW0`0000020;bF/00800000038VjX000000<VNZ`000000bj2]0000003>Y:d30000
00070=Rl_P000000`JBl0<6T_0000000iiQb0000000[0?ooo`H000000P2dTk@010000000llVS0??9
X`00000P0?ooo`007@3oool01`000000H25X060QJ01P8FP000000;:C]`0000000`2hU;42000000@0
e]CG00<000000?ooo`3oool0G@3oool00`000000Kbm_06l_K`02000000<0]9>d00@000000;^C[P00
000000000P3Of]42000000l0oooo0P0000000`1b;FL00000078/I`02000000D0_9J`0P0000020<VN
Z`030000003;X:d0000000<0000000D0f;bn00000031Y;`000000<2W`003000002H0oooo10000000
1P2J@E/000000:E8F02UB5P000000;IFEP<0000000<0llVS0000003oool0803oool001`0oooo00D0
0000060QJ01P8FP0H25X000000030;:C]`030000002hU;40000000D0e]CG00<000000?ooo`3oool0
G@3oool010000000K31c0000000000060;BC]0030000003Of]40gm[A0080gm[A00<000000?ooo`3o
ool03@3oool010000000M2eW0000001b;FL2000000030:N>^`000000_9J`00@0_9J`00<000000<RK
ZP000000200000001031Y;`000000<2W`030Yl03000002<0oooo0`0000000`2A?El0000009Y1F`02
09Y1F`040000002UB5P0YDQH000000<0]UIF0`00000Q0?ooo`006`3oool01@000000H25X060QJ01P
8FP0000000D0/Y>g00<000000=KDe`3Fe=L00P3Fe=L2000005l0oooo00H0000006``L`1/<7<00000
0;BC]00000040;BC]0040000003HfMT000000=oJd@D000002`3oool30000000507@]I`0000000000
0:N>^`0000000P2WS[/00`000000_9J`0;bF/0020;bF/0<0000000<0dN;T0000000000000`000000
102Pgo`000000<6T_00000030<2W`0030000003^Ygl0000001l0oooo0`000000102=>f400000094m
G`2A?El9000000030;IFEP000000dGEN0080dGEN00<000000?ooo`3oool07P3oool001X0oooo00D0
0000060QJ01P8FP0H25X000000050;:C]`080000003Ee=P000000000003Fe=L000000>J/U@00001O
0?ooo`030000001/<7<0000000<0]9>d00@000000;BC]02dTk@000000`3HfMT010000000Yh6[0000
000000020;mOF08000001@3oool30000000307T^H`000000MReU0080000000@0Yhjk0000002WS[/0
00000P2WS[/00`000000_9J`0;bF/002000000050=OQgP00000000000000003;h>P01@0000000`2;
Z>T000000<2W`0020<2W`080000000<0kZMo0000003oool0703oool20000000408PjI0000000SC]Q
08dkH@<0000000D0]9>d0000002dTk@0]9>d000000020;BC]0040000002dTk@00000000000@0dGEN
0P00000N0?ooo`006@3oool01@000000H25X060QJ01P8FP0000000D0/Y>g00<000000=GDf03Ee=P0
0P3Ee=P010000000iZbE0>J/U@00001N0?ooo`040000001/<7<0K31c000000@0]9>d00<000000;BC
]00000000P3HfMT010000000Yh6[0000002VP:/3000000030;EFE`000000000000<0000000@0R3AK
000000000000NBiS100000020:N>^`040000002WS[/0Yhjk00000080Yhjk0P0000020=OQgP030000
003Eh^00000000D0000000D0RjSY00000000000000000<2W`00200000080_JG100<000000?:fS@00
00006`3oool00`000000R3YT08PjI00208PjI080000000<0]9>d0000002dTk@00P2dTk@00`000000
]9>d000000020;BC]0030000002dTk@0]9>d00<00000103AMEh00`000000oooo0?ooo`0K0?ooo`00
603oool01@000000H25X060QJ01P8FP0000000D0/Y>g00<000000=GDf03Ee=P00P3Ee=P00`000000
/hj_000000020>J/U@030000003oool0oooo05X0oooo00@0000006LaNP00000000001P2dTk@01P00
0000f=WI0=SIf@000000Yh6[00000080YX2[00<000000:F2[P0000000P2YBeD200000004098jF028
=5/0000007l`G`<000000`2WS[X02@000000Yhjk0:N>^`000000Yhjk0000002WS[/000000;cCj`02
000000040=OQgP0000000000000000D0oooo00D0000007fFh@1mU^40OIKQ000000040;fU`@030000
003b]Xd0000001T0oooo0`00000208PjI0<000000`2dTk@010000000]9>d0;BC]00000020;BC]003
0000002dTk@000000080]9>d00<000000;RI]`2hVKL00P0000030=5eGP8000006`3oool001L0oooo
00D0000005LRL@000000H25X000000050;:C]`030000003Ee=P0eMCH0080eMCH00<000000;>>[`00
00001000001K0?ooo`060000001W<GX0Ic5j0000002dTk@00000102dTk@010000000fmWE00000000
00020:N1Z`050000002VP:/0YX2[0000002UPZh02P0000000`2VSKX000000:N>^P020:N>^P040000
002WS[/0Yhjk00000080Yhjk00@000000;cCj`2ldn/0_=?[0`0000000`3[Y7h000000?ooo`050?oo
o`80000000<0M8OH0000002mYL400P2mYL4200000080l[J=00<000000?ooo`3oool04`3oool30000
00<0QCUW0P0000030;BC]0040000002dTk@0]9>d000000<0]9>d00L000000;BC]0000000]9>d0000
002dTk@0000000D0^9Vg0P0000030=5eGP030000003oool0oooo01P0oooo000G0?ooo`040000001G
8W40Eb9a000000H0/Y>g00@000000=GDf03Ee=P0eMCH0`0000001@2bSJl000000>BTS@3TY8d00000
05/0oooo00<0000006LaNP0000000`2dTk@2000000040;BC]0000000fmWE0=_Ie@@000000P2VP:/0
0`000000YH:^000000020:B3/0060000002TQK<000000000002URKL000000P2VRkT00`000000YXfj
000000030:N>^P80Yhjk0`0000000`2me>/0000000000005000000030>^TOP000000oooo00@0oooo
00@0000007B7f01dQmP0M8OH0`0000020;ZT`P<000004`3oool200000080Q3UW00H0000008DiI`00
000000000;BC]00000030;BC]0060000002dTk@0]9>d0;BC]0000000]9>d1P0000000`2dTk@00000
0;RI]`060;RI]`<0000000<0hhm/0000003oool0603oool001H0oooo00H0000005LRL@1G8W400000
0;:D^00000040;:C]`040000003Ee=P0eMCH0=GDf0800000102bSJl010000000i:B=0>BTS@00001I
0?ooo`040000001W<GX0Ic5j000000D0]9>d00<000000=_Ie@3KfMD00`000000101_PmL000000000
002VP:/20:F2[P050000002TPk00Y8>`0000002TQK<00P0000001`2URKL000000:J;^@2VRkT00000
0:J=^P0000000P2WS[X300000080_=?[00<000000;gDj`0000000P0000020;23Y@040000003ZXWd0
0000000000H0oooo100000040;ZT`P030000003b_IH000000140oooo0`00000408@iI`050000002d
Tk@0]9>d0;BC]0000000102dTk@00`000000]9>d00000002000000050;W@j`000000[/O]0000002R
_N`00`0000090;RI]`030000003SSf`0000001T0oooo000F0?ooo`030000001G8W40000000<0/YBh
0P0000000`2bTkL000000=GDf0020=GDf08000001@2bSJl010000000i:B=0>BTS@00001H0?ooo`03
0000001S=880000000800000102dTk@00`000000h=S?00000002000000080?ooo`000000Kh?G0000
001dS=`000000:F2[P0000020:B3/0030000002TQK<000000080YHNe00<000000:F9]`0000000P2V
RkT20:J=^P8000000P2jdN`00`000000_=?[0;cCj`03000000@0/8>U0P0000000`3ZXWd000000?oo
o`050?ooo`040000001/NLh0K7W>00000080^ZC20`0000020?:mUP030000003oool0oooo00`0oooo
0P00000308HiIP0300000024>FL0000000800000102dTk@010000000]9>d0;BC]02dTk@200000008
0;gCjP000000^M3[0;W@j`000000[/O]0000002R_N`20000000308FJh0000000000000H0^9Vg00D0
00000;RI^0000000hhm/0000000H0?ooo`005@3oool010000000Eb9a05LRL@0000050;:D^0800000
0P3Ee=P010000000DEFh055E^00000040;:=[`040000003TY8d0i:B=000005P0oooo00<0000006<d
PP0000000P2dTk@200000080]9>d00<000000>3Hc`000000103oool20000000307B<g00000000000
0080000000@0Y8>`0000002TQK<000000P2UQkD010000000YHVg0000002VRkT3000000030;O@k@00
000000000080^]7/0`00000205eB[@030000002`PjD000000080000000<0jIeh0000000000001`3o
ool5000000<0^:3000<000000?:mUP000000303oool20000000408LiI@000000QSUV08HiIP<00000
0`2dTk@01P000000]9>d0;BC]02dTk@000000;BC]0<000000`2mdnX00`000000^M3[000000050000
00<0QI[P00<000000;RI]`2hVKL00`2hVKL00`000000^9Vh000000020>>?K0030000003oool0oooo
01D0oooo000D0?ooo`040000001G8W40Eb9a000000D0/YBh00<000000=_Cd@3Kdm400`000002055E
^0030000002bSJl0/Xf_0080/Xf_00D000000>BTS@3TY8d0i:B=0000001F0?ooo`040000001S=880
HcB2000000@0]9>d0P0000020>3Hc`030000003oool0oooo00<0oooo00H0000007B<g0000000OYWS
00000027YNP:00000080/<_^00<000000;O@k@2gd>d00`0000020?ooo`030000001MDZd0GE:]0080
00000P2^PJ<4000000L0oooo00@0000006Q^a@1XK/D000000`2hX<04000000X0oooo0`00000308Li
I@8000000P2dTk@01@000000]9>d0;BC]02dTk@0000000<0]9>d0P0000020<?Fj0030000002mdnX0
_M?Z00<000000P1YCIh01P000000]Hn_0;F?[`3DNF4000000=AiH@80QI[P00D000000;RI]`2hVKL0
^9Vg000000030;RI^0040000003SSf`0hhm/000001H0oooo000D0?ooo`030000001G8W40000000H0
/YBh00@000000=_Cd@3Kdm4000000P3oool00`000000DEFh000000050;:=[`040000003TY8d00000
000005H0oooo00<0000006<dPP0000001@2dTk@010000000i=K80000003Pf<l70?ooo`<0000000@0
OYWS00000027YNP000000P2C/^`01@000000W[c^09jlkP000000Z<G^008000000P2`bnh2000000D0
oooo100000001P2^PJ<000000000002^PJD000000>FGMP8000001P3oool01@000000J6k506Q^a@00
0000^:300080000000@0]Yo10000003caZ400000203oool2000000<0RCYT0`0000001@2dTk@00000
0;BC]02dTk@0000000@0]9>d0`0000001037f>H000000<?Fj00000020;gCjP030000003oool0oooo
00H000000P2eSjl010000000QI[P08FJh03DNF42000000030;RI]`000000^9Vh00<0^9Vh00<00000
0>>?K00000005P3oool001<0oooo00<0000005LRL@0000001P2bU;P010000000fm?A0=_Cd@000003
0?ooo`030000001AEKP0000000@0/Xf_0`0000000`3RWXP000000?ooo`1E0?ooo`0405lhRP000000
0000000000@0]9>d00@000000>CFb03Te/P0h=S?2P3oool30000000408NUj0000000Tk;/00000080
W[c^00<000000:S5kP2XaNh00`0000070?ooo`030000001LDZd0G5:]008000000`2^PJD5000000D0
oooo1@0000030;JO`@040000003caZ40llJQ000000@0oooo0`000000102;>f<0000008TjI029>V@2
000000<0]9>d00H000000;BC]02dTk@0]9>d0000002dTk@3000000<0amSV0P33e^P60?ooo`040000
001ZB9L0JTRG00000080]Y2_1@00000308FJh0030000002hVKP0^9Vh00@0^9Vh00<000000>>?K000
00005@3oool001<0oooo00<0000005LRL@0000001@2bU;P01@000000fm?A0=_Cd@3Kdm40000000@0
oooo00@00000055E^0000000/Xf_0P0000000`2bSK0000000>:NR0020>:NR0030000003oool0oooo
0580oooo00D0000005lhRP1O>8X000000;BC]002000000050;BC]0000000i=K80>CFb00000003P3o
ool9000000X0oooo00@0000005aB[@00000000000P2^PJD2000000050:b1Y@00000000000>2=K`00
00001@3oool010000000IFBm06ET_@0000050;JO`@040000003caZ4000000?ooo`<0000000@0SC]R
0000002;>f<0Rc]S0`0000000`2dTk@000000;BC]0030;BC]0040000002dTk@0]9>d0;BC]0800000
0P38fNH3000000P0oooo00@0000006Y8U`1ZB9L00000102fT:l020000000lln[0???Z`000000QI[P
0000001jQm@000001@2hVKP010000000hhm/0>>?K000000D0?ooo`004P3oool00`000000Eb9a0000
00060;:D^0040000003Kdm40fm?A000000D0oooo00@00000055E^00000000000102bSK0010000000
hYj80>:NR000001D0?ooo`030000001O>8X0000000@0]9>d0P0000020>CFb0030000003oool0oooo
0200oooo00@0000005mJ]@1OF[D000000`2/PJD200000080f81X0P0000050?ooo`80000000@0IFBm
0000002fWl40]Yo11P000000102@?F00000008dkHP2=>f83000000030;BC]0000000]9>d0080]9>d
00H000000;BC]02dTk@0]9>d0000002dTk@3000000<0b=WV00<000000?ooo`3oool0203oool01000
0000JTRG06Y8U`0000040;J@[`050000003ccj/000000?ooo`0000000`1jQm@00`000000^9Vh0;RI
^0030;RI^080000000<0k:5i0000003oool04P3oool00140oooo00<00000050UO00000001P2bU;P0
10000000fm?A0=_Cd@0000070?ooo`030000001EGKh0000000@0/Xf`00D000000>:NR03RWXP0hYj8
0000001B0?ooo`040000001O>8X0GcR:000000@0]9>d00D000000>SC`0000000i=K80000000R0?oo
o`050000001OF[D000000000002/PJD00P0000020:Z1Z080000000<0bfmQ0000000000000P000002
0?ooo`030000001SFk@0000000@0000000@0U3mN0000002D?eh000000P2@?F03000000030;BC]000
0000]9>d0080]9>d00@000000;BC]02dTk@000000`2dTk@2000000<0a]OW0`00000:0?ooo`040000
001ZB9L0JTRG000000D0]Y2_00<000000???Z`0000000P3oool010000000NXOD07Z7e00000060;RI
^0030000003/XGT0000001<0oooo000A0?ooo`030000001@9G`00000008000000`2bU;P010000000
fm?A0=_Cd@0000080?ooo`030000001EGKh0000000D0/Xf`00@000000>:NR03RWXP00000DP3oool0
0`000000GcR:000000050;BC]0040000003Xdl00j=?0000002@0oooo00@00000065R_@1QH[d00000
0`2ZPJP01@000000YgnY000000000000/E9G0080000000<0YTUG0000000000000`0000000`27=5`0
000009@oGP0209@oGP030000002D?eh000000080000000<0]9>d0000002dTk@00P2dTk@010000000
]9>d0;BC]00000030;BC]0<0000000@0a=OX00000036enL0a]OW0P00000<0?ooo`040000001ZB9L0
JTRG000000@0]Y2_00@000000???Z`3ccj/000000`3oool010000000hhm]07Z7e00000040;RI^005
0000002gV;P000000>bQN@0000004P3oool00100oooo00<00000050UO00000000`2cUKP200000005
0;:D^0000000fm?A0=_Cd@000000203oool010000000EEfn05EM_P0000040;:=/0050000003RWXP0
hYj80>:NR0000000D@3oool500000080]9>d00@000000>SC`03Xdl0000009@3oool01@000000HF:m
000000000000ZX6X0080000000<0YgnY0000002UP:`00P0000020:I9E`070000002M@EH000000000
002>>5/0QcAL0000000209@oGP@0000000<0]9>d0000002dTk@00P2dTk@010000000]9>d0;BC]000
00030;BC]0@000000`34enP3000000h0oooo00@0000006Y8U`1ZB9L00000102fT:l010000000lln[
0???Z`0000030?ooo`030000001jQm@0NXOD0080000000<0^9Vh0000000000000P2gV;P010000000
k:5i0>bQN@00000A0?ooo`00403oool00`000000D2El000000050;>E^0@000002P3oool00`000000
EEfn000000050;:=/0@00000D03oool010000000GCbA05dlT@0000020;BC]0<000000P3Xdl000`00
0000oooo0?ooo`0T0?ooo`80000000P0IW380000002WOjT0YgnY0000002UP:`000000:>1[P`00000
0P2aTKD01@000000]9>d0;BC]02dTk@000000080]9>d00H000000;BC]02dTk@0]9>d0000002dTk@2
000000<0`mKX0`00000A0?ooo`H000000P2fT:l00`000000lln[000000050?ooo`050000001jQm@0
NXOD07Z7e00000001@2gV;P00`000000k:5i0000000A0?ooo`003`3oool00`000000D2El00000006
0;>E^0040000003PdLT0h=79000000X0oooo00@0000005EM_P1EGKh000000`2bSK001@000000/Xf`
0000003OV8<000000500oooo00@0000005dlT@1M?9400000102dTk@2000000030>SC`0000000oooo
02D0oooo00<0000006I`b01VL<P00P0000002`2WOjT0YH2/0:F0[0000000Xh6^0000002SP[000000
0:>3/P000000XhJd0080000000<0XhRg0000002aTKD00`2aTKD01@000000]9>d0;BC]02dTk@00000
00<0]9>d00<000000;BC]00000000P0000001030e>T000000<?Fj033e^P2000001<0oooo00@00000
06a5TP1/AI8000000P2fT:l3000000030???Z`000000oooo00D0oooo00D0000007Z7e0000000Lg[;
000000040;NH^0040000003/XGT0k:5i00000100oooo000?0?ooo`030000001@9G`0000000D0/iFh
00@000000>3Ab@3PdLT00000303oool010000000EEfn0000002bSK0200000080/Xf`0P0000000`3O
V8<000000?ooo`1=0?ooo`040000001M?940GCbA000000D0]9>d00@000000>_?^@3[ckT000009`3o
ool200000080KGoD00D000000:F0[0000000Xh6^000000020:>2/0040000002SPk8000000:>6]080
000000<0XhRg0000002aTKD0102aTKD01P000000]9>d0;BC]02dTk@000000;BC]0<0000000<0_]?Z
00000030e>T00P30e>T2000001@0oooo00@0000006a5TP1/AI8000001@2fT:l3000000L0oooo00@0
000007=jb`1cN//000001@2gV;P010000000k:5i0>bQN@00000?0?ooo`003P3oool010000000D2El
050UO00000050;>E^0040000003PdLT0h=79000000`0oooo00@0000005EM_P1EGKh000001@2bSK00
0`000000FVK50000001>0?ooo`80000000<0GCbA0000002dTk@00`2dTk@010000000jlni0>_?^@00
000Y0?ooo`030000001]Om@0KGoD00<0000000H0Xh6^0000002SP[0000000:>3/P0000020:>6]005
0000002TQkH000000:>8]`000000102aTKD00`000000]9>d0;BC]003000000030;[Aj`000000_]?Z
0080_]?Z0`00000F0?ooo`040000001/AI80K4FB000000@0]Y2_00@000000?;C/P3bdk800000203o
ool010000000Lg[;07=jb`0000040;NH^0040000003/XGT0k:5i000000l0oooo000>0?ooo`030000
001@9G`0000000D0/iFh00@000000>3Ab@3PdLT000003P3oool3000000D0/Xf`00@000000=nHP`1J
I/D00000C@3oool00`000000G42G0000000300000080]9>d00@000000>_?^@3[ckT00000:P3oool2
00000080MhoN0`000000102SP[0000000:>3/P0000020:>6]0050000002TQkH000000:>8]`000000
0P2aTKD5000000050;O?k0000000^]7[0;[Aj`0000000P2ndnX2000001P0oooo00@0000006a5TP1/
AI800000102fT:l00`000000l]>b000000090?ooo`040000001cN//0Lg[;000000D0]iRh00@00000
0>bQN@3/XGT000003P3oool000d0oooo00@00000050UO01@9G`000001@2cUKP010000000h=790>3A
b@00000>0?ooo`040000001HILD0F6G5000000D0/Xf`00<000000=nHP`000000C@3oool010000000
G42G05a0U`0000020;BC]0@0000000<0jlni0000003oool0:P3oool20000000307N?gP000000Oi_T
00h000000P2cc>`01P000000]lo/0;O?k02gcn`000000;[Aj`@000006P3oool010000000K4FB06a5
TP0000040;J@[`030000003bdk80000000X0oooo00@0000007=jb`1cN//00000102gV;P010000000
k:5i00000000000>0?ooo`003@3oool00`000000D2El000000050;>E^0040000003PdLT0h=790000
0100oooo0P1HILD00`000000/Xf`0;:=/0030;:=/0040000003OV8<0giR3000004/0oooo00D00000
05a0U`1L@9L0G42G000000040;BC]0040000003/c;<0k<bc000002d0oooo0P000000101oVn@00000
08VWj@00000208n_k0030000002H^>h000000080Wko_00<000000:C4l0000000102cc>`00`000000
]lo/00000002000001d0oooo00@0000006a5TP1/AI8000001@2fT:l00`000000l]>b0000000:0?oo
o`050000001cN//0Lg[;07=jb`000000102gV;P010000000l[>80?:cR000000=0?ooo`003@3oool0
101;:hP000000000000000040;>E^0040000003PdLT0h=7900000100oooo00@0000005QUa@1HILD0
00001@2bSK02000000030=fCO`000000oooo04T0oooo00@0000005a0U`1L@9L000001@2dTk@01000
0000k<bc0>c</`00000_0?ooo`<0000000@0RJOY0000002?[n`000000P2H^>h00`000000Wko_0000
00020:C4l0H00000803oool5000000<0]Y2_00@000000?;C/P3bdk8000002`3oool010000000Lg[;
07=jb`0000020;NH^0<000000P3b/hP00`000000oooo0?ooo`0;0?ooo`00303oool01@000000Bb^8
04/[R0000000/iFh0080000000D0/iFh0000003PdLT0h=790000000B0?ooo`030000001HILD00000
00<0/Xf`0P0000001@2bS[0000000=fCO`3MTgl0000004T0oooo0P0000000`1L@9L000000;BC]003
0;BC]0040000003/c;<0k<bc000003<0oooo2`0000001@2dTk@000000?3:ZP3`bZX000000240oooo
00D0000006i2S01^@X`000000;NA[`02000000040;J@[`000000l]>b000000`0oooo00<0000007=j
b`1cN//00`0000030;JH^@030000003b/hP0000000d0oooo000<0?ooo`030000001;:hP0000000@0
/iFh1@00000C0?ooo`030000001HILD00000008000000`2bS[0010000000gI=o0=fCO`0000190?oo
o`030000001L@IP0000000<000000P2dTk@010000000k<bc0>c</`00000g0?ooo`040000001UCJ40
IDfQ000000@0]9>d00<000000?3:ZP0000008@3oool010000000KT:<06i2S00000040;NA[`800000
00<0l]>b0000003oool0303oool20000000306i/_`000000]YRi00<0]YRi00<000000?:cR0000000
3@3oool000`0oooo00<0000004/[R00000001@2cUKP010000000i<bo0>C<_`00000C0?ooo`030000
001HILD0000000H0/Xj`00@000000=fCO`3MTgl00000B03oool010000000G46H05a1V00000020;BC
]0H00000=`3oool600000080]9>d00<000000?3:ZP0000008@3oool010000000KT:<06i2S0000005
0;NA[`<000003@3oool010000000KVbo06i/_`0000040;JH^@040000003b/hP0l[>8000000`0oooo
000;0?ooo`040000001;:hP0Bb^8000000@0/iFh00@000000>C<_`3Tc;l000005@3oool00`000000
G6g;000000060;:>/0040000003MTgl0gI=o000004L0oooo00<0000005a1V00000001@2dTk@01000
0000k<bc0>c</`00000g0?ooo`040000001UBI`0IDVL00000080]9>d1@00000Q0?ooo`040000001^
@X`0KT:<000000@0]i6_00@000000>oH^@3_f;T000003@3oool01@000000lK>906i/_`1^K;l00000
00@0]YRi00<000000?:cR0000000303oool000/0oooo00<0000004/[R00000001@2cUKP010000000
i<bo0>C<_`00000F0?ooo`030000001LKL/0000000D0/Xj`00<000000=fCO`3MTgl00P0000160?oo
o`030000001L@IP0000000D0]9>d00@000000>c</`3/c;<00000=P3oool010000000IDVL06E9W000
00050;BC]0030000003_c[0000000200oooo00D0000006i2S01^@X`0KT:<000000040;NA[`030000
003_f;T0000000l0oooo00@0000006i/_`1^K;l00000102fV;T00`000000l[>80000000<0?ooo`00
2P3oool010000000Bb^804/[R00000050;>E^0040000003Tc;l0i<bo000001H0oooo00<0000005a]
b`0000001P2bS[0200000080g99n00<000000?ooo`3oool0@`3oool4000000<0]9>d00@000000>c<
/`3/c;<00000=`3oool20000000306E9W0000000]9>d00<0]9>d00@000000>o>/03_c[000000803o
ool20000000306i2S0000000]i6_00<0]i6_00@000000>oH^@3_f;T000003`3oool010000000KVbo
06i/_`0000040;JH^@040000003b/hP0l[>8000000/0oooo000:0?ooo`030000001;:hP0000000D0
/iFh00@000000>C<_`3Tc;l00000603oool00`000000G6g;000000040;:>/0030000002bS[400000
0080g99n00<000000?ooo`3oool0@`3oool010000000GSbA0000002dTk@2000000050;BC]0000000
k<bc0>c</`000000=`3oool00`000000IdFE0000000300000080]9>d00@000000>o>/03_c[000000
7`3oool00`000000L4270710Q`02000000@0]i6_00<000000>oH^@000000403oool010000000KVbo
0000000000050;JH^@030000003b/hP0000000/0oooo000:0?ooo`030000001;:hP0000000D0/iFh
00@000000>C<_`3Tc;l00000603oool01@000000G6g;05a]b`000000/Xj`008000000P2bS[401@00
0000g99n0=bBOP3LTWh0000004<0oooo00@0000005hlT@1N?94000000`2dTk@3000000030>c</`00
0000oooo03D0oooo00D0000006M5U@1WAID0IdFE000000020;BC]0H000007`3oool01@000000L427
0710Q`000000]i6`0080000000D0]i6_0000003_f;T0kmRi0000000@0?ooo`050000001^K;l0KVbo
06i/_`0000000`2fV;T4000000/0oooo00090?ooo`040000001;:hP0Bb^8000000D0/iFh00@00000
0>C<_`3Tc;l000006@3oool010000000G6g;05a]b`0000050;:>/@040000003LTWh0g99n000004<0
oooo00<0000005hlT@0000001@2dTk@010000000jm2i00000000000f0?ooo`040000001WAID0IdFE
000000D0]9>d00@000000>kC^03^dkP000007P3oool01@000000L4270710Q`1`@8L0000000<0]i6`
0P0000020>oH^A80oooo00D0000006i/_`1^K;l000000;JH^@02000000040;FG^0000000m;fA0000
00/0oooo00090?ooo`030000001;:hP0000000H0/iFh00@000000>C<_`3Tc;l000006@3oool01@00
0000G6g;0000001MK/`0000000D0/Xja00@000000=bBOP3LTWh00000@@3oool010000000GSbA05hl
T@0000050;BC]0030000003[d;T0000003L0oooo0P0000000`1WAID000000;BC]0030;BC]0040000
003^dkP0k]>h000001l0oooo00@000000710Q`1`@8L000001@2gTK0300000180oooo1@0000030;FG
^0040000003d_I40m;fA000000X0oooo00090?ooo`D000000`2cUKP010000000i<bo0>C<_`00000K
0?ooo`80000000<0GFk<0000002bS[401@2bS[400`000000g99n000000110?ooo`D000000`2dTk@0
10000000jm2i0>_@^@00000g0?ooo`030000001Y@Hh0000000<000000P2dTk@010000000k]>h0>kC
^000000N0?ooo`050000001`@8L0L4270710Q`000000102gTK000`000000kM_10000000C0?ooo`04
0000001]IKT0KFFi000000D0]INh00<000000?BmT@0000002P3oool000T0oooo00<0000004PaT`00
00000P2dU[T7000001`0oooo00@0000005e^c01MK/`000001@2bS[4010000000g99n0=bBOP000010
0?ooo`050000001M?I80GCfB0000002dTk@00P000000102dTk@000000>_@^@00000g0?ooo`050000
001Y@Hh0JD6>06U1SP0000000P2dTk@3000000030>kC^0000000oooo01h0oooo00@000000710Q`1`
@8L000001@2gTK000`000000kM_10000000C0?ooo`040000001]IKT0KFFi000000D0]INh00<00000
0?BmT@0000002P3oool000T0oooo00<0000004PaT`0000001@2dU[T010000000i/Vi0>K9^@00000L
0?ooo`040000001MK/`0GFk<000000H0/Xja0P0000000`3MU80000000?ooo`0n0?ooo`030000001M
?I80000000@0]9>d1000000g0?ooo`80000000<0JD6>0000002dTk@00`2dTk@010000000jmNo0000
0000000N0?ooo`8000000P1`@8L00`000000]i6`0;NA/0020;NA/0030000003]fl40000001D0oooo
00@0000006eU^@1]IKT00000102eUkP00`000000m;fA0000000:0?ooo`002@3oool00`000000B36C
000000050;BF^@030000003VbKT0000001h0oooo00@0000005e^c01MK/`000000`2bS[4200000004
0;:>/@000000gIB0000003h0oooo00@0000005dmTP1M?I800000102dTk@010000000jlni0>_?^@00
000f0?ooo`030000001[?hX0Jcn:00800000102dTk@010000000jmNo0>_G_`00000M0?ooo`030000
001a?hD0LCn500<00000102gTK000`000000kM_10000000E0?ooo`040000001]IKT0KFFi000000@0
]INh00<000000?BmT@0000002P3oool000P0oooo00@0000004PaT`18<I<00000102dU[T010000000
i/Vi0>K9^@00000O0?ooo`040000001MK/`000000;:>/@8000000`2bS[4010000000gIB00=fDP000
000m0?ooo`030000001M?I80000000D0]9>d00@000000>_?^@3[ckT00000=P3oool01@000000Jcn:
06/oRP000000]9>d0080000000D0]9>d0000003[ekl0jmNo0000000N0?ooo`040000001a?hD0LCn5
00000080]i:`0P000000102gTK0000000>gK`@00000F0?ooo`040000001]IKT0KFFi000000@0]INh
00<000000?BmT@0000002P3oool000P0oooo00<0000004PaT`0000001@2dU[T010000000i/Vi0>K9
^@00000P0?ooo`030000001MK/`0000000H0/Xja00@000000=fDP03MU8000000?03oool500000080
]9>d00@000000>_?^@3[ckT00000=P3oool01@000000Jcn:06/oRP1[?hX0000000<0]9>d0`000000
0`3[ekl000000?ooo`0L0?ooo`050000001a?hD0LCn5074oQ@000000102gT[02000000030>gK`@00
0000oooo01D0oooo00@0000006eU^@1]IKT00000102eUkP010000000m;fA0?BmT@0000090?ooo`00
203oool00`000000B36C000000050;BF^@040000003VbKT0i/Vi00000200oooo0P0000000`1LKL/0
00000;:>/@040;:>/@050000003MU800gIB00=fDP0000000>`3oool00`000000G42G000000020;BC
]0@0000000<0jlni0000003oool0=@3oool20000000306/oRP000000]9>d00@0]9>d00@000000>WI
a@00000000007@3oool010000000LCn5074oQ@0000050;NB/080000000<0kM_10?ooo`3oool05@3o
ool010000000KFFi06eU^@0000050;FG^0030000003d_I40000000T0oooo00080?ooo`0300000018
<I<0000000D0]9Ji00<000000>K9^@0000008P3oool00`000000G6g;000000060;:>/@040000003M
U800gIB0000003/0oooo00<0000005a0U`000000102dTk@010000000k<bd00000000000e0?ooo`03
0000001/?XL0K3j700<000000`2dTk@010000000jMW50>WIa@00000M0?ooo`050000001a?hD0LCn5
074oQ@0000001@2gT[000`000000jmc40000000H0?ooo`040000001]IKT0KFFi000000@0]INh00<0
00000?BmT@0000002@3oool000P0oooo00<0000004PaT`000000102dU[T010000000i/Vi0>K9^@00
000S0?ooo`030000001LKL/0000000D0/Xja00<000000=fDP03MU8000P00000i0?ooo`030000001L
@9L0000000D0]9>d00@000000>c<]03/c;@00000=@3oool010000000K3j706`nQ`0000020;BC]080
000000D0]9>d0000003YfLD0jMW50000000M0?ooo`040000001a?hD0LCn5000000D0]i:`00<00000
0>_La00000006@3oool010000000KFFi06eU^@0000020;FG^0D000002@3oool000P0oooo00<00000
04PaT`000000102dU[T010000000i/Vi00000000000S0?ooo`040000001LKL/0G6g;000000D0/Xja
0P0000000`3RWXP000000?ooo`0h0?ooo`030000001L@9L0000000D0]9>d00<000000>c<]0000000
=@3oool01@000000K3j706`nQ`1/?XL0000000@0]9>d0P0000000`3YfLD000000?ooo`0L0?ooo`80
00000P1a?hD00`000000]i:`0;NB/0030;NB/0030000003[g<@0000001T0oooo1P0000020;BG^003
0000003ebZ00000000T0oooo00080?ooo`T0000000<0j<:_0000003oool08`3oool010000000G6g;
05a]b`0000030;:>/@8000000`3RWXP00`000000oooo0?ooo`0f0?ooo`D000000`2dTk@00`000000
k<bd0000000d0?ooo`030000001[?XT00000008000001@2dTk@010000000im[700000000000L0?oo
o`030000001a?hD0LCn5008000001@2gT[000`000000jmc40000000J0?ooo`040000001/Fjh0K5^^
000000@0]9Nh00<000000?G:X00000002@3oool000P0oooo00<0000004LlX@000000102dUkT01000
0000j<:_0>S2[`00000U0?ooo`040000001LKL/000000;:>/@8000000P2bS[0010000000hYj80>:N
R000000h0?ooo`030000001KAIh000000080]9>d1P00000d0?ooo`050000001[?XT0Jcj906/nR@00
0000102dTk@010000000im[70>OJa`00000M0?ooo`050000001a?hD0LCn50000002gT[000P000003
0;NB/0030000003[g<@0000001X0oooo00@0000006aK[P1/Fjh00000102dUkP00`000000mLZP0000
00090?ooo`00203oool00`000000AcbQ000000040;BG^@040000003X`Zl0j<:_000002D0oooo00@0
000005a]b`1LKL/00000102bS[001@000000hYj80>:NR03RWXP0000003L0oooo00<0000005]5WP00
00001@2dTk@00`000000kLN]0000000c0?ooo`060000001[?XT0Jcj906/nR@000000]9>d0P000002
0;BC]0030000003Wf/L0000001d0oooo00D00000074oQ@1a?hD0LCn5000000030;NB/0<0000000<0
jmc40000003oool06P3oool010000000K5^^06aK[P0000040;BG^0030000003ebZ00000000T0oooo
00080?ooo`0300000017?:40000000@0]9Ni00@000000>S2[`3X`Zl000009P3oool3000000D0/Xj`
00@000000>:NR03RWXP00000=P3oool010000000FdFN05]5WP0000040;BC]0040000003]ajd0kLN]
000003<0oooo00D0000006/nR@1[?XT0Jcj9000000030;BC]08000000P3Wf/L00`000000oooo0?oo
o`0K0?ooo`040000001a?hD0LCn5000000H0]i:`00<000000>_La00000006`3oool010000000K5^^
06aK[P0000040;BG^0030000003ebZ00000000T0oooo00080?ooo`0300000017?:40000000@0]9Ni
00@000000>S2[`3X`Zl000009P3oool010000000F6C305QT``0000040;:>/0050000003RWXP0hYj8
0>:NR0000000=@3oool010000000FdFN05]5WP0000040;BC]0040000003]ajd0kLN]000003<0oooo
100000040;BC]0040000003Xf/H00000000001d0oooo00D00000074oQ@1a?hD0LCn5000000050;NB
/0030000003[g<@0000001`0oooo00@0000006aK[P1/Fjh00000102dUkP00`000000mLZP00000009
0?ooo`00203oool00`000000AcbQ000000040;BG^@040000003X`Zl0j<:_000002L0oooo00<00000
05QT``0000001@2bS[0010000000hYj80>:NR000000e0?ooo`040000001KAIh0FdFN00000080]9>d
1P00000c0?ooo`040000001X@Y00J4:@000000@0]9>d00@000000>SJaP3Xf/H000007@3oool01000
0000LCn5074oQ@0000060;NB/08000007@3oool010000000K5^^06aK[P0000040;BG^0030000003e
bZ00000000T0oooo00080?ooo`0300000017?:40000000@0]9Ni00@000000>S2[`3X`Zl000009`3o
ool010000000F6C305QT``0000040;:>/0050000003RWXP0hYj80>:NR0000000=03oool600000080
]9>d00@000000>g0Y03]`:@00000<P3oool01@000000J4:@06Q2T0000000]9>d0080000000D0]9>d
0000003Xf/H0j=[60000000M0?ooo`050000001a?hD0LCn5074oQ@0000001@2gT[000`000000jmc4
0000000M0?ooo`040000001/Fjh0K5^^000000@0]9Nh00<000000?G:X00000002@3oool000P0oooo
00<0000004LlX@000000102dUkT010000000j<:_0>S2[`00000X0?ooo`030000001HI<<0000000<0
/Xj`1P00000d0?ooo`040000001JC:P0FTbX000000@0]9>d00@000000>g0Y03]`:@00000<P3oool0
10000000J4:@06Q2T00000030;BC]0<0000000<0j=[60000003oool0703oool200000003074oQ@00
0000]i:`00D0]i:`0P00000N0?ooo`040000001/Fjh0K5^^000000@0]9Nh00<000000?G:X0000000
2@3oool000P0oooo00<0000004LlX@000000102dUkT010000000j<:_00000000000X0?ooo`030000
001HI<<0F6C300<000000P2cSk0010000000ijfE0>N]U@00000d0?ooo`040000001JC:P0FTbX0000
00@0]9>d00@000000>g0Y03]`:@00000<P3oool00`000000J4:@000000050;BC]0040000003/e[d0
0000000001d0oooo00<0000006i1RP0000000P0000040;NB/0030000003[g<@0000001h0oooo00@0
000006aK[P1/Fjh00000102dUkP00`000000mLZP000000090?ooo`00203oool00`000000AcbQ0000
00020;BG^@@0000000<0ikVU0000003oool0:03oool3000000@0/hn`00@000000>N]U@3W[ID00000
=@3oool00`000000FTbX000000040;BC]0040000003]`:@0000000000340oooo00<0000006M3TP00
00000P0000030;BC]0040000003/e[d0k=Jm000001d0oooo00H0000006i1RP1^@HX0KT6:0000002f
TK0200000080]i:`0P00000O0?ooo`/000002@3oool000P0oooo1@0000020;FG^@040000003W^JD0
ikVU000002T0oooo00<00000059?/00000001@2cSk0010000000ijfE0>N]U@00000d0?ooo`030000
001JC:P0000000H0000000<0k;RK0000003oool0<03oool01@000000Id>B06M3TP000000]9>d0080
000000D0]9>d0000003/e[d0k=Jm0000000M0?ooo`040000001^@HX0KT6:000000@0]Y6`0P000000
0`3[g<@000000?ooo`0N0?ooo`040000001/Dj<0K5>S000000@0]9Jh00<000000?CD[`0000002@3o
ool000P0oooo00<0000004Q9[`000000102eUkT010000000ikVU0>NiY@00000Y0?ooo`040000001B
Ck00DTn`000000@0/hn`00@000000>N]U@3W[ID00000=03oool3000000@0]9>d00@000000>bhV`3/
^9/00000<03oool010000000Id>B06M3TP0000040;BC]080000000<0k=Jm0000003oool0703oool0
1@000000KT6:06i1RP1^@HX0000000D0]Y6`00<000000>_La03oool07`3oool010000000K5>S06aC
X`0000040;BF^0030000003de:l0000000T0oooo00080?ooo`0300000018BJl0000000@0]INi00@0
00000>NiY@3W^JD00000:P3oool00`000000DTn`000000040;>?/0040000003W[ID0ijfE000003@0
oooo00<0000005]D/@000000102dTk@01@000000k;RK0>bhV`3/^9/0000002l0oooo0P0000000`1W
@i8000000;BC]0040;BC]0<000007@3oool010000000KT6:06i1RP0000050;JA/0030000003^f[h0
000001l0oooo00@0000006aCX`1/Dj<000001@2dU[P00`000000m=B_000000090?ooo`00203oool0
0`000000B4V_000000040;FG^@050000003W^JD0ikVU0>NiY@000000:@3oool00`000000DTn`0000
00040;>?/0040000003W[ID0ijfE000003@0oooo00@0000005]D/@1KE;400000102dTk@010000000
k;RK00000000000_0?ooo`030000001X@Hl00000008000000`2dTk@010000000k=Fl0>cE_000000M
0?ooo`040000001^@HX0KT6:000000D0]Y6`00<000000>kJ_P0000007`3oool010000000K5>S06aC
X`0000050;BF^0030000003de:l0000000T0oooo00080?ooo`0300000018BJl0000000D0]INi00@0
00000>NiY@3W^JD00000:@3oool00`000000DTn`000000050;>?/0040000003W[ID0ijfE000003@0
oooo00<0000005]D/@0000000P2dTk@4000000030>^`T`000000oooo02d0oooo00@0000006Q1S`1X
@Hl000000P2dTk@2000000040;BC]0000000k=Fl000001d0oooo00@0000006i1RP1^@HX000001@2f
TK000`000000k]Zn0000000P0?ooo`040000001/Dj<0K5>S000000D0]9Jh0P00000:0?ooo`00203o
ool00`000000B4V_000000050;FG^@040000003W^JD0ikVU000002T0oooo00@00000059?/01BCk00
00000P2cSk06000003@0oooo00<0000005]D/@0000000P0000020;BC]0040000003[/9<0jk2C0000
00<0oooo2P00000Q0?ooo`040000001X@Hl0J46?000000@0]9>d0P0000000`3/eK`000000?ooo`0L
0?ooo`D00000102fTK000`000000Kd:;0000000P0?ooo`040000001/Dj<0K5>S000000@0]9Jh00<0
00000?CD[`0000002P3oool000T0oooo00<0000004Q9[`000000102eUkT010000000ikVU0>NiY@00
000Z0?ooo`030000001BCk000000008000000P2dSk0010000000jKBL0>VdW000000d0?ooo`<00000
102dTk@010000000jk2C0>^`T`3[/9<30000000308lmHP000000UT9P0080UT9P00D0000009i7G`2N
Ael000000:E=GP07000001X0oooo00<0000006Q1S`0000001@2dTk@010000000jmNo00000000000M
0?ooo`050000001ZAiD0JTNE0000002fT;000P000000102fTK0000000>kJ_P00000P0?ooo`050000
001/Dj<0K5>S06aCX`000000102dU[P00`000000m=B_0000000:0?ooo`002@3oool00`000000B4V_
000000040;FG^@040000003W^JD00000000002X0oooo0`0000040;B?/0040000003Y]9`0jKBL0000
03@0oooo00<0000005aL^00000001@2dTk@00`000000jk2C000000020000000308lmHP000000UT9P
0080UT9P00@0000009i7G`2NAel000000`2UCEh010000000[55N0:aAGP0000020:mDG@<000005P3o
ool00`000000j=S400000002000000@0]9>d00<000000>_G_`0000007@3oool01@000000JTNE06Y7
U@1ZAiD0000000<0]Y2`0P0000000`3^f[h000000?ooo`0O0?ooo`040000001/Dj<0K5>S000000D0
]9Jh00<000000?CD[`0000002P3oool000T0oooo00<0000004Q9[`0000000`2eUkT3000000030>J_
V`000000oooo02T0oooo00<000000556Y`000000102dSk0010000000jKBL0>VdW000000d0?ooo`04
0000001LG;P0G5bh000000<0]9>d0`0000000`3YZXh0000008lmHP0=00000080[55N00@000000:mD
G@2_E5d000000P2_EEh3000001<0oooo00D0000006/oRP1[?hX000000;BC]002000000050;BC]000
0000jmNo0>_G_`0000007@3oool010000000JTNE06Y7U@0000050;J@/0030000003^f[h0oooo0200
oooo0P0000000`1/Dj<000000;BF^0040;BF^0030000003de:l0000000X0oooo00090?ooo`040000
0018BJl000000;FG^@80000000<0]YRh0000003V[i/00P3V[i/00`000000oooo0?ooo`0W0?ooo`03
0000001AAZL0000000@0]8n`00@000000>VdW03Y]9`00000=@3oool010000000G5bh0000002dTk@2
000000040;FD]P000000jJZ>0>VZSP80000000<0Z8^g0000002XR[D00P2XR[D010000000Z8Vd0:R9
]00000020:R8/P030000002XQk40000000D000000P2_EEh00`000000]5UO0;AIG`0200000100oooo
00@0000006/oRP1[?hX00000102dTk@2000000030>_G_`000000oooo01d0oooo00@0000006Y7U@1Z
AiD00000102fT;000`000000l]6_0000000Q0?ooo`80KDfJ100000030;BF^0030000003de:l00000
00X0oooo00090?ooo`@00000102fV;P010000000iZnK0>J_V`00000Y0?ooo`030000001AAZL00000
00D0]8n`00@000000>VdW03Y]9`00000=03oool010000000G5bh0000000000040;FD]P060000003Y
ZXh0jJZ>0000002XRkL000000`2XR[D010000000Z8Vd0:R9]00000020:R8/P040000002XQk40Z8Na
00000080YhJ`00<000000:R6/00000000P0000020;AIG`040000002jGf000000000000h0oooo0P00
00000`1[?hX000000;BC]0030;BC]0040000003YfL@00000000001h0oooo00@0000006Y7U@1ZAiD0
0000102fT;000`000000l]6_0000000Q0?ooo`<0KDfJ00<000000;>E^02cUKP01P00000:0?ooo`00
2@3oool00`000000C5Nl000000050;JH^0040000003V[i/0iZnK000002T0oooo00@000000556Y`1A
AZL00000102dSk0010000000jKBL0>VdW000000b0?ooo`D000001@2eU;H010000000jJZ>0>VZSP00
00020:R;]`030000002XR[D000000080Z8Vd00@000000:R8/P2XR;8000000`2XQk400`000000YhJ`
000000030:R6/0030000002XQ[000000008000000`2jGf02000000/0oooo00<0000006hmQ01^?H@0
0P0000040;BC]0030000003YfL@0000001h0oooo00D0000006Y7U@1ZAiD0JTNE000000040;J@/003
0000003bdJl000000200oooo00@0000006e=VP1]CIX000001P2cUKP00`000000l=bk0000000:0?oo
o`002P3oool00`000000C5Nl000000040;JH^0050000003V[i/0iZnK0>J_V`000000:@3oool00`00
0000DDJW000000040;B?/0040000003Y]9`0jKBL00000300oooo0P00000208@jJ@040000001NHkl0
GV>o000000D0]IBf00<000000>VZSP0000000P2XRkL00`000000Z8Ze000000020:R9]0040000002X
R;80Z8Rb00000080Z8Na00@000000:N6/02WQ[0000000P2XQ[001P000000Z8J`0:R6/02XQ[000000
0:V5[`<000000P31IV82000000T0oooo00D0000006hmQ01^?H@000000;BC]002000000050;BC]000
0000jMW40>WIa00000007P3oool010000000JTNE06Y7U@0000050;J@/0030000003bdJl000000200
oooo00@0000006e=VP1]CIX000001@2cUKP00`000000l=bk0000000;0?ooo`002P3oool00`000000
C5Nl000000050;JH^0040000003V[i/0iZnK000002T0oooo00<000000556Y`000000102dSk001000
0000jKBL0>VdW000000_0?ooo`030000001o>6`000000080Q3YY00@0000005iS_`1NHkl00000102e
U;H4000000030:R;]`000000000000T0000000@0Z8Na0000002WQ[0000000`2XQ[0010000000Z8J`
0:R6/00000020:V5[`040000002YQJh000000<5VHP80000000<0aVeT0000000000001P3oool20000
0080KSf400@000000;BC]02dTk@0]9>d0P0000000`3YfL@000000?ooo`0N0?ooo`80000000<0JTNE
0000002fT;000`2fT;000`000000l]6_0000000Q0?ooo`040000001]CIX0KDfJ000000D0/iFh00<0
00000?3L^`0000002`3oool000X0oooo00<0000004aG_00000001@2fV;P010000000iZnK0>J_V`00
000Y0?ooo`030000001AAZL0000000P00000;P3oool020000000OcQ/07lhK0000000Q3YY0000002d
Tk@000000P1NHkl01P000000]IBf000000000000^9no00000080kKJF00<000000:[9l00000000P2P
`_000`000000VK_`0000000208nbkP0300000027ZN/0000000@0000000<0Z8J`0000002XQ[000P2X
Q[0010000000ZHF_0:V5[`0000020:V5[P0300000036KF@0aVeT00<0aVeT00<000000?ooo`3oool0
0P3oool00`000000LS]n078kOP02000000@0]9>d00@000000>GLb`00000000007`3oool00`000000
J4ZK0000000300000080]Y2`00<000000?;A[`0000008@3oool00`000000KDfJ000000050;>E^004
0000003`g;/0l=bk000000/0oooo000:0?ooo`040000001<Ek`0C5Nl000000@0]YRh00D000000>J_
V`3V[i/0iZnK0000000X0?ooo`<00000102dSk0010000000jKJM0>VfW@00000]0?ooo`030000001o
>6`0OcQ/0080OcQ/00<000000;BC]02dTk@01@0000030;RO_`060000003]]YH000000>b`T0000000
Z/W`1P000000202?/^h0000008NYj`27ZN/00000086Rj@000000PjCY0`0000001@2XQ[0000000:V5
[`2YQJl000000080ZHF^00D000000:Z5[@00000000000<I]I002000000050<acI`000000oooo0?oo
o`0000000`1b>gh00`000000]9>d000000030;BC]0030000003Ug</000000200oooo00@0000006Q:
V`1XBY/000000P2eT;03000000030?;A[`000000oooo0200oooo00<0000006e=VP0000001@2cUKP0
0`000000l=bk0000000<0?ooo`002`3oool00`000000C5Nl000000050;JH^0040000003V[i/00000
000002P0oooo00<000000555Y@000000102dSk0010000000jKJM0>VfW@00000/0?ooo`8000000P1o
>6`300000080]9>d00@0000005i/b01NK<P000001@2hWkl2000000030>b`T0000000000000H0oooo
1P0000000`21X^T0000008>Tj@0400000080ZHF_00<000000:V5[P000000102ZQJd02`000000c7=W
0<acI`3<LfL000000?ooo`000000Mc]i0000001b>gh0000000<0]9>d0`0000020>GLb`030000003o
ool0oooo01h0oooo00@0000006Q:V`1XBY/00000102eT;0300000200oooo00@0000006e=VP1]CIX0
00001@2cUKP00`000000l=bk0000000<0?ooo`002`3oool00`000000C5Nl000000040;JH^0<00000
00<0i:ZE0000003oool09`3oool00`000000DDFU000000040;B?/0040000003Y]Yd0jKJM000002X0
oooo0P00000207/gK`8000000`2dTk@010000000]9>d0;BC]000000205i/b0030000002hWkl0^9no
0080^9no00D000000>b`T03//900k;2@0000000<0?ooo`80000000@0PjCY00000020X>L0P:3W0`00
00020:V5[P060000002ZQJd0ZXF]0:Z5[@000000ZhF/0P0000020<acI`8000000P1g>gT00`000000
]9>d0;BC]0040;BC]0030000003Ug</000000240oooo00@0000006Q:V`1XBY/00000102eT;000`00
0000l/bX0000000P0?ooo`040000001]CIX0KDfJ000000@0/iFh00<000000?3L^`0000003@3oool0
00/0oooo00D0000004aG_01<Ek`000000;JH^002000000030;JG^0000000i:ZE0080i:ZE00<00000
0?ooo`3oool09@3oool00`000000DDFU000000040;B?/0040000003Y]Yd0jKJM000002T0oooo00L0
000007/gK`1k=fl0NcM_0000002dTk@0000000<0]9>d00@000000;BC]02dTk@000000P1NK<P00`00
0000^9no0;RO_`02000000030;VP_`000000k;2@008000003P3oool300000003082Pi`000000NiWT
00<000000`2ZQJd00`000000ZhF/0:^5[0020:^5[080000000H0cgQX00000000000000000;BC]000
00040;BC]0040000003QgM80000000000200oooo00@0000006Q:V`1XBY/000001@2eT;000`000000
l/bX0000000P0?ooo`030000001]CIX0000000D0/iFh00<000000?3L^`0000003@3oool000`0oooo
00@0000004aG_00000000000102fUkP010000000i:ZE0>BZU@00000W0?ooo`040000001AAJD0DDFU
000000@0]8n`00@000000>VfW@3Y]Yd000009`3oool20000000307/gK`00000000000080]9>d00<0
00000;BC]02dTk@00P2dTk@2000000030<WIi@000000000000<000000`2iX;l01@000000k;2@0000
003ZZ8P000000100oooo0P0000000`1kVN@0000007F@h003000000030:Z5[@000000ZhF/0080ZhF/
00<000000:^5[00000000P3?N6P200000080]9>d0P0000001@2dTk@000000>7MdP3QgM8000000240
oooo00@0000006Q:V`1XBY/00000102eT;0010000000l/bX0?;<Z000000P0?ooo`0306i;U`000000
0000008000000P2cUKP010000000l=bk0?3L^`00000=0?ooo`00303oool3000000D0]YNh00D00000
0>BZU@3TZYD0i:ZE0000000W0?ooo`030000001AAJD0000000@0]8n`00@000000>VfW@3Y]Yd00000
9@3oool200000080N3Ia00<000000;BC]02dTk@00`2dTk@00`000000]9>d0000000200000080bMWU
00D00000069dc`1RM<l0HWC?000000040;VP_`030000003ZZ8P0jZR8008000004@3oool200000005
07F@h0000000LHWL0769g00000000`2[QJ`010000000ZhF/0:^5[02[QJ`200000080dW]Y00D00000
0;BC]02dTk@0]9>d000000020>7MdP030000003oool0oooo0200oooo00@0000006Q:V`1XBY/00000
102eT;000`000000l/bX0000000P0?ooo`040000001^BiL0KT^G00000080/iFh0`0000020?3L^`h0
oooo000<0?ooo`040000001@Gl@0D5o4000000D0]YNh00@000000>BZU@3TZYD000009`3oool00`00
0000DDFU000000040;B?/0040000003Y]Yd0jKJM000002@0oooo00L0000007PfL@1h=W40N3Ia0000
002dTk@0000000D0]9>d00@000000<kJhP3>f^80c][R0P0000001@3oool00000069dc`1RM<l00000
0080^J2o0P0000001@2kXKl000000000003TVgh0000001<0oooo0P0000001P1aRM`0000006b2e`00
0000ZhF/000000<0ZhF/00<000000:n:[`0000000`3BNfT01`000000]9>d0000003Lg]P000000>7M
dP0000008P3oool010000000J4ZK06Q:V`0000040;F@/0030000003bc:P000000200oooo00<00000
06i;U`0000001@2cUKP3000000h0oooo000=0?ooo`030000001@Gl@0000000D0]YNh00D000000>BZ
U@3TZYD0i:ZE0000000V0?ooo`030000001AAJD000000080]8n`1P00000S0?ooo`050000001d=W<0
000007PfL@0000000`2dTk@010000000]9>d0;BC]02dTk@2000000030<kJhP000000000000<0oooo
00<00000069dc`1RM<l00`0000040;^Q_`040000003TVgh0i9]n000001@0oooo0P00000206b2e`03
0000002[QJ`0ZhF/008000000`2_RZl00`000000dW]Y0=9kJ@0300000080g=kH00<000000?ooo`3o
ool08@3oool600000080]I2`00<000000?;<Z00000007`3oool010000000oooo06i;U`0000040;>E
^0040000003_g[l0kmjo000000h0oooo000=0?ooo`040000001@Gl@0D5o4000000D0]YNh00@00000
0>BZU@3TZYD000009P3oool500000080]8n`00@000000>VeW@3Y]Id000008P3oool01@000000M3Ic
07@fL`1d=W<0000000D0]9>d00<000000;BC]00000000P3Cfmh00`000000oooo0?ooo`040?ooo`80
000000<0Ih3H0000002kXKl00`2kXKl01@000000_:6m000000000000h99g00800000503oool20000
000306Qkd`000000000000H0[hZ_0P0000001@3QTgP000000=cNf03Lg]P0000002@0oooo00@00000
06Q:VP1XBYX000000P2eT;05000001l0oooo00@000000>kM`01^BiL00000102cUKP00`000000kmjo
0000000?0?ooo`003P3oool00`000000D5o4000000050;JG^0050000003TZYD0i:ZE0>BZU@000000
9@3oool00`000000DDFV000000040;B?/0040000003Y]Id0jKFM00000240oooo00L0000007@fL`1d
=W<0M3Ic0000002dTk@0000000D0]9>d00@000000=?KgP3Cfmh00000203oool010000000Ih3H06N0
f00000020;^Q_`050000002lXKd0_:6m0;bQ_@0000000P3PTWL2000001<0oooo0P00000206Qkd`80
00001P2_RZl00`000000hI=h0>6CN002000002@0oooo00@0000006Q:VP1XBYX000001@2eT;000`00
0000l/bX0000000N0?ooo`040000001^BiL0k]g0000000D0/iFh00<000000>oN_`0000003`3oool0
00h0oooo00@00000051Oa01@Gl@000001@2fUkP010000000i:ZE00000000000U0?ooo`030000001A
AJH0000000@0]8n`00@000000>VeW@3Y]Id00000803oool20000000307@fL`00000000000080]9>d
00<000000;BC]02dTk@00P2dTk@2000000030=?KgP000000oooo00P0oooo00H0000006N0f01WP=P0
00000;^Q_`0000030;bQ_@040000002nXkd0000000000080ehA_00<000000?ooo`3oool03`3oool0
0`000000T3iR0000000200000080JgcB00<000000:n:[`2_RZl00P2_RZl01@000000_:2l00000000
0000hYIj008000008`3oool010000000J4ZJ06Q:VP0000050;F@/0030000003bc:P0000001h0oooo
00@0000006i;U`0000000000102cUKP010000000kmjo0>oN_`00000?0?ooo`003`3oool00`000000
D5o4000000050;JG^08000000P3PWh`00`000000oooo0?ooo`0R0?ooo`030000001AAJH0000000@0
]8n`00@000000>VeW@3Y]Id000007`3oool010000000LSEf078eMP0000050;BC]0040000002dTk@0
000000000080eM_L00<000000?ooo`3oool02@3oool4000000<0_:6m00D000000;jS_@2nXkd0_Z>m
000000020=N4K`L000001`3oool4000000<0T3iR0P00000306]ldP040000002_RZl00000000000<0
_:2l00D000000>:FNP3RUWX0hYIj0000000R0?ooo`040000001XBYX0J4ZJ000000D0]I2`00<00000
0?;<Z00000007@3oool00`000000KT^G06i;U`02000000@0/iFh00<000000>oN_`000000403oool0
00l0oooo00@00000051Oa01@Gl@000000`2fUkP00`000000]iRh000000020>2OS0030000003oool0
oooo0280oooo00<000000555YP0000001@2dSk0010000000jKFM0>VeW@00000N0?ooo`050000001b
=GH000000;BC]00000001@2dTk@01@000000eM_L0=GKg03Efm`0000000d0oooo00<00000072>h01`
S^000P0000000`2lXKd000000;jS_@020;jS_@@0000000H0cWMX00000033JVD0`fYU00000033J687
000000040:A:G@000000000009Y4GP<000000P2oUjh00`000000JgcB06]ldP02000000@0_:2l00<0
00000;bP_00000000P3RUWX200000240oooo00@0000006Q:VP1XBYX00000102eT;000`000000l/bX
0000000N0?ooo`050000001^BiL0KT^G0;>E^0000000102cUKP00`000000kmjo0000000@0?ooo`00
403oool010000000D5o40000002fUkP200000080]iRh00D000000>2OS03PWh`0h9n<0000000T0?oo
o`030000001AAJH0000000@0]8n`00@000000>VeW@3Y]Id000007@3oool00`000000LSEf00000003
0;BC]0090000002dTk@0]9>d0;BC]0000000f=_I0000003Efm`0000000l0oooo00<00000072>h01`
S^000P0000030;jS_@040000002oX[/0_j:k0;nR^`80000000<0cWMX00000033JVD00P0000001033
J68000000;YNGP0000020;1DG0080000002TBUd0Y4YM0000002JA5h000000<6I[`0000020;nG[P<0
00000P1dSml010000000_:2l0;bP_00000030;bP_080000000<0i9Ul0000003oool07`3oool01000
0000J4ZJ06Q:VP0000050;F@/0030000003bc:P0000001d0oooo00<000000797S`0000000P000005
0;>E^0030000003_g[l000000100oooo000@0?ooo`040000001@Gl@0D5o4000000D0]iRh00@00000
0>2OS03PWh`00000903oool00`000000DDFV000000040;B?/0040000003Y]Id0jKFM000001`0oooo
0P0000000`1b=GH000000;BC]0030;BC]0030000002dTk@0000000<0f=_I00<000000?ooo`3oool0
3`3oool200000080N9_W00@000000;jS_@2nXkd000000P2oX[/00`000000`:6i0<2Q^@0600000005
0<=XHP000000^UiN0000002`E5`01@0000020<6I[`040000002oUjh0_iN^0;nG[P8000000P1dSml0
0`000000_:2l000000050;bP_0040000003TVG`0i9Ul000001l0oooo00@0000006Q:VP1XBYX00000
1@2eT;000`000000l/bX0000000M0?ooo`040000001bAhl0LTN?0797S`<000000P2cUKP010000000
kmjo0>oN_`00000@0?ooo`004@3oool20000000305M`d0000000]iRh00<0]iRh00D000000>2OS03P
Wh`0h9n<0000000S0?ooo`030000001AAJH000000080]8n`1P00000K0?ooo`040000001_=GP0KcEh
000000H0]9>d00D000000=SKf@3HfmT0f=_I0000000C0?ooo`040000001hVnL0N9_W07RKi`800000
0`2oX[/01@000000`:6i0<2Q^@30XKT000000080`9ng00<000000<:Q]`000000100000001@33W[<0
00000<:K/@32Vk40000000<0`IV_00@000000;nG[P2oUjh0_iN^0P00000207B?g`030000002lX;`0
_:2l00<0_:2l00@000000;^P_@000000i9Ul0P00000N0?ooo`H000000`2eT;000`000000l/bX0000
000L0?ooo`050000003Xh//0LTN?0797S`0000000`2cU;P300000080kmjo4@3oool00180oooo0P1G
L=000`000000]iRh0;NH^0030;NH^0050000003PWh`0h9n<0>2OS00000008P3oool00`000000DDFV
0000000200000080/hj_00@000000>R`V03X/9P000006P3oool01P000000KcEh06leN0000000]9>d
000000@0]9>d00D000000=_Ke`000000f=_I0000000E0?ooo`030000001hVnL0N9_W00<0000000<0
_j:k00000030XKT00P30XKT01@000000`9ng0<2O]`30WkL000000080`Z6g00<000000<:O]@000000
0P33W[<010000000`Y^a0<:K/@0000030<6I[`030000002oUjh000000080000000@0fn7J00000000
0000LXgN0P0000000`2lX;`00000000000020;^P_@80000000<0iI]m0000003oool07@3oool01000
0000JDRH06U8V00000020;F@/0H00000703oool01@000000j>;;0797S`1bAhl0000000@0/iBh00@0
00000>WSb`00000000004@3oool00180oooo00@0000005M`d01GL=000000102gV;P010000000h9n<
0>2OS03PWh`200000240oooo0`0000040;>>[`040000003X/9P0j;2H000001T0oooo00@0000006le
N01_=GP000000`2dTk@2000000030;BC]0000000fm_G0080fm_G00<000000?ooo`3oool05@3oool2
000000<0Q:W]0P0000030<2Q^@0400000030WkL0`9ng000000<0`Z6g00<000000<:O]@0000000`33
W[<010000000`Y^a0<:K/@0000030<6I[`030000003DhN40e>7Q0080000000@0oooo0000001bSMh0
LXgN0P0000050;^P_@040000003UVgd0iI]m000001d0oooo00@0000006U8V01YB9P000001@2eT;00
0`000000l/j[0000000K0?ooo`050000001bAhl0j>;;0797S`0000001@2cU;P00`000000jN?;0000
000B0?ooo`004`3oool010000000Eg3@05M`d00000040;NH^0050000003PWh`0h9n<0>2OS0000000
8@3oool00`000000D4V[000000040;>>[`040000003X/9P0j;2H000001P0oooo00@0000006`eN`00
000000001P2dTk@01@000000fm_G0=_Ke`3KfmL0000001T0oooo0P00000208BYk@030000002?]O00
0000008000000`30WkL010000000`Z6g0<:Q]`0000030<:O]@0400000033W[<0`ijc00000080`Y^a
00<000000<6I[`0000000P0000020=CQh@040000003oool0oooo0?ooo`8000000P1`RM`020000000
^j2m0;^P_@2kX;d000000;^P_@000000iI]m0P00000L0?ooo`040000001YB9P0JDRH000000@0]I2`
00@000000?;>Z`3bcZ/000006`3oool01@000000LTN?0797S`1bAhl0000000@0/iBh00@000000>WS
b`3Yhl/000004P3oool001@0oooo00<0000005M`d0000000102gV;P01P000000h9n<000000000000
fi>300000200oooo00<000000519Z`000000102cSZl01@000000j;2H0>R`V03X/9P0000001H0oooo
00H0000006`eN`1/=G/000000;BC]00000040;BC]0050000003Mf]@000000=_Ke`000000703oool2
000000@0SkG`1P0000000`32XKL000000<:O]@020<:O]@0300000033W[<0000000D000000P3;gnL3
000000D0oooo00D000000729g01`RM`000000;^P_@0200000080^j2m0P0000000`3UW7h000000?oo
o`0J0?ooo`040000001YB9P0JDRH000000D0]I2`00<000000?;>Z`0000006`3oool01@000000LTN?
0797S`1bAhl0000000D0/iBh00<000000>WSb`0000004`3oool001@0oooo00@0000005M`d01GL=00
0000102gV;P00`000000fi>30=^CP`020=^CP`030000003oool0oooo01d0oooo00<000000519Z`00
00001@2cSZl010000000j;2H0>R`V000000F0?ooo`040000001/=G/0K3Ek00000080]9>d00@00000
0;BC]02dTk@000000`3Mf]@00`000000oooo0?ooo`0M0?ooo`80000000<0SkG`0000002H__800P2H
__800`000000WlGc09o5l`07000000050;KFl0000000`]c/0<;Lk00000000P3;gnL2000000L0oooo
00<000000729g01`RM`00P0000050;^P_@040000003UW7h0iIan000001X0oooo00@0000006U8V01Y
B9P000001@2eT;000`000000l/j[0000000K0?ooo`050000001bAhl0LTN?0797S`000000102cU;P0
10000000jN?;0>WSb`00000C0?ooo`005@3oool010000000Eg3@05M`d00000020;NH^0030000002g
V;P0000000@0fi>300<000000?ooo`3oool0703oool010000000D4V[0519Z`0000040;>>[`040000
003X/9P0j;2H000001D0oooo00@0000006`eN`1/=G/00000102dTk@00`000000]9>d000000020=gJ
e0030000003oool0oooo0200oooo0`00000209RnlP040000002OaO<0WlGc000000<0Z/kc00H00000
0;KFl02fe_00]]K`00000032g>`4000000X0oooo0P00000206n7f`060000002kX;d0^j2m0;^P_@00
0000^inm0P0000000`3VWWl000000?ooo`0H0?ooo`040000001YB9P0JDRH000000D0]I2`00<00000
0?;>Z`0000006P3oool01@000000LTN?0797S`1bAhl0000000@0/iBh00@000000>WSb`3Yhl/00000
503oool001H0oooo00D0000005M`d0000000]iRh000000030;NH^0050000003KTh<0fi>30=^CP`00
00007`3oool00`000000D4V[000000040;>>[`040000003X/9P00000000001@0oooo00D0000006`e
N`000000K3Ek000000050;BC]0040000003Mf]@0gM[D000002H0oooo3`00000?0?ooo`050000001_
Qm/0KhOK0000002kX;d00P0000030;^O_@040000003VWWl0iYio000001P0oooo00@0000006U8V01Y
B9P00000102eT;0010000000l/j[0?;>Z`00000I0?ooo`060000001gA8H000000000001bAhl00000
102cU;P00`000000jN?;0000000E0?ooo`005P3oool010000000Eg3@05M`d00000050;NH^0050000
003KTh<0fi>30=^CP`0000007P3oool00`000000D4V[000000020;>>[`@0000000<0iZ^C0000003o
ool04P3oool00`000000K3Ek06`eN`02000000D0]9>d00@000000=oJd00000000000AP3oool40000
00@0^inm00<000000;^O_@0000000P3VWWl00`000000oooo0?ooo`0E0?ooo`H000000P2eT;000`00
0000l/j[0000000I0?ooo`030000003Pi=L0MdB60080MdB600<000000;>D^02cU;P00P2cU;P01000
0000jN?;0>WSb`00000E0?ooo`005`3oool20000000306:1f`000000]iRh00@0]iRh00@000000=^C
P`3KTh<0fi>30P00000L0?ooo`030000001@BJ/00000008000000P2cSZl010000000iZ^C0>J[T`00
000C0?ooo`060000001/=G/000000000002dTk@000000`2dTk@010000000gm[@0=oJd00000180?oo
o`040000001_Q]X0KhKJ00000080^inm00P000000;^O_@2kWkd000000>JNO`000000iYj0000001H0
oooo00@0000006]5TP1[AI8000000P2fT:l3000000030?;>Z`000000oooo01L0oooo00<0000007M4
QP1gA8H00P1gA8H010000000/YBh0000000000020;>D^0030000003Yhl/0000001H0oooo000H0?oo
o`040000001RPM/0HX7K000000D0]iRh00D000000=^CP`3KTh<0fi>30000000L0?ooo`<000001@2c
SZl010000000iZ^C0>J[T`00000A0?ooo`040000001/=G/0K3Ek000000<0]9>d0P000000102dTk@0
00000=oJd00000190?ooo`060000001_Q]X0KhKJ0000002kWkd00000102kWkd010000000iYj00>JN
P000000E0?ooo`040000001[AI80JdFB000000D0]Y2_0`00000H0?ooo`050000001gA8H0MdB607M4
QP000000102bU;P200000080jN?;00<000000?ooo`3oool0503oool001T0oooo00@0000006:1f`1R
PM/000001@2gV;P01@000000fi>30000003CQWX0000001/0oooo00<00000055?/@0000001@2cSZl0
10000000iZ^C0>J[T`00000@0?ooo`030000001^=GT00000008000001@2dTk@010000000gm[@0=oJ
d000001:0?ooo`@00000102kWkd00`000000^inm000000020>JNP0030000003oool0oooo0180oooo
00@0000006]5TP1[AI800000102fT:l010000000lM>a0?7C/@00000G0?ooo`050000001gA8H0MdB6
07M4QP0000001@2bU;P010000000h>GG00000000000G0?ooo`006@3oool010000000HX7K06:1f`00
00060;NH^0050000003CQWX0dhIj0=>6NP0000006P3oool010000000DDna055?/@0000040;>>[`04
0000003VZi<0iZ^C000000l0oooo00D0000006heN@1^=GT0KSEi000000050;BC]0040000003PfM00
0000000004`0oooo00D0000006j5f@1^QMT000000;^O_@0200000080^inm00D000000>JNP0000000
ij610000000C0?ooo`040000001[AI80JdFB000000@0]Y2_00<000000?7C/@0000005`3oool01@00
0000MdB607M4QP1gA8H0000000H0/YBh00<000000>3Ue`000000603oool001X0oooo00@0000006:1
f`1RPM/00000102gV;P00`000000^9Rg000000030=>6NP8000006@3oool00`000000DDna00000004
0;>>[`040000003VZi<0iZ^C000000l0oooo00H0000006heN@1^=GT000000;BC]00000030;BC]004
0000003PfM00h=W@000004d0oooo00<0000006j5f@1^QMT00P0000050;^O_@040000003WXH40ij61
00000180oooo00D0000006]5TP1[AI80JdFB000000040;J@[`030000003adk40000001H0oooo00D0
000007M4QP1gA8H0MdB6000000060;:D^0030000003PiML0000001T0oooo000K0?ooo`040000001R
PM/0HX7K00000080]iRh00@000000;RH]`2hV;L0^9Rg0P0000030=>6NP030000003oool0oooo01H0
oooo00<00000055?/@0000001@2cSZl010000000iZ^C0>J[T`00000=0?ooo`040000001^=GT0KSEi
000000<0]9>d0P000000102dTk@000000>3Id000001?0?ooo`8000000P1]PmP01`000000^inm0;^O
_@2kWkd000000;ZO_@0000000P3WXH400`000000oooo0?ooo`0?0?ooo`80000000<0JdFB0000002f
T:l0102fT:l00`000000lM>a0000000E0?ooo`050000001n@Wd0000007M4QP0000001P2bU;P01000
0000h>GG0>3Ue`00000I0?ooo`00703oool01P000000HX7K06:1f`000000]iRh000000D0^9Rg00L0
00000=>6NP3CQWX0dhIj0000003CQWX0000001D0oooo00<00000055?/@000000102cSZl5000000`0
oooo00<00000074eMP0000000P0000050;BC]0040000003PfM00h=W@00000500oooo00D0000006f3
f01]PmP000000;^O_@0200000080^Ynm00D000000>NQP@000000jJF50000000@0?ooo`030000001^
@hd0000000<000000P2fT:l010000000lM>a0?7C/@00000D0?ooo`050000001n@Wd0OT9m07i2O@00
00001`2bU;P00`000000h>GG0000000J0?ooo`00703oool01@000000HX7K06:1f`1RPM/0000000L0
^9Rg00H000000=>6NP3CQWX0dhIj0000001hWNTE0?ooo`050000001ACk40DDna0000002cSZl00P00
00001@2cSZl000000>FVS`3UYXl0000000/0oooo00D00000074eMP1a=GH0LCEf000000050;BC]004
0000003Nf]80000000000540oooo00<0000006f3f01]PmP00P0000050;ZO_@040000003YYHD0jJF5
000000l0oooo00D0000006i3S@1^@hd0KT>=000000020;JA[`<0000000<0lM>a0000003oool04P3o
ool2000000<0OT9m00<000000;:C]`0000001@2bU;P00`000000h>GG0000000K0?ooo`007@3oool0
1@000000HX7K0000001^TnD0000000L0^9Rg0`0000000`3=OGH000000000000E0?ooo`040000001A
Ck400000000000@0/hj_00@000000>FVS`3UYXl000002@3oool200000080LCEf00<000000;BC]000
00000`2dTk@010000000g][B0=kJdP00001C0?ooo`8000000P1/PMH010000000^Ynm0;ZO_@2jWkd3
00000080jJF500<000000?ooo`3oool0303oool010000000KT>=06i3S@0000050;JA[`<000004P3o
ool00`000000OT9m07i2O@0207i2O@040000002bTkL0/Y>g0;:C]`8000000P2bU;P00`000000h>GG
0000000L0?ooo`007P3oool01@000000KY?U06jCi@1^TnD0000000P0^9Rg00@000000<emMP3=OGH0
cGef0P00000C0?ooo`<000001@2cSZl010000000iJJ?0>FVS`0000090?ooo`040000001a=GH0LCEf
000000<0]9>d0P000000102dTk@000000=kJdP00001E0?ooo`050000001/PMH0K87F0000002jWkd0
0P0000020;ZO_@050000003YYHD000000>ZUQ@0000003@3oool010000000KT>=06i3S@0000040;JA
[`040000003`ekP0l=Nh00000140oooo00<0000007i2O@1n@Wd00P1n@Wd00`000000/Y>g0;:C]`04
0;:C]`050000002bU;P000000>3Ue`000000703oool001l0oooo00D0000006jCi@1^TnD0KY?U0000
00060;RH]`040000002hV;L00000000000<0cGef0P00000A0?ooo`040000001AE;L0DEBg000000@0
/hj_00@000000>FVS`3UYXl000001`3oool300000003074eMP000000]9>d00D0]9>d00@000000=kJ
dP3Nf]800000EP3oool4000000@0^Ynm00D000000>VUQ@000000jZF50000000=0?ooo`040000001^
@hd0KT>=000000@0]Y6_00<000000?3G^00000004@3oool00`000000OT9m07i2O@0207i2O@030000
002bTkL0/Y>g00H0/Y>g00<000000>3Ue`0000007@3oool00240oooo00<0000006jCi@1^TnD00P00
00040;RH]`050000002hV;L0^9Rg0;RH]`000000103=OGH3000000l0oooo00<00000055D]`000000
102cSZl01@000000iJJ?0>FVS`3UYXl0000000D0oooo00D0000007@fM01d=W@0M3Id000000060;BC
]0040000003LfmH00000000005P0oooo00@0000006Yld`1ZO=<00000102jWkd01@000000jZF50>ZU
Q@3ZYHD0000000/0oooo00D0000006i3S@1^@hd0KT>=000000040;JA[`030000003`ekP000000100
oooo00<0000008=2N00000000P1n@Wd00`000000/Y>g0;:C]`060;:C]`030000003Ei>40000001h0
oooo000R0?ooo`8000000P1^TnD010000000^9Rg0;RH]`0000050;RH]`8000000`3=OGH010000000
`g1_00000000000=0?ooo`040000001AE;L0DEBg000000@0/hj_00@000000>FVS`00000000000`3o
ool40000000407@fM0000000]9>d000000@0]9>d00@000000=cKeP3LfmH00000F@3oool010000000
JWcC06Yld`0000020;ZO_@80000000<0^Ynm0000003ZYHD00P00000;0?ooo`80000000<0KT>=0000
002fTJl0102fTJl2000000l0oooo0P00000208=2N0030000001n@Wd0000000L0/Y>g0P0000000`3E
i>4000000?ooo`0N0?ooo`00903oool01P000000KY?U06jCi@000000^9Rg000000L0^9Rg0`000004
0<=`K`8000002`3oool010000000DEBg055D]`0000040;>>[`80000000D0hYj90000003oool0oooo
0000000307`hK`8000000`2dTk@2000000050;BC]0000000g=_F0=cKeP000000F`3oool5000000<0
^Ynm00D000000>ZUQ@000000j:61000000090?ooo`030000001`@HP0L46800@000000P2fTJl00`00
0000l=Nh0000000>0?ooo`0300000023@WP0Pd9h00<0Pd9h00<000000;:C]`2bTkL01@2bTkL01000
0000eNCQ0=GTh@00000P0?ooo`009@3oool20000000306jCi@000000^9Rg00T0^9Rg0P0000050<=`
K`80000000<0oooo0000003oool01`3oool01@000000DEBg055D]`000000/hj_00<000000`3RWXT4
00000080O3Q_00<000000;BC]0000000102dTk@010000000g=_F0=cKeP00001L0?ooo`040000001Z
OM@0JWgD000000D0^Ynm00@000000>RQP@3XXH4000002@3oool010000000L4680711R00000030;NA
[`<0000000<0l=Nh0000003oool0303oool00`000000Pd9h08=2N00208=2N080000000<0/I:g0000
002bTkL0102bTkL010000000eNCQ0=GTh@00000Q0?ooo`009`3oool010000000N9kZ000000000008
0;RH]`030000002hV;H00000008000001033L6l5000000D0oooo00<00000055D]`1AE;L00P000003
0;:>/0040000003RWXT0hYj900000080QSa[0`0000020;BC]0060000002dTk@0]9>d0;BC]0000000
fM_I0P00001N0?ooo`040000001ZOM@0JWgD000000<0^Ynm00D000000;^P_@00000000000>FJO002
000000H0oooo00D000000711R01`@HP0L468000000040;NA[`80000000<0l=Nh0?ooo`3oool02P3o
ool2000000@0Pd9h00D000000;6B]`2aT[L0/I:g000000030;:C]`80000000<0eNCQ000000000000
8P3oool002P0oooo0P0000000`1hW^X00000000000060;RH]`030000002hV;H0^9Rf0080^9Rf0`00
00000`33L6l000000;QSJP030;QSJPT00000102bS[001P000000hYj90>:NR@3RWXT0000008HlJ`80
0000102dTk@00`000000]9>d000000020=WKf@030000003oool0oooo05d0oooo00D0000006Yme01Z
OM@000000;ZO_@02000000<0^j2m00D000000>FJO03UVW`0iIYl000000050?ooo`040000001`@HP0
L468000000D0]i6_00<000000>kK_`0000002P3oool2000000@0Pd9h0P0000050;6B]`030000002b
TkL000000080eNCQ00<000000?ooo`3oool08P3oool002X0oooo0P0000000`1hW^X0000000000003
0;RH]`030000002hV;H0^9Rf00H0^9Rf100000060;QSJP030000002YE6H000000080E5fo00<00000
0;:>/02bS[000P2bS[000`000000hYj90>:NR@0200000080]9>d00<000000;BC]02dTk@00P2dTk@0
10000000fM_I0=WKf@00001Q0?ooo`@00000102kX;d00`000000^j2m000000020>FJO0030000003o
ool0oooo0080oooo00D000000711R01`@HP0L468000000040;NA[`040000003^fkl0k]^o000000P0
oooo0P00000208e5L@0400000023@WP00000000000P0/I:g00@000000=GTh@3Ei>4000009@3oool0
02`0oooo00<0000007RNjP1hW^X00P0000000`2hV;L000000;RH]P080;RH]P030000002iUkD0^INe
00D000000P2hHfX200000080E5fo00<000000;:>/02bS[000P2bS[001@000000hYj90>:NR@3RWXT0
00000080]9>d00T000000;BC]02dTk@0]9>d0000003Bfml000000=WKf@000000HP3oool010000000
KH?H06f3f00000020;^P_@040000002kX;d0^j2m0;^P_@80000000<0ii]i0000003oool00P3oool2
000000030711R0000000]i6_00@0]i6_00<000000>kK_`0000001P3oool3000000@0SDEa0P000008
0;6B]`80000000<0cN;W0000000000009P3oool002d0oooo0P00000207RNjP<00000202hV;H00`00
0000^INe0;VG]@050;VG]@D0000000<0E5fo0000002bS[00102bS[0010000000hYj90>:NR@000003
0;BC]0030000002dTk@0000000<0d]_O00<000000?ooo`3oool0HP3oool01@000000KH?H0000002k
X;d0000000D0^j2m00<000000>NKN@0000000`00000207A0P`800000102gTJl010000000k]^o0>kK
_`0000030?ooo`<000001@2=AG4200000080/I6f00<000000;6B]`2aT[L0102aT[L00`000000cN;W
0<gRi`02000002L0oooo000_0?ooo`<000000P28/?03000000D0^9Rf00<000000;VG]@2iUkD01`2i
UkD00`000000^INd0000000205AM_`030000002bS[00/Xj`0080/Xj`00D000000>:NR@000000hIj9
000000030;BC]0050000003Bfml0d]_O0=;Kg`000000IP3oool3000000D0^j2m00D000000;jU_`00
000000000>6?L@0200000080M42300@000000;NB/000000000000P2gTJl00`000000k]^o00000004
0000000309M9K0000000SDEa00<0SDEa0P0000040;6A]P030000002aT[L0/I:g0080/I:g0P000002
0<gRi`030000003oool0oooo02L0oooo000a0?ooo`0300000028/?00R;3`00<0R;3`100000000`2h
V;H000000;VG]@080;VG]@060000002iUk@0^INd0000001DGKl00000102bS[0200000080hIj900P0
00000;BC]000000000000<[JiP000000d]_O000006P0oooo00<00000072:g00000000`2kX;d01`00
0000_ZFo0;jU_`2nYKl000000>6?L@0000000`1d@8<010000000]i:`0;NB/02gT[0200000080k]^o
00@0000009M9K02GBF`0/=7a0`2GBF`010000000SDEa0000000000070;6A]P040000002aT[L00000
00000080cN;W0P00000Z0?ooo`00<`3oool2000000H0R;3`100000070;VG]@040000002iUk@0^INd
00000080E5fo00@000000;:>/000000000000P2dTk@010000000hIj90>6NR@0000040<[JiP030000
003oool0oooo06L0oooo00H00000072:g01`R]`000000;^P_@0000030;jU_`0300000030YKh00000
00<0M42300<000000;NB/02gT[000`2gT[02000000030>kK_`2GBF`0UdU/00@0UdU/0`00000:0;6A
]P050000003=h^L0cN;W0<gRi`000000;03oool003D0oooo0`00000408R`l0030000002H__80V;kb
00D000000P2iUkD01P000000^INd0;VG]02iUk@0000005AM_`800000102dTk@010000000hIj90>6N
R@0000020<[JiP800000J`3oool4000000<0_ZFo00@000000<2U_P30YKh000000P1d@8<00`000000
]i:`0;NB/0030;NB/0040000003[glH0jmo600000080UdU/100000020;2A]P030000002aTKH0/I6f
00H0/I6f0`0000000`3=h^L000000000000]0?ooo`00>03oool20000000308R`l0000000V;kb00L0
V;kb200000000`1IJ/T000000;BC]0040;BC]0030000003QWXT0hIj900800000KP3oool01P000000
LiCT07>Di0000000_ZFo00000080`:Fn0P00000207A0P`030000002gT[00]i:`00<0]i:`00<00000
0>_OaP0000000`0000060;2A]P030000002aTKH0/I6f00@0/I6f0P0000020;kKkP800000;`3oool0
03X0oooo1`00000509RnlP030000002[c?40Zlca0080Zlca0P1IJ/T00`000000]9>d0;BC]0030;BC
]0040000003QWXT0hIj900000700oooo00@0000007>Di01cU>@000000P30YKh00`000000M46507A1
Q@02000000D0]i:`00<000000>_OaP3[glH00P0000090;2A]P040000002aTKH0/I6f0;6A]P800000
0P2nfnh200000340oooo00110?ooo`/000000P1IJ/T00`000000]9>d0;BC]0030;BC]0040000003Q
WXT0hIj900000700oooo0P000000101lX^/0000000000000000207A1Q@040000002dTk@000000000
00<0]i:`00D000000>_OaP000000/92d000000090;2A]P040000002aTKH0000000000080_]_^0P00
000c0?ooo`00C03oool00`000000FF[9000000050;BC]0040000003QWXT0hIj900000740oooo0P00
00000`1lX^/0000007A1Q@0207A1Q@040000002dTk@0]9>d0;BC]0<0000000<0jmo60000002`T;@0
0P2`T;@00`000000/96f0;2A]P050;2A]P<000000P2nfnh2000003D0oooo001<0?ooo`040000001I
J/T0FF[9000000D0]9>d00@000000>6NR@3QWXT00000LP3oool01@000000M46507A1Q@1d@HD00000
00H0]9>d00<000000>_OaP0000000`2`T;@00`000000/96f0;2A]P0500000080[m7b0`00000g0?oo
o`00C@3oool010000000FF[905UZb@0000040;BC]0050000003QWXT000000=bDPP000000L@3oool0
10000000M46507A1Q@0000060;BC]0030000003Uh/l0000000L000000`2_dO84000003X0oooo001>
0?ooo`030000001IJ/T0000000D0]9>d00@000000=bDPP3LU8800000L03oool01@000000M46507A1
Q@1d@HD0000000D0]9>d00<000000>GRc`0000001@2L`O800`000000[m7b0:oAlP03000003h0oooo
001>0?ooo`040000001IJ/T0FF[9000000<0]9>d00<000000;BC]00000000P3LU8800`000000oooo
0?ooo`1/0?ooo`050000001d@HD0M46507A1Q@0000001P2dTk@00`000000iN;?0000000700000480
oooo001?0?ooo`040000001IJ/T000000;BC]08000000P2dTk@01@000000g9B20=bDPP3LU8800000
06d0oooo00@0000007A1Q@1d@HD000001P2dTk@00`000000iN;?0000001:0?ooo`00C`3oool01000
0000FF[905UZb@0000050;BC]0050000003LU880g9B20=bDPP000000J`3oool200000080M46500<0
00000;BC]02dTk@00`2dTk@00`000000iN;?0000001;0?ooo`00D03oool20000000305ifdP000000
]9>d00@0]9>d00@000000=bDPP3LU8800000JP3oool00`000000ND1o07U0O`02000000D0]9>d00@0
00000>GRc`3Uh/l00000B`3oool00540oooo0P1NM]800`000000]9>d0;BC]0040;BC]0040000003L
U880g9B2000006P0oooo00L0000007U0O`1i@7l0ND1o0000002dTk@0000000@0]9>d00<000000>GR
c`000000C03oool00580oooo0P1NM]800`000000]9>d0;BC]0030;BC]0050000003LU880g9B20=bD
PP000000IP3oool01@000000ND1o07U0O`1i@7l0000000<0]9>d0P000000102dTk@000000>GRc`00
001=0?ooo`00DP3oool010000000GWKB05ifdP0000050;BC]0050000003LU88000000=N;O0000000
I@3oool010000000ND1o07U0O`0000060;BC]0040000003Uh/l0iN;?000004d0oooo001C0?ooo`03
0000001NM]80000000H0]9>d00D000000=N;O03GRg`0eh]l0000001S0?ooo`040000001i@7l0ND1o
000000H0]9>d00@000000=oSe`0000000000CP3oool005@0oooo00<0000005ifdP000000102dTk@0
0`000000]9>d000000030=N;O0030000003oool0oooo05l0oooo00D0000007U0O`1i@7l0ND1o0000
00050;BC]0040000003OhmL0gn?G000004l0oooo001E0?ooo`030000001NM]8000000080]9>d00D0
00000;BC]02dTk@0]9>d000000030=N;O0030000003oool0oooo05d0oooo00D0000007U0O`1i@7l0
ND1o000000060;BC]0030000003OhmL000000500oooo001E0?ooo`050000001NM]8000000;BC]000
00001@2dTk@01@000000eh]l0=N;O03GRg`0000005d0oooo00D0000007m1N@000000ND1o00000006
0;BC]0040000003OhmL0gn?G00000500oooo001F0?ooo`030000001NM]80000000L0]9>d00D00000
0=N;O03GRg`0eh]l0000001K0?ooo`050000001o@GT0Od5i07m1N@0000001P2dTk@010000000gn?G
0=oSe`00001A0?ooo`00E`3oool00`000000I8;K000000070;BC]0050000003GRg`0eh]l0=N;O000
0000F@3oool01`000000Od5i07m1N@1o@GT000000;BC]0000000102dTk@010000000gn?G0=oSe`00
001B0?ooo`00F03oool00`000000I8;K000000070;BC]0050000003GRg`000000<moMP000000EP3o
ool2000000<0Od5i00D000000;BC]02dTk@0]9>d000000030;BC]0030000003OhmL0000005<0oooo
001I0?ooo`030000001TP]/0000000L0]9>d00@000000<moMP3?OgH0cgmf0P00001C0?ooo`030000
001o@GT0Od5i0080Od5i00<000000;BC]02dTk@00`2dTk@00`000000]9>d000000020=oSe`030000
003oool0oooo0540oooo001J0?ooo`040000001TP]/00000000000@0]9>d00@000000;BC]0000000
00000`3?OgH00`000000oooo0?ooo`1?0?ooo`040000001o@GT0Od5i07m1N@8000001`2dTk@01000
0000gn?G0=oSe`00001D0?ooo`00F`3oool010000000I8;K06B2f`0000020;BC]0030000002dTk@0
]9>d0080]9>d00D000000<moMP3?OgH0cgmf0000001?0?ooo`050000001o@GT0Od5i07m1N@000000
202dTk@010000000enCO00000000001E0?ooo`00G03oool01P000000I8;K06B2f`000000]9>d0000
00D0]9>d0P0000020<moMP800000B`3oool20000000408M3M0000000Od5i000000P0]9>d00@00000
0=OTg`3Gi=l00000EP3oool005d0oooo00@0000006B2f`1TP]/00000202dTk@01@000000cgmf0<mo
MP3?OgH0000004T0oooo00<0000008M3M027@g@00P27@g@00`000000]9>d0;BC]0060;BC]0040000
003Gi=l00000000005L0oooo001N0?ooo`80000000<0KI7T0000002dTk@01`2dTk@3000000030<Ug
LP000000000004D0oooo0P00000308M3M080000000<0]9>d0000002dTk@0102dTk@2000000030=OT
g`000000oooo05P0oooo001O0?ooo`030000001]TN@0KI7T00800000202dTk@010000000bGMb0<Ug
LP39Mg8200000440oooo0P00000408M3M0030000002dTk@0]9>d0080]9>d00D000000;BC]02dTk@0
]9>d000000020=OTg`030000003oool0oooo05P0oooo001P0?ooo`050000001]TN@0KI7T06fAi000
00001P2dTk@010000000]9>d0000000000030<UgLP800000?P3oool00`000000Qd=d08M3M00208M3
M08000001P2dTk@010000000]9>d0000003Gi=l2000005/0oooo001Q0?ooo`8000000P1]TN@00`00
0000]9>d0;BC]0030;BC]0050000002dTk@0]9>d0;BC]00000001039Mg83000003T0oooo00D00000
08i6L02>AW00000008M3M002000000T0]9>d00<000000=OTg`000000G@3oool006<0oooo00<00000
06fAi01]TN@00P0000020;BC]0030000002dTk@0]9>d00<0]9>d0P0000030<UgLP0400000030KFh0
0000000003D0oooo0P00000308i6L08000002@2dTk@2000000030<gRi`000000oooo05d0oooo001T
0?ooo`070000001]TN@0KI7T06fAi0000000]9>d000000070;BC]0<000001030KFh300000300oooo
0P00000308i6L080000000<0]9>d0000002dTk@01P2dTk@2000000030<gRi`000000000005l0oooo
001U0?ooo`8000000P1]TN@00`000000]9>d0;BC]0080;BC]08000001P30KFh4000002P0oooo1000
000308i6L0800000102dTk@00`000000]9>d0;BC]0030;BC]0040000003=h^L0cN;W00000640oooo
001W0?ooo`80000000<0MIcY000000000000202dTk@010000000]9>d0000000000050<1]KP030000
002gHf`0]f=/00@00000803oool4000000030;OHl@2HBfd000000080STI`0P0000060;BC]0040000
002dTk@0]9>d0;BC]080000000<0cN;W000000000000HP3oool006P0oooo00@0000007FLj@1eW>T0
MIcY0P0000050;BC]0030000002dTk@0]9>d0080]9>d0`0000000`30KFh000000;MSK0060;MSK0L0
00004P3oool7000000H0V4]]0`0000090;BC]0<000000P3=h^L00`000000oooo0?ooo`1R0?ooo`00
J@3oool2000000<0MIcY0P0000030;BC]0030000002dTk@0]9>d00D0]9>d100000070;MSK0030000
002^Ff/0[U][0080[U][4P0000040:5AJ`060000002HBfd0V4]]09Q;K@000000V4]]0`0000000`2d
Tk@000000;BC]0080;BC]08000000`3=h^L00`000000oooo0?ooo`1S0?ooo`00J`3oool2000000<0
MIcY0`0000090;BC]0030000002dTk@0]9>d00D000000P2gHf`00`000000[U][0:iKJ`060:iKJ`03
0000002ZEf/0ZUM[00H0ZUM[00<000000:5AJ`2QDF/01`2QDF/00`000000V4]]00000002000000D0
]9>d00<000000;BC]02dTk@0102dTk@200000080a=o/0P00001W0?ooo`00K@3oool2000000<0MIcY
0P0000080;BC]0030000002dTk@0]9>d00D0]9>d1`0000040:iKJ`030000002ZEf/0ZUM[00L0ZUM[
00<000000:5AJ`2QDF/00P2QDF/6000000P0]9>d00<000000;BC]02dTk@00P2dTk@2000000<0a=o/
0P00001X0?ooo`00K`3oool300000080PJ__0P0000050;BC]0030000002dTk@0]9>d00P0]9>d00<0
00000;BC]02dTk@00P2dTk@C000000@0]9>d00<000000;BC]02dTk@0202dTk@010000000]9>d0000
000000030<COk0800000JP3oool00740oooo00<00000086[k`21Znl00P21Znl2000000<0]9>d00<0
00000;BC]02dTk@0202dTk@00`000000]9>d0;BC]0060;BC]0030000002dTk@0]9>d00L0]9>d00<0
00000;BC]02dTk@01`2dTk@00`000000]9>d0;BC]0060;BC]0<000000`34gn`2000006`0oooo001c
0?ooo`8000000`21Znl2000000030;BC]0000000]9>d00P0]9>d00<000000;BC]02dTk@01`2dTk@0
0`000000]9>d0;BC]0070;BC]0030000002dTk@0]9>d00L0]9>d00<000000;BC]02dTk@00`2dTk@3
000000040;OIl@000000a=o/0<COk0800000KP3oool007D0oooo0`000002086[k`@000001`2dTk@0
0`000000]9>d0;BC]0070;BC]0030000002dTk@0]9>d00P0]9>d00<000000;BC]02dTk@01`2dTk@0
0`000000]9>d00000002000000@0]mWa0`00001`0?ooo`00N03oool200000004086[k`000000SKSc
08fhl`D000000P2dTk@00`000000]9>d0;BC]0070;BC]0030000002dTk@0]9>d00P0]9>d00<00000
0;BC]02dTk@00`2dTk@6000000@0]mWa0`00001c0?ooo`00NP3oool2000000L0SKSc7@0000040:_A
m0030000002gfO40000000<00000MP3oool007h0oooo1@00000208fhl`030000002I`o@0VL?d00L0
VL?d00<0000009o8m@2Ob?D0202Ob?D00`000000Zm7d0:_Am0050:_Am0@00000NP3oool008<0oooo
1`00000509W3m0030000002Ob?D0WlSe00P0WlSe00<000000:_Am02[dO@01@00001n0?ooo`00RP3o
oolC000008<0oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo
003o0?ooob40oooo003o0?ooob40oooo0000\
\>"],
  ImageRangeCache->{{{0, 287}, {269, 0}} -> {-0.000211861, 0.0311585, \
0.0034858, 0.0034858}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ShowKnotbyOpengl[pdata]\)], "Input"],

Cell[BoxData[
    \("./KnotOgl"\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Graphics3DKnotfromPdata",
    FontWeight->"Bold"],
  StyleBox["[Pdata, s:7, (options...) ] ",
    FontWeight->"Bold"],
  " calls an external program DrawKnot.exe which calculates the coordinates \
of  points on the knot (or link) required for drawing. It plots the image of \
the  knot (or link) for the given P-data. The second parameter 's' indicates \
the  number of the side-faces. The output is list of Graphics3D objects. To \
display  knot or link use either, graphix command of Mathematica Show[] or \
ShowKnotfromPData directly."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(gr = Graphics3DKnotfromPdata[pdata]\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      TagBox[\(\[SkeletonIndicator]  Graphics3D  \[SkeletonIndicator]\),
        False,
        Editable->False], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Show[gr, DisplayFunction \[Rule] $DisplayFunction];\)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .93767 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics3D
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-5.55112e-017 1 -0.0311632 1 [
[ 0 0 0 0 ]
[ 1 .93767 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .93767 L
0 .93767 L
closepath
clip
newpath
.5 Mabswid
[ ] 0 setdash
.859 .867 .845 r
.61563 .58864 m .62224 .5936 L p .60812 .59731 L F P
0 g
s
.859 .867 .845 r
.62224 .5936 m .61334 .60311 L .60724 .59754 L p F P
0 g
s
.877 .865 .824 r
.63015 .58339 m .62224 .5936 L .6161 .589 L p F P
0 g
s
.877 .865 .824 r
.6161 .589 m .61563 .58864 L p .6166 .58829 L F P
0 g
s
.877 .865 .824 r
.63015 .58339 m .6161 .589 L .6166 .58829 L F
.707 .577 .707 r
.62224 .5936 m .63015 .58339 L .64535 .59268 L p F P
0 g
s
.877 .865 .824 r
.62304 .57917 m .63015 .58339 L p .6166 .58829 L F P
0 g
s
.877 .865 .824 r
.61563 .58864 m .62304 .57917 L p .6166 .58829 L F P
0 g
s
.895 .858 .798 r
.62939 .56898 m .63694 .5724 L p .62401 .5787 L F P
0 g
s
.895 .858 .798 r
.62304 .57917 m .62939 .56898 L p .62401 .5787 L F P
0 g
s
.895 .858 .798 r
.63694 .5724 m .63015 .58339 L .62304 .57917 L p F P
0 g
s
.91 .847 .769 r
.63527 .55669 m .64305 .55954 L p .63015 .56845 L F P
0 g
s
.91 .847 .769 r
.62939 .56898 m .63527 .55669 L p .63015 .56845 L F P
0 g
s
.91 .847 .769 r
.64305 .55954 m .63694 .5724 L .62939 .56898 L p F P
0 g
s
.919 .837 .749 r
.6404 .54341 m .6483 .54594 L p .63573 .5563 L F P
0 g
s
.919 .837 .749 r
.63527 .55669 m .6404 .54341 L p .63573 .5563 L F P
0 g
s
.919 .837 .749 r
.6483 .54594 m .64305 .55954 L .63527 .55669 L p F P
0 g
s
.923 .831 .736 r
.6404 .54341 m .64534 .52862 L .65316 .53137 L p F P
0 g
s
.923 .831 .736 r
.65316 .53137 m .6483 .54594 L .6404 .54341 L p F P
0 g
s
.707 .577 .707 r
.64305 .55954 m .6483 .54594 L .66519 .55158 L p F P
0 g
s
.707 .577 .707 r
.6483 .54594 m .65316 .53137 L .66994 .53735 L p F P
0 g
s
.707 .577 .707 r
.66994 .53735 m .66519 .55158 L .6483 .54594 L p F P
0 g
s
.405 .263 .572 r
.6404 .54341 m .64946 .54655 L p .6455 .52931 L F P
0 g
s
.405 .263 .572 r
.64534 .52862 m .6404 .54341 L p .6455 .52931 L F P
0 g
s
.707 .577 .707 r
.63694 .5724 m .64305 .55954 L .65968 .56594 L p F P
0 g
s
.707 .577 .707 r
.66519 .55158 m .65968 .56594 L .64305 .55954 L p F P
0 g
s
.41 .257 .561 r
.63527 .55669 m .64418 .56025 L p .64061 .54439 L F P
0 g
s
.41 .257 .561 r
.6404 .54341 m .63527 .55669 L p .64061 .54439 L F P
0 g
s
.707 .577 .707 r
.63015 .58339 m .63694 .5724 L .65303 .58003 L p F P
0 g
s
.707 .577 .707 r
.65968 .56594 m .65303 .58003 L .63694 .5724 L p F P
0 g
s
.418 .248 .542 r
.62939 .56898 m .63801 .57322 L p .63548 .55798 L F P
0 g
s
.418 .248 .542 r
.63527 .55669 m .62939 .56898 L p .63548 .55798 L F P
0 g
s
.707 .577 .707 r
.65303 .58003 m .64535 .59268 L .63015 .58339 L p F P
0 g
s
.432 .239 .517 r
.62304 .57917 m .63118 .58429 L p .62951 .57 L F P
0 g
s
.432 .239 .517 r
.6295 .56992 m .62304 .57917 L .62951 .57 L F
.62939 .56898 m .62332 .57872 L p .6295 .56992 L F P
0 g
s
.432 .239 .517 r
.62332 .57872 m .62304 .57917 L p .6295 .56992 L F P
0 g
s
.707 .577 .707 r
.61334 .60311 m .62224 .5936 L .63636 .60446 L p F P
0 g
s
.707 .577 .707 r
.64535 .59268 m .63636 .60446 L .62224 .5936 L p F P
0 g
s
.449 .234 .494 r
.61563 .58864 m .6232 .59458 L p .62305 .58006 L F P
0 g
s
.449 .234 .494 r
.62304 .57917 m .61563 .58864 L p .62305 .58006 L F P
0 g
s
.859 .867 .845 r
.60724 .59754 m .61563 .58864 L p .60812 .59731 L F P
0 g
s
.939 .789 .668 r
.68148 .43719 m .68269 .42425 L .69088 .42469 L p F P
0 g
s
.939 .789 .668 r
.69088 .42469 m .68965 .43811 L .68148 .43719 L p F P
0 g
s
.94 .779 .655 r
.69147 .4068 m .69088 .42469 L .68361 .4243 L p F P
0 g
s
.94 .779 .655 r
.69147 .4068 m .68361 .4243 L .68356 .42252 L F
.707 .581 .712 r
.69088 .42469 m .69147 .4068 L .70927 .40757 L p F P
0 g
s
.94 .779 .655 r
.68269 .42425 m .68311 .40989 L .69147 .4068 L p F P
0 g
s
.939 .809 .688 r
.69184 .39541 m .69147 .4068 L .68311 .40989 L p F P
0 g
s
.939 .809 .688 r
.68376 .3992 m .69184 .39541 L p .68353 .40919 L F P
0 g
s
.939 .809 .688 r
.68311 .40989 m .68376 .3992 L p .68353 .40919 L F P
0 g
s
.704 .608 .746 r
.69147 .4068 m .69184 .39541 L .70965 .39474 L p F P
0 g
s
.943 .79 .662 r
.69117 .38442 m .69184 .39541 L .68376 .3992 L p F P
0 g
s
.943 .79 .662 r
.68367 .38934 m .69117 .38442 L p .68425 .39822 L F P
0 g
s
.943 .79 .662 r
.68376 .3992 m .68367 .38934 L p .68425 .39822 L F P
0 g
s
.707 .61 .746 r
.69184 .39541 m .69117 .38442 L .70878 .38156 L p F P
0 g
s
.944 .76 .623 r
.68921 .37421 m .69117 .38442 L .68367 .38934 L p F P
0 g
s
.944 .76 .623 r
.68251 .38019 m .68921 .37421 L p .68403 .38836 L F P
0 g
s
.944 .76 .623 r
.68367 .38934 m .68251 .38019 L p .68403 .38836 L F P
0 g
s
.712 .614 .746 r
.69117 .38442 m .68921 .37421 L .70626 .36893 L p F P
0 g
s
.94 .722 .58 r
.68565 .36366 m .68921 .37421 L .68251 .38019 L p F P
0 g
s
.94 .722 .58 r
.67991 .37091 m .68565 .36366 L p .68274 .37897 L F P
0 g
s
.94 .722 .58 r
.68251 .38019 m .67991 .37091 L p .68274 .37897 L F P
0 g
s
.718 .619 .746 r
.68921 .37421 m .68565 .36366 L .70201 .35647 L p F P
0 g
s
.933 .689 .547 r
.68181 .35611 m .68565 .36366 L .67991 .37091 L p F P
0 g
s
.933 .689 .547 r
.67752 .36438 m .68181 .35611 L p .68003 .36998 L F P
0 g
s
.933 .689 .547 r
.67991 .37091 m .67752 .36438 L p .68003 .36998 L F P
0 g
s
.724 .625 .747 r
.68565 .36366 m .68181 .35611 L .69666 .34615 L p F P
0 g
s
.724 .625 .747 r
.69666 .34615 m .70201 .35647 L .68565 .36366 L p F P
0 g
s
.913 .631 .495 r
.67668 .34934 m .68181 .35611 L .67752 .36438 L p F P
0 g
s
.913 .631 .495 r
.67405 .35844 m .67668 .34934 L p .67747 .36341 L F P
0 g
s
.913 .631 .495 r
.67752 .36438 m .67405 .35844 L p .67747 .36341 L F P
0 g
s
.731 .628 .744 r
.68181 .35611 m .67668 .34934 L .68959 .33695 L p F P
0 g
s
.731 .628 .744 r
.68959 .33695 m .69666 .34615 L .68181 .35611 L p F P
0 g
s
.883 .568 .449 r
.67101 .34438 m .67668 .34934 L .67405 .35844 L p F P
0 g
s
.883 .568 .449 r
.67062 .35398 m .67101 .34438 L p .67386 .35755 L F P
0 g
s
.883 .568 .449 r
.67405 .35844 m .67062 .35398 L p .67386 .35755 L F P
0 g
s
.737 .629 .739 r
.67668 .34934 m .67101 .34438 L .68082 .32939 L p F P
0 g
s
.737 .629 .739 r
.68082 .32939 m .68959 .33695 L .67668 .34934 L p F P
0 g
s
.827 .481 .4 r
.66135 .3398 m .67101 .34438 L .67062 .35398 L p F P
0 g
s
.827 .481 .4 r
.67062 .35398 m .66663 .35057 L .66135 .3398 L p F P
0 g
s
.544 .66 .912 r
.67062 .35398 m .68012 .34856 L p .66742 .35045 L F P
0 g
s
.544 .66 .912 r
.66663 .35057 m .67062 .35398 L p .66742 .35045 L F P
0 g
s
.49 .589 .88 r
.67405 .35844 m .68441 .35512 L p .67101 .35401 L F P
0 g
s
.49 .589 .88 r
.67062 .35398 m .67405 .35844 L p .67101 .35401 L F P
0 g
s
.454 .531 .847 r
.67752 .36438 m .68817 .36269 L p .67498 .35872 L F P
0 g
s
.454 .531 .847 r
.67405 .35844 m .67752 .36438 L p .67498 .35872 L F P
0 g
s
.423 .474 .808 r
.67991 .37091 m .69062 .37098 L p .67764 .36445 L F P
0 g
s
.423 .474 .808 r
.67752 .36438 m .67991 .37091 L p .67764 .36445 L F P
0 g
s
.41 .433 .773 r
.68251 .38019 m .69294 .3809 L p .68092 .37168 L F P
0 g
s
.41 .433 .773 r
.67991 .37091 m .68251 .38019 L p .68092 .37168 L F P
0 g
s
.395 .393 .739 r
.68367 .38934 m .69387 .39141 L p .68312 .38079 L F P
0 g
s
.395 .393 .739 r
.68251 .38019 m .68367 .38934 L p .68312 .38079 L F P
0 g
s
.387 .358 .705 r
.68376 .3992 m .69358 .40234 L p .68399 .38975 L F P
0 g
s
.387 .358 .705 r
.68367 .38934 m .68376 .3992 L p .68399 .38975 L F P
0 g
s
.384 .337 .682 r
.68376 .3992 m .6832 .40836 L p .69261 .41377 L F P
0 g
s
.384 .337 .682 r
.6832 .40836 m .68311 .40989 L .68324 .40994 L p F P
0 g
s
.384 .337 .682 r
.68324 .40994 m .69261 .41377 L p .6832 .40836 L F P
0 g
s
.94 .779 .655 r
.68361 .4243 m .68269 .42425 L p .68356 .42252 L F P
0 g
s
.625 .245 .302 r
.59325 .08011 m .59143 .07283 L p .6195 .07829 L F P
0 g
s
.625 .245 .302 r
.59143 .07283 m .62723 .07252 L .62783 .07991 L p F P
0 g
s
.577 .211 .31 r
.55599 .0786 m .59143 .07283 L .59276 .07815 L p F P
0 g
s
.577 .211 .31 r
.59276 .07815 m .59325 .08011 L p .58537 .07979 L F P
0 g
s
.577 .211 .31 r
.55599 .0786 m .59276 .07815 L .58537 .07979 L F
.707 .577 .707 r
.59143 .07283 m .55599 .0786 L .55071 .06159 L p F P
0 g
s
.577 .211 .31 r
.55886 .08562 m .55599 .0786 L p .58537 .07979 L F P
0 g
s
.577 .211 .31 r
.59325 .08011 m .55886 .08562 L p .58537 .07979 L F P
0 g
s
.536 .188 .324 r
.52491 .09598 m .52106 .08936 L p .5508 .08641 L F P
0 g
s
.536 .188 .324 r
.55886 .08562 m .52491 .09598 L p .5508 .08641 L F P
0 g
s
.536 .188 .324 r
.52106 .08936 m .55599 .0786 L .55886 .08562 L p F P
0 g
s
.498 .172 .344 r
.48584 .10582 m .52106 .08936 L .52369 .09389 L p F P
0 g
s
.498 .172 .344 r
.52369 .09389 m .52491 .09598 L p .51557 .09833 L F P
0 g
s
.498 .172 .344 r
.48584 .10582 m .52369 .09389 L .51557 .09833 L F
.707 .578 .707 r
.52106 .08936 m .48584 .10582 L .47699 .09037 L p F P
0 g
s
.498 .172 .344 r
.49174 .1113 m .48584 .10582 L p .51557 .09833 L F P
0 g
s
.498 .172 .344 r
.52491 .09598 m .49174 .1113 L p .51557 .09833 L F P
0 g
s
.49 .166 .345 r
.46387 .11829 m .48584 .10582 L .49174 .1113 L p F P
0 g
s
.723 .583 .697 r
.48584 .10582 m .46387 .11829 L .45345 .10382 L p F P
0 g
s
.723 .583 .697 r
.45345 .10382 m .47699 .09037 L .48584 .10582 L p F P
0 g
s
.49 .166 .345 r
.47036 .12317 m .46387 .11829 L p .48827 .11217 L F P
0 g
s
.49 .166 .345 r
.49174 .1113 m .47036 .12317 L p .48827 .11217 L F P
0 g
s
.463 .158 .363 r
.44308 .1331 m .46387 .11829 L .47036 .12317 L p F P
0 g
s
.723 .581 .696 r
.46387 .11829 m .44308 .1331 L .43156 .11948 L p F P
0 g
s
.723 .581 .696 r
.43156 .11948 m .45345 .10382 L .46387 .11829 L p F P
0 g
s
.463 .158 .363 r
.44994 .13753 m .44308 .1331 L p .46771 .12414 L F P
0 g
s
.463 .158 .363 r
.47036 .12317 m .44994 .13753 L p .46771 .12414 L F P
0 g
s
.444 .156 .379 r
.42307 .14988 m .44308 .1331 L .44994 .13753 L p F P
0 g
s
.721 .579 .695 r
.44308 .1331 m .42307 .14988 L .41051 .13719 L p F P
0 g
s
.721 .579 .695 r
.41051 .13719 m .43156 .11948 L .44308 .1331 L p F P
0 g
s
.444 .156 .379 r
.43028 .15381 m .42307 .14988 L p .44724 .13877 L F P
0 g
s
.444 .156 .379 r
.44994 .13753 m .43028 .15381 L p .44724 .13877 L F P
0 g
s
.426 .155 .397 r
.40439 .1682 m .42307 .14988 L .43028 .15381 L p F P
0 g
s
.72 .577 .693 r
.42307 .14988 m .40439 .1682 L .39098 .15639 L p F P
0 g
s
.72 .577 .693 r
.39098 .15639 m .41051 .13719 L .42307 .14988 L p F P
0 g
s
.426 .155 .397 r
.41177 .17178 m .40439 .1682 L p .42815 .15499 L F P
0 g
s
.426 .155 .397 r
.43028 .15381 m .41177 .17178 L p .42815 .15499 L F P
0 g
s
.412 .156 .414 r
.38488 .19005 m .40439 .1682 L .41177 .17178 L p F P
0 g
s
.719 .576 .694 r
.40439 .1682 m .38488 .19005 L .37136 .17836 L p F P
0 g
s
.719 .576 .694 r
.37136 .17836 m .39098 .15639 L .40439 .1682 L p F P
0 g
s
.412 .156 .414 r
.39224 .19365 m .38488 .19005 L p .41142 .17202 L F P
0 g
s
.412 .156 .414 r
.41177 .17178 m .39224 .19365 L p .41142 .17202 L F P
0 g
s
.41 .156 .416 r
.36529 .21234 m .38488 .19005 L .39224 .19365 L p F P
0 g
s
.719 .576 .693 r
.38488 .19005 m .36529 .21234 L .35203 .20032 L p F P
0 g
s
.719 .576 .693 r
.35203 .20032 m .37136 .17836 L .38488 .19005 L p F P
0 g
s
.41 .156 .416 r
.39224 .19365 m .37248 .2162 L .36529 .21234 L p F P
0 g
s
.863 .833 .816 r
.39224 .19365 m .38603 .18549 L p .37272 .21567 L F P
0 g
s
.863 .833 .816 r
.37248 .2162 m .39224 .19365 L p .37272 .21567 L F P
0 g
s
.861 .833 .817 r
.41177 .17178 m .40571 .16349 L p .39376 .19024 L F P
0 g
s
.861 .833 .817 r
.39224 .19365 m .41177 .17178 L p .39376 .19024 L F P
0 g
s
.851 .834 .829 r
.43028 .15381 m .42489 .14499 L p .41312 .16902 L F P
0 g
s
.851 .834 .829 r
.41177 .17178 m .43028 .15381 L p .41312 .16902 L F P
0 g
s
.837 .834 .843 r
.44994 .13753 m .44524 .12826 L p .43181 .15119 L F P
0 g
s
.837 .834 .843 r
.43028 .15381 m .44994 .13753 L p .43181 .15119 L F P
0 g
s
.822 .831 .856 r
.47036 .12317 m .46641 .11351 L p .45209 .13439 L F P
0 g
s
.822 .831 .856 r
.44994 .13753 m .47036 .12317 L p .45209 .13439 L F P
0 g
s
.8 .825 .871 r
.49174 .1113 m .48876 .10125 L p .47073 .12274 L F P
0 g
s
.8 .825 .871 r
.4705 .12301 m .49174 .1113 L .47073 .12274 L F
.47036 .12317 m .4815 .11699 L p .4705 .12301 L F P
0 g
s
.8 .825 .871 r
.4815 .11699 m .49174 .1113 L p .4705 .12301 L F P
0 g
s
.707 .577 .707 r
.55599 .0786 m .52106 .08936 L .51356 .0732 L p F P
0 g
s
.707 .578 .707 r
.47699 .09037 m .51356 .0732 L .52106 .08936 L p F P
0 g
s
.766 .81 .888 r
.52491 .09598 m .52123 .08638 L p .49818 .10586 L F P
0 g
s
.766 .81 .888 r
.49174 .1113 m .52491 .09598 L p .49818 .10586 L F P
0 g
s
.707 .577 .707 r
.51356 .0732 m .55071 .06159 L .55599 .0786 L p F P
0 g
s
.735 .793 .899 r
.55886 .08562 m .55643 .07554 L p .53168 .09159 L F P
0 g
s
.735 .793 .899 r
.53144 .09175 m .55886 .08562 L .53168 .09159 L F
.52491 .09598 m .55824 .0858 L p .53144 .09175 L F P
0 g
s
.735 .793 .899 r
.55824 .0858 m .55886 .08562 L p .53144 .09175 L F P
0 g
s
.707 .577 .707 r
.62723 .07252 m .59143 .07283 L .58853 .05526 L p F P
0 g
s
.707 .577 .707 r
.55071 .06159 m .58853 .05526 L .59143 .07283 L p F P
0 g
s
.702 .771 .906 r
.59325 .08011 m .59215 .06972 L p .56654 .08195 L F P
0 g
s
.702 .771 .906 r
.55886 .08562 m .59325 .08011 L p .56654 .08195 L F P
0 g
s
.625 .245 .302 r
.62783 .07991 m .59325 .08011 L p .6195 .07829 L F P
0 g
s
.873 .849 .816 r
.34362 .66044 m .35507 .64507 L .36247 .65009 L p F P
0 g
s
.873 .849 .816 r
.36247 .65009 m .35138 .665 L .34362 .66044 L p F P
0 g
s
.864 .852 .829 r
.37294 .63754 m .36247 .65009 L .35507 .64507 L p F P
0 g
s
.707 .577 .707 r
.68965 .43811 m .69088 .42469 L .70868 .42521 L p F P
0 g
s
.707 .581 .712 r
.70927 .40757 m .70868 .42521 L .69088 .42469 L p F P
0 g
s
.707 .577 .707 r
.35138 .665 m .36247 .65009 L .37616 .66149 L p F P
0 g
s
.707 .577 .707 r
.36247 .65009 m .37294 .63754 L .38601 .64964 L p F P
0 g
s
.707 .577 .707 r
.38601 .64964 m .37616 .66149 L .36247 .65009 L p F P
0 g
s
.786 .846 .896 r
.42825 .57793 m .44239 .57006 L .44636 .57774 L p F P
0 g
s
.786 .846 .896 r
.44636 .57774 m .43289 .58527 L .42825 .57793 L p F P
0 g
s
.76 .836 .91 r
.46401 .56976 m .44636 .57774 L .44274 .57073 L p F P
0 g
s
.76 .836 .91 r
.46401 .56976 m .44274 .57073 L .44411 .57003 L F
.702 .575 .709 r
.44636 .57774 m .46401 .56976 L .4709 .58619 L p F P
0 g
s
.76 .836 .91 r
.44239 .57006 m .45642 .56357 L .46401 .56976 L p F P
0 g
s
.702 .818 .937 r
.47432 .56597 m .46401 .56976 L .45642 .56357 L p F P
0 g
s
.702 .818 .937 r
.45642 .56357 m .46738 .55911 L .47432 .56597 L p F P
0 g
s
.506 .215 .406 r
.46738 .55911 m .45871 .56264 L p .45573 .57389 L F P
0 g
s
.506 .215 .406 r
.45871 .56264 m .45642 .56357 L .45641 .56381 L p F P
0 g
s
.506 .215 .406 r
.45641 .56381 m .45573 .57389 L p .45871 .56264 L F P
0 g
s
.76 .836 .91 r
.44274 .57073 m .44239 .57006 L p .44411 .57003 L F P
0 g
s
.868 .873 .839 r
.58936 .61382 m .59797 .60596 L .6036 .61199 L p F P
0 g
s
.842 .867 .861 r
.60724 .59754 m .61334 .60311 L p .59877 .60581 L F P
0 g
s
.842 .867 .861 r
.59797 .60596 m .60724 .59754 L p .59877 .60581 L F P
0 g
s
.842 .867 .861 r
.61334 .60311 m .6036 .61199 L .59797 .60596 L p F P
0 g
s
.707 .577 .707 r
.6036 .61199 m .61334 .60311 L .62639 .61524 L p F P
0 g
s
.707 .577 .707 r
.63636 .60446 m .62639 .61524 L .61334 .60311 L p F P
0 g
s
.465 .232 .476 r
.60724 .59754 m .61423 .60416 L p .61556 .58942 L F P
0 g
s
.465 .232 .476 r
.61563 .58864 m .60724 .59754 L p .61556 .58942 L F P
0 g
s
.735 .579 .681 r
.59215 .62242 m .6036 .61199 L .61564 .62513 L p F P
0 g
s
.707 .577 .707 r
.62639 .61524 m .61564 .62513 L .6036 .61199 L p F P
0 g
s
.479 .232 .461 r
.60724 .59754 m .59938 .60468 L p .60442 .61312 L F P
0 g
s
.479 .232 .461 r
.59938 .60468 m .59797 .60596 L .59805 .60605 L p F P
0 g
s
.868 .873 .839 r
.6036 .61199 m .59215 .62242 L .58965 .61471 L p F P
0 g
s
.868 .873 .839 r
.6036 .61199 m .58965 .61471 L .59068 .61365 L F
.479 .232 .461 r
.59805 .60605 m .60442 .61312 L p .59938 .60468 L F P
0 g
s
.868 .873 .839 r
.58965 .61471 m .58936 .61382 L p .59068 .61365 L F P
0 g
s
.921 .834 .743 r
.64534 .52862 m .65131 .51225 L .65868 .51609 L p F P
0 g
s
.921 .834 .743 r
.65868 .51609 m .65316 .53137 L .64534 .52862 L p F P
0 g
s
.907 .849 .775 r
.65131 .51225 m .65828 .49844 L .66553 .50251 L p F P
0 g
s
.907 .849 .775 r
.66553 .50251 m .65868 .51609 L .65131 .51225 L p F P
0 g
s
.904 .851 .781 r
.65828 .49844 m .66505 .48576 L .67243 .48955 L p F P
0 g
s
.904 .851 .781 r
.67243 .48955 m .66553 .50251 L .65828 .49844 L p F P
0 g
s
.909 .847 .771 r
.66505 .48576 m .67101 .47345 L .67862 .4767 L p F P
0 g
s
.909 .847 .771 r
.67862 .4767 m .67243 .48955 L .66505 .48576 L p F P
0 g
s
.918 .839 .752 r
.67101 .47345 m .67588 .4614 L .68377 .46381 L p F P
0 g
s
.918 .839 .752 r
.68377 .46381 m .67862 .4767 L .67101 .47345 L p F P
0 g
s
.928 .824 .722 r
.67588 .4614 m .67925 .44957 L .68733 .45118 L p F P
0 g
s
.928 .824 .722 r
.68733 .45118 m .68377 .46381 L .67588 .4614 L p F P
0 g
s
.935 .806 .693 r
.67925 .44957 m .68148 .43719 L .68965 .43811 L p F P
0 g
s
.935 .806 .693 r
.68965 .43811 m .68733 .45118 L .67925 .44957 L p F P
0 g
s
.952 .786 .64 r
.84957 .37986 m .85179 .35547 L .85932 .35627 L p F P
0 g
s
.952 .786 .64 r
.85932 .35627 m .8569 .38286 L .84957 .37986 L p F P
0 g
s
.95 .787 .644 r
.85179 .35547 m .85334 .31957 L .86084 .31942 L p F P
0 g
s
.95 .787 .644 r
.86084 .31942 m .85932 .35627 L .85179 .35547 L p F P
0 g
s
.951 .755 .604 r
.85334 .31957 m .85058 .28421 L .85791 .28301 L p F P
0 g
s
.951 .755 .604 r
.85791 .28301 m .86084 .31942 L .85334 .31957 L p F P
0 g
s
.945 .715 .559 r
.85058 .28421 m .84334 .2505 L .85031 .24814 L p F P
0 g
s
.945 .715 .559 r
.85031 .24814 m .85791 .28301 L .85058 .28421 L p F P
0 g
s
.932 .665 .51 r
.84334 .2505 m .83086 .21785 L .83742 .21462 L p F P
0 g
s
.932 .665 .51 r
.83742 .21462 m .85031 .24814 L .84334 .2505 L p F P
0 g
s
.916 .622 .472 r
.83086 .21785 m .81609 .18984 L .82194 .18552 L p F P
0 g
s
.916 .622 .472 r
.82194 .18552 m .83742 .21462 L .83086 .21785 L p F P
0 g
s
.888 .563 .426 r
.797 .16447 m .80202 .15925 L p .8131 .18333 L F P
0 g
s
.888 .563 .426 r
.80202 .15925 m .82194 .18552 L .81609 .18984 L p F P
0 g
s
.855 .505 .388 r
.77401 .14204 m .77816 .1361 L p .7931 .1586 L F P
0 g
s
.855 .505 .388 r
.797 .16447 m .77401 .14204 L p .7931 .1586 L F P
0 g
s
.855 .505 .388 r
.77816 .1361 m .80202 .15925 L .797 .16447 L p F P
0 g
s
.819 .45 .357 r
.74681 .12228 m .75055 .11607 L p .77143 .13918 L F P
0 g
s
.819 .45 .357 r
.77401 .14204 m .74681 .12228 L p .77143 .13918 L F P
0 g
s
.819 .45 .357 r
.75055 .11607 m .77816 .1361 L .77401 .14204 L p F P
0 g
s
.801 .425 .345 r
.71949 .10505 m .72223 .09832 L p .74185 .11745 L F P
0 g
s
.801 .425 .345 r
.74681 .12228 m .71949 .10505 L p .74185 .11745 L F P
0 g
s
.801 .425 .345 r
.72223 .09832 m .75055 .11607 L .74681 .12228 L p F P
0 g
s
.76 .374 .324 r
.69041 .09197 m .692 .08484 L p .71365 .10076 L F P
0 g
s
.76 .374 .324 r
.71949 .10505 m .69041 .09197 L p .71365 .10076 L F P
0 g
s
.76 .374 .324 r
.692 .08484 m .72223 .09832 L .71949 .10505 L p F P
0 g
s
.713 .323 .309 r
.65999 .08349 m .66031 .07614 L p .68375 .08846 L F P
0 g
s
.713 .323 .309 r
.69041 .09197 m .65999 .08349 L p .68375 .08846 L F P
0 g
s
.713 .323 .309 r
.66031 .07614 m .692 .08484 L .69041 .09197 L p F P
0 g
s
.662 .275 .302 r
.62783 .07991 m .62723 .07252 L p .65428 .08158 L F P
0 g
s
.662 .275 .302 r
.65999 .08349 m .62783 .07991 L p .65428 .08158 L F P
0 g
s
.662 .275 .302 r
.62723 .07252 m .66031 .07614 L .65999 .08349 L p F P
0 g
s
.707 .577 .707 r
.66031 .07614 m .62723 .07252 L .62702 .05471 L p F P
0 g
s
.707 .577 .707 r
.58853 .05526 m .62702 .05471 L .62723 .07252 L p F P
0 g
s
.665 .742 .908 r
.62783 .07991 m .62823 .06941 L p .59967 .07814 L F P
0 g
s
.665 .742 .908 r
.59325 .08011 m .62783 .07991 L p .59967 .07814 L F P
0 g
s
.707 .577 .707 r
.692 .08484 m .66031 .07614 L .66221 .05843 L p F P
0 g
s
.707 .577 .707 r
.62702 .05471 m .66221 .05843 L .66031 .07614 L p F P
0 g
s
.637 .718 .906 r
.65999 .08349 m .66157 .07305 L p .63547 .07836 L F P
0 g
s
.637 .718 .906 r
.62783 .07991 m .65999 .08349 L p .63547 .07836 L F P
0 g
s
.707 .577 .707 r
.72223 .09832 m .692 .08484 L .69666 .06765 L p F P
0 g
s
.707 .577 .707 r
.66221 .05843 m .69666 .06765 L .692 .08484 L p F P
0 g
s
.599 .68 .898 r
.69041 .09197 m .69351 .08182 L p .66708 .08314 L F P
0 g
s
.599 .68 .898 r
.65999 .08349 m .69041 .09197 L p .66708 .08314 L F P
0 g
s
.707 .577 .707 r
.75055 .11607 m .72223 .09832 L .72944 .08204 L p F P
0 g
s
.707 .577 .707 r
.69666 .06765 m .72944 .08204 L .72223 .09832 L p F P
0 g
s
.566 .642 .885 r
.71949 .10505 m .72398 .09541 L p .69713 .09266 L F P
0 g
s
.566 .642 .885 r
.69041 .09197 m .71949 .10505 L p .69713 .09266 L F P
0 g
s
.707 .577 .707 r
.77816 .1361 m .75055 .11607 L .75997 .10096 L p F P
0 g
s
.707 .577 .707 r
.72944 .08204 m .75997 .10096 L .75055 .11607 L p F P
0 g
s
.536 .604 .869 r
.74681 .12228 m .75252 .1133 L p .72297 .10592 L F P
0 g
s
.536 .604 .869 r
.71949 .10505 m .74681 .12228 L p .72297 .10592 L F P
0 g
s
.707 .577 .707 r
.80202 .15925 m .77816 .1361 L .78861 .12167 L p F P
0 g
s
.707 .577 .707 r
.75997 .10096 m .78861 .12167 L .77816 .1361 L p F P
0 g
s
.523 .586 .86 r
.77401 .14204 m .78035 .13348 L p .75401 .12469 L F P
0 g
s
.523 .586 .86 r
.74681 .12228 m .77401 .14204 L p .75401 .12469 L F P
0 g
s
.707 .577 .707 r
.82194 .18552 m .80202 .15925 L .81439 .14644 L p F P
0 g
s
.707 .577 .707 r
.78861 .12167 m .81439 .14644 L .80202 .15925 L p F P
0 g
s
.496 .546 .837 r
.797 .16447 m .8044 .15682 L p .78056 .14522 L F P
0 g
s
.496 .546 .837 r
.77401 .14204 m .797 .16447 L p .78056 .14522 L F P
0 g
s
.888 .563 .426 r
.81609 .18984 m .797 .16447 L p .8131 .18333 L F P
0 g
s
.67 .796 .942 r
.27311 .72565 m .27662 .73305 L p .25469 .7291 L F P
0 g
s
.67 .796 .942 r
.27662 .73305 m .24344 .73502 L .24334 .7308 L p F P
0 g
s
.67 .796 .942 r
.24334 .7308 m .24324 .72704 L p .25375 .72893 L F P
0 g
s
.67 .796 .942 r
.27662 .73305 m .24334 .7308 L .25375 .72893 L F
.27306 .72555 m .27311 .72565 L p .27228 .72569 L F P
0 g
s
.67 .796 .942 r
.24324 .72704 m .27306 .72555 L p .27228 .72569 L F P
0 g
s
.67 .796 .942 r
.25469 .7291 m .24324 .72704 L .27311 .72565 L F
.725 .827 .928 r
.28224 .72313 m .28744 .72985 L p .27478 .72607 L F P
0 g
s
.725 .827 .928 r
.27478 .72607 m .27306 .72555 L .28224 .72313 L F
.28744 .72985 m .27662 .73305 L .27306 .72555 L p F P
0 g
s
.786 .85 .899 r
.29176 .71795 m .298 .72399 L p .28365 .72318 L F P
0 g
s
.786 .85 .899 r
.28365 .72318 m .28221 .72309 L .29176 .71795 L F
.298 .72399 m .28744 .72985 L .28221 .72309 L p F P
0 g
s
.821 .856 .874 r
.30132 .71068 m .30839 .71603 L p .29315 .71776 L F P
0 g
s
.821 .856 .874 r
.29315 .71776 m .29173 .71792 L .30132 .71068 L F
.30839 .71603 m .298 .72399 L .29173 .71792 L p F P
0 g
s
.848 .856 .848 r
.31084 .70119 m .3182 .70622 L p .30201 .71049 L F P
0 g
s
.848 .856 .848 r
.30201 .71049 m .30131 .71068 L .31084 .70119 L F
.3182 .70622 m .30839 .71603 L .30131 .71068 L p F P
0 g
s
.858 .854 .837 r
.32209 .68867 m .32975 .69335 L p .31186 .70076 L F P
0 g
s
.858 .854 .837 r
.31186 .70076 m .31083 .70119 L .32209 .68867 L F
.32975 .69335 m .3182 .70622 L .31083 .70119 L p F P
0 g
s
.868 .851 .823 r
.32208 .68867 m .33282 .67517 L .33282 .67517 L p F P
0 g
s
.868 .851 .823 r
.33282 .67517 m .34065 .67964 L p .32276 .68834 L F P
0 g
s
.868 .851 .823 r
.32276 .68834 m .32208 .68867 L .33282 .67517 L F
.34065 .67964 m .32975 .69335 L .32237 .68884 L p F P
0 g
s
.868 .851 .823 r
.32237 .68884 m .32208 .68867 L p .32276 .68834 L F P
0 g
s
.868 .851 .823 r
.34065 .67964 m .32237 .68884 L .32276 .68834 L F
.874 .848 .815 r
.33282 .67517 m .34362 .66044 L .35138 .665 L p F P
0 g
s
.874 .848 .815 r
.35138 .665 m .34065 .67964 L .33282 .67517 L p F P
0 g
s
.707 .577 .707 r
.32975 .69335 m .34065 .67964 L .35502 .69017 L p F P
0 g
s
.422 .209 .483 r
.33282 .67517 m .3394 .68129 L p .34346 .66123 L F P
0 g
s
.422 .209 .483 r
.34362 .66044 m .33292 .67503 L p .34346 .66123 L F P
0 g
s
.422 .209 .483 r
.33292 .67503 m .33282 .67517 L p .34346 .66123 L F P
0 g
s
.422 .209 .483 r
.3394 .68129 m .35022 .66655 L .34389 .66069 L p F P
0 g
s
.422 .209 .483 r
.34389 .66069 m .34362 .66044 L p .34346 .66124 L F P
0 g
s
.422 .209 .483 r
.34346 .66124 m .3394 .68129 L .34389 .66069 L F
.707 .577 .707 r
.3182 .70622 m .32975 .69335 L .3437 .70443 L p F P
0 g
s
.43 .209 .475 r
.32208 .68867 m .32841 .69511 L p .33258 .67626 L F P
0 g
s
.43 .209 .475 r
.33282 .67517 m .32208 .68867 L p .33258 .67626 L F P
0 g
s
.858 .854 .837 r
.32208 .68867 m .32209 .68867 L p .32201 .68875 L F P
0 g
s
.858 .854 .837 r
.31083 .70119 m .32208 .68867 L p .32201 .68875 L F P
0 g
s
.707 .577 .707 r
.35502 .69017 m .3437 .70443 L .32975 .69335 L p F P
0 g
s
.43 .209 .475 r
.32841 .69511 m .3394 .68129 L .3332 .67553 L p F P
0 g
s
.43 .209 .475 r
.3332 .67553 m .33282 .67517 L p .33258 .67626 L F P
0 g
s
.43 .209 .475 r
.33258 .67626 m .32841 .69511 L .3332 .67553 L F
.707 .577 .707 r
.30839 .71603 m .3182 .70622 L .33147 .7181 L p F P
0 g
s
.443 .21 .464 r
.31083 .70119 m .31677 .70809 L p .32182 .68961 L F P
0 g
s
.443 .21 .464 r
.32208 .68867 m .31083 .70119 L p .32182 .68961 L F P
0 g
s
.848 .856 .848 r
.31083 .70119 m .31084 .70119 L p .31063 .70139 L F P
0 g
s
.848 .856 .848 r
.30131 .71068 m .31083 .70119 L p .31063 .70139 L F P
0 g
s
.707 .577 .707 r
.3437 .70443 m .33147 .7181 L .3182 .70622 L p F P
0 g
s
.443 .21 .464 r
.31677 .70809 m .32841 .69511 L .32241 .689 L p F P
0 g
s
.443 .21 .464 r
.32241 .689 m .32208 .68867 L p .32182 .68961 L F P
0 g
s
.443 .21 .464 r
.32182 .68961 m .31677 .70809 L .32241 .689 L F
.707 .577 .707 r
.298 .72399 m .30839 .71603 L .32099 .72862 L p F P
0 g
s
.456 .212 .455 r
.30131 .71068 m .30688 .71797 L p .31046 .70275 L F P
0 g
s
.456 .212 .455 r
.31083 .70119 m .30131 .71068 L p .31046 .70275 L F P
0 g
s
.821 .856 .874 r
.30131 .71068 m .30132 .71068 L p .30124 .71074 L F P
0 g
s
.821 .856 .874 r
.29173 .71792 m .30131 .71068 L p .30124 .71074 L F P
0 g
s
.707 .577 .707 r
.33147 .7181 m .32099 .72862 L .30839 .71603 L p F P
0 g
s
.456 .212 .455 r
.30688 .71797 m .31677 .70809 L .31144 .7019 L p F P
0 g
s
.456 .212 .455 r
.31144 .7019 m .31083 .70119 L p .31046 .70275 L F P
0 g
s
.456 .212 .455 r
.31046 .70275 m .30688 .71797 L .31144 .7019 L F
.707 .577 .707 r
.28744 .72985 m .298 .72399 L .30891 .73807 L p F P
0 g
s
.488 .222 .436 r
.29173 .71792 m .29641 .72599 L p .30086 .71209 L F P
0 g
s
.488 .222 .436 r
.30131 .71068 m .29173 .71792 L p .30086 .71209 L F P
0 g
s
.786 .85 .899 r
.29173 .71792 m .29176 .71795 L p .29132 .71819 L F P
0 g
s
.786 .85 .899 r
.28221 .72309 m .29173 .71792 L p .29132 .71819 L F P
0 g
s
.707 .577 .707 r
.32099 .72862 m .30891 .73807 L .298 .72399 L p F P
0 g
s
.488 .222 .436 r
.29641 .72599 m .30688 .71797 L .30188 .71143 L p F P
0 g
s
.488 .222 .436 r
.30188 .71143 m .30131 .71068 L p .30086 .71209 L F P
0 g
s
.488 .222 .436 r
.30086 .71209 m .29641 .72599 L .30188 .71143 L F
.707 .577 .707 r
.27662 .73305 m .28744 .72985 L .29621 .74536 L p F P
0 g
s
.527 .238 .419 r
.28221 .72309 m .28577 .73191 L p .29098 .71969 L F P
0 g
s
.527 .238 .419 r
.29173 .71792 m .28221 .72309 L p .29098 .71969 L F P
0 g
s
.725 .827 .928 r
.28221 .72309 m .28224 .72313 L p .28183 .72324 L F P
0 g
s
.725 .827 .928 r
.27306 .72555 m .28221 .72309 L p .28183 .72324 L F P
0 g
s
.707 .577 .707 r
.30891 .73807 m .29621 .74536 L .28744 .72985 L p F P
0 g
s
.527 .238 .419 r
.28577 .73191 m .29641 .72599 L .29243 .71912 L p F P
0 g
s
.527 .238 .419 r
.29243 .71912 m .29173 .71792 L p .29098 .71969 L F P
0 g
s
.527 .238 .419 r
.29098 .71969 m .28577 .73191 L .29243 .71912 L F
.721 .588 .706 r
.24344 .73502 m .27662 .73305 L .28196 .75004 L p F P
0 g
s
.589 .275 .405 r
.27306 .72555 m .27486 .73513 L p .28162 .72406 L F P
0 g
s
.589 .275 .405 r
.2817 .72393 m .27306 .72555 L .28162 .72406 L F
.28221 .72309 m .27393 .72532 L p .2817 .72393 L F P
0 g
s
.589 .275 .405 r
.27393 .72532 m .27306 .72555 L p .2817 .72393 L F P
0 g
s
.707 .577 .707 r
.29621 .74536 m .28196 .75004 L .27662 .73305 L p F P
0 g
s
.589 .275 .405 r
.27486 .73513 m .28577 .73191 L .28253 .72389 L p F P
0 g
s
.589 .275 .405 r
.28253 .72389 m .28221 .72309 L p .28162 .72406 L F P
0 g
s
.589 .275 .405 r
.28162 .72406 m .27486 .73513 L .28253 .72389 L F
.864 .852 .829 r
.35507 .64507 m .36589 .63212 L .37294 .63754 L p F P
0 g
s
.855 .854 .84 r
.36589 .63212 m .37729 .61984 L .38401 .6256 L p F P
0 g
s
.855 .854 .84 r
.38401 .6256 m .37294 .63754 L .36589 .63212 L p F P
0 g
s
.846 .855 .85 r
.37729 .61984 m .38936 .60801 L .39564 .61419 L p F P
0 g
s
.846 .855 .85 r
.39564 .61419 m .38401 .6256 L .37729 .61984 L p F P
0 g
s
.834 .855 .861 r
.38936 .60801 m .40192 .5971 L .40783 .60357 L p F P
0 g
s
.834 .855 .861 r
.40783 .60357 m .39564 .61419 L .38936 .60801 L p F P
0 g
s
.824 .854 .87 r
.40192 .5971 m .41467 .58704 L .42 .59395 L p F P
0 g
s
.824 .854 .87 r
.42 .59395 m .40783 .60357 L .40192 .5971 L p F P
0 g
s
.806 .851 .883 r
.41467 .58704 m .42825 .57793 L .43289 .58527 L p F P
0 g
s
.806 .851 .883 r
.43289 .58527 m .42 .59395 L .41467 .58704 L p F P
0 g
s
.707 .577 .707 r
.43289 .58527 m .44636 .57774 L .45384 .59391 L p F P
0 g
s
.707 .577 .707 r
.45384 .59391 m .44161 .6008 L .43289 .58527 L p F P
0 g
s
.702 .575 .709 r
.4709 .58619 m .45384 .59391 L .44636 .57774 L p F P
0 g
s
.707 .577 .707 r
.65316 .53137 m .65868 .51609 L .67458 .52411 L p F P
0 g
s
.707 .577 .707 r
.67458 .52411 m .66994 .53735 L .65316 .53137 L p F P
0 g
s
.707 .577 .707 r
.65868 .51609 m .66553 .50251 L .68125 .51087 L p F P
0 g
s
.707 .577 .707 r
.68125 .51087 m .67458 .52411 L .65868 .51609 L p F P
0 g
s
.707 .577 .707 r
.66553 .50251 m .67243 .48955 L .68849 .49725 L p F P
0 g
s
.707 .577 .707 r
.68849 .49725 m .68125 .51087 L .66553 .50251 L p F P
0 g
s
.707 .577 .707 r
.67243 .48955 m .67862 .4767 L .69519 .48325 L p F P
0 g
s
.707 .577 .707 r
.69519 .48325 m .68849 .49725 L .67243 .48955 L p F P
0 g
s
.707 .577 .707 r
.67862 .4767 m .68377 .46381 L .70093 .46858 L p F P
0 g
s
.707 .577 .707 r
.70093 .46858 m .69519 .48325 L .67862 .4767 L p F P
0 g
s
.707 .577 .707 r
.68377 .46381 m .68733 .45118 L .70487 .45425 L p F P
0 g
s
.707 .577 .707 r
.70487 .45425 m .70093 .46858 L .68377 .46381 L p F P
0 g
s
.707 .577 .707 r
.68733 .45118 m .68965 .43811 L .70739 .43972 L p F P
0 g
s
.707 .577 .707 r
.70739 .43972 m .70487 .45425 L .68733 .45118 L p F P
0 g
s
.707 .577 .707 r
.70868 .42521 m .70739 .43972 L .68965 .43811 L p F P
0 g
s
.709 .563 .688 r
.8569 .38286 m .85932 .35627 L .87712 .35697 L p F P
0 g
s
.707 .577 .707 r
.85932 .35627 m .86084 .31942 L .87859 .31795 L p F P
0 g
s
.707 .577 .707 r
.87859 .31795 m .87712 .35697 L .85932 .35627 L p F P
0 g
s
.707 .577 .707 r
.86084 .31942 m .85791 .28301 L .8753 .27916 L p F P
0 g
s
.707 .577 .707 r
.8753 .27916 m .87859 .31795 L .86084 .31942 L p F P
0 g
s
.707 .577 .707 r
.85791 .28301 m .85031 .24814 L .86692 .24172 L p F P
0 g
s
.707 .577 .707 r
.86692 .24172 m .8753 .27916 L .85791 .28301 L p F P
0 g
s
.707 .577 .707 r
.85031 .24814 m .83742 .21462 L .85312 .2062 L p F P
0 g
s
.707 .577 .707 r
.85312 .2062 m .86692 .24172 L .85031 .24814 L p F P
0 g
s
.707 .577 .707 r
.83742 .21462 m .82194 .18552 L .8361 .17472 L p F P
0 g
s
.707 .577 .707 r
.8361 .17472 m .85312 .2062 L .83742 .21462 L p F P
0 g
s
.707 .577 .707 r
.81439 .14644 m .8361 .17472 L .82194 .18552 L p F P
0 g
s
.707 .577 .707 r
.34065 .67964 m .35138 .665 L .36569 .67562 L p F P
0 g
s
.707 .577 .707 r
.36569 .67562 m .35502 .69017 L .34065 .67964 L p F P
0 g
s
.707 .577 .707 r
.37616 .66149 m .36569 .67562 L .35138 .665 L p F P
0 g
s
.707 .577 .707 r
.37294 .63754 m .38401 .6256 L .39651 .6383 L p F P
0 g
s
.707 .577 .707 r
.39651 .6383 m .38601 .64964 L .37294 .63754 L p F P
0 g
s
.707 .577 .707 r
.38401 .6256 m .39564 .61419 L .40735 .62761 L p F P
0 g
s
.707 .577 .707 r
.40735 .62761 m .39651 .6383 L .38401 .6256 L p F P
0 g
s
.707 .577 .707 r
.39564 .61419 m .40783 .60357 L .41891 .61753 L p F P
0 g
s
.707 .577 .707 r
.41891 .61753 m .40735 .62761 L .39564 .61419 L p F P
0 g
s
.707 .577 .707 r
.40783 .60357 m .42 .59395 L .42998 .60871 L p F P
0 g
s
.707 .577 .707 r
.42998 .60871 m .41891 .61753 L .40783 .60357 L p F P
0 g
s
.707 .577 .707 r
.42 .59395 m .43289 .58527 L .44161 .6008 L p F P
0 g
s
.707 .577 .707 r
.44161 .6008 m .42998 .60871 L .42 .59395 L p F P
0 g
s
.466 .237 .481 r
.62639 .61524 m .63636 .60446 L .64398 .61044 L p F P
0 g
s
.45 .239 .5 r
.63636 .60446 m .64535 .59268 L .65354 .59784 L p F P
0 g
s
.45 .239 .5 r
.65354 .59784 m .64398 .61044 L .63636 .60446 L p F P
0 g
s
.4 .308 .635 r
.70739 .43972 m .70868 .42521 L .71844 .4253 L p F P
0 g
s
.4 .32 .651 r
.70868 .42521 m .70927 .40757 L .71884 .41143 L p F P
0 g
s
.4 .32 .651 r
.71884 .41143 m .71844 .4253 L .70868 .42521 L p F P
0 g
s
.669 .743 .906 r
.62702 .05471 m .58853 .05526 L .58742 .04482 L p F P
0 g
s
.705 .771 .904 r
.58853 .05526 m .55071 .06159 L .54826 .05146 L p F P
0 g
s
.705 .771 .904 r
.54826 .05146 m .58742 .04482 L .58853 .05526 L p F P
0 g
s
.428 .215 .486 r
.36569 .67562 m .37616 .66149 L .38254 .66797 L p F P
0 g
s
.439 .215 .475 r
.37616 .66149 m .38601 .64964 L .39212 .65643 L p F P
0 g
s
.439 .215 .475 r
.39212 .65643 m .38254 .66797 L .37616 .66149 L p F P
0 g
s
.735 .579 .681 r
.61564 .62513 m .60402 .63572 L .59215 .62242 L p F P
0 g
s
.721 .588 .706 r
.28196 .75004 m .24454 .75281 L .24344 .73502 L p F P
0 g
s
.52 .233 .419 r
.44161 .6008 m .45384 .59391 L .45741 .60251 L p F P
0 g
s
.52 .233 .419 r
.45741 .60251 m .44575 .60912 L .44161 .6008 L p F P
0 g
s
.541 .242 .41 r
.45384 .59391 m .4709 .58619 L .47027 .59655 L p F P
0 g
s
.541 .242 .41 r
.47027 .59655 m .45741 .60251 L .45384 .59391 L p F P
0 g
s
.505 .231 .432 r
.60402 .63572 m .61564 .62513 L .62213 .63233 L p F P
0 g
s
.481 .237 .467 r
.61564 .62513 m .62639 .61524 L .63343 .6219 L p F P
0 g
s
.481 .237 .467 r
.63343 .6219 m .62213 .63233 L .61564 .62513 L p F P
0 g
s
.466 .237 .481 r
.64398 .61044 m .63343 .6219 L .62639 .61524 L p F P
0 g
s
.434 .245 .523 r
.64535 .59268 m .65303 .58003 L .66171 .58429 L p F P
0 g
s
.434 .245 .523 r
.66171 .58429 m .65354 .59784 L .64535 .59268 L p F P
0 g
s
.421 .254 .547 r
.65303 .58003 m .65968 .56594 L .66865 .56953 L p F P
0 g
s
.421 .254 .547 r
.66865 .56953 m .66171 .58429 L .65303 .58003 L p F P
0 g
s
.414 .262 .564 r
.65968 .56594 m .66519 .55158 L .67432 .55473 L p F P
0 g
s
.414 .262 .564 r
.67432 .55473 m .66865 .56953 L .65968 .56594 L p F P
0 g
s
.41 .267 .575 r
.66519 .55158 m .66994 .53735 L .67902 .54062 L p F P
0 g
s
.41 .267 .575 r
.67902 .54062 m .67432 .55473 L .66519 .55158 L p F P
0 g
s
.411 .266 .572 r
.66994 .53735 m .67458 .52411 L .68325 .52835 L p F P
0 g
s
.411 .266 .572 r
.68325 .52835 m .67902 .54062 L .66994 .53735 L p F P
0 g
s
.424 .25 .54 r
.67458 .52411 m .68125 .51087 L .68985 .51524 L p F P
0 g
s
.424 .25 .54 r
.68325 .52835 m .67458 .52411 L p .68832 .51613 L F P
0 g
s
.924 .836 .74 r
.68325 .52835 m .67595 .52454 L p .67875 .5392 L F P
0 g
s
.924 .836 .74 r
.67902 .54062 m .68325 .52835 L p .67875 .5392 L F P
0 g
s
.424 .25 .54 r
.68985 .51524 m .68325 .52835 L p .68832 .51613 L F P
0 g
s
.426 .248 .535 r
.68125 .51087 m .68849 .49725 L .69729 .50123 L p F P
0 g
s
.426 .248 .535 r
.68985 .51524 m .68125 .51087 L p .69699 .50141 L F P
0 g
s
.908 .852 .775 r
.68985 .51524 m .68268 .5112 L p .68324 .52805 L F P
0 g
s
.908 .852 .775 r
.68325 .52835 m .68985 .51524 L p .68324 .52805 L F P
0 g
s
.426 .248 .535 r
.69729 .50123 m .68985 .51524 L p .69699 .50141 L F P
0 g
s
.422 .253 .545 r
.68849 .49725 m .69519 .48325 L .70427 .4866 L p F P
0 g
s
.422 .253 .545 r
.70427 .4866 m .69729 .50123 L .68849 .49725 L p F P
0 g
s
.415 .261 .563 r
.69519 .48325 m .70093 .46858 L .71034 .47097 L p F P
0 g
s
.415 .261 .563 r
.71034 .47097 m .70427 .4866 L .69519 .48325 L p F P
0 g
s
.407 .276 .589 r
.70093 .46858 m .70487 .45425 L .71448 .45574 L p F P
0 g
s
.407 .276 .589 r
.71448 .45574 m .71034 .47097 L .70093 .46858 L p F P
0 g
s
.402 .293 .614 r
.70487 .45425 m .70739 .43972 L .7171 .44041 L p F P
0 g
s
.402 .293 .614 r
.7171 .44041 m .71448 .45574 L .70487 .45425 L p F P
0 g
s
.4 .308 .635 r
.71844 .4253 m .7171 .44041 L .70739 .43972 L p F P
0 g
s
.419 .335 .655 r
.87712 .35697 m .87859 .31795 L .88898 .31662 L p F P
0 g
s
.422 .362 .685 r
.87859 .31795 m .8753 .27916 L .8855 .27649 L p F P
0 g
s
.422 .362 .685 r
.8855 .27649 m .88898 .31662 L .87859 .31795 L p F P
0 g
s
.429 .394 .718 r
.8753 .27916 m .86692 .24172 L .8767 .2376 L p F P
0 g
s
.429 .394 .718 r
.8767 .2376 m .8855 .27649 L .8753 .27916 L p F P
0 g
s
.441 .432 .752 r
.86692 .24172 m .85312 .2062 L .86238 .20095 L p F P
0 g
s
.441 .432 .752 r
.86238 .20095 m .8767 .2376 L .86692 .24172 L p F P
0 g
s
.455 .465 .78 r
.85312 .2062 m .8361 .17472 L .84452 .16815 L p F P
0 g
s
.455 .465 .78 r
.84452 .16815 m .86238 .20095 L .85312 .2062 L p F P
0 g
s
.477 .508 .811 r
.8361 .17472 m .81439 .14644 L .82183 .13874 L p F P
0 g
s
.477 .508 .811 r
.82183 .13874 m .84452 .16815 L .8361 .17472 L p F P
0 g
s
.501 .55 .838 r
.81439 .14644 m .78861 .12167 L .79498 .11307 L p F P
0 g
s
.501 .55 .838 r
.79498 .11307 m .82183 .13874 L .81439 .14644 L p F P
0 g
s
.526 .587 .859 r
.78861 .12167 m .75997 .10096 L .76572 .09193 L p F P
0 g
s
.526 .587 .859 r
.76572 .09193 m .79498 .11307 L .78861 .12167 L p F P
0 g
s
.541 .607 .869 r
.75997 .10096 m .72944 .08204 L .73395 .07234 L p F P
0 g
s
.541 .607 .869 r
.73395 .07234 m .76572 .09193 L .75997 .10096 L p F P
0 g
s
.57 .644 .884 r
.72944 .08204 m .69666 .06765 L .69977 .05745 L p F P
0 g
s
.57 .644 .884 r
.69977 .05745 m .73395 .07234 L .72944 .08204 L p F P
0 g
s
.604 .682 .897 r
.69666 .06765 m .66221 .05843 L .6638 .04793 L p F P
0 g
s
.604 .682 .897 r
.6638 .04793 m .69977 .05745 L .69666 .06765 L p F P
0 g
s
.64 .718 .904 r
.66221 .05843 m .62702 .05471 L .62742 .04415 L p F P
0 g
s
.64 .718 .904 r
.62742 .04415 m .6638 .04793 L .66221 .05843 L p F P
0 g
s
.669 .743 .906 r
.58742 .04482 m .62742 .04415 L .62702 .05471 L p F P
0 g
s
.737 .792 .897 r
.55071 .06159 m .51356 .0732 L .50985 .06354 L p F P
0 g
s
.737 .792 .897 r
.50985 .06354 m .54826 .05146 L .55071 .06159 L p F P
0 g
s
.767 .808 .886 r
.51356 .0732 m .47699 .09037 L .47396 .08027 L p F P
0 g
s
.767 .808 .886 r
.47396 .08027 m .50985 .06354 L .51356 .0732 L p F P
0 g
s
.653 .326 .407 r
.24454 .75281 m .28196 .75004 L .28378 .75967 L p F P
0 g
s
.574 .268 .412 r
.28196 .75004 m .29621 .74536 L .29982 .75422 L p F P
0 g
s
.574 .268 .412 r
.29982 .75422 m .28378 .75967 L .28196 .75004 L p F P
0 g
s
.522 .239 .426 r
.29621 .74536 m .30891 .73807 L .31364 .74619 L p F P
0 g
s
.522 .239 .426 r
.31364 .74619 m .29982 .75422 L .29621 .74536 L p F P
0 g
s
.487 .225 .442 r
.30891 .73807 m .32099 .72862 L .32661 .73595 L p F P
0 g
s
.487 .225 .442 r
.32661 .73595 m .31364 .74619 L .30891 .73807 L p F P
0 g
s
.459 .217 .46 r
.32099 .72862 m .33147 .7181 L .33747 .72504 L p F P
0 g
s
.459 .217 .46 r
.33747 .72504 m .32661 .73595 L .32099 .72862 L p F P
0 g
s
.447 .216 .469 r
.33147 .7181 m .3437 .70443 L .35009 .71091 L p F P
0 g
s
.447 .216 .469 r
.35009 .71091 m .33747 .72504 L .33147 .7181 L p F P
0 g
s
.435 .215 .479 r
.3437 .70443 m .35502 .69017 L .36166 .69632 L p F P
0 g
s
.435 .215 .479 r
.36166 .69632 m .35009 .71091 L .3437 .70443 L p F P
0 g
s
.427 .215 .487 r
.35502 .69017 m .36569 .67562 L .37234 .68176 L p F P
0 g
s
.427 .215 .487 r
.37234 .68176 m .36166 .69632 L .35502 .69017 L p F P
0 g
s
.428 .215 .486 r
.38254 .66797 m .37234 .68176 L .36569 .67562 L p F P
0 g
s
.45 .215 .465 r
.38601 .64964 m .39651 .6383 L .40237 .64534 L p F P
0 g
s
.45 .215 .465 r
.40237 .64534 m .39212 .65643 L .38601 .64964 L p F P
0 g
s
.46 .216 .457 r
.39651 .6383 m .40735 .62761 L .41286 .63498 L p F P
0 g
s
.46 .216 .457 r
.41286 .63498 m .40237 .64534 L .39651 .6383 L p F P
0 g
s
.473 .219 .447 r
.40735 .62761 m .41891 .61753 L .42415 .62511 L p F P
0 g
s
.473 .219 .447 r
.42415 .62511 m .41286 .63498 L .40735 .62761 L p F P
0 g
s
.483 .221 .44 r
.41891 .61753 m .42998 .60871 L .43471 .61666 L p F P
0 g
s
.483 .221 .44 r
.43471 .61666 m .42415 .62511 L .41891 .61753 L p F P
0 g
s
.5 .226 .429 r
.42998 .60871 m .44161 .6008 L .44575 .60912 L p F P
0 g
s
.5 .226 .429 r
.44575 .60912 m .43471 .61666 L .42998 .60871 L p F P
0 g
s
.709 .563 .688 r
.87712 .35697 m .87464 .38464 L .8569 .38286 L p F P
0 g
s
.418 .309 .622 r
.87464 .38464 m .87712 .35697 L .88752 .35689 L p F P
0 g
s
.419 .335 .655 r
.88898 .31662 m .88752 .35689 L .87712 .35697 L p F P
0 g
s
.591 .744 .949 r
.72957 .74073 m .73372 .7424 L .73411 .75026 L p F P
0 g
s
.614 .754 .945 r
.76432 .7508 m .73411 .75026 L .73372 .7424 L p F P
0 g
s
.614 .754 .945 r
.76194 .74351 m .76432 .7508 L p .74221 .74473 L F P
0 g
s
.614 .754 .945 r
.73372 .7424 m .76194 .74351 L p .74221 .74473 L F P
0 g
s
.692 .565 .707 r
.73411 .75026 m .76432 .7508 L .76839 .76816 L p F P
0 g
s
.688 .817 .944 r
.79456 .74387 m .76432 .7508 L .76194 .74351 L p F P
0 g
s
.692 .568 .71 r
.76432 .7508 m .79456 .74387 L .80184 .76016 L p F P
0 g
s
.692 .568 .71 r
.80184 .76016 m .76839 .76816 L .76432 .7508 L p F P
0 g
s
.688 .817 .944 r
.79081 .73733 m .79456 .74387 L p .76958 .74359 L F P
0 g
s
.688 .817 .944 r
.76194 .74351 m .79081 .73733 L p .76958 .74359 L F P
0 g
s
.746 .855 .93 r
.82386 .73098 m .79456 .74387 L .79081 .73733 L p F P
0 g
s
.694 .571 .713 r
.79456 .74387 m .82386 .73098 L .83415 .74558 L p F P
0 g
s
.694 .571 .713 r
.83415 .74558 m .80184 .76016 L .79456 .74387 L p F P
0 g
s
.746 .855 .93 r
.81886 .72546 m .82386 .73098 L p .79904 .73575 L F P
0 g
s
.746 .855 .93 r
.79081 .73733 m .81886 .72546 L p .79904 .73575 L F P
0 g
s
.802 .881 .903 r
.85092 .71217 m .82386 .73098 L .81886 .72546 L p F P
0 g
s
.695 .574 .716 r
.82386 .73098 m .85092 .71217 L .86289 .72543 L p F P
0 g
s
.695 .574 .716 r
.86289 .72543 m .83415 .74558 L .82386 .73098 L p F P
0 g
s
.802 .881 .903 r
.84532 .70733 m .85092 .71217 L p .82431 .7232 L F P
0 g
s
.802 .881 .903 r
.81886 .72546 m .84532 .70733 L p .82431 .7232 L F P
0 g
s
.835 .89 .88 r
.87659 .68928 m .85092 .71217 L .84532 .70733 L p F P
0 g
s
.697 .576 .716 r
.85092 .71217 m .87659 .68928 L .89069 .70028 L p F P
0 g
s
.697 .576 .716 r
.89069 .70028 m .86289 .72543 L .85092 .71217 L p F P
0 g
s
.835 .89 .88 r
.8702 .68564 m .87659 .68928 L p .85285 .70299 L F P
0 g
s
.835 .89 .88 r
.84532 .70733 m .8702 .68564 L p .85285 .70299 L F P
0 g
s
.876 .892 .841 r
.89789 .66237 m .87659 .68928 L .8702 .68564 L p F P
0 g
s
.698 .579 .718 r
.87659 .68928 m .89789 .66237 L .91366 .67083 L p F P
0 g
s
.698 .579 .718 r
.91366 .67083 m .89069 .70028 L .87659 .68928 L p F P
0 g
s
.876 .892 .841 r
.89093 .66 m .89789 .66237 L p .87677 .68012 L F P
0 g
s
.876 .892 .841 r
.8702 .68564 m .89093 .66 L p .87677 .68012 L F P
0 g
s
.91 .883 .795 r
.91475 .63146 m .89789 .66237 L .89093 .66 L p F P
0 g
s
.7 .582 .719 r
.89789 .66237 m .91475 .63146 L .93159 .63753 L p F P
0 g
s
.7 .582 .719 r
.93159 .63753 m .91366 .67083 L .89789 .66237 L p F P
0 g
s
.91 .883 .795 r
.90749 .63023 m .91475 .63146 L p .89614 .65376 L F P
0 g
s
.91 .883 .795 r
.89093 .66 m .90749 .63023 L p .89614 .65376 L F P
0 g
s
.932 .866 .751 r
.92735 .59732 m .91475 .63146 L .90749 .63023 L p F P
0 g
s
.702 .584 .72 r
.91475 .63146 m .92735 .59732 L .94452 .60245 L p F P
0 g
s
.702 .584 .72 r
.94452 .60245 m .93159 .63753 L .91475 .63146 L p F P
0 g
s
.932 .866 .751 r
.92005 .59645 m .92735 .59732 L p .9094 .62706 L F P
0 g
s
.932 .866 .751 r
.90749 .63023 m .92005 .59645 L p .9094 .62706 L F P
0 g
s
.939 .857 .733 r
.93782 .56314 m .92735 .59732 L .92005 .59645 L p F P
0 g
s
.703 .585 .72 r
.92735 .59732 m .93782 .56314 L .95557 .56571 L p F P
0 g
s
.703 .585 .72 r
.95557 .56571 m .94452 .60245 L .92735 .59732 L p F P
0 g
s
.939 .857 .733 r
.93045 .56347 m .93782 .56314 L p .92391 .58921 L F P
0 g
s
.939 .857 .733 r
.92005 .59645 m .93045 .56347 L p .92391 .58921 L F P
0 g
s
.952 .829 .686 r
.94312 .52834 m .93782 .56314 L .93045 .56347 L p F P
0 g
s
.705 .587 .721 r
.93782 .56314 m .94312 .52834 L .96106 .52785 L p F P
0 g
s
.705 .587 .721 r
.96106 .52785 m .95557 .56571 L .93782 .56314 L p F P
0 g
s
.952 .829 .686 r
.93589 .53011 m .94312 .52834 L p .93353 .55494 L F P
0 g
s
.952 .829 .686 r
.93045 .56347 m .93589 .53011 L p .93353 .55494 L F P
0 g
s
.958 .788 .629 r
.94242 .4939 m .94312 .52834 L .93589 .53011 L p F P
0 g
s
.707 .589 .721 r
.94312 .52834 m .94242 .4939 L .96002 .49033 L p F P
0 g
s
.707 .589 .721 r
.96002 .49033 m .96106 .52785 L .94312 .52834 L p F P
0 g
s
.958 .788 .629 r
.93558 .49705 m .94242 .4939 L p .93747 .52132 L F P
0 g
s
.958 .788 .629 r
.93589 .53011 m .93558 .49705 L p .93747 .52132 L F P
0 g
s
.953 .737 .572 r
.93565 .45939 m .94242 .4939 L .93558 .49705 L p F P
0 g
s
.71 .591 .721 r
.94242 .4939 m .93565 .45939 L .95274 .45381 L p F P
0 g
s
.71 .591 .721 r
.95274 .45381 m .96002 .49033 L .94242 .4939 L p F P
0 g
s
.953 .737 .572 r
.92922 .46348 m .93565 .45939 L p .93559 .49034 L F P
0 g
s
.953 .737 .572 r
.93558 .49705 m .92922 .46348 L p .93559 .49034 L F P
0 g
s
.945 .701 .536 r
.92599 .42915 m .93565 .45939 L .92922 .46348 L p F P
0 g
s
.712 .593 .721 r
.93565 .45939 m .92599 .42915 L .94166 .42032 L p F P
0 g
s
.712 .593 .721 r
.94166 .42032 m .95274 .45381 L .93565 .45939 L p F P
0 g
s
.945 .701 .536 r
.9205 .43466 m .92599 .42915 L p .92842 .455 L F P
0 g
s
.945 .701 .536 r
.92922 .46348 m .9205 .43466 L p .92842 .455 L F P
0 g
s
.921 .632 .478 r
.91075 .40173 m .92599 .42915 L .9205 .43466 L p F P
0 g
s
.714 .594 .72 r
.92599 .42915 m .91075 .40173 L .92442 .39001 L p F P
0 g
s
.714 .594 .72 r
.92442 .39001 m .94166 .42032 L .92599 .42915 L p F P
0 g
s
.921 .632 .478 r
.90646 .40846 m .91075 .40173 L p .91819 .42688 L F P
0 g
s
.921 .632 .478 r
.9205 .43466 m .90646 .40846 L p .91819 .42688 L F P
0 g
s
.887 .562 .429 r
.89189 .37942 m .91075 .40173 L .90646 .40846 L p F P
0 g
s
.717 .595 .719 r
.91075 .40173 m .89189 .37942 L .902 .36451 L p F P
0 g
s
.717 .595 .719 r
.902 .36451 m .92442 .39001 L .91075 .40173 L p F P
0 g
s
.887 .562 .429 r
.88961 .3874 m .89189 .37942 L p .90244 .40045 L F P
0 g
s
.887 .562 .429 r
.90646 .40846 m .88961 .3874 L p .90244 .40045 L F P
0 g
s
.418 .309 .622 r
.88752 .35689 m .88518 .38343 L .87464 .38464 L p F P
0 g
s
.954 .788 .637 r
.88518 .38343 m .88752 .35689 L .88008 .35609 L p F P
0 g
s
.954 .788 .637 r
.88008 .35609 m .87792 .38041 L .88518 .38343 L p F P
0 g
s
.709 .561 .685 r
.87792 .38041 m .88008 .35609 L .86214 .35538 L p F P
0 g
s
.831 .473 .379 r
.87022 .36393 m .89189 .37942 L .88961 .3874 L p F P
0 g
s
.707 .577 .707 r
.86368 .31824 m .86214 .35538 L .88008 .35609 L p F P
0 g
s
.72 .595 .716 r
.89189 .37942 m .87022 .36393 L .87516 .34659 L p F P
0 g
s
.953 .788 .64 r
.88752 .35689 m .88898 .31662 L .88157 .31677 L p F P
0 g
s
.953 .788 .64 r
.88157 .31677 m .88008 .35609 L .88752 .35689 L p F P
0 g
s
.707 .577 .707 r
.88008 .35609 m .88157 .31677 L .86368 .31824 L p F P
0 g
s
.72 .595 .716 r
.87516 .34659 m .902 .36451 L .89189 .37942 L p F P
0 g
s
.421 .293 .599 r
.8696 .4105 m .87464 .38464 L .88518 .38343 L p F P
0 g
s
.421 .293 .599 r
.88518 .38343 m .88017 .41027 L .8696 .4105 L p F P
0 g
s
.951 .81 .668 r
.88017 .41027 m .88518 .38343 L .87792 .38041 L p F P
0 g
s
.709 .561 .685 r
.86214 .35538 m .86005 .37862 L .87792 .38041 L p F P
0 g
s
.831 .473 .379 r
.86921 .37221 m .86923 .37204 L p .87104 .3734 L F P
0 g
s
.831 .473 .379 r
.86923 .37204 m .87022 .36393 L p .88428 .38095 L F P
0 g
s
.831 .473 .379 r
.88428 .38095 m .88961 .3874 L .86923 .37204 L F
.734 .362 .347 r
.86525 .37044 m .86407 .36188 L p .86877 .37132 L F P
0 g
s
.734 .362 .347 r
.86877 .37132 m .86921 .37221 L .86525 .37044 L F
.414 .303 .618 r
.86005 .37862 m .86214 .35538 L .85179 .35547 L p F P
0 g
s
.734 .362 .347 r
.86407 .36188 m .87022 .36393 L .86921 .37221 L p F P
0 g
s
.656 .295 .348 r
.85921 .37005 m .85658 .36156 L p .86469 .36991 L F P
0 g
s
.656 .295 .348 r
.86469 .36991 m .86526 .37051 L .85921 .37005 L F
.414 .303 .618 r
.85179 .35547 m .84957 .37986 L .86005 .37862 L p F P
0 g
s
.656 .295 .348 r
.85658 .36156 m .86407 .36188 L .86526 .37051 L p F P
0 g
s
.61 .265 .36 r
.85214 .37087 m .84825 .3626 L p .85852 .36962 L F P
0 g
s
.61 .265 .36 r
.85852 .36962 m .85922 .3701 L .85214 .37087 L F
.84825 .3626 m .85658 .36156 L .85922 .3701 L p F P
0 g
s
.57 .244 .377 r
.84369 .37327 m .83931 .36517 L p .85175 .3707 L F P
0 g
s
.57 .244 .377 r
.85175 .3707 m .85214 .37087 L .84369 .37327 L F
.83931 .36517 m .84825 .3626 L .85214 .37087 L p F P
0 g
s
.556 .239 .385 r
.83283 .37709 m .82783 .36923 L p .84289 .37308 L F P
0 g
s
.556 .239 .385 r
.84289 .37308 m .8437 .37328 L .83283 .37709 L F
.82783 .36923 m .83931 .36517 L .8437 .37328 L p F P
0 g
s
.538 .232 .397 r
.83283 .3771 m .822 .3819 L .822 .3819 L p F P
0 g
s
.538 .232 .397 r
.822 .3819 m .81655 .37426 L p .83216 .37698 L F P
0 g
s
.538 .232 .397 r
.83216 .37698 m .83283 .3771 L .822 .3819 L F
.81655 .37426 m .82783 .36923 L .83262 .37676 L p F P
0 g
s
.538 .232 .397 r
.83262 .37676 m .83283 .3771 L p .83217 .37698 L F P
0 g
s
.538 .232 .397 r
.81655 .37426 m .83262 .37676 L .83217 .37698 L F
.524 .229 .408 r
.81057 .38789 m .80502 .38031 L p .82178 .38188 L F P
0 g
s
.524 .229 .408 r
.82178 .38188 m .822 .3819 L .81057 .38789 L F
.80502 .38031 m .81655 .37426 L .822 .3819 L p F P
0 g
s
.52 .228 .411 r
.81057 .3879 m .79829 .39461 L .79311 .38683 L p F P
0 g
s
.52 .228 .411 r
.79311 .38683 m .80502 .38031 L .81057 .3879 L p F P
0 g
s
.784 .848 .9 r
.81057 .3879 m .80744 .37961 L p .79841 .39441 L F P
0 g
s
.784 .848 .9 r
.79829 .39461 m .81057 .3879 L p .79841 .39441 L F P
0 g
s
.524 .229 .408 r
.81057 .3879 m .81057 .38789 L p .81094 .3877 L F P
0 g
s
.524 .229 .408 r
.822 .3819 m .81057 .3879 L p .81094 .3877 L F P
0 g
s
.784 .848 .9 r
.80744 .37961 m .79544 .38617 L .79825 .3945 L p F P
0 g
s
.784 .848 .9 r
.79825 .3945 m .79829 .39461 L p .79841 .39441 L F P
0 g
s
.784 .848 .9 r
.79841 .39441 m .80744 .37961 L .79825 .3945 L F
.78 .846 .902 r
.822 .3819 m .81907 .37351 L p .81093 .38729 L F P
0 g
s
.78 .846 .902 r
.81057 .3879 m .82175 .38204 L p .81093 .38729 L F P
0 g
s
.78 .846 .902 r
.82175 .38204 m .822 .3819 L p .81093 .38729 L F P
0 g
s
.78 .846 .902 r
.81907 .37351 m .80744 .37961 L .81043 .38752 L p F P
0 g
s
.78 .846 .902 r
.81043 .38752 m .81057 .3879 L p .81095 .38726 L F P
0 g
s
.78 .846 .902 r
.81095 .38726 m .81907 .37351 L .81043 .38752 L F
.763 .838 .909 r
.83283 .3771 m .83044 .36844 L p .82243 .38123 L F P
0 g
s
.763 .838 .909 r
.822 .3819 m .83283 .3771 L p .82243 .38123 L F P
0 g
s
.556 .239 .385 r
.83283 .3771 m .83283 .37709 L p .83304 .37701 L F P
0 g
s
.556 .239 .385 r
.8437 .37328 m .83283 .3771 L p .83304 .37701 L F P
0 g
s
.763 .838 .909 r
.83044 .36844 m .81907 .37351 L .82185 .38146 L p F P
0 g
s
.763 .838 .909 r
.82185 .38146 m .822 .3819 L p .82243 .38123 L F P
0 g
s
.763 .838 .909 r
.82243 .38123 m .83044 .36844 L .82185 .38146 L F
.707 .577 .707 r
.84825 .3626 m .83931 .36517 L .83326 .34819 L p F P
0 g
s
.742 .825 .916 r
.8437 .37328 m .84201 .36434 L p .83317 .37663 L F P
0 g
s
.742 .825 .916 r
.83283 .3771 m .8437 .37328 L p .83317 .37663 L F P
0 g
s
.57 .244 .377 r
.8437 .37328 m .84369 .37327 L p .84414 .37314 L F P
0 g
s
.57 .244 .377 r
.85214 .37087 m .8437 .37328 L p .84414 .37314 L F P
0 g
s
.742 .825 .916 r
.84201 .36434 m .83044 .36844 L .83274 .37677 L p F P
0 g
s
.742 .825 .916 r
.83274 .37677 m .83283 .3771 L p .83317 .37663 L F P
0 g
s
.742 .825 .916 r
.83317 .37663 m .84201 .36434 L .83274 .37677 L F
.707 .577 .707 r
.85658 .36156 m .84825 .3626 L .84324 .34528 L p F P
0 g
s
.726 .814 .92 r
.85214 .37087 m .85102 .36176 L p .84426 .3724 L F P
0 g
s
.726 .814 .92 r
.8437 .37328 m .85214 .37087 L p .84426 .3724 L F P
0 g
s
.61 .265 .36 r
.85214 .37087 m .85214 .37087 L p .85224 .37085 L F P
0 g
s
.61 .265 .36 r
.85922 .3701 m .85214 .37087 L p .85224 .37085 L F P
0 g
s
.707 .577 .707 r
.83326 .34819 m .84324 .34528 L .84825 .3626 L p F P
0 g
s
.726 .814 .92 r
.85102 .36176 m .84201 .36434 L .84356 .37254 L p F P
0 g
s
.726 .814 .92 r
.84356 .37254 m .8437 .37328 L p .84426 .3724 L F P
0 g
s
.726 .814 .92 r
.84426 .3724 m .85102 .36176 L .84356 .37254 L F
.415 .33 .652 r
.85334 .31957 m .85179 .35547 L .86214 .35538 L p F P
0 g
s
.707 .577 .707 r
.86407 .36188 m .85658 .36156 L .85414 .3437 L p F P
0 g
s
.681 .78 .926 r
.85922 .3701 m .85942 .36071 L p .85262 .37021 L F P
0 g
s
.681 .78 .926 r
.85214 .37087 m .85922 .3701 L p .85262 .37021 L F P
0 g
s
.656 .295 .348 r
.85922 .3701 m .85921 .37005 L p .85978 .37009 L F P
0 g
s
.656 .295 .348 r
.86526 .37051 m .85922 .3701 L p .85978 .37009 L F P
0 g
s
.707 .577 .707 r
.84324 .34528 m .85414 .3437 L .85658 .36156 L p F P
0 g
s
.681 .78 .926 r
.85942 .36071 m .85102 .36176 L .85206 .37022 L p F P
0 g
s
.681 .78 .926 r
.85206 .37022 m .85214 .37087 L p .85262 .37021 L F P
0 g
s
.681 .78 .926 r
.85262 .37021 m .85942 .36071 L .85206 .37022 L F
.707 .577 .707 r
.87022 .36393 m .86407 .36188 L .86456 .34386 L p F P
0 g
s
.635 .739 .923 r
.86526 .37051 m .86696 .36103 L p .86005 .36913 L F P
0 g
s
.635 .739 .923 r
.85922 .3701 m .86526 .37051 L p .86005 .36913 L F P
0 g
s
.734 .362 .347 r
.86526 .37051 m .86525 .37044 L p .86561 .3706 L F P
0 g
s
.734 .362 .347 r
.86921 .37221 m .86526 .37051 L p .86561 .3706 L F P
0 g
s
.415 .33 .652 r
.86214 .35538 m .86368 .31824 L .85334 .31957 L p F P
0 g
s
.707 .577 .707 r
.85414 .3437 m .86456 .34386 L .86407 .36188 L p F P
0 g
s
.635 .739 .923 r
.86696 .36103 m .85942 .36071 L .85925 .36893 L p F P
0 g
s
.635 .739 .923 r
.85925 .36893 m .85922 .3701 L p .86005 .36913 L F P
0 g
s
.635 .739 .923 r
.86005 .36913 m .86696 .36103 L .85925 .36893 L F
.553 .648 .897 r
.86921 .37221 m .87317 .36309 L p .8658 .37 L F P
0 g
s
.553 .648 .897 r
.86526 .37051 m .86921 .37221 L p .8658 .37 L F P
0 g
s
.831 .473 .379 r
.88961 .3874 m .86921 .37221 L p .87104 .3734 L F P
0 g
s
.707 .577 .707 r
.86456 .34386 m .87516 .34659 L .87022 .36393 L p F P
0 g
s
.553 .648 .897 r
.87317 .36309 m .86696 .36103 L .86539 .36976 L p F P
0 g
s
.553 .648 .897 r
.86539 .36976 m .86526 .37051 L p .8658 .37 L F P
0 g
s
.553 .648 .897 r
.8658 .37 m .87317 .36309 L .86539 .36976 L F
.522 .603 .876 r
.88961 .3874 m .89749 .38041 L p .87685 .37443 L F P
0 g
s
.522 .603 .876 r
.86921 .37221 m .88961 .3874 L p .87685 .37443 L F P
0 g
s
.477 .529 .832 r
.90646 .40846 m .91592 .40344 L p .89522 .39082 L F P
0 g
s
.477 .529 .832 r
.88961 .3874 m .90646 .40846 L p .89522 .39082 L F P
0 g
s
.452 .477 .794 r
.9205 .43466 m .93075 .4313 L p .9125 .41414 L F P
0 g
s
.452 .477 .794 r
.90646 .40846 m .9205 .43466 L p .9125 .41414 L F P
0 g
s
.433 .425 .75 r
.92922 .46348 m .93996 .46197 L p .92332 .43862 L F P
0 g
s
.433 .425 .75 r
.9205 .43466 m .92922 .46348 L p .92332 .43862 L F P
0 g
s
.426 .397 .723 r
.93558 .49705 m .94643 .49663 L p .93363 .47197 L F P
0 g
s
.426 .397 .723 r
.92922 .46348 m .93558 .49705 L p .93363 .47197 L F P
0 g
s
.422 .358 .681 r
.93589 .53011 m .94668 .5314 L p .93825 .50529 L F P
0 g
s
.422 .358 .681 r
.93558 .49705 m .93589 .53011 L p .93825 .50529 L F P
0 g
s
.423 .326 .64 r
.93045 .56347 m .94091 .56639 L p .93696 .53784 L F P
0 g
s
.423 .326 .64 r
.93589 .53011 m .93045 .56347 L p .93696 .53784 L F P
0 g
s
.429 .303 .605 r
.92005 .59645 m .93 .60075 L p .93041 .56667 L F P
0 g
s
.429 .303 .605 r
.93045 .56347 m .92005 .59645 L p .93041 .56667 L F P
0 g
s
.433 .295 .593 r
.90749 .63023 m .91716 .63511 L p .91936 .60561 L F P
0 g
s
.433 .295 .593 r
.92005 .59645 m .90749 .63023 L p .91936 .60561 L F P
0 g
s
.446 .279 .56 r
.89093 .66 m .89982 .66613 L p .90557 .63922 L F P
0 g
s
.446 .279 .56 r
.90749 .63023 m .89093 .66 L p .90557 .63922 L F P
0 g
s
.467 .266 .524 r
.8702 .68564 m .87796 .69306 L p .88777 .66807 L F P
0 g
s
.467 .266 .524 r
.89093 .66 m .8702 .68564 L p .88777 .66807 L F P
0 g
s
.493 .261 .49 r
.84532 .70733 m .85176 .71582 L p .8669 .69104 L F P
0 g
s
.493 .261 .49 r
.8702 .68564 m .84532 .70733 L p .8669 .69104 L F P
0 g
s
.513 .261 .471 r
.81886 .72546 m .82418 .73461 L p .83962 .71469 L F P
0 g
s
.513 .261 .471 r
.84532 .70733 m .81886 .72546 L p .83962 .71469 L F P
0 g
s
.552 .271 .442 r
.79081 .73733 m .79437 .74715 L p .81278 .73084 L F P
0 g
s
.552 .271 .442 r
.81886 .72546 m .79081 .73733 L p .81278 .73084 L F P
0 g
s
.593 .289 .422 r
.76194 .74351 m .76364 .75365 L p .78265 .74223 L F P
0 g
s
.593 .289 .422 r
.79081 .73733 m .76194 .74351 L p .78265 .74223 L F P
0 g
s
.653 .326 .406 r
.76194 .74351 m .73372 .7424 L .73371 .74256 L p F P
0 g
s
.591 .744 .949 r
.73411 .75026 m .72176 .74701 L .7277 .74223 L p F P
0 g
s
.591 .744 .949 r
.73411 .75026 m .7277 .74223 L .73035 .74237 L F
.741 .613 .716 r
.72176 .74701 m .73411 .75026 L .73387 .76807 L p F P
0 g
s
.692 .565 .707 r
.76839 .76816 m .73387 .76807 L .73411 .75026 L p F P
0 g
s
.653 .326 .406 r
.73371 .74256 m .73309 .75242 L p .76023 .74404 L F P
0 g
s
.653 .326 .406 r
.76194 .74351 m .73371 .74256 L .76023 .74404 L F
.591 .744 .949 r
.7277 .74223 m .72957 .74073 L p .73035 .74237 L F P
0 g
s
.741 .613 .716 r
.73387 .76807 m .71687 .76415 L .72176 .74701 L p F P
0 g
s
.748 .413 .415 r
.71687 .76415 m .73387 .76807 L .73324 .77816 L p F P
0 g
s
.649 .325 .41 r
.73387 .76807 m .76839 .76816 L .77011 .77836 L p F P
0 g
s
.649 .325 .41 r
.77011 .77836 m .73324 .77816 L .73387 .76807 L p F P
0 g
s
.799 .823 .87 r
.47699 .09037 m .45345 .10382 L .44945 .09412 L p F P
0 g
s
.799 .823 .87 r
.44945 .09412 m .47396 .08027 L .47699 .09037 L p F P
0 g
s
.32 .309 .691 r
.14383 .29913 m .1491 .33499 L .14224 .33939 L p F P
0 g
s
.32 .309 .691 r
.14224 .33939 m .13622 .29984 L .14383 .29913 L p F P
0 g
s
.316 .303 .686 r
.14777 .36248 m .14224 .33939 L .1491 .33499 L p F P
0 g
s
.709 .589 .719 r
.13622 .29984 m .14224 .33939 L .12493 .3436 L p F P
0 g
s
.702 .557 .687 r
.14224 .33939 m .14777 .36248 L .13104 .36863 L p F P
0 g
s
.702 .557 .687 r
.13104 .36863 m .12493 .3436 L .14224 .33939 L p F P
0 g
s
.709 .589 .719 r
.12493 .3436 m .11858 .30236 L .13622 .29984 L p F P
0 g
s
.908 .721 .638 r
.11858 .30236 m .12493 .3436 L .11436 .34345 L p F P
0 g
s
.9 .673 .586 r
.12493 .3436 m .13104 .36863 L .12058 .36962 L p F P
0 g
s
.9 .673 .586 r
.12058 .36962 m .11436 .34345 L .12493 .3436 L p F P
0 g
s
.876 .572 .469 r
.50745 .35269 m .50315 .34542 L .50957 .33898 L p F P
0 g
s
.876 .572 .469 r
.50957 .33898 m .51791 .35336 L p .50818 .34794 L F P
0 g
s
.685 .531 .671 r
.51795 .35343 m .50957 .33898 L .52535 .33072 L p F P
0 g
s
.919 .668 .543 r
.50287 .32532 m .50957 .33898 L .50315 .34542 L p F P
0 g
s
.919 .668 .543 r
.50315 .34542 m .49578 .33107 L .50287 .32532 L p F P
0 g
s
.419 .467 .803 r
.49578 .33107 m .50315 .34542 L .51258 .3436 L p F P
0 g
s
.724 .619 .74 r
.50957 .33898 m .50287 .32532 L .5194 .31863 L p F P
0 g
s
.724 .619 .74 r
.5194 .31863 m .52535 .33072 L .50957 .33898 L p F P
0 g
s
.419 .467 .803 r
.51258 .3436 m .50528 .33011 L .49578 .33107 L p F P
0 g
s
.685 .531 .671 r
.52535 .33072 m .53332 .3444 L .51795 .35343 L p F P
0 g
s
.357 .365 .731 r
.53332 .3444 m .52535 .33072 L .53483 .32884 L p F P
0 g
s
.722 .615 .737 r
.51258 .3436 m .52849 .33527 L p .50828 .33078 L F P
0 g
s
.722 .615 .737 r
.50528 .33011 m .5104 .33957 L p .50828 .33078 L F P
0 g
s
.722 .615 .737 r
.5104 .33957 m .51258 .3436 L p .50828 .33078 L F P
0 g
s
.876 .572 .469 r
.51795 .35343 m .50745 .35269 L p .50818 .34794 L F P
0 g
s
.876 .572 .469 r
.51791 .35336 m .51795 .35343 L p .50818 .34794 L F P
0 g
s
.367 .38 .741 r
.50315 .34542 m .50745 .35269 L .51157 .3444 L p F P
0 g
s
.367 .38 .741 r
.51235 .34283 m .51258 .3436 L .50353 .34535 L p F P
0 g
s
.367 .38 .741 r
.51157 .3444 m .51235 .34283 L p .51126 .34314 L F P
0 g
s
.367 .38 .741 r
.50353 .34535 m .50315 .34542 L p .50349 .34533 L F P
0 g
s
.367 .38 .741 r
.50349 .34533 m .51235 .34283 L .50353 .34535 L F
.50315 .34542 m .51157 .3444 L .51126 .34314 L F
.425 .479 .812 r
.52535 .33072 m .5194 .31863 L .52876 .31765 L p F P
0 g
s
.425 .479 .812 r
.52888 .31788 m .52535 .33072 L .52876 .31765 L F
.52895 .31762 m .53483 .32884 L .52535 .33072 L p F P
0 g
s
.722 .615 .737 r
.52849 .33527 m .52193 .32336 L .50528 .33011 L p F P
0 g
s
.783 .932 .93 r
.51258 .3436 m .51235 .34283 L .52678 .33435 L p F P
0 g
s
.916 .658 .534 r
.52539 .32489 m .52802 .33443 L .53468 .329 L F
.52193 .32336 m .52635 .33139 L p .52539 .32489 L F P
0 g
s
.916 .658 .534 r
.52635 .33139 m .52802 .33443 L p .52539 .32489 L F P
0 g
s
.783 .932 .93 r
.52678 .33435 m .52783 .33373 L p .52687 .33435 L F P
0 g
s
.783 .932 .93 r
.51258 .3436 m .52678 .33435 L .52687 .33435 L F
.916 .658 .534 r
.52802 .33443 m .52849 .33527 L .52923 .33452 L p F P
0 g
s
.916 .658 .534 r
.52923 .33452 m .53468 .329 L p .52802 .33443 L F P
0 g
s
.357 .365 .731 r
.5383 .33455 m .53332 .3444 L p .53474 .32985 L F P
0 g
s
.357 .365 .731 r
.53483 .32884 m .5383 .33455 L p .53474 .32985 L F P
0 g
s
.872 .833 .806 r
.5383 .33455 m .53483 .32884 L .53229 .33142 L p F P
0 g
s
.872 .833 .806 r
.53229 .33142 m .52849 .33527 L p .5383 .33455 L F P
0 g
s
.359 .388 .755 r
.5379 .34915 m .53332 .3444 L .5383 .33455 L p F P
0 g
s
.359 .388 .755 r
.54176 .33878 m .5379 .34915 L p .53828 .33528 L F P
0 g
s
.359 .388 .755 r
.5383 .33455 m .54176 .33878 L p .53828 .33528 L F P
0 g
s
.373 .428 .789 r
.54302 .35301 m .5379 .34915 L .54176 .33878 L p F P
0 g
s
.373 .428 .789 r
.54548 .34219 m .54302 .35301 L p .54182 .33943 L F P
0 g
s
.373 .428 .789 r
.54176 .33878 m .54548 .34219 L p .54182 .33943 L F P
0 g
s
.397 .476 .824 r
.54857 .35594 m .54302 .35301 L .54548 .34219 L p F P
0 g
s
.397 .476 .824 r
.54954 .3449 m .54857 .35594 L p .54554 .34245 L F P
0 g
s
.397 .476 .824 r
.54548 .34219 m .54954 .3449 L p .54554 .34245 L F P
0 g
s
.423 .517 .85 r
.5545 .35857 m .54857 .35594 L .54954 .3449 L p F P
0 g
s
.423 .517 .85 r
.55422 .34744 m .5545 .35857 L p .54988 .34581 L F P
0 g
s
.423 .517 .85 r
.54954 .3449 m .55422 .34744 L p .54988 .34581 L F P
0 g
s
.448 .564 .879 r
.56044 .35974 m .5545 .35857 L .55422 .34744 L p F P
0 g
s
.448 .564 .879 r
.55849 .34881 m .56044 .35974 L p .55444 .34787 L F P
0 g
s
.448 .564 .879 r
.55422 .34744 m .55849 .34881 L p .55444 .34787 L F P
0 g
s
.488 .616 .904 r
.56653 .36008 m .56044 .35974 L .55849 .34881 L p F P
0 g
s
.488 .616 .904 r
.56306 .34957 m .56653 .36008 L p .5589 .34938 L F P
0 g
s
.488 .616 .904 r
.55849 .34881 m .56306 .34957 L p .5589 .34938 L F P
0 g
s
.531 .67 .926 r
.57249 .35928 m .56653 .36008 L .56306 .34957 L p F P
0 g
s
.531 .67 .926 r
.56742 .34952 m .57249 .35928 L p .56321 .34974 L F P
0 g
s
.531 .67 .926 r
.56306 .34957 m .56742 .34952 L p .56321 .34974 L F P
0 g
s
.585 .719 .936 r
.57866 .35781 m .57249 .35928 L .56742 .34952 L p F P
0 g
s
.585 .719 .936 r
.57263 .34886 m .57866 .35781 L p .56789 .34987 L F P
0 g
s
.585 .719 .936 r
.56742 .34952 m .57263 .34886 L p .56789 .34987 L F P
0 g
s
.628 .759 .941 r
.58485 .35544 m .57866 .35781 L .57263 .34886 L p F P
0 g
s
.628 .759 .941 r
.57771 .34746 m .58485 .35544 L p .57282 .34896 L F P
0 g
s
.628 .759 .941 r
.57263 .34886 m .57771 .34746 L p .57282 .34896 L F P
0 g
s
.668 .787 .938 r
.59123 .35252 m .58485 .35544 L .57771 .34746 L p F P
0 g
s
.668 .787 .938 r
.58348 .34531 m .59123 .35252 L p .57804 .34758 L F P
0 g
s
.668 .787 .938 r
.57771 .34746 m .58348 .34531 L p .57804 .34758 L F P
0 g
s
.697 .807 .934 r
.59768 .34901 m .59123 .35252 L .58348 .34531 L p F P
0 g
s
.697 .807 .934 r
.58348 .34531 m .58938 .34254 L .59768 .34901 L p F P
0 g
s
.474 .181 .388 r
.58348 .34531 m .58149 .35519 L p .58912 .34297 L F P
0 g
s
.474 .181 .388 r
.58938 .34254 m .58348 .34531 L p .58912 .34297 L F P
0 g
s
.499 .19 .373 r
.57771 .34746 m .57445 .35706 L p .5831 .34581 L F P
0 g
s
.499 .19 .373 r
.58348 .34531 m .57771 .34746 L p .5831 .34581 L F P
0 g
s
.532 .205 .359 r
.57263 .34886 m .56793 .35785 L p .57733 .34786 L F P
0 g
s
.532 .205 .359 r
.57771 .34746 m .57263 .34886 L p .57733 .34786 L F P
0 g
s
.572 .227 .345 r
.56742 .34952 m .56113 .3577 L p .57209 .34927 L F P
0 g
s
.572 .227 .345 r
.57263 .34886 m .56742 .34952 L p .57209 .34927 L F P
0 g
s
.615 .257 .339 r
.56306 .34957 m .55542 .35655 L p .567 .34976 L F P
0 g
s
.615 .257 .339 r
.56742 .34952 m .56306 .34957 L p .567 .34976 L F P
0 g
s
.662 .293 .335 r
.55849 .34881 m .54984 .35453 L p .56258 .34975 L F P
0 g
s
.662 .293 .335 r
.56306 .34957 m .55849 .34881 L p .56258 .34975 L F P
0 g
s
.708 .336 .342 r
.55422 .34744 m .54473 .35171 L p .55809 .34889 L F P
0 g
s
.708 .336 .342 r
.55849 .34881 m .55422 .34744 L p .55809 .34889 L F P
0 g
s
.747 .374 .347 r
.54954 .3449 m .53969 .34814 L p .55375 .34746 L F P
0 g
s
.747 .374 .347 r
.55422 .34744 m .54954 .3449 L p .55375 .34746 L F P
0 g
s
.783 .419 .369 r
.54548 .34219 m .53519 .34394 L p .54904 .34486 L F P
0 g
s
.783 .419 .369 r
.54954 .3449 m .54548 .34219 L p .54904 .34486 L F P
0 g
s
.818 .467 .391 r
.54176 .33878 m .53131 .33919 L p .54504 .34209 L F P
0 g
s
.818 .467 .391 r
.54548 .34219 m .54176 .33878 L p .54504 .34209 L F P
0 g
s
.872 .833 .806 r
.52849 .33527 m .52783 .33373 L .5383 .33455 L p F P
0 g
s
.849 .512 .416 r
.5383 .33455 m .52783 .33373 L p .54143 .33866 L F P
0 g
s
.849 .512 .416 r
.54176 .33878 m .5383 .33455 L p .54143 .33866 L F P
0 g
s
.783 .932 .93 r
.52783 .33373 m .52849 .33527 L .51258 .3436 L p F P
0 g
s
.667 .505 .655 r
.53131 .33919 m .52783 .33373 L .52678 .33435 L p F P
0 g
s
.667 .505 .655 r
.52678 .33435 m .51235 .34283 L p .5276 .3399 L F P
0 g
s
.667 .505 .655 r
.5276 .3399 m .53131 .33919 L .52678 .33435 L F
.916 .658 .534 r
.53468 .329 m .53483 .32884 L p .53453 .32871 L F P
0 g
s
.916 .658 .534 r
.52193 .32336 m .53468 .329 L .53453 .32871 L F
.425 .479 .812 r
.52876 .31765 m .52895 .31762 L p .52888 .31788 L F P
0 g
s
.704 .608 .746 r
.70965 .39474 m .70927 .40757 L .69147 .4068 L p F P
0 g
s
.392 .338 .678 r
.70927 .40757 m .70965 .39474 L .71953 .39786 L p F P
0 g
s
.392 .338 .678 r
.71953 .39786 m .71884 .41143 L .70927 .40757 L p F P
0 g
s
.654 .551 .726 r
.46401 .56976 m .47432 .56597 L .4797 .58296 L p F P
0 g
s
.654 .551 .726 r
.4797 .58296 m .4709 .58619 L .46401 .56976 L p F P
0 g
s
.485 .201 .406 r
.4709 .58619 m .4797 .58296 L .47822 .59296 L p F P
0 g
s
.485 .201 .406 r
.47799 .59305 m .4709 .58619 L .47822 .59296 L F
.47818 .59323 m .47027 .59655 L .4709 .58619 L p F P
0 g
s
.719 .824 .93 r
.47123 .58646 m .46268 .59043 L .47004 .59636 L p F P
0 g
s
.719 .824 .93 r
.47004 .59636 m .47027 .59655 L p .4703 .59625 L F P
0 g
s
.719 .824 .93 r
.47123 .58646 m .47004 .59636 L .4703 .59625 L F
.485 .201 .406 r
.47822 .59296 m .47818 .59323 L p .47799 .59305 L F P
0 g
s
.92 .668 .541 r
.61271 .35586 m .6106 .34842 L .61675 .34006 L p F P
0 g
s
.92 .668 .541 r
.61675 .34006 m .62222 .35882 L .61699 .3572 L p F P
0 g
s
.92 .668 .541 r
.61675 .34006 m .61699 .3572 L .61365 .35218 L F
.701 .556 .687 r
.62222 .35882 m .61675 .34006 L .63372 .33462 L p F P
0 g
s
.945 .742 .598 r
.6146 .33451 m .61675 .34006 L .6106 .34842 L p F P
0 g
s
.945 .742 .598 r
.60915 .34336 m .6146 .33451 L p .6107 .34808 L F P
0 g
s
.945 .742 .598 r
.6106 .34842 m .60915 .34336 L p .6107 .34808 L F P
0 g
s
.941 .718 .573 r
.61198 .32923 m .6146 .33451 L .60915 .34336 L p F P
0 g
s
.941 .718 .573 r
.60743 .33865 m .61198 .32923 L p .60923 .34295 L F P
0 g
s
.941 .718 .573 r
.60915 .34336 m .60743 .33865 L p .60923 .34295 L F P
0 g
s
.725 .647 .771 r
.61675 .34006 m .6146 .33451 L .63112 .32778 L p F P
0 g
s
.725 .647 .771 r
.63112 .32778 m .63372 .33462 L .61675 .34006 L p F P
0 g
s
.933 .688 .544 r
.60901 .32459 m .61198 .32923 L .60743 .33865 L p F P
0 g
s
.933 .688 .544 r
.60551 .33447 m .60901 .32459 L p .60746 .33837 L F P
0 g
s
.933 .688 .544 r
.60743 .33865 m .60551 .33447 L p .60746 .33837 L F P
0 g
s
.73 .65 .769 r
.6146 .33451 m .61198 .32923 L .62784 .32104 L p F P
0 g
s
.73 .65 .769 r
.62784 .32104 m .63112 .32778 L .6146 .33451 L p F P
0 g
s
.927 .66 .513 r
.60493 .31911 m .60901 .32459 L .60551 .33447 L p F P
0 g
s
.927 .66 .513 r
.60551 .33447 m .60285 .33011 L .60493 .31911 L p F P
0 g
s
.443 .548 .869 r
.60551 .33447 m .61702 .33454 L p .60343 .33029 L F P
0 g
s
.443 .548 .869 r
.60285 .33011 m .60551 .33447 L p .60343 .33029 L F P
0 g
s
.417 .515 .851 r
.60743 .33865 m .61881 .33989 L p .60571 .33455 L F P
0 g
s
.417 .515 .851 r
.60551 .33447 m .60743 .33865 L p .60571 .33455 L F P
0 g
s
.401 .481 .827 r
.60915 .34336 m .62029 .34549 L p .60764 .33876 L F P
0 g
s
.401 .481 .827 r
.60743 .33865 m .60915 .34336 L p .60764 .33876 L F P
0 g
s
.389 .453 .806 r
.60915 .34336 m .6106 .34842 L .6215 .35136 L p F P
0 g
s
.389 .453 .806 r
.6215 .35136 m .62029 .34549 L .61926 .34529 L p F P
0 g
s
.389 .453 .806 r
.61926 .34529 m .60915 .34336 L p .61532 .34736 L F P
0 g
s
.389 .453 .806 r
.61532 .34736 m .6215 .35136 L .61926 .34529 L F
.358 .307 .663 r
.62047 .34819 m .6215 .35136 L .61127 .3486 L p F P
0 g
s
.358 .307 .663 r
.61114 .3484 m .62047 .34819 L .61127 .3486 L F
.92 .668 .541 r
.61699 .3572 m .61271 .35586 L p .61365 .35218 L F P
0 g
s
.358 .307 .663 r
.61271 .35586 m .62047 .34819 L p .61342 .34835 L F P
0 g
s
.358 .307 .663 r
.61127 .3486 m .6106 .34842 L p .61114 .3484 L F P
0 g
s
.358 .307 .663 r
.6106 .34842 m .61095 .34964 L p .61342 .34835 L F P
0 g
s
.358 .307 .663 r
.61095 .34964 m .61271 .35586 L p .61342 .34835 L F P
0 g
s
.701 .556 .687 r
.63372 .33462 m .63943 .35416 L .62222 .35882 L p F P
0 g
s
.374 .327 .676 r
.63943 .35416 m .63372 .33462 L .64466 .3375 L p F P
0 g
s
.406 .444 .788 r
.63372 .33462 m .63112 .32778 L .64229 .32985 L p F P
0 g
s
.406 .444 .788 r
.64229 .32985 m .64466 .3375 L .63372 .33462 L p F P
0 g
s
.309 .262 .642 r
.14386 .2639 m .14383 .29913 L .13622 .29984 L p F P
0 g
s
.309 .262 .642 r
.13622 .29984 m .13633 .26345 L .14372 .26389 L p F P
0 g
s
.309 .262 .642 r
.13622 .29984 m .14372 .26389 L .14372 .26455 L F
.707 .588 .72 r
.13633 .26345 m .13622 .29984 L .11858 .30236 L p F P
0 g
s
.707 .588 .72 r
.11858 .30236 m .11849 .26339 L .13633 .26345 L p F P
0 g
s
.909 .754 .677 r
.13347 .26429 m .13372 .30094 L .14376 .29914 L p F P
0 g
s
.909 .754 .677 r
.14376 .29914 m .14383 .29913 L p .14376 .29887 L F P
0 g
s
.909 .754 .677 r
.14376 .29887 m .13347 .26429 L .14376 .29914 L F
.309 .262 .642 r
.14372 .26389 m .14386 .2639 L p .14372 .26455 L F P
0 g
s
.907 .749 .674 r
.11849 .26339 m .11858 .30236 L .1084 .30417 L p F P
0 g
s
.908 .721 .638 r
.11436 .34345 m .1084 .30417 L .11858 .30236 L p F P
0 g
s
.592 .737 .945 r
.21343 .72163 m .24324 .72704 L .24344 .73502 L p F P
0 g
s
.592 .737 .945 r
.24344 .73502 m .2117 .72921 L .21336 .72192 L p F P
0 g
s
.592 .737 .945 r
.24344 .73502 m .21336 .72192 L .21452 .72212 L F
.721 .591 .709 r
.2117 .72921 m .24344 .73502 L .24454 .75281 L p F P
0 g
s
.721 .591 .709 r
.24454 .75281 m .20867 .74679 L .2117 .72921 L p F P
0 g
s
.721 .389 .416 r
.21211 .73171 m .24415 .73694 L .24325 .72713 L p F P
0 g
s
.721 .389 .416 r
.24325 .72713 m .24324 .72704 L p .24299 .72708 L F P
0 g
s
.721 .389 .416 r
.24299 .72708 m .21211 .73171 L .24325 .72713 L F
.592 .737 .945 r
.21336 .72192 m .21343 .72163 L p .21452 .72212 L F P
0 g
s
.712 .383 .418 r
.20867 .74679 m .24454 .75281 L .24544 .76277 L p F P
0 g
s
.653 .326 .407 r
.28378 .75967 m .24544 .76277 L .24454 .75281 L p F P
0 g
s
.593 .291 .426 r
.76839 .76816 m .80184 .76016 L .80542 .77003 L p F P
0 g
s
.593 .291 .426 r
.80542 .77003 m .77011 .77836 L .76839 .76816 L p F P
0 g
s
.82 .828 .855 r
.45345 .10382 m .43156 .11948 L .42681 .11018 L p F P
0 g
s
.82 .828 .855 r
.42681 .11018 m .44945 .09412 L .45345 .10382 L p F P
0 g
s
.948 .81 .674 r
.84505 .40325 m .84957 .37986 L .8569 .38286 L p F P
0 g
s
.948 .81 .674 r
.8569 .38286 m .85211 .407 L .84516 .4033 L p F P
0 g
s
.948 .81 .674 r
.8569 .38286 m .84516 .4033 L .84523 .40294 L F
.711 .564 .687 r
.85211 .407 m .8569 .38286 L .87464 .38464 L p F P
0 g
s
.417 .285 .592 r
.85557 .40299 m .86005 .37862 L .84968 .37984 L p F P
0 g
s
.417 .285 .592 r
.84968 .37984 m .84957 .37986 L p .84963 .38009 L F P
0 g
s
.417 .285 .592 r
.84963 .38009 m .85557 .40299 L .84968 .37984 L F
.948 .81 .674 r
.84516 .4033 m .84505 .40325 L p .84523 .40294 L F P
0 g
s
.711 .564 .687 r
.87464 .38464 m .8696 .4105 L .85211 .407 L p F P
0 g
s
.316 .303 .686 r
.15417 .35725 m .14777 .36248 L p .14893 .3385 L F P
0 g
s
.329 .342 .722 r
.15598 .38506 m .14777 .36248 L .15417 .35725 L p F P
0 g
s
.7 .556 .688 r
.14777 .36248 m .15598 .38506 L .13983 .39264 L p F P
0 g
s
.7 .556 .688 r
.13983 .39264 m .13104 .36863 L .14777 .36248 L p F P
0 g
s
.329 .342 .722 r
.16199 .37931 m .15598 .38506 L p .15435 .36003 L F P
0 g
s
.329 .342 .722 r
.15417 .35725 m .16199 .37931 L p .15435 .36003 L F P
0 g
s
.341 .372 .749 r
.16639 .40745 m .15598 .38506 L .16199 .37931 L p F P
0 g
s
.698 .556 .689 r
.15598 .38506 m .16639 .40745 L .15093 .41637 L p F P
0 g
s
.698 .556 .689 r
.15093 .41637 m .13983 .39264 L .15598 .38506 L p F P
0 g
s
.341 .372 .749 r
.17196 .40118 m .16639 .40745 L p .16244 .38219 L F P
0 g
s
.341 .372 .749 r
.16199 .37931 m .17196 .40118 L p .16244 .38219 L F P
0 g
s
.354 .402 .773 r
.17868 .42894 m .16639 .40745 L .17196 .40118 L p F P
0 g
s
.697 .555 .69 r
.16639 .40745 m .17868 .42894 L .16387 .43894 L p F P
0 g
s
.697 .555 .69 r
.16387 .43894 m .15093 .41637 L .16639 .40745 L p F P
0 g
s
.354 .402 .773 r
.18395 .42242 m .17868 .42894 L p .17249 .40339 L F P
0 g
s
.354 .402 .773 r
.17196 .40118 m .18395 .42242 L p .17249 .40339 L F P
0 g
s
.368 .43 .793 r
.19429 .45234 m .17868 .42894 L .18395 .42242 L p F P
0 g
s
.697 .556 .692 r
.17868 .42894 m .19429 .45234 L .17961 .46256 L p F P
0 g
s
.697 .556 .692 r
.17961 .46256 m .16387 .43894 L .17868 .42894 L p F P
0 g
s
.368 .43 .793 r
.19953 .44582 m .19429 .45234 L p .18415 .42301 L F P
0 g
s
.368 .43 .793 r
.18395 .42242 m .19953 .44582 L p .18415 .42301 L F P
0 g
s
.371 .434 .797 r
.21041 .47588 m .19429 .45234 L .19953 .44582 L p F P
0 g
s
.696 .556 .692 r
.19429 .45234 m .21041 .47588 L .19552 .48582 L p F P
0 g
s
.696 .556 .692 r
.19552 .48582 m .17961 .46256 L .19429 .45234 L p F P
0 g
s
.371 .434 .797 r
.19953 .44582 m .21583 .46956 L .21041 .47588 L p F P
0 g
s
.862 .572 .496 r
.19953 .44582 m .19003 .44955 L p .21522 .46908 L F P
0 g
s
.862 .572 .496 r
.21583 .46956 m .19953 .44582 L p .21522 .46908 L F P
0 g
s
.864 .576 .499 r
.18395 .42242 m .17434 .42593 L p .19667 .44356 L F P
0 g
s
.864 .576 .499 r
.19953 .44582 m .18395 .42242 L p .19667 .44356 L F P
0 g
s
.873 .595 .513 r
.17196 .40118 m .16199 .40386 L p .18162 .42045 L F P
0 g
s
.873 .595 .513 r
.18395 .42242 m .17196 .40118 L p .18162 .42045 L F P
0 g
s
.884 .619 .533 r
.16199 .37931 m .15176 .38115 L p .16981 .39905 L F P
0 g
s
.884 .619 .533 r
.17196 .40118 m .16199 .37931 L p .16981 .39905 L F P
0 g
s
.893 .643 .554 r
.15417 .35725 m .14375 .3582 L p .15952 .37646 L F P
0 g
s
.893 .643 .554 r
.16199 .37931 m .15417 .35725 L p .15952 .37646 L F P
0 g
s
.316 .303 .686 r
.1491 .33499 m .15417 .35725 L p .14893 .3385 L F P
0 g
s
.891 .644 .557 r
.13104 .36863 m .13983 .39264 L .12956 .39452 L p F P
0 g
s
.891 .644 .557 r
.12956 .39452 m .12058 .36962 L .13104 .36863 L p F P
0 g
s
.927 .697 .571 r
.49754 .3111 m .50287 .32532 L .49578 .33107 L p F P
0 g
s
.721 .618 .742 r
.50287 .32532 m .49754 .3111 L .51465 .30607 L p F P
0 g
s
.721 .618 .742 r
.51465 .30607 m .5194 .31863 L .50287 .32532 L p F P
0 g
s
.409 .448 .789 r
.5194 .31863 m .51465 .30607 L .52399 .30594 L p F P
0 g
s
.409 .448 .789 r
.52409 .30619 m .5194 .31863 L .52399 .30594 L F
.52419 .30594 m .52895 .31762 L .5194 .31863 L p F P
0 g
s
.924 .687 .562 r
.51654 .31087 m .52193 .32336 L .52877 .31777 L p F P
0 g
s
.924 .687 .562 r
.52877 .31777 m .52895 .31762 L p .52865 .31746 L F P
0 g
s
.924 .687 .562 r
.51654 .31087 m .52877 .31777 L .52865 .31746 L F
.409 .448 .789 r
.52399 .30594 m .52419 .30594 L p .52409 .30619 L F P
0 g
s
.707 .61 .746 r
.70878 .38156 m .70965 .39474 L .69184 .39541 L p F P
0 g
s
.395 .358 .699 r
.70965 .39474 m .70878 .38156 L .71903 .38359 L p F P
0 g
s
.395 .358 .699 r
.71903 .38359 m .71953 .39786 L .70965 .39474 L p F P
0 g
s
.846 .873 .861 r
.58125 .61982 m .58936 .61382 L .59215 .62242 L p F P
0 g
s
.846 .873 .861 r
.59215 .62242 m .58316 .62869 L .5813 .62008 L p F P
0 g
s
.846 .873 .861 r
.59215 .62242 m .5813 .62008 L .58155 .61989 L F
.739 .584 .682 r
.58316 .62869 m .59215 .62242 L .60402 .63572 L p F P
0 g
s
.528 .23 .404 r
.58995 .62539 m .59851 .61855 L .58958 .61393 L p F P
0 g
s
.528 .23 .404 r
.58958 .61393 m .58936 .61382 L p .58937 .61408 L F P
0 g
s
.528 .23 .404 r
.58937 .61408 m .58995 .62539 L .58958 .61393 L F
.846 .873 .861 r
.5813 .62008 m .58125 .61982 L p .58155 .61989 L F P
0 g
s
.739 .584 .682 r
.60402 .63572 m .59371 .64307 L .58316 .62869 L p F P
0 g
s
.525 .239 .424 r
.59371 .64307 m .60402 .63572 L .61319 .64052 L p F P
0 g
s
.505 .231 .432 r
.62213 .63233 m .61319 .64052 L .60402 .63572 L p F P
0 g
s
.673 .799 .942 r
.48505 .56316 m .47432 .56597 L .46738 .55911 L p F P
0 g
s
.651 .546 .722 r
.47432 .56597 m .48505 .56316 L .48865 .58063 L p F P
0 g
s
.651 .546 .722 r
.48865 .58063 m .4797 .58296 L .47432 .56597 L p F P
0 g
s
.505 .206 .393 r
.4797 .58296 m .48865 .58063 L .4862 .5904 L p F P
0 g
s
.505 .206 .393 r
.48594 .59049 m .4797 .58296 L .4862 .5904 L F
.48612 .59071 m .47818 .59323 L .4797 .58296 L p F P
0 g
s
.694 .808 .936 r
.47995 .58325 m .47123 .58646 L .47793 .59299 L p F P
0 g
s
.694 .808 .936 r
.47793 .59299 m .47818 .59323 L p .47824 .5929 L F P
0 g
s
.694 .808 .936 r
.47995 .58325 m .47793 .59299 L .47824 .5929 L F
.505 .206 .393 r
.4862 .5904 m .48612 .59071 L p .48594 .59049 L F P
0 g
s
.518 .638 .908 r
.72515 .73788 m .72957 .74073 L .72176 .74701 L p F P
0 g
s
.518 .638 .908 r
.72176 .74701 m .71596 .74245 L .72515 .73788 L p F P
0 g
s
.746 .627 .728 r
.71596 .74245 m .72176 .74701 L .71687 .76415 L p F P
0 g
s
.746 .627 .728 r
.71687 .76415 m .70734 .75808 L .71596 .74245 L p F P
0 g
s
.805 .476 .432 r
.70734 .75808 m .71687 .76415 L .71977 .77515 L p F P
0 g
s
.748 .413 .415 r
.73324 .77816 m .71977 .77515 L .71687 .76415 L p F P
0 g
s
.92 .647 .506 r
.61475 .36376 m .61271 .35586 L .62222 .35882 L p F P
0 g
s
.92 .647 .506 r
.62222 .35882 m .62419 .36692 L .61475 .36376 L p F P
0 g
s
.69 .517 .647 r
.62419 .36692 m .62222 .35882 L .63943 .35416 L p F P
0 g
s
.69 .517 .647 r
.63943 .35416 m .64152 .36266 L .62419 .36692 L p F P
0 g
s
.371 .317 .667 r
.64152 .36266 m .63943 .35416 L .64725 .3465 L p F P
0 g
s
.374 .327 .676 r
.64466 .3375 m .64725 .3465 L .63943 .35416 L p F P
0 g
s
.832 .474 .378 r
.51319 .36038 m .50745 .35269 L .51795 .35343 L p F P
0 g
s
.832 .474 .378 r
.51795 .35343 m .52366 .3599 L .51319 .36038 L p F P
0 g
s
.655 .483 .639 r
.52366 .3599 m .51795 .35343 L .53332 .3444 L p F P
0 g
s
.655 .483 .639 r
.53332 .3444 m .5379 .34915 L .52366 .3599 L p F P
0 g
s
.418 .468 .805 r
.63112 .32778 m .62784 .32104 L .63925 .32221 L p F P
0 g
s
.418 .468 .805 r
.63925 .32221 m .64229 .32985 L .63112 .32778 L p F P
0 g
s
.305 .22 .593 r
.1489 .22967 m .14386 .2639 L .13633 .26345 L p F P
0 g
s
.305 .22 .593 r
.13633 .26345 m .14162 .22805 L .14876 .22964 L p F P
0 g
s
.305 .22 .593 r
.13633 .26345 m .14876 .22964 L .14867 .2303 L F
.705 .587 .72 r
.14162 .22805 m .13633 .26345 L .11849 .26339 L p F P
0 g
s
.705 .587 .72 r
.11849 .26339 m .12397 .2254 L .14162 .22805 L p F P
0 g
s
.903 .778 .713 r
.13844 .22863 m .13347 .26429 L .14378 .2639 L p F P
0 g
s
.903 .778 .713 r
.14378 .2639 m .14386 .2639 L p .14382 .26363 L F P
0 g
s
.903 .778 .713 r
.14382 .26363 m .13844 .22863 L .14378 .2639 L F
.305 .22 .593 r
.14876 .22964 m .1489 .22967 L p .14867 .2303 L F P
0 g
s
.902 .774 .71 r
.12397 .2254 m .11849 .26339 L .10804 .26379 L p F P
0 g
s
.907 .749 .674 r
.1084 .30417 m .10804 .26379 L .11849 .26339 L p F P
0 g
s
.531 .681 .934 r
.18365 .71045 m .21343 .72163 L .2117 .72921 L p F P
0 g
s
.531 .681 .934 r
.2117 .72921 m .18053 .71742 L .18357 .71065 L p F P
0 g
s
.531 .681 .934 r
.2117 .72921 m .18357 .71065 L .18441 .71096 L F
.72 .592 .712 r
.18053 .71742 m .2117 .72921 L .20867 .74679 L p F P
0 g
s
.72 .592 .712 r
.20867 .74679 m .17428 .73414 L .18053 .71742 L p F P
0 g
s
.764 .438 .434 r
.18051 .72029 m .21211 .73171 L .21342 .72173 L p F P
0 g
s
.764 .438 .434 r
.21342 .72173 m .21343 .72163 L p .21314 .72162 L F P
0 g
s
.764 .438 .434 r
.21314 .72162 m .18051 .72029 L .21342 .72173 L F
.531 .681 .934 r
.18357 .71065 m .18365 .71045 L p .18441 .71096 L F P
0 g
s
.757 .433 .436 r
.17428 .73414 m .20867 .74679 L .20733 .75693 L p F P
0 g
s
.712 .383 .418 r
.24544 .76277 m .20733 .75693 L .20867 .74679 L p F P
0 g
s
.552 .274 .447 r
.80184 .76016 m .83415 .74558 L .83951 .75476 L p F P
0 g
s
.552 .274 .447 r
.83951 .75476 m .80542 .77003 L .80184 .76016 L p F P
0 g
s
.835 .831 .843 r
.43156 .11948 m .41051 .13719 L .40506 .12834 L p F P
0 g
s
.835 .831 .843 r
.40506 .12834 m .42681 .11018 L .43156 .11948 L p F P
0 g
s
.883 .62 .537 r
.13983 .39264 m .15093 .41637 L .14091 .4191 L p F P
0 g
s
.883 .62 .537 r
.14091 .4191 m .12956 .39452 L .13983 .39264 L p F P
0 g
s
.942 .827 .702 r
.83837 .42671 m .84505 .40325 L .85211 .407 L p F P
0 g
s
.942 .827 .702 r
.85211 .407 m .84513 .43107 L .83846 .42677 L p F P
0 g
s
.942 .827 .702 r
.85211 .407 m .83846 .42677 L .83855 .42645 L F
.712 .566 .688 r
.84513 .43107 m .85211 .407 L .8696 .4105 L p F P
0 g
s
.422 .272 .571 r
.84883 .42737 m .85557 .40299 L .84515 .40324 L p F P
0 g
s
.422 .272 .571 r
.84515 .40324 m .84505 .40325 L p .84509 .40347 L F P
0 g
s
.422 .272 .571 r
.84509 .40347 m .84883 .42737 L .84515 .40324 L F
.942 .827 .702 r
.83846 .42677 m .83837 .42671 L p .83855 .42645 L F P
0 g
s
.712 .566 .688 r
.8696 .4105 m .86227 .43607 L .84513 .43107 L p F P
0 g
s
.426 .279 .577 r
.86227 .43607 m .8696 .4105 L .88017 .41027 L p F P
0 g
s
.927 .697 .571 r
.49578 .33107 m .48982 .31603 L .49754 .3111 L p F P
0 g
s
.931 .724 .6 r
.49357 .29632 m .49754 .3111 L .48982 .31603 L p F P
0 g
s
.717 .615 .743 r
.49754 .3111 m .49357 .29632 L .51109 .29288 L p F P
0 g
s
.717 .615 .743 r
.51109 .29288 m .51465 .30607 L .49754 .3111 L p F P
0 g
s
.395 .416 .764 r
.51465 .30607 m .51109 .29288 L .52035 .29354 L p F P
0 g
s
.395 .416 .764 r
.52042 .29378 m .51465 .30607 L .52035 .29354 L F
.52053 .29355 m .52419 .30594 L .51465 .30607 L p F P
0 g
s
.93 .716 .591 r
.51239 .2977 m .51654 .31087 L .52401 .30605 L p F P
0 g
s
.93 .716 .591 r
.52401 .30605 m .52419 .30594 L p .52392 .30576 L F P
0 g
s
.93 .716 .591 r
.51239 .2977 m .52401 .30605 L .52392 .30576 L F
.395 .416 .764 r
.52035 .29354 m .52053 .29355 L p .52042 .29378 L F P
0 g
s
.814 .868 .887 r
.57312 .62433 m .58125 .61982 L .58316 .62869 L p F P
0 g
s
.814 .868 .887 r
.58316 .62869 m .57379 .63342 L .57314 .62468 L p F P
0 g
s
.814 .868 .887 r
.58316 .62869 m .57314 .62468 L .57349 .62449 L F
.742 .589 .686 r
.57379 .63342 m .58316 .62869 L .59371 .64307 L p F P
0 g
s
.563 .243 .385 r
.58118 .63089 m .58995 .62539 L .58151 .61999 L p F P
0 g
s
.563 .243 .385 r
.58151 .61999 m .58125 .61982 L p .58125 .62014 L F P
0 g
s
.563 .243 .385 r
.58125 .62014 m .58118 .63089 L .58151 .61999 L F
.814 .868 .887 r
.57314 .62468 m .57312 .62433 L p .57349 .62449 L F P
0 g
s
.742 .589 .686 r
.59371 .64307 m .58246 .64903 L .57379 .63342 L p F P
0 g
s
.554 .252 .411 r
.58246 .64903 m .59371 .64307 L .60243 .64871 L p F P
0 g
s
.525 .239 .424 r
.61319 .64052 m .60243 .64871 L .59371 .64307 L p F P
0 g
s
.712 .614 .746 r
.70626 .36893 m .70878 .38156 L .69117 .38442 L p F P
0 g
s
.402 .391 .732 r
.70878 .38156 m .70626 .36893 L .71675 .36959 L p F P
0 g
s
.402 .391 .732 r
.71675 .36959 m .71903 .38359 L .70878 .38156 L p F P
0 g
s
.673 .799 .942 r
.46738 .55911 m .4789 .55563 L .48505 .56316 L p F P
0 g
s
.639 .774 .945 r
.49605 .56155 m .48505 .56316 L .4789 .55563 L p F P
0 g
s
.648 .539 .716 r
.48505 .56316 m .49605 .56155 L .49758 .57934 L p F P
0 g
s
.648 .539 .716 r
.49758 .57934 m .48865 .58063 L .48505 .56316 L p F P
0 g
s
.528 .214 .379 r
.48865 .58063 m .49758 .57934 L .49396 .58906 L p F P
0 g
s
.528 .214 .379 r
.49396 .58906 m .48612 .59071 L .48865 .58063 L p F P
0 g
s
.485 .599 .891 r
.71966 .73339 m .72515 .73788 L .71596 .74245 L p F P
0 g
s
.485 .599 .891 r
.71596 .74245 m .70991 .73676 L .71966 .73339 L p F P
0 g
s
.742 .629 .734 r
.70991 .73676 m .71596 .74245 L .70734 .75808 L p F P
0 g
s
.742 .629 .734 r
.70734 .75808 m .69894 .75084 L .70991 .73676 L p F P
0 g
s
.845 .528 .452 r
.69894 .75084 m .70734 .75808 L .70785 .76924 L p F P
0 g
s
.805 .476 .432 r
.71977 .77515 m .70785 .76924 L .70734 .75808 L p F P
0 g
s
.919 .64 .498 r
.617 .37218 m .61475 .36376 L .62419 .36692 L p F P
0 g
s
.919 .64 .498 r
.62419 .36692 m .62647 .37524 L .617 .37218 L p F P
0 g
s
.689 .514 .645 r
.62647 .37524 m .62419 .36692 L .64152 .36266 L p F P
0 g
s
.689 .514 .645 r
.64152 .36266 m .64377 .37083 L .62647 .37524 L p F P
0 g
s
.368 .314 .666 r
.64377 .37083 m .64152 .36266 L .64953 .35521 L p F P
0 g
s
.371 .317 .667 r
.64725 .3465 m .64953 .35521 L .64152 .36266 L p F P
0 g
s
.795 .421 .348 r
.52002 .36741 m .51319 .36038 L .52366 .3599 L p F P
0 g
s
.795 .421 .348 r
.52366 .3599 m .53033 .36558 L .52002 .36741 L p F P
0 g
s
.644 .478 .644 r
.53033 .36558 m .52366 .3599 L .5379 .34915 L p F P
0 g
s
.644 .478 .644 r
.5379 .34915 m .54302 .35301 L .53033 .36558 L p F P
0 g
s
.736 .652 .766 r
.61198 .32923 m .60901 .32459 L .62393 .31477 L p F P
0 g
s
.736 .652 .766 r
.62393 .31477 m .62784 .32104 L .61198 .32923 L p F P
0 g
s
.433 .497 .825 r
.62784 .32104 m .62393 .31477 L .63546 .31477 L p F P
0 g
s
.433 .497 .825 r
.63546 .31477 m .63925 .32221 L .62784 .32104 L p F P
0 g
s
.309 .181 .538 r
.15928 .19687 m .1489 .22967 L .14162 .22805 L p F P
0 g
s
.309 .181 .538 r
.14162 .22805 m .15248 .19404 L .15914 .19681 L p F P
0 g
s
.309 .181 .538 r
.14162 .22805 m .15914 .19681 L .15891 .19753 L F
.703 .584 .72 r
.15248 .19404 m .14162 .22805 L .12397 .2254 L p F P
0 g
s
.703 .584 .72 r
.12397 .2254 m .13545 .18861 L .15248 .19404 L p F P
0 g
s
.891 .799 .751 r
.14899 .19426 m .13844 .22863 L .14882 .22966 L p F P
0 g
s
.891 .799 .751 r
.14882 .22966 m .1489 .22967 L p .1489 .2294 L F P
0 g
s
.891 .799 .751 r
.1489 .2294 m .14899 .19426 L .14882 .22966 L F
.309 .181 .538 r
.15914 .19681 m .15928 .19687 L p .15891 .19753 L F P
0 g
s
.891 .794 .747 r
.13545 .18861 m .12397 .2254 L .11345 .22435 L p F P
0 g
s
.902 .774 .71 r
.10804 .26379 m .11345 .22435 L .12397 .2254 L p F P
0 g
s
.471 .615 .911 r
.15633 .69372 m .18365 .71045 L .18053 .71742 L p F P
0 g
s
.471 .615 .911 r
.18053 .71742 m .1519 .69979 L .1562 .69389 L p F P
0 g
s
.471 .615 .911 r
.18053 .71742 m .1562 .69389 L .15699 .69437 L F
.719 .593 .714 r
.1519 .69979 m .18053 .71742 L .17428 .73414 L p F P
0 g
s
.719 .593 .714 r
.17428 .73414 m .14259 .71504 L .1519 .69979 L p F P
0 g
s
.804 .492 .461 r
.15141 .70297 m .18051 .72029 L .18363 .71054 L p F P
0 g
s
.804 .492 .461 r
.18363 .71054 m .18365 .71045 L p .18338 .71039 L F P
0 g
s
.804 .492 .461 r
.18338 .71039 m .15141 .70297 L .18363 .71054 L F
.471 .615 .911 r
.1562 .69389 m .15633 .69372 L p .15699 .69437 L F P
0 g
s
.798 .486 .461 r
.14259 .71504 m .17428 .73414 L .17111 .74403 L p F P
0 g
s
.757 .433 .436 r
.20733 .75693 m .17111 .74403 L .17428 .73414 L p F P
0 g
s
.515 .265 .474 r
.83415 .74558 m .86289 .72543 L .86937 .73395 L p F P
0 g
s
.515 .265 .474 r
.86937 .73395 m .83951 .75476 L .83415 .74558 L p F P
0 g
s
.849 .831 .829 r
.41051 .13719 m .39098 .15639 L .38486 .14807 L p F P
0 g
s
.849 .831 .829 r
.38486 .14807 m .40506 .12834 L .41051 .13719 L p F P
0 g
s
.934 .843 .731 r
.82956 .44943 m .83837 .42671 L .84513 .43107 L p F P
0 g
s
.934 .843 .731 r
.84513 .43107 m .83595 .45442 L .82965 .4495 L p F P
0 g
s
.934 .843 .731 r
.84513 .43107 m .82965 .4495 L .82978 .44917 L F
.714 .568 .689 r
.83595 .45442 m .84513 .43107 L .86227 .43607 L p F P
0 g
s
.43 .26 .549 r
.83988 .45101 m .84883 .42737 L .83847 .42672 L p F P
0 g
s
.43 .26 .549 r
.83847 .42672 m .83837 .42671 L p .83838 .42694 L F P
0 g
s
.43 .26 .549 r
.83838 .42694 m .83988 .45101 L .83847 .42672 L F
.934 .843 .731 r
.82965 .4495 m .82956 .44943 L p .82978 .44917 L F P
0 g
s
.714 .568 .689 r
.86227 .43607 m .85256 .46098 L .83595 .45442 L p F P
0 g
s
.433 .267 .555 r
.85256 .46098 m .86227 .43607 L .87278 .43676 L p F P
0 g
s
.426 .279 .577 r
.88017 .41027 m .87278 .43676 L .86227 .43607 L p F P
0 g
s
.872 .596 .517 r
.15093 .41637 m .16387 .43894 L .15422 .4425 L p F P
0 g
s
.872 .596 .517 r
.15422 .4425 m .14091 .4191 L .15093 .41637 L p F P
0 g
s
.931 .724 .6 r
.48982 .31603 m .48536 .30047 L .49357 .29632 L p F P
0 g
s
.933 .745 .626 r
.49091 .28177 m .49357 .29632 L .48536 .30047 L p F P
0 g
s
.713 .612 .743 r
.49357 .29632 m .49091 .28177 L .50861 .27932 L p F P
0 g
s
.713 .612 .743 r
.50861 .27932 m .51109 .29288 L .49357 .29632 L p F P
0 g
s
.384 .385 .737 r
.51109 .29288 m .50861 .27932 L .51781 .28019 L p F P
0 g
s
.384 .385 .737 r
.51784 .28034 m .51109 .29288 L .51781 .28019 L F
.51792 .2802 m .52053 .29355 L .51109 .29288 L p F P
0 g
s
.934 .742 .62 r
.50946 .28356 m .51239 .2977 L .52042 .29361 L p F P
0 g
s
.934 .742 .62 r
.52042 .29361 m .52053 .29355 L p .52039 .29343 L F P
0 g
s
.934 .742 .62 r
.50946 .28356 m .52042 .29361 L .52039 .29343 L F
.384 .385 .737 r
.51781 .28019 m .51792 .2802 L p .51784 .28034 L F P
0 g
s
.718 .619 .746 r
.70201 .35647 m .70626 .36893 L .68921 .37421 L p F P
0 g
s
.416 .43 .766 r
.70626 .36893 m .70201 .35647 L .71276 .35649 L p F P
0 g
s
.416 .43 .766 r
.71276 .35649 m .71675 .36959 L .70626 .36893 L p F P
0 g
s
.774 .854 .91 r
.56476 .62742 m .57312 .62433 L .57379 .63342 L p F P
0 g
s
.774 .854 .91 r
.57379 .63342 m .56404 .63655 L .56473 .62784 L p F P
0 g
s
.774 .854 .91 r
.57379 .63342 m .56473 .62784 L .56515 .62768 L F
.744 .596 .692 r
.56404 .63655 m .57379 .63342 L .58246 .64903 L p F P
0 g
s
.604 .266 .371 r
.57186 .63506 m .58118 .63089 L .5734 .62455 L p F P
0 g
s
.604 .266 .371 r
.5734 .62455 m .57312 .62433 L p .57308 .62467 L F P
0 g
s
.604 .266 .371 r
.57308 .62467 m .57186 .63506 L .5734 .62455 L F
.774 .854 .91 r
.56473 .62784 m .56476 .62742 L p .56515 .62768 L F P
0 g
s
.744 .596 .692 r
.58246 .64903 m .57036 .65327 L .56404 .63655 L p F P
0 g
s
.589 .272 .4 r
.57036 .65327 m .58246 .64903 L .59052 .65566 L p F P
0 g
s
.554 .252 .411 r
.60243 .64871 m .59052 .65566 L .58246 .64903 L p F P
0 g
s
.457 .555 .867 r
.71462 .72789 m .71966 .73339 L .70991 .73676 L p F P
0 g
s
.457 .555 .867 r
.70991 .73676 m .70438 .72999 L .71462 .72789 L p F P
0 g
s
.737 .629 .739 r
.70438 .72999 m .70991 .73676 L .69894 .75084 L p F P
0 g
s
.737 .629 .739 r
.69894 .75084 m .69149 .74235 L .70438 .72999 L p F P
0 g
s
.874 .574 .476 r
.69149 .74235 m .69894 .75084 L .69763 .76166 L p F P
0 g
s
.845 .528 .452 r
.70785 .76924 m .69763 .76166 L .69894 .75084 L p F P
0 g
s
.639 .774 .945 r
.4789 .55563 m .49091 .55334 L .49605 .56155 L p F P
0 g
s
.604 .744 .943 r
.50705 .56117 m .49605 .56155 L .49091 .55334 L p F P
0 g
s
.648 .533 .71 r
.49605 .56155 m .50705 .56117 L .50673 .57904 L p F P
0 g
s
.648 .533 .71 r
.50673 .57904 m .49758 .57934 L .49605 .56155 L p F P
0 g
s
.564 .235 .37 r
.49758 .57934 m .50673 .57904 L .50236 .58806 L p F P
0 g
s
.564 .235 .37 r
.50209 .58809 m .49758 .57934 L .50236 .58806 L F
.50222 .58834 m .49396 .58906 L .49758 .57934 L p F P
0 g
s
.627 .758 .941 r
.498 .57972 m .48879 .58092 L .49378 .58877 L p F P
0 g
s
.627 .758 .941 r
.49378 .58877 m .49396 .58906 L p .4941 .58874 L F P
0 g
s
.627 .758 .941 r
.498 .57972 m .49378 .58877 L .4941 .58874 L F
.564 .235 .37 r
.50236 .58806 m .50222 .58834 L p .50209 .58809 L F P
0 g
s
.915 .628 .486 r
.61958 .38088 m .617 .37218 L .62647 .37524 L p F P
0 g
s
.915 .628 .486 r
.62647 .37524 m .62912 .38364 L .61958 .38088 L p F P
0 g
s
.687 .512 .644 r
.62912 .38364 m .62647 .37524 L .64377 .37083 L p F P
0 g
s
.687 .512 .644 r
.64377 .37083 m .64631 .37874 L .62912 .38364 L p F P
0 g
s
.367 .318 .671 r
.64631 .37874 m .64377 .37083 L .65174 .36333 L p F P
0 g
s
.368 .314 .666 r
.65174 .36333 m .64377 .37083 L p .64943 .35548 L F P
0 g
s
.367 .318 .671 r
.65408 .37105 m .64631 .37874 L p .6516 .36373 L F P
0 g
s
.367 .318 .671 r
.65174 .36333 m .65408 .37105 L p .6516 .36373 L F P
0 g
s
.36 .314 .671 r
.64897 .38615 m .64631 .37874 L .65408 .37105 L p F P
0 g
s
.36 .314 .671 r
.65635 .37772 m .64897 .38615 L p .6538 .37189 L F P
0 g
s
.36 .314 .671 r
.65408 .37105 m .65635 .37772 L p .6538 .37189 L F P
0 g
s
.354 .326 .689 r
.65225 .39209 m .64897 .38615 L .65635 .37772 L p F P
0 g
s
.354 .326 .689 r
.65884 .38303 m .65225 .39209 L p .65614 .37843 L F P
0 g
s
.354 .326 .689 r
.65635 .37772 m .65884 .38303 L p .65614 .37843 L F P
0 g
s
.353 .348 .715 r
.65617 .39729 m .65225 .39209 L .65884 .38303 L p F P
0 g
s
.353 .348 .715 r
.66162 .38742 m .65617 .39729 L p .65863 .38414 L F P
0 g
s
.353 .348 .715 r
.65884 .38303 m .66162 .38742 L p .65863 .38414 L F P
0 g
s
.357 .387 .755 r
.66083 .40094 m .65617 .39729 L .66162 .38742 L p F P
0 g
s
.357 .387 .755 r
.66453 .39033 m .66083 .40094 L p .66155 .38859 L F P
0 g
s
.357 .387 .755 r
.66162 .38742 m .66453 .39033 L p .66155 .38859 L F P
0 g
s
.343 .415 .792 r
.66593 .40315 m .66083 .40094 L .66453 .39033 L p F P
0 g
s
.343 .415 .792 r
.66699 .3917 m .66593 .40315 L p .66457 .39066 L F P
0 g
s
.343 .415 .792 r
.66453 .39033 m .66699 .3917 L p .66457 .39066 L F P
0 g
s
.384 .491 .845 r
.67088 .40404 m .66593 .40315 L .66699 .3917 L p F P
0 g
s
.384 .491 .845 r
.66984 .39272 m .67088 .40404 L p .66699 .39171 L F P
0 g
s
.384 .491 .845 r
.66699 .3917 m .66984 .39272 L p .66699 .39171 L F P
0 g
s
.439 .562 .882 r
.67617 .40467 m .67088 .40404 L .66984 .39272 L p F P
0 g
s
.439 .562 .882 r
.67362 .39375 m .67617 .40467 L p .67005 .39311 L F P
0 g
s
.439 .562 .882 r
.66984 .39272 m .67362 .39375 L p .67005 .39311 L F P
0 g
s
.478 .617 .909 r
.68161 .40454 m .67617 .40467 L .67362 .39375 L p F P
0 g
s
.478 .617 .909 r
.67362 .39375 m .67755 .39421 L .68161 .40454 L p F P
0 g
s
.65 .286 .34 r
.67362 .39375 m .66501 .3998 L p .67718 .39438 L F P
0 g
s
.65 .286 .34 r
.67755 .39421 m .67362 .39375 L p .67718 .39438 L F P
0 g
s
.694 .324 .341 r
.66984 .39272 m .66028 .39727 L p .6731 .39388 L F P
0 g
s
.694 .324 .341 r
.67362 .39375 m .66984 .39272 L p .6731 .39388 L F P
0 g
s
.745 .379 .36 r
.66699 .3917 m .65667 .3942 L p .66945 .39277 L F P
0 g
s
.745 .379 .36 r
.66984 .39272 m .66699 .3917 L p .66945 .39277 L F P
0 g
s
.795 .437 .38 r
.66453 .39033 m .65432 .39112 L p .66687 .3917 L F P
0 g
s
.795 .437 .38 r
.66699 .3917 m .66453 .39033 L p .66687 .3917 L F P
0 g
s
.844 .503 .409 r
.66162 .38742 m .65141 .38637 L p .66417 .39022 L F P
0 g
s
.844 .503 .409 r
.66453 .39033 m .66162 .38742 L p .66417 .39022 L F P
0 g
s
.877 .553 .434 r
.65884 .38303 m .64888 .38095 L p .66131 .38726 L F P
0 g
s
.877 .553 .434 r
.66162 .38742 m .65884 .38303 L p .66131 .38726 L F P
0 g
s
.898 .593 .461 r
.65635 .37772 m .64661 .37467 L p .65861 .38288 L F P
0 g
s
.898 .593 .461 r
.65884 .38303 m .65635 .37772 L p .65861 .38288 L F P
0 g
s
.912 .617 .472 r
.65408 .37105 m .6446 .36824 L p .65635 .37771 L F P
0 g
s
.912 .617 .472 r
.65635 .37772 m .65408 .37105 L p .65635 .37771 L F P
0 g
s
.917 .635 .491 r
.65174 .36333 m .64233 .36022 L p .65398 .37095 L F P
0 g
s
.917 .635 .491 r
.65408 .37105 m .65174 .36333 L p .65398 .37095 L F P
0 g
s
.368 .314 .666 r
.64953 .35521 m .65174 .36333 L p .64943 .35548 L F P
0 g
s
.752 .367 .324 r
.52795 .37354 m .52002 .36741 L .53033 .36558 L p F P
0 g
s
.752 .367 .324 r
.53033 .36558 m .53781 .37021 L .52795 .37354 L p F P
0 g
s
.635 .478 .652 r
.53781 .37021 m .53033 .36558 L .54302 .35301 L p F P
0 g
s
.635 .478 .652 r
.54302 .35301 m .54857 .35594 L .53781 .37021 L p F P
0 g
s
.744 .659 .766 r
.60901 .32459 m .60493 .31911 L .61908 .30819 L p F P
0 g
s
.744 .659 .766 r
.61908 .30819 m .62393 .31477 L .60901 .32459 L p F P
0 g
s
.453 .532 .849 r
.62393 .31477 m .61908 .30819 L .63124 .30819 L p F P
0 g
s
.453 .532 .849 r
.63124 .30819 m .63546 .31477 L .62393 .31477 L p F P
0 g
s
.317 .158 .501 r
.17226 .16802 m .15928 .19687 L .15248 .19404 L p F P
0 g
s
.317 .158 .501 r
.15248 .19404 m .16597 .16423 L .17216 .16796 L p F P
0 g
s
.317 .158 .501 r
.15248 .19404 m .17216 .16796 L .17196 .1684 L F
.701 .583 .721 r
.16597 .16423 m .15248 .19404 L .13545 .18861 L p F P
0 g
s
.701 .583 .721 r
.13545 .18861 m .14971 .1568 L .16597 .16423 L p F P
0 g
s
.879 .81 .778 r
.1622 .16434 m .14899 .19426 L .1592 .19685 L p F P
0 g
s
.879 .81 .778 r
.1592 .19685 m .15928 .19687 L p .1593 .19663 L F P
0 g
s
.879 .81 .778 r
.1593 .19663 m .1622 .16434 L .1592 .19685 L F
.317 .158 .501 r
.17216 .16796 m .17226 .16802 L p .17196 .1684 L F P
0 g
s
.879 .806 .774 r
.14971 .1568 m .13545 .18861 L .12511 .18597 L p F P
0 g
s
.891 .794 .747 r
.11345 .22435 m .12511 .18597 L .13545 .18861 L p F P
0 g
s
.494 .265 .494 r
.86289 .72543 m .89069 .70028 L .8985 .70772 L p F P
0 g
s
.494 .265 .494 r
.8985 .70772 m .86937 .73395 L .86289 .72543 L p F P
0 g
s
.436 .573 .892 r
.12977 .67299 m .15633 .69372 L .1519 .69979 L p F P
0 g
s
.436 .573 .892 r
.1519 .69979 m .12466 .67841 L .12969 .67307 L p F P
0 g
s
.436 .573 .892 r
.1519 .69979 m .12969 .67307 L .1301 .67339 L F
.718 .594 .716 r
.12466 .67841 m .1519 .69979 L .14259 .71504 L p F P
0 g
s
.718 .594 .716 r
.14259 .71504 m .11359 .69245 L .12466 .67841 L p F P
0 g
s
.825 .524 .479 r
.12376 .68167 m .15141 .70297 L .15629 .69379 L p F P
0 g
s
.825 .524 .479 r
.15629 .69379 m .15633 .69372 L p .15608 .69363 L F P
0 g
s
.825 .524 .479 r
.15608 .69363 m .12376 .68167 L .15629 .69379 L F
.436 .573 .892 r
.12969 .67307 m .12977 .67299 L p .1301 .67339 L F P
0 g
s
.822 .521 .481 r
.11359 .69245 m .14259 .71504 L .13764 .72433 L p F P
0 g
s
.798 .486 .461 r
.17111 .74403 m .13764 .72433 L .14259 .71504 L p F P
0 g
s
.86 .83 .817 r
.39098 .15639 m .37136 .17836 L .36508 .17017 L p F P
0 g
s
.86 .83 .817 r
.36508 .17017 m .38486 .14807 L .39098 .15639 L p F P
0 g
s
.863 .577 .502 r
.16387 .43894 m .17961 .46256 L .17007 .46633 L p F P
0 g
s
.863 .577 .502 r
.17007 .46633 m .15422 .4425 L .16387 .43894 L p F P
0 g
s
.923 .855 .757 r
.81767 .47371 m .82956 .44943 L .83595 .45442 L p F P
0 g
s
.923 .855 .757 r
.83595 .45442 m .82372 .47911 L .81774 .47378 L p F P
0 g
s
.923 .855 .757 r
.83595 .45442 m .81774 .47378 L .81789 .47347 L F
.715 .571 .691 r
.82372 .47911 m .83595 .45442 L .85256 .46098 L p F P
0 g
s
.438 .253 .531 r
.8277 .47629 m .83988 .45101 L .82966 .44944 L p F P
0 g
s
.438 .253 .531 r
.82966 .44944 m .82956 .44943 L p .82955 .44966 L F P
0 g
s
.438 .253 .531 r
.82955 .44966 m .8277 .47629 L .82966 .44944 L F
.923 .855 .757 r
.81774 .47378 m .81767 .47371 L p .81789 .47347 L F P
0 g
s
.715 .571 .691 r
.85256 .46098 m .83973 .48706 L .82372 .47911 L p F P
0 g
s
.441 .259 .536 r
.83973 .48706 m .85256 .46098 L .86293 .4626 L p F P
0 g
s
.433 .267 .555 r
.87278 .43676 m .86293 .4626 L .85256 .46098 L p F P
0 g
s
.933 .745 .626 r
.48536 .30047 m .48238 .28512 L .49091 .28177 L p F P
0 g
s
.932 .756 .641 r
.48886 .26532 m .49091 .28177 L .48238 .28512 L p F P
0 g
s
.711 .608 .74 r
.49091 .28177 m .48886 .26532 L .50669 .26407 L p F P
0 g
s
.711 .608 .74 r
.50669 .26407 m .50861 .27932 L .49091 .28177 L p F P
0 g
s
.378 .367 .72 r
.50861 .27932 m .50669 .26407 L .51575 .2655 L p F P
0 g
s
.378 .367 .72 r
.51578 .2657 m .50861 .27932 L .51575 .2655 L F
.51587 .26552 m .51792 .2802 L .50861 .27932 L p F P
0 g
s
.933 .752 .634 r
.50715 .26824 m .50946 .28356 L .51779 .28025 L p F P
0 g
s
.933 .752 .634 r
.51779 .28025 m .51792 .2802 L p .51775 .28002 L F P
0 g
s
.933 .752 .634 r
.50715 .26824 m .51779 .28025 L .51775 .28002 L F
.378 .367 .72 r
.51575 .2655 m .51587 .26552 L p .51578 .2657 L F P
0 g
s
.742 .84 .925 r
.55657 .62933 m .56476 .62742 L .56404 .63655 L p F P
0 g
s
.742 .84 .925 r
.56404 .63655 m .55437 .63838 L .55648 .62971 L p F P
0 g
s
.742 .84 .925 r
.56404 .63655 m .55648 .62971 L .55687 .62962 L F
.749 .603 .696 r
.55437 .63838 m .56404 .63655 L .57036 .65327 L p F P
0 g
s
.641 .292 .365 r
.56292 .63775 m .57186 .63506 L .56499 .62767 L p F P
0 g
s
.641 .292 .365 r
.56499 .62767 m .56476 .62742 L p .56471 .62773 L F P
0 g
s
.641 .292 .365 r
.56471 .62773 m .56292 .63775 L .56499 .62767 L F
.742 .84 .925 r
.55648 .62971 m .55657 .62933 L p .55687 .62962 L F P
0 g
s
.749 .603 .696 r
.57036 .65327 m .55848 .65578 L .55437 .63838 L p F P
0 g
s
.625 .294 .39 r
.55848 .65578 m .57036 .65327 L .57745 .66097 L p F P
0 g
s
.589 .272 .4 r
.59052 .65566 m .57745 .66097 L .57036 .65327 L p F P
0 g
s
.443 .531 .853 r
.70726 .71895 m .71462 .72789 L .70438 .72999 L p F P
0 g
s
.443 .531 .853 r
.70438 .72999 m .69739 .72106 L .70705 .719 L p F P
0 g
s
.443 .531 .853 r
.70438 .72999 m .70705 .719 L .7072 .71918 L F
.895 .604 .488 r
.70334 .72834 m .71195 .73824 L .71457 .72812 L p F P
0 g
s
.895 .604 .488 r
.71457 .72812 m .71462 .72789 L p .71439 .7279 L F P
0 g
s
.895 .604 .488 r
.71439 .7279 m .70334 .72834 L .71457 .72812 L F
.443 .531 .853 r
.70705 .719 m .70726 .71895 L p .7072 .71918 L F P
0 g
s
.731 .621 .736 r
.69739 .72106 m .70438 .72999 L .69149 .74235 L p F P
0 g
s
.731 .621 .736 r
.69149 .74235 m .68364 .73249 L .69739 .72106 L p F P
0 g
s
.886 .596 .489 r
.68364 .73249 m .69149 .74235 L .68873 .75272 L p F P
0 g
s
.874 .574 .476 r
.69763 .76166 m .68873 .75272 L .69149 .74235 L p F P
0 g
s
.604 .744 .943 r
.49091 .55334 m .50286 .55248 L .50705 .56117 L p F P
0 g
s
.572 .713 .938 r
.51816 .56198 m .50705 .56117 L .50286 .55248 L p F P
0 g
s
.648 .528 .704 r
.50705 .56117 m .51816 .56198 L .51585 .57971 L p F P
0 g
s
.648 .528 .704 r
.51585 .57971 m .50673 .57904 L .50705 .56117 L p F P
0 g
s
.591 .251 .362 r
.50673 .57904 m .51585 .57971 L .51059 .58819 L p F P
0 g
s
.591 .251 .362 r
.5103 .58818 m .50673 .57904 L .51059 .58819 L F
.51041 .58847 m .50222 .58834 L .50673 .57904 L p F P
0 g
s
.598 .731 .938 r
.50726 .57942 m .498 .57972 L .50206 .58801 L p F P
0 g
s
.598 .731 .938 r
.50206 .58801 m .50222 .58834 L p .50241 .58802 L F P
0 g
s
.598 .731 .938 r
.50726 .57942 m .50206 .58801 L .50241 .58802 L F
.591 .251 .362 r
.51059 .58819 m .51041 .58847 L p .5103 .58818 L F P
0 g
s
.429 .466 .797 r
.70201 .35647 m .69666 .34615 L .70734 .3444 L p F P
0 g
s
.429 .466 .797 r
.70734 .3444 m .71276 .35649 L .70201 .35647 L p F P
0 g
s
.909 .61 .467 r
.62214 .38859 m .61958 .38088 L .62912 .38364 L p F P
0 g
s
.909 .61 .467 r
.62912 .38364 m .63193 .39157 L .62214 .38859 L p F P
0 g
s
.682 .502 .636 r
.63193 .39157 m .62912 .38364 L .64631 .37874 L p F P
0 g
s
.682 .502 .636 r
.64631 .37874 m .64897 .38615 L .63193 .39157 L p F P
0 g
s
.72 .332 .314 r
.53586 .37829 m .52795 .37354 L .53781 .37021 L p F P
0 g
s
.72 .332 .314 r
.53781 .37021 m .54535 .37394 L .53586 .37829 L p F P
0 g
s
.632 .482 .66 r
.54535 .37394 m .53781 .37021 L .54857 .35594 L p F P
0 g
s
.632 .482 .66 r
.54857 .35594 m .5545 .35857 L .54535 .37394 L p F P
0 g
s
.909 .625 .494 r
.60178 .31644 m .60493 .31911 L .60285 .33011 L p F P
0 g
s
.751 .665 .766 r
.60493 .31911 m .60178 .31644 L .61423 .3036 L p F P
0 g
s
.751 .665 .766 r
.61423 .3036 m .61908 .30819 L .60493 .31911 L p F P
0 g
s
.469 .56 .866 r
.61908 .30819 m .61423 .3036 L .62638 .30194 L p F P
0 g
s
.469 .56 .866 r
.62638 .30194 m .63124 .30819 L .61908 .30819 L p F P
0 g
s
.469 .27 .527 r
.89069 .70028 m .91366 .67083 L .92259 .67698 L p F P
0 g
s
.469 .27 .527 r
.92259 .67698 m .8985 .70772 L .89069 .70028 L p F P
0 g
s
.387 .503 .854 r
.10814 .64868 m .12977 .67299 L .12466 .67841 L p F P
0 g
s
.387 .503 .854 r
.12466 .67841 m .10212 .65295 L .10799 .64879 L p F P
0 g
s
.387 .503 .854 r
.12466 .67841 m .10799 .64879 L .10855 .64941 L F
.716 .593 .718 r
.10212 .65295 m .12466 .67841 L .11359 .69245 L p F P
0 g
s
.716 .593 .718 r
.11359 .69245 m .08874 .66483 L .10212 .65295 L p F P
0 g
s
.856 .576 .513 r
.10072 .65635 m .12376 .68167 L .12972 .67306 L p F P
0 g
s
.856 .576 .513 r
.12972 .67306 m .12977 .67299 L p .12953 .67285 L F P
0 g
s
.856 .576 .513 r
.12953 .67285 m .10072 .65635 L .12972 .67306 L F
.387 .503 .854 r
.10799 .64879 m .10814 .64868 L p .10855 .64941 L F P
0 g
s
.851 .57 .512 r
.08874 .66483 m .11359 .69245 L .10754 .70118 L p F P
0 g
s
.822 .521 .481 r
.13764 .72433 m .10754 .70118 L .11359 .69245 L p F P
0 g
s
.339 .133 .447 r
.1894 .14261 m .17226 .16802 L .16597 .16423 L p F P
0 g
s
.339 .133 .447 r
.16597 .16423 m .18398 .13772 L .18927 .14249 L p F P
0 g
s
.339 .133 .447 r
.16597 .16423 m .18927 .14249 L .18884 .14312 L F
.699 .58 .719 r
.18398 .13772 m .16597 .16423 L .14971 .1568 L p F P
0 g
s
.699 .58 .719 r
.14971 .1568 m .16918 .12767 L .18398 .13772 L p F P
0 g
s
.856 .82 .813 r
.17994 .13741 m .1622 .16434 L .17216 .16798 L p F P
0 g
s
.856 .82 .813 r
.17216 .16798 m .17226 .16802 L p .17233 .16773 L F P
0 g
s
.856 .82 .813 r
.17233 .16773 m .17994 .13741 L .17216 .16798 L F
.339 .133 .447 r
.18927 .14249 m .1894 .14261 L p .18884 .14312 L F P
0 g
s
.857 .816 .807 r
.16918 .12767 m .14971 .1568 L .1396 .1531 L p F P
0 g
s
.879 .806 .774 r
.12511 .18597 m .1396 .1531 L .14971 .1568 L p F P
0 g
s
.862 .83 .815 r
.37136 .17836 m .35203 .20032 L .34588 .19209 L p F P
0 g
s
.862 .83 .815 r
.34593 .19203 m .37136 .17836 L .34588 .19209 L F
.34587 .19207 m .36508 .17017 L .37136 .17836 L p F P
0 g
s
.404 .149 .411 r
.35301 .19586 m .3724 .17371 L .36511 .17018 L p F P
0 g
s
.404 .149 .411 r
.36511 .17018 m .36508 .17017 L p .36505 .17025 L F P
0 g
s
.404 .149 .411 r
.35301 .19586 m .36511 .17018 L .36505 .17025 L F
.862 .83 .815 r
.34588 .19209 m .34587 .19207 L p .34593 .19203 L F P
0 g
s
.918 .859 .767 r
.80446 .49843 m .81767 .47371 L .82372 .47911 L p F P
0 g
s
.918 .859 .767 r
.82372 .47911 m .81037 .504 L .80449 .49846 L p F P
0 g
s
.918 .859 .767 r
.82372 .47911 m .80449 .49846 L .80455 .49834 L F
.716 .571 .691 r
.81037 .504 m .82372 .47911 L .83973 .48706 L p F P
0 g
s
.442 .25 .523 r
.81435 .50144 m .8277 .47629 L .81771 .47372 L p F P
0 g
s
.442 .25 .523 r
.81771 .47372 m .81767 .47371 L p .81765 .47382 L F P
0 g
s
.442 .25 .523 r
.81765 .47382 m .81435 .50144 L .81771 .47372 L F
.918 .859 .767 r
.80449 .49846 m .80446 .49843 L p .80455 .49834 L F P
0 g
s
.716 .571 .691 r
.83973 .48706 m .82609 .51254 L .81037 .504 L p F P
0 g
s
.446 .255 .527 r
.82609 .51254 m .83973 .48706 L .84982 .48968 L p F P
0 g
s
.441 .259 .536 r
.86293 .4626 m .84982 .48968 L .83973 .48706 L p F P
0 g
s
.861 .572 .499 r
.17961 .46256 m .19552 .48582 L .18598 .4895 L p F P
0 g
s
.861 .572 .499 r
.18594 .48944 m .17961 .46256 L .18598 .4895 L F
.18595 .48951 m .17007 .46633 L .17961 .46256 L p F P
0 g
s
.365 .432 .797 r
.19131 .48321 m .17524 .45984 L .17008 .46631 L p F P
0 g
s
.365 .432 .797 r
.17008 .46631 m .17007 .46633 L p .17012 .46637 L F P
0 g
s
.365 .432 .797 r
.19131 .48321 m .17008 .46631 L .17012 .46637 L F
.861 .572 .499 r
.18598 .4895 m .18595 .48951 L p .18594 .48944 L F P
0 g
s
.932 .756 .641 r
.48238 .28512 m .48006 .26803 L .48886 .26532 L p F P
0 g
s
.931 .77 .66 r
.48786 .24893 m .48886 .26532 L .48006 .26803 L p F P
0 g
s
.709 .606 .74 r
.48886 .26532 m .48786 .24893 L .50575 .24856 L p F P
0 g
s
.709 .606 .74 r
.50575 .24856 m .50669 .26407 L .48886 .26532 L p F P
0 g
s
.372 .346 .7 r
.50669 .26407 m .50575 .24856 L .51472 .25035 L p F P
0 g
s
.372 .346 .7 r
.51473 .2505 m .50669 .26407 L .51472 .25035 L F
.51481 .25037 m .51587 .26552 L .50669 .26407 L p F P
0 g
s
.933 .769 .655 r
.50591 .25257 m .50715 .26824 L .51578 .26555 L p F P
0 g
s
.933 .769 .655 r
.51578 .26555 m .51587 .26552 L p .51577 .26538 L F P
0 g
s
.933 .769 .655 r
.50591 .25257 m .51578 .26555 L .51577 .26538 L F
.372 .346 .7 r
.51472 .25035 m .51481 .25037 L p .51473 .2505 L F P
0 g
s
.431 .507 .836 r
.70072 .70952 m .70726 .71895 L .69739 .72106 L p F P
0 g
s
.431 .507 .836 r
.69739 .72106 m .69066 .71094 L .7005 .70955 L p F P
0 g
s
.431 .507 .836 r
.69739 .72106 m .7005 .70955 L .70065 .70977 L F
.908 .631 .506 r
.69611 .71847 m .70334 .72834 L .70718 .71913 L p F P
0 g
s
.908 .631 .506 r
.70718 .71913 m .70726 .71895 L p .70706 .71895 L F P
0 g
s
.908 .631 .506 r
.70706 .71895 m .69611 .71847 L .70718 .71913 L F
.431 .507 .836 r
.7005 .70955 m .70072 .70952 L p .70065 .70977 L F P
0 g
s
.728 .62 .738 r
.69066 .71094 m .69739 .72106 L .68364 .73249 L p F P
0 g
s
.728 .62 .738 r
.68364 .73249 m .67602 .72123 L .69066 .71094 L p F P
0 g
s
.899 .62 .506 r
.67602 .72123 m .68364 .73249 L .67964 .74189 L p F P
0 g
s
.886 .596 .489 r
.68873 .75272 m .67964 .74189 L .68364 .73249 L p F P
0 g
s
.691 .808 .937 r
.54868 .62981 m .55657 .62933 L .55437 .63838 L p F P
0 g
s
.691 .808 .937 r
.55437 .63838 m .54502 .63844 L .54849 .63028 L p F P
0 g
s
.691 .808 .937 r
.55437 .63838 m .54849 .63028 L .54897 .63024 L F
.749 .609 .703 r
.54502 .63844 m .55437 .63838 L .55848 .65578 L p F P
0 g
s
.69 .331 .361 r
.55371 .63911 m .56292 .63775 L .55682 .62966 L p F P
0 g
s
.69 .331 .361 r
.55682 .62966 m .55657 .62933 L p .55646 .62969 L F P
0 g
s
.69 .331 .361 r
.55646 .62969 m .55371 .63911 L .55682 .62966 L F
.691 .808 .937 r
.54849 .63028 m .54868 .62981 L p .54897 .63024 L F P
0 g
s
.749 .609 .703 r
.55848 .65578 m .54634 .65628 L .54502 .63844 L p F P
0 g
s
.664 .325 .389 r
.54634 .65628 m .55848 .65578 L .56481 .66427 L p F P
0 g
s
.625 .294 .39 r
.57745 .66097 m .56481 .66427 L .55848 .65578 L p F P
0 g
s
.519 .229 .413 r
.43236 .58619 m .44593 .5786 L .44239 .57006 L p F P
0 g
s
.519 .229 .413 r
.44239 .57006 m .42825 .57793 L .43236 .58619 L p F P
0 g
s
.538 .237 .405 r
.44593 .5786 m .45573 .57389 L .45642 .56357 L p F P
0 g
s
.538 .237 .405 r
.45642 .56357 m .44239 .57006 L .44593 .5786 L p F P
0 g
s
.835 .464 .351 r
.73251 .75168 m .73309 .75242 L .73372 .7424 L p F P
0 g
s
.835 .464 .351 r
.73372 .7424 m .72957 .74073 L .73251 .75168 L p F P
0 g
s
.502 .225 .426 r
.59851 .61855 m .60442 .61312 L .59797 .60596 L p F P
0 g
s
.502 .225 .426 r
.59797 .60596 m .58936 .61382 L .59851 .61855 L p F P
0 g
s
.479 .232 .461 r
.60442 .61312 m .61423 .60416 L .60724 .59754 L p F P
0 g
s
.465 .232 .476 r
.61423 .60416 m .6232 .59458 L .61563 .58864 L p F P
0 g
s
.449 .234 .494 r
.6232 .59458 m .63118 .58429 L .62304 .57917 L p F P
0 g
s
.432 .239 .517 r
.63118 .58429 m .63801 .57322 L .62939 .56898 L p F P
0 g
s
.418 .248 .542 r
.63801 .57322 m .64418 .56025 L .63527 .55669 L p F P
0 g
s
.41 .257 .561 r
.64418 .56025 m .64946 .54655 L .6404 .54341 L p F P
0 g
s
.405 .263 .572 r
.64946 .54655 m .65436 .53186 L .64534 .52862 L p F P
0 g
s
.408 .259 .565 r
.65436 .53186 m .65992 .51646 L .65131 .51225 L p F P
0 g
s
.408 .259 .565 r
.65131 .51225 m .64534 .52862 L .65436 .53186 L p F P
0 g
s
.42 .246 .537 r
.65992 .51646 m .66683 .50277 L .65828 .49844 L p F P
0 g
s
.42 .246 .537 r
.65828 .49844 m .65131 .51225 L .65992 .51646 L p F P
0 g
s
.422 .243 .531 r
.66683 .50277 m .67379 .48971 L .66505 .48576 L p F P
0 g
s
.422 .243 .531 r
.66505 .48576 m .65828 .49844 L .66683 .50277 L p F P
0 g
s
.418 .247 .541 r
.67379 .48971 m .68003 .47677 L .67101 .47345 L p F P
0 g
s
.418 .247 .541 r
.67101 .47345 m .66505 .48576 L .67379 .48971 L p F P
0 g
s
.411 .255 .557 r
.68003 .47677 m .68522 .46377 L .67588 .4614 L p F P
0 g
s
.411 .255 .557 r
.67588 .4614 m .67101 .47345 L .68003 .47677 L p F P
0 g
s
.403 .27 .584 r
.68522 .46377 m .6888 .45104 L .67925 .44957 L p F P
0 g
s
.403 .27 .584 r
.67925 .44957 m .67588 .4614 L .68522 .46377 L p F P
0 g
s
.398 .287 .61 r
.6888 .45104 m .69114 .43787 L .68148 .43719 L p F P
0 g
s
.398 .287 .61 r
.68148 .43719 m .67925 .44957 L .6888 .45104 L p F P
0 g
s
.396 .303 .632 r
.69114 .43787 m .69238 .42434 L .68269 .42425 L p F P
0 g
s
.396 .303 .632 r
.68269 .42425 m .68148 .43719 L .69114 .43787 L p F P
0 g
s
.395 .316 .649 r
.69238 .42434 m .69261 .41377 L .68311 .40989 L p F P
0 g
s
.395 .316 .649 r
.68311 .40989 m .68269 .42425 L .69238 .42434 L p F P
0 g
s
.91 .724 .639 r
.13372 .30094 m .13858 .3348 L .1491 .33499 L p F P
0 g
s
.91 .724 .639 r
.1491 .33499 m .14383 .29913 L .13372 .30094 L p F P
0 g
s
.902 .674 .583 r
.15417 .35725 m .1491 .33499 L .13858 .3348 L p F P
0 g
s
.418 .357 .682 r
.86368 .31824 m .86072 .28155 L .85058 .28421 L p F P
0 g
s
.418 .357 .682 r
.85058 .28421 m .85334 .31957 L .86368 .31824 L p F P
0 g
s
.424 .388 .715 r
.86072 .28155 m .85306 .24641 L .84334 .2505 L p F P
0 g
s
.424 .388 .715 r
.84334 .2505 m .85058 .28421 L .86072 .28155 L p F P
0 g
s
.437 .427 .751 r
.85306 .24641 m .84007 .21262 L .83086 .21785 L p F P
0 g
s
.437 .427 .751 r
.83086 .21785 m .84334 .2505 L .85306 .24641 L p F P
0 g
s
.45 .46 .777 r
.84007 .21262 m .82447 .1833 L .81609 .18984 L p F P
0 g
s
.45 .46 .777 r
.81609 .18984 m .83086 .21785 L .84007 .21262 L p F P
0 g
s
.472 .504 .81 r
.82447 .1833 m .8044 .15682 L .797 .16447 L p F P
0 g
s
.472 .504 .81 r
.797 .16447 m .81609 .18984 L .82447 .1833 L p F P
0 g
s
.496 .546 .837 r
.8044 .15682 m .78035 .13348 L .77401 .14204 L p F P
0 g
s
.523 .586 .86 r
.78035 .13348 m .75252 .1133 L .74681 .12228 L p F P
0 g
s
.536 .604 .869 r
.75252 .1133 m .72398 .09541 L .71949 .10505 L p F P
0 g
s
.566 .642 .885 r
.72398 .09541 m .69351 .08182 L .69041 .09197 L p F P
0 g
s
.599 .68 .898 r
.69351 .08182 m .66157 .07305 L .65999 .08349 L p F P
0 g
s
.637 .718 .906 r
.66157 .07305 m .62823 .06941 L .62783 .07991 L p F P
0 g
s
.665 .742 .908 r
.62823 .06941 m .59215 .06972 L .59325 .08011 L p F P
0 g
s
.702 .771 .906 r
.59215 .06972 m .55643 .07554 L .55886 .08562 L p F P
0 g
s
.735 .793 .899 r
.55643 .07554 m .52123 .08638 L .52491 .09598 L p F P
0 g
s
.766 .81 .888 r
.52123 .08638 m .48876 .10125 L .49174 .1113 L p F P
0 g
s
.662 .331 .402 r
.24415 .73694 m .27486 .73513 L .27306 .72555 L p F P
0 g
s
.662 .331 .402 r
.27306 .72555 m .24324 .72704 L .24415 .73694 L p F P
0 g
s
.424 .209 .481 r
.35022 .66655 m .36139 .65151 L .35507 .64507 L p F P
0 g
s
.424 .209 .481 r
.35507 .64507 m .34362 .66044 L .35022 .66655 L p F P
0 g
s
.435 .209 .47 r
.36139 .65151 m .37195 .63887 L .36589 .63212 L p F P
0 g
s
.435 .209 .47 r
.36589 .63212 m .35507 .64507 L .36139 .65151 L p F P
0 g
s
.446 .21 .461 r
.37195 .63887 m .3831 .62684 L .37729 .61984 L p F P
0 g
s
.446 .21 .461 r
.37729 .61984 m .36589 .63212 L .37195 .63887 L p F P
0 g
s
.456 .211 .452 r
.3831 .62684 m .39482 .61533 L .38936 .60801 L p F P
0 g
s
.456 .211 .452 r
.38936 .60801 m .37729 .61984 L .3831 .62684 L p F P
0 g
s
.47 .213 .442 r
.39482 .61533 m .40711 .60463 L .40192 .5971 L p F P
0 g
s
.47 .213 .442 r
.40192 .5971 m .38936 .60801 L .39482 .61533 L p F P
0 g
s
.481 .216 .435 r
.40711 .60463 m .41937 .59494 L .41467 .58704 L p F P
0 g
s
.481 .216 .435 r
.41467 .58704 m .40192 .5971 L .40711 .60463 L p F P
0 g
s
.499 .221 .424 r
.41937 .59494 m .43236 .58619 L .42825 .57793 L p F P
0 g
s
.499 .221 .424 r
.42825 .57793 m .41467 .58704 L .41937 .59494 L p F P
0 g
s
.787 .849 .897 r
.44575 .60912 m .45741 .60251 L .45347 .59489 L p F P
0 g
s
.787 .849 .897 r
.45347 .59489 m .44115 .60184 L .44575 .60912 L p F P
0 g
s
.78 .847 .902 r
.45741 .60251 m .47027 .59655 L .46268 .59043 L p F P
0 g
s
.78 .847 .902 r
.46268 .59043 m .45347 .59489 L .45741 .60251 L p F P
0 g
s
.719 .824 .93 r
.47027 .59655 m .47818 .59323 L .47123 .58646 L p F P
0 g
s
.597 .764 .959 r
.71977 .77515 m .73324 .77816 L .73284 .77037 L p F P
0 g
s
.613 .757 .947 r
.73324 .77816 m .77011 .77836 L .76774 .77114 L p F P
0 g
s
.613 .757 .947 r
.76774 .77114 m .73284 .77037 L .73324 .77816 L p F P
0 g
s
.854 .84 .831 r
.64423 .33809 m .63859 .34588 L p .64663 .34646 L F P
0 g
s
.959 .771 .606 r
.63692 .33871 m .63859 .34588 L .64466 .3375 L p F P
0 g
s
.854 .84 .831 r
.64663 .34646 m .64725 .3465 L .64423 .33809 L F
.728 .663 .785 r
.63859 .34588 m .63745 .34101 L p .62029 .34549 L F P
0 g
s
.728 .663 .785 r
.63745 .34101 m .63692 .33871 L .63604 .33907 L p F P
0 g
s
.728 .663 .785 r
.63604 .33907 m .62029 .34549 L p .63745 .34101 L F P
0 g
s
.854 .84 .831 r
.6378 .34349 m .64725 .3465 L p .64663 .34646 L F P
0 g
s
.854 .84 .831 r
.63859 .34588 m .6378 .34349 L p .64663 .34646 L F P
0 g
s
.728 .663 .785 r
.62029 .34549 m .6215 .35136 L .63859 .34588 L p F P
0 g
s
.731 .739 .858 r
.63859 .34588 m .6215 .35136 L p .63729 .34373 L F P
0 g
s
.731 .739 .858 r
.6378 .34349 m .63783 .34357 L p .63729 .34373 L F P
0 g
s
.731 .739 .858 r
.63783 .34357 m .63859 .34588 L p .63729 .34373 L F P
0 g
s
.731 .739 .858 r
.6215 .35136 m .62047 .34819 L .6378 .34349 L p F P
0 g
s
.689 .513 .643 r
.62269 .35628 m .64015 .35199 L p .62183 .34845 L F P
0 g
s
.689 .513 .643 r
.62047 .34819 m .62064 .34881 L p .62183 .34845 L F P
0 g
s
.689 .513 .643 r
.62064 .34881 m .62269 .35628 L p .62183 .34845 L F P
0 g
s
.922 .641 .494 r
.6378 .34349 m .64015 .35199 L .64725 .35442 L p F P
0 g
s
.922 .641 .494 r
.64725 .35442 m .6491 .35506 L p .6436 .34943 L F P
0 g
s
.922 .641 .494 r
.6378 .34349 m .64725 .35442 L .6436 .34943 L F
.6491 .35506 m .64953 .35521 L p .64898 .35465 L F P
0 g
s
.922 .641 .494 r
.6378 .34349 m .6491 .35506 L .64898 .35465 L F
.854 .84 .831 r
.64725 .3465 m .64466 .3375 L .64423 .33809 L p F P
0 g
s
.959 .771 .606 r
.64466 .3375 m .64229 .32985 L .63692 .33871 L p F P
0 g
s
.88 .88 .83 r
.61319 .64052 m .62213 .63233 L .61655 .62635 L p F P
0 g
s
.844 .87 .862 r
.62213 .63233 m .63343 .6219 L .62738 .61639 L p F P
0 g
s
.844 .87 .862 r
.62738 .61639 m .61655 .62635 L .62213 .63233 L p F P
0 g
s
.861 .87 .844 r
.63343 .6219 m .64398 .61044 L .63743 .60553 L p F P
0 g
s
.861 .87 .844 r
.63743 .60553 m .62738 .61639 L .63343 .6219 L p F P
0 g
s
.879 .867 .823 r
.64398 .61044 m .65354 .59784 L .64649 .59366 L p F P
0 g
s
.879 .867 .823 r
.64649 .59366 m .63743 .60553 L .64398 .61044 L p F P
0 g
s
.897 .86 .796 r
.65354 .59784 m .66171 .58429 L .65424 .5809 L p F P
0 g
s
.897 .86 .796 r
.65424 .5809 m .64649 .59366 L .65354 .59784 L p F P
0 g
s
.912 .85 .768 r
.66171 .58429 m .66865 .56953 L .66093 .5667 L p F P
0 g
s
.912 .85 .768 r
.66093 .5667 m .65424 .5809 L .66171 .58429 L p F P
0 g
s
.921 .84 .748 r
.66865 .56953 m .67432 .55473 L .66649 .55223 L p F P
0 g
s
.921 .84 .748 r
.66649 .55223 m .66093 .5667 L .66865 .56953 L p F P
0 g
s
.925 .833 .735 r
.67432 .55473 m .67902 .54062 L .67127 .53789 L p F P
0 g
s
.925 .833 .735 r
.67127 .53789 m .66649 .55223 L .67432 .55473 L p F P
0 g
s
.924 .836 .74 r
.67595 .52454 m .67127 .53789 L .67902 .54062 L p F P
0 g
s
.908 .852 .775 r
.68268 .5112 m .67595 .52454 L .68325 .52835 L p F P
0 g
s
.905 .854 .781 r
.68985 .51524 m .69729 .50123 L .68997 .49748 L p F P
0 g
s
.905 .854 .781 r
.68997 .49748 m .68268 .5112 L .68985 .51524 L p F P
0 g
s
.911 .85 .77 r
.69729 .50123 m .70427 .4866 L .69672 .48337 L p F P
0 g
s
.911 .85 .77 r
.69672 .48337 m .68997 .49748 L .69729 .50123 L p F P
0 g
s
.92 .841 .75 r
.70427 .4866 m .71034 .47097 L .70251 .46858 L p F P
0 g
s
.92 .841 .75 r
.70251 .46858 m .69672 .48337 L .70427 .4866 L p F P
0 g
s
.931 .825 .719 r
.71034 .47097 m .71448 .45574 L .70648 .45414 L p F P
0 g
s
.931 .825 .719 r
.70648 .45414 m .70251 .46858 L .71034 .47097 L p F P
0 g
s
.937 .807 .691 r
.71448 .45574 m .7171 .44041 L .70902 .43949 L p F P
0 g
s
.937 .807 .691 r
.70902 .43949 m .70648 .45414 L .71448 .45574 L p F P
0 g
s
.941 .79 .666 r
.7171 .44041 m .71844 .4253 L .71032 .42487 L p F P
0 g
s
.941 .79 .666 r
.71032 .42487 m .70902 .43949 L .7171 .44041 L p F P
0 g
s
.942 .769 .638 r
.71844 .4253 m .71884 .41143 L .71055 .41454 L p F P
0 g
s
.942 .769 .638 r
.71055 .41454 m .71032 .42487 L .71844 .4253 L p F P
0 g
s
.942 .818 .693 r
.71884 .41143 m .71953 .39786 L .71153 .40167 L p F P
0 g
s
.942 .818 .693 r
.71153 .40167 m .71055 .41454 L .71884 .41143 L p F P
0 g
s
.916 .658 .534 r
.53483 .32884 m .52895 .31762 L .52193 .32336 L p F P
0 g
s
.313 .304 .689 r
.1084 .30417 m .11436 .34345 L .12114 .33905 L p F P
0 g
s
.308 .296 .682 r
.11436 .34345 m .12058 .36962 L .12689 .36441 L p F P
0 g
s
.308 .296 .682 r
.12689 .36441 m .12114 .33905 L .11436 .34345 L p F P
0 g
s
.953 .755 .599 r
.88898 .31662 m .8855 .27649 L .87825 .27767 L p F P
0 g
s
.953 .755 .599 r
.87825 .27767 m .88157 .31677 L .88898 .31662 L p F P
0 g
s
.947 .715 .554 r
.8855 .27649 m .8767 .2376 L .86981 .23993 L p F P
0 g
s
.947 .715 .554 r
.86981 .23993 m .87825 .27767 L .8855 .27649 L p F P
0 g
s
.934 .664 .504 r
.8767 .2376 m .86238 .20095 L .85589 .20414 L p F P
0 g
s
.934 .664 .504 r
.85589 .20414 m .86981 .23993 L .8767 .2376 L p F P
0 g
s
.917 .619 .465 r
.86238 .20095 m .84452 .16815 L .83874 .17241 L p F P
0 g
s
.917 .619 .465 r
.83874 .17241 m .85589 .20414 L .86238 .20095 L p F P
0 g
s
.888 .559 .419 r
.84452 .16815 m .82183 .13874 L .81686 .1439 L p F P
0 g
s
.888 .559 .419 r
.81686 .1439 m .83874 .17241 L .84452 .16815 L p F P
0 g
s
.855 .5 .38 r
.82183 .13874 m .79498 .11307 L .79088 .11894 L p F P
0 g
s
.855 .5 .38 r
.79088 .11894 m .81686 .1439 L .82183 .13874 L p F P
0 g
s
.819 .447 .35 r
.79498 .11307 m .76572 .09193 L .76202 .09807 L p F P
0 g
s
.819 .447 .35 r
.76202 .09807 m .79088 .11894 L .79498 .11307 L p F P
0 g
s
.799 .42 .337 r
.76572 .09193 m .73395 .07234 L .73124 .079 L p F P
0 g
s
.799 .42 .337 r
.73124 .079 m .76202 .09807 L .76572 .09193 L p F P
0 g
s
.757 .368 .316 r
.73395 .07234 m .69977 .05745 L .69821 .0645 L p F P
0 g
s
.757 .368 .316 r
.69821 .0645 m .73124 .079 L .73395 .07234 L p F P
0 g
s
.71 .316 .301 r
.69977 .05745 m .6638 .04793 L .66349 .0552 L p F P
0 g
s
.71 .316 .301 r
.66349 .0552 m .69821 .0645 L .69977 .05745 L p F P
0 g
s
.659 .269 .294 r
.6638 .04793 m .62742 .04415 L .62802 .05146 L p F P
0 g
s
.659 .269 .294 r
.62802 .05146 m .66349 .0552 L .6638 .04793 L p F P
0 g
s
.621 .237 .295 r
.62742 .04415 m .58742 .04482 L .58922 .05201 L p F P
0 g
s
.621 .237 .295 r
.58922 .05201 m .62802 .05146 L .62742 .04415 L p F P
0 g
s
.573 .204 .304 r
.58742 .04482 m .54826 .05146 L .55111 .05839 L p F P
0 g
s
.573 .204 .304 r
.55111 .05839 m .58922 .05201 L .58742 .04482 L p F P
0 g
s
.531 .18 .318 r
.54826 .05146 m .50985 .06354 L .51367 .07009 L p F P
0 g
s
.531 .18 .318 r
.51367 .07009 m .55111 .05839 L .54826 .05146 L p F P
0 g
s
.494 .165 .337 r
.50985 .06354 m .47396 .08027 L .47983 .08568 L p F P
0 g
s
.494 .165 .337 r
.47983 .08568 m .51367 .07009 L .50985 .06354 L p F P
0 g
s
.486 .159 .336 r
.47396 .08027 m .44945 .09412 L .45592 .09893 L p F P
0 g
s
.486 .159 .336 r
.45592 .09893 m .47983 .08568 L .47396 .08027 L p F P
0 g
s
.671 .8 .944 r
.24544 .76277 m .28378 .75967 L .28024 .75225 L p F P
0 g
s
.734 .834 .927 r
.28378 .75967 m .29982 .75422 L .29461 .74753 L p F P
0 g
s
.734 .834 .927 r
.29461 .74753 m .28024 .75225 L .28378 .75967 L p F P
0 g
s
.79 .854 .899 r
.29982 .75422 m .31364 .74619 L .30741 .74018 L p F P
0 g
s
.79 .854 .899 r
.30741 .74018 m .29461 .74753 L .29982 .75422 L p F P
0 g
s
.824 .859 .873 r
.31364 .74619 m .32661 .73595 L .31958 .73066 L p F P
0 g
s
.824 .859 .873 r
.31958 .73066 m .30741 .74018 L .31364 .74619 L p F P
0 g
s
.849 .859 .849 r
.32661 .73595 m .33747 .72504 L .33015 .72006 L p F P
0 g
s
.849 .859 .849 r
.33015 .72006 m .31958 .73066 L .32661 .73595 L p F P
0 g
s
.86 .857 .837 r
.33747 .72504 m .35009 .71091 L .34247 .70628 L p F P
0 g
s
.86 .857 .837 r
.34247 .70628 m .33015 .72006 L .33747 .72504 L p F P
0 g
s
.87 .854 .824 r
.35009 .71091 m .36166 .69632 L .35388 .69191 L p F P
0 g
s
.87 .854 .824 r
.35388 .69191 m .34247 .70628 L .35009 .71091 L p F P
0 g
s
.876 .851 .815 r
.36166 .69632 m .37234 .68176 L .36463 .67724 L p F P
0 g
s
.876 .851 .815 r
.36463 .67724 m .35388 .69191 L .36166 .69632 L p F P
0 g
s
.875 .852 .816 r
.37234 .68176 m .38254 .66797 L .37518 .663 L p F P
0 g
s
.875 .852 .816 r
.37518 .663 m .36463 .67724 L .37234 .68176 L p F P
0 g
s
.866 .855 .829 r
.38254 .66797 m .39212 .65643 L .38511 .65107 L p F P
0 g
s
.866 .855 .829 r
.38511 .65107 m .37518 .663 L .38254 .66797 L p F P
0 g
s
.856 .857 .841 r
.39212 .65643 m .40237 .64534 L .39569 .63963 L p F P
0 g
s
.856 .857 .841 r
.39569 .63963 m .38511 .65107 L .39212 .65643 L p F P
0 g
s
.847 .858 .85 r
.40237 .64534 m .41286 .63498 L .40662 .62886 L p F P
0 g
s
.847 .858 .85 r
.40662 .62886 m .39569 .63963 L .40237 .64534 L p F P
0 g
s
.835 .858 .862 r
.41286 .63498 m .42415 .62511 L .41827 .61869 L p F P
0 g
s
.835 .858 .862 r
.41827 .61869 m .40662 .62886 L .41286 .63498 L p F P
0 g
s
.825 .857 .871 r
.42415 .62511 m .43471 .61666 L .42943 .60981 L p F P
0 g
s
.825 .857 .871 r
.42943 .60981 m .41827 .61869 L .42415 .62511 L p F P
0 g
s
.808 .854 .884 r
.43471 .61666 m .44575 .60912 L .44115 .60184 L p F P
0 g
s
.808 .854 .884 r
.44115 .60184 m .42943 .60981 L .43471 .61666 L p F P
0 g
s
.572 .713 .938 r
.50286 .55248 m .51505 .55287 L .51816 .56198 L p F P
0 g
s
.541 .68 .929 r
.52899 .56392 m .51816 .56198 L .51505 .55287 L p F P
0 g
s
.649 .524 .698 r
.51816 .56198 m .52899 .56392 L .52497 .58136 L p F P
0 g
s
.649 .524 .698 r
.52497 .58136 m .51585 .57971 L .51816 .56198 L p F P
0 g
s
.627 .278 .36 r
.51585 .57971 m .52497 .58136 L .51901 .58934 L p F P
0 g
s
.627 .278 .36 r
.51876 .58931 m .51585 .57971 L .51901 .58934 L F
.51884 .58957 m .51041 .58847 L .51585 .57971 L p F P
0 g
s
.562 .697 .931 r
.51671 .58027 m .50726 .57942 L .51031 .58817 L p F P
0 g
s
.562 .697 .931 r
.51031 .58817 m .51041 .58847 L p .51061 .58821 L F P
0 g
s
.562 .697 .931 r
.51671 .58027 m .51031 .58817 L .51061 .58821 L F
.627 .278 .36 r
.51901 .58934 m .51884 .58957 L p .51876 .58931 L F P
0 g
s
.457 .52 .834 r
.69666 .34615 m .68959 .33695 L .69997 .33357 L p F P
0 g
s
.457 .52 .834 r
.69997 .33357 m .70734 .3444 L .69666 .34615 L p F P
0 g
s
.89 .565 .428 r
.62577 .39707 m .62214 .38859 L .63193 .39157 L p F P
0 g
s
.89 .565 .428 r
.63193 .39157 m .63577 .39908 L .62577 .39707 L p F P
0 g
s
.673 .491 .631 r
.63577 .39908 m .63193 .39157 L .64897 .38615 L p F P
0 g
s
.673 .491 .631 r
.64897 .38615 m .65225 .39209 L .63577 .39908 L p F P
0 g
s
.664 .275 .298 r
.54515 .38216 m .53586 .37829 L .54535 .37394 L p F P
0 g
s
.664 .275 .298 r
.54535 .37394 m .55379 .37636 L .54515 .38216 L p F P
0 g
s
.62 .48 .669 r
.55379 .37636 m .54535 .37394 L .5545 .35857 L p F P
0 g
s
.62 .48 .669 r
.5545 .35857 m .56044 .35974 L .55379 .37636 L p F P
0 g
s
.909 .625 .494 r
.60139 .32771 m .60178 .31644 L p .60282 .32978 L F P
0 g
s
.884 .573 .456 r
.59823 .31434 m .60178 .31644 L .60139 .32771 L p F P
0 g
s
.884 .573 .456 r
.60139 .32771 m .59981 .3257 L .59823 .31434 L p F P
0 g
s
.485 .664 .941 r
.60139 .32771 m .61353 .32612 L p .6 .32571 L F P
0 g
s
.485 .664 .941 r
.59981 .3257 m .60139 .32771 L p .6 .32571 L F P
0 g
s
.909 .625 .494 r
.60285 .33011 m .60139 .32771 L p .60282 .32978 L F P
0 g
s
.76 .666 .758 r
.60178 .31644 m .59823 .31434 L .60856 .29972 L p F P
0 g
s
.76 .666 .758 r
.60856 .29972 m .61423 .3036 L .60178 .31644 L p F P
0 g
s
.502 .606 .889 r
.61423 .3036 m .60856 .29972 L .62055 .29637 L p F P
0 g
s
.502 .606 .889 r
.62055 .29637 m .62638 .30194 L .61423 .3036 L p F P
0 g
s
.449 .283 .563 r
.91366 .67083 m .93159 .63753 L .94131 .64242 L p F P
0 g
s
.449 .283 .563 r
.94131 .64242 m .92259 .67698 L .91366 .67083 L p F P
0 g
s
.348 .435 .809 r
.09077 .62059 m .10814 .64868 L .10212 .65295 L p F P
0 g
s
.348 .435 .809 r
.10212 .65295 m .08407 .6236 L .09061 .62067 L p F P
0 g
s
.348 .435 .809 r
.10212 .65295 m .09061 .62067 L .09104 .62137 L F
.714 .593 .719 r
.08407 .6236 m .10212 .65295 L .08874 .66483 L p F P
0 g
s
.714 .593 .719 r
.08874 .66483 m .06883 .633 L .08407 .6236 L p F P
0 g
s
.878 .623 .549 r
.08216 .62702 m .10072 .65635 L .10808 .64875 L p F P
0 g
s
.878 .623 .549 r
.10808 .64875 m .10814 .64868 L p .10792 .6485 L F P
0 g
s
.878 .623 .549 r
.10792 .6485 m .08216 .62702 L .10808 .64875 L F
.348 .435 .809 r
.09061 .62067 m .09077 .62059 L p .09104 .62137 L F P
0 g
s
.874 .617 .547 r
.06883 .633 m .08874 .66483 L .08128 .67254 L p F P
0 g
s
.851 .57 .512 r
.10754 .70118 m .08128 .67254 L .08874 .66483 L p F P
0 g
s
.369 .121 .401 r
.2105 .12032 m .1894 .14261 L .18398 .13772 L p F P
0 g
s
.369 .121 .401 r
.18398 .13772 m .2061 .11451 L .21039 .12018 L p F P
0 g
s
.369 .121 .401 r
.18398 .13772 m .21039 .12018 L .20988 .12072 L F
.697 .578 .718 r
.2061 .11451 m .18398 .13772 L .16918 .12767 L p F P
0 g
s
.697 .578 .718 r
.16918 .12767 m .19313 .10216 L .2061 .11451 L p F P
0 g
s
.829 .821 .842 r
.20187 .11373 m .17994 .13741 L .18931 .14256 L p F P
0 g
s
.829 .821 .842 r
.18931 .14256 m .1894 .14261 L p .18952 .14234 L F P
0 g
s
.829 .821 .842 r
.18952 .14234 m .20187 .11373 L .18931 .14256 L F
.369 .121 .401 r
.21039 .12018 m .2105 .12032 L p .20988 .12072 L F P
0 g
s
.831 .818 .837 r
.19313 .10216 m .16918 .12767 L .15968 .12243 L p F P
0 g
s
.857 .816 .807 r
.1396 .1531 m .15968 .12243 L .16918 .12767 L p F P
0 g
s
.415 .155 .408 r
.34469 .23438 m .36529 .21234 L .37248 .2162 L p F P
0 g
s
.719 .576 .693 r
.36529 .21234 m .34469 .23438 L .33295 .22086 L p F P
0 g
s
.719 .576 .693 r
.33295 .22086 m .35203 .20032 L .36529 .21234 L p F P
0 g
s
.86 .831 .818 r
.35203 .20032 m .33295 .22086 L .32767 .21214 L p F P
0 g
s
.86 .831 .818 r
.32787 .21193 m .35203 .20032 L .32767 .21214 L F
.32762 .21205 m .34587 .19207 L .35203 .20032 L p F P
0 g
s
.408 .15 .407 r
.33408 .21679 m .35301 .19586 L .34599 .19214 L p F P
0 g
s
.408 .15 .407 r
.34599 .19214 m .34587 .19207 L p .34566 .19249 L F P
0 g
s
.408 .15 .407 r
.33408 .21679 m .34599 .19214 L .34566 .19249 L F
.86 .831 .818 r
.32767 .21214 m .32762 .21205 L p .32787 .21193 L F P
0 g
s
.918 .86 .768 r
.79086 .52364 m .80446 .49843 L .81037 .504 L p F P
0 g
s
.918 .86 .768 r
.81037 .504 m .7968 .52914 L .79086 .52365 L p F P
0 g
s
.918 .86 .768 r
.81037 .504 m .79086 .52365 L .79087 .52363 L F
.716 .571 .691 r
.7968 .52914 m .81037 .504 L .82609 .51254 L p F P
0 g
s
.442 .25 .523 r
.80069 .52678 m .81435 .50144 L .80446 .49843 L p F P
0 g
s
.442 .25 .523 r
.80446 .49843 m .80446 .49843 L p .80446 .49845 L F P
0 g
s
.442 .25 .523 r
.80446 .49845 m .80069 .52678 L .80446 .49843 L F
.918 .86 .768 r
.79086 .52365 m .79086 .52364 L p .79087 .52363 L F P
0 g
s
.716 .571 .691 r
.82609 .51254 m .8125 .53776 L .7968 .52914 L p F P
0 g
s
.446 .254 .526 r
.8125 .53776 m .82609 .51254 L .83602 .51559 L p F P
0 g
s
.446 .255 .527 r
.84982 .48968 m .83602 .51559 L .82609 .51254 L p F P
0 g
s
.365 .425 .79 r
.22619 .50031 m .21041 .47588 L .21583 .46956 L p F P
0 g
s
.696 .555 .691 r
.21041 .47588 m .22619 .50031 L .21025 .50848 L p F P
0 g
s
.696 .555 .691 r
.21025 .50848 m .19552 .48582 L .21041 .47588 L p F P
0 g
s
.862 .575 .501 r
.19552 .48582 m .21025 .50848 L .20047 .51122 L p F P
0 g
s
.862 .575 .501 r
.20031 .51098 m .19552 .48582 L .20047 .51122 L F
.20036 .51125 m .18595 .48951 L .19552 .48582 L p F P
0 g
s
.363 .427 .794 r
.20645 .50581 m .19131 .48321 L .18605 .4894 L p F P
0 g
s
.363 .427 .794 r
.18605 .4894 m .18595 .48951 L p .1863 .48978 L F P
0 g
s
.363 .427 .794 r
.20645 .50581 m .18605 .4894 L .1863 .48978 L F
.862 .575 .501 r
.20047 .51122 m .20036 .51125 L p .20031 .51098 L F P
0 g
s
.931 .77 .66 r
.48006 .26803 m .47889 .25111 L .48786 .24893 L p F P
0 g
s
.929 .78 .674 r
.48766 .23231 m .48786 .24893 L .47889 .25111 L p F P
0 g
s
.707 .604 .74 r
.48786 .24893 m .48766 .23231 L .50556 .2328 L p F P
0 g
s
.707 .604 .74 r
.50556 .2328 m .50575 .24856 L .48786 .24893 L p F P
0 g
s
.369 .332 .686 r
.50575 .24856 m .50556 .2328 L .51441 .23495 L p F P
0 g
s
.369 .332 .686 r
.51441 .2351 m .50575 .24856 L .51441 .23495 L F
.51449 .23497 m .51481 .25037 L .50575 .24856 L p F P
0 g
s
.931 .779 .669 r
.50545 .23668 m .50591 .25257 L .51472 .2504 L p F P
0 g
s
.931 .779 .669 r
.51472 .2504 m .51481 .25037 L p .51472 .25023 L F P
0 g
s
.931 .779 .669 r
.50545 .23668 m .51472 .2504 L .51472 .25023 L F
.369 .332 .686 r
.51441 .23495 m .51449 .23497 L p .51441 .2351 L F P
0 g
s
.422 .489 .823 r
.69442 .69916 m .70072 .70952 L .69066 .71094 L p F P
0 g
s
.422 .489 .823 r
.69066 .71094 m .68428 .70011 L .69425 .69918 L p F P
0 g
s
.422 .489 .823 r
.69066 .71094 m .69425 .69918 L .69436 .69935 L F
.915 .648 .52 r
.68927 .70768 m .69611 .71847 L .70065 .70965 L p F P
0 g
s
.915 .648 .52 r
.70065 .70965 m .70072 .70952 L p .70056 .7095 L F P
0 g
s
.915 .648 .52 r
.70056 .7095 m .68927 .70768 L .70065 .70965 L F
.422 .489 .823 r
.69425 .69918 m .69442 .69916 L p .69436 .69935 L F P
0 g
s
.726 .619 .739 r
.68428 .70011 m .69066 .71094 L .67602 .72123 L p F P
0 g
s
.726 .619 .739 r
.67602 .72123 m .66903 .7095 L .68428 .70011 L p F P
0 g
s
.908 .64 .52 r
.66903 .7095 m .67602 .72123 L .67133 .73019 L p F P
0 g
s
.899 .62 .506 r
.67964 .74189 m .67133 .73019 L .67602 .72123 L p F P
0 g
s
.648 .777 .942 r
.54055 .62915 m .54868 .62981 L .54502 .63844 L p F P
0 g
s
.648 .777 .942 r
.54502 .63844 m .53562 .63718 L .54031 .62955 L p F P
0 g
s
.648 .777 .942 r
.54502 .63844 m .54031 .62955 L .54076 .62958 L F
.749 .614 .709 r
.53562 .63718 m .54502 .63844 L .54634 .65628 L p F P
0 g
s
.728 .369 .371 r
.54421 .63906 m .55371 .63911 L .54887 .63016 L p F P
0 g
s
.728 .369 .371 r
.54887 .63016 m .54868 .62981 L p .54853 .63014 L F P
0 g
s
.728 .369 .371 r
.54853 .63014 m .54421 .63906 L .54887 .63016 L F
.648 .777 .942 r
.54031 .62955 m .54055 .62915 L p .54076 .62958 L F P
0 g
s
.749 .614 .709 r
.54634 .65628 m .53433 .65504 L .53562 .63718 L p F P
0 g
s
.704 .36 .392 r
.53433 .65504 m .54634 .65628 L .55134 .66564 L p F P
0 g
s
.664 .325 .389 r
.56481 .66427 m .55134 .66564 L .54634 .65628 L p F P
0 g
s
.872 .532 .404 r
.72573 .74901 m .73251 .75168 L .72957 .74073 L p F P
0 g
s
.872 .532 .404 r
.72957 .74073 m .72515 .73788 L .72573 .74901 L p F P
0 g
s
.361 .305 .66 r
.62269 .35628 m .62047 .34819 L .61271 .35586 L p F P
0 g
s
.361 .305 .66 r
.61271 .35586 m .61475 .36376 L .62269 .35628 L p F P
0 g
s
.528 .23 .404 r
.58936 .61382 m .58125 .61982 L .58995 .62539 L p F P
0 g
s
.387 .422 .776 r
.51697 .35002 m .51235 .34283 L .50745 .35269 L p F P
0 g
s
.387 .422 .776 r
.50745 .35269 m .51319 .36038 L .51697 .35002 L p F P
0 g
s
.909 .754 .677 r
.14383 .29913 m .14386 .2639 L .13347 .26429 L p F P
0 g
s
.417 .285 .592 r
.84957 .37986 m .84505 .40325 L .85557 .40299 L p F P
0 g
s
.721 .389 .416 r
.24324 .72704 m .21343 .72163 L .21211 .73171 L p F P
0 g
s
.532 .704 .949 r
.70785 .76924 m .71977 .77515 L .7276 .76895 L p F P
0 g
s
.597 .764 .959 r
.73284 .77037 m .7276 .76895 L .71977 .77515 L p F P
0 g
s
.922 .641 .494 r
.64953 .35521 m .64725 .3465 L .6378 .34349 L p F P
0 g
s
.858 .882 .854 r
.60243 .64871 m .61319 .64052 L .61047 .63195 L p F P
0 g
s
.88 .88 .83 r
.61655 .62635 m .61047 .63195 L .61319 .64052 L p F P
0 g
s
.301 .259 .643 r
.10804 .26379 m .1084 .30417 L .11593 .30347 L p F P
0 g
s
.313 .304 .689 r
.12114 .33905 m .11593 .30347 L .1084 .30417 L p F P
0 g
s
.597 .746 .948 r
.20733 .75693 m .24544 .76277 L .24525 .75487 L p F P
0 g
s
.671 .8 .944 r
.28024 .75225 m .24525 .75487 L .24544 .76277 L p F P
0 g
s
.506 .215 .406 r
.45573 .57389 m .46581 .56933 L .46738 .55911 L p F P
0 g
s
.53 .226 .395 r
.4789 .55563 m .46738 .55911 L .46581 .56933 L p F P
0 g
s
.653 .326 .406 r
.73309 .75242 m .76364 .75365 L .76194 .74351 L p F P
0 g
s
.384 .337 .682 r
.69261 .41377 m .69358 .40234 L .68376 .3992 L p F P
0 g
s
.404 .436 .78 r
.48982 .31603 m .49578 .33107 L .50528 .33011 L p F P
0 g
s
.902 .674 .583 r
.13858 .3348 m .14375 .3582 L .15417 .35725 L p F P
0 g
s
.8 .825 .871 r
.48876 .10125 m .46641 .11351 L .47036 .12317 L p F P
0 g
s
.694 .808 .936 r
.47818 .59323 m .48612 .59071 L .47995 .58325 L p F P
0 g
s
.686 .82 .947 r
.77011 .77836 m .80542 .77003 L .8017 .76356 L p F P
0 g
s
.686 .82 .947 r
.8017 .76356 m .76774 .77114 L .77011 .77836 L p F P
0 g
s
.959 .751 .579 r
.64229 .32985 m .63925 .32221 L .63478 .33164 L p F P
0 g
s
.959 .751 .579 r
.63478 .33164 m .63692 .33871 L .64229 .32985 L p F P
0 g
s
.947 .804 .67 r
.71953 .39786 m .71903 .38359 L .71161 .38852 L p F P
0 g
s
.947 .804 .67 r
.71161 .38852 m .71153 .40167 L .71953 .39786 L p F P
0 g
s
.924 .687 .562 r
.52895 .31762 m .52419 .30594 L .51654 .31087 L p F P
0 g
s
.32 .335 .719 r
.12058 .36962 m .12956 .39452 L .13549 .38879 L p F P
0 g
s
.32 .335 .719 r
.13549 .38879 m .12689 .36441 L .12058 .36962 L p F P
0 g
s
.459 .151 .355 r
.44945 .09412 m .42681 .11018 L .43363 .11454 L p F P
0 g
s
.459 .151 .355 r
.43363 .11454 m .45592 .09893 L .44945 .09412 L p F P
0 g
s
.541 .68 .929 r
.51505 .55287 m .5269 .55456 L .52899 .56392 L p F P
0 g
s
.519 .652 .918 r
.53956 .56674 m .52899 .56392 L .5269 .55456 L p F P
0 g
s
.653 .523 .693 r
.52899 .56392 m .53956 .56674 L .53438 .58388 L p F P
0 g
s
.653 .523 .693 r
.53438 .58388 m .52497 .58136 L .52899 .56392 L p F P
0 g
s
.66 .307 .364 r
.52497 .58136 m .53438 .58388 L .52792 .59152 L p F P
0 g
s
.66 .307 .364 r
.52773 .59148 m .52497 .58136 L .52792 .59152 L F
.52779 .59168 m .51884 .58957 L .52497 .58136 L p F P
0 g
s
.531 .664 .921 r
.52636 .58226 m .51671 .58027 L .51879 .58936 L p F P
0 g
s
.531 .664 .921 r
.51879 .58936 m .51884 .58957 L p .519 .58941 L F P
0 g
s
.531 .664 .921 r
.52636 .58226 m .51879 .58936 L .519 .58941 L F
.66 .307 .364 r
.52792 .59152 m .52779 .59168 L p .52773 .59148 L F P
0 g
s
.491 .575 .868 r
.68959 .33695 m .68082 .32939 L .69032 .3239 L p F P
0 g
s
.491 .575 .868 r
.69032 .3239 m .69997 .33357 L .68959 .33695 L p F P
0 g
s
.863 .516 .392 r
.63035 .40516 m .62577 .39707 L .63577 .39908 L p F P
0 g
s
.863 .516 .392 r
.63577 .39908 m .64059 .40613 L .63035 .40516 L p F P
0 g
s
.661 .481 .63 r
.64059 .40613 m .63577 .39908 L .65225 .39209 L p F P
0 g
s
.661 .481 .63 r
.65225 .39209 m .65617 .39729 L .64059 .40613 L p F P
0 g
s
.616 .235 .297 r
.55481 .38457 m .54515 .38216 L .55379 .37636 L p F P
0 g
s
.616 .235 .297 r
.55379 .37636 m .56242 .37751 L .55481 .38457 L p F P
0 g
s
.617 .488 .682 r
.56242 .37751 m .55379 .37636 L .56044 .35974 L p F P
0 g
s
.617 .488 .682 r
.56044 .35974 m .56653 .36008 L .56242 .37751 L p F P
0 g
s
.844 .512 .425 r
.59486 .31343 m .59823 .31434 L .59981 .3257 L p F P
0 g
s
.767 .663 .748 r
.59823 .31434 m .59486 .31343 L .60224 .2971 L p F P
0 g
s
.767 .663 .748 r
.60224 .2971 m .60856 .29972 L .59823 .31434 L p F P
0 g
s
.541 .654 .909 r
.60856 .29972 m .60224 .2971 L .61351 .29159 L p F P
0 g
s
.541 .654 .909 r
.61351 .29159 m .62055 .29637 L .60856 .29972 L p F P
0 g
s
.437 .299 .595 r
.93159 .63753 m .94452 .60245 L .95453 .60675 L p F P
0 g
s
.437 .299 .595 r
.95453 .60675 m .94131 .64242 L .93159 .63753 L p F P
0 g
s
.319 .374 .762 r
.07797 .58963 m .09077 .62059 L .08407 .6236 L p F P
0 g
s
.319 .374 .762 r
.08407 .6236 m .07084 .59139 L .07781 .58967 L p F P
0 g
s
.319 .374 .762 r
.08407 .6236 m .07781 .58967 L .0781 .59038 L F
.712 .592 .72 r
.07084 .59139 m .08407 .6236 L .06883 .633 L p F P
0 g
s
.712 .592 .72 r
.06883 .633 m .05426 .59819 L .07084 .59139 L p F P
0 g
s
.894 .665 .585 r
.06844 .59473 m .08216 .62702 L .0907 .62065 L p F P
0 g
s
.894 .665 .585 r
.0907 .62065 m .09077 .62059 L p .09059 .62038 L F P
0 g
s
.894 .665 .585 r
.09059 .62038 m .06844 .59473 L .0907 .62065 L F
.319 .374 .762 r
.07781 .58967 m .07797 .58963 L p .0781 .59038 L F P
0 g
s
.89 .659 .583 r
.05426 .59819 m .06883 .633 L .06016 .63945 L p F P
0 g
s
.874 .617 .547 r
.08128 .67254 m .06016 .63945 L .06883 .633 L p F P
0 g
s
.406 .12 .362 r
.23509 .10149 m .2105 .12032 L .2061 .11451 L p F P
0 g
s
.406 .12 .362 r
.2061 .11451 m .23179 .09496 L .23501 .10134 L p F P
0 g
s
.406 .12 .362 r
.2061 .11451 m .23501 .10134 L .23444 .10178 L F
.695 .575 .716 r
.23179 .09496 m .2061 .11451 L .19313 .10216 L p F P
0 g
s
.695 .575 .716 r
.19313 .10216 m .22095 .0807 L .23179 .09496 L p F P
0 g
s
.798 .816 .866 r
.22748 .09369 m .20187 .11373 L .21042 .12026 L p F P
0 g
s
.798 .816 .866 r
.21042 .12026 m .2105 .12032 L p .21066 .12007 L F P
0 g
s
.798 .816 .866 r
.21066 .12007 m .22748 .09369 L .21042 .12026 L F
.406 .12 .362 r
.23501 .10134 m .23509 .10149 L p .23444 .10178 L F P
0 g
s
.802 .814 .861 r
.22095 .0807 m .19313 .10216 L .18447 .09552 L p F P
0 g
s
.831 .818 .837 r
.15968 .12243 m .18447 .09552 L .19313 .10216 L p F P
0 g
s
.928 .849 .744 r
.77875 .55101 m .79086 .52364 L .7968 .52914 L p F P
0 g
s
.928 .849 .744 r
.7968 .52914 m .78517 .55583 L .77875 .55101 L p F P
0 g
s
.715 .569 .69 r
.78517 .55583 m .7968 .52914 L .8125 .53776 L p F P
0 g
s
.715 .569 .69 r
.8125 .53776 m .80152 .56318 L .78517 .55583 L p F P
0 g
s
.437 .261 .543 r
.80152 .56318 m .8125 .53776 L .82238 .54095 L p F P
0 g
s
.446 .254 .526 r
.82238 .54095 m .8125 .53776 L p .83315 .5183 L F P
0 g
s
.437 .261 .543 r
.81157 .56574 m .80152 .56318 L p .81726 .5464 L F P
0 g
s
.437 .261 .543 r
.82238 .54095 m .81157 .56574 L p .81726 .5464 L F P
0 g
s
.419 .284 .59 r
.79626 .58882 m .80152 .56318 L .81157 .56574 L p F P
0 g
s
.419 .284 .59 r
.80656 .58971 m .79626 .58882 L p .81035 .56758 L F P
0 g
s
.419 .284 .59 r
.81157 .56574 m .80656 .58971 L p .81035 .56758 L F P
0 g
s
.414 .295 .608 r
.79257 .616 m .79626 .58882 L .80656 .58971 L p F P
0 g
s
.414 .295 .608 r
.80656 .58971 m .80287 .61629 L .79257 .616 L p F P
0 g
s
.949 .799 .66 r
.80656 .58971 m .79935 .5865 L p .80252 .61332 L F P
0 g
s
.949 .799 .66 r
.80287 .61629 m .80656 .58971 L p .80252 .61332 L F P
0 g
s
.946 .817 .684 r
.81157 .56574 m .80523 .56094 L p .80628 .58372 L F P
0 g
s
.946 .817 .684 r
.80656 .58971 m .81157 .56574 L p .80628 .58372 L F P
0 g
s
.93 .852 .744 r
.82238 .54095 m .81651 .53547 L p .81209 .56258 L F P
0 g
s
.93 .852 .744 r
.81157 .56574 m .82238 .54095 L p .81209 .56258 L F P
0 g
s
.446 .254 .526 r
.83602 .51559 m .82238 .54095 L p .83315 .5183 L F P
0 g
s
.415 .155 .408 r
.37248 .2162 m .3512 .23919 L .34469 .23438 L p F P
0 g
s
.445 .157 .38 r
.32087 .25394 m .34469 .23438 L .3512 .23919 L p F P
0 g
s
.722 .579 .694 r
.34469 .23438 m .32087 .25394 L .31262 .23803 L p F P
0 g
s
.722 .579 .694 r
.31262 .23803 m .33295 .22086 L .34469 .23438 L p F P
0 g
s
.843 .833 .836 r
.33295 .22086 m .31262 .23803 L .30931 .22849 L p F P
0 g
s
.843 .833 .836 r
.30957 .22826 m .33295 .22086 L .30931 .22849 L F
.30926 .22836 m .32762 .21205 L .33295 .22086 L p F P
0 g
s
.434 .152 .385 r
.31418 .23464 m .33408 .21679 L .3279 .21226 L p F P
0 g
s
.434 .152 .385 r
.3279 .21226 m .32762 .21205 L p .32705 .213 L F P
0 g
s
.434 .152 .385 r
.31418 .23464 m .3279 .21226 L .32705 .213 L F
.843 .833 .836 r
.30931 .22849 m .30926 .22836 L p .30957 .22826 L F P
0 g
s
.365 .425 .79 r
.21583 .46956 m .23235 .49484 L .22619 .50031 L p F P
0 g
s
.345 .38 .755 r
.23898 .52704 m .22619 .50031 L .23235 .49484 L p F P
0 g
s
.697 .554 .688 r
.22619 .50031 m .23898 .52704 L .22158 .53131 L p F P
0 g
s
.697 .554 .688 r
.22158 .53131 m .21025 .50848 L .22619 .50031 L p F P
0 g
s
.876 .602 .52 r
.21025 .50848 m .22158 .53131 L .2115 .53211 L p F P
0 g
s
.876 .602 .52 r
.21135 .53183 m .21025 .50848 L .2115 .53211 L F
.21137 .53212 m .20036 .51125 L .21025 .50848 L p F P
0 g
s
.347 .391 .765 r
.21861 .52863 m .20645 .50581 L .20062 .51102 L p F P
0 g
s
.347 .391 .765 r
.20062 .51102 m .20036 .51125 L p .2011 .51195 L F P
0 g
s
.347 .391 .765 r
.21861 .52863 m .20062 .51102 L .2011 .51195 L F
.876 .602 .52 r
.2115 .53211 m .21137 .53212 L p .21135 .53183 L F P
0 g
s
.929 .78 .674 r
.47889 .25111 m .47855 .234 L .48766 .23231 L p F P
0 g
s
.927 .788 .687 r
.4882 .21607 m .48766 .23231 L .47855 .234 L p F P
0 g
s
.705 .603 .739 r
.48766 .23231 m .4882 .21607 L .50608 .2173 L p F P
0 g
s
.705 .603 .739 r
.50608 .2173 m .50556 .2328 L .48766 .23231 L p F P
0 g
s
.366 .318 .672 r
.50556 .2328 m .50608 .2173 L .51484 .21941 L p F P
0 g
s
.366 .318 .672 r
.51484 .21953 m .50556 .2328 L .51484 .21941 L F
.5149 .21943 m .51449 .23497 L .50556 .2328 L p F P
0 g
s
.929 .788 .684 r
.50578 .22033 m .50545 .23668 L .51442 .23499 L p F P
0 g
s
.929 .788 .684 r
.51442 .23499 m .51449 .23497 L p .51442 .23486 L F P
0 g
s
.929 .788 .684 r
.50578 .22033 m .51442 .23499 L .51442 .23486 L F
.366 .318 .672 r
.51484 .21941 m .5149 .21943 L p .51484 .21953 L F P
0 g
s
.42 .488 .823 r
.68772 .68796 m .69442 .69916 L .68428 .70011 L p F P
0 g
s
.42 .488 .823 r
.68428 .70011 m .67759 .68885 L .6877 .68797 L p F P
0 g
s
.42 .488 .823 r
.68428 .70011 m .6877 .68797 L .68771 .688 L F
.914 .648 .521 r
.68246 .69637 m .68927 .70768 L .6944 .69919 L p F P
0 g
s
.914 .648 .521 r
.6944 .69919 m .69442 .69916 L p .69438 .69916 L F P
0 g
s
.914 .648 .521 r
.69438 .69916 m .68246 .69637 L .6944 .69919 L F
.42 .488 .823 r
.6877 .68797 m .68772 .68796 L p .68771 .688 L F P
0 g
s
.726 .621 .74 r
.67759 .68885 m .68428 .70011 L .66903 .7095 L p F P
0 g
s
.726 .621 .74 r
.66903 .7095 m .66223 .69809 L .67759 .68885 L p F P
0 g
s
.912 .647 .524 r
.66223 .69809 m .66903 .7095 L .66381 .71803 L p F P
0 g
s
.908 .64 .52 r
.67133 .73019 m .66381 .71803 L .66903 .7095 L p F P
0 g
s
.609 .744 .941 r
.5323 .62737 m .54055 .62915 L .53562 .63718 L p F P
0 g
s
.609 .744 .941 r
.53562 .63718 m .52631 .63469 L .53204 .6277 L p F P
0 g
s
.609 .744 .941 r
.53562 .63718 m .53204 .6277 L .53244 .62778 L F
.748 .618 .715 r
.52631 .63469 m .53562 .63718 L .53433 .65504 L p F P
0 g
s
.762 .407 .383 r
.53463 .63766 m .54421 .63906 L .54068 .6295 L p F P
0 g
s
.762 .407 .383 r
.54068 .6295 m .54055 .62915 L p .54036 .62943 L F P
0 g
s
.762 .407 .383 r
.54036 .62943 m .53463 .63766 L .54068 .6295 L F
.609 .744 .941 r
.53204 .6277 m .5323 .62737 L p .53244 .62778 L F P
0 g
s
.748 .618 .715 r
.53433 .65504 m .52263 .65223 L .52631 .63469 L p F P
0 g
s
.739 .395 .399 r
.52263 .65223 m .53433 .65504 L .53795 .66501 L p F P
0 g
s
.704 .36 .392 r
.55134 .66564 m .53795 .66501 L .53433 .65504 L p F P
0 g
s
.53 .226 .395 r
.46581 .56933 m .47632 .56564 L .4789 .55563 L p F P
0 g
s
.559 .241 .385 r
.49091 .55334 m .4789 .55563 L .47632 .56564 L p F P
0 g
s
.879 .561 .444 r
.71843 .74418 m .72573 .74901 L .72515 .73788 L p F P
0 g
s
.879 .561 .444 r
.72515 .73788 m .71966 .73339 L .71843 .74418 L p F P
0 g
s
.593 .289 .422 r
.76364 .75365 m .79437 .74715 L .79081 .73733 L p F P
0 g
s
.364 .313 .666 r
.62489 .36466 m .62269 .35628 L .61475 .36376 L p F P
0 g
s
.364 .313 .666 r
.61475 .36376 m .617 .37218 L .62489 .36466 L p F P
0 g
s
.401 .481 .827 r
.62029 .34549 m .61881 .33989 L .60743 .33865 L p F P
0 g
s
.563 .243 .385 r
.58125 .61982 m .57312 .62433 L .58118 .63089 L p F P
0 g
s
.387 .358 .705 r
.69358 .40234 m .69387 .39141 L .68367 .38934 L p F P
0 g
s
.408 .466 .808 r
.52241 .3566 m .51697 .35002 L .51319 .36038 L p F P
0 g
s
.408 .466 .808 r
.51319 .36038 m .52002 .36741 L .52241 .3566 L p F P
0 g
s
.404 .436 .78 r
.50528 .33011 m .49929 .31593 L .48982 .31603 L p F P
0 g
s
.39 .405 .755 r
.48536 .30047 m .48982 .31603 L .49929 .31593 L p F P
0 g
s
.903 .778 .713 r
.14386 .2639 m .1489 .22967 L .13844 .22863 L p F P
0 g
s
.893 .643 .554 r
.14375 .3582 m .15176 .38115 L .16199 .37931 L p F P
0 g
s
.422 .272 .571 r
.84505 .40325 m .83837 .42671 L .84883 .42737 L p F P
0 g
s
.822 .831 .856 r
.46641 .11351 m .44524 .12826 L .44994 .13753 L p F P
0 g
s
.764 .438 .434 r
.21343 .72163 m .18365 .71045 L .18051 .72029 L p F P
0 g
s
.665 .787 .939 r
.48612 .59071 m .49396 .58906 L .48879 .58092 L p F P
0 g
s
.665 .787 .939 r
.48879 .58092 m .47995 .58325 L .48612 .59071 L p F P
0 g
s
.487 .635 .92 r
.69763 .76166 m .70785 .76924 L .71705 .76475 L p F P
0 g
s
.532 .704 .949 r
.7276 .76895 m .71705 .76475 L .70785 .76924 L p F P
0 g
s
.745 .858 .932 r
.80542 .77003 m .83951 .75476 L .83455 .74931 L p F P
0 g
s
.745 .858 .932 r
.83455 .74931 m .8017 .76356 L .80542 .77003 L p F P
0 g
s
.921 .642 .496 r
.65174 .36333 m .64953 .35521 L .64015 .35199 L p F P
0 g
s
.957 .726 .548 r
.63925 .32221 m .63546 .31477 L .63204 .32465 L p F P
0 g
s
.957 .726 .548 r
.63204 .32465 m .63478 .33164 L .63925 .32221 L p F P
0 g
s
.832 .882 .879 r
.59052 .65566 m .60243 .64871 L .60058 .63989 L p F P
0 g
s
.858 .882 .854 r
.61047 .63195 m .60058 .63989 L .60243 .64871 L p F P
0 g
s
.95 .776 .631 r
.71903 .38359 m .71675 .36959 L .71013 .37557 L p F P
0 g
s
.95 .776 .631 r
.71013 .37557 m .71161 .38852 L .71903 .38359 L p F P
0 g
s
.849 .512 .416 r
.52783 .33373 m .53131 .33919 L .54176 .33878 L p F P
0 g
s
.93 .716 .591 r
.52419 .30594 m .52053 .29355 L .51239 .2977 L p F P
0 g
s
.296 .216 .593 r
.11345 .22435 m .10804 .26379 L .11549 .26424 L p F P
0 g
s
.301 .259 .643 r
.11593 .30347 m .11549 .26424 L .10804 .26379 L p F P
0 g
s
.333 .366 .746 r
.12956 .39452 m .14091 .4191 L .14641 .41286 L p F P
0 g
s
.333 .366 .746 r
.14641 .41286 m .13549 .38879 L .12956 .39452 L p F P
0 g
s
.946 .828 .697 r
.87278 .43676 m .88017 .41027 L .8732 .40652 L p F P
0 g
s
.951 .81 .668 r
.87792 .38041 m .8732 .40652 L .88017 .41027 L p F P
0 g
s
.439 .148 .372 r
.42681 .11018 m .40506 .12834 L .41223 .1322 L p F P
0 g
s
.439 .148 .372 r
.41223 .1322 m .43363 .11454 L .42681 .11018 L p F P
0 g
s
.533 .688 .938 r
.17111 .74403 m .20733 .75693 L .20905 .74943 L p F P
0 g
s
.597 .746 .948 r
.24525 .75487 m .20905 .74943 L .20733 .75693 L p F P
0 g
s
.519 .652 .918 r
.5269 .55456 m .53819 .55726 L .53956 .56674 L p F P
0 g
s
.51 .637 .911 r
.54962 .56981 m .53956 .56674 L .53819 .55726 L p F P
0 g
s
.658 .525 .691 r
.53956 .56674 m .54962 .56981 L .54457 .58701 L p F P
0 g
s
.658 .525 .691 r
.54457 .58701 m .53438 .58388 L .53956 .56674 L p F P
0 g
s
.687 .335 .371 r
.53438 .58388 m .54457 .58701 L .53792 .59482 L p F P
0 g
s
.687 .335 .371 r
.53792 .59482 m .52779 .59168 L .53438 .58388 L p F P
0 g
s
.75 .637 .735 r
.67101 .34438 m .66135 .3398 L .66731 .32288 L p F P
0 g
s
.75 .637 .735 r
.66731 .32288 m .68082 .32939 L .67101 .34438 L p F P
0 g
s
.542 .644 .9 r
.68082 .32939 m .66731 .32288 L .67858 .31663 L p F P
0 g
s
.542 .644 .9 r
.67858 .31663 m .69032 .3239 L .68082 .32939 L p F P
0 g
s
.562 .196 .305 r
.56507 .38542 m .55481 .38457 L .56242 .37751 L p F P
0 g
s
.562 .196 .305 r
.56242 .37751 m .57132 .37717 L .56507 .38542 L p F P
0 g
s
.613 .496 .696 r
.57132 .37717 m .56242 .37751 L .56653 .36008 L p F P
0 g
s
.613 .496 .696 r
.56653 .36008 m .57249 .35928 L .57132 .37717 L p F P
0 g
s
.816 .441 .346 r
.63674 .41319 m .63035 .40516 L .64059 .40613 L p F P
0 g
s
.816 .441 .346 r
.64059 .40613 m .64698 .41233 L .63674 .41319 L p F P
0 g
s
.643 .468 .631 r
.64698 .41233 m .64059 .40613 L .65617 .39729 L p F P
0 g
s
.643 .468 .631 r
.65617 .39729 m .66083 .40094 L .64698 .41233 L p F P
0 g
s
.844 .512 .425 r
.59524 .3145 m .59486 .31343 L p .59545 .31489 L F P
0 g
s
.901 .493 .102 r
.59497 .31407 m .59486 .31343 L .5987 .32435 L p F P
0 g
s
.779 .665 .737 r
.59927 .29667 m .60224 .2971 L .59486 .31343 L p F P
0 g
s
.779 .665 .737 r
.59486 .31343 m .59497 .31407 L .59927 .29667 L p F P
0 g
s
.747 .618 .716 r
.58708 .29455 m .59927 .29667 L .59498 .31402 L p F P
0 g
s
.747 .618 .716 r
.59498 .31402 m .59497 .31407 L p .59486 .3138 L F P
0 g
s
.747 .618 .716 r
.58708 .29455 m .59498 .31402 L .59486 .3138 L F
.844 .512 .425 r
.5987 .32435 m .59524 .3145 L p .59975 .32554 L F P
0 g
s
.844 .512 .425 r
.59545 .31489 m .59981 .3257 L .59524 .3145 L F
.901 .493 .102 r
.5987 .32435 m .59724 .32322 L .59497 .31407 L p F P
0 g
s
.602 .805 .978 r
.5987 .32435 m .60999 .31892 L p .59759 .3231 L F P
0 g
s
.602 .805 .978 r
.59724 .32322 m .5987 .32435 L p .59759 .3231 L F P
0 g
s
.844 .512 .425 r
.59981 .3257 m .5987 .32435 L p .59975 .32554 L F P
0 g
s
.592 .71 .925 r
.60224 .2971 m .59927 .29667 L .60587 .28829 L p F P
0 g
s
.592 .71 .925 r
.60587 .28829 m .61351 .29159 L .60224 .2971 L p F P
0 g
s
.433 .307 .608 r
.94452 .60245 m .95557 .56571 L .96608 .56863 L p F P
0 g
s
.433 .307 .608 r
.96608 .56863 m .95453 .60675 L .94452 .60245 L p F P
0 g
s
.307 .344 .737 r
.06821 .559 m .07797 .58963 L .07084 .59139 L p F P
0 g
s
.307 .344 .737 r
.07084 .59139 m .06093 .55999 L .06814 .55901 L p F P
0 g
s
.307 .344 .737 r
.07084 .59139 m .06814 .55901 L .06824 .55934 L F
.711 .593 .722 r
.06093 .55999 m .07084 .59139 L .05426 .59819 L p F P
0 g
s
.711 .593 .722 r
.05426 .59819 m .0438 .56529 L .06093 .55999 L p F P
0 g
s
.9 .687 .606 r
.05829 .56335 m .06844 .59473 L .0779 .58967 L p F P
0 g
s
.9 .687 .606 r
.0779 .58967 m .07797 .58963 L p .07784 .58946 L F P
0 g
s
.9 .687 .606 r
.07784 .58946 m .05829 .56335 L .0779 .58967 L F
.307 .344 .737 r
.06814 .55901 m .06821 .559 L p .06824 .55934 L F P
0 g
s
.897 .684 .605 r
.0438 .56529 m .05426 .59819 L .04468 .6033 L p F P
0 g
s
.89 .659 .583 r
.06016 .63945 m .04468 .6033 L .05426 .59819 L p F P
0 g
s
.431 .125 .343 r
.26443 .08289 m .23509 .10149 L .23179 .09496 L p F P
0 g
s
.431 .125 .343 r
.23179 .09496 m .26169 .07611 L .2644 .08281 L p F P
0 g
s
.431 .125 .343 r
.23179 .09496 m .2644 .08281 L .26406 .08302 L F
.695 .574 .714 r
.26169 .07611 m .23179 .09496 L .22095 .0807 L p F P
0 g
s
.695 .574 .714 r
.22095 .0807 m .2522 .06089 L .26169 .07611 L p F P
0 g
s
.782 .811 .876 r
.25763 .07438 m .22748 .09369 L .23503 .10144 L p F P
0 g
s
.782 .811 .876 r
.23503 .10144 m .23509 .10149 L p .23524 .10131 L F P
0 g
s
.782 .811 .876 r
.23524 .10131 m .25763 .07438 L .23503 .10144 L F
.431 .125 .343 r
.2644 .08281 m .26443 .08289 L p .26406 .08302 L F P
0 g
s
.783 .809 .873 r
.2522 .06089 m .22095 .0807 L .21332 .07284 L p F P
0 g
s
.802 .814 .861 r
.18447 .09552 m .21332 .07284 L .22095 .0807 L p F P
0 g
s
.345 .38 .755 r
.23235 .49484 m .24631 .52355 L .23898 .52704 L p F P
0 g
s
.326 .311 .688 r
.24557 .55576 m .23898 .52704 L .24631 .52355 L p F P
0 g
s
.702 .558 .688 r
.23898 .52704 m .24557 .55576 L .22778 .55798 L p F P
0 g
s
.702 .558 .688 r
.22778 .55798 m .22158 .53131 L .23898 .52704 L p F P
0 g
s
.902 .673 .582 r
.22158 .53131 m .22778 .55798 L .21768 .55786 L p F P
0 g
s
.902 .673 .582 r
.21762 .55759 m .22158 .53131 L .21768 .55786 L F
.21758 .55786 m .21137 .53212 L .22158 .53131 L p F P
0 g
s
.321 .31 .691 r
.22523 .55549 m .21861 .52863 L .21149 .53206 L p F P
0 g
s
.321 .31 .691 r
.21149 .53206 m .21137 .53212 L p .2116 .53251 L F P
0 g
s
.321 .31 .691 r
.22523 .55549 m .21149 .53206 L .2116 .53251 L F
.902 .673 .582 r
.21768 .55786 m .21758 .55786 L p .21762 .55759 L F P
0 g
s
.944 .814 .685 r
.7715 .58152 m .77875 .55101 L .78517 .55583 L p F P
0 g
s
.944 .814 .685 r
.78517 .55583 m .77879 .58474 L .7715 .58152 L p F P
0 g
s
.711 .565 .687 r
.77879 .58474 m .78517 .55583 L .80152 .56318 L p F P
0 g
s
.711 .565 .687 r
.80152 .56318 m .79626 .58882 L .77879 .58474 L p F P
0 g
s
.445 .157 .38 r
.3512 .23919 m .32581 .2603 L .32087 .25394 L p F P
0 g
s
.51 .181 .346 r
.29552 .26655 m .32087 .25394 L .32581 .2603 L p F P
0 g
s
.725 .584 .698 r
.32087 .25394 m .29552 .26655 L .2892 .24977 L p F P
0 g
s
.725 .584 .698 r
.2892 .24977 m .31262 .23803 L .32087 .25394 L p F P
0 g
s
.793 .824 .877 r
.31262 .23803 m .2892 .24977 L .28679 .24 L p F P
0 g
s
.793 .824 .877 r
.28704 .23988 m .31262 .23803 L .28679 .24 L F
.28676 .2399 m .30926 .22836 L .31262 .23803 L p F P
0 g
s
.502 .174 .343 r
.29068 .24686 m .31418 .23464 L .30935 .22847 L p F P
0 g
s
.502 .174 .343 r
.30935 .22847 m .30926 .22836 L p .30894 .22868 L F P
0 g
s
.502 .174 .343 r
.29068 .24686 m .30935 .22847 L .30894 .22868 L F
.793 .824 .877 r
.28679 .24 m .28676 .2399 L p .28704 .23988 L F P
0 g
s
.927 .788 .687 r
.47855 .234 m .47901 .21696 L .4882 .21607 L p F P
0 g
s
.925 .792 .694 r
.48945 .19752 m .4882 .21607 L .47901 .21696 L p F P
0 g
s
.705 .598 .735 r
.4882 .21607 m .48945 .19752 L .50734 .1987 L p F P
0 g
s
.705 .598 .735 r
.50734 .1987 m .50608 .2173 L .4882 .21607 L p F P
0 g
s
.365 .304 .655 r
.50608 .2173 m .50734 .1987 L .51619 .20073 L p F P
0 g
s
.365 .304 .655 r
.51619 .20073 m .5149 .21943 L .50608 .2173 L p F P
0 g
s
.429 .511 .841 r
.68026 .67694 m .68772 .68796 L .67759 .68885 L p F P
0 g
s
.429 .511 .841 r
.67759 .68885 m .67012 .67821 L .68026 .67694 L p F P
0 g
s
.731 .627 .743 r
.67012 .67821 m .67759 .68885 L .66223 .69809 L p F P
0 g
s
.731 .627 .743 r
.66223 .69809 m .65531 .68833 L .67012 .67821 L p F P
0 g
s
.907 .635 .513 r
.65531 .68833 m .66223 .69809 L .65689 .7065 L p F P
0 g
s
.912 .647 .524 r
.65689 .7065 m .66223 .69809 L p .66371 .71682 L F P
0 g
s
.907 .635 .513 r
.65053 .69725 m .65531 .68833 L p .65687 .70628 L F P
0 g
s
.907 .635 .513 r
.65689 .7065 m .65053 .69725 L p .65687 .70628 L F P
0 g
s
.902 .624 .505 r
.64818 .67868 m .65531 .68833 L .65053 .69725 L p F P
0 g
s
.902 .624 .505 r
.64359 .68773 m .64818 .67868 L p .65052 .69717 L F P
0 g
s
.902 .624 .505 r
.65053 .69725 m .64359 .68773 L p .65052 .69717 L F P
0 g
s
.9 .62 .503 r
.64089 .66894 m .64818 .67868 L .64359 .68773 L p F P
0 g
s
.9 .62 .503 r
.63637 .67802 m .64089 .66894 L p .64355 .68745 L F P
0 g
s
.9 .62 .503 r
.64359 .68773 m .63637 .67802 L p .64355 .68745 L F P
0 g
s
.897 .614 .498 r
.63343 .65943 m .64089 .66894 L .63637 .67802 L p F P
0 g
s
.897 .614 .498 r
.62904 .66857 m .63343 .65943 L p .63635 .67786 L F P
0 g
s
.897 .614 .498 r
.63637 .67802 m .62904 .66857 L p .63635 .67786 L F P
0 g
s
.896 .61 .496 r
.62591 .65003 m .63343 .65943 L .62904 .66857 L p F P
0 g
s
.896 .61 .496 r
.62163 .65924 m .62591 .65003 L p .62897 .66817 L F P
0 g
s
.896 .61 .496 r
.62904 .66857 m .62163 .65924 L p .62897 .66817 L F P
0 g
s
.892 .602 .49 r
.6182 .64104 m .62591 .65003 L .62163 .65924 L p F P
0 g
s
.892 .602 .49 r
.61413 .65036 m .6182 .64104 L p .62154 .65878 L F P
0 g
s
.892 .602 .49 r
.62163 .65924 m .61413 .65036 L p .62154 .65878 L F P
0 g
s
.886 .591 .481 r
.61019 .63242 m .6182 .64104 L .61413 .65036 L p F P
0 g
s
.886 .591 .481 r
.60641 .64188 m .61019 .63242 L p .61406 .65006 L F P
0 g
s
.886 .591 .481 r
.61413 .65036 m .60641 .64188 L p .61406 .65006 L F P
0 g
s
.744 .584 .677 r
.60058 .63989 m .61047 .63195 L .59851 .61855 L p F P
0 g
s
.744 .584 .677 r
.59851 .61855 m .58995 .62539 L .60058 .63989 L p F P
0 g
s
.881 .581 .475 r
.60188 .62395 m .61019 .63242 L .60641 .64188 L p F P
0 g
s
.881 .581 .475 r
.60641 .64188 m .60027 .63552 L p .60188 .62395 L F P
0 g
s
.881 .581 .475 r
.60027 .63552 m .59832 .6335 L .59846 .63311 L p F P
0 g
s
.881 .581 .475 r
.59846 .63311 m .60188 .62395 L p .60027 .63552 L F P
0 g
s
.806 .462 .406 r
.59295 .61491 m .60012 .62206 L .59111 .62571 L p F P
0 g
s
.806 .462 .406 r
.59111 .62571 m .59098 .62576 L p .591 .62561 L F P
0 g
s
.806 .462 .406 r
.591 .62561 m .59295 .61491 L .59111 .62571 L F
.787 .437 .393 r
.58562 .60842 m .59295 .61491 L .58412 .61894 L p F P
0 g
s
.787 .437 .393 r
.58412 .61894 m .58394 .61903 L p .58397 .61882 L F P
0 g
s
.787 .437 .393 r
.58397 .61882 m .58562 .60842 L .58412 .61894 L F
.762 .407 .381 r
.57796 .60261 m .58562 .60842 L .57704 .61298 L p F P
0 g
s
.762 .407 .381 r
.57704 .61298 m .57682 .6131 L p .57685 .61285 L F P
0 g
s
.762 .407 .381 r
.57685 .61285 m .57796 .60261 L .57704 .61298 L F
.737 .378 .371 r
.5703 .59774 m .57796 .60261 L .56973 .60789 L p F P
0 g
s
.737 .378 .371 r
.56973 .60789 m .56951 .60803 L p .56953 .60778 L F P
0 g
s
.737 .378 .371 r
.56953 .60778 m .5703 .59774 L .56973 .60789 L F
.71 .35 .364 r
.56218 .59353 m .5703 .59774 L .56238 .60361 L p F P
0 g
s
.71 .35 .364 r
.56238 .60361 m .56215 .60378 L p .56215 .60351 L F P
0 g
s
.71 .35 .364 r
.56215 .60351 m .56218 .59353 L .56238 .60361 L F
.689 .33 .362 r
.55359 .59 m .56218 .59353 L .55475 .60014 L p F P
0 g
s
.689 .33 .362 r
.55475 .60014 m .55456 .60031 L p .55453 .60006 L F P
0 g
s
.689 .33 .362 r
.55453 .60006 m .55359 .59 L .55475 .60014 L F
.676 .32 .364 r
.54457 .58701 m .55359 .59 L .54666 .59726 L p F P
0 g
s
.676 .32 .364 r
.54666 .59726 m .54652 .5974 L p .54649 .59721 L F P
0 g
s
.676 .32 .364 r
.54649 .59721 m .54457 .58701 L .54666 .59726 L F
.54652 .5974 m .53792 .59482 L .54457 .58701 L p F P
0 g
s
.513 .643 .914 r
.54552 .58786 m .53629 .58537 L .53788 .59463 L p F P
0 g
s
.513 .643 .914 r
.53788 .59463 m .53792 .59482 L p .53807 .59469 L F P
0 g
s
.513 .643 .914 r
.54552 .58786 m .53788 .59463 L .53807 .59469 L F
.689 .33 .362 r
.55456 .60031 m .54652 .5974 L .55359 .59 L p F P
0 g
s
.501 .626 .906 r
.55441 .5907 m .54552 .58786 L .54649 .59713 L p F P
0 g
s
.501 .626 .906 r
.54649 .59713 m .54652 .5974 L p .54674 .59722 L F P
0 g
s
.501 .626 .906 r
.55441 .5907 m .54649 .59713 L .54674 .59722 L F
.71 .35 .364 r
.56215 .60378 m .55456 .60031 L .56218 .59353 L p F P
0 g
s
.481 .599 .894 r
.56297 .59419 m .55441 .5907 L .55455 .6 L p F P
0 g
s
.481 .599 .894 r
.55455 .6 m .55456 .60031 L p .55482 .60012 L F P
0 g
s
.481 .599 .894 r
.56297 .59419 m .55455 .6 L .55482 .60012 L F
.737 .378 .371 r
.56951 .60803 m .56215 .60378 L .5703 .59774 L p F P
0 g
s
.458 .566 .877 r
.57135 .59862 m .56297 .59419 L .56217 .60351 L p F P
0 g
s
.458 .566 .877 r
.56217 .60351 m .56215 .60378 L p .5624 .60364 L F P
0 g
s
.458 .566 .877 r
.57135 .59862 m .56217 .60351 L .5624 .60364 L F
.762 .407 .381 r
.57682 .6131 m .56951 .60803 L .57796 .60261 L p F P
0 g
s
.442 .539 .861 r
.57954 .60388 m .57135 .59862 L .56957 .60776 L p F P
0 g
s
.442 .539 .861 r
.56957 .60776 m .56951 .60803 L p .56979 .60791 L F P
0 g
s
.442 .539 .861 r
.57954 .60388 m .56957 .60776 L .56979 .60791 L F
.787 .437 .393 r
.58394 .61903 m .57682 .6131 L .58562 .60842 L p F P
0 g
s
.423 .508 .841 r
.58737 .61004 m .57954 .60388 L .57688 .61289 L p F P
0 g
s
.423 .508 .841 r
.57688 .61289 m .57682 .6131 L p .57704 .61303 L F P
0 g
s
.423 .508 .841 r
.58737 .61004 m .57688 .61289 L .57704 .61303 L F
.806 .462 .406 r
.59098 .62576 m .58394 .61903 L .59295 .61491 L p F P
0 g
s
.41 .483 .825 r
.59489 .61695 m .58737 .61004 L .58399 .61889 L p F P
0 g
s
.41 .483 .825 r
.58399 .61889 m .58394 .61903 L p .5841 .619 L F P
0 g
s
.41 .483 .825 r
.59489 .61695 m .58399 .61889 L .5841 .619 L F
.82 .483 .418 r
.60012 .62206 m .60188 .62395 L .59832 .6335 L p F P
0 g
s
.82 .483 .418 r
.59832 .6335 m .59098 .62576 L .60012 .62206 L p F P
0 g
s
.419 .487 .824 r
.60785 .63055 m .59489 .61695 L .59171 .62411 L p F P
0 g
s
.419 .487 .824 r
.59171 .62411 m .59098 .62576 L p .59348 .62647 L F P
0 g
s
.419 .487 .824 r
.60785 .63055 m .59171 .62411 L .59348 .62647 L F
.454 .561 .874 r
.60641 .64188 m .61606 .63924 L p .59866 .63361 L F P
0 g
s
.454 .561 .874 r
.59832 .6335 m .60641 .64188 L p .59866 .63361 L F P
0 g
s
.449 .551 .868 r
.61413 .65036 m .62392 .64809 L p .60679 .64202 L F P
0 g
s
.449 .551 .868 r
.60641 .64188 m .61413 .65036 L p .60679 .64202 L F P
0 g
s
.441 .539 .861 r
.62163 .65924 m .63152 .65727 L p .61441 .65047 L F P
0 g
s
.441 .539 .861 r
.61413 .65036 m .62163 .65924 L p .61441 .65047 L F P
0 g
s
.436 .531 .856 r
.62904 .66857 m .63895 .6667 L p .62175 .6593 L F P
0 g
s
.436 .531 .856 r
.62163 .65924 m .62904 .66857 L p .62175 .6593 L F P
0 g
s
.434 .526 .852 r
.63637 .67802 m .64635 .67637 L p .62925 .66866 L F P
0 g
s
.434 .526 .852 r
.62904 .66857 m .63637 .67802 L p .62925 .66866 L F P
0 g
s
.43 .52 .848 r
.64359 .68773 m .65361 .68622 L p .63653 .67809 L F P
0 g
s
.43 .52 .848 r
.63637 .67802 m .64359 .68773 L p .63653 .67809 L F P
0 g
s
.429 .515 .845 r
.65053 .69725 m .66063 .69605 L p .64396 .68791 L F P
0 g
s
.429 .515 .845 r
.64359 .68773 m .65053 .69725 L p .64396 .68791 L F P
0 g
s
.424 .505 .838 r
.65689 .7065 m .66698 .70568 L p .6509 .69744 L F P
0 g
s
.424 .505 .838 r
.65053 .69725 m .65689 .7065 L p .6509 .69744 L F P
0 g
s
.912 .647 .524 r
.66381 .71803 m .65689 .7065 L p .66371 .71682 L F P
0 g
s
.594 .732 .94 r
.52204 .62463 m .5323 .62737 L .52631 .63469 L p F P
0 g
s
.594 .732 .94 r
.52631 .63469 m .51588 .63167 L .52193 .62476 L p F P
0 g
s
.594 .732 .94 r
.52631 .63469 m .52193 .62476 L .52212 .62481 L F
.747 .619 .717 r
.51588 .63167 m .52631 .63469 L .52263 .65223 L p F P
0 g
s
.765 .417 .395 r
.52346 .63496 m .53463 .63766 L .53235 .62755 L p F P
0 g
s
.765 .417 .395 r
.53235 .62755 m .5323 .62737 L p .53215 .6275 L F P
0 g
s
.765 .417 .395 r
.53215 .6275 m .52346 .63496 L .53235 .62755 L F
.594 .732 .94 r
.52193 .62476 m .52204 .62463 L p .52212 .62481 L F P
0 g
s
.747 .619 .717 r
.52263 .65223 m .51113 .64896 L .51588 .63167 L p F P
0 g
s
.758 .414 .402 r
.51113 .64896 m .52263 .65223 L .52491 .66258 L p F P
0 g
s
.739 .395 .399 r
.53795 .66501 m .52491 .66258 L .52263 .65223 L p F P
0 g
s
.745 .374 .35 r
.58632 .31247 m .59497 .31407 L .59724 .32322 L p F P
0 g
s
.747 .618 .716 r
.59497 .31407 m .58632 .31247 L .58708 .29455 L p F P
0 g
s
.626 .731 .923 r
.59927 .29667 m .58708 .29455 L .59197 .28507 L p F P
0 g
s
.626 .731 .923 r
.59197 .28507 m .60587 .28829 L .59927 .29667 L p F P
0 g
s
.559 .241 .385 r
.47632 .56564 m .48725 .563 L .49091 .55334 L p F P
0 g
s
.589 .258 .376 r
.50286 .55248 m .49091 .55334 L .48725 .563 L p F P
0 g
s
.903 .607 .475 r
.71195 .73824 m .71843 .74418 L .71966 .73339 L p F P
0 g
s
.903 .607 .475 r
.71966 .73339 m .71462 .72789 L .71195 .73824 L p F P
0 g
s
.552 .271 .442 r
.79437 .74715 m .82418 .73461 L .81886 .72546 L p F P
0 g
s
.367 .323 .676 r
.62729 .37318 m .62489 .36466 L .617 .37218 L p F P
0 g
s
.367 .323 .676 r
.617 .37218 m .61958 .38088 L .62729 .37318 L p F P
0 g
s
.417 .515 .851 r
.61881 .33989 m .61702 .33454 L .60551 .33447 L p F P
0 g
s
.604 .266 .371 r
.57312 .62433 m .56476 .62742 L .57186 .63506 L p F P
0 g
s
.395 .393 .739 r
.69387 .39141 m .69294 .3809 L .68251 .38019 L p F P
0 g
s
.436 .514 .841 r
.52885 .36252 m .52241 .3566 L .52002 .36741 L p F P
0 g
s
.436 .514 .841 r
.52002 .36741 m .52795 .37354 L .52885 .36252 L p F P
0 g
s
.39 .405 .755 r
.49929 .31593 m .49473 .30117 L .48536 .30047 L p F P
0 g
s
.379 .378 .732 r
.48238 .28512 m .48536 .30047 L .49473 .30117 L p F P
0 g
s
.891 .799 .751 r
.1489 .22967 m .15928 .19687 L .14899 .19426 L p F P
0 g
s
.884 .619 .533 r
.15176 .38115 m .16199 .40386 L .17196 .40118 L p F P
0 g
s
.43 .26 .549 r
.83837 .42671 m .82956 .44943 L .83988 .45101 L p F P
0 g
s
.837 .834 .843 r
.44524 .12826 m .42489 .14499 L .43028 .15381 L p F P
0 g
s
.804 .492 .461 r
.18365 .71045 m .15633 .69372 L .15141 .70297 L p F P
0 g
s
.627 .758 .941 r
.49396 .58906 m .50222 .58834 L .498 .57972 L p F P
0 g
s
.453 .582 .892 r
.68873 .75272 m .69763 .76166 L .70737 .75837 L p F P
0 g
s
.487 .635 .92 r
.71705 .76475 m .70737 .75837 L .69763 .76166 L p F P
0 g
s
.801 .884 .905 r
.83951 .75476 m .86937 .73395 L .86383 .72918 L p F P
0 g
s
.801 .884 .905 r
.86383 .72918 m .83455 .74931 L .83951 .75476 L p F P
0 g
s
.921 .642 .496 r
.64015 .35199 m .64233 .36022 L .65174 .36333 L p F P
0 g
s
.949 .691 .511 r
.63546 .31477 m .63124 .30819 L .62924 .31918 L p F P
0 g
s
.949 .691 .511 r
.62924 .31918 m .63204 .32465 L .63546 .31477 L p F P
0 g
s
.795 .874 .905 r
.57745 .66097 m .59052 .65566 L .58991 .64661 L p F P
0 g
s
.832 .882 .879 r
.60058 .63989 m .58991 .64661 L .59052 .65566 L p F P
0 g
s
.948 .739 .586 r
.71675 .36959 m .71276 .35649 L .7071 .36375 L p F P
0 g
s
.948 .739 .586 r
.7071 .36375 m .71013 .37557 L .71675 .36959 L p F P
0 g
s
.818 .467 .391 r
.53131 .33919 m .53519 .34394 L .54548 .34219 L p F P
0 g
s
.934 .742 .62 r
.52053 .29355 m .51792 .2802 L .50946 .28356 L p F P
0 g
s
.3 .175 .538 r
.12511 .18597 m .11345 .22435 L .12065 .22596 L p F P
0 g
s
.296 .216 .593 r
.11549 .26424 m .12065 .22596 L .11345 .22435 L p F P
0 g
s
.347 .397 .771 r
.14091 .4191 m .15422 .4425 L .15942 .43601 L p F P
0 g
s
.347 .397 .771 r
.15942 .43601 m .14641 .41286 L .14091 .4191 L p F P
0 g
s
.937 .845 .726 r
.86293 .4626 m .87278 .43676 L .8661 .43241 L p F P
0 g
s
.946 .828 .697 r
.8732 .40652 m .8661 .43241 L .87278 .43676 L p F P
0 g
s
.421 .147 .39 r
.40506 .12834 m .38486 .14807 L .3922 .15158 L p F P
0 g
s
.421 .147 .39 r
.3922 .15158 m .41223 .1322 L .40506 .12834 L p F P
0 g
s
.471 .621 .916 r
.13764 .72433 m .17111 .74403 L .17421 .73715 L p F P
0 g
s
.533 .688 .938 r
.20905 .74943 m .17421 .73715 L .17111 .74403 L p F P
0 g
s
.51 .637 .911 r
.53819 .55726 m .54805 .5603 L .54962 .56981 L p F P
0 g
s
.501 .631 .91 r
.55967 .57312 m .54962 .56981 L .54805 .5603 L p F P
0 g
s
.652 .52 .689 r
.54962 .56981 m .55967 .57312 L .55359 .59 L p F P
0 g
s
.652 .52 .689 r
.55359 .59 m .54457 .58701 L .54962 .56981 L p F P
0 g
s
.526 .181 .325 r
.57535 .38476 m .56507 .38542 L .57132 .37717 L p F P
0 g
s
.526 .181 .325 r
.57132 .37717 m .58001 .3757 L .57535 .38476 L p F P
0 g
s
.622 .513 .709 r
.58001 .3757 m .57132 .37717 L .57249 .35928 L p F P
0 g
s
.622 .513 .709 r
.57249 .35928 m .57866 .35781 L .58001 .3757 L p F P
0 g
s
.749 .353 .301 r
.6443 .41966 m .63674 .41319 L .64698 .41233 L p F P
0 g
s
.749 .353 .301 r
.64698 .41233 m .65463 .41708 L .6443 .41966 L p F P
0 g
s
.616 .448 .632 r
.65463 .41708 m .64698 .41233 L .66083 .40094 L p F P
0 g
s
.616 .448 .632 r
.66083 .40094 m .66593 .40315 L .65463 .41708 L p F P
0 g
s
.769 .417 .389 r
.65847 .34027 m .66135 .3398 L .66663 .35057 L p F P
0 g
s
.778 .657 .729 r
.66135 .3398 m .65847 .34027 L .66065 .32246 L p F P
0 g
s
.778 .657 .729 r
.66065 .32246 m .66731 .32288 L .66135 .3398 L p F P
0 g
s
.615 .734 .931 r
.66731 .32288 m .66065 .32246 L .67034 .31402 L p F P
0 g
s
.615 .734 .931 r
.67034 .31402 m .67858 .31663 L .66731 .32288 L p F P
0 g
s
.426 .33 .643 r
.95557 .56571 m .96106 .52785 L .97191 .52912 L p F P
0 g
s
.426 .33 .643 r
.97191 .52912 m .96608 .56863 L .95557 .56571 L p F P
0 g
s
.481 .143 .316 r
.29504 .07011 m .26443 .08289 L .26169 .07611 L p F P
0 g
s
.481 .143 .316 r
.26169 .07611 m .2936 .06289 L .29501 .06994 L p F P
0 g
s
.481 .143 .316 r
.26169 .07611 m .29501 .06994 L .2943 .07024 L F
.694 .571 .712 r
.2936 .06289 m .26169 .07611 L .2522 .06089 L p F P
0 g
s
.694 .571 .712 r
.2522 .06089 m .28673 .0463 L .2936 .06289 L p F P
0 g
s
.744 .794 .893 r
.28957 .06068 m .25763 .07438 L .26437 .08282 L p F P
0 g
s
.744 .794 .893 r
.26437 .08282 m .26443 .08289 L p .26464 .08271 L F P
0 g
s
.744 .794 .893 r
.26464 .08271 m .28957 .06068 L .26437 .08282 L F
.481 .143 .316 r
.29501 .06994 m .29504 .07011 L p .2943 .07024 L F P
0 g
s
.749 .794 .89 r
.28673 .0463 m .2522 .06089 L .24538 .05233 L p F P
0 g
s
.783 .809 .873 r
.21332 .07284 m .24538 .05233 L .2522 .06089 L p F P
0 g
s
.292 .289 .684 r
.06377 .52862 m .06821 .559 L .06093 .55999 L p F P
0 g
s
.292 .289 .684 r
.06093 .55999 m .05639 .52829 L .0636 .52862 L p F P
0 g
s
.292 .289 .684 r
.06093 .55999 m .0636 .52862 L .0637 .52932 L F
.709 .591 .722 r
.05639 .52829 m .06093 .55999 L .0438 .56529 L p F P
0 g
s
.709 .591 .722 r
.0438 .56529 m .03863 .53082 L .05639 .52829 L p F P
0 g
s
.906 .724 .645 r
.05329 .53152 m .05829 .56335 L .06812 .55904 L p F P
0 g
s
.906 .724 .645 r
.06812 .55904 m .06821 .559 L p .06808 .55875 L F P
0 g
s
.906 .724 .645 r
.06808 .55875 m .05329 .53152 L .06812 .55904 L F
.292 .289 .684 r
.0636 .52862 m .06377 .52862 L p .0637 .52932 L F P
0 g
s
.904 .718 .641 r
.03863 .53082 m .0438 .56529 L .03382 .56965 L p F P
0 g
s
.897 .684 .605 r
.04468 .6033 m .03382 .56965 L .0438 .56529 L p F P
0 g
s
.326 .311 .688 r
.24631 .52355 m .25331 .55339 L .24557 .55576 L p F P
0 g
s
.324 .281 .655 r
.24895 .58473 m .24557 .55576 L .25331 .55339 L p F P
0 g
s
.705 .56 .689 r
.24557 .55576 m .24895 .58473 L .2311 .58655 L p F P
0 g
s
.705 .56 .689 r
.2311 .58655 m .22778 .55798 L .24557 .55576 L p F P
0 g
s
.91 .705 .613 r
.22778 .55798 m .2311 .58655 L .22095 .58635 L p F P
0 g
s
.91 .705 .613 r
.22094 .58628 m .22778 .55798 L .22095 .58635 L F
.22092 .58635 m .21758 .55786 L .22778 .55798 L p F P
0 g
s
.317 .276 .653 r
.22866 .58432 m .22523 .55549 L .2176 .55785 L p F P
0 g
s
.317 .276 .653 r
.2176 .55785 m .21758 .55786 L p .21761 .55793 L F P
0 g
s
.317 .276 .653 r
.22866 .58432 m .2176 .55785 L .21761 .55793 L F
.91 .705 .613 r
.22095 .58635 m .22092 .58635 L p .22094 .58628 L F P
0 g
s
.947 .795 .66 r
.76724 .61093 m .7715 .58152 L .77879 .58474 L p F P
0 g
s
.947 .795 .66 r
.77879 .58474 m .77482 .61333 L .76724 .61093 L p F P
0 g
s
.71 .564 .688 r
.77482 .61333 m .77879 .58474 L .79626 .58882 L p F P
0 g
s
.71 .564 .688 r
.79626 .58882 m .79257 .616 L .77482 .61333 L p F P
0 g
s
.51 .181 .346 r
.32581 .2603 m .29946 .27359 L .29552 .26655 L p F P
0 g
s
.544 .201 .338 r
.26925 .2762 m .29552 .26655 L .29946 .27359 L p F P
0 g
s
.725 .586 .7 r
.29552 .26655 m .26925 .2762 L .26328 .25928 L p F P
0 g
s
.725 .586 .7 r
.26328 .25928 m .2892 .24977 L .29552 .26655 L p F P
0 g
s
.764 .814 .892 r
.2892 .24977 m .26328 .25928 L .26091 .24943 L p F P
0 g
s
.764 .814 .892 r
.26098 .24941 m .2892 .24977 L .26091 .24943 L F
.26091 .24941 m .28676 .2399 L .2892 .24977 L p F P
0 g
s
.54 .195 .331 r
.26454 .25652 m .29068 .24686 L .28677 .23992 L p F P
0 g
s
.54 .195 .331 r
.28677 .23992 m .28676 .2399 L p .2867 .23994 L F P
0 g
s
.54 .195 .331 r
.26454 .25652 m .28677 .23992 L .2867 .23994 L F
.764 .814 .892 r
.26091 .24943 m .26091 .24941 L p .26098 .24941 L F P
0 g
s
.925 .792 .694 r
.47901 .21696 m .48026 .19837 L .48945 .19752 L p F P
0 g
s
.925 .79 .693 r
.49052 .17926 m .48945 .19752 L .48026 .19837 L p F P
0 g
s
.705 .598 .734 r
.48945 .19752 m .49052 .17926 L .50847 .17967 L p F P
0 g
s
.705 .598 .734 r
.50847 .17967 m .50734 .1987 L .48945 .19752 L p F P
0 g
s
.366 .304 .655 r
.50734 .1987 m .50847 .17967 L .51745 .18129 L p F P
0 g
s
.366 .304 .655 r
.51745 .18129 m .51619 .20073 L .50734 .1987 L p F P
0 g
s
.433 .519 .847 r
.67276 .66656 m .68026 .67694 L .67012 .67821 L p F P
0 g
s
.433 .519 .847 r
.67012 .67821 m .6627 .66814 L .67276 .66656 L p F P
0 g
s
.732 .626 .741 r
.6627 .66814 m .67012 .67821 L .65531 .68833 L p F P
0 g
s
.732 .626 .741 r
.65531 .68833 m .64818 .67868 L .6627 .66814 L p F P
0 g
s
.551 .685 .928 r
.51359 .62095 m .52204 .62463 L .51588 .63167 L p F P
0 g
s
.551 .685 .928 r
.51588 .63167 m .50647 .62711 L .51329 .62121 L p F P
0 g
s
.551 .685 .928 r
.51588 .63167 m .51329 .62121 L .51368 .62138 L F
.744 .62 .722 r
.50647 .62711 m .51588 .63167 L .51113 .64896 L p F P
0 g
s
.807 .466 .41 r
.51367 .63138 m .52346 .63496 L .52209 .62496 L p F P
0 g
s
.807 .466 .41 r
.52209 .62496 m .52204 .62463 L p .52179 .62483 L F P
0 g
s
.807 .466 .41 r
.52179 .62483 m .51367 .63138 L .52209 .62496 L F
.551 .685 .928 r
.51329 .62121 m .51359 .62095 L p .51368 .62138 L F P
0 g
s
.744 .62 .722 r
.51113 .64896 m .49942 .64362 L .50647 .62711 L p F P
0 g
s
.786 .449 .418 r
.49942 .64362 m .51113 .64896 L .5125 .65935 L p F P
0 g
s
.758 .414 .402 r
.52491 .66258 m .5125 .65935 L .51113 .64896 L p F P
0 g
s
.745 .374 .35 r
.59045 .32105 m .58632 .31247 L p .59647 .32246 L F P
0 g
s
.687 .315 .335 r
.57728 .31253 m .58632 .31247 L .59045 .32105 L p F P
0 g
s
.687 .315 .335 r
.5828 .32035 m .57728 .31253 L p .5896 .3205 L F P
0 g
s
.687 .315 .335 r
.59045 .32105 m .5828 .32035 L p .5896 .3205 L F P
0 g
s
.749 .613 .708 r
.58632 .31247 m .57728 .31253 L .57501 .29472 L p F P
0 g
s
.749 .613 .708 r
.57501 .29472 m .58708 .29455 L .58632 .31247 L p F P
0 g
s
.636 .27 .333 r
.56821 .31415 m .57728 .31253 L .5828 .32035 L p F P
0 g
s
.636 .27 .333 r
.57507 .32095 m .56821 .31415 L p .58181 .31993 L F P
0 g
s
.636 .27 .333 r
.5828 .32035 m .57507 .32095 L p .58181 .31993 L F P
0 g
s
.748 .606 .7 r
.57728 .31253 m .56821 .31415 L .56286 .29701 L p F P
0 g
s
.748 .606 .7 r
.56286 .29701 m .57501 .29472 L .57728 .31253 L p F P
0 g
s
.586 .233 .338 r
.55932 .31724 m .56821 .31415 L .57507 .32095 L p F P
0 g
s
.586 .233 .338 r
.56668 .32332 m .55932 .31724 L p .57432 .32077 L F P
0 g
s
.586 .233 .338 r
.57507 .32095 m .56668 .32332 L p .57432 .32077 L F P
0 g
s
.748 .6 .693 r
.56821 .31415 m .55932 .31724 L .55188 .30088 L p F P
0 g
s
.547 .213 .353 r
.54969 .32202 m .55932 .31724 L .56668 .32332 L p F P
0 g
s
.547 .213 .353 r
.5579 .32702 m .54969 .32202 L p .56547 .32323 L F P
0 g
s
.547 .213 .353 r
.56668 .32332 m .5579 .32702 L p .56547 .32323 L F P
0 g
s
.742 .592 .69 r
.55932 .31724 m .54969 .32202 L .53991 .30692 L p F P
0 g
s
.508 .195 .371 r
.54075 .32819 m .54969 .32202 L .5579 .32702 L p F P
0 g
s
.508 .195 .371 r
.54952 .33218 m .54075 .32819 L p .55683 .32709 L F P
0 g
s
.508 .195 .371 r
.5579 .32702 m .54952 .33218 L p .55683 .32709 L F P
0 g
s
.739 .586 .684 r
.54969 .32202 m .54075 .32819 L .52908 .31448 L p F P
0 g
s
.476 .185 .392 r
.53197 .33594 m .54075 .32819 L .54952 .33218 L p F P
0 g
s
.476 .185 .392 r
.54106 .33921 m .53197 .33594 L p .54878 .33234 L F P
0 g
s
.476 .185 .392 r
.54952 .33218 m .54106 .33921 L p .54878 .33234 L F P
0 g
s
.783 .419 .369 r
.53519 .34394 m .53969 .34814 L .54954 .3449 L p F P
0 g
s
.661 .504 .661 r
.53519 .34394 m .53131 .33919 L .51697 .35002 L p F P
0 g
s
.661 .504 .661 r
.51697 .35002 m .52241 .3566 L .53519 .34394 L p F P
0 g
s
.656 .506 .668 r
.53969 .34814 m .53519 .34394 L .52241 .3566 L p F P
0 g
s
.719 .613 .738 r
.49929 .31593 m .50528 .33011 L .52193 .32336 L p F P
0 g
s
.736 .58 .68 r
.54075 .32819 m .53197 .33594 L .51914 .3233 L p F P
0 g
s
.667 .505 .655 r
.51235 .34283 m .51697 .35002 L .53131 .33919 L p F P
0 g
s
.458 .175 .396 r
.52549 .34245 m .53197 .33594 L .54106 .33921 L p F P
0 g
s
.458 .175 .396 r
.54106 .33921 m .53197 .34838 L .52549 .34245 L p F P
0 g
s
.875 .855 .819 r
.54106 .33921 m .53729 .32977 L p .53238 .34694 L F P
0 g
s
.875 .855 .819 r
.53197 .34838 m .54106 .33921 L p .53238 .34694 L F P
0 g
s
.862 .858 .836 r
.54952 .33218 m .5466 .32239 L p .54155 .33772 L F P
0 g
s
.862 .858 .836 r
.54106 .33921 m .54952 .33218 L p .54155 .33772 L F P
0 g
s
.837 .858 .861 r
.5579 .32702 m .55634 .31683 L p .55007 .33094 L F P
0 g
s
.837 .858 .861 r
.54952 .33218 m .5579 .32702 L p .55007 .33094 L F P
0 g
s
.803 .85 .885 r
.56668 .32332 m .56659 .31297 L p .5585 .32606 L F P
0 g
s
.803 .85 .885 r
.5579 .32702 m .56668 .32332 L p .5585 .32606 L F P
0 g
s
.777 .842 .901 r
.57507 .32095 m .57659 .31052 L p .56765 .32207 L F P
0 g
s
.777 .842 .901 r
.56668 .32332 m .57507 .32095 L p .56765 .32207 L F P
0 g
s
.732 .819 .919 r
.5828 .32035 m .58608 .31029 L p .57584 .3202 L F P
0 g
s
.732 .819 .919 r
.57507 .32095 m .5828 .32035 L p .57584 .3202 L F P
0 g
s
.686 .789 .928 r
.59045 .32105 m .59538 .31163 L p .58398 .31953 L F P
0 g
s
.686 .789 .928 r
.5828 .32035 m .59045 .32105 L p .58398 .31953 L F P
0 g
s
.745 .374 .35 r
.59724 .32322 m .59045 .32105 L p .59647 .32246 L F P
0 g
s
.679 .776 .924 r
.58708 .29455 m .57501 .29472 L .57825 .28461 L p F P
0 g
s
.679 .776 .924 r
.57825 .28461 m .59197 .28507 L .58708 .29455 L p F P
0 g
s
.589 .258 .376 r
.48725 .563 m .49832 .56172 L .50286 .55248 L p F P
0 g
s
.619 .279 .372 r
.51505 .55287 m .50286 .55248 L .49832 .56172 L p F P
0 g
s
.513 .261 .471 r
.82418 .73461 m .85176 .71582 L .84532 .70733 L p F P
0 g
s
.443 .548 .869 r
.61702 .33454 m .61499 .33018 L .60285 .33011 L p F P
0 g
s
.443 .605 .915 r
.60139 .32771 m .60285 .33011 L .61499 .33018 L p F P
0 g
s
.41 .433 .773 r
.69294 .3809 m .69062 .37098 L .67991 .37091 L p F P
0 g
s
.379 .378 .732 r
.49473 .30117 m .49163 .28603 L .48238 .28512 L p F P
0 g
s
.374 .359 .714 r
.48006 .26803 m .48238 .28512 L .49163 .28603 L p F P
0 g
s
.873 .595 .513 r
.16199 .40386 m .17434 .42593 L .18395 .42242 L p F P
0 g
s
.851 .834 .829 r
.42489 .14499 m .40571 .16349 L .41177 .17178 L p F P
0 g
s
.598 .731 .938 r
.50222 .58834 m .51041 .58847 L .50726 .57942 L p F P
0 g
s
.835 .893 .882 r
.86937 .73395 m .8985 .70772 L .89217 .70414 L p F P
0 g
s
.835 .893 .882 r
.89217 .70414 m .86383 .72918 L .86937 .73395 L p F P
0 g
s
.958 .686 .478 r
.63124 .30819 m .62638 .30194 L .62607 .31319 L p F P
0 g
s
.958 .686 .478 r
.62607 .31319 m .62924 .31918 L .63124 .30819 L p F P
0 g
s
.946 .714 .554 r
.71276 .35649 m .70734 .3444 L .70313 .35266 L p F P
0 g
s
.946 .714 .554 r
.70313 .35266 m .7071 .36375 L .71276 .35649 L p F P
0 g
s
.933 .752 .634 r
.51792 .2802 m .51587 .26552 L .50715 .26824 L p F P
0 g
s
.362 .426 .793 r
.15422 .4425 m .17007 .46633 L .17524 .45984 L p F P
0 g
s
.362 .426 .793 r
.17524 .45984 m .15942 .43601 L .15422 .4425 L p F P
0 g
s
.406 .149 .408 r
.38486 .14807 m .36508 .17017 L .3724 .17371 L p F P
0 g
s
.406 .149 .408 r
.3724 .17371 m .3922 .15158 L .38486 .14807 L p F P
0 g
s
.895 .604 .488 r
.71462 .72789 m .70726 .71895 L .70334 .72834 L p F P
0 g
s
.363 .322 .678 r
.62944 .38013 m .62729 .37318 L .61958 .38088 L p F P
0 g
s
.363 .322 .678 r
.61958 .38088 m .62214 .38859 L .62944 .38013 L p F P
0 g
s
.641 .292 .365 r
.56476 .62742 m .55657 .62933 L .56292 .63775 L p F P
0 g
s
.456 .548 .862 r
.53551 .36719 m .52885 .36252 L .52795 .37354 L p F P
0 g
s
.456 .548 .862 r
.52795 .37354 m .53586 .37829 L .53551 .36719 L p F P
0 g
s
.879 .81 .778 r
.15928 .19687 m .17226 .16802 L .1622 .16434 L p F P
0 g
s
.438 .253 .531 r
.82956 .44943 m .81767 .47371 L .8277 .47629 L p F P
0 g
s
.825 .524 .479 r
.15633 .69372 m .12977 .67299 L .12376 .68167 L p F P
0 g
s
.44 .541 .863 r
.67964 .74189 m .68873 .75272 L .69895 .7507 L p F P
0 g
s
.453 .582 .892 r
.70737 .75837 m .69895 .7507 L .68873 .75272 L p F P
0 g
s
.917 .635 .491 r
.64233 .36022 m .6446 .36824 L .65408 .37105 L p F P
0 g
s
.76 .861 .924 r
.56481 .66427 m .57745 .66097 L .57823 .6519 L p F P
0 g
s
.795 .874 .905 r
.58991 .64661 m .57823 .6519 L .57745 .66097 L p F P
0 g
s
.308 .151 .499 r
.1396 .1531 m .12511 .18597 L .13183 .18879 L p F P
0 g
s
.3 .175 .538 r
.12065 .22596 m .13183 .18879 L .12511 .18597 L p F P
0 g
s
.926 .858 .754 r
.84982 .48968 m .86293 .4626 L .85662 .45762 L p F P
0 g
s
.937 .845 .726 r
.8661 .43241 m .85662 .45762 L .86293 .4626 L p F P
0 g
s
.433 .575 .896 r
.10754 .70118 m .13764 .72433 L .14203 .71834 L p F P
0 g
s
.471 .621 .916 r
.17421 .73715 m .14203 .71834 L .13764 .72433 L p F P
0 g
s
.501 .631 .91 r
.54805 .5603 m .55872 .56352 L .55967 .57312 L p F P
0 g
s
.482 .608 .901 r
.56965 .57721 m .55967 .57312 L .55872 .56352 L p F P
0 g
s
.651 .516 .686 r
.55967 .57312 m .56965 .57721 L .56218 .59353 L p F P
0 g
s
.651 .516 .686 r
.56218 .59353 m .55359 .59 L .55967 .57312 L p F P
0 g
s
.489 .167 .347 r
.58554 .38263 m .57535 .38476 L .58001 .3757 L p F P
0 g
s
.489 .167 .347 r
.58001 .3757 m .58875 .37297 L .58554 .38263 L p F P
0 g
s
.625 .524 .72 r
.58875 .37297 m .58001 .3757 L .57866 .35781 L p F P
0 g
s
.625 .524 .72 r
.57866 .35781 m .58485 .35544 L .58875 .37297 L p F P
0 g
s
.681 .279 .278 r
.65288 .42452 m .6443 .41966 L .65463 .41708 L p F P
0 g
s
.681 .279 .278 r
.65463 .41708 m .66243 .41988 L .65288 .42452 L p F P
0 g
s
.603 .451 .648 r
.66243 .41988 m .65463 .41708 L .66593 .40315 L p F P
0 g
s
.603 .451 .648 r
.66593 .40315 m .67088 .40404 L .66243 .41988 L p F P
0 g
s
.769 .417 .389 r
.66663 .35057 m .66597 .34976 L .65847 .34027 L p F P
0 g
s
.724 .354 .349 r
.6554 .34092 m .65847 .34027 L .66597 .34976 L p F P
0 g
s
.786 .65 .712 r
.65847 .34027 m .6554 .34092 L .65472 .32298 L p F P
0 g
s
.786 .65 .712 r
.65472 .32298 m .66065 .32246 L .65847 .34027 L p F P
0 g
s
.676 .789 .934 r
.66065 .32246 m .65472 .32298 L .66272 .31318 L p F P
0 g
s
.676 .789 .934 r
.66272 .31318 m .67034 .31402 L .66065 .32246 L p F P
0 g
s
.425 .362 .684 r
.96106 .52785 m .96002 .49033 L .97092 .48988 L p F P
0 g
s
.425 .362 .684 r
.97092 .48988 m .97191 .52912 L .96106 .52785 L p F P
0 g
s
.537 .174 .298 r
.32679 .06305 m .29504 .07011 L .2936 .06289 L p F P
0 g
s
.537 .174 .298 r
.2936 .06289 m .32681 .05559 L .32679 .06287 L p F P
0 g
s
.537 .174 .298 r
.2936 .06289 m .32679 .06287 L .32598 .06305 L F
.693 .568 .71 r
.32681 .05559 m .2936 .06289 L .28673 .0463 L p F P
0 g
s
.693 .568 .71 r
.28673 .0463 m .32294 .03805 L .32681 .05559 L p F P
0 g
s
.701 .77 .905 r
.32287 .0529 m .28957 .06068 L .29499 .07003 L p F P
0 g
s
.701 .77 .905 r
.29499 .07003 m .29504 .07011 L p .29527 .06997 L F P
0 g
s
.701 .77 .905 r
.29527 .06997 m .32287 .0529 L .29499 .07003 L F
.537 .174 .298 r
.32679 .06287 m .32679 .06305 L p .32598 .06305 L F P
0 g
s
.708 .771 .901 r
.32294 .03805 m .28673 .0463 L .28125 .03682 L p F P
0 g
s
.749 .794 .89 r
.24538 .05233 m .28125 .03682 L .28673 .0463 L p F P
0 g
s
.287 .24 .629 r
.06436 .49807 m .06377 .52862 L .05639 .52829 L p F P
0 g
s
.287 .24 .629 r
.05639 .52829 m .05712 .49636 L .06419 .49803 L p F P
0 g
s
.287 .24 .629 r
.05639 .52829 m .06419 .49803 L .06417 .49877 L F
.707 .589 .722 r
.05712 .49636 m .05639 .52829 L .03863 .53082 L p F P
0 g
s
.707 .589 .722 r
.03863 .53082 m .03916 .49597 L .05712 .49636 L p F P
0 g
s
.907 .758 .685 r
.05356 .49938 m .05329 .53152 L .06367 .52865 L p F P
0 g
s
.907 .758 .685 r
.06367 .52865 m .06377 .52862 L p .06367 .52835 L F P
0 g
s
.907 .758 .685 r
.06367 .52835 m .05356 .49938 L .06367 .52865 L F
.287 .24 .629 r
.06419 .49803 m .06436 .49807 L p .06417 .49877 L F P
0 g
s
.905 .751 .68 r
.03916 .49597 m .03863 .53082 L .02809 .53372 L p F P
0 g
s
.904 .718 .641 r
.03382 .56965 m .02809 .53372 L .03863 .53082 L p F P
0 g
s
.324 .281 .655 r
.25331 .55339 m .25677 .58269 L .24895 .58473 L p F P
0 g
s
.324 .276 .649 r
.25175 .61392 m .24895 .58473 L .25677 .58269 L p F P
0 g
s
.705 .561 .689 r
.24895 .58473 m .25175 .61392 L .2339 .61593 L p F P
0 g
s
.705 .561 .689 r
.2339 .61593 m .2311 .58655 L .24895 .58473 L p F P
0 g
s
.911 .711 .619 r
.2311 .58655 m .2339 .61593 L .22372 .61594 L p F P
0 g
s
.911 .711 .619 r
.22372 .61594 m .22092 .58635 L .2311 .58655 L p F P
0 g
s
.947 .797 .662 r
.76315 .63889 m .76724 .61093 L .77482 .61333 L p F P
0 g
s
.947 .797 .662 r
.77482 .61333 m .77074 .64122 L .76315 .63889 L p F P
0 g
s
.947 .797 .662 r
.77482 .61333 m .76315 .63889 L .76315 .63888 L F
.71 .564 .688 r
.77074 .64122 m .77482 .61333 L .79257 .616 L p F P
0 g
s
.71 .564 .688 r
.79257 .616 m .78849 .64396 L .77074 .64122 L p F P
0 g
s
.41 .29 .605 r
.77338 .6393 m .77748 .61119 L .76724 .61093 L p F P
0 g
s
.41 .29 .605 r
.76724 .61093 m .76724 .61093 L p .76724 .61094 L F P
0 g
s
.41 .29 .605 r
.76724 .61094 m .77338 .6393 L .76724 .61093 L F
.947 .797 .662 r
.76315 .63889 m .76315 .63889 L p .76315 .63888 L F P
0 g
s
.414 .294 .607 r
.78849 .64396 m .79257 .616 L .80287 .61629 L p F P
0 g
s
.544 .201 .338 r
.29946 .27359 m .2729 .28339 L .26925 .2762 L p F P
0 g
s
.55 .205 .337 r
.24267 .2854 m .26925 .2762 L .2729 .28339 L p F P
0 g
s
.724 .586 .701 r
.26925 .2762 m .24267 .2854 L .23648 .26854 L p F P
0 g
s
.724 .586 .701 r
.23648 .26854 m .26328 .25928 L .26925 .2762 L p F P
0 g
s
.759 .811 .894 r
.26328 .25928 m .23648 .26854 L .23389 .25872 L p F P
0 g
s
.759 .811 .894 r
.23389 .25872 m .26091 .24941 L .26328 .25928 L p F P
0 g
s
.925 .79 .693 r
.48142 .18046 m .49052 .17926 L p .48069 .19756 L F P
0 g
s
.927 .783 .681 r
.49078 .1614 m .49052 .17926 L .48142 .18046 L p F P
0 g
s
.927 .783 .681 r
.48183 .16309 m .49078 .1614 L p .48193 .17942 L F P
0 g
s
.927 .783 .681 r
.48142 .18046 m .48183 .16309 L p .48193 .17942 L F P
0 g
s
.706 .599 .734 r
.49052 .17926 m .49078 .1614 L .50873 .16071 L p F P
0 g
s
.93 .771 .663 r
.48992 .14283 m .49078 .1614 L .48183 .16309 L p F P
0 g
s
.93 .771 .663 r
.48183 .16309 m .48118 .14555 L .48992 .14283 L p F P
0 g
s
.367 .331 .686 r
.48183 .16309 m .4909 .1641 L p .48173 .1466 L F P
0 g
s
.367 .331 .686 r
.48118 .14555 m .48183 .16309 L p .48173 .1466 L F P
0 g
s
.362 .313 .668 r
.48142 .18046 m .49033 .18209 L p .48213 .16376 L F P
0 g
s
.362 .313 .668 r
.48183 .16309 m .48142 .18046 L p .48213 .16376 L F P
0 g
s
.925 .79 .693 r
.48026 .19837 m .48142 .18046 L p .48069 .19756 L F P
0 g
s
.706 .599 .734 r
.50873 .16071 m .50847 .17967 L .49052 .17926 L p F P
0 g
s
.368 .316 .668 r
.50847 .17967 m .50873 .16071 L .51787 .16171 L p F P
0 g
s
.368 .316 .668 r
.51787 .16171 m .51745 .18129 L .50847 .17967 L p F P
0 g
s
.435 .522 .848 r
.66533 .65652 m .67276 .66656 L .6627 .66814 L p F P
0 g
s
.435 .522 .848 r
.6627 .66814 m .65532 .65824 L .66533 .65652 L p F P
0 g
s
.732 .626 .741 r
.65532 .65824 m .6627 .66814 L .64818 .67868 L p F P
0 g
s
.732 .626 .741 r
.64818 .67868 m .64089 .66894 L .65532 .65824 L p F P
0 g
s
.51 .637 .911 r
.50605 .6162 m .51359 .62095 L .50647 .62711 L p F P
0 g
s
.51 .637 .911 r
.50647 .62711 m .49801 .62126 L .50567 .61644 L p F P
0 g
s
.51 .637 .911 r
.50647 .62711 m .50567 .61644 L .50607 .61668 L F
.741 .622 .727 r
.49801 .62126 m .50647 .62711 L .49942 .64362 L p F P
0 g
s
.843 .516 .434 r
.50468 .62653 m .51367 .63138 L .5136 .62131 L p F P
0 g
s
.843 .516 .434 r
.5136 .62131 m .51359 .62095 L p .5133 .62113 L F P
0 g
s
.843 .516 .434 r
.5133 .62113 m .50468 .62653 L .5136 .62131 L F
.51 .637 .911 r
.50567 .61644 m .50605 .6162 L p .50607 .61668 L F P
0 g
s
.741 .622 .727 r
.49942 .64362 m .48861 .63656 L .49801 .62126 L p F P
0 g
s
.819 .493 .438 r
.48861 .63656 m .49942 .64362 L .49945 .6541 L p F P
0 g
s
.786 .449 .418 r
.5125 .65935 m .49945 .6541 L .49942 .64362 L p F P
0 g
s
.723 .807 .916 r
.57501 .29472 m .56286 .29701 L .56433 .28652 L p F P
0 g
s
.723 .807 .916 r
.56433 .28652 m .57825 .28461 L .57501 .29472 L p F P
0 g
s
.716 .581 .703 r
.45347 .59489 m .46268 .59043 L .45573 .57389 L p F P
0 g
s
.716 .581 .703 r
.45573 .57389 m .44593 .5786 L .45347 .59489 L p F P
0 g
s
.662 .555 .724 r
.46581 .56933 m .45573 .57389 L .46268 .59043 L p F P
0 g
s
.662 .555 .724 r
.46268 .59043 m .47123 .58646 L .46581 .56933 L p F P
0 g
s
.619 .279 .372 r
.49832 .56172 m .50959 .56155 L .51505 .55287 L p F P
0 g
s
.648 .301 .369 r
.5269 .55456 m .51505 .55287 L .50959 .56155 L p F P
0 g
s
.908 .631 .506 r
.70726 .71895 m .70072 .70952 L .69611 .71847 L p F P
0 g
s
.493 .261 .49 r
.85176 .71582 m .87796 .69306 L .8702 .68564 L p F P
0 g
s
.373 .354 .709 r
.63228 .38799 m .62944 .38013 L .62214 .38859 L p F P
0 g
s
.373 .354 .709 r
.62214 .38859 m .62577 .39707 L .63228 .38799 L p F P
0 g
s
.443 .605 .915 r
.61499 .33018 m .61353 .32612 L .60139 .32771 L p F P
0 g
s
.69 .331 .361 r
.55657 .62933 m .54868 .62981 L .55371 .63911 L p F P
0 g
s
.423 .474 .808 r
.69062 .37098 m .68817 .36269 L .67752 .36438 L p F P
0 g
s
.494 .601 .889 r
.54314 .37127 m .53551 .36719 L .53586 .37829 L p F P
0 g
s
.494 .601 .889 r
.53586 .37829 m .54515 .38216 L .54314 .37127 L p F P
0 g
s
.374 .359 .714 r
.49163 .28603 m .48918 .2695 L .48006 .26803 L p F P
0 g
s
.368 .34 .696 r
.47889 .25111 m .48006 .26803 L .48918 .2695 L p F P
0 g
s
.856 .82 .813 r
.17226 .16802 m .1894 .14261 L .17994 .13741 L p F P
0 g
s
.864 .576 .499 r
.17434 .42593 m .19003 .44955 L .19953 .44582 L p F P
0 g
s
.442 .25 .523 r
.81767 .47371 m .80446 .49843 L .81435 .50144 L p F P
0 g
s
.861 .833 .817 r
.40571 .16349 m .38603 .18549 L .39224 .19365 L p F P
0 g
s
.856 .576 .513 r
.12977 .67299 m .10814 .64868 L .10072 .65635 L p F P
0 g
s
.562 .697 .931 r
.51041 .58847 m .51884 .58957 L .51671 .58027 L p F P
0 g
s
.426 .514 .845 r
.67133 .73019 m .67964 .74189 L .68948 .73986 L p F P
0 g
s
.44 .541 .863 r
.69895 .7507 m .68948 .73986 L .67964 .74189 L p F P
0 g
s
.877 .896 .842 r
.8985 .70772 m .92259 .67698 L .91571 .67466 L p F P
0 g
s
.877 .896 .842 r
.91571 .67466 m .89217 .70414 L .8985 .70772 L p F P
0 g
s
.912 .617 .472 r
.6446 .36824 m .64661 .37467 L .65635 .37772 L p F P
0 g
s
.941 .631 .423 r
.62638 .30194 m .62055 .29637 L .62222 .3077 L p F P
0 g
s
.941 .631 .423 r
.62222 .3077 m .62607 .31319 L .62638 .30194 L p F P
0 g
s
.714 .839 .941 r
.55134 .66564 m .56481 .66427 L .56706 .65528 L p F P
0 g
s
.76 .861 .924 r
.57823 .6519 m .56706 .65528 L .56481 .66427 L p F P
0 g
s
.93 .655 .498 r
.70734 .3444 m .69997 .33357 L .69743 .34264 L p F P
0 g
s
.93 .655 .498 r
.69743 .34264 m .70313 .35266 L .70734 .3444 L p F P
0 g
s
.747 .374 .347 r
.53969 .34814 m .54473 .35171 L .55422 .34744 L p F P
0 g
s
.933 .769 .655 r
.51587 .26552 m .51481 .25037 L .50591 .25257 L p F P
0 g
s
.328 .125 .446 r
.15968 .12243 m .1396 .1531 L .14581 .15686 L p F P
0 g
s
.308 .151 .499 r
.13183 .18879 m .14581 .15686 L .1396 .1531 L p F P
0 g
s
.365 .432 .797 r
.17007 .46633 m .18595 .48951 L .19131 .48321 L p F P
0 g
s
.921 .862 .766 r
.83602 .51559 m .84982 .48968 L .84384 .48431 L p F P
0 g
s
.926 .858 .754 r
.85662 .45762 m .84384 .48431 L .84982 .48968 L p F P
0 g
s
.404 .149 .411 r
.36508 .17017 m .34587 .19207 L .35301 .19586 L p F P
0 g
s
.384 .507 .859 r
.08128 .67254 m .10754 .70118 L .1126 .69582 L p F P
0 g
s
.433 .575 .896 r
.14203 .71834 m .1126 .69582 L .10754 .70118 L p F P
0 g
s
.482 .608 .901 r
.55872 .56352 m .56956 .56755 L .56965 .57721 L p F P
0 g
s
.461 .578 .886 r
.57927 .58218 m .56965 .57721 L .56956 .56755 L p F P
0 g
s
.652 .513 .681 r
.56965 .57721 m .57927 .58218 L .5703 .59774 L p F P
0 g
s
.652 .513 .681 r
.5703 .59774 m .56218 .59353 L .56965 .57721 L p F P
0 g
s
.707 .571 .7 r
.71032 .42487 m .71055 .41454 L .69261 .41377 L p F P
0 g
s
.707 .571 .7 r
.69261 .41377 m .69238 .42434 L .71032 .42487 L p F P
0 g
s
.704 .612 .751 r
.69358 .40234 m .69261 .41377 L .71055 .41454 L p F P
0 g
s
.704 .612 .751 r
.71055 .41454 m .71153 .40167 L .69358 .40234 L p F P
0 g
s
.467 .165 .368 r
.59508 .37946 m .58554 .38263 L .58875 .37297 L p F P
0 g
s
.467 .165 .368 r
.58875 .37297 m .59701 .36953 L .59508 .37946 L p F P
0 g
s
.633 .537 .727 r
.59701 .36953 m .58875 .37297 L .58485 .35544 L p F P
0 g
s
.633 .537 .727 r
.58485 .35544 m .59123 .35252 L .59701 .36953 L p F P
0 g
s
.709 .592 .723 r
.11593 .30347 m .12114 .33905 L .13858 .3348 L p F P
0 g
s
.709 .592 .723 r
.13858 .3348 m .13372 .30094 L .11593 .30347 L p F P
0 g
s
.702 .555 .685 r
.14375 .3582 m .13858 .3348 L .12114 .33905 L p F P
0 g
s
.702 .555 .685 r
.12114 .33905 m .12689 .36441 L .14375 .3582 L p F P
0 g
s
.707 .577 .707 r
.51367 .07009 m .47983 .08568 L .48876 .10125 L p F P
0 g
s
.707 .577 .707 r
.48876 .10125 m .52123 .08638 L .51367 .07009 L p F P
0 g
s
.725 .583 .697 r
.47983 .08568 m .45592 .09893 L .46641 .11351 L p F P
0 g
s
.725 .583 .697 r
.46641 .11351 m .48876 .10125 L .47983 .08568 L p F P
0 g
s
.975 .893 .678 r
.7276 .76895 m .73284 .77037 L .73309 .75242 L p F P
0 g
s
.975 .893 .678 r
.73309 .75242 m .73251 .75168 L .7276 .76895 L p F P
0 g
s
.69 .563 .707 r
.76364 .75365 m .73309 .75242 L .73284 .77037 L p F P
0 g
s
.69 .563 .707 r
.73284 .77037 m .76774 .77114 L .76364 .75365 L p F P
0 g
s
.707 .577 .707 r
.44115 .60184 m .45347 .59489 L .44593 .5786 L p F P
0 g
s
.707 .577 .707 r
.44593 .5786 m .43236 .58619 L .44115 .60184 L p F P
0 g
s
.746 .579 .668 r
.61047 .63195 m .61655 .62635 L .60442 .61312 L p F P
0 g
s
.746 .579 .668 r
.60442 .61312 m .59851 .61855 L .61047 .63195 L p F P
0 g
s
.707 .577 .707 r
.61655 .62635 m .62738 .61639 L .61423 .60416 L p F P
0 g
s
.707 .577 .707 r
.61423 .60416 m .60442 .61312 L .61655 .62635 L p F P
0 g
s
.707 .577 .707 r
.6232 .59458 m .61423 .60416 L .62738 .61639 L p F P
0 g
s
.707 .577 .707 r
.63743 .60553 m .64649 .59366 L .63118 .58429 L p F P
0 g
s
.707 .577 .707 r
.63118 .58429 m .6232 .59458 L .63743 .60553 L p F P
0 g
s
.707 .577 .707 r
.64649 .59366 m .65424 .5809 L .63801 .57322 L p F P
0 g
s
.707 .577 .707 r
.63801 .57322 m .63118 .58429 L .64649 .59366 L p F P
0 g
s
.707 .577 .707 r
.65424 .5809 m .66093 .5667 L .64418 .56025 L p F P
0 g
s
.707 .577 .707 r
.64418 .56025 m .63801 .57322 L .65424 .5809 L p F P
0 g
s
.707 .577 .707 r
.66093 .5667 m .66649 .55223 L .64946 .54655 L p F P
0 g
s
.707 .577 .707 r
.64946 .54655 m .64418 .56025 L .66093 .5667 L p F P
0 g
s
.707 .577 .707 r
.66649 .55223 m .67127 .53789 L .65436 .53186 L p F P
0 g
s
.707 .577 .707 r
.65436 .53186 m .64946 .54655 L .66649 .55223 L p F P
0 g
s
.707 .577 .707 r
.67127 .53789 m .67595 .52454 L .65992 .51646 L p F P
0 g
s
.707 .577 .707 r
.65992 .51646 m .65436 .53186 L .67127 .53789 L p F P
0 g
s
.707 .577 .707 r
.67595 .52454 m .68268 .5112 L .66683 .50277 L p F P
0 g
s
.707 .577 .707 r
.66683 .50277 m .65992 .51646 L .67595 .52454 L p F P
0 g
s
.707 .577 .707 r
.68268 .5112 m .68997 .49748 L .67379 .48971 L p F P
0 g
s
.707 .577 .707 r
.67379 .48971 m .66683 .50277 L .68268 .5112 L p F P
0 g
s
.707 .577 .707 r
.68997 .49748 m .69672 .48337 L .68003 .47677 L p F P
0 g
s
.707 .577 .707 r
.68003 .47677 m .67379 .48971 L .68997 .49748 L p F P
0 g
s
.707 .577 .707 r
.69672 .48337 m .70251 .46858 L .68522 .46377 L p F P
0 g
s
.707 .577 .707 r
.68522 .46377 m .68003 .47677 L .69672 .48337 L p F P
0 g
s
.707 .577 .707 r
.70251 .46858 m .70648 .45414 L .6888 .45104 L p F P
0 g
s
.707 .577 .707 r
.6888 .45104 m .68522 .46377 L .70251 .46858 L p F P
0 g
s
.707 .577 .707 r
.70648 .45414 m .70902 .43949 L .69114 .43787 L p F P
0 g
s
.707 .577 .707 r
.69114 .43787 m .6888 .45104 L .70648 .45414 L p F P
0 g
s
.707 .577 .707 r
.69238 .42434 m .69114 .43787 L .70902 .43949 L p F P
0 g
s
.707 .577 .707 r
.88157 .31677 m .87825 .27767 L .86072 .28155 L p F P
0 g
s
.707 .577 .707 r
.86072 .28155 m .86368 .31824 L .88157 .31677 L p F P
0 g
s
.707 .577 .707 r
.87825 .27767 m .86981 .23993 L .85306 .24641 L p F P
0 g
s
.707 .577 .707 r
.85306 .24641 m .86072 .28155 L .87825 .27767 L p F P
0 g
s
.707 .577 .707 r
.86981 .23993 m .85589 .20414 L .84007 .21262 L p F P
0 g
s
.707 .577 .707 r
.84007 .21262 m .85306 .24641 L .86981 .23993 L p F P
0 g
s
.707 .577 .707 r
.85589 .20414 m .83874 .17241 L .82447 .1833 L p F P
0 g
s
.707 .577 .707 r
.82447 .1833 m .84007 .21262 L .85589 .20414 L p F P
0 g
s
.707 .577 .707 r
.83874 .17241 m .81686 .1439 L .8044 .15682 L p F P
0 g
s
.707 .577 .707 r
.8044 .15682 m .82447 .1833 L .83874 .17241 L p F P
0 g
s
.707 .577 .707 r
.81686 .1439 m .79088 .11894 L .78035 .13348 L p F P
0 g
s
.707 .577 .707 r
.78035 .13348 m .8044 .15682 L .81686 .1439 L p F P
0 g
s
.707 .577 .707 r
.79088 .11894 m .76202 .09807 L .75252 .1133 L p F P
0 g
s
.707 .577 .707 r
.75252 .1133 m .78035 .13348 L .79088 .11894 L p F P
0 g
s
.707 .577 .707 r
.76202 .09807 m .73124 .079 L .72398 .09541 L p F P
0 g
s
.707 .577 .707 r
.72398 .09541 m .75252 .1133 L .76202 .09807 L p F P
0 g
s
.707 .577 .707 r
.73124 .079 m .69821 .0645 L .69351 .08182 L p F P
0 g
s
.707 .577 .707 r
.69351 .08182 m .72398 .09541 L .73124 .079 L p F P
0 g
s
.707 .577 .707 r
.69821 .0645 m .66349 .0552 L .66157 .07305 L p F P
0 g
s
.707 .577 .707 r
.66157 .07305 m .69351 .08182 L .69821 .0645 L p F P
0 g
s
.707 .577 .707 r
.66349 .0552 m .62802 .05146 L .62823 .06941 L p F P
0 g
s
.707 .577 .707 r
.62823 .06941 m .66157 .07305 L .66349 .0552 L p F P
0 g
s
.707 .577 .707 r
.59215 .06972 m .62823 .06941 L .62802 .05146 L p F P
0 g
s
.707 .577 .707 r
.58922 .05201 m .55111 .05839 L .55643 .07554 L p F P
0 g
s
.707 .577 .707 r
.55643 .07554 m .59215 .06972 L .58922 .05201 L p F P
0 g
s
.707 .577 .707 r
.55111 .05839 m .51367 .07009 L .52123 .08638 L p F P
0 g
s
.707 .577 .707 r
.52123 .08638 m .55643 .07554 L .55111 .05839 L p F P
0 g
s
.724 .59 .706 r
.24525 .75487 m .28024 .75225 L .27486 .73513 L p F P
0 g
s
.724 .59 .706 r
.27486 .73513 m .24415 .73694 L .24525 .75487 L p F P
0 g
s
.707 .577 .707 r
.28024 .75225 m .29461 .74753 L .28577 .73191 L p F P
0 g
s
.707 .577 .707 r
.28577 .73191 m .27486 .73513 L .28024 .75225 L p F P
0 g
s
.707 .577 .707 r
.29461 .74753 m .30741 .74018 L .29641 .72599 L p F P
0 g
s
.707 .577 .707 r
.29641 .72599 m .28577 .73191 L .29461 .74753 L p F P
0 g
s
.707 .577 .707 r
.30741 .74018 m .31958 .73066 L .30688 .71797 L p F P
0 g
s
.707 .577 .707 r
.30688 .71797 m .29641 .72599 L .30741 .74018 L p F P
0 g
s
.707 .577 .707 r
.31958 .73066 m .33015 .72006 L .31677 .70809 L p F P
0 g
s
.707 .577 .707 r
.31677 .70809 m .30688 .71797 L .31958 .73066 L p F P
0 g
s
.707 .577 .707 r
.33015 .72006 m .34247 .70628 L .32841 .69511 L p F P
0 g
s
.707 .577 .707 r
.32841 .69511 m .31677 .70809 L .33015 .72006 L p F P
0 g
s
.707 .577 .707 r
.34247 .70628 m .35388 .69191 L .3394 .68129 L p F P
0 g
s
.707 .577 .707 r
.3394 .68129 m .32841 .69511 L .34247 .70628 L p F P
0 g
s
.707 .577 .707 r
.35388 .69191 m .36463 .67724 L .35022 .66655 L p F P
0 g
s
.707 .577 .707 r
.35022 .66655 m .3394 .68129 L .35388 .69191 L p F P
0 g
s
.707 .577 .707 r
.36139 .65151 m .35022 .66655 L .36463 .67724 L p F P
0 g
s
.707 .577 .707 r
.37518 .663 m .38511 .65107 L .37195 .63887 L p F P
0 g
s
.707 .577 .707 r
.37195 .63887 m .36139 .65151 L .37518 .663 L p F P
0 g
s
.707 .577 .707 r
.38511 .65107 m .39569 .63963 L .3831 .62684 L p F P
0 g
s
.707 .577 .707 r
.3831 .62684 m .37195 .63887 L .38511 .65107 L p F P
0 g
s
.707 .577 .707 r
.39569 .63963 m .40662 .62886 L .39482 .61533 L p F P
0 g
s
.707 .577 .707 r
.39482 .61533 m .3831 .62684 L .39569 .63963 L p F P
0 g
s
.707 .577 .707 r
.40662 .62886 m .41827 .61869 L .40711 .60463 L p F P
0 g
s
.707 .577 .707 r
.40711 .60463 m .39482 .61533 L .40662 .62886 L p F P
0 g
s
.707 .577 .707 r
.41827 .61869 m .42943 .60981 L .41937 .59494 L p F P
0 g
s
.707 .577 .707 r
.41937 .59494 m .40711 .60463 L .41827 .61869 L p F P
0 g
s
.707 .577 .707 r
.42943 .60981 m .44115 .60184 L .43236 .58619 L p F P
0 g
s
.707 .577 .707 r
.43236 .58619 m .41937 .59494 L .42943 .60981 L p F P
0 g
s
.707 .577 .707 r
.62738 .61639 m .63743 .60553 L .6232 .59458 L p F P
0 g
s
.707 .577 .707 r
.70902 .43949 m .71032 .42487 L .69238 .42434 L p F P
0 g
s
.707 .577 .707 r
.62802 .05146 m .58922 .05201 L .59215 .06972 L p F P
0 g
s
.707 .577 .707 r
.36463 .67724 m .37518 .663 L .36139 .65151 L p F P
0 g
s
.637 .246 .285 r
.66157 .42774 m .65288 .42452 L .66243 .41988 L p F P
0 g
s
.637 .246 .285 r
.66243 .41988 m .67016 .4216 L .66157 .42774 L p F P
0 g
s
.607 .468 .667 r
.67016 .4216 m .66243 .41988 L .67088 .40404 L p F P
0 g
s
.607 .468 .667 r
.67088 .40404 m .67617 .40467 L .67016 .4216 L p F P
0 g
s
.724 .354 .349 r
.66408 .34919 m .6554 .34092 L p .66591 .3497 L F P
0 g
s
.679 .307 .334 r
.65182 .34198 m .6554 .34092 L .66408 .34919 L p F P
0 g
s
.679 .307 .334 r
.6616 .34901 m .65182 .34198 L p .66407 .34919 L F P
0 g
s
.679 .307 .334 r
.66408 .34919 m .6616 .34901 L p .66407 .34919 L F P
0 g
s
.645 .259 .299 r
.64864 .34293 m .65182 .34198 L .6616 .34901 L p F P
0 g
s
.645 .259 .299 r
.65774 .34961 m .64864 .34293 L p .6616 .34901 L F P
0 g
s
.645 .259 .299 r
.6616 .34901 m .65774 .34961 L p .6616 .34901 L F P
0 g
s
.616 .249 .324 r
.64346 .34478 m .64864 .34293 L .65774 .34961 L p F P
0 g
s
.616 .249 .324 r
.65317 .35063 m .64346 .34478 L p .65743 .34951 L F P
0 g
s
.616 .249 .324 r
.65774 .34961 m .65317 .35063 L p .65743 .34951 L F P
0 g
s
.689 .513 .643 r
.64015 .35199 m .6378 .34349 L .62047 .34819 L p F P
0 g
s
.588 .228 .326 r
.6384 .34706 m .64346 .34478 L .65317 .35063 L p F P
0 g
s
.588 .228 .326 r
.64848 .3522 m .6384 .34706 L p .65294 .35057 L F P
0 g
s
.588 .228 .326 r
.65317 .35063 m .64848 .3522 L p .65294 .35057 L F P
0 g
s
.792 .633 .684 r
.65182 .34198 m .64864 .34293 L .64421 .32551 L p F P
0 g
s
.565 .212 .329 r
.63308 .34982 m .6384 .34706 L .64848 .3522 L p F P
0 g
s
.689 .515 .646 r
.64233 .36022 m .64015 .35199 L .62269 .35628 L p F P
0 g
s
.565 .212 .329 r
.64345 .35441 m .63308 .34982 L p .64832 .35218 L F P
0 g
s
.565 .212 .329 r
.64848 .3522 m .64345 .35441 L p .64832 .35218 L F P
0 g
s
.774 .617 .685 r
.64864 .34293 m .64346 .34478 L .63738 .32785 L p F P
0 g
s
.735 .668 .785 r
.61881 .33989 m .62029 .34549 L .63692 .33871 L p F P
0 g
s
.735 .668 .785 r
.63692 .33871 m .63478 .33164 L .61881 .33989 L p F P
0 g
s
.744 .676 .784 r
.61702 .33454 m .61881 .33989 L .63478 .33164 L p F P
0 g
s
.771 .605 .672 r
.6384 .34706 m .63308 .34982 L .63286 .34939 L p F P
0 g
s
.771 .605 .672 r
.63286 .34939 m .6247 .33386 L p .63619 .34493 L F P
0 g
s
.771 .605 .672 r
.63619 .34493 m .6384 .34706 L .63286 .34939 L F
.5 .298 .536 r
.63735 .34742 m .63308 .34982 L p .63376 .35012 L F P
0 g
s
.5 .298 .536 r
.63735 .34742 m .63762 .35183 L .64345 .35441 L p F P
0 g
s
.453 .181 .41 r
.63735 .34742 m .63796 .35725 L p .63046 .3526 L F P
0 g
s
.453 .181 .41 r
.6293 .35188 m .6322 .35027 L p .63046 .3526 L F P
0 g
s
.744 .676 .784 r
.63478 .33164 m .63204 .32465 L .61702 .33454 L p F P
0 g
s
.771 .605 .672 r
.6247 .33386 m .63098 .33065 L .6384 .34706 L p F P
0 g
s
.751 .675 .777 r
.61499 .33018 m .61702 .33454 L .63204 .32465 L p F P
0 g
s
.751 .675 .777 r
.63204 .32465 m .62924 .31918 L .61499 .33018 L p F P
0 g
s
.818 .865 .882 r
.63098 .33065 m .6247 .33386 L .62485 .33293 L p F P
0 g
s
.818 .865 .882 r
.62485 .33293 m .62662 .32239 L p .6294 .32766 L F P
0 g
s
.818 .865 .882 r
.6294 .32766 m .63098 .33065 L .62485 .33293 L F
.617 .54 .745 r
.63735 .34742 m .63154 .34355 L p .63308 .34982 L F P
0 g
s
.617 .54 .745 r
.62861 .33165 m .6247 .33386 L .63286 .34939 L p F P
0 g
s
.617 .54 .745 r
.63286 .34939 m .63308 .34982 L p .63297 .34935 L F P
0 g
s
.617 .54 .745 r
.62861 .33165 m .63286 .34939 L .63297 .34935 L F
.453 .181 .41 r
.6322 .35027 m .63646 .34791 L p .63046 .3526 L F P
0 g
s
.453 .181 .41 r
.63646 .34791 m .63735 .34742 L p .63697 .3477 L F P
0 g
s
.453 .181 .41 r
.63646 .34791 m .63697 .3477 L .63046 .3526 L F
.655 .557 .732 r
.62861 .33165 m .63735 .34742 L p .62149 .33684 L F P
0 g
s
.655 .557 .732 r
.62047 .33617 m .62353 .33447 L p .62149 .33684 L F P
0 g
s
.773 .712 .795 r
.61353 .32612 m .61499 .33018 L .62924 .31918 L p F P
0 g
s
.836 .872 .87 r
.62041 .32559 m .62662 .32239 L .62485 .33293 L p F P
0 g
s
.836 .872 .87 r
.62485 .33293 m .6247 .33386 L p .62446 .3334 L F P
0 g
s
.836 .872 .87 r
.62041 .32559 m .62485 .33293 L .62446 .3334 L F
.655 .557 .732 r
.62353 .33447 m .62355 .33446 L p .62149 .33684 L F P
0 g
s
.836 .872 .87 r
.62861 .33165 m .62088 .32594 L p .62446 .3334 L F P
0 g
s
.836 .872 .87 r
.62063 .32602 m .62446 .3334 L .62088 .32594 L F
.6247 .33386 m .62861 .33165 L p .62446 .3334 L F P
0 g
s
.797 .858 .895 r
.63738 .32785 m .63098 .33065 L .63358 .31927 L p F P
0 g
s
.797 .858 .895 r
.63358 .31927 m .64098 .31663 L .63738 .32785 L p F P
0 g
s
.818 .865 .882 r
.62662 .32239 m .63358 .31927 L .63098 .33065 L p F P
0 g
s
.739 .826 .918 r
.62861 .33165 m .62047 .33617 L .61222 .33019 L p F P
0 g
s
.836 .872 .87 r
.62088 .32594 m .62041 .32559 L p .62063 .32602 L F P
0 g
s
.739 .826 .918 r
.61222 .33019 m .62041 .32559 L .62861 .33165 L p F P
0 g
s
.538 .219 .374 r
.62096 .33539 m .637 .3269 L .629 .32342 L p F P
0 g
s
.538 .219 .374 r
.629 .32342 m .62662 .32239 L p .62573 .32444 L F P
0 g
s
.538 .219 .374 r
.62096 .33539 m .629 .32342 L .62573 .32444 L F
.655 .557 .732 r
.62355 .33446 m .62861 .33165 L p .62158 .33678 L F P
0 g
s
.655 .557 .732 r
.62355 .33446 m .62158 .33678 L .62149 .33684 L F
.5 .298 .536 r
.64345 .35441 m .63796 .35725 L .63735 .34742 L p F P
0 g
s
.843 .881 .869 r
.64345 .35441 m .64544 .34296 L p .6382 .35681 L F P
0 g
s
.843 .881 .869 r
.63796 .35725 m .64345 .35441 L p .6382 .35681 L F P
0 g
s
.834 .883 .878 r
.64848 .3522 m .65115 .34086 L p .64371 .35395 L F P
0 g
s
.834 .883 .878 r
.64345 .35441 m .64848 .3522 L p .64371 .35395 L F P
0 g
s
.818 .883 .892 r
.65317 .35063 m .65684 .33946 L p .64875 .35179 L F P
0 g
s
.818 .883 .892 r
.64848 .3522 m .65317 .35063 L p .64875 .35179 L F P
0 g
s
.794 .876 .907 r
.65774 .34961 m .66243 .33879 L p .65345 .35028 L F P
0 g
s
.794 .876 .907 r
.65317 .35063 m .65774 .34961 L p .65345 .35028 L F P
0 g
s
.786 .886 .918 r
.6616 .34901 m .66817 .33829 L p .6585 .34879 L F P
0 g
s
.786 .886 .918 r
.65774 .34961 m .6616 .34901 L p .6585 .34879 L F P
0 g
s
.758 .896 .939 r
.66408 .34919 m .67214 .33945 L p .66203 .34862 L F P
0 g
s
.758 .896 .939 r
.6616 .34901 m .66408 .34919 L p .66203 .34862 L F P
0 g
s
.724 .354 .349 r
.66597 .34976 m .66408 .34919 L p .66591 .3497 L F P
0 g
s
.786 .639 .699 r
.6554 .34092 m .65182 .34198 L .64856 .32431 L p F P
0 g
s
.786 .639 .699 r
.64856 .32431 m .65472 .32298 L .6554 .34092 L p F P
0 g
s
.72 .819 .927 r
.65472 .32298 m .64856 .32431 L .65507 .31354 L p F P
0 g
s
.72 .819 .927 r
.65507 .31354 m .66272 .31318 L .65472 .32298 L p F P
0 g
s
.43 .4 .724 r
.96002 .49033 m .95274 .45381 L .96352 .45227 L p F P
0 g
s
.43 .4 .724 r
.96352 .45227 m .97092 .48988 L .96002 .49033 L p F P
0 g
s
.598 .217 .292 r
.35939 .06173 m .32679 .06305 L .32681 .05559 L p F P
0 g
s
.598 .217 .292 r
.32681 .05559 m .36088 .05429 L .35943 .06154 L p F P
0 g
s
.598 .217 .292 r
.32681 .05559 m .35943 .06154 L .35859 .06158 L F
.693 .566 .708 r
.36088 .05429 m .32681 .05559 L .32294 .03805 L p F P
0 g
s
.693 .566 .708 r
.32294 .03805 m .36017 .03633 L .36088 .05429 L p F P
0 g
s
.658 .738 .909 r
.35717 .05112 m .32287 .0529 L .32676 .06297 L p F P
0 g
s
.658 .738 .909 r
.32676 .06297 m .32679 .06305 L p .32704 .06295 L F P
0 g
s
.658 .738 .909 r
.32704 .06295 m .35717 .05112 L .32676 .06297 L F
.598 .217 .292 r
.35943 .06154 m .35939 .06173 L p .35859 .06158 L F P
0 g
s
.665 .741 .907 r
.36017 .03633 m .32294 .03805 L .31902 .02784 L p F P
0 g
s
.708 .771 .901 r
.28125 .03682 m .31902 .02784 L .32294 .03805 L p F P
0 g
s
.293 .199 .574 r
.07006 .46798 m .06436 .49807 L .05712 .49636 L p F P
0 g
s
.293 .199 .574 r
.05712 .49636 m .06318 .46493 L .06989 .46791 L p F P
0 g
s
.293 .199 .574 r
.05712 .49636 m .06989 .46791 L .06975 .46866 L F
.704 .587 .722 r
.06318 .46493 m .05712 .49636 L .03916 .49597 L p F P
0 g
s
.704 .587 .722 r
.03916 .49597 m .04553 .46155 L .06318 .46493 L p F P
0 g
s
.901 .786 .725 r
.05921 .46764 m .05356 .49938 L .06425 .49808 L p F P
0 g
s
.901 .786 .725 r
.06425 .49808 m .06436 .49807 L p .06431 .49778 L F P
0 g
s
.901 .786 .725 r
.06431 .49778 m .05921 .46764 L .06425 .49808 L F
.293 .199 .574 r
.06989 .46791 m .07006 .46798 L p .06975 .46866 L F P
0 g
s
.9 .779 .72 r
.04553 .46155 m .03916 .49597 L .0283 .49726 L p F P
0 g
s
.905 .751 .68 r
.02809 .53372 m .0283 .49726 L .03916 .49597 L p F P
0 g
s
.324 .276 .649 r
.25956 .6119 m .25175 .61392 L p .25668 .58325 L F P
0 g
s
.324 .279 .652 r
.25489 .6427 m .25175 .61392 L .25956 .6119 L p F P
0 g
s
.705 .561 .689 r
.25175 .61392 m .25489 .6427 L .23721 .64593 L p F P
0 g
s
.705 .561 .689 r
.23721 .64593 m .2339 .61593 L .25175 .61392 L p F P
0 g
s
.324 .279 .652 r
.26249 .64006 m .25489 .6427 L p .25907 .6151 L F P
0 g
s
.324 .279 .652 r
.25956 .6119 m .26249 .64006 L p .25907 .6151 L F P
0 g
s
.324 .295 .671 r
.25954 .66868 m .25489 .6427 L .26249 .64006 L p F P
0 g
s
.703 .559 .688 r
.25489 .6427 m .25954 .66868 L .24214 .67327 L p F P
0 g
s
.703 .559 .688 r
.24214 .67327 m .23721 .64593 L .25489 .6427 L p F P
0 g
s
.324 .295 .671 r
.26688 .66549 m .25954 .66868 L p .2622 .6429 L F P
0 g
s
.324 .295 .671 r
.26249 .64006 m .26688 .66549 L p .2622 .6429 L F P
0 g
s
.325 .316 .695 r
.26617 .69423 m .25954 .66868 L .26688 .66549 L p F P
0 g
s
.702 .558 .688 r
.25954 .66868 m .26617 .69423 L .24917 .70015 L p F P
0 g
s
.702 .558 .688 r
.24917 .70015 m .24214 .67327 L .25954 .66868 L p F P
0 g
s
.325 .316 .695 r
.27321 .69047 m .26617 .69423 L p .26681 .66835 L F P
0 g
s
.325 .316 .695 r
.26688 .66549 m .27321 .69047 L p .26681 .66835 L F P
0 g
s
.328 .338 .718 r
.27453 .71849 m .26617 .69423 L .27321 .69047 L p F P
0 g
s
.7 .557 .689 r
.26617 .69423 m .27453 .71849 L .25819 .72609 L p F P
0 g
s
.7 .557 .689 r
.25819 .72609 m .24917 .70015 L .26617 .69423 L p F P
0 g
s
.328 .338 .718 r
.28109 .71406 m .27453 .71849 L p .27337 .69387 L F P
0 g
s
.328 .338 .718 r
.27321 .69047 m .28109 .71406 L p .27337 .69387 L F P
0 g
s
.334 .365 .745 r
.28444 .74041 m .27453 .71849 L .28109 .71406 L p F P
0 g
s
.698 .555 .689 r
.27453 .71849 m .28444 .74041 L .26877 .74931 L p F P
0 g
s
.698 .555 .689 r
.26877 .74931 m .25819 .72609 L .27453 .71849 L p F P
0 g
s
.334 .365 .745 r
.28109 .71406 m .29146 .73702 L .28444 .74041 L p F P
0 g
s
.883 .621 .537 r
.28109 .71406 m .27125 .71724 L p .28894 .73455 L F P
0 g
s
.883 .621 .537 r
.29146 .73702 m .28109 .71406 L p .28894 .73455 L F P
0 g
s
.895 .649 .559 r
.27321 .69047 m .26316 .69266 L p .27946 .71211 L F P
0 g
s
.895 .649 .559 r
.28109 .71406 m .27321 .69047 L p .27946 .71211 L F P
0 g
s
.902 .67 .577 r
.26688 .66549 m .25675 .6669 L p .27158 .68814 L F P
0 g
s
.902 .67 .577 r
.27321 .69047 m .26688 .66549 L p .27158 .68814 L F P
0 g
s
.908 .69 .596 r
.26249 .64006 m .25233 .64066 L p .2657 .66347 L F P
0 g
s
.908 .69 .596 r
.26688 .66549 m .26249 .64006 L p .2657 .66347 L F P
0 g
s
.913 .709 .614 r
.25956 .6119 m .24944 .6119 L p .26236 .63977 L F P
0 g
s
.913 .709 .614 r
.26249 .64006 m .25956 .6119 L p .26236 .63977 L F P
0 g
s
.324 .276 .649 r
.25677 .58269 m .25956 .6119 L p .25668 .58325 L F P
0 g
s
.911 .708 .617 r
.2339 .61593 m .23721 .64593 L .22699 .64655 L p F P
0 g
s
.911 .708 .617 r
.22699 .64655 m .22372 .61594 L .2339 .61593 L p F P
0 g
s
.946 .806 .673 r
.75816 .66607 m .76315 .63889 L .77074 .64122 L p F P
0 g
s
.946 .806 .673 r
.77074 .64122 m .76567 .66861 L .7582 .66608 L p F P
0 g
s
.946 .806 .673 r
.77074 .64122 m .7582 .66608 L .75822 .66595 L F
.71 .565 .689 r
.76567 .66861 m .77074 .64122 L .78849 .64396 L p F P
0 g
s
.71 .565 .689 r
.78849 .64396 m .78332 .67198 L .76567 .66861 L p F P
0 g
s
.412 .285 .596 r
.76839 .66691 m .77338 .6393 L .76319 .63889 L p F P
0 g
s
.412 .285 .596 r
.76319 .63889 m .76315 .63889 L p .76317 .639 L F P
0 g
s
.412 .285 .596 r
.76317 .639 m .76839 .66691 L .76319 .63889 L F
.946 .806 .673 r
.7582 .66608 m .75816 .66607 L p .75822 .66595 L F P
0 g
s
.417 .29 .599 r
.78332 .67198 m .78849 .64396 L .79879 .64439 L p F P
0 g
s
.414 .294 .607 r
.80287 .61629 m .79879 .64439 L .78849 .64396 L p F P
0 g
s
.55 .205 .337 r
.24632 .29257 m .24267 .2854 L p .27229 .28343 L F P
0 g
s
.545 .202 .338 r
.21655 .29489 m .24267 .2854 L .24632 .29257 L p F P
0 g
s
.724 .586 .701 r
.24267 .2854 m .21655 .29489 L .20919 .27849 L p F P
0 g
s
.724 .586 .701 r
.20919 .27849 m .23648 .26854 L .24267 .2854 L p F P
0 g
s
.545 .202 .338 r
.2208 .30169 m .21655 .29489 L p .24326 .29281 L F P
0 g
s
.545 .202 .338 r
.24632 .29257 m .2208 .30169 L p .24326 .29281 L F P
0 g
s
.525 .189 .341 r
.19385 .30499 m .21655 .29489 L .2208 .30169 L p F P
0 g
s
.725 .585 .699 r
.21655 .29489 m .19385 .30499 L .18513 .28925 L p F P
0 g
s
.725 .585 .699 r
.18513 .28925 m .20919 .27849 L .21655 .29489 L p F P
0 g
s
.525 .189 .341 r
.19863 .31135 m .19385 .30499 L p .21807 .30203 L F P
0 g
s
.525 .189 .341 r
.2208 .30169 m .19863 .31135 L p .21807 .30203 L F P
0 g
s
.498 .174 .348 r
.1721 .31694 m .19385 .30499 L .19863 .31135 L p F P
0 g
s
.724 .584 .697 r
.19385 .30499 m .1721 .31694 L .16205 .302 L p F P
0 g
s
.724 .584 .697 r
.16205 .302 m .18513 .28925 L .19385 .30499 L p F P
0 g
s
.498 .174 .348 r
.17742 .32279 m .1721 .31694 L p .19588 .31193 L F P
0 g
s
.498 .174 .348 r
.19863 .31135 m .17742 .32279 L p .19588 .31193 L F P
0 g
s
.472 .161 .357 r
.15222 .33022 m .1721 .31694 L .17742 .32279 L p F P
0 g
s
.724 .582 .695 r
.1721 .31694 m .15222 .33022 L .1405 .31654 L p F P
0 g
s
.724 .582 .695 r
.1405 .31654 m .16205 .302 L .1721 .31694 L p F P
0 g
s
.472 .161 .357 r
.15816 .33532 m .15222 .33022 L p .17421 .32374 L F P
0 g
s
.472 .161 .357 r
.17742 .32279 m .15816 .33532 L p .17421 .32374 L F P
0 g
s
.442 .147 .367 r
.13608 .34349 m .15222 .33022 L .15816 .33532 L p F P
0 g
s
.724 .579 .692 r
.15222 .33022 m .13608 .34349 L .12304 .33103 L p F P
0 g
s
.724 .579 .692 r
.12304 .33103 m .1405 .31654 L .15222 .33022 L p F P
0 g
s
.442 .147 .367 r
.15816 .33532 m .14033 .35014 L .13608 .34349 L p F P
0 g
s
.838 .831 .84 r
.15816 .33532 m .15235 .32667 L p .1419 .34707 L F P
0 g
s
.838 .831 .84 r
.14033 .35014 m .15816 .33532 L p .1419 .34707 L F P
0 g
s
.816 .83 .86 r
.17742 .32279 m .17265 .31363 L p .1595 .33333 L F P
0 g
s
.816 .83 .86 r
.15816 .33532 m .17742 .32279 L p .1595 .33333 L F P
0 g
s
.798 .827 .874 r
.19863 .31135 m .19466 .30191 L p .17915 .32069 L F P
0 g
s
.798 .827 .874 r
.17742 .32279 m .19863 .31135 L p .17915 .32069 L F P
0 g
s
.78 .822 .885 r
.2208 .30169 m .21767 .29202 L p .20006 .3099 L F P
0 g
s
.78 .822 .885 r
.19863 .31135 m .2208 .30169 L p .20006 .3099 L F P
0 g
s
.762 .815 .895 r
.24632 .29257 m .24376 .28281 L p .22109 .30146 L F P
0 g
s
.762 .815 .895 r
.2208 .30169 m .24632 .29257 L p .22109 .30146 L F P
0 g
s
.55 .205 .337 r
.2729 .28339 m .24632 .29257 L p .27229 .28343 L F P
0 g
s
.762 .812 .893 r
.23648 .26854 m .20919 .27849 L .20603 .26877 L p F P
0 g
s
.762 .812 .893 r
.20603 .26877 m .23389 .25872 L .23648 .26854 L p F P
0 g
s
.708 .601 .735 r
.49078 .1614 m .48992 .14283 L .50782 .14124 L p F P
0 g
s
.708 .601 .735 r
.50782 .14124 m .50873 .16071 L .49078 .1614 L p F P
0 g
s
.372 .333 .685 r
.50873 .16071 m .50782 .14124 L .51712 .14234 L p F P
0 g
s
.372 .333 .685 r
.51712 .14234 m .51787 .16171 L .50873 .16071 L p F P
0 g
s
.439 .529 .853 r
.65759 .64649 m .66533 .65652 L .65532 .65824 L p F P
0 g
s
.439 .529 .853 r
.65532 .65824 m .64765 .64843 L .65759 .64649 L p F P
0 g
s
.732 .626 .74 r
.64765 .64843 m .65532 .65824 L .64089 .66894 L p F P
0 g
s
.732 .626 .74 r
.64089 .66894 m .63343 .65943 L .64765 .64843 L p F P
0 g
s
.768 .656 .739 r
.71705 .76475 m .7276 .76895 L .73251 .75168 L p F P
0 g
s
.768 .656 .739 r
.73251 .75168 m .72573 .74901 L .71705 .76475 L p F P
0 g
s
.469 .581 .884 r
.49957 .61042 m .50605 .6162 L .49801 .62126 L p F P
0 g
s
.469 .581 .884 r
.49801 .62126 m .49076 .61415 L .49912 .61061 L p F P
0 g
s
.469 .581 .884 r
.49801 .62126 m .49912 .61061 L .4995 .61094 L F
.737 .623 .732 r
.49076 .61415 m .49801 .62126 L .48861 .63656 L p F P
0 g
s
.877 .571 .467 r
.49663 .62038 m .50468 .62653 L .506 .61659 L p F P
0 g
s
.877 .571 .467 r
.506 .61659 m .50605 .6162 L p .50572 .61635 L F P
0 g
s
.877 .571 .467 r
.50572 .61635 m .49663 .62038 L .506 .61659 L F
.469 .581 .884 r
.49912 .61061 m .49957 .61042 L p .4995 .61094 L F P
0 g
s
.737 .623 .732 r
.48861 .63656 m .47902 .62776 L .49076 .61415 L p F P
0 g
s
.85 .542 .465 r
.47902 .62776 m .48861 .63656 L .48718 .64693 L p F P
0 g
s
.819 .493 .438 r
.49945 .6541 m .48718 .64693 L .48861 .63656 L p F P
0 g
s
.748 .6 .693 r
.55188 .30088 m .56286 .29701 L .56821 .31415 L p F P
0 g
s
.768 .831 .901 r
.56286 .29701 m .55188 .30088 L .55173 .29048 L p F P
0 g
s
.768 .831 .901 r
.55173 .29048 m .56433 .28652 L .56286 .29701 L p F P
0 g
s
.661 .551 .72 r
.47632 .56564 m .46581 .56933 L .47123 .58646 L p F P
0 g
s
.661 .551 .72 r
.47123 .58646 m .47995 .58325 L .47632 .56564 L p F P
0 g
s
.648 .301 .369 r
.50959 .56155 m .52075 .5627 L .5269 .55456 L p F P
0 g
s
.673 .32 .368 r
.53819 .55726 m .5269 .55456 L .52075 .5627 L p F P
0 g
s
.915 .648 .52 r
.70072 .70952 m .69442 .69916 L .68927 .70768 L p F P
0 g
s
.467 .266 .524 r
.87796 .69306 m .89982 .66613 L .89093 .66 L p F P
0 g
s
.381 .386 .74 r
.63572 .39527 m .63228 .38799 L .62577 .39707 L p F P
0 g
s
.381 .386 .74 r
.62577 .39707 m .63035 .40516 L .63572 .39527 L p F P
0 g
s
.485 .664 .941 r
.61353 .32612 m .61181 .32242 L .59981 .3257 L p F P
0 g
s
.531 .744 .973 r
.5987 .32435 m .59981 .3257 L .61181 .32242 L p F P
0 g
s
.728 .369 .371 r
.54868 .62981 m .54055 .62915 L .54421 .63906 L p F P
0 g
s
.454 .531 .847 r
.68817 .36269 m .68441 .35512 L .67405 .35844 L p F P
0 g
s
.531 .648 .909 r
.55128 .37411 m .54314 .37127 L .54515 .38216 L p F P
0 g
s
.531 .648 .909 r
.54515 .38216 m .55481 .38457 L .55128 .37411 L p F P
0 g
s
.368 .34 .696 r
.48918 .2695 m .48789 .25294 L .47889 .25111 L p F P
0 g
s
.364 .325 .681 r
.47855 .234 m .47889 .25111 L .48789 .25294 L p F P
0 g
s
.829 .821 .842 r
.1894 .14261 m .2105 .12032 L .20187 .11373 L p F P
0 g
s
.862 .572 .496 r
.19003 .44955 m .20631 .4732 L .21583 .46956 L p F P
0 g
s
.866 .58 .502 r
.23235 .49484 m .21583 .46956 L .20631 .4732 L p F P
0 g
s
.442 .25 .523 r
.80446 .49843 m .79086 .52364 L .80069 .52678 L p F P
0 g
s
.863 .833 .816 r
.38603 .18549 m .36637 .20797 L .37248 .2162 L p F P
0 g
s
.858 .833 .821 r
.3512 .23919 m .37248 .2162 L .36637 .20797 L p F P
0 g
s
.878 .623 .549 r
.10814 .64868 m .09077 .62059 L .08216 .62702 L p F P
0 g
s
.898 .593 .461 r
.64661 .37467 m .64888 .38095 L .65884 .38303 L p F P
0 g
s
.916 .567 .362 r
.62055 .29637 m .61351 .29159 L .61742 .30248 L p F P
0 g
s
.916 .567 .362 r
.61742 .30248 m .62222 .3077 L .62055 .29637 L p F P
0 g
s
.708 .336 .342 r
.54473 .35171 m .54984 .35453 L .55849 .34881 L p F P
0 g
s
.531 .664 .921 r
.51884 .58957 m .52779 .59168 L .52636 .58226 L p F P
0 g
s
.417 .492 .83 r
.66381 .71803 m .67133 .73019 L .68136 .72884 L p F P
0 g
s
.426 .514 .845 r
.68948 .73986 m .68136 .72884 L .67133 .73019 L p F P
0 g
s
.911 .887 .795 r
.92259 .67698 m .94131 .64242 L .93413 .64123 L p F P
0 g
s
.911 .887 .795 r
.93413 .64123 m .91571 .67466 L .92259 .67698 L p F P
0 g
s
.667 .807 .95 r
.53795 .66501 m .55134 .66564 L .55504 .65709 L p F P
0 g
s
.714 .839 .941 r
.56706 .65528 m .55504 .65709 L .55134 .66564 L p F P
0 g
s
.906 .595 .447 r
.69997 .33357 m .69032 .3239 L .69 .33347 L p F P
0 g
s
.906 .595 .447 r
.69 .33347 m .69743 .34264 L .69997 .33357 L p F P
0 g
s
.931 .779 .669 r
.51481 .25037 m .51449 .23497 L .50545 .23668 L p F P
0 g
s
.357 .111 .398 r
.18447 .09552 m .15968 .12243 L .16502 .12728 L p F P
0 g
s
.328 .125 .446 r
.14581 .15686 m .16502 .12728 L .15968 .12243 L p F P
0 g
s
.363 .427 .794 r
.18595 .48951 m .20036 .51125 L .20645 .50581 L p F P
0 g
s
.92 .863 .768 r
.82238 .54095 m .83602 .51559 L .83019 .51005 L p F P
0 g
s
.921 .862 .766 r
.84384 .48431 m .83019 .51005 L .83602 .51559 L p F P
0 g
s
.408 .15 .407 r
.34587 .19207 m .32762 .21205 L .33408 .21679 L p F P
0 g
s
.343 .438 .814 r
.06016 .63945 m .08128 .67254 L .08724 .66833 L p F P
0 g
s
.384 .507 .859 r
.1126 .69582 m .08724 .66833 L .08128 .67254 L p F P
0 g
s
.461 .578 .886 r
.56956 .56755 m .58015 .57254 L .57927 .58218 L p F P
0 g
s
.441 .547 .868 r
.58823 .58786 m .57927 .58218 L .58015 .57254 L p F P
0 g
s
.655 .512 .676 r
.57927 .58218 m .58823 .58786 L .57796 .60261 L p F P
0 g
s
.655 .512 .676 r
.57796 .60261 m .5703 .59774 L .57927 .58218 L p F P
0 g
s
.707 .617 .753 r
.71153 .40167 m .71161 .38852 L .69387 .39141 L p F P
0 g
s
.707 .617 .753 r
.69387 .39141 m .69358 .40234 L .71153 .40167 L p F P
0 g
s
.719 .613 .738 r
.52193 .32336 m .51654 .31087 L .49929 .31593 L p F P
0 g
s
.449 .164 .388 r
.60405 .37551 m .59508 .37946 L .59701 .36953 L p F P
0 g
s
.449 .164 .388 r
.59701 .36953 m .60499 .36543 L .60405 .37551 L p F P
0 g
s
.638 .545 .733 r
.60499 .36543 m .59701 .36953 L .59123 .35252 L p F P
0 g
s
.638 .545 .733 r
.59123 .35252 m .59768 .34901 L .60499 .36543 L p F P
0 g
s
.699 .554 .686 r
.12689 .36441 m .13549 .38879 L .15176 .38115 L p F P
0 g
s
.699 .554 .686 r
.15176 .38115 m .14375 .3582 L .12689 .36441 L p F P
0 g
s
.711 .563 .686 r
.8732 .40652 m .87792 .38041 L .86005 .37862 L p F P
0 g
s
.711 .563 .686 r
.86005 .37862 m .85557 .40299 L .8732 .40652 L p F P
0 g
s
.723 .581 .695 r
.45592 .09893 m .43363 .11454 L .44524 .12826 L p F P
0 g
s
.723 .581 .695 r
.44524 .12826 m .46641 .11351 L .45592 .09893 L p F P
0 g
s
.69 .567 .711 r
.76774 .77114 m .8017 .76356 L .79437 .74715 L p F P
0 g
s
.69 .567 .711 r
.79437 .74715 m .76364 .75365 L .76774 .77114 L p F P
0 g
s
.723 .593 .71 r
.20905 .74943 m .24525 .75487 L .24415 .73694 L p F P
0 g
s
.723 .593 .71 r
.24415 .73694 m .21211 .73171 L .20905 .74943 L p F P
0 g
s
.707 .589 .721 r
.11549 .26424 m .11593 .30347 L .13372 .30094 L p F P
0 g
s
.707 .589 .721 r
.13372 .30094 m .13347 .26429 L .11549 .26424 L p F P
0 g
s
.591 .213 .294 r
.67073 .42965 m .66157 .42774 L .67016 .4216 L p F P
0 g
s
.591 .213 .294 r
.67016 .4216 m .67821 .4222 L .67073 .42965 L p F P
0 g
s
.604 .478 .682 r
.67821 .4222 m .67016 .4216 L .67617 .40467 L p F P
0 g
s
.604 .478 .682 r
.67617 .40467 m .68161 .40454 L .67821 .4222 L p F P
0 g
s
.792 .633 .684 r
.64421 .32551 m .64856 .32431 L .65182 .34198 L p F P
0 g
s
.764 .85 .915 r
.64856 .32431 m .64421 .32551 L .64884 .31464 L p F P
0 g
s
.764 .85 .915 r
.64884 .31464 m .65507 .31354 L .64856 .32431 L p F P
0 g
s
.636 .249 .294 r
.39217 .06409 m .35939 .06173 L .36088 .05429 L p F P
0 g
s
.636 .249 .294 r
.36088 .05429 m .39462 .05682 L .39221 .06398 L p F P
0 g
s
.636 .249 .294 r
.36088 .05429 m .39221 .06398 L .39172 .06395 L F
.692 .564 .706 r
.39462 .05682 m .36088 .05429 L .36017 .03633 L p F P
0 g
s
.692 .564 .706 r
.36017 .03633 m .39601 .03888 L .39462 .05682 L p F P
0 g
s
.629 .714 .908 r
.39111 .05335 m .35717 .05112 L .35937 .06165 L p F P
0 g
s
.629 .714 .908 r
.35937 .06165 m .35939 .06173 L p .35963 .06167 L F P
0 g
s
.629 .714 .908 r
.35963 .06167 m .39111 .05335 L .35937 .06165 L F
.636 .249 .294 r
.39221 .06398 m .39217 .06409 L p .39172 .06395 L F P
0 g
s
.634 .716 .906 r
.39601 .03888 m .36017 .03633 L .35796 .02567 L p F P
0 g
s
.665 .741 .907 r
.31902 .02784 m .35796 .02567 L .36017 .03633 L p F P
0 g
s
.437 .429 .752 r
.95274 .45381 m .94166 .42032 L .95196 .41692 L p F P
0 g
s
.437 .429 .752 r
.95196 .41692 m .96352 .45227 L .95274 .45381 L p F P
0 g
s
.303 .176 .536 r
.08052 .43469 m .07006 .46798 L .06318 .46493 L p F P
0 g
s
.303 .176 .536 r
.06318 .46493 m .07398 .43089 L .08042 .43463 L p F P
0 g
s
.303 .176 .536 r
.06318 .46493 m .08042 .43463 L .08025 .43516 L F
.703 .585 .72 r
.07398 .43089 m .06318 .46493 L .04553 .46155 L p F P
0 g
s
.703 .585 .72 r
.04553 .46155 m .05685 .42541 L .07398 .43089 L p F P
0 g
s
.893 .8 .75 r
.06984 .433 m .05921 .46764 L .06997 .46798 L p F P
0 g
s
.893 .8 .75 r
.06997 .46798 m .07006 .46798 L p .07006 .4677 L F P
0 g
s
.893 .8 .75 r
.07006 .4677 m .06984 .433 L .06997 .46798 L F
.303 .176 .536 r
.08042 .43463 m .08052 .43469 L p .08025 .43516 L F P
0 g
s
.892 .796 .747 r
.05685 .42541 m .04553 .46155 L .03462 .46118 L p F P
0 g
s
.9 .779 .72 r
.0283 .49726 m .03462 .46118 L .04553 .46155 L p F P
0 g
s
.942 .824 .698 r
.75174 .68956 m .75816 .66607 L .76567 .66861 L p F P
0 g
s
.942 .824 .698 r
.76567 .66861 m .75893 .69287 L .75183 .6896 L p F P
0 g
s
.942 .824 .698 r
.76567 .66861 m .75183 .6896 L .75191 .6893 L F
.712 .566 .688 r
.75893 .69287 m .76567 .66861 L .78332 .67198 L p F P
0 g
s
.712 .566 .688 r
.78332 .67198 m .77625 .69773 L .75893 .69287 L p F P
0 g
s
.42 .272 .573 r
.76195 .69113 m .76839 .66691 L .75825 .66608 L p F P
0 g
s
.42 .272 .573 r
.75825 .66608 m .75816 .66607 L p .75819 .66628 L F P
0 g
s
.42 .272 .573 r
.75819 .66628 m .76195 .69113 L .75825 .66608 L F
.942 .824 .698 r
.75183 .6896 m .75174 .68956 L p .75191 .6893 L F P
0 g
s
.424 .279 .579 r
.77625 .69773 m .78332 .67198 L .79361 .67285 L p F P
0 g
s
.417 .29 .599 r
.79879 .64439 m .79361 .67285 L .78332 .67198 L p F P
0 g
s
.907 .69 .599 r
.23721 .64593 m .24214 .67327 L .23196 .67471 L p F P
0 g
s
.907 .69 .599 r
.23196 .67471 m .22699 .64655 L .23721 .64593 L p F P
0 g
s
.779 .819 .884 r
.20919 .27849 m .18513 .28925 L .18112 .27976 L p F P
0 g
s
.779 .819 .884 r
.18112 .27976 m .20603 .26877 L .20919 .27849 L p F P
0 g
s
.689 .515 .646 r
.62269 .35628 m .62489 .36466 L .64233 .36022 L p F P
0 g
s
.932 .764 .651 r
.4884 .12942 m .48992 .14283 L .48118 .14555 L p F P
0 g
s
.709 .606 .74 r
.48992 .14283 m .4884 .12942 L .50596 .12552 L p F P
0 g
s
.709 .606 .74 r
.50596 .12552 m .50782 .14124 L .48992 .14283 L p F P
0 g
s
.376 .352 .705 r
.50782 .14124 m .50596 .12552 L .5155 .12538 L p F P
0 g
s
.376 .352 .705 r
.5155 .12538 m .51712 .14234 L .50782 .14124 L p F P
0 g
s
.441 .533 .856 r
.64993 .63681 m .65759 .64649 L .64765 .64843 L p F P
0 g
s
.441 .533 .856 r
.64765 .64843 m .64001 .63886 L .64993 .63681 L p F P
0 g
s
.733 .627 .74 r
.64001 .63886 m .64765 .64843 L .63343 .65943 L p F P
0 g
s
.733 .627 .74 r
.63343 .65943 m .62591 .65003 L .64001 .63886 L p F P
0 g
s
.742 .592 .69 r
.53991 .30692 m .55188 .30088 L .55932 .31724 L p F P
0 g
s
.796 .842 .886 r
.55188 .30088 m .53991 .30692 L .53829 .29669 L p F P
0 g
s
.796 .842 .886 r
.53829 .29669 m .55173 .29048 L .55188 .30088 L p F P
0 g
s
.753 .646 .743 r
.70737 .75837 m .71705 .76475 L .72573 .74901 L p F P
0 g
s
.753 .646 .743 r
.72573 .74901 m .71843 .74418 L .70737 .75837 L p F P
0 g
s
.439 .536 .859 r
.49314 .603 m .49957 .61042 L .49076 .61415 L p F P
0 g
s
.439 .536 .859 r
.49076 .61415 m .48398 .60568 L .49275 .60311 L p F P
0 g
s
.439 .536 .859 r
.49076 .61415 m .49275 .60311 L .49304 .60344 L F
.732 .622 .735 r
.48398 .60568 m .49076 .61415 L .47902 .62776 L p F P
0 g
s
.893 .607 .496 r
.48879 .61231 m .49663 .62038 L .49948 .61075 L p F P
0 g
s
.893 .607 .496 r
.49948 .61075 m .49957 .61042 L p .49924 .61048 L F P
0 g
s
.893 .607 .496 r
.49924 .61048 m .48879 .61231 L .49948 .61075 L F
.439 .536 .859 r
.49275 .60311 m .49314 .603 L p .49304 .60344 L F P
0 g
s
.732 .622 .735 r
.47902 .62776 m .4705 .61759 L .48398 .60568 L p F P
0 g
s
.875 .584 .492 r
.4705 .61759 m .47902 .62776 L .47601 .63775 L p F P
0 g
s
.85 .542 .465 r
.48718 .64693 m .47601 .63775 L .47902 .62776 L p F P
0 g
s
.659 .546 .715 r
.48725 .563 m .47632 .56564 L .47995 .58325 L p F P
0 g
s
.659 .546 .715 r
.47995 .58325 m .48879 .58092 L .48725 .563 L p F P
0 g
s
.673 .32 .368 r
.52075 .5627 m .53158 .56498 L .53819 .55726 L p F P
0 g
s
.685 .329 .365 r
.54805 .5603 m .53819 .55726 L .53158 .56498 L p F P
0 g
s
.914 .648 .521 r
.69442 .69916 m .68772 .68796 L .68246 .69637 L p F P
0 g
s
.446 .279 .56 r
.89982 .66613 m .91716 .63511 L .90749 .63023 L p F P
0 g
s
.402 .439 .785 r
.64038 .40258 m .63572 .39527 L .63035 .40516 L p F P
0 g
s
.402 .439 .785 r
.63035 .40516 m .63674 .41319 L .64038 .40258 L p F P
0 g
s
.531 .744 .973 r
.61181 .32242 m .60999 .31892 L .5987 .32435 L p F P
0 g
s
.762 .407 .383 r
.54055 .62915 m .5323 .62737 L .53463 .63766 L p F P
0 g
s
.49 .589 .88 r
.68441 .35512 m .68012 .34856 L .67062 .35398 L p F P
0 g
s
.576 .697 .924 r
.55996 .37572 m .55128 .37411 L .55481 .38457 L p F P
0 g
s
.576 .697 .924 r
.55481 .38457 m .56507 .38542 L .55996 .37572 L p F P
0 g
s
.364 .325 .681 r
.48789 .25294 m .48741 .23619 L .47855 .234 L p F P
0 g
s
.361 .312 .667 r
.47901 .21696 m .47855 .234 L .48741 .23619 L p F P
0 g
s
.798 .816 .866 r
.2105 .12032 m .23509 .10149 L .22748 .09369 L p F P
0 g
s
.866 .58 .502 r
.20631 .4732 m .22251 .49757 L .23235 .49484 L p F P
0 g
s
.883 .618 .532 r
.24631 .52355 m .23235 .49484 L .22251 .49757 L p F P
0 g
s
.433 .257 .541 r
.78875 .55354 m .80069 .52678 L .79086 .52364 L p F P
0 g
s
.433 .257 .541 r
.79086 .52364 m .77875 .55101 L .78875 .55354 L p F P
0 g
s
.858 .833 .821 r
.36637 .20797 m .34592 .23041 L .3512 .23919 L p F P
0 g
s
.834 .833 .846 r
.32581 .2603 m .3512 .23919 L .34592 .23041 L p F P
0 g
s
.894 .665 .585 r
.09077 .62059 m .07797 .58963 L .06844 .59473 L p F P
0 g
s
.504 .636 .912 r
.52779 .59168 m .53792 .59482 L .53629 .58537 L p F P
0 g
s
.504 .636 .912 r
.53629 .58537 m .52636 .58226 L .52779 .59168 L p F P
0 g
s
.415 .487 .825 r
.65689 .7065 m .66381 .71803 L .6739 .71715 L p F P
0 g
s
.417 .492 .83 r
.68136 .72884 m .6739 .71715 L .66381 .71803 L p F P
0 g
s
.934 .869 .75 r
.94131 .64242 m .95453 .60675 L .9473 .60591 L p F P
0 g
s
.934 .869 .75 r
.9473 .60591 m .93413 .64123 L .94131 .64242 L p F P
0 g
s
.877 .553 .434 r
.64888 .38095 m .65141 .38637 L .66162 .38742 L p F P
0 g
s
.839 .464 .343 r
.61351 .29159 m .60587 .28829 L .6082 .29738 L p F P
0 g
s
.839 .464 .343 r
.6082 .29738 m .61742 .30248 L .61351 .29159 L p F P
0 g
s
.623 .772 .952 r
.52491 .66258 m .53795 .66501 L .5429 .65706 L p F P
0 g
s
.667 .807 .95 r
.55504 .65709 m .5429 .65706 L .53795 .66501 L p F P
0 g
s
.88 .53 .383 r
.69032 .3239 m .67858 .31663 L .68394 .32737 L p F P
0 g
s
.88 .53 .383 r
.68394 .32737 m .69 .33347 L .69032 .3239 L p F P
0 g
s
.662 .293 .335 r
.54984 .35453 m .55542 .35655 L .56306 .34957 L p F P
0 g
s
.929 .788 .684 r
.51449 .23497 m .5149 .21943 L .50578 .22033 L p F P
0 g
s
.395 .11 .358 r
.21332 .07284 m .18447 .09552 L .1888 .10128 L p F P
0 g
s
.357 .111 .398 r
.16502 .12728 m .1888 .10128 L .18447 .09552 L p F P
0 g
s
.347 .391 .765 r
.20036 .51125 m .21137 .53212 L .21861 .52863 L p F P
0 g
s
.92 .863 .768 r
.83019 .51005 m .81651 .53547 L .82238 .54095 L p F P
0 g
s
.434 .152 .385 r
.32762 .21205 m .30926 .22836 L .31418 .23464 L p F P
0 g
s
.313 .374 .766 r
.04468 .6033 m .06016 .63945 L .06679 .63649 L p F P
0 g
s
.343 .438 .814 r
.08724 .66833 m .06679 .63649 L .06016 .63945 L p F P
0 g
s
.441 .547 .868 r
.58015 .57254 m .59013 .57841 L .58823 .58786 L p F P
0 g
s
.427 .521 .851 r
.59713 .59459 m .58823 .58786 L .59013 .57841 L p F P
0 g
s
.66 .513 .674 r
.58823 .58786 m .59713 .59459 L .58562 .60842 L p F P
0 g
s
.66 .513 .674 r
.58562 .60842 m .57796 .60261 L .58823 .58786 L p F P
0 g
s
.713 .623 .755 r
.69294 .3809 m .69387 .39141 L .71161 .38852 L p F P
0 g
s
.713 .623 .755 r
.71161 .38852 m .71013 .37557 L .69294 .3809 L p F P
0 g
s
.75 .592 .681 r
.58991 .64661 m .60058 .63989 L .58995 .62539 L p F P
0 g
s
.75 .592 .681 r
.58995 .62539 m .58118 .63089 L .58991 .64661 L p F P
0 g
s
.716 .611 .739 r
.49473 .30117 m .49929 .31593 L .51654 .31087 L p F P
0 g
s
.716 .611 .739 r
.51654 .31087 m .51239 .2977 L .49473 .30117 L p F P
0 g
s
.457 .176 .399 r
.61291 .37114 m .60405 .37551 L .60499 .36543 L p F P
0 g
s
.457 .176 .399 r
.60499 .36543 m .61292 .36127 L .61291 .37114 L p F P
0 g
s
.651 .553 .731 r
.61292 .36127 m .60499 .36543 L .59768 .34901 L p F P
0 g
s
.651 .553 .731 r
.59768 .34901 m .60498 .34513 L .61292 .36127 L p F P
0 g
s
.721 .817 .924 r
.60498 .34513 m .59768 .34901 L .58938 .34254 L p F P
0 g
s
.713 .565 .687 r
.8661 .43241 m .8732 .40652 L .85557 .40299 L p F P
0 g
s
.713 .565 .687 r
.85557 .40299 m .84883 .42737 L .8661 .43241 L p F P
0 g
s
.698 .554 .688 r
.13549 .38879 m .14641 .41286 L .16199 .40386 L p F P
0 g
s
.698 .554 .688 r
.16199 .40386 m .15176 .38115 L .13549 .38879 L p F P
0 g
s
.722 .579 .694 r
.42489 .14499 m .44524 .12826 L .43363 .11454 L p F P
0 g
s
.722 .579 .694 r
.43363 .11454 m .41223 .1322 L .42489 .14499 L p F P
0 g
s
.692 .57 .714 r
.82418 .73461 m .79437 .74715 L .8017 .76356 L p F P
0 g
s
.692 .57 .714 r
.8017 .76356 m .83455 .74931 L .82418 .73461 L p F P
0 g
s
.722 .594 .712 r
.17421 .73715 m .20905 .74943 L .21211 .73171 L p F P
0 g
s
.722 .594 .712 r
.21211 .73171 m .18051 .72029 L .17421 .73715 L p F P
0 g
s
.705 .587 .721 r
.12065 .22596 m .11549 .26424 L .13347 .26429 L p F P
0 g
s
.705 .587 .721 r
.13347 .26429 m .13844 .22863 L .12065 .22596 L p F P
0 g
s
.578 .214 .315 r
.67962 .43055 m .67073 .42965 L .67821 .4222 L p F P
0 g
s
.578 .214 .315 r
.67821 .4222 m .68587 .42233 L .67962 .43055 L p F P
0 g
s
.62 .5 .694 r
.68587 .42233 m .67821 .4222 L .68161 .40454 L p F P
0 g
s
.62 .5 .694 r
.68161 .40454 m .68761 .40442 L .68587 .42233 L p F P
0 g
s
.532 .666 .922 r
.68761 .40442 m .68161 .40454 L .67755 .39421 L p F P
0 g
s
.774 .617 .685 r
.63738 .32785 m .64421 .32551 L .64864 .34293 L p F P
0 g
s
.772 .846 .908 r
.64421 .32551 m .63738 .32785 L .64098 .31663 L p F P
0 g
s
.772 .846 .908 r
.64098 .31663 m .64884 .31464 L .64421 .32551 L p F P
0 g
s
.325 .153 .488 r
.09591 .40423 m .08052 .43469 L .07398 .43089 L p F P
0 g
s
.325 .153 .488 r
.07398 .43089 m .09004 .39929 L .09578 .40412 L p F P
0 g
s
.325 .153 .488 r
.07398 .43089 m .09578 .40412 L .09545 .40479 L F
.701 .582 .719 r
.09004 .39929 m .07398 .43089 L .05685 .42541 L p F P
0 g
s
.701 .582 .719 r
.05685 .42541 m .07399 .39114 L .09004 .39929 L p F P
0 g
s
.877 .818 .787 r
.08565 .401 m .06984 .433 L .08043 .43468 L p F P
0 g
s
.877 .818 .787 r
.08043 .43468 m .08052 .43469 L p .08056 .43443 L F P
0 g
s
.877 .818 .787 r
.08056 .43443 m .08565 .401 L .08043 .43468 L F
.325 .153 .488 r
.09578 .40412 m .09591 .40423 L p .09545 .40479 L F P
0 g
s
.877 .813 .782 r
.07399 .39114 m .05685 .42541 L .04612 .42369 L p F P
0 g
s
.892 .796 .747 r
.03462 .46118 m .04612 .42369 L .05685 .42541 L p F P
0 g
s
.702 .314 .31 r
.42216 .07248 m .39217 .06409 L .39462 .05682 L p F P
0 g
s
.702 .314 .31 r
.39462 .05682 m .42617 .06572 L .42227 .07229 L p F P
0 g
s
.702 .314 .31 r
.39462 .05682 m .42227 .07229 L .42138 .07204 L F
.693 .563 .703 r
.42617 .06572 m .39462 .05682 L .39601 .03888 L p F P
0 g
s
.693 .563 .703 r
.39601 .03888 m .43098 .04838 L .42617 .06572 L p F P
0 g
s
.578 .666 .898 r
.42297 .06181 m .39111 .05335 L .39217 .064 L p F P
0 g
s
.578 .666 .898 r
.39217 .064 m .39217 .06409 L p .39244 .06407 L F P
0 g
s
.578 .666 .898 r
.39244 .06407 m .42297 .06181 L .39217 .064 L F
.702 .314 .31 r
.42227 .07229 m .42216 .07248 L p .42138 .07204 L F P
0 g
s
.588 .672 .898 r
.43098 .04838 m .39601 .03888 L .39496 .02808 L p F P
0 g
s
.634 .716 .906 r
.35796 .02567 m .39496 .02808 L .39601 .03888 L p F P
0 g
s
.656 .506 .668 r
.52241 .3566 m .52885 .36252 L .53969 .34814 L p F P
0 g
s
.456 .481 .796 r
.94166 .42032 m .92442 .39001 L .93391 .38494 L p F P
0 g
s
.456 .481 .796 r
.93391 .38494 m .95196 .41692 L .94166 .42032 L p F P
0 g
s
.901 .67 .58 r
.24214 .67327 m .24917 .70015 L .23907 .70237 L p F P
0 g
s
.901 .67 .58 r
.23907 .70237 m .23196 .67471 L .24214 .67327 L p F P
0 g
s
.936 .842 .726 r
.74327 .71227 m .75174 .68956 L .75893 .69287 L p F P
0 g
s
.936 .842 .726 r
.75893 .69287 m .75009 .71621 L .74337 .71232 L p F P
0 g
s
.936 .842 .726 r
.75893 .69287 m .74337 .71232 L .74349 .712 L F
.714 .568 .688 r
.75009 .71621 m .75893 .69287 L .77625 .69773 L p F P
0 g
s
.714 .568 .688 r
.77625 .69773 m .76691 .72262 L .75009 .71621 L p F P
0 g
s
.43 .263 .552 r
.75336 .71475 m .76195 .69113 L .75184 .68958 L p F P
0 g
s
.43 .263 .552 r
.75184 .68958 m .75174 .68956 L p .75176 .6898 L F P
0 g
s
.43 .263 .552 r
.75176 .6898 m .75336 .71475 L .75184 .68958 L F
.936 .842 .726 r
.74337 .71232 m .74327 .71227 L p .74349 .712 L F P
0 g
s
.433 .27 .558 r
.76691 .72262 m .77625 .69773 L .78651 .69932 L p F P
0 g
s
.424 .279 .579 r
.79361 .67285 m .78651 .69932 L .77625 .69773 L p F P
0 g
s
.797 .824 .873 r
.18513 .28925 m .16205 .302 L .15724 .2928 L p F P
0 g
s
.797 .824 .873 r
.15724 .2928 m .18112 .27976 L .18513 .28925 L p F P
0 g
s
.688 .515 .647 r
.6446 .36824 m .64233 .36022 L .62489 .36466 L p F P
0 g
s
.688 .515 .647 r
.62489 .36466 m .62729 .37318 L .6446 .36824 L p F P
0 g
s
.932 .764 .651 r
.48024 .13322 m .4884 .12942 L p .48175 .14425 L F P
0 g
s
.932 .733 .611 r
.48515 .11648 m .4884 .12942 L .48024 .13322 L p F P
0 g
s
.932 .733 .611 r
.47791 .12159 m .48515 .11648 L p .48068 .13172 L F P
0 g
s
.932 .733 .611 r
.48024 .13322 m .47791 .12159 L p .48068 .13172 L F P
0 g
s
.714 .609 .739 r
.4884 .12942 m .48515 .11648 L .50194 .11 L p F P
0 g
s
.927 .694 .565 r
.48056 .1059 m .48515 .11648 L .47791 .12159 L p F P
0 g
s
.927 .694 .565 r
.47495 .11247 m .48056 .1059 L p .47816 .12006 L F P
0 g
s
.927 .694 .565 r
.47791 .12159 m .47495 .11247 L p .47816 .12006 L F P
0 g
s
.719 .613 .738 r
.48515 .11648 m .48056 .1059 L .49551 .09584 L p F P
0 g
s
.948 .707 .539 r
.47792 .10049 m .48056 .1059 L .47495 .11247 L p F P
0 g
s
.948 .707 .539 r
.47495 .11247 m .47088 .105 L .47792 .10049 L p F P
0 g
s
.452 .513 .831 r
.47495 .11247 m .48436 .10895 L p .47192 .10531 L F P
0 g
s
.452 .513 .831 r
.47088 .105 m .47495 .11247 L p .47192 .10531 L F P
0 g
s
.41 .443 .783 r
.47791 .12159 m .48753 .12021 L p .4755 .11281 L F P
0 g
s
.41 .443 .783 r
.47495 .11247 m .47791 .12159 L p .4755 .11281 L F P
0 g
s
.386 .393 .744 r
.48024 .13322 m .48971 .13311 L p .47875 .12242 L F P
0 g
s
.386 .393 .744 r
.47791 .12159 m .48024 .13322 L p .47875 .12242 L F P
0 g
s
.932 .764 .651 r
.48118 .14555 m .48024 .13322 L p .48175 .14425 L F P
0 g
s
.714 .609 .739 r
.50194 .11 m .50596 .12552 L .4884 .12942 L p F P
0 g
s
.391 .392 .741 r
.50596 .12552 m .50194 .11 L .51162 .10858 L p F P
0 g
s
.391 .392 .741 r
.51162 .10858 m .5155 .12538 L .50596 .12552 L p F P
0 g
s
.411 .486 .826 r
.48802 .59485 m .49314 .603 L .48398 .60568 L p F P
0 g
s
.411 .486 .826 r
.48398 .60568 m .47851 .59617 L .48759 .59491 L p F P
0 g
s
.411 .486 .826 r
.48398 .60568 m .48759 .59491 L .48785 .59531 L F
.727 .62 .739 r
.47851 .59617 m .48398 .60568 L .4705 .61759 L p F P
0 g
s
.915 .657 .533 r
.48238 .60338 m .48879 .61231 L .49299 .60331 L p F P
0 g
s
.915 .657 .533 r
.49299 .60331 m .49314 .603 L p .4928 .60301 L F P
0 g
s
.915 .657 .533 r
.4928 .60301 m .48238 .60338 L .49299 .60331 L F
.411 .486 .826 r
.48759 .59491 m .48802 .59485 L p .48785 .59531 L F P
0 g
s
.727 .62 .739 r
.4705 .61759 m .4634 .60597 L .47851 .59617 L p F P
0 g
s
.896 .629 .525 r
.4634 .60597 m .4705 .61759 L .46608 .62692 L p F P
0 g
s
.875 .584 .492 r
.47601 .63775 m .46608 .62692 L .4705 .61759 L p F P
0 g
s
.446 .543 .862 r
.64181 .62712 m .64993 .63681 L .64001 .63886 L p F P
0 g
s
.446 .543 .862 r
.64001 .63886 m .63199 .62946 L .64181 .62712 L p F P
0 g
s
.734 .628 .74 r
.63199 .62946 m .64001 .63886 L .62591 .65003 L p F P
0 g
s
.734 .628 .74 r
.62591 .65003 m .6182 .64104 L .63199 .62946 L p F P
0 g
s
.739 .586 .684 r
.52908 .31448 m .53991 .30692 L .54969 .32202 L p F P
0 g
s
.829 .851 .863 r
.53991 .30692 m .52908 .31448 L .52609 .30465 L p F P
0 g
s
.829 .851 .863 r
.52609 .30465 m .53829 .29669 L .53991 .30692 L p F P
0 g
s
.658 .541 .71 r
.49832 .56172 m .48725 .563 L .48879 .58092 L p F P
0 g
s
.658 .541 .71 r
.48879 .58092 m .498 .57972 L .49832 .56172 L p F P
0 g
s
.746 .645 .748 r
.69895 .7507 m .70737 .75837 L .71843 .74418 L p F P
0 g
s
.746 .645 .748 r
.71843 .74418 m .71195 .73824 L .69895 .7507 L p F P
0 g
s
.685 .329 .365 r
.53158 .56498 m .54138 .56805 L .54805 .5603 L p F P
0 g
s
.687 .333 .368 r
.55872 .56352 m .54805 .5603 L .54138 .56805 L p F P
0 g
s
.906 .629 .507 r
.67555 .68586 m .68246 .69637 L .68772 .68796 L p F P
0 g
s
.906 .629 .507 r
.68772 .68796 m .68026 .67694 L .67555 .68586 L p F P
0 g
s
.433 .295 .593 r
.91716 .63511 m .93 .60075 L .92005 .59645 L p F P
0 g
s
.428 .497 .829 r
.64528 .40823 m .64038 .40258 L .63674 .41319 L p F P
0 g
s
.428 .497 .829 r
.63674 .41319 m .6443 .41966 L .64528 .40823 L p F P
0 g
s
.602 .805 .978 r
.60999 .31892 m .60387 .31491 L .59724 .32322 L p F P
0 g
s
.631 .744 .929 r
.59045 .32105 m .59724 .32322 L .60387 .31491 L p F P
0 g
s
.765 .417 .395 r
.5323 .62737 m .52204 .62463 L .52346 .63496 L p F P
0 g
s
.544 .66 .912 r
.68012 .34856 m .67794 .34439 L .66663 .35057 L p F P
0 g
s
.627 .872 .988 r
.66597 .34976 m .66663 .35057 L .67794 .34439 L p F P
0 g
s
.618 .737 .931 r
.56929 .37587 m .55996 .37572 L .56507 .38542 L p F P
0 g
s
.618 .737 .931 r
.56507 .38542 m .57535 .38476 L .56929 .37587 L p F P
0 g
s
.361 .312 .667 r
.48741 .23619 m .48776 .21909 L .47901 .21696 L p F P
0 g
s
.36 .299 .653 r
.48026 .19837 m .47901 .21696 L .48776 .21909 L p F P
0 g
s
.782 .811 .876 r
.23509 .10149 m .26443 .08289 L .25763 .07438 L p F P
0 g
s
.883 .618 .532 r
.22251 .49757 m .23615 .52433 L .24631 .52355 L p F P
0 g
s
.905 .678 .584 r
.25331 .55339 m .24631 .52355 L .23615 .52433 L p F P
0 g
s
.415 .278 .585 r
.78175 .58239 m .78875 .55354 L .77875 .55101 L p F P
0 g
s
.415 .278 .585 r
.77875 .55101 m .7715 .58152 L .78175 .58239 L p F P
0 g
s
.834 .833 .846 r
.34592 .23041 m .32249 .25068 L .32581 .2603 L p F P
0 g
s
.789 .825 .88 r
.29946 .27359 m .32581 .2603 L .32249 .25068 L p F P
0 g
s
.9 .687 .606 r
.07797 .58963 m .06821 .559 L .05829 .56335 L p F P
0 g
s
.846 .434 .255 r
.67858 .31663 m .67034 .31402 L .67791 .32345 L p F P
0 g
s
.846 .434 .255 r
.67791 .32345 m .68394 .32737 L .67858 .31663 L p F P
0 g
s
.844 .503 .409 r
.65141 .38637 m .65432 .39112 L .66453 .39033 L p F P
0 g
s
.615 .257 .339 r
.55542 .35655 m .56113 .3577 L .56742 .34952 L p F P
0 g
s
.513 .643 .914 r
.53792 .59482 m .54652 .5974 L .54552 .58786 L p F P
0 g
s
.761 .381 .335 r
.60587 .28829 m .59197 .28507 L .59614 .29358 L p F P
0 g
s
.761 .381 .335 r
.59614 .29358 m .6082 .29738 L .60587 .28829 L p F P
0 g
s
.597 .744 .946 r
.5125 .65935 m .52491 .66258 L .53092 .65533 L p F P
0 g
s
.623 .772 .952 r
.5429 .65706 m .53092 .65533 L .52491 .66258 L p F P
0 g
s
.415 .487 .825 r
.6739 .71715 m .66698 .70568 L .65689 .7065 L p F P
0 g
s
.927 .794 .694 r
.5149 .21943 m .51619 .20073 L .50707 .20159 L p F P
0 g
s
.927 .794 .694 r
.50707 .20159 m .50578 .22033 L .5149 .21943 L p F P
0 g
s
.502 .174 .343 r
.30926 .22836 m .28676 .2399 L .29068 .24686 L p F P
0 g
s
.93 .852 .744 r
.81651 .53547 m .80523 .56094 L .81157 .56574 L p F P
0 g
s
.321 .31 .691 r
.21137 .53212 m .21758 .55786 L .22523 .55549 L p F P
0 g
s
.423 .115 .337 r
.24538 .05233 m .21332 .07284 L .21656 .07931 L p F P
0 g
s
.395 .11 .358 r
.1888 .10128 m .21656 .07931 L .21332 .07284 L p F P
0 g
s
.3 .341 .738 r
.03382 .56965 m .04468 .6033 L .05173 .60158 L p F P
0 g
s
.313 .374 .766 r
.06679 .63649 m .05173 .60158 L .04468 .6033 L p F P
0 g
s
.941 .86 .732 r
.95453 .60675 m .96608 .56863 L .9588 .56898 L p F P
0 g
s
.941 .86 .732 r
.9588 .56898 m .9473 .60591 L .95453 .60675 L p F P
0 g
s
.427 .521 .851 r
.59013 .57841 m .59991 .58533 L .59713 .59459 L p F P
0 g
s
.414 .494 .833 r
.60537 .60188 m .59713 .59459 L .59991 .58533 L p F P
0 g
s
.664 .514 .671 r
.59713 .59459 m .60537 .60188 L .59295 .61491 L p F P
0 g
s
.664 .514 .671 r
.59295 .61491 m .58562 .60842 L .59713 .59459 L p F P
0 g
s
.754 .6 .687 r
.57823 .6519 m .58991 .64661 L .58118 .63089 L p F P
0 g
s
.754 .6 .687 r
.58118 .63089 m .57186 .63506 L .57823 .6519 L p F P
0 g
s
.72 .626 .753 r
.69062 .37098 m .69294 .3809 L .71013 .37557 L p F P
0 g
s
.72 .626 .753 r
.71013 .37557 m .7071 .36375 L .69062 .37098 L p F P
0 g
s
.449 .177 .407 r
.62161 .36644 m .61291 .37114 L .61292 .36127 L p F P
0 g
s
.449 .177 .407 r
.61292 .36127 m .62119 .35657 L .62161 .36644 L p F P
0 g
s
.652 .555 .733 r
.62119 .35657 m .61292 .36127 L .60498 .34513 L p F P
0 g
s
.652 .555 .733 r
.60498 .34513 m .61264 .34072 L .62119 .35657 L p F P
0 g
s
.732 .823 .922 r
.61264 .34072 m .60498 .34513 L .59697 .33873 L p F P
0 g
s
.721 .817 .924 r
.59697 .33873 m .60498 .34513 L p .58965 .34258 L F P
0 g
s
.732 .823 .922 r
.60444 .33463 m .61264 .34072 L p .59702 .33874 L F P
0 g
s
.732 .823 .922 r
.59697 .33873 m .60444 .33463 L p .59702 .33874 L F P
0 g
s
.738 .826 .919 r
.62047 .33617 m .61264 .34072 L .60444 .33463 L p F P
0 g
s
.738 .826 .919 r
.60444 .33463 m .61222 .33019 L .62047 .33617 L p F P
0 g
s
.449 .176 .406 r
.60444 .33463 m .6048 .34445 L p .61213 .33037 L F P
0 g
s
.449 .176 .406 r
.61222 .33019 m .60444 .33463 L p .61213 .33037 L F P
0 g
s
.455 .177 .403 r
.59697 .33873 m .5969 .34856 L p .60431 .33487 L F P
0 g
s
.455 .177 .403 r
.60444 .33463 m .59697 .33873 L p .60431 .33487 L F P
0 g
s
.721 .817 .924 r
.58938 .34254 m .59697 .33873 L p .58965 .34258 L F P
0 g
s
.713 .61 .74 r
.49163 .28603 m .49473 .30117 L .51239 .2977 L p F P
0 g
s
.713 .61 .74 r
.51239 .2977 m .50946 .28356 L .49163 .28603 L p F P
0 g
s
.696 .554 .689 r
.14641 .41286 m .15942 .43601 L .17434 .42593 L p F P
0 g
s
.696 .554 .689 r
.17434 .42593 m .16199 .40386 L .14641 .41286 L p F P
0 g
s
.715 .567 .687 r
.85662 .45762 m .8661 .43241 L .84883 .42737 L p F P
0 g
s
.715 .567 .687 r
.84883 .42737 m .83988 .45101 L .85662 .45762 L p F P
0 g
s
.721 .577 .693 r
.40571 .16349 m .42489 .14499 L .41223 .1322 L p F P
0 g
s
.721 .577 .693 r
.41223 .1322 m .3922 .15158 L .40571 .16349 L p F P
0 g
s
.694 .574 .716 r
.85176 .71582 m .82418 .73461 L .83455 .74931 L p F P
0 g
s
.694 .574 .716 r
.83455 .74931 m .86383 .72918 L .85176 .71582 L p F P
0 g
s
.72 .595 .715 r
.14203 .71834 m .17421 .73715 L .18051 .72029 L p F P
0 g
s
.72 .595 .715 r
.18051 .72029 m .15141 .70297 L .14203 .71834 L p F P
0 g
s
.702 .585 .721 r
.13183 .18879 m .12065 .22596 L .13844 .22863 L p F P
0 g
s
.702 .585 .721 r
.13844 .22863 m .14899 .19426 L .13183 .18879 L p F P
0 g
s
.544 .195 .327 r
.68903 .43046 m .67962 .43055 L .68587 .42233 L p F P
0 g
s
.544 .195 .327 r
.68587 .42233 m .69421 .42147 L .68903 .43046 L p F P
0 g
s
.618 .506 .704 r
.69421 .42147 m .68587 .42233 L .68761 .40442 L p F P
0 g
s
.618 .506 .704 r
.68761 .40442 m .69383 .40346 L .69421 .42147 L p F P
0 g
s
.56 .7 .935 r
.69383 .40346 m .68761 .40442 L .68312 .39461 L p F P
0 g
s
.532 .666 .922 r
.68312 .39461 m .68761 .40442 L p .678 .39467 L F P
0 g
s
.56 .7 .935 r
.68827 .39432 m .69383 .40346 L p .68335 .3948 L F P
0 g
s
.56 .7 .935 r
.68312 .39461 m .68827 .39432 L p .68335 .3948 L F P
0 g
s
.596 .734 .941 r
.70011 .40195 m .69383 .40346 L .68827 .39432 L p F P
0 g
s
.596 .734 .941 r
.69379 .39348 m .70011 .40195 L p .68839 .39439 L F P
0 g
s
.596 .734 .941 r
.68827 .39432 m .69379 .39348 L p .68839 .39439 L F P
0 g
s
.623 .757 .942 r
.70673 .40016 m .70011 .40195 L .69379 .39348 L p F P
0 g
s
.623 .757 .942 r
.69379 .39348 m .69813 .39257 L p .70673 .40016 L F P
0 g
s
.623 .757 .942 r
.69813 .39257 m .69989 .3922 L .70006 .3924 L p F P
0 g
s
.623 .757 .942 r
.70006 .3924 m .70673 .40016 L p .69813 .39257 L F P
0 g
s
.717 .807 .921 r
.72248 .39654 m .71194 .39914 L .71102 .38999 L p F P
0 g
s
.704 .798 .923 r
.71194 .39914 m .70673 .40016 L .69989 .3922 L p F P
0 g
s
.704 .798 .923 r
.69989 .3922 m .71102 .38999 L .71194 .39914 L p F P
0 g
s
.58 .247 .369 r
.69655 .40199 m .71362 .39859 L .71144 .3914 L p F P
0 g
s
.58 .247 .369 r
.71144 .3914 m .71102 .38999 L p .70906 .39161 L F P
0 g
s
.58 .247 .369 r
.69655 .40199 m .71144 .3914 L .70906 .39161 L F
.53 .206 .363 r
.69379 .39348 m .6897 .40296 L p .69959 .39251 L F P
0 g
s
.53 .206 .363 r
.69989 .3922 m .69379 .39348 L p .69959 .39251 L F P
0 g
s
.555 .22 .357 r
.68827 .39432 m .68305 .40324 L p .69343 .39382 L F P
0 g
s
.555 .22 .357 r
.69379 .39348 m .68827 .39432 L p .69343 .39382 L F P
0 g
s
.585 .238 .347 r
.68312 .39461 m .67683 .40276 L p .68796 .39455 L F P
0 g
s
.585 .238 .347 r
.68827 .39432 m .68312 .39461 L p .68796 .39455 L F P
0 g
s
.532 .666 .922 r
.67755 .39421 m .68312 .39461 L p .678 .39467 L F P
0 g
s
.773 .611 .678 r
.64346 .34478 m .6384 .34706 L .63098 .33065 L p F P
0 g
s
.773 .611 .678 r
.63098 .33065 m .63738 .32785 L .64346 .34478 L p F P
0 g
s
.773 .712 .795 r
.62924 .31918 m .62607 .31319 L .61353 .32612 L p F P
0 g
s
.352 .142 .448 r
.11606 .37564 m .09591 .40423 L .09004 .39929 L p F P
0 g
s
.352 .142 .448 r
.09004 .39929 m .11094 .36978 L .11597 .37552 L p F P
0 g
s
.352 .142 .448 r
.09004 .39929 m .11597 .37552 L .11558 .37608 L F
.699 .58 .718 r
.11094 .36978 m .09004 .39929 L .07399 .39114 L p F P
0 g
s
.699 .58 .718 r
.07399 .39114 m .09624 .35937 L .11094 .36978 L p F P
0 g
s
.857 .827 .817 r
.10641 .37104 m .08565 .401 L .09583 .4042 L p F P
0 g
s
.857 .827 .817 r
.09583 .4042 m .09591 .40423 L p .09599 .40397 L F P
0 g
s
.857 .827 .817 r
.09599 .40397 m .10641 .37104 L .09583 .4042 L F
.352 .142 .448 r
.11597 .37552 m .11606 .37564 L p .11558 .37608 L F P
0 g
s
.858 .823 .813 r
.09624 .35937 m .07399 .39114 L .06368 .38787 L p F P
0 g
s
.877 .813 .782 r
.04612 .42369 m .06368 .38787 L .07399 .39114 L p F P
0 g
s
.761 .382 .336 r
.44918 .08601 m .42216 .07248 L .42617 .06572 L p F P
0 g
s
.761 .382 .336 r
.42617 .06572 m .45463 .08006 L .44934 .08584 L p F P
0 g
s
.761 .382 .336 r
.42617 .06572 m .44934 .08584 L .44854 .08544 L F
.693 .561 .7 r
.45463 .08006 m .42617 .06572 L .43098 .04838 L p F P
0 g
s
.693 .561 .7 r
.43098 .04838 m .46265 .06393 L .45463 .08006 L p F P
0 g
s
.531 .613 .88 r
.45177 .07574 m .42297 .06181 L .42216 .07238 L p F P
0 g
s
.531 .613 .88 r
.42216 .07238 m .42216 .07248 L p .42242 .07251 L F P
0 g
s
.531 .613 .88 r
.42242 .07251 m .45177 .07574 L .42216 .07238 L F
.761 .382 .336 r
.44934 .08584 m .44918 .08601 L p .44854 .08544 L F P
0 g
s
.541 .622 .881 r
.46265 .06393 m .43098 .04838 L .43183 .03765 L p F P
0 g
s
.588 .672 .898 r
.39496 .02808 m .43183 .03765 L .43098 .04838 L p F P
0 g
s
.649 .503 .671 r
.54473 .35171 m .53969 .34814 L .52885 .36252 L p F P
0 g
s
.649 .503 .671 r
.52885 .36252 m .53551 .36719 L .54473 .35171 L p F P
0 g
s
.483 .537 .836 r
.92442 .39001 m .902 .36451 L .9099 .35746 L p F P
0 g
s
.483 .537 .836 r
.9099 .35746 m .93391 .38494 L .92442 .39001 L p F P
0 g
s
.893 .649 .562 r
.24917 .70015 m .25819 .72609 L .2483 .72932 L p F P
0 g
s
.893 .649 .562 r
.2483 .72932 m .23907 .70237 L .24917 .70015 L p F P
0 g
s
.927 .856 .751 r
.73302 .73396 m .74327 .71227 L .75009 .71621 L p F P
0 g
s
.927 .856 .751 r
.75009 .71621 m .73943 .73849 L .7331 .73402 L p F P
0 g
s
.927 .856 .751 r
.75009 .71621 m .7331 .73402 L .73324 .73373 L F
.716 .569 .689 r
.73943 .73849 m .75009 .71621 L .76691 .72262 L p F P
0 g
s
.716 .569 .689 r
.76691 .72262 m .75566 .74631 L .73943 .73849 L p F P
0 g
s
.441 .257 .534 r
.74292 .73728 m .75336 .71475 L .74336 .71229 L p F P
0 g
s
.441 .257 .534 r
.74336 .71229 m .74327 .71227 L p .74327 .7125 L F P
0 g
s
.441 .257 .534 r
.74327 .7125 m .74292 .73728 L .74336 .71229 L F
.927 .856 .751 r
.7331 .73402 m .73302 .73396 L p .73324 .73373 L F P
0 g
s
.444 .263 .54 r
.75566 .74631 m .76691 .72262 L .77705 .72513 L p F P
0 g
s
.433 .27 .558 r
.78651 .69932 m .77705 .72513 L .76691 .72262 L p F P
0 g
s
.815 .828 .859 r
.16205 .302 m .1405 .31654 L .13465 .30784 L p F P
0 g
s
.815 .828 .859 r
.13465 .30784 m .15724 .2928 L .16205 .302 L p F P
0 g
s
.683 .506 .64 r
.64661 .37467 m .6446 .36824 L .62729 .37318 L p F P
0 g
s
.683 .506 .64 r
.62729 .37318 m .62944 .38013 L .64661 .37467 L p F P
0 g
s
.719 .613 .738 r
.49551 .09584 m .50194 .11 L .48515 .11648 L p F P
0 g
s
.414 .443 .781 r
.50194 .11 m .49551 .09584 L .50496 .09227 L p F P
0 g
s
.414 .443 .781 r
.50496 .09227 m .51162 .10858 L .50194 .11 L p F P
0 g
s
.736 .58 .68 r
.51914 .3233 m .52908 .31448 L .54075 .32819 L p F P
0 g
s
.856 .853 .839 r
.52908 .31448 m .51914 .3233 L .51529 .31383 L p F P
0 g
s
.856 .853 .839 r
.51529 .31383 m .52609 .30465 L .52908 .31448 L p F P
0 g
s
.391 .444 .796 r
.48366 .58552 m .48802 .59485 L .47851 .59617 L p F P
0 g
s
.391 .444 .796 r
.47851 .59617 m .47404 .58571 L .48329 .58553 L p F P
0 g
s
.391 .444 .796 r
.47851 .59617 m .48329 .58553 L .48347 .58591 L F
.723 .618 .741 r
.47404 .58571 m .47851 .59617 L .4634 .60597 L p F P
0 g
s
.925 .691 .565 r
.47698 .59317 m .48238 .60338 L .48785 .5951 L p F P
0 g
s
.925 .691 .565 r
.48785 .5951 m .48802 .59485 L p .48771 .5948 L F P
0 g
s
.925 .691 .565 r
.48771 .5948 m .47698 .59317 L .48785 .5951 L F
.391 .444 .796 r
.48329 .58553 m .48366 .58552 L p .48347 .58591 L F P
0 g
s
.723 .618 .741 r
.4634 .60597 m .45779 .5935 L .47404 .58571 L p F P
0 g
s
.912 .668 .557 r
.45779 .5935 m .4634 .60597 L .45769 .61451 L p F P
0 g
s
.896 .629 .525 r
.46608 .62692 m .45769 .61451 L .4634 .60597 L p F P
0 g
s
.454 .556 .87 r
.63323 .61761 m .64181 .62712 L .63199 .62946 L p F P
0 g
s
.454 .556 .87 r
.63199 .62946 m .62355 .62033 L .63323 .61761 L p F P
0 g
s
.736 .628 .739 r
.62355 .62033 m .63199 .62946 L .6182 .64104 L p F P
0 g
s
.736 .628 .739 r
.6182 .64104 m .61019 .63242 L .62355 .62033 L p F P
0 g
s
.729 .641 .761 r
.68817 .36269 m .69062 .37098 L .7071 .36375 L p F P
0 g
s
.729 .641 .761 r
.7071 .36375 m .70313 .35266 L .68817 .36269 L p F P
0 g
s
.658 .537 .705 r
.50959 .56155 m .49832 .56172 L .498 .57972 L p F P
0 g
s
.658 .537 .705 r
.498 .57972 m .50726 .57942 L .50959 .56155 L p F P
0 g
s
.734 .626 .739 r
.68948 .73986 m .69895 .7507 L .71195 .73824 L p F P
0 g
s
.734 .626 .739 r
.71195 .73824 m .70334 .72834 L .68948 .73986 L p F P
0 g
s
.687 .333 .368 r
.54138 .56805 m .55164 .57086 L .55872 .56352 L p F P
0 g
s
.706 .351 .372 r
.56956 .56755 m .55872 .56352 L .55164 .57086 L p F P
0 g
s
.902 .621 .501 r
.66825 .6756 m .67555 .68586 L .68026 .67694 L p F P
0 g
s
.902 .621 .501 r
.68026 .67694 m .67276 .66656 L .66825 .6756 L p F P
0 g
s
.429 .303 .605 r
.93 .60075 m .94091 .56639 L .93045 .56347 L p F P
0 g
s
.465 .56 .868 r
.65177 .41323 m .64528 .40823 L .6443 .41966 L p F P
0 g
s
.465 .56 .868 r
.6443 .41966 m .65288 .42452 L .65177 .41323 L p F P
0 g
s
.631 .744 .929 r
.60387 .31491 m .59538 .31163 L .59045 .32105 L p F P
0 g
s
.807 .466 .41 r
.52204 .62463 m .51359 .62095 L .51367 .63138 L p F P
0 g
s
.627 .872 .988 r
.67794 .34439 m .67572 .34138 L .66597 .34976 L p F P
0 g
s
.708 .884 .962 r
.66408 .34919 m .66597 .34976 L .67572 .34138 L p F P
0 g
s
.658 .772 .933 r
.57838 .37471 m .56929 .37587 L .57535 .38476 L p F P
0 g
s
.658 .772 .933 r
.57535 .38476 m .58554 .38263 L .57838 .37471 L p F P
0 g
s
.36 .299 .653 r
.48776 .21909 m .48903 .20041 L .48026 .19837 L p F P
0 g
s
.36 .301 .655 r
.48142 .18046 m .48026 .19837 L .48903 .20041 L p F P
0 g
s
.744 .794 .893 r
.26443 .08289 m .29504 .07011 L .28957 .06068 L p F P
0 g
s
.905 .678 .584 r
.23615 .52433 m .24317 .55325 L .25331 .55339 L p F P
0 g
s
.912 .706 .612 r
.25677 .58269 m .25331 .55339 L .24317 .55325 L p F P
0 g
s
.41 .291 .606 r
.77748 .61119 m .78175 .58239 L .7715 .58152 L p F P
0 g
s
.41 .291 .606 r
.7715 .58152 m .76724 .61093 L .77748 .61119 L p F P
0 g
s
.789 .825 .88 r
.32249 .25068 m .29706 .26377 L .29946 .27359 L p F P
0 g
s
.764 .816 .894 r
.2729 .28339 m .29946 .27359 L .29706 .26377 L p F P
0 g
s
.906 .724 .645 r
.06821 .559 m .06377 .52862 L .05329 .53152 L p F P
0 g
s
.501 .626 .906 r
.54652 .5974 m .55456 .60031 L .55441 .5907 L p F P
0 g
s
.424 .505 .838 r
.66698 .70568 m .66063 .69605 L .65053 .69725 L p F P
0 g
s
.954 .832 .684 r
.96608 .56863 m .97191 .52912 L .96476 .5309 L p F P
0 g
s
.954 .832 .684 r
.96476 .5309 m .9588 .56898 L .96608 .56863 L p F P
0 g
s
.795 .437 .38 r
.65432 .39112 m .65667 .3942 L .66699 .3917 L p F P
0 g
s
.7 .315 .316 r
.59197 .28507 m .57825 .28461 L .58379 .29235 L p F P
0 g
s
.7 .315 .316 r
.58379 .29235 m .59614 .29358 L .59197 .28507 L p F P
0 g
s
.559 .709 .941 r
.49945 .6541 m .5125 .65935 L .51867 .65239 L p F P
0 g
s
.597 .744 .946 r
.53092 .65533 m .51867 .65239 L .5125 .65935 L p F P
0 g
s
.768 .337 .227 r
.67034 .31402 m .66272 .31318 L .67146 .32139 L p F P
0 g
s
.768 .337 .227 r
.67146 .32139 m .67791 .32345 L .67034 .31402 L p F P
0 g
s
.572 .227 .345 r
.56113 .3577 m .56793 .35785 L .57263 .34886 L p F P
0 g
s
.927 .794 .693 r
.51619 .20073 m .51745 .18129 L .50841 .1825 L p F P
0 g
s
.927 .794 .693 r
.50841 .1825 m .50707 .20159 L .51619 .20073 L p F P
0 g
s
.47 .131 .309 r
.28125 .03682 m .24538 .05233 L .24807 .05904 L p F P
0 g
s
.423 .115 .337 r
.21656 .07931 m .24807 .05904 L .24538 .05233 L p F P
0 g
s
.317 .276 .653 r
.21758 .55786 m .22092 .58635 L .22866 .58432 L p F P
0 g
s
.946 .817 .684 r
.80523 .56094 m .79935 .5865 L .80656 .58971 L p F P
0 g
s
.54 .195 .331 r
.28676 .2399 m .26091 .24941 L .26454 .25652 L p F P
0 g
s
.284 .287 .687 r
.02809 .53372 m .03382 .56965 L .04102 .5687 L p F P
0 g
s
.3 .341 .738 r
.05173 .60158 m .04102 .5687 L .03382 .56965 L p F P
0 g
s
.414 .494 .833 r
.59991 .58533 m .60887 .59286 L .60537 .60188 L p F P
0 g
s
.406 .475 .819 r
.61315 .60962 m .60537 .60188 L .60887 .59286 L p F P
0 g
s
.667 .515 .669 r
.60537 .60188 m .61315 .60962 L .60012 .62206 L p F P
0 g
s
.667 .515 .669 r
.60012 .62206 m .59295 .61491 L .60537 .60188 L p F P
0 g
s
.759 .609 .692 r
.56706 .65528 m .57823 .6519 L .57186 .63506 L p F P
0 g
s
.759 .609 .692 r
.57186 .63506 m .56292 .63775 L .56706 .65528 L p F P
0 g
s
.449 .179 .411 r
.62995 .36172 m .62161 .36644 L .62119 .35657 L p F P
0 g
s
.449 .179 .411 r
.62119 .35657 m .6293 .35188 L .62995 .36172 L p F P
0 g
s
.654 .557 .733 r
.6293 .35188 m .62119 .35657 L .61264 .34072 L p F P
0 g
s
.654 .557 .733 r
.61264 .34072 m .62047 .33617 L .6293 .35188 L p F P
0 g
s
.711 .606 .738 r
.50946 .28356 m .50715 .26824 L .48918 .2695 L p F P
0 g
s
.711 .606 .738 r
.48918 .2695 m .49163 .28603 L .50946 .28356 L p F P
0 g
s
.715 .57 .69 r
.84384 .48431 m .85662 .45762 L .83988 .45101 L p F P
0 g
s
.715 .57 .69 r
.83988 .45101 m .8277 .47629 L .84384 .48431 L p F P
0 g
s
.696 .556 .691 r
.19003 .44955 m .17434 .42593 L .15942 .43601 L p F P
0 g
s
.696 .556 .691 r
.15942 .43601 m .17524 .45984 L .19003 .44955 L p F P
0 g
s
.719 .576 .693 r
.38603 .18549 m .40571 .16349 L .3922 .15158 L p F P
0 g
s
.719 .576 .693 r
.3922 .15158 m .3724 .17371 L .38603 .18549 L p F P
0 g
s
.719 .595 .716 r
.1126 .69582 m .14203 .71834 L .15141 .70297 L p F P
0 g
s
.719 .595 .716 r
.15141 .70297 m .12376 .68167 L .1126 .69582 L p F P
0 g
s
.696 .576 .717 r
.87796 .69306 m .85176 .71582 L .86383 .72918 L p F P
0 g
s
.696 .576 .717 r
.86383 .72918 m .89217 .70414 L .87796 .69306 L p F P
0 g
s
.7 .584 .722 r
.14581 .15686 m .13183 .18879 L .14899 .19426 L p F P
0 g
s
.7 .584 .722 r
.14899 .19426 m .1622 .16434 L .14581 .15686 L p F P
0 g
s
.519 .187 .344 r
.69832 .42937 m .68903 .43046 L .69421 .42147 L p F P
0 g
s
.519 .187 .344 r
.69421 .42147 m .70236 .41983 L .69832 .42937 L p F P
0 g
s
.622 .516 .713 r
.70236 .41983 m .69421 .42147 L .69383 .40346 L p F P
0 g
s
.622 .516 .713 r
.69383 .40346 m .70011 .40195 L .70236 .41983 L p F P
0 g
s
.789 .719 .786 r
.61181 .32242 m .61353 .32612 L .62607 .31319 L p F P
0 g
s
.789 .719 .786 r
.62607 .31319 m .62222 .3077 L .61181 .32242 L p F P
0 g
s
.647 .51 .682 r
.54984 .35453 m .54473 .35171 L .53551 .36719 L p F P
0 g
s
.647 .51 .682 r
.53551 .36719 m .54314 .37127 L .54984 .35453 L p F P
0 g
s
.385 .139 .414 r
.14033 .35014 m .11606 .37564 L .11094 .36978 L p F P
0 g
s
.385 .139 .414 r
.11094 .36978 m .13608 .34349 L .14025 .35001 L p F P
0 g
s
.385 .139 .414 r
.11094 .36978 m .14025 .35001 L .13978 .3505 L F
.698 .578 .717 r
.13608 .34349 m .11094 .36978 L .09624 .35937 L p F P
0 g
s
.698 .578 .717 r
.09624 .35937 m .12304 .33103 L .13608 .34349 L p F P
0 g
s
.833 .831 .845 r
.13147 .34429 m .10641 .37104 L .11599 .3756 L p F P
0 g
s
.833 .831 .845 r
.11599 .3756 m .11606 .37564 L p .11618 .3754 L F P
0 g
s
.833 .831 .845 r
.11618 .3754 m .13147 .34429 L .11599 .3756 L F
.385 .139 .414 r
.14025 .35001 m .14033 .35014 L p .13978 .3505 L F P
0 g
s
.835 .828 .84 r
.12304 .33103 m .09624 .35937 L .08655 .35473 L p F P
0 g
s
.858 .823 .813 r
.06368 .38787 m .08655 .35473 L .09624 .35937 L p F P
0 g
s
.829 .476 .388 r
.47088 .105 m .44918 .08601 L .45463 .08006 L p F P
0 g
s
.829 .476 .388 r
.45463 .08006 m .47792 .10049 L .47117 .10481 L p F P
0 g
s
.829 .476 .388 r
.45463 .08006 m .47117 .10481 L .47024 .10401 L F
.696 .56 .697 r
.47792 .10049 m .45463 .08006 L .46265 .06393 L p F P
0 g
s
.472 .536 .842 r
.47559 .09573 m .45177 .07574 L .4492 .08592 L p F P
0 g
s
.472 .536 .842 r
.4492 .08592 m .44918 .08601 L p .4494 .08608 L F P
0 g
s
.472 .536 .842 r
.4494 .08608 m .47559 .09573 L .4492 .08592 L F
.829 .476 .388 r
.47117 .10481 m .47088 .105 L p .47024 .10401 L F P
0 g
s
.696 .56 .697 r
.46265 .06393 m .48963 .08678 L .47792 .10049 L p F P
0 g
s
.487 .552 .848 r
.48963 .08678 m .46265 .06393 L .46528 .05362 L p F P
0 g
s
.541 .622 .881 r
.43183 .03765 m .46528 .05362 L .46265 .06393 L p F P
0 g
s
.531 .614 .881 r
.902 .36451 m .87516 .34659 L .87912 .3374 L p F P
0 g
s
.531 .614 .881 r
.87912 .3374 m .9099 .35746 L .902 .36451 L p F P
0 g
s
.68 .507 .646 r
.64888 .38095 m .64661 .37467 L .62944 .38013 L p F P
0 g
s
.68 .507 .646 r
.62944 .38013 m .63228 .38799 L .64888 .38095 L p F P
0 g
s
.882 .622 .54 r
.25819 .72609 m .26877 .74931 L .25998 .75489 L p F P
0 g
s
.882 .622 .54 r
.25998 .75489 m .2483 .72932 L .25819 .72609 L p F P
0 g
s
.915 .869 .779 r
.72083 .75447 m .73302 .73396 L .73943 .73849 L p F P
0 g
s
.915 .869 .779 r
.73943 .73849 m .72673 .75959 L .72092 .75455 L p F P
0 g
s
.915 .869 .779 r
.73943 .73849 m .72092 .75455 L .72111 .75423 L F
.717 .572 .69 r
.72673 .75959 m .73943 .73849 L .75566 .74631 L p F P
0 g
s
.717 .572 .69 r
.75566 .74631 m .74216 .76891 L .72673 .75959 L p F P
0 g
s
.455 .252 .514 r
.73044 .75871 m .74292 .73728 L .73312 .734 L p F P
0 g
s
.455 .252 .514 r
.73312 .734 m .73302 .73396 L p .73299 .73422 L F P
0 g
s
.455 .252 .514 r
.73299 .73422 m .73044 .75871 L .73312 .734 L F
.915 .869 .779 r
.72092 .75455 m .72083 .75447 L p .72111 .75423 L F P
0 g
s
.457 .258 .521 r
.74216 .76891 m .75566 .74631 L .76561 .74966 L p F P
0 g
s
.444 .263 .54 r
.77705 .72513 m .76561 .74966 L .75566 .74631 L p F P
0 g
s
.836 .829 .84 r
.1405 .31654 m .12304 .33103 L .11415 .32513 L p F P
0 g
s
.836 .829 .84 r
.11415 .32513 m .13465 .30784 L .1405 .31654 L p F P
0 g
s
.73 .626 .742 r
.48056 .1059 m .47792 .10049 L .48963 .08678 L p F P
0 g
s
.73 .626 .742 r
.48963 .08678 m .49551 .09584 L .48056 .1059 L p F P
0 g
s
.457 .516 .831 r
.49551 .09584 m .48963 .08678 L .4944 .07748 L p F P
0 g
s
.457 .516 .831 r
.4944 .07748 m .50496 .09227 L .49551 .09584 L p F P
0 g
s
.741 .575 .669 r
.53197 .33594 m .52549 .34245 L .5128 .32965 L p F P
0 g
s
.741 .575 .669 r
.5128 .32965 m .51914 .3233 L .53197 .33594 L p F P
0 g
s
.874 .852 .818 r
.51914 .3233 m .5128 .32965 L .50647 .32268 L p F P
0 g
s
.874 .852 .818 r
.50647 .32268 m .51529 .31383 L .51914 .3233 L p F P
0 g
s
.378 .417 .775 r
.47988 .57516 m .48366 .58552 L .47404 .58571 L p F P
0 g
s
.378 .417 .775 r
.47404 .58571 m .47026 .57451 L .47963 .57514 L p F P
0 g
s
.378 .417 .775 r
.47404 .58571 m .47963 .57514 L .47973 .57543 L F
.72 .618 .743 r
.47026 .57451 m .47404 .58571 L .45779 .5935 L p F P
0 g
s
.929 .713 .588 r
.47253 .5821 m .47698 .59317 L .48351 .58569 L p F P
0 g
s
.929 .713 .588 r
.48351 .58569 m .48366 .58552 L p .48342 .58545 L F P
0 g
s
.929 .713 .588 r
.48342 .58545 m .47253 .5821 L .48351 .58569 L F
.378 .417 .775 r
.47963 .57514 m .47988 .57516 L p .47973 .57543 L F P
0 g
s
.72 .618 .743 r
.45779 .5935 m .45335 .58074 L .47026 .57451 L p F P
0 g
s
.921 .698 .583 r
.45335 .58074 m .45779 .5935 L .45104 .60115 L p F P
0 g
s
.912 .668 .557 r
.45769 .61451 m .45104 .60115 L .45779 .5935 L p F P
0 g
s
.459 .565 .875 r
.62446 .60846 m .63323 .61761 L .62355 .62033 L p F P
0 g
s
.459 .565 .875 r
.62355 .62033 m .61491 .61148 L .62446 .60846 L p F P
0 g
s
.737 .628 .738 r
.61491 .61148 m .62355 .62033 L .61019 .63242 L p F P
0 g
s
.737 .628 .738 r
.61019 .63242 m .60188 .62395 L .61491 .61148 L p F P
0 g
s
.739 .646 .756 r
.68441 .35512 m .68817 .36269 L .70313 .35266 L p F P
0 g
s
.739 .646 .756 r
.70313 .35266 m .69743 .34264 L .68441 .35512 L p F P
0 g
s
.658 .533 .699 r
.52075 .5627 m .50959 .56155 L .50726 .57942 L p F P
0 g
s
.658 .533 .699 r
.50726 .57942 m .51671 .58027 L .52075 .5627 L p F P
0 g
s
.706 .351 .372 r
.55164 .57086 m .56194 .57426 L .56956 .56755 L p F P
0 g
s
.73 .375 .378 r
.58015 .57254 m .56956 .56755 L .56194 .57426 L p F P
0 g
s
.901 .619 .499 r
.66088 .66558 m .66825 .6756 L .67276 .66656 L p F P
0 g
s
.901 .619 .499 r
.67276 .66656 m .66533 .65652 L .66088 .66558 L p F P
0 g
s
.423 .326 .64 r
.94091 .56639 m .94668 .5314 L .93589 .53011 L p F P
0 g
s
.499 .609 .893 r
.65896 .41686 m .65177 .41323 L .65288 .42452 L p F P
0 g
s
.499 .609 .893 r
.65288 .42452 m .66157 .42774 L .65896 .41686 L p F P
0 g
s
.686 .789 .928 r
.59538 .31163 m .58608 .31029 L .5828 .32035 L p F P
0 g
s
.843 .516 .434 r
.51359 .62095 m .50605 .6162 L .50468 .62653 L p F P
0 g
s
.708 .884 .962 r
.67572 .34138 m .67214 .33945 L .66408 .34919 L p F P
0 g
s
.689 .796 .931 r
.58731 .37233 m .57838 .37471 L .58554 .38263 L p F P
0 g
s
.689 .796 .931 r
.58554 .38263 m .59508 .37946 L .58731 .37233 L p F P
0 g
s
.36 .301 .655 r
.48903 .20041 m .49033 .18209 L .48142 .18046 L p F P
0 g
s
.701 .77 .905 r
.29504 .07011 m .32679 .06305 L .32287 .0529 L p F P
0 g
s
.912 .706 .612 r
.24317 .55325 m .24665 .58248 L .25677 .58269 L p F P
0 g
s
.913 .712 .617 r
.25956 .6119 m .25677 .58269 L .24665 .58248 L p F P
0 g
s
.41 .29 .605 r
.76724 .61093 m .76315 .63889 L .77338 .6393 L p F P
0 g
s
.764 .816 .894 r
.29706 .26377 m .27056 .27358 L .2729 .28339 L p F P
0 g
s
.759 .814 .896 r
.24632 .29257 m .2729 .28339 L .27056 .27358 L p F P
0 g
s
.907 .758 .685 r
.06377 .52862 m .06436 .49807 L .05356 .49938 L p F P
0 g
s
.745 .379 .36 r
.65667 .3942 m .66028 .39727 L .66984 .39272 L p F P
0 g
s
.709 .276 .219 r
.66272 .31318 m .65507 .31354 L .66489 .3205 L p F P
0 g
s
.709 .276 .219 r
.66489 .3205 m .67146 .32139 L .66272 .31318 L p F P
0 g
s
.532 .205 .359 r
.56793 .35785 m .57445 .35706 L .57771 .34746 L p F P
0 g
s
.481 .599 .894 r
.55456 .60031 m .56215 .60378 L .56297 .59419 L p F P
0 g
s
.429 .515 .845 r
.66063 .69605 m .65361 .68622 L .64359 .68773 L p F P
0 g
s
.96 .79 .627 r
.97191 .52912 m .97092 .48988 L .96417 .49303 L p F P
0 g
s
.96 .79 .627 r
.96417 .49303 m .96476 .5309 L .97191 .52912 L p F P
0 g
s
.646 .267 .312 r
.57825 .28461 m .56433 .28652 L .5712 .29324 L p F P
0 g
s
.646 .267 .312 r
.5712 .29324 m .58379 .29235 L .57825 .28461 L p F P
0 g
s
.516 .663 .928 r
.48718 .64693 m .49945 .6541 L .50657 .64802 L p F P
0 g
s
.559 .709 .941 r
.51867 .65239 m .50657 .64802 L .49945 .6541 L p F P
0 g
s
.93 .787 .682 r
.51745 .18129 m .51787 .16171 L .50899 .1634 L p F P
0 g
s
.93 .787 .682 r
.50899 .1634 m .50841 .1825 L .51745 .18129 L p F P
0 g
s
.527 .162 .29 r
.31902 .02784 m .28125 .03682 L .28265 .04396 L p F P
0 g
s
.47 .131 .309 r
.24807 .05904 m .28265 .04396 L .28125 .03682 L p F P
0 g
s
.317 .27 .646 r
.22092 .58635 m .22372 .61594 L .23145 .61392 L p F P
0 g
s
.317 .27 .646 r
.23145 .61392 m .22866 .58432 L .22092 .58635 L p F P
0 g
s
.949 .799 .66 r
.79879 .64439 m .80287 .61629 L .79537 .61388 L p F P
0 g
s
.949 .799 .66 r
.79935 .5865 m .79537 .61388 L .80287 .61629 L p F P
0 g
s
.547 .199 .33 r
.26091 .24941 m .23389 .25872 L .23752 .26582 L p F P
0 g
s
.547 .199 .33 r
.23752 .26582 m .26454 .25652 L .26091 .24941 L p F P
0 g
s
.278 .237 .632 r
.0283 .49726 m .02809 .53372 L .03538 .53408 L p F P
0 g
s
.284 .287 .687 r
.04102 .5687 m .03538 .53408 L .02809 .53372 L p F P
0 g
s
.406 .475 .819 r
.60887 .59286 m .61714 .60078 L .61315 .60962 L p F P
0 g
s
.254 .288 .705 r
.61491 .61148 m .61315 .60962 L .61714 .60078 L p F P
0 g
s
.552 .339 .546 r
.61315 .60962 m .61491 .61148 L .60188 .62395 L p F P
0 g
s
.552 .339 .546 r
.60188 .62395 m .60012 .62206 L .61315 .60962 L p F P
0 g
s
.762 .619 .701 r
.55504 .65709 m .56706 .65528 L .56292 .63775 L p F P
0 g
s
.762 .619 .701 r
.56292 .63775 m .55371 .63911 L .55504 .65709 L p F P
0 g
s
.453 .181 .41 r
.63796 .35725 m .62995 .36172 L .6293 .35188 L p F P
0 g
s
.655 .557 .732 r
.63735 .34742 m .6293 .35188 L .62047 .33617 L p F P
0 g
s
.731 .626 .741 r
.68136 .72884 m .68948 .73986 L .70334 .72834 L p F P
0 g
s
.731 .626 .741 r
.70334 .72834 m .69611 .71847 L .68136 .72884 L p F P
0 g
s
.709 .605 .738 r
.50715 .26824 m .50591 .25257 L .48789 .25294 L p F P
0 g
s
.709 .605 .738 r
.48789 .25294 m .48918 .2695 L .50715 .26824 L p F P
0 g
s
.696 .556 .692 r
.17524 .45984 m .19131 .48321 L .20631 .4732 L p F P
0 g
s
.696 .556 .692 r
.20631 .4732 m .19003 .44955 L .17524 .45984 L p F P
0 g
s
.716 .571 .69 r
.83019 .51005 m .84384 .48431 L .8277 .47629 L p F P
0 g
s
.716 .571 .69 r
.8277 .47629 m .81435 .50144 L .83019 .51005 L p F P
0 g
s
.719 .576 .693 r
.36637 .20797 m .38603 .18549 L .3724 .17371 L p F P
0 g
s
.719 .576 .693 r
.3724 .17371 m .35301 .19586 L .36637 .20797 L p F P
0 g
s
.698 .581 .721 r
.16502 .12728 m .14581 .15686 L .1622 .16434 L p F P
0 g
s
.698 .581 .721 r
.1622 .16434 m .17994 .13741 L .16502 .12728 L p F P
0 g
s
.717 .595 .719 r
.08724 .66833 m .1126 .69582 L .12376 .68167 L p F P
0 g
s
.717 .595 .719 r
.12376 .68167 m .10072 .65635 L .08724 .66833 L p F P
0 g
s
.697 .579 .719 r
.89982 .66613 m .87796 .69306 L .89217 .70414 L p F P
0 g
s
.697 .579 .719 r
.89217 .70414 m .91571 .67466 L .89982 .66613 L p F P
0 g
s
.506 .186 .358 r
.70696 .4277 m .69832 .42937 L .70236 .41983 L p F P
0 g
s
.506 .186 .358 r
.70236 .41983 m .71025 .41785 L .70696 .4277 L p F P
0 g
s
.627 .525 .718 r
.71025 .41785 m .70236 .41983 L .70011 .40195 L p F P
0 g
s
.627 .525 .718 r
.70011 .40195 m .70673 .40016 L .71025 .41785 L p F P
0 g
s
.812 .732 .777 r
.60999 .31892 m .61181 .32242 L .62222 .3077 L p F P
0 g
s
.812 .732 .777 r
.62222 .3077 m .61742 .30248 L .60999 .31892 L p F P
0 g
s
.354 .417 .788 r
.3023 .77201 m .28444 .74041 L .29146 .73702 L p F P
0 g
s
.398 .511 .856 r
.32968 .79578 m .35356 .82012 L .34876 .82597 L p F P
0 g
s
.398 .511 .856 r
.34876 .82597 m .32396 .80084 L .32968 .79578 L p F P
0 g
s
.433 .567 .889 r
.37733 .84724 m .34876 .82597 L .35356 .82012 L p F P
0 g
s
.707 .577 .707 r
.28444 .74041 m .3023 .77201 L .28791 .78287 L p F P
0 g
s
.707 .577 .707 r
.28791 .78287 m .26877 .74931 L .28444 .74041 L p F P
0 g
s
.707 .577 .707 r
.32396 .80084 m .34876 .82597 L .33802 .84045 L p F P
0 g
s
.707 .577 .707 r
.34876 .82597 m .37733 .84724 L .36836 .86288 L p F P
0 g
s
.707 .577 .707 r
.36836 .86288 m .33802 .84045 L .34876 .82597 L p F P
0 g
s
.529 .23 .404 r
.79829 .39461 m .78722 .40008 L .7823 .39218 L p F P
0 g
s
.529 .23 .404 r
.7823 .39218 m .79311 .38683 L .79829 .39461 L p F P
0 g
s
.535 .232 .4 r
.78722 .40008 m .77614 .40521 L .77142 .39722 L p F P
0 g
s
.535 .232 .4 r
.77142 .39722 m .7823 .39218 L .78722 .40008 L p F P
0 g
s
.539 .233 .397 r
.77614 .40521 m .76475 .41022 L .76035 .40209 L p F P
0 g
s
.539 .233 .397 r
.76035 .40209 m .77142 .39722 L .77614 .40521 L p F P
0 g
s
.547 .236 .392 r
.76475 .41022 m .75323 .41482 L .74915 .40657 L p F P
0 g
s
.547 .236 .392 r
.74915 .40657 m .76035 .40209 L .76475 .41022 L p F P
0 g
s
.555 .239 .388 r
.75323 .41482 m .7417 .419 L .73809 .41058 L p F P
0 g
s
.555 .239 .388 r
.73809 .41058 m .74915 .40657 L .75323 .41482 L p F P
0 g
s
.567 .244 .382 r
.7417 .419 m .72984 .42262 L .72678 .41405 L p F P
0 g
s
.567 .244 .382 r
.72678 .41405 m .73809 .41058 L .7417 .419 L p F P
0 g
s
.582 .252 .375 r
.72984 .42262 m .71805 .4255 L .71544 .41683 L p F P
0 g
s
.582 .252 .375 r
.71544 .41683 m .72678 .41405 L .72984 .42262 L p F P
0 g
s
.626 .277 .36 r
.71025 .41785 m .71544 .41683 L .71805 .4255 L p F P
0 g
s
.442 .193 .44 r
.52145 .35874 m .51456 .35327 L p .531 .34865 L F P
0 g
s
.442 .193 .44 r
.51456 .35327 m .52549 .34245 L .53197 .34838 L p F P
0 g
s
.428 .195 .456 r
.51205 .36938 m .50465 .36461 L p .52011 .35921 L F P
0 g
s
.428 .195 .456 r
.52011 .35921 m .52145 .35874 L .51205 .36938 L F
.50465 .36461 m .51456 .35327 L .52145 .35874 L p F P
0 g
s
.411 .2 .48 r
.50404 .38057 m .4961 .37668 L p .51062 .37006 L F P
0 g
s
.411 .2 .48 r
.51062 .37006 m .51208 .3694 L .50404 .38057 L F
.4961 .37668 m .50465 .36461 L .51208 .3694 L p F P
0 g
s
.395 .211 .51 r
.49748 .39255 m .4891 .38963 L p .50267 .38143 L F P
0 g
s
.395 .211 .51 r
.50267 .38143 m .50407 .38059 L .49748 .39255 L F
.4891 .38963 m .4961 .37668 L .50407 .38059 L p F P
0 g
s
.381 .227 .544 r
.49751 .39256 m .49206 .4065 L .49205 .4065 L p F P
0 g
s
.381 .227 .544 r
.49205 .4065 m .48339 .40439 L p .49635 .39353 L F P
0 g
s
.381 .227 .544 r
.49635 .39353 m .49751 .39256 L .49205 .4065 L F
.372 .243 .572 r
.48794 .42153 m .47914 .41999 L p .49127 .40733 L F P
0 g
s
.372 .243 .572 r
.49206 .4065 m .48794 .42153 L p .49127 .40733 L F P
0 g
s
.372 .243 .572 r
.47914 .41999 m .48339 .40439 L .49206 .4065 L p F P
0 g
s
.368 .256 .593 r
.48469 .43819 m .47588 .4367 L p .48784 .42165 L F P
0 g
s
.368 .256 .593 r
.48794 .42153 m .48469 .43819 L p .48784 .42165 L F P
0 g
s
.368 .256 .593 r
.47588 .4367 m .47914 .41999 L .48794 .42153 L p F P
0 g
s
.367 .258 .596 r
.48469 .43819 m .48122 .45685 L .47262 .45444 L p F P
0 g
s
.367 .258 .596 r
.47262 .45444 m .47588 .4367 L .48469 .43819 L p F P
0 g
s
.707 .577 .707 r
.47914 .41999 m .47588 .4367 L .45814 .43348 L p F P
0 g
s
.707 .577 .707 r
.47588 .4367 m .47262 .45444 L .45527 .44953 L p F P
0 g
s
.707 .577 .707 r
.45527 .44953 m .45814 .43348 L .47588 .4367 L p F P
0 g
s
.925 .797 .7 r
.48469 .43819 m .47569 .43645 L p .48117 .45667 L F P
0 g
s
.925 .797 .7 r
.48122 .45685 m .48469 .43819 L p .48117 .45667 L F P
0 g
s
.707 .577 .707 r
.48339 .40439 m .47914 .41999 L .46144 .41655 L p F P
0 g
s
.707 .577 .707 r
.45814 .43348 m .46144 .41655 L .47914 .41999 L p F P
0 g
s
.924 .798 .703 r
.48794 .42153 m .47897 .4196 L p .48431 .43697 L F P
0 g
s
.924 .798 .703 r
.48469 .43819 m .48794 .42153 L p .48431 .43697 L F P
0 g
s
.707 .577 .707 r
.4891 .38963 m .48339 .40439 L .46599 .39967 L p F P
0 g
s
.707 .577 .707 r
.46144 .41655 m .46599 .39967 L .48339 .40439 L p F P
0 g
s
.919 .811 .723 r
.48326 .40388 m .47897 .4196 L .48713 .42135 L p F P
0 g
s
.919 .811 .723 r
.48713 .42135 m .48794 .42153 L p .48755 .42007 L F P
0 g
s
.381 .227 .544 r
.48339 .40439 m .4891 .38963 L .49678 .3923 L p F P
0 g
s
.381 .227 .544 r
.49678 .3923 m .49751 .39256 L p .49638 .3935 L F P
0 g
s
.381 .227 .544 r
.48339 .40439 m .49678 .3923 L .49638 .3935 L F
.919 .811 .723 r
.49206 .4065 m .48326 .40388 L p .48758 .42016 L F P
0 g
s
.919 .811 .723 r
.48794 .42153 m .49193 .40697 L p .48758 .42016 L F P
0 g
s
.919 .811 .723 r
.49193 .40697 m .49206 .4065 L p .48758 .42016 L F P
0 g
s
.919 .811 .723 r
.48755 .42007 m .48326 .40388 L .48713 .42135 L F
.707 .577 .707 r
.4961 .37668 m .4891 .38963 L .47227 .38318 L p F P
0 g
s
.91 .826 .751 r
.49751 .39256 m .48901 .389 L p .49177 .40481 L F P
0 g
s
.91 .826 .751 r
.49206 .4065 m .49751 .39256 L p .49177 .40481 L F P
0 g
s
.395 .211 .51 r
.49751 .39256 m .49748 .39255 L p .49766 .39222 L F P
0 g
s
.395 .211 .51 r
.50407 .38059 m .49751 .39256 L p .49766 .39222 L F P
0 g
s
.707 .577 .707 r
.46599 .39967 m .47227 .38318 L .4891 .38963 L p F P
0 g
s
.91 .826 .751 r
.48901 .389 m .48326 .40388 L .49111 .40622 L p F P
0 g
s
.91 .826 .751 r
.49111 .40622 m .49206 .4065 L p .49177 .40481 L F P
0 g
s
.91 .826 .751 r
.49177 .40481 m .48901 .389 L .49111 .40622 L F
.707 .577 .707 r
.50465 .36461 m .4961 .37668 L .48021 .36818 L p F P
0 g
s
.894 .839 .784 r
.50407 .38059 m .49607 .37595 L p .49739 .39118 L F P
0 g
s
.894 .839 .784 r
.49751 .39256 m .50407 .38059 L p .49739 .39118 L F P
0 g
s
.411 .2 .48 r
.50407 .38059 m .50404 .38057 L p .50439 .38008 L F P
0 g
s
.411 .2 .48 r
.51208 .3694 m .50407 .38059 L p .50439 .38008 L F P
0 g
s
.707 .577 .707 r
.47227 .38318 m .48021 .36818 L .4961 .37668 L p F P
0 g
s
.894 .839 .784 r
.49607 .37595 m .48901 .389 L .49673 .39223 L p F P
0 g
s
.894 .839 .784 r
.49673 .39223 m .49751 .39256 L p .49739 .39118 L F P
0 g
s
.894 .839 .784 r
.49739 .39118 m .49607 .37595 L .49673 .39223 L F
.707 .577 .707 r
.51456 .35327 m .50465 .36461 L .4899 .35426 L p F P
0 g
s
.876 .847 .812 r
.51208 .3694 m .50469 .36378 L p .50411 .3794 L F P
0 g
s
.876 .847 .812 r
.50407 .38059 m .51208 .3694 L p .50411 .3794 L F P
0 g
s
.428 .195 .456 r
.51208 .3694 m .51205 .36938 L p .5125 .36887 L F P
0 g
s
.428 .195 .456 r
.52145 .35874 m .51208 .3694 L p .5125 .36887 L F P
0 g
s
.707 .577 .707 r
.48021 .36818 m .4899 .35426 L .50465 .36461 L p F P
0 g
s
.876 .847 .812 r
.50469 .36378 m .49607 .37595 L .50346 .38023 L p F P
0 g
s
.876 .847 .812 r
.50346 .38023 m .50407 .38059 L p .50411 .3794 L F P
0 g
s
.876 .847 .812 r
.50411 .3794 m .50469 .36378 L .50346 .38023 L F
.707 .577 .707 r
.52549 .34245 m .51456 .35327 L .50094 .34146 L p F P
0 g
s
.707 .577 .707 r
.4899 .35426 m .50094 .34146 L .51456 .35327 L p F P
0 g
s
.859 .85 .833 r
.52145 .35874 m .51467 .35235 L p .51222 .36849 L F P
0 g
s
.859 .85 .833 r
.51208 .3694 m .52145 .35874 L p .51222 .36849 L F P
0 g
s
.442 .193 .44 r
.53197 .34838 m .52145 .35874 L p .531 .34865 L F P
0 g
s
.373 .242 .57 r
.48122 .45685 m .47654 .47336 L .46793 .471 L p F P
0 g
s
.373 .242 .57 r
.46793 .471 m .47262 .45444 L .48122 .45685 L p F P
0 g
s
.372 .243 .573 r
.47654 .47336 m .47233 .48883 L .46359 .48706 L p F P
0 g
s
.372 .243 .573 r
.46359 .48706 m .46793 .471 L .47654 .47336 L p F P
0 g
s
.368 .256 .593 r
.47233 .48883 m .46938 .50373 L .46052 .50282 L p F P
0 g
s
.368 .256 .593 r
.46052 .50282 m .46359 .48706 L .47233 .48883 L p F P
0 g
s
.363 .275 .621 r
.46938 .50373 m .46797 .51836 L .45909 .51851 L p F P
0 g
s
.363 .275 .621 r
.45909 .51851 m .46052 .50282 L .46938 .50373 L p F P
0 g
s
.361 .303 .656 r
.46797 .51836 m .46836 .53207 L .45959 .53328 L p F P
0 g
s
.361 .303 .656 r
.45959 .53328 m .45909 .51851 L .46797 .51836 L p F P
0 g
s
.363 .334 .692 r
.46836 .53207 m .47053 .54597 L .46196 .54805 L p F P
0 g
s
.363 .334 .692 r
.46196 .54805 m .45959 .53328 L .46836 .53207 L p F P
0 g
s
.369 .363 .722 r
.47053 .54597 m .47433 .56003 L .46597 .56277 L p F P
0 g
s
.369 .363 .722 r
.46597 .56277 m .46196 .54805 L .47053 .54597 L p F P
0 g
s
.373 .381 .74 r
.47026 .57451 m .46597 .56277 L .47433 .56003 L p F P
0 g
s
.354 .417 .788 r
.29146 .73702 m .30874 .76776 L .3023 .77201 L p F P
0 g
s
.373 .462 .823 r
.30874 .76776 m .32968 .79578 L .32396 .80084 L p F P
0 g
s
.373 .462 .823 r
.32396 .80084 m .3023 .77201 L .30874 .76776 L p F P
0 g
s
.433 .567 .889 r
.35356 .82012 m .38134 .84089 L .37733 .84724 L p F P
0 g
s
.463 .61 .91 r
.38134 .84089 m .40829 .85658 L .40545 .86348 L p F P
0 g
s
.463 .61 .91 r
.40545 .86348 m .37733 .84724 L .38134 .84089 L p F P
0 g
s
.508 .666 .933 r
.40829 .85658 m .4374 .86787 L .43575 .87511 L p F P
0 g
s
.508 .666 .933 r
.43575 .87511 m .40545 .86348 L .40829 .85658 L p F P
0 g
s
.554 .716 .948 r
.46825 .87471 m .46772 .8821 L p .4435 .87073 L F P
0 g
s
.554 .716 .948 r
.46772 .8821 m .43575 .87511 L .4374 .86787 L p F P
0 g
s
.6 .76 .955 r
.46825 .87471 m .50125 .87716 L .50121 .88456 L p F P
0 g
s
.6 .76 .955 r
.50121 .88456 m .46772 .8821 L .46825 .87471 L p F P
0 g
s
.707 .577 .707 r
.43575 .87511 m .46772 .8821 L .46641 .90008 L p F P
0 g
s
.707 .577 .707 r
.46772 .8821 m .50121 .88456 L .50115 .90259 L p F P
0 g
s
.707 .577 .707 r
.50115 .90259 m .46641 .90008 L .46772 .8821 L p F P
0 g
s
.681 .357 .419 r
.46825 .87471 m .46746 .88539 L p .49418 .87888 L F P
0 g
s
.681 .357 .419 r
.50125 .87716 m .46825 .87471 L p .49418 .87888 L F P
0 g
s
.554 .716 .948 r
.4374 .86787 m .46825 .87471 L p .4435 .87073 L F P
0 g
s
.623 .779 .956 r
.53297 .87744 m .53406 .88476 L p .50768 .87865 L F P
0 g
s
.623 .779 .956 r
.53406 .88476 m .50121 .88456 L .50125 .87716 L p F P
0 g
s
.669 .814 .953 r
.56403 .87338 m .56632 .88043 L p .53982 .87805 L F P
0 g
s
.669 .814 .953 r
.53297 .87744 m .56403 .87338 L p .53982 .87805 L F P
0 g
s
.669 .814 .953 r
.56632 .88043 m .53406 .88476 L .53297 .87744 L p F P
0 g
s
.717 .845 .943 r
.59382 .86482 m .59733 .87139 L p .57124 .87295 L F P
0 g
s
.717 .845 .943 r
.56403 .87338 m .59382 .86482 L p .57124 .87295 L F P
0 g
s
.717 .845 .943 r
.59733 .87139 m .56632 .88043 L .56403 .87338 L p F P
0 g
s
.767 .87 .923 r
.62248 .85129 m .62685 .85738 L p .59961 .86352 L F P
0 g
s
.767 .87 .923 r
.59382 .86482 m .62248 .85129 L p .59961 .86352 L F P
0 g
s
.767 .87 .923 r
.62685 .85738 m .59733 .87139 L .59382 .86482 L p F P
0 g
s
.802 .882 .904 r
.65112 .83325 m .65645 .8386 L p .62997 .84849 L F P
0 g
s
.802 .882 .904 r
.62248 .85129 m .65112 .83325 L p .62997 .84849 L F P
0 g
s
.802 .882 .904 r
.65645 .8386 m .62685 .85738 L .62248 .85129 L p F P
0 g
s
.841 .888 .874 r
.67696 .81089 m .68304 .81548 L p .65758 .82966 L F P
0 g
s
.841 .888 .874 r
.65112 .83325 m .67696 .81089 L p .65758 .82966 L F P
0 g
s
.841 .888 .874 r
.68304 .81548 m .65645 .8386 L .65112 .83325 L p F P
0 g
s
.872 .887 .843 r
.7002 .78456 m .70685 .7884 L p .68269 .80658 L F P
0 g
s
.872 .887 .843 r
.67696 .81089 m .7002 .78456 L p .68269 .80658 L F P
0 g
s
.872 .887 .843 r
.70685 .7884 m .68304 .81548 L .67696 .81089 L p F P
0 g
s
.895 .88 .813 r
.72673 .75959 m .70685 .7884 L .70022 .78457 L p F P
0 g
s
.895 .88 .813 r
.70022 .78457 m .7002 .78456 L p .70028 .78448 L F P
0 g
s
.895 .88 .813 r
.72673 .75959 m .70022 .78457 L .70028 .78448 L F
.707 .577 .707 r
.68304 .81548 m .70685 .7884 L .72172 .79859 L p F P
0 g
s
.707 .577 .708 r
.70685 .7884 m .72673 .75959 L .74216 .76891 L p F P
0 g
s
.707 .577 .708 r
.74216 .76891 m .72172 .79859 L .70685 .7884 L p F P
0 g
s
.895 .88 .813 r
.7002 .78456 m .72083 .75447 L .72673 .75959 L p F P
0 g
s
.455 .256 .52 r
.70849 .79095 m .73044 .75871 L .72092 .75451 L p F P
0 g
s
.455 .256 .52 r
.72092 .75451 m .72083 .75447 L p .72073 .75479 L F P
0 g
s
.455 .256 .52 r
.72073 .75479 m .70849 .79095 L .72092 .75451 L F
.7002 .78456 m .70849 .79095 L p .7184 .76168 L F P
0 g
s
.455 .256 .52 r
.72083 .75447 m .7002 .78456 L p .7184 .76168 L F P
0 g
s
.707 .577 .707 r
.65645 .8386 m .68304 .81548 L .6966 .82736 L p F P
0 g
s
.707 .577 .707 r
.72172 .79859 m .6966 .82736 L .68304 .81548 L p F P
0 g
s
.475 .253 .497 r
.67696 .81089 m .68449 .81824 L p .69695 .79153 L F P
0 g
s
.475 .253 .497 r
.7002 .78456 m .67696 .81089 L p .69695 .79153 L F P
0 g
s
.707 .577 .707 r
.62685 .85738 m .65645 .8386 L .66832 .85218 L p F P
0 g
s
.707 .577 .707 r
.6966 .82736 m .66832 .85218 L .65645 .8386 L p F P
0 g
s
.5 .255 .475 r
.65112 .83325 m .6577 .84154 L p .67266 .81772 L F P
0 g
s
.5 .255 .475 r
.67696 .81089 m .65112 .83325 L p .67266 .81772 L F P
0 g
s
.707 .577 .707 r
.59733 .87139 m .62685 .85738 L .63655 .87258 L p F P
0 g
s
.707 .577 .707 r
.66832 .85218 m .63655 .87258 L .62685 .85738 L p F P
0 g
s
.531 .263 .454 r
.62248 .85129 m .62786 .86047 L p .64682 .83829 L F P
0 g
s
.531 .263 .454 r
.65112 .83325 m .62248 .85129 L p .64682 .83829 L F P
0 g
s
.707 .577 .707 r
.56632 .88043 m .59733 .87139 L .6051 .88766 L p F P
0 g
s
.707 .577 .707 r
.63655 .87258 m .6051 .88766 L .59733 .87139 L p F P
0 g
s
.558 .274 .441 r
.59382 .86482 m .59811 .8746 L p .61709 .85645 L F P
0 g
s
.558 .274 .441 r
.62248 .85129 m .59382 .86482 L p .61709 .85645 L F P
0 g
s
.707 .577 .707 r
.53406 .88476 m .56632 .88043 L .57143 .89772 L p F P
0 g
s
.707 .577 .707 r
.6051 .88766 m .57143 .89772 L .56632 .88043 L p F P
0 g
s
.595 .294 .427 r
.56403 .87338 m .56685 .8837 L p .5883 .86868 L F P
0 g
s
.595 .294 .427 r
.59382 .86482 m .56403 .87338 L p .5883 .86868 L F P
0 g
s
.707 .577 .707 r
.50121 .88456 m .53406 .88476 L .53652 .90262 L p F P
0 g
s
.707 .577 .707 r
.57143 .89772 m .53652 .90262 L .53406 .88476 L p F P
0 g
s
.631 .317 .42 r
.53297 .87744 m .53434 .88807 L p .55825 .87624 L F P
0 g
s
.631 .317 .42 r
.56403 .87338 m .53297 .87744 L p .55825 .87624 L F P
0 g
s
.623 .779 .956 r
.50125 .87716 m .53297 .87744 L p .50768 .87865 L F P
0 g
s
.707 .577 .707 r
.83931 .36517 m .82783 .36923 L .82047 .35278 L p F P
0 g
s
.707 .577 .707 r
.82047 .35278 m .83326 .34819 L .83931 .36517 L p F P
0 g
s
.707 .577 .707 r
.82783 .36923 m .81655 .37426 L .80817 .3583 L p F P
0 g
s
.707 .577 .707 r
.80817 .3583 m .82047 .35278 L .82783 .36923 L p F P
0 g
s
.707 .577 .707 r
.81655 .37426 m .80502 .38031 L .79635 .3645 L p F P
0 g
s
.707 .577 .707 r
.79635 .3645 m .80817 .3583 L .81655 .37426 L p F P
0 g
s
.707 .577 .707 r
.80502 .38031 m .79311 .38683 L .7851 .37067 L p F P
0 g
s
.707 .577 .707 r
.7851 .37067 m .79635 .3645 L .80502 .38031 L p F P
0 g
s
.707 .577 .707 r
.79311 .38683 m .7823 .39218 L .77473 .37582 L p F P
0 g
s
.707 .577 .707 r
.77473 .37582 m .7851 .37067 L .79311 .38683 L p F P
0 g
s
.707 .577 .707 r
.7823 .39218 m .77142 .39722 L .76415 .38072 L p F P
0 g
s
.707 .577 .707 r
.76415 .38072 m .77473 .37582 L .7823 .39218 L p F P
0 g
s
.707 .577 .707 r
.77142 .39722 m .76035 .40209 L .75365 .38535 L p F P
0 g
s
.707 .577 .707 r
.75365 .38535 m .76415 .38072 L .77142 .39722 L p F P
0 g
s
.707 .577 .707 r
.76035 .40209 m .74915 .40657 L .74298 .38962 L p F P
0 g
s
.707 .577 .707 r
.74298 .38962 m .75365 .38535 L .76035 .40209 L p F P
0 g
s
.707 .577 .707 r
.74915 .40657 m .73809 .41058 L .73278 .39335 L p F P
0 g
s
.707 .577 .707 r
.73278 .39335 m .74298 .38962 L .74915 .40657 L p F P
0 g
s
.707 .577 .707 r
.73809 .41058 m .72678 .41405 L .72248 .39654 L p F P
0 g
s
.707 .577 .707 r
.72248 .39654 m .73278 .39335 L .73809 .41058 L p F P
0 g
s
.707 .577 .707 r
.72678 .41405 m .71544 .41683 L .71194 .39914 L p F P
0 g
s
.707 .577 .707 r
.71194 .39914 m .72248 .39654 L .72678 .41405 L p F P
0 g
s
.744 .601 .698 r
.71544 .41683 m .71025 .41785 L .70673 .40016 L p F P
0 g
s
.744 .601 .698 r
.70673 .40016 m .71194 .39914 L .71544 .41683 L p F P
0 g
s
.707 .577 .707 r
.50094 .34146 m .5128 .32965 L .52549 .34245 L p F P
0 g
s
.707 .577 .707 r
.47262 .45444 m .46793 .471 L .45052 .46632 L p F P
0 g
s
.707 .577 .707 r
.45052 .46632 m .45527 .44953 L .47262 .45444 L p F P
0 g
s
.707 .577 .707 r
.46793 .471 m .46359 .48706 L .44588 .48367 L p F P
0 g
s
.707 .577 .707 r
.44588 .48367 m .45052 .46632 L .46793 .471 L p F P
0 g
s
.707 .577 .707 r
.46359 .48706 m .46052 .50282 L .44256 .50126 L p F P
0 g
s
.707 .577 .707 r
.44256 .50126 m .44588 .48367 L .46359 .48706 L p F P
0 g
s
.707 .577 .707 r
.46052 .50282 m .45909 .51851 L .44108 .5192 L p F P
0 g
s
.707 .577 .707 r
.44108 .5192 m .44256 .50126 L .46052 .50282 L p F P
0 g
s
.707 .577 .707 r
.45909 .51851 m .45959 .53328 L .4418 .53619 L p F P
0 g
s
.707 .577 .707 r
.4418 .53619 m .44108 .5192 L .45909 .51851 L p F P
0 g
s
.707 .577 .707 r
.45959 .53328 m .46196 .54805 L .44457 .55283 L p F P
0 g
s
.707 .577 .707 r
.44457 .55283 m .4418 .53619 L .45959 .53328 L p F P
0 g
s
.707 .577 .707 r
.46196 .54805 m .46597 .56277 L .44905 .56898 L p F P
0 g
s
.707 .577 .707 r
.44905 .56898 m .44457 .55283 L .46196 .54805 L p F P
0 g
s
.705 .571 .702 r
.46597 .56277 m .47026 .57451 L .45335 .58074 L p F P
0 g
s
.705 .571 .702 r
.45335 .58074 m .44905 .56898 L .46597 .56277 L p F P
0 g
s
.707 .577 .707 r
.3023 .77201 m .32396 .80084 L .31117 .81355 L p F P
0 g
s
.707 .577 .707 r
.31117 .81355 m .28791 .78287 L .3023 .77201 L p F P
0 g
s
.707 .577 .707 r
.33802 .84045 m .31117 .81355 L .32396 .80084 L p F P
0 g
s
.707 .577 .707 r
.37733 .84724 m .40545 .86348 L .39904 .88033 L p F P
0 g
s
.707 .577 .707 r
.39904 .88033 m .36836 .86288 L .37733 .84724 L p F P
0 g
s
.707 .577 .707 r
.40545 .86348 m .43575 .87511 L .43194 .89273 L p F P
0 g
s
.707 .577 .707 r
.43194 .89273 m .39904 .88033 L .40545 .86348 L p F P
0 g
s
.707 .577 .707 r
.46641 .90008 m .43194 .89273 L .43575 .87511 L p F P
0 g
s
.707 .577 .707 r
.53652 .90262 m .50115 .90259 L .50121 .88456 L p F P
0 g
s
.878 .616 .537 r
.26877 .74931 m .28791 .78287 L .27985 .78957 L p F P
0 g
s
.878 .616 .537 r
.27985 .78957 m .25998 .75489 L .26877 .74931 L p F P
0 g
s
.837 .541 .488 r
.31117 .81355 m .33802 .84045 L .33199 .84919 L p F P
0 g
s
.809 .499 .466 r
.33802 .84045 m .36836 .86288 L .36334 .8723 L p F P
0 g
s
.809 .499 .466 r
.36334 .8723 m .33199 .84919 L .33802 .84045 L p F P
0 g
s
.596 .694 .911 r
.87516 .34659 m .86456 .34386 L .86625 .33432 L p F P
0 g
s
.596 .694 .911 r
.86625 .33432 m .87912 .3374 L .87516 .34659 L p F P
0 g
s
.652 .752 .923 r
.86456 .34386 m .85414 .3437 L .85432 .33423 L p F P
0 g
s
.652 .752 .923 r
.85432 .33423 m .86625 .33432 L .86456 .34386 L p F P
0 g
s
.693 .787 .923 r
.85414 .3437 m .84324 .34528 L .84208 .3361 L p F P
0 g
s
.693 .787 .923 r
.84208 .3361 m .85432 .33423 L .85414 .3437 L p F P
0 g
s
.728 .813 .918 r
.84324 .34528 m .83326 .34819 L .83154 .33918 L p F P
0 g
s
.728 .813 .918 r
.83154 .33918 m .84208 .3361 L .84324 .34528 L p F P
0 g
s
.744 .824 .913 r
.83326 .34819 m .82047 .35278 L .81804 .34406 L p F P
0 g
s
.744 .824 .913 r
.81804 .34406 m .83154 .33918 L .83326 .34819 L p F P
0 g
s
.764 .836 .907 r
.82047 .35278 m .80817 .3583 L .80519 .34985 L p F P
0 g
s
.764 .836 .907 r
.80519 .34985 m .81804 .34406 L .82047 .35278 L p F P
0 g
s
.78 .843 .9 r
.80817 .3583 m .79635 .3645 L .79318 .35615 L p F P
0 g
s
.78 .843 .9 r
.79318 .35615 m .80519 .34985 L .80817 .3583 L p F P
0 g
s
.784 .846 .898 r
.79635 .3645 m .7851 .37067 L .78222 .36217 L p F P
0 g
s
.784 .846 .898 r
.78222 .36217 m .79318 .35615 L .79635 .3645 L p F P
0 g
s
.774 .841 .903 r
.7851 .37067 m .77473 .37582 L .77201 .36724 L p F P
0 g
s
.774 .841 .903 r
.77201 .36724 m .78222 .36217 L .7851 .37067 L p F P
0 g
s
.767 .837 .906 r
.77473 .37582 m .76415 .38072 L .76155 .37209 L p F P
0 g
s
.767 .837 .906 r
.76155 .37209 m .77201 .36724 L .77473 .37582 L p F P
0 g
s
.762 .835 .907 r
.76415 .38072 m .75365 .38535 L .75129 .37662 L p F P
0 g
s
.762 .835 .907 r
.75129 .37662 m .76155 .37209 L .76415 .38072 L p F P
0 g
s
.753 .83 .911 r
.75365 .38535 m .74298 .38962 L .74085 .38081 L p F P
0 g
s
.753 .83 .911 r
.74085 .38081 m .75129 .37662 L .75365 .38535 L p F P
0 g
s
.745 .825 .913 r
.74298 .38962 m .73278 .39335 L .73103 .3844 L p F P
0 g
s
.745 .825 .913 r
.73103 .3844 m .74085 .38081 L .74298 .38962 L p F P
0 g
s
.732 .817 .917 r
.73278 .39335 m .72248 .39654 L .7212 .38747 L p F P
0 g
s
.732 .817 .917 r
.7212 .38747 m .73103 .3844 L .73278 .39335 L p F P
0 g
s
.717 .807 .921 r
.71102 .38999 m .7212 .38747 L .72248 .39654 L p F P
0 g
s
.845 .847 .845 r
.5128 .32965 m .50094 .34146 L .4941 .33502 L p F P
0 g
s
.845 .847 .845 r
.4941 .33502 m .50647 .32268 L .5128 .32965 L p F P
0 g
s
.86 .847 .83 r
.50094 .34146 m .4899 .35426 L .48245 .34861 L p F P
0 g
s
.86 .847 .83 r
.48245 .34861 m .4941 .33502 L .50094 .34146 L p F P
0 g
s
.877 .844 .808 r
.4899 .35426 m .48021 .36818 L .47215 .36351 L p F P
0 g
s
.877 .844 .808 r
.47215 .36351 m .48245 .34861 L .4899 .35426 L p F P
0 g
s
.895 .835 .779 r
.48021 .36818 m .47227 .38318 L .46371 .3796 L p F P
0 g
s
.895 .835 .779 r
.46371 .3796 m .47215 .36351 L .48021 .36818 L p F P
0 g
s
.909 .822 .749 r
.47227 .38318 m .46599 .39967 L .45712 .39703 L p F P
0 g
s
.909 .822 .749 r
.45712 .39703 m .46371 .3796 L .47227 .38318 L p F P
0 g
s
.918 .808 .723 r
.46599 .39967 m .46144 .41655 L .45241 .41461 L p F P
0 g
s
.918 .808 .723 r
.45241 .41461 m .45712 .39703 L .46599 .39967 L p F P
0 g
s
.922 .796 .704 r
.46144 .41655 m .45814 .43348 L .44907 .43173 L p F P
0 g
s
.922 .796 .704 r
.44907 .43173 m .45241 .41461 L .46144 .41655 L p F P
0 g
s
.923 .793 .699 r
.45814 .43348 m .45527 .44953 L .44639 .44698 L p F P
0 g
s
.923 .793 .699 r
.44639 .44698 m .44907 .43173 L .45814 .43348 L p F P
0 g
s
.917 .81 .726 r
.45527 .44953 m .45052 .46632 L .44158 .46396 L p F P
0 g
s
.917 .81 .726 r
.44158 .46396 m .44639 .44698 L .45527 .44953 L p F P
0 g
s
.918 .808 .722 r
.45052 .46632 m .44588 .48367 L .43677 .48203 L p F P
0 g
s
.918 .808 .722 r
.43677 .48203 m .44158 .46396 L .45052 .46632 L p F P
0 g
s
.923 .795 .701 r
.44588 .48367 m .44256 .50126 L .43332 .5006 L p F P
0 g
s
.923 .795 .701 r
.43332 .5006 m .43677 .48203 L .44588 .48367 L p F P
0 g
s
.926 .774 .673 r
.44256 .50126 m .44108 .5192 L .4318 .51975 L p F P
0 g
s
.926 .774 .673 r
.4318 .51975 m .43332 .5006 L .44256 .50126 L p F P
0 g
s
.926 .746 .639 r
.44108 .5192 m .4418 .53619 L .43264 .53792 L p F P
0 g
s
.926 .746 .639 r
.43264 .53792 m .4318 .51975 L .44108 .5192 L p F P
0 g
s
.922 .716 .606 r
.4418 .53619 m .44457 .55283 L .43563 .55557 L p F P
0 g
s
.922 .716 .606 r
.43563 .55557 m .43264 .53792 L .4418 .53619 L p F P
0 g
s
.916 .688 .578 r
.44457 .55283 m .44905 .56898 L .44035 .57249 L p F P
0 g
s
.916 .688 .578 r
.44035 .57249 m .43563 .55557 L .44457 .55283 L p F P
0 g
s
.909 .665 .558 r
.44905 .56898 m .45335 .58074 L .44592 .58767 L p F P
0 g
s
.909 .665 .558 r
.44592 .58767 m .44035 .57249 L .44905 .56898 L p F P
0 g
s
.86 .579 .512 r
.28791 .78287 m .31117 .81355 L .304 .82129 L p F P
0 g
s
.86 .579 .512 r
.304 .82129 m .27985 .78957 L .28791 .78287 L p F P
0 g
s
.837 .541 .488 r
.33199 .84919 m .304 .82129 L .31117 .81355 L p F P
0 g
s
.784 .466 .451 r
.36836 .86288 m .39904 .88033 L .39542 .89042 L p F P
0 g
s
.784 .466 .451 r
.39542 .89042 m .36334 .8723 L .36836 .86288 L p F P
0 g
s
.749 .426 .436 r
.39904 .88033 m .43194 .89273 L .42976 .90325 L p F P
0 g
s
.749 .426 .436 r
.42976 .90325 m .39542 .89042 L .39904 .88033 L p F P
0 g
s
.714 .389 .427 r
.43194 .89273 m .46641 .90008 L .46562 .91081 L p F P
0 g
s
.714 .389 .427 r
.46562 .91081 m .42976 .90325 L .43194 .89273 L p F P
0 g
s
.682 .359 .423 r
.46641 .90008 m .50115 .90259 L .50112 .91336 L p F P
0 g
s
.682 .359 .423 r
.50112 .91336 m .46562 .91081 L .46641 .90008 L p F P
0 g
s
.664 .344 .422 r
.50115 .90259 m .53652 .90262 L .5379 .9133 L p F P
0 g
s
.664 .344 .422 r
.5379 .9133 m .50112 .91336 L .50115 .90259 L p F P
0 g
s
.63 .319 .425 r
.53652 .90262 m .57143 .89772 L .57427 .9081 L p F P
0 g
s
.63 .319 .425 r
.57427 .9081 m .5379 .9133 L .53652 .90262 L p F P
0 g
s
.594 .296 .432 r
.57143 .89772 m .6051 .88766 L .60941 .89749 L p F P
0 g
s
.594 .296 .432 r
.60941 .89749 m .57427 .9081 L .57143 .89772 L p F P
0 g
s
.558 .277 .445 r
.6051 .88766 m .63655 .87258 L .64196 .8818 L p F P
0 g
s
.558 .277 .445 r
.64196 .8818 m .60941 .89749 L .6051 .88766 L p F P
0 g
s
.531 .267 .459 r
.63655 .87258 m .66832 .85218 L .67494 .86051 L p F P
0 g
s
.531 .267 .459 r
.67494 .86051 m .64196 .8818 L .63655 .87258 L p F P
0 g
s
.501 .259 .479 r
.66832 .85218 m .6966 .82736 L .70418 .83475 L p F P
0 g
s
.501 .259 .479 r
.70418 .83475 m .67494 .86051 L .66832 .85218 L p F P
0 g
s
.477 .258 .501 r
.6966 .82736 m .72172 .79859 L .73007 .80501 L p F P
0 g
s
.477 .258 .501 r
.73007 .80501 m .70418 .83475 L .6966 .82736 L p F P
0 g
s
.458 .26 .523 r
.72172 .79859 m .74216 .76891 L .75174 .77316 L p F P
0 g
s
.458 .26 .523 r
.75157 .7734 m .72172 .79859 L .75174 .77316 L F
.75182 .77319 m .73007 .80501 L .72172 .79859 L p F P
0 g
s
.457 .258 .521 r
.76561 .74966 m .75182 .77319 L .74216 .76891 L p F P
0 g
s
.898 .883 .81 r
.74599 .76811 m .72349 .80121 L .73005 .805 L p F P
0 g
s
.898 .883 .81 r
.73005 .805 m .73007 .80501 L p .73012 .80489 L F P
0 g
s
.898 .883 .81 r
.74599 .76811 m .73005 .805 L .73012 .80489 L F
.458 .26 .523 r
.75174 .77316 m .75182 .77319 L p .75157 .7734 L F P
0 g
s
.644 .514 .69 r
.55542 .35655 m .54984 .35453 L .54314 .37127 L p F P
0 g
s
.644 .514 .69 r
.54314 .37127 m .55128 .37411 L .55542 .35655 L p F P
0 g
s
.835 .828 .84 r
.08655 .35473 m .1136 .32573 L p .12304 .33103 L F P
0 g
s
.835 .828 .84 r
.11423 .32519 m .12304 .33103 L p .1136 .32573 L F P
0 g
s
.431 .141 .37 r
.11833 .33174 m .14055 .31287 L .1347 .30789 L p F P
0 g
s
.431 .141 .37 r
.1347 .30789 m .13465 .30784 L p .1345 .30805 L F P
0 g
s
.431 .141 .37 r
.11833 .33174 m .1347 .30789 L .1345 .30805 L F
.835 .828 .84 r
.1136 .32573 m .11415 .32513 L .11423 .32519 L p F P
0 g
s
.487 .552 .848 r
.46528 .05362 m .4944 .07748 L .48963 .08678 L p F P
0 g
s
.673 .504 .648 r
.65141 .38637 m .64888 .38095 L .63228 .38799 L p F P
0 g
s
.673 .504 .648 r
.63228 .38799 m .63572 .39527 L .65141 .38637 L p F P
0 g
s
.373 .381 .74 r
.47433 .56003 m .47988 .57516 L .47026 .57451 L p F P
0 g
s
.921 .698 .583 r
.45104 .60115 m .44654 .58931 L p .45335 .58074 L F P
0 g
s
.921 .698 .583 r
.446 .58759 m .45335 .58074 L p .44654 .58931 L F P
0 g
s
.371 .388 .748 r
.45548 .58838 m .44864 .56977 L .44118 .57222 L p F P
0 g
s
.371 .388 .748 r
.44118 .57222 m .44035 .57249 L p .44171 .57392 L F P
0 g
s
.371 .388 .748 r
.45548 .58838 m .44118 .57222 L .44171 .57392 L F
.921 .698 .583 r
.44654 .58931 m .44592 .58767 L .446 .58759 L p F P
0 g
s
.254 .288 .705 r
.61714 .60078 m .62446 .60846 L .61491 .61148 L p F P
0 g
s
.751 .654 .753 r
.68012 .34856 m .68441 .35512 L .69743 .34264 L p F P
0 g
s
.751 .654 .753 r
.69743 .34264 m .69 .33347 L .68012 .34856 L p F P
0 g
s
.659 .529 .695 r
.53158 .56498 m .52075 .5627 L .51671 .58027 L p F P
0 g
s
.659 .529 .695 r
.51671 .58027 m .52636 .58226 L .53158 .56498 L p F P
0 g
s
.73 .375 .378 r
.56194 .57426 m .572 .57851 L .58015 .57254 L p F P
0 g
s
.754 .4 .384 r
.59013 .57841 m .58015 .57254 L .572 .57851 L p F P
0 g
s
.898 .612 .494 r
.65328 .65562 m .66088 .66558 L .66533 .65652 L p F P
0 g
s
.898 .612 .494 r
.66533 .65652 m .65759 .64649 L .65328 .65562 L p F P
0 g
s
.422 .358 .681 r
.94668 .5314 m .94643 .49663 L .93558 .49705 L p F P
0 g
s
.536 .656 .913 r
.66662 .41938 m .65896 .41686 L .66157 .42774 L p F P
0 g
s
.536 .656 .913 r
.66157 .42774 m .67073 .42965 L .66662 .41938 L p F P
0 g
s
.732 .819 .919 r
.58608 .31029 m .57659 .31052 L .57507 .32095 L p F P
0 g
s
.877 .571 .467 r
.50605 .6162 m .49957 .61042 L .49663 .62038 L p F P
0 g
s
.758 .896 .939 r
.67214 .33945 m .66817 .33829 L .6616 .34901 L p F P
0 g
s
.715 .813 .926 r
.59575 .36912 m .58731 .37233 L .59508 .37946 L p F P
0 g
s
.715 .813 .926 r
.59508 .37946 m .60405 .37551 L .59575 .36912 L p F P
0 g
s
.362 .313 .668 r
.49033 .18209 m .4909 .1641 L .48183 .16309 L p F P
0 g
s
.658 .738 .909 r
.32679 .06305 m .35939 .06173 L .35717 .05112 L p F P
0 g
s
.913 .712 .617 r
.24665 .58248 m .24944 .6119 L .25956 .6119 L p F P
0 g
s
.412 .285 .596 r
.76315 .63889 m .75816 .66607 L .76839 .66691 L p F P
0 g
s
.759 .814 .896 r
.27056 .27358 m .24376 .28281 L .24632 .29257 L p F P
0 g
s
.901 .786 .725 r
.06436 .49807 m .07006 .46798 L .05921 .46764 L p F P
0 g
s
.458 .566 .877 r
.56215 .60378 m .56951 .60803 L .57135 .59862 L p F P
0 g
s
.43 .52 .848 r
.65361 .68622 m .64635 .67637 L .63637 .67802 L p F P
0 g
s
.956 .739 .569 r
.97092 .48988 m .96352 .45227 L .95718 .45634 L p F P
0 g
s
.956 .739 .569 r
.95718 .45634 m .96417 .49303 L .97092 .48988 L p F P
0 g
s
.694 .324 .341 r
.66028 .39727 m .66501 .3998 L .67362 .39375 L p F P
0 g
s
.59 .226 .32 r
.56433 .28652 m .55173 .29048 L .55909 .29648 L p F P
0 g
s
.59 .226 .32 r
.55909 .29648 m .5712 .29324 L .56433 .28652 L p F P
0 g
s
.472 .609 .906 r
.47601 .63775 m .48718 .64693 L .49521 .64195 L p F P
0 g
s
.516 .663 .928 r
.50657 .64802 m .49521 .64195 L .48718 .64693 L p F P
0 g
s
.651 .239 .25 r
.65507 .31354 m .64884 .31464 L .65797 .32124 L p F P
0 g
s
.651 .239 .25 r
.65797 .32124 m .66489 .3205 L .65507 .31354 L p F P
0 g
s
.499 .19 .373 r
.57445 .35706 m .58149 .35519 L .58348 .34531 L p F P
0 g
s
.932 .775 .664 r
.51787 .16171 m .51712 .14234 L .50845 .14507 L p F P
0 g
s
.932 .775 .664 r
.50845 .14507 m .50899 .1634 L .51787 .16171 L p F P
0 g
s
.588 .205 .283 r
.35796 .02567 m .31902 .02784 L .31898 .03522 L p F P
0 g
s
.527 .162 .29 r
.28265 .04396 m .31898 .03522 L .31902 .02784 L p F P
0 g
s
.317 .272 .649 r
.22372 .61594 m .22699 .64655 L .23451 .64392 L p F P
0 g
s
.317 .272 .649 r
.23451 .64392 m .23145 .61392 L .22372 .61594 L p F P
0 g
s
.948 .807 .671 r
.79361 .67285 m .79879 .64439 L .79127 .64206 L p F P
0 g
s
.949 .799 .66 r
.79537 .61388 m .79127 .64206 L .79879 .64439 L p F P
0 g
s
.543 .196 .33 r
.23389 .25872 m .20603 .26877 L .21025 .27549 L p F P
0 g
s
.543 .196 .33 r
.21025 .27549 m .23752 .26582 L .23389 .25872 L p F P
0 g
s
.282 .194 .575 r
.03462 .46118 m .0283 .49726 L .03546 .49897 L p F P
0 g
s
.278 .237 .632 r
.03538 .53408 m .03546 .49897 L .0283 .49726 L p F P
0 g
s
.761 .625 .709 r
.5429 .65706 m .55504 .65709 L .55371 .63911 L p F P
0 g
s
.761 .625 .709 r
.55371 .63911 m .54421 .63906 L .5429 .65706 L p F P
0 g
s
.728 .623 .742 r
.6739 .71715 m .68136 .72884 L .69611 .71847 L p F P
0 g
s
.728 .623 .742 r
.69611 .71847 m .68927 .70768 L .6739 .71715 L p F P
0 g
s
.707 .603 .738 r
.50591 .25257 m .50545 .23668 L .48741 .23619 L p F P
0 g
s
.707 .603 .738 r
.48741 .23619 m .48789 .25294 L .50591 .25257 L p F P
0 g
s
.697 .557 .692 r
.22251 .49757 m .20631 .4732 L .19131 .48321 L p F P
0 g
s
.697 .557 .692 r
.19131 .48321 m .20645 .50581 L .22251 .49757 L p F P
0 g
s
.716 .571 .691 r
.81651 .53547 m .83019 .51005 L .81435 .50144 L p F P
0 g
s
.716 .571 .691 r
.81435 .50144 m .80069 .52678 L .81651 .53547 L p F P
0 g
s
.719 .576 .694 r
.34592 .23041 m .36637 .20797 L .35301 .19586 L p F P
0 g
s
.719 .576 .694 r
.35301 .19586 m .33408 .21679 L .34592 .23041 L p F P
0 g
s
.696 .578 .719 r
.1888 .10128 m .16502 .12728 L .17994 .13741 L p F P
0 g
s
.696 .578 .719 r
.17994 .13741 m .20187 .11373 L .1888 .10128 L p F P
0 g
s
.715 .594 .72 r
.06679 .63649 m .08724 .66833 L .10072 .65635 L p F P
0 g
s
.715 .594 .72 r
.10072 .65635 m .08216 .62702 L .06679 .63649 L p F P
0 g
s
.7 .582 .72 r
.91571 .67466 m .93413 .64123 L .91716 .63511 L p F P
0 g
s
.7 .582 .72 r
.91716 .63511 m .89982 .66613 L .91571 .67466 L p F P
0 g
s
.626 .277 .36 r
.71805 .4255 m .70696 .4277 L .71025 .41785 L p F P
0 g
s
.8 .691 .744 r
.60387 .31491 m .60999 .31892 L .61742 .30248 L p F P
0 g
s
.8 .691 .744 r
.61742 .30248 m .6082 .29738 L .60387 .31491 L p F P
0 g
s
.666 .505 .657 r
.65432 .39112 m .65141 .38637 L .63572 .39527 L p F P
0 g
s
.666 .505 .657 r
.63572 .39527 m .64038 .40258 L .65432 .39112 L p F P
0 g
s
.644 .523 .701 r
.56113 .3577 m .55542 .35655 L .55128 .37411 L p F P
0 g
s
.644 .523 .701 r
.55128 .37411 m .55996 .37572 L .56113 .3577 L p F P
0 g
s
.755 .643 .737 r
.67794 .34439 m .68012 .34856 L .69 .33347 L p F P
0 g
s
.755 .643 .737 r
.69 .33347 m .68394 .32737 L .67794 .34439 L p F P
0 g
s
.656 .524 .691 r
.54138 .56805 m .53158 .56498 L .52636 .58226 L p F P
0 g
s
.656 .524 .691 r
.52636 .58226 m .53629 .58537 L .54138 .56805 L p F P
0 g
s
.754 .4 .384 r
.572 .57851 m .5817 .58375 L .59013 .57841 L p F P
0 g
s
.777 .427 .394 r
.59991 .58533 m .59013 .57841 L .5817 .58375 L p F P
0 g
s
.426 .397 .723 r
.94643 .49663 m .93996 .46197 L .92922 .46348 L p F P
0 g
s
.777 .842 .901 r
.57659 .31052 m .56659 .31297 L .56668 .32332 L p F P
0 g
s
.786 .886 .918 r
.66817 .33829 m .66243 .33879 L .65774 .34961 L p F P
0 g
s
.367 .331 .686 r
.4909 .1641 m .49041 .14667 L .48118 .14555 L p F P
0 g
s
.37 .352 .708 r
.48024 .13322 m .48118 .14555 L .49041 .14667 L p F P
0 g
s
.913 .709 .614 r
.24944 .6119 m .25233 .64066 L .26249 .64006 L p F P
0 g
s
.762 .815 .895 r
.24376 .28281 m .21767 .29202 L .2208 .30169 L p F P
0 g
s
.442 .539 .861 r
.56951 .60803 m .57682 .6131 L .57954 .60388 L p F P
0 g
s
.947 .701 .532 r
.96352 .45227 m .95196 .41692 L .94654 .4224 L p F P
0 g
s
.947 .701 .532 r
.94654 .4224 m .95718 .45634 L .96352 .45227 L p F P
0 g
s
.55 .204 .334 r
.55173 .29048 m .53829 .29669 L .54649 .30161 L p F P
0 g
s
.55 .204 .334 r
.54649 .30161 m .55909 .29648 L .55173 .29048 L p F P
0 g
s
.626 .228 .27 r
.64884 .31464 m .64098 .31663 L .65072 .3224 L p F P
0 g
s
.626 .228 .27 r
.65072 .3224 m .65797 .32124 L .64884 .31464 L p F P
0 g
s
.935 .773 .657 r
.51712 .14234 m .5155 .12538 L .50741 .12918 L p F P
0 g
s
.935 .773 .657 r
.50741 .12918 m .50845 .14507 L .51712 .14234 L p F P
0 g
s
.316 .288 .668 r
.22699 .64655 m .23196 .67471 L .23922 .67153 L p F P
0 g
s
.316 .288 .668 r
.23922 .67153 m .23451 .64392 L .22699 .64655 L p F P
0 g
s
.522 .183 .333 r
.20603 .26877 m .18112 .27976 L .18587 .28605 L p F P
0 g
s
.522 .183 .333 r
.18587 .28605 m .21025 .27549 L .20603 .26877 L p F P
0 g
s
.897 .609 .491 r
.64573 .64601 m .65328 .65562 L .65759 .64649 L p F P
0 g
s
.897 .609 .491 r
.65759 .64649 m .64993 .63681 L .64573 .64601 L p F P
0 g
s
.562 .686 .923 r
.67508 .4208 m .66662 .41938 L .67073 .42965 L p F P
0 g
s
.562 .686 .923 r
.67073 .42965 m .67962 .43055 L .67508 .4208 L p F P
0 g
s
.893 .607 .496 r
.49957 .61042 m .49314 .603 L .48879 .61231 L p F P
0 g
s
.727 .82 .923 r
.6049 .36482 m .59575 .36912 L .60405 .37551 L p F P
0 g
s
.727 .82 .923 r
.60405 .37551 m .61291 .37114 L .6049 .36482 L p F P
0 g
s
.629 .714 .908 r
.35939 .06173 m .39217 .06409 L .39111 .05335 L p F P
0 g
s
.42 .272 .573 r
.75816 .66607 m .75174 .68956 L .76195 .69113 L p F P
0 g
s
.893 .8 .75 r
.07006 .46798 m .08052 .43469 L .06984 .433 L p F P
0 g
s
.434 .526 .852 r
.64635 .67637 m .63895 .6667 L .62904 .66857 L p F P
0 g
s
.614 .254 .336 r
.68312 .39461 m .67755 .39421 L .67004 .4016 L p F P
0 g
s
.65 .286 .34 r
.66501 .3998 m .67004 .4016 L .67755 .39421 L p F P
0 g
s
.438 .556 .877 r
.46608 .62692 m .47601 .63775 L .4848 .6341 L p F P
0 g
s
.472 .609 .906 r
.49521 .64195 m .4848 .6341 L .47601 .63775 L p F P
0 g
s
.463 .179 .395 r
.59697 .33873 m .58938 .34254 L .58839 .35257 L p F P
0 g
s
.474 .181 .388 r
.58149 .35519 m .58839 .35257 L .58938 .34254 L p F P
0 g
s
.63 .239 .285 r
.39496 .02808 m .35796 .02567 L .35645 .03302 L p F P
0 g
s
.588 .205 .283 r
.31898 .03522 m .35645 .03302 L .35796 .02567 L p F P
0 g
s
.945 .825 .694 r
.78651 .69932 m .79361 .67285 L .78618 .67031 L p F P
0 g
s
.948 .807 .671 r
.79127 .64206 m .78618 .67031 L .79361 .67285 L p F P
0 g
s
.294 .169 .534 r
.04612 .42369 m .03462 .46118 L .04142 .46423 L p F P
0 g
s
.282 .194 .575 r
.03546 .49897 m .04142 .46423 L .03462 .46118 L p F P
0 g
s
.759 .629 .716 r
.53092 .65533 m .5429 .65706 L .54421 .63906 L p F P
0 g
s
.759 .629 .716 r
.54421 .63906 m .53463 .63766 L .53092 .65533 L p F P
0 g
s
.727 .622 .741 r
.66698 .70568 m .6739 .71715 L .68927 .70768 L p F P
0 g
s
.727 .622 .741 r
.68927 .70768 m .68246 .69637 L .66698 .70568 L p F P
0 g
s
.706 .602 .738 r
.48776 .21909 m .48741 .23619 L .50545 .23668 L p F P
0 g
s
.706 .602 .738 r
.50545 .23668 m .50578 .22033 L .48776 .21909 L p F P
0 g
s
.699 .558 .691 r
.20645 .50581 m .21861 .52863 L .23615 .52433 L p F P
0 g
s
.699 .558 .691 r
.23615 .52433 m .22251 .49757 L .20645 .50581 L p F P
0 g
s
.72 .579 .696 r
.33408 .21679 m .31418 .23464 L .32249 .25068 L p F P
0 g
s
.72 .579 .696 r
.32249 .25068 m .34592 .23041 L .33408 .21679 L p F P
0 g
s
.714 .57 .69 r
.80523 .56094 m .81651 .53547 L .80069 .52678 L p F P
0 g
s
.714 .57 .69 r
.80069 .52678 m .78875 .55354 L .80523 .56094 L p F P
0 g
s
.694 .575 .717 r
.21656 .07931 m .1888 .10128 L .20187 .11373 L p F P
0 g
s
.694 .575 .717 r
.20187 .11373 m .22748 .09369 L .21656 .07931 L p F P
0 g
s
.713 .593 .721 r
.05173 .60158 m .06679 .63649 L .08216 .62702 L p F P
0 g
s
.713 .593 .721 r
.08216 .62702 m .06844 .59473 L .05173 .60158 L p F P
0 g
s
.702 .584 .721 r
.93 .60075 m .91716 .63511 L .93413 .64123 L p F P
0 g
s
.702 .584 .721 r
.93413 .64123 m .9473 .60591 L .93 .60075 L p F P
0 g
s
.847 .737 .743 r
.67572 .34138 m .67794 .34439 L .68394 .32737 L p F P
0 g
s
.847 .737 .743 r
.68394 .32737 m .67791 .32345 L .67572 .34138 L p F P
0 g
s
.654 .5 .663 r
.65667 .3942 m .65432 .39112 L .64038 .40258 L p F P
0 g
s
.654 .5 .663 r
.64038 .40258 m .64528 .40823 L .65667 .3942 L p F P
0 g
s
.645 .531 .709 r
.56793 .35785 m .56113 .3577 L .55996 .37572 L p F P
0 g
s
.645 .531 .709 r
.55996 .37572 m .56929 .37587 L .56793 .35785 L p F P
0 g
s
.657 .525 .691 r
.55164 .57086 m .54138 .56805 L .53629 .58537 L p F P
0 g
s
.657 .525 .691 r
.53629 .58537 m .54552 .58786 L .55164 .57086 L p F P
0 g
s
.777 .427 .394 r
.5817 .58375 m .59113 .58994 L .59991 .58533 L p F P
0 g
s
.797 .452 .403 r
.60887 .59286 m .59991 .58533 L .59113 .58994 L p F P
0 g
s
.891 .599 .485 r
.63781 .63642 m .64573 .64601 L .64993 .63681 L p F P
0 g
s
.891 .599 .485 r
.64993 .63681 m .64181 .62712 L .63781 .63642 L p F P
0 g
s
.433 .425 .75 r
.93996 .46197 m .93075 .4313 L .9205 .43466 L p F P
0 g
s
.595 .721 .932 r
.68343 .42138 m .67508 .4208 L .67962 .43055 L p F P
0 g
s
.595 .721 .932 r
.67962 .43055 m .68903 .43046 L .68343 .42138 L p F P
0 g
s
.803 .85 .885 r
.56659 .31297 m .55634 .31683 L .5579 .32702 L p F P
0 g
s
.915 .657 .533 r
.49314 .603 m .48802 .59485 L .48238 .60338 L p F P
0 g
s
.794 .876 .907 r
.66243 .33879 m .65684 .33946 L .65317 .35063 L p F P
0 g
s
.738 .827 .92 r
.61341 .36041 m .6049 .36482 L .61291 .37114 L p F P
0 g
s
.738 .827 .92 r
.61291 .37114 m .62161 .36644 L .61341 .36041 L p F P
0 g
s
.37 .352 .708 r
.49041 .14667 m .48971 .13311 L .48024 .13322 L p F P
0 g
s
.578 .666 .898 r
.39217 .06409 m .42216 .07248 L .42297 .06181 L p F P
0 g
s
.908 .69 .596 r
.25233 .64066 m .25675 .6669 L .26688 .66549 L p F P
0 g
s
.43 .263 .552 r
.75174 .68956 m .74327 .71227 L .75336 .71475 L p F P
0 g
s
.78 .822 .885 r
.21767 .29202 m .19466 .30191 L .19863 .31135 L p F P
0 g
s
.877 .818 .787 r
.08052 .43469 m .09591 .40423 L .08565 .401 L p F P
0 g
s
.423 .508 .841 r
.57682 .6131 m .58394 .61903 L .58737 .61004 L p F P
0 g
s
.436 .531 .856 r
.63895 .6667 m .63152 .65727 L .62163 .65924 L p F P
0 g
s
.923 .632 .474 r
.95196 .41692 m .93391 .38494 L .92969 .39164 L p F P
0 g
s
.923 .632 .474 r
.92969 .39164 m .94654 .4224 L .95196 .41692 L p F P
0 g
s
.614 .254 .336 r
.67004 .4016 m .67683 .40276 L .68312 .39461 L p F P
0 g
s
.509 .185 .353 r
.53829 .29669 m .52609 .30465 L .53484 .30857 L p F P
0 g
s
.509 .185 .353 r
.53484 .30857 m .54649 .30161 L .53829 .29669 L p F P
0 g
s
.406 .503 .845 r
.45769 .61451 m .46608 .62692 L .4752 .62431 L p F P
0 g
s
.438 .556 .877 r
.4848 .6341 m .4752 .62431 L .46608 .62692 L p F P
0 g
s
.593 .206 .278 r
.64098 .31663 m .63358 .31927 L .64367 .32434 L p F P
0 g
s
.593 .206 .278 r
.64367 .32434 m .65072 .3224 L .64098 .31663 L p F P
0 g
s
.463 .179 .395 r
.58839 .35257 m .5969 .34856 L .59697 .33873 L p F P
0 g
s
.937 .744 .617 r
.5155 .12538 m .51162 .10858 L .50445 .11368 L p F P
0 g
s
.937 .744 .617 r
.50445 .11368 m .50741 .12918 L .5155 .12538 L p F P
0 g
s
.694 .301 .298 r
.43183 .03765 m .39496 .02808 L .39251 .03528 L p F P
0 g
s
.63 .239 .285 r
.35645 .03302 m .39251 .03528 L .39496 .02808 L p F P
0 g
s
.318 .309 .692 r
.23196 .67471 m .23907 .70237 L .24603 .69863 L p F P
0 g
s
.318 .309 .692 r
.24603 .69863 m .23922 .67153 L .23196 .67471 L p F P
0 g
s
.939 .843 .721 r
.77705 .72513 m .78651 .69932 L .77941 .69603 L p F P
0 g
s
.945 .825 .694 r
.78618 .67031 m .77941 .69603 L .78651 .69932 L p F P
0 g
s
.495 .168 .34 r
.18112 .27976 m .15724 .2928 L .16252 .29858 L p F P
0 g
s
.495 .168 .34 r
.16252 .29858 m .18587 .28605 L .18112 .27976 L p F P
0 g
s
.315 .146 .486 r
.06368 .38787 m .04612 .42369 L .05257 .42748 L p F P
0 g
s
.294 .169 .534 r
.04142 .46423 m .05257 .42748 L .04612 .42369 L p F P
0 g
s
.762 .634 .719 r
.6082 .29738 m .59614 .29358 L .59538 .31163 L p F P
0 g
s
.762 .634 .719 r
.59538 .31163 m .60387 .31491 L .6082 .29738 L p F P
0 g
s
.751 .624 .718 r
.51867 .65239 m .53092 .65533 L .53463 .63766 L p F P
0 g
s
.751 .624 .718 r
.53463 .63766 m .52346 .63496 L .51867 .65239 L p F P
0 g
s
.729 .624 .74 r
.66063 .69605 m .66698 .70568 L .68246 .69637 L p F P
0 g
s
.729 .624 .74 r
.68246 .69637 m .67555 .68586 L .66063 .69605 L p F P
0 g
s
.705 .599 .735 r
.48903 .20041 m .48776 .21909 L .50578 .22033 L p F P
0 g
s
.705 .599 .735 r
.50578 .22033 m .50707 .20159 L .48903 .20041 L p F P
0 g
s
.723 .584 .698 r
.29706 .26377 m .32249 .25068 L .31418 .23464 L p F P
0 g
s
.723 .584 .698 r
.31418 .23464 m .29068 .24686 L .29706 .26377 L p F P
0 g
s
.711 .566 .689 r
.79935 .5865 m .80523 .56094 L .78875 .55354 L p F P
0 g
s
.711 .566 .689 r
.78875 .55354 m .78175 .58239 L .79935 .5865 L p F P
0 g
s
.703 .559 .689 r
.24317 .55325 m .23615 .52433 L .21861 .52863 L p F P
0 g
s
.703 .559 .689 r
.21861 .52863 m .22523 .55549 L .24317 .55325 L p F P
0 g
s
.694 .573 .715 r
.24807 .05904 m .21656 .07931 L .22748 .09369 L p F P
0 g
s
.694 .573 .715 r
.22748 .09369 m .25763 .07438 L .24807 .05904 L p F P
0 g
s
.712 .594 .722 r
.04102 .5687 m .05173 .60158 L .06844 .59473 L p F P
0 g
s
.712 .594 .722 r
.06844 .59473 m .05829 .56335 L .04102 .5687 L p F P
0 g
s
.703 .585 .721 r
.94091 .56639 m .93 .60075 L .9473 .60591 L p F P
0 g
s
.703 .585 .721 r
.9473 .60591 m .9588 .56898 L .94091 .56639 L p F P
0 g
s
.837 .698 .71 r
.67214 .33945 m .67572 .34138 L .67791 .32345 L p F P
0 g
s
.837 .698 .71 r
.67791 .32345 m .67146 .32139 L .67214 .33945 L p F P
0 g
s
.645 .502 .673 r
.66028 .39727 m .65667 .3942 L .64528 .40823 L p F P
0 g
s
.645 .502 .673 r
.64528 .40823 m .65177 .41323 L .66028 .39727 L p F P
0 g
s
.647 .539 .717 r
.57445 .35706 m .56793 .35785 L .56929 .37587 L p F P
0 g
s
.647 .539 .717 r
.56929 .37587 m .57838 .37471 L .57445 .35706 L p F P
0 g
s
.659 .525 .689 r
.56194 .57426 m .55164 .57086 L .54552 .58786 L p F P
0 g
s
.659 .525 .689 r
.54552 .58786 m .55441 .5907 L .56194 .57426 L p F P
0 g
s
.797 .452 .403 r
.59113 .58994 m .59988 .5969 L .60887 .59286 L p F P
0 g
s
.812 .471 .41 r
.61714 .60078 m .60887 .59286 L .59988 .5969 L p F P
0 g
s
.885 .586 .477 r
.62952 .62705 m .63781 .63642 L .64181 .62712 L p F P
0 g
s
.885 .586 .477 r
.64181 .62712 m .63323 .61761 L .62952 .62705 L p F P
0 g
s
.452 .477 .794 r
.93075 .4313 m .91592 .40344 L .90646 .40846 L p F P
0 g
s
.625 .75 .937 r
.69197 .42097 m .68343 .42138 L .68903 .43046 L p F P
0 g
s
.625 .75 .937 r
.68903 .43046 m .69832 .42937 L .69197 .42097 L p F P
0 g
s
.837 .858 .861 r
.55634 .31683 m .5466 .32239 L .54952 .33218 L p F P
0 g
s
.925 .691 .565 r
.48802 .59485 m .48366 .58552 L .47698 .59317 L p F P
0 g
s
.818 .883 .892 r
.65684 .33946 m .65115 .34086 L .64848 .3522 L p F P
0 g
s
.741 .829 .919 r
.6217 .35582 m .61341 .36041 L .62161 .36644 L p F P
0 g
s
.741 .829 .919 r
.62161 .36644 m .62995 .36172 L .6217 .35582 L p F P
0 g
s
.386 .393 .744 r
.48971 .13311 m .48753 .12021 L .47791 .12159 L p F P
0 g
s
.531 .613 .88 r
.42216 .07248 m .44918 .08601 L .45177 .07574 L p F P
0 g
s
.902 .67 .577 r
.25675 .6669 m .26316 .69266 L .27321 .69047 L p F P
0 g
s
.441 .257 .534 r
.74327 .71227 m .73302 .73396 L .74292 .73728 L p F P
0 g
s
.798 .827 .874 r
.19466 .30191 m .17265 .31363 L .17742 .32279 L p F P
0 g
s
.857 .827 .817 r
.09591 .40423 m .11606 .37564 L .10641 .37104 L p F P
0 g
s
.41 .483 .825 r
.58394 .61903 m .59098 .62576 L .59489 .61695 L p F P
0 g
s
.441 .539 .861 r
.63152 .65727 m .62392 .64809 L .61413 .65036 L p F P
0 g
s
.887 .56 .423 r
.93391 .38494 m .9099 .35746 L .90768 .36538 L p F P
0 g
s
.887 .56 .423 r
.90768 .36538 m .92969 .39164 L .93391 .38494 L p F P
0 g
s
.585 .238 .347 r
.67683 .40276 m .68305 .40324 L .68827 .39432 L p F P
0 g
s
.474 .175 .377 r
.52609 .30465 m .51529 .31383 L .52435 .31703 L p F P
0 g
s
.474 .175 .377 r
.52435 .31703 m .53484 .30857 L .52609 .30465 L p F P
0 g
s
.383 .456 .812 r
.45104 .60115 m .45769 .61451 L .46716 .61325 L p F P
0 g
s
.406 .503 .845 r
.4752 .62431 m .46716 .61325 L .45769 .61451 L p F P
0 g
s
.567 .192 .291 r
.63358 .31927 m .62662 .32239 L .637 .3269 L p F P
0 g
s
.567 .192 .291 r
.637 .3269 m .64367 .32434 L .63358 .31927 L p F P
0 g
s
.455 .177 .403 r
.5969 .34856 m .6048 .34445 L .60444 .33463 L p F P
0 g
s
.934 .708 .572 r
.51162 .10858 m .50496 .09227 L .49942 .09881 L p F P
0 g
s
.934 .708 .572 r
.49942 .09881 m .50445 .11368 L .51162 .10858 L p F P
0 g
s
.754 .369 .324 r
.46528 .05362 m .43183 .03765 L .42782 .04433 L p F P
0 g
s
.694 .301 .298 r
.39251 .03528 m .42782 .04433 L .43183 .03765 L p F P
0 g
s
.32 .331 .715 r
.23907 .70237 m .2483 .72932 L .25479 .72491 L p F P
0 g
s
.32 .331 .715 r
.25479 .72491 m .24603 .69863 L .23907 .70237 L p F P
0 g
s
.931 .858 .747 r
.76561 .74966 m .77705 .72513 L .77031 .72121 L p F P
0 g
s
.939 .843 .721 r
.77941 .69603 m .77031 .72121 L .77705 .72513 L p F P
0 g
s
.469 .154 .349 r
.15724 .2928 m .13465 .30784 L .14055 .31287 L p F P
0 g
s
.469 .154 .349 r
.14055 .31287 m .16252 .29858 L .15724 .2928 L p F P
0 g
s
.342 .134 .445 r
.08655 .35473 m .06368 .38787 L .06947 .39279 L p F P
0 g
s
.315 .146 .486 r
.05257 .42748 m .06947 .39279 L .06368 .38787 L p F P
0 g
s
.762 .624 .707 r
.59614 .29358 m .58379 .29235 L .58608 .31029 L p F P
0 g
s
.762 .624 .707 r
.58608 .31029 m .59538 .31163 L .59614 .29358 L p F P
0 g
s
.752 .631 .725 r
.50657 .64802 m .51867 .65239 L .52346 .63496 L p F P
0 g
s
.752 .631 .725 r
.52346 .63496 m .51367 .63138 L .50657 .64802 L p F P
0 g
s
.731 .625 .74 r
.65361 .68622 m .66063 .69605 L .67555 .68586 L p F P
0 g
s
.731 .625 .74 r
.67555 .68586 m .66825 .6756 L .65361 .68622 L p F P
0 g
s
.705 .599 .736 r
.50707 .20159 m .50841 .1825 L .49033 .18209 L p F P
0 g
s
.705 .599 .736 r
.49033 .18209 m .48903 .20041 L .50707 .20159 L p F P
0 g
s
.725 .586 .7 r
.27056 .27358 m .29706 .26377 L .29068 .24686 L p F P
0 g
s
.725 .586 .7 r
.29068 .24686 m .26454 .25652 L .27056 .27358 L p F P
0 g
s
.71 .565 .689 r
.79537 .61388 m .79935 .5865 L .78175 .58239 L p F P
0 g
s
.71 .565 .689 r
.78175 .58239 m .77748 .61119 L .79537 .61388 L p F P
0 g
s
.705 .561 .689 r
.22523 .55549 m .22866 .58432 L .24665 .58248 L p F P
0 g
s
.705 .561 .689 r
.24665 .58248 m .24317 .55325 L .22523 .55549 L p F P
0 g
s
.709 .593 .723 r
.03538 .53408 m .04102 .5687 L .05829 .56335 L p F P
0 g
s
.709 .593 .723 r
.05829 .56335 m .05329 .53152 L .03538 .53408 L p F P
0 g
s
.693 .57 .713 r
.28265 .04396 m .24807 .05904 L .25763 .07438 L p F P
0 g
s
.693 .57 .713 r
.25763 .07438 m .28957 .06068 L .28265 .04396 L p F P
0 g
s
.705 .588 .722 r
.94668 .5314 m .94091 .56639 L .9588 .56898 L p F P
0 g
s
.705 .588 .722 r
.9588 .56898 m .96476 .5309 L .94668 .5314 L p F P
0 g
s
.83 .673 .689 r
.66817 .33829 m .67214 .33945 L .67146 .32139 L p F P
0 g
s
.83 .673 .689 r
.67146 .32139 m .66489 .3205 L .66817 .33829 L p F P
0 g
s
.64 .504 .681 r
.66501 .3998 m .66028 .39727 L .65177 .41323 L p F P
0 g
s
.64 .504 .681 r
.65177 .41323 m .65896 .41686 L .66501 .3998 L p F P
0 g
s
.649 .545 .724 r
.58149 .35519 m .57445 .35706 L .57838 .37471 L p F P
0 g
s
.649 .545 .724 r
.57838 .37471 m .58731 .37233 L .58149 .35519 L p F P
0 g
s
.661 .523 .685 r
.55441 .5907 m .56297 .59419 L .572 .57851 L p F P
0 g
s
.661 .523 .685 r
.572 .57851 m .56194 .57426 L .55441 .5907 L p F P
0 g
s
.88 .577 .47 r
.62097 .61799 m .62952 .62705 L .63323 .61761 L p F P
0 g
s
.88 .577 .47 r
.63323 .61761 m .62446 .60846 L .62097 .61799 L p F P
0 g
s
.643 .767 .939 r
.7001 .4198 m .69197 .42097 L .69832 .42937 L p F P
0 g
s
.643 .767 .939 r
.69832 .42937 m .70696 .4277 L .7001 .4198 L p F P
0 g
s
.929 .713 .588 r
.48366 .58552 m .47988 .57516 L .47253 .5821 L p F P
0 g
s
.737 .828 .921 r
.62977 .35128 m .6217 .35582 L .62995 .36172 L p F P
0 g
s
.737 .828 .921 r
.62995 .36172 m .63796 .35725 L .62977 .35128 L p F P
0 g
s
.472 .536 .842 r
.44918 .08601 m .47088 .105 L .47559 .09573 L p F P
0 g
s
.455 .252 .514 r
.73302 .73396 m .72083 .75447 L .73044 .75871 L p F P
0 g
s
.833 .831 .845 r
.11606 .37564 m .14033 .35014 L .13147 .34429 L p F P
0 g
s
.449 .551 .868 r
.62392 .64809 m .61606 .63924 L .60641 .64188 L p F P
0 g
s
.555 .22 .357 r
.68305 .40324 m .6897 .40296 L .69379 .39348 L p F P
0 g
s
.37 .422 .785 r
.44592 .58767 m .45104 .60115 L .46061 .60101 L p F P
0 g
s
.383 .456 .812 r
.46716 .61325 m .46061 .60101 L .45104 .60115 L p F P
0 g
s
.447 .173 .404 r
.62041 .32559 m .61222 .33019 L .61281 .33999 L p F P
0 g
s
.449 .176 .406 r
.6048 .34445 m .61281 .33999 L .61222 .33019 L p F P
0 g
s
.822 .461 .373 r
.4944 .07748 m .46528 .05362 L .45985 .05948 L p F P
0 g
s
.754 .369 .324 r
.42782 .04433 m .45985 .05948 L .46528 .05362 L p F P
0 g
s
.919 .872 .775 r
.75182 .77319 m .76561 .74966 L .75928 .74516 L p F P
0 g
s
.931 .858 .747 r
.77031 .72121 m .75928 .74516 L .76561 .74966 L p F P
0 g
s
.376 .131 .41 r
.11415 .32513 m .08655 .35473 L .0916 .36054 L p F P
0 g
s
.342 .134 .445 r
.06947 .39279 m .0916 .36054 L .08655 .35473 L p F P
0 g
s
.812 .471 .41 r
.59988 .5969 m .60802 .60441 L .61714 .60078 L p F P
0 g
s
.821 .481 .413 r
.62446 .60846 m .61714 .60078 L .60802 .60441 L p F P
0 g
s
.477 .529 .832 r
.91592 .40344 m .89749 .38041 L .88961 .3874 L p F P
0 g
s
.862 .858 .836 r
.5466 .32239 m .53729 .32977 L .54106 .33921 L p F P
0 g
s
.834 .883 .878 r
.65115 .34086 m .64544 .34296 L .64345 .35441 L p F P
0 g
s
.41 .443 .783 r
.48753 .12021 m .48436 .10895 L .47495 .11247 L p F P
0 g
s
.895 .649 .559 r
.26316 .69266 m .27125 .71724 L .28109 .71406 L p F P
0 g
s
.816 .83 .86 r
.17265 .31363 m .15235 .32667 L .15816 .33532 L p F P
0 g
s
.419 .487 .824 r
.59098 .62576 m .59832 .6335 L .60785 .63055 L p F P
0 g
s
.82 .458 .37 r
.9099 .35746 m .87912 .3374 L .87814 .34561 L p F P
0 g
s
.82 .458 .37 r
.87814 .34561 m .90768 .36538 L .9099 .35746 L p F P
0 g
s
.451 .176 .404 r
.51529 .31383 m .50647 .32268 L .5129 .32855 L p F P
0 g
s
.451 .176 .404 r
.5129 .32855 m .52435 .31703 L .51529 .31383 L p F P
0 g
s
.538 .219 .374 r
.62662 .32239 m .62041 .32559 L .62096 .33539 L p F P
0 g
s
.9 .609 .484 r
.50496 .09227 m .4944 .07748 L .4874 .08192 L p F P
0 g
s
.9 .609 .484 r
.4874 .08192 m .49942 .09881 L .50496 .09227 L p F P
0 g
s
.329 .365 .747 r
.2483 .72932 m .25998 .75489 L .26693 .75154 L p F P
0 g
s
.329 .365 .747 r
.26693 .75154 m .25479 .72491 L .2483 .72932 L p F P
0 g
s
.431 .141 .37 r
.13465 .30784 m .11415 .32513 L .11833 .33174 L p F P
0 g
s
.761 .616 .698 r
.57659 .31052 m .58608 .31029 L .58379 .29235 L p F P
0 g
s
.761 .616 .698 r
.58379 .29235 m .5712 .29324 L .57659 .31052 L p F P
0 g
s
.75 .634 .733 r
.49521 .64195 m .50657 .64802 L .51367 .63138 L p F P
0 g
s
.75 .634 .733 r
.51367 .63138 m .50468 .62653 L .49521 .64195 L p F P
0 g
s
.731 .625 .74 r
.64635 .67637 m .65361 .68622 L .66825 .6756 L p F P
0 g
s
.731 .625 .74 r
.66825 .6756 m .66088 .66558 L .64635 .67637 L p F P
0 g
s
.706 .601 .736 r
.50841 .1825 m .50899 .1634 L .4909 .1641 L p F P
0 g
s
.706 .601 .736 r
.4909 .1641 m .49033 .18209 L .50841 .1825 L p F P
0 g
s
.725 .587 .701 r
.24376 .28281 m .27056 .27358 L .26454 .25652 L p F P
0 g
s
.725 .587 .701 r
.26454 .25652 m .23752 .26582 L .24376 .28281 L p F P
0 g
s
.71 .564 .688 r
.79127 .64206 m .79537 .61388 L .77748 .61119 L p F P
0 g
s
.71 .564 .688 r
.77748 .61119 m .77338 .6393 L .79127 .64206 L p F P
0 g
s
.705 .561 .689 r
.22866 .58432 m .23145 .61392 L .24944 .6119 L p F P
0 g
s
.705 .561 .689 r
.24944 .6119 m .24665 .58248 L .22866 .58432 L p F P
0 g
s
.707 .591 .724 r
.03546 .49897 m .03538 .53408 L .05329 .53152 L p F P
0 g
s
.707 .591 .724 r
.05329 .53152 m .05356 .49938 L .03546 .49897 L p F P
0 g
s
.692 .567 .71 r
.31898 .03522 m .28265 .04396 L .28957 .06068 L p F P
0 g
s
.692 .567 .71 r
.28957 .06068 m .32287 .0529 L .31898 .03522 L p F P
0 g
s
.707 .59 .722 r
.94643 .49663 m .94668 .5314 L .96476 .5309 L p F P
0 g
s
.707 .59 .722 r
.96476 .5309 m .96417 .49303 L .94643 .49663 L p F P
0 g
s
.808 .643 .678 r
.66243 .33879 m .66817 .33829 L .66489 .3205 L p F P
0 g
s
.808 .643 .678 r
.66489 .3205 m .65797 .32124 L .66243 .33879 L p F P
0 g
s
.638 .51 .691 r
.67004 .4016 m .66501 .3998 L .65896 .41686 L p F P
0 g
s
.638 .51 .691 r
.65896 .41686 m .66662 .41938 L .67004 .4016 L p F P
0 g
s
.65 .551 .729 r
.58839 .35257 m .58149 .35519 L .58731 .37233 L p F P
0 g
s
.65 .551 .729 r
.58731 .37233 m .59575 .36912 L .58839 .35257 L p F P
0 g
s
.663 .521 .681 r
.5817 .58375 m .572 .57851 L .56297 .59419 L p F P
0 g
s
.663 .521 .681 r
.56297 .59419 m .57135 .59862 L .5817 .58375 L p F P
0 g
s
.821 .481 .413 r
.60802 .60441 m .62097 .61799 L .62446 .60846 L p F P
0 g
s
.522 .603 .876 r
.89749 .38041 m .87317 .36309 L .86921 .37221 L p F P
0 g
s
.774 .843 .905 r
.79544 .38617 m .78455 .39157 L .78722 .40008 L p F P
0 g
s
.774 .843 .905 r
.78722 .40008 m .79829 .39461 L .79544 .38617 L p F P
0 g
s
.767 .84 .907 r
.78455 .39157 m .77358 .39665 L .77614 .40521 L p F P
0 g
s
.767 .84 .907 r
.77614 .40521 m .78722 .40008 L .78455 .39157 L p F P
0 g
s
.762 .837 .909 r
.77358 .39665 m .76242 .40156 L .76475 .41022 L p F P
0 g
s
.762 .837 .909 r
.76475 .41022 m .77614 .40521 L .77358 .39665 L p F P
0 g
s
.753 .832 .913 r
.76242 .40156 m .75113 .40607 L .75323 .41482 L p F P
0 g
s
.753 .832 .913 r
.75323 .41482 m .76475 .41022 L .76242 .40156 L p F P
0 g
s
.744 .827 .916 r
.75113 .40607 m .73998 .41012 L .7417 .419 L p F P
0 g
s
.744 .827 .916 r
.7417 .419 m .75323 .41482 L .75113 .40607 L p F P
0 g
s
.73 .819 .92 r
.73998 .41012 m .72859 .41361 L .72984 .42262 L p F P
0 g
s
.73 .819 .92 r
.72984 .42262 m .7417 .419 L .73998 .41012 L p F P
0 g
s
.715 .809 .923 r
.72859 .41361 m .71715 .41641 L .71805 .4255 L p F P
0 g
s
.715 .809 .923 r
.71805 .4255 m .72984 .42262 L .72859 .41361 L p F P
0 g
s
.703 .8 .925 r
.71715 .41641 m .7001 .4198 L .70696 .4277 L p F P
0 g
s
.703 .8 .925 r
.70696 .4277 m .71805 .4255 L .71715 .41641 L p F P
0 g
s
.875 .855 .819 r
.53729 .32977 m .5257 .34145 L .53197 .34838 L p F P
0 g
s
.845 .85 .848 r
.5257 .34145 m .51467 .35235 L .52145 .35874 L p F P
0 g
s
.845 .85 .848 r
.52145 .35874 m .53197 .34838 L .5257 .34145 L p F P
0 g
s
.859 .85 .833 r
.51467 .35235 m .50469 .36378 L .51208 .3694 L p F P
0 g
s
.924 .798 .703 r
.47897 .4196 m .47569 .43645 L .48469 .43819 L p F P
0 g
s
.925 .797 .7 r
.47569 .43645 m .4724 .45432 L .48122 .45685 L p F P
0 g
s
.919 .813 .726 r
.4724 .45432 m .46767 .47101 L .47654 .47336 L p F P
0 g
s
.919 .813 .726 r
.47654 .47336 m .48122 .45685 L .4724 .45432 L p F P
0 g
s
.92 .811 .723 r
.46767 .47101 m .4633 .48721 L .47233 .48883 L p F P
0 g
s
.92 .811 .723 r
.47233 .48883 m .47654 .47336 L .46767 .47101 L p F P
0 g
s
.924 .799 .704 r
.4633 .48721 m .46021 .50309 L .46938 .50373 L p F P
0 g
s
.924 .799 .704 r
.46938 .50373 m .47233 .48883 L .4633 .48721 L p F P
0 g
s
.928 .779 .676 r
.46021 .50309 m .45877 .5189 L .46797 .51836 L p F P
0 g
s
.928 .779 .676 r
.46797 .51836 m .46938 .50373 L .46021 .50309 L p F P
0 g
s
.929 .752 .642 r
.45877 .5189 m .45927 .53379 L .46836 .53207 L p F P
0 g
s
.929 .752 .642 r
.46836 .53207 m .46797 .51836 L .45877 .5189 L p F P
0 g
s
.925 .72 .607 r
.45927 .53379 m .46165 .54868 L .47053 .54597 L p F P
0 g
s
.925 .72 .607 r
.47053 .54597 m .46836 .53207 L .45927 .53379 L p F P
0 g
s
.918 .691 .578 r
.46165 .54868 m .4657 .56352 L .47433 .56003 L p F P
0 g
s
.918 .691 .578 r
.47433 .56003 m .47053 .54597 L .46165 .54868 L p F P
0 g
s
.911 .666 .555 r
.4657 .56352 m .47253 .5821 L .47988 .57516 L p F P
0 g
s
.911 .666 .555 r
.47988 .57516 m .47433 .56003 L .4657 .56352 L p F P
0 g
s
.843 .881 .869 r
.64544 .34296 m .62977 .35128 L .63796 .35725 L p F P
0 g
s
.452 .513 .831 r
.48436 .10895 m .47559 .09573 L .47088 .105 L p F P
0 g
s
.883 .621 .537 r
.27125 .71724 m .28273 .74257 L .29146 .73702 L p F P
0 g
s
.881 .618 .536 r
.28273 .74257 m .30073 .77442 L .30874 .76776 L p F P
0 g
s
.881 .618 .536 r
.30874 .76776 m .29146 .73702 L .28273 .74257 L p F P
0 g
s
.862 .581 .51 r
.30073 .77442 m .32256 .80348 L .32968 .79578 L p F P
0 g
s
.862 .581 .51 r
.32968 .79578 m .30874 .76776 L .30073 .77442 L p F P
0 g
s
.84 .543 .487 r
.32256 .80348 m .34756 .82881 L .35356 .82012 L p F P
0 g
s
.84 .543 .487 r
.35356 .82012 m .32968 .79578 L .32256 .80348 L p F P
0 g
s
.811 .5 .463 r
.34756 .82881 m .37635 .85025 L .38134 .84089 L p F P
0 g
s
.811 .5 .463 r
.38134 .84089 m .35356 .82012 L .34756 .82881 L p F P
0 g
s
.787 .468 .449 r
.37635 .85025 m .4047 .86662 L .40829 .85658 L p F P
0 g
s
.787 .468 .449 r
.40829 .85658 m .38134 .84089 L .37635 .85025 L p F P
0 g
s
.752 .426 .433 r
.4047 .86662 m .43524 .87834 L .4374 .86787 L p F P
0 g
s
.752 .426 .433 r
.4374 .86787 m .40829 .85658 L .4047 .86662 L p F P
0 g
s
.716 .389 .423 r
.43524 .87834 m .46746 .88539 L .46825 .87471 L p F P
0 g
s
.716 .389 .423 r
.46825 .87471 m .4374 .86787 L .43524 .87834 L p F P
0 g
s
.681 .357 .419 r
.46746 .88539 m .50122 .88787 L .50125 .87716 L p F P
0 g
s
.665 .343 .418 r
.50122 .88787 m .53434 .88807 L .53297 .87744 L p F P
0 g
s
.665 .343 .418 r
.53297 .87744 m .50125 .87716 L .50122 .88787 L p F P
0 g
s
.631 .317 .42 r
.53434 .88807 m .56685 .8837 L .56403 .87338 L p F P
0 g
s
.595 .294 .427 r
.56685 .8837 m .59811 .8746 L .59382 .86482 L p F P
0 g
s
.558 .274 .441 r
.59811 .8746 m .62786 .86047 L .62248 .85129 L p F P
0 g
s
.531 .263 .454 r
.62786 .86047 m .6577 .84154 L .65112 .83325 L p F P
0 g
s
.5 .255 .475 r
.6577 .84154 m .68449 .81824 L .67696 .81089 L p F P
0 g
s
.475 .253 .497 r
.68449 .81824 m .70849 .79095 L .7002 .78456 L p F P
0 g
s
.838 .831 .84 r
.15235 .32667 m .13147 .34429 L .14033 .35014 L p F P
0 g
s
.454 .561 .874 r
.61606 .63924 m .60785 .63055 L .59832 .6335 L p F P
0 g
s
.713 .339 .339 r
.87912 .3374 m .86625 .33432 L .86746 .34287 L p F P
0 g
s
.713 .339 .339 r
.86746 .34287 m .87814 .34561 L .87912 .3374 L p F P
0 g
s
.646 .284 .344 r
.86625 .33432 m .85432 .33423 L .85696 .3427 L p F P
0 g
s
.646 .284 .344 r
.85696 .3427 m .86746 .34287 L .86625 .33432 L p F P
0 g
s
.602 .257 .356 r
.85432 .33423 m .84208 .3361 L .84597 .3443 L p F P
0 g
s
.602 .257 .356 r
.84597 .3443 m .85696 .3427 L .85432 .33423 L p F P
0 g
s
.567 .239 .372 r
.84208 .3361 m .83154 .33918 L .83591 .34723 L p F P
0 g
s
.567 .239 .372 r
.83591 .34723 m .84597 .3443 L .84208 .3361 L p F P
0 g
s
.552 .233 .381 r
.83154 .33918 m .81804 .34406 L .82302 .35185 L p F P
0 g
s
.552 .233 .381 r
.82302 .35185 m .83591 .34723 L .83154 .33918 L p F P
0 g
s
.534 .227 .393 r
.81804 .34406 m .80519 .34985 L .81063 .35742 L p F P
0 g
s
.534 .227 .393 r
.81063 .35742 m .82302 .35185 L .81804 .34406 L p F P
0 g
s
.52 .223 .403 r
.80519 .34985 m .79318 .35615 L .79871 .36367 L p F P
0 g
s
.52 .223 .403 r
.79871 .36367 m .81063 .35742 L .80519 .34985 L p F P
0 g
s
.516 .223 .406 r
.79318 .35615 m .78222 .36217 L .78737 .36989 L p F P
0 g
s
.516 .223 .406 r
.78737 .36989 m .79871 .36367 L .79318 .35615 L p F P
0 g
s
.525 .225 .399 r
.78222 .36217 m .77201 .36724 L .77691 .37508 L p F P
0 g
s
.525 .225 .399 r
.77691 .37508 m .78737 .36989 L .78222 .36217 L p F P
0 g
s
.531 .226 .395 r
.77201 .36724 m .76155 .37209 L .76625 .38002 L p F P
0 g
s
.531 .226 .395 r
.76625 .38002 m .77691 .37508 L .77201 .36724 L p F P
0 g
s
.536 .228 .392 r
.76155 .37209 m .75129 .37662 L .75567 .38468 L p F P
0 g
s
.536 .228 .392 r
.75567 .38468 m .76625 .38002 L .76155 .37209 L p F P
0 g
s
.544 .231 .387 r
.75129 .37662 m .74085 .38081 L .74491 .38899 L p F P
0 g
s
.544 .231 .387 r
.74491 .38899 m .75567 .38468 L .75129 .37662 L p F P
0 g
s
.551 .234 .383 r
.74085 .38081 m .73103 .3844 L .73463 .39275 L p F P
0 g
s
.551 .234 .383 r
.73463 .39275 m .74491 .38899 L .74085 .38081 L p F P
0 g
s
.564 .239 .377 r
.73103 .3844 m .7212 .38747 L .72425 .39597 L p F P
0 g
s
.564 .239 .377 r
.72425 .39597 m .73463 .39275 L .73103 .3844 L p F P
0 g
s
.579 .247 .37 r
.7212 .38747 m .71102 .38999 L .71362 .39859 L p F P
0 g
s
.579 .247 .37 r
.71362 .39859 m .72425 .39597 L .7212 .38747 L p F P
0 g
s
.58 .247 .369 r
.71102 .38999 m .69989 .3922 L .69655 .40199 L p F P
0 g
s
.53 .206 .363 r
.6897 .40296 m .69655 .40199 L .69989 .3922 L p F P
0 g
s
.437 .187 .436 r
.50647 .32268 m .4941 .33502 L .50094 .34044 L p F P
0 g
s
.437 .187 .436 r
.50094 .34044 m .5129 .32855 L .50647 .32268 L p F P
0 g
s
.423 .189 .453 r
.4941 .33502 m .48245 .34861 L .48982 .35335 L p F P
0 g
s
.423 .189 .453 r
.48982 .35335 m .50094 .34044 L .4941 .33502 L p F P
0 g
s
.405 .195 .478 r
.48245 .34861 m .47215 .36351 L .48005 .36738 L p F P
0 g
s
.405 .195 .478 r
.48005 .36738 m .48982 .35335 L .48245 .34861 L p F P
0 g
s
.388 .206 .509 r
.47215 .36351 m .46371 .3796 L .47205 .3825 L p F P
0 g
s
.388 .206 .509 r
.47205 .3825 m .48005 .36738 L .47215 .36351 L p F P
0 g
s
.375 .222 .542 r
.46371 .3796 m .45712 .39703 L .46572 .39912 L p F P
0 g
s
.375 .222 .542 r
.46572 .39912 m .47205 .3825 L .46371 .3796 L p F P
0 g
s
.367 .238 .57 r
.45712 .39703 m .45241 .41461 L .46114 .41613 L p F P
0 g
s
.367 .238 .57 r
.46114 .41613 m .46572 .39912 L .45712 .39703 L p F P
0 g
s
.362 .251 .59 r
.45241 .41461 m .44907 .43173 L .45781 .4332 L p F P
0 g
s
.362 .251 .59 r
.45781 .4332 m .46114 .41613 L .45241 .41461 L p F P
0 g
s
.362 .254 .595 r
.44907 .43173 m .44639 .44698 L .45492 .44937 L p F P
0 g
s
.362 .254 .595 r
.45492 .44937 m .45781 .4332 L .44907 .43173 L p F P
0 g
s
.368 .236 .567 r
.44639 .44698 m .44158 .46396 L .45013 .4663 L p F P
0 g
s
.368 .236 .567 r
.45013 .4663 m .45492 .44937 L .44639 .44698 L p F P
0 g
s
.367 .239 .571 r
.44158 .46396 m .43677 .48203 L .44545 .48379 L p F P
0 g
s
.367 .239 .571 r
.44545 .48379 m .45013 .4663 L .44158 .46396 L p F P
0 g
s
.362 .252 .592 r
.43677 .48203 m .43332 .5006 L .44211 .50152 L p F P
0 g
s
.362 .252 .592 r
.44211 .50152 m .44545 .48379 L .43677 .48203 L p F P
0 g
s
.357 .272 .621 r
.43332 .5006 m .4318 .51975 L .44061 .5196 L p F P
0 g
s
.357 .272 .621 r
.44061 .5196 m .44211 .50152 L .43332 .5006 L p F P
0 g
s
.355 .3 .657 r
.4318 .51975 m .43264 .53792 L .44134 .53672 L p F P
0 g
s
.355 .3 .657 r
.44134 .53672 m .44061 .5196 L .4318 .51975 L p F P
0 g
s
.358 .331 .692 r
.43264 .53792 m .43563 .55557 L .44413 .5535 L p F P
0 g
s
.358 .331 .692 r
.44413 .5535 m .44134 .53672 L .43264 .53792 L p F P
0 g
s
.363 .36 .722 r
.43563 .55557 m .44035 .57249 L .44864 .56977 L p F P
0 g
s
.363 .36 .722 r
.44864 .56977 m .44413 .5535 L .43563 .55557 L p F P
0 g
s
.371 .388 .748 r
.44035 .57249 m .44592 .58767 L .45548 .58838 L p F P
0 g
s
.37 .422 .785 r
.46061 .60101 m .45548 .58838 L .44592 .58767 L p F P
0 g
s
.447 .173 .404 r
.61281 .33999 m .62096 .33539 L .62041 .32559 L p F P
0 g
s
.822 .461 .373 r
.45985 .05948 m .4874 .08192 L .4944 .07748 L p F P
0 g
s
.348 .415 .789 r
.25998 .75489 m .27985 .78957 L .28623 .78537 L p F P
0 g
s
.348 .415 .789 r
.28623 .78537 m .26693 .75154 L .25998 .75489 L p F P
0 g
s
.368 .461 .824 r
.27985 .78957 m .304 .82129 L .30966 .81629 L p F P
0 g
s
.368 .461 .824 r
.30966 .81629 m .28623 .78537 L .27985 .78957 L p F P
0 g
s
.394 .511 .858 r
.304 .82129 m .33199 .84919 L .33673 .84341 L p F P
0 g
s
.394 .511 .858 r
.33673 .84341 m .30966 .81629 L .304 .82129 L p F P
0 g
s
.428 .567 .891 r
.33199 .84919 m .36334 .8723 L .36732 .86602 L p F P
0 g
s
.428 .567 .891 r
.36732 .86602 m .33673 .84341 L .33199 .84919 L p F P
0 g
s
.459 .611 .913 r
.36334 .8723 m .39542 .89042 L .39824 .8836 L p F P
0 g
s
.459 .611 .913 r
.39824 .8836 m .36732 .86602 L .36334 .8723 L p F P
0 g
s
.505 .668 .936 r
.39542 .89042 m .42976 .90325 L .4314 .8961 L p F P
0 g
s
.505 .668 .936 r
.4314 .8961 m .39824 .8836 L .39542 .89042 L p F P
0 g
s
.552 .719 .951 r
.42976 .90325 m .46562 .91081 L .46614 .90351 L p F P
0 g
s
.552 .719 .951 r
.46614 .90351 m .4314 .8961 L .42976 .90325 L p F P
0 g
s
.598 .762 .957 r
.46562 .91081 m .50112 .91336 L .50116 .90604 L p F P
0 g
s
.598 .762 .957 r
.50116 .90604 m .46614 .90351 L .46562 .91081 L p F P
0 g
s
.622 .782 .958 r
.50112 .91336 m .5379 .9133 L .53681 .90607 L p F P
0 g
s
.622 .782 .958 r
.53681 .90607 m .50116 .90604 L .50112 .91336 L p F P
0 g
s
.669 .818 .955 r
.5379 .9133 m .57427 .9081 L .57199 .90113 L p F P
0 g
s
.669 .818 .955 r
.57199 .90113 m .53681 .90607 L .5379 .9133 L p F P
0 g
s
.718 .849 .944 r
.57427 .9081 m .60941 .89749 L .60593 .89099 L p F P
0 g
s
.718 .849 .944 r
.60593 .89099 m .57199 .90113 L .57427 .9081 L p F P
0 g
s
.768 .873 .925 r
.60941 .89749 m .64196 .8818 L .63764 .87579 L p F P
0 g
s
.768 .873 .925 r
.63764 .87579 m .60593 .89099 L .60941 .89749 L p F P
0 g
s
.804 .885 .904 r
.64196 .8818 m .67494 .86051 L .66965 .85523 L p F P
0 g
s
.804 .885 .904 r
.66965 .85523 m .63764 .87579 L .64196 .8818 L p F P
0 g
s
.843 .892 .874 r
.67494 .86051 m .70418 .83475 L .69816 .83021 L p F P
0 g
s
.843 .892 .874 r
.69816 .83021 m .66965 .85523 L .67494 .86051 L p F P
0 g
s
.874 .89 .842 r
.70418 .83475 m .73007 .80501 L .72349 .80121 L p F P
0 g
s
.874 .89 .842 r
.72349 .80121 m .69816 .83021 L .70418 .83475 L p F P
0 g
s
.898 .883 .81 r
.73007 .80501 m .75182 .77319 L .74599 .76811 L p F P
0 g
s
.919 .872 .775 r
.75928 .74516 m .74599 .76811 L .75182 .77319 L p F P
0 g
s
.376 .131 .41 r
.0916 .36054 m .11833 .33174 L .11415 .32513 L p F P
0 g
s
.756 .605 .689 r
.56659 .31297 m .57659 .31052 L .5712 .29324 L p F P
0 g
s
.756 .605 .689 r
.5712 .29324 m .55909 .29648 L .56659 .31297 L p F P
0 g
s
.745 .637 .74 r
.4848 .6341 m .49521 .64195 L .50468 .62653 L p F P
0 g
s
.745 .637 .74 r
.50468 .62653 m .49663 .62038 L .4848 .6341 L p F P
0 g
s
.732 .625 .74 r
.63895 .6667 m .64635 .67637 L .66088 .66558 L p F P
0 g
s
.732 .625 .74 r
.66088 .66558 m .65328 .65562 L .63895 .6667 L p F P
0 g
s
.708 .602 .736 r
.49041 .14667 m .4909 .1641 L .50899 .1634 L p F P
0 g
s
.708 .602 .736 r
.50899 .1634 m .50845 .14507 L .49041 .14667 L p F P
0 g
s
.725 .586 .7 r
.21767 .29202 m .24376 .28281 L .23752 .26582 L p F P
0 g
s
.725 .586 .7 r
.23752 .26582 m .21025 .27549 L .21767 .29202 L p F P
0 g
s
.71 .565 .688 r
.78618 .67031 m .79127 .64206 L .77338 .6393 L p F P
0 g
s
.71 .565 .688 r
.77338 .6393 m .76839 .66691 L .78618 .67031 L p F P
0 g
s
.705 .56 .688 r
.23145 .61392 m .23451 .64392 L .25233 .64066 L p F P
0 g
s
.705 .56 .688 r
.25233 .64066 m .24944 .6119 L .23145 .61392 L p F P
0 g
s
.704 .588 .723 r
.04142 .46423 m .03546 .49897 L .05356 .49938 L p F P
0 g
s
.704 .588 .723 r
.05356 .49938 m .05921 .46764 L .04142 .46423 L p F P
0 g
s
.691 .565 .708 r
.35645 .03302 m .31898 .03522 L .32287 .0529 L p F P
0 g
s
.691 .565 .708 r
.32287 .0529 m .35717 .05112 L .35645 .03302 L p F P
0 g
s
.71 .592 .722 r
.96417 .49303 m .95718 .45634 L .93996 .46197 L p F P
0 g
s
.71 .592 .722 r
.93996 .46197 m .94643 .49663 L .96417 .49303 L p F P
0 g
s
.793 .628 .677 r
.65797 .32124 m .65072 .3224 L .65684 .33946 L p F P
0 g
s
.793 .628 .677 r
.65684 .33946 m .66243 .33879 L .65797 .32124 L p F P
0 g
s
.638 .515 .697 r
.67683 .40276 m .67004 .4016 L .66662 .41938 L p F P
0 g
s
.638 .515 .697 r
.66662 .41938 m .67508 .4208 L .67683 .40276 L p F P
0 g
s
.654 .555 .73 r
.5969 .34856 m .58839 .35257 L .59575 .36912 L p F P
0 g
s
.654 .555 .73 r
.59575 .36912 m .6049 .36482 L .5969 .34856 L p F P
0 g
s
.666 .522 .678 r
.59113 .58994 m .5817 .58375 L .57135 .59862 L p F P
0 g
s
.666 .522 .678 r
.57135 .59862 m .57954 .60388 L .59113 .58994 L p F P
0 g
s
.738 .632 .742 r
.4752 .62431 m .4848 .6341 L .49663 .62038 L p F P
0 g
s
.738 .632 .742 r
.49663 .62038 m .48879 .61231 L .4752 .62431 L p F P
0 g
s
.75 .596 .685 r
.55634 .31683 m .56659 .31297 L .55909 .29648 L p F P
0 g
s
.75 .596 .685 r
.55909 .29648 m .54649 .30161 L .55634 .31683 L p F P
0 g
s
.733 .626 .74 r
.63152 .65727 m .63895 .6667 L .65328 .65562 L p F P
0 g
s
.733 .626 .74 r
.65328 .65562 m .64573 .64601 L .63152 .65727 L p F P
0 g
s
.71 .611 .745 r
.48971 .13311 m .49041 .14667 L .50845 .14507 L p F P
0 g
s
.71 .611 .745 r
.50845 .14507 m .50741 .12918 L .48971 .13311 L p F P
0 g
s
.726 .586 .698 r
.19466 .30191 m .21767 .29202 L .21025 .27549 L p F P
0 g
s
.726 .586 .698 r
.21025 .27549 m .18587 .28605 L .19466 .30191 L p F P
0 g
s
.703 .558 .687 r
.23451 .64392 m .23922 .67153 L .25675 .6669 L p F P
0 g
s
.703 .558 .687 r
.25675 .6669 m .25233 .64066 L .23451 .64392 L p F P
0 g
s
.713 .565 .686 r
.77941 .69603 m .78618 .67031 L .76839 .66691 L p F P
0 g
s
.713 .565 .686 r
.76839 .66691 m .76195 .69113 L .77941 .69603 L p F P
0 g
s
.702 .585 .721 r
.05257 .42748 m .04142 .46423 L .05921 .46764 L p F P
0 g
s
.702 .585 .721 r
.05921 .46764 m .06984 .433 L .05257 .42748 L p F P
0 g
s
.712 .594 .723 r
.93075 .4313 m .93996 .46197 L .95718 .45634 L p F P
0 g
s
.712 .594 .723 r
.95718 .45634 m .94654 .4224 L .93075 .4313 L p F P
0 g
s
.691 .563 .706 r
.39251 .03528 m .35645 .03302 L .35717 .05112 L p F P
0 g
s
.691 .563 .706 r
.35717 .05112 m .39111 .05335 L .39251 .03528 L p F P
0 g
s
.789 .618 .669 r
.65115 .34086 m .65684 .33946 L .65072 .3224 L p F P
0 g
s
.789 .618 .669 r
.65072 .3224 m .64367 .32434 L .65115 .34086 L p F P
0 g
s
.64 .524 .706 r
.68305 .40324 m .67683 .40276 L .67508 .4208 L p F P
0 g
s
.64 .524 .706 r
.67508 .4208 m .68343 .42138 L .68305 .40324 L p F P
0 g
s
.656 .557 .731 r
.6048 .34445 m .5969 .34856 L .6049 .36482 L p F P
0 g
s
.656 .557 .731 r
.6049 .36482 m .61341 .36041 L .6048 .34445 L p F P
0 g
s
.668 .521 .675 r
.57954 .60388 m .58737 .61004 L .59988 .5969 L p F P
0 g
s
.668 .521 .675 r
.59988 .5969 m .59113 .58994 L .57954 .60388 L p F P
0 g
s
.746 .588 .679 r
.54649 .30161 m .53484 .30857 L .5466 .32239 L p F P
0 g
s
.746 .588 .679 r
.5466 .32239 m .55634 .31683 L .54649 .30161 L p F P
0 g
s
.734 .626 .739 r
.62392 .64809 m .63152 .65727 L .64573 .64601 L p F P
0 g
s
.734 .626 .739 r
.64573 .64601 m .63781 .63642 L .62392 .64809 L p F P
0 g
s
.732 .631 .747 r
.46716 .61325 m .4752 .62431 L .48879 .61231 L p F P
0 g
s
.732 .631 .747 r
.48879 .61231 m .48238 .60338 L .46716 .61325 L p F P
0 g
s
.715 .616 .745 r
.50741 .12918 m .50445 .11368 L .48753 .12021 L p F P
0 g
s
.715 .616 .745 r
.48753 .12021 m .48971 .13311 L .50741 .12918 L p F P
0 g
s
.726 .584 .696 r
.18587 .28605 m .16252 .29858 L .17265 .31363 L p F P
0 g
s
.726 .584 .696 r
.17265 .31363 m .19466 .30191 L .18587 .28605 L p F P
0 g
s
.714 .567 .687 r
.77031 .72121 m .77941 .69603 L .76195 .69113 L p F P
0 g
s
.714 .567 .687 r
.76195 .69113 m .75336 .71475 L .77031 .72121 L p F P
0 g
s
.702 .557 .687 r
.23922 .67153 m .24603 .69863 L .26316 .69266 L p F P
0 g
s
.702 .557 .687 r
.26316 .69266 m .25675 .6669 L .23922 .67153 L p F P
0 g
s
.715 .596 .722 r
.94654 .4224 m .92969 .39164 L .91592 .40344 L p F P
0 g
s
.715 .596 .722 r
.91592 .40344 m .93075 .4313 L .94654 .4224 L p F P
0 g
s
.691 .561 .703 r
.42782 .04433 m .39251 .03528 L .39111 .05335 L p F P
0 g
s
.691 .561 .703 r
.39111 .05335 m .42297 .06181 L .42782 .04433 L p F P
0 g
s
.7 .583 .72 r
.06947 .39279 m .05257 .42748 L .06984 .433 L p F P
0 g
s
.7 .583 .72 r
.06984 .433 m .08565 .401 L .06947 .39279 L p F P
0 g
s
.782 .609 .665 r
.64367 .32434 m .637 .3269 L .64544 .34296 L p F P
0 g
s
.782 .609 .665 r
.64544 .34296 m .65115 .34086 L .64367 .32434 L p F P
0 g
s
.641 .53 .712 r
.6897 .40296 m .68305 .40324 L .68343 .42138 L p F P
0 g
s
.641 .53 .712 r
.68343 .42138 m .69197 .42097 L .6897 .40296 L p F P
0 g
s
.655 .558 .733 r
.61281 .33999 m .6048 .34445 L .61341 .36041 L p F P
0 g
s
.655 .558 .733 r
.61341 .36041 m .6217 .35582 L .61281 .33999 L p F P
0 g
s
.67 .52 .672 r
.60802 .60441 m .59988 .5969 L .58737 .61004 L p F P
0 g
s
.67 .52 .672 r
.58737 .61004 m .59489 .61695 L .60802 .60441 L p F P
0 g
s
.735 .626 .738 r
.61606 .63924 m .62392 .64809 L .63781 .63642 L p F P
0 g
s
.735 .626 .738 r
.63781 .63642 m .62952 .62705 L .61606 .63924 L p F P
0 g
s
.726 .627 .748 r
.46061 .60101 m .46716 .61325 L .48238 .60338 L p F P
0 g
s
.726 .627 .748 r
.48238 .60338 m .47698 .59317 L .46061 .60101 L p F P
0 g
s
.74 .58 .676 r
.53484 .30857 m .52435 .31703 L .53729 .32977 L p F P
0 g
s
.74 .58 .676 r
.53729 .32977 m .5466 .32239 L .53484 .30857 L p F P
0 g
s
.722 .625 .749 r
.50445 .11368 m .49942 .09881 L .48436 .10895 L p F P
0 g
s
.722 .625 .749 r
.48436 .10895 m .48753 .12021 L .50445 .11368 L p F P
0 g
s
.725 .582 .694 r
.16252 .29858 m .14055 .31287 L .15235 .32667 L p F P
0 g
s
.725 .582 .694 r
.15235 .32667 m .17265 .31363 L .16252 .29858 L p F P
0 g
s
.716 .569 .687 r
.75928 .74516 m .77031 .72121 L .75336 .71475 L p F P
0 g
s
.716 .569 .687 r
.75336 .71475 m .74292 .73728 L .75928 .74516 L p F P
0 g
s
.7 .555 .687 r
.24603 .69863 m .25479 .72491 L .27125 .71724 L p F P
0 g
s
.7 .555 .687 r
.27125 .71724 m .26316 .69266 L .24603 .69863 L p F P
0 g
s
.719 .598 .721 r
.92969 .39164 m .90768 .36538 L .89749 .38041 L p F P
0 g
s
.719 .598 .721 r
.89749 .38041 m .91592 .40344 L .92969 .39164 L p F P
0 g
s
.692 .559 .699 r
.45985 .05948 m .42782 .04433 L .42297 .06181 L p F P
0 g
s
.692 .559 .699 r
.42297 .06181 m .45177 .07574 L .45985 .05948 L p F P
0 g
s
.698 .58 .719 r
.0916 .36054 m .06947 .39279 L .08565 .401 L p F P
0 g
s
.698 .58 .719 r
.08565 .401 m .10641 .37104 L .0916 .36054 L p F P
0 g
s
.738 .589 .689 r
.637 .3269 m .62096 .33539 L .62977 .35128 L p F P
0 g
s
.738 .589 .689 r
.62977 .35128 m .64544 .34296 L .637 .3269 L p F P
0 g
s
.639 .533 .717 r
.69655 .40199 m .6897 .40296 L .69197 .42097 L p F P
0 g
s
.639 .533 .717 r
.69197 .42097 m .7001 .4198 L .69655 .40199 L p F P
0 g
s
.654 .557 .733 r
.62096 .33539 m .61281 .33999 L .6217 .35582 L p F P
0 g
s
.654 .557 .733 r
.6217 .35582 m .62977 .35128 L .62096 .33539 L p F P
0 g
s
.686 .542 .685 r
.59489 .61695 m .60785 .63055 L .62097 .61799 L p F P
0 g
s
.686 .542 .685 r
.62097 .61799 m .60802 .60441 L .59489 .61695 L p F P
0 g
s
.736 .626 .737 r
.60785 .63055 m .61606 .63924 L .62952 .62705 L p F P
0 g
s
.736 .626 .737 r
.62952 .62705 m .62097 .61799 L .60785 .63055 L p F P
0 g
s
.721 .624 .748 r
.45548 .58838 m .46061 .60101 L .47698 .59317 L p F P
0 g
s
.721 .624 .748 r
.47698 .59317 m .47253 .5821 L .45548 .58838 L p F P
0 g
s
.732 .576 .68 r
.5257 .34145 m .53729 .32977 L .52435 .31703 L p F P
0 g
s
.732 .576 .68 r
.52435 .31703 m .5129 .32855 L .5257 .34145 L p F P
0 g
s
.727 .619 .737 r
.49942 .09881 m .4874 .08192 L .47559 .09573 L p F P
0 g
s
.727 .619 .737 r
.47559 .09573 m .48436 .10895 L .49942 .09881 L p F P
0 g
s
.722 .579 .694 r
.14055 .31287 m .11833 .33174 L .13147 .34429 L p F P
0 g
s
.722 .579 .694 r
.13147 .34429 m .15235 .32667 L .14055 .31287 L p F P
0 g
s
.718 .571 .688 r
.74599 .76811 m .75928 .74516 L .74292 .73728 L p F P
0 g
s
.718 .571 .688 r
.74292 .73728 m .73044 .75871 L .74599 .76811 L p F P
0 g
s
.698 .555 .689 r
.25479 .72491 m .26693 .75154 L .28273 .74257 L p F P
0 g
s
.698 .555 .689 r
.28273 .74257 m .27125 .71724 L .25479 .72491 L p F P
0 g
s
.722 .598 .717 r
.90768 .36538 m .87814 .34561 L .87317 .36309 L p F P
0 g
s
.722 .598 .717 r
.87317 .36309 m .89749 .38041 L .90768 .36538 L p F P
0 g
s
.694 .557 .696 r
.4874 .08192 m .45985 .05948 L .45177 .07574 L p F P
0 g
s
.694 .557 .696 r
.45177 .07574 m .47559 .09573 L .4874 .08192 L p F P
0 g
s
.697 .578 .718 r
.11833 .33174 m .0916 .36054 L .10641 .37104 L p F P
0 g
s
.697 .578 .718 r
.10641 .37104 m .13147 .34429 L .11833 .33174 L p F P
0 g
s
.695 .57 .709 r
.71362 .39859 m .69655 .40199 L .7001 .4198 L p F P
0 g
s
.695 .57 .709 r
.7001 .4198 m .71715 .41641 L .71362 .39859 L p F P
0 g
s
.708 .581 .711 r
.44864 .56977 m .45548 .58838 L .47253 .5821 L p F P
0 g
s
.708 .581 .711 r
.47253 .5821 m .4657 .56352 L .44864 .56977 L p F P
0 g
s
.707 .577 .707 r
.72349 .80121 m .74599 .76811 L .73044 .75871 L p F P
0 g
s
.707 .577 .707 r
.73044 .75871 m .70849 .79095 L .72349 .80121 L p F P
0 g
s
.707 .577 .707 r
.87814 .34561 m .86746 .34287 L .86696 .36103 L p F P
0 g
s
.707 .577 .707 r
.86696 .36103 m .87317 .36309 L .87814 .34561 L p F P
0 g
s
.707 .577 .707 r
.86746 .34287 m .85696 .3427 L .85942 .36071 L p F P
0 g
s
.707 .577 .707 r
.85942 .36071 m .86696 .36103 L .86746 .34287 L p F P
0 g
s
.707 .577 .707 r
.85696 .3427 m .84597 .3443 L .85102 .36176 L p F P
0 g
s
.707 .577 .707 r
.85102 .36176 m .85942 .36071 L .85696 .3427 L p F P
0 g
s
.707 .577 .707 r
.84597 .3443 m .83591 .34723 L .84201 .36434 L p F P
0 g
s
.707 .577 .707 r
.84201 .36434 m .85102 .36176 L .84597 .3443 L p F P
0 g
s
.707 .577 .707 r
.83591 .34723 m .82302 .35185 L .83044 .36844 L p F P
0 g
s
.707 .577 .707 r
.83044 .36844 m .84201 .36434 L .83591 .34723 L p F P
0 g
s
.707 .577 .707 r
.82302 .35185 m .81063 .35742 L .81907 .37351 L p F P
0 g
s
.707 .577 .707 r
.81907 .37351 m .83044 .36844 L .82302 .35185 L p F P
0 g
s
.707 .577 .707 r
.81063 .35742 m .79871 .36367 L .80744 .37961 L p F P
0 g
s
.707 .577 .707 r
.80744 .37961 m .81907 .37351 L .81063 .35742 L p F P
0 g
s
.707 .577 .707 r
.79871 .36367 m .78737 .36989 L .79544 .38617 L p F P
0 g
s
.707 .577 .707 r
.79544 .38617 m .80744 .37961 L .79871 .36367 L p F P
0 g
s
.707 .577 .707 r
.78737 .36989 m .77691 .37508 L .78455 .39157 L p F P
0 g
s
.707 .577 .707 r
.78455 .39157 m .79544 .38617 L .78737 .36989 L p F P
0 g
s
.707 .577 .707 r
.77691 .37508 m .76625 .38002 L .77358 .39665 L p F P
0 g
s
.707 .577 .707 r
.77358 .39665 m .78455 .39157 L .77691 .37508 L p F P
0 g
s
.707 .577 .707 r
.76625 .38002 m .75567 .38468 L .76242 .40156 L p F P
0 g
s
.707 .577 .707 r
.76242 .40156 m .77358 .39665 L .76625 .38002 L p F P
0 g
s
.707 .577 .707 r
.75567 .38468 m .74491 .38899 L .75113 .40607 L p F P
0 g
s
.707 .577 .707 r
.75113 .40607 m .76242 .40156 L .75567 .38468 L p F P
0 g
s
.707 .577 .707 r
.74491 .38899 m .73463 .39275 L .73998 .41012 L p F P
0 g
s
.707 .577 .707 r
.73998 .41012 m .75113 .40607 L .74491 .38899 L p F P
0 g
s
.707 .577 .707 r
.73463 .39275 m .72425 .39597 L .72859 .41361 L p F P
0 g
s
.707 .577 .707 r
.72859 .41361 m .73998 .41012 L .73463 .39275 L p F P
0 g
s
.707 .577 .707 r
.72425 .39597 m .71362 .39859 L .71715 .41641 L p F P
0 g
s
.707 .577 .707 r
.71715 .41641 m .72859 .41361 L .72425 .39597 L p F P
0 g
s
.707 .577 .707 r
.5129 .32855 m .50094 .34044 L .51467 .35235 L p F P
0 g
s
.707 .577 .707 r
.51467 .35235 m .5257 .34145 L .5129 .32855 L p F P
0 g
s
.707 .577 .707 r
.50094 .34044 m .48982 .35335 L .50469 .36378 L p F P
0 g
s
.707 .577 .707 r
.50469 .36378 m .51467 .35235 L .50094 .34044 L p F P
0 g
s
.707 .577 .707 r
.48982 .35335 m .48005 .36738 L .49607 .37595 L p F P
0 g
s
.707 .577 .707 r
.49607 .37595 m .50469 .36378 L .48982 .35335 L p F P
0 g
s
.707 .577 .707 r
.48005 .36738 m .47205 .3825 L .48901 .389 L p F P
0 g
s
.707 .577 .707 r
.48901 .389 m .49607 .37595 L .48005 .36738 L p F P
0 g
s
.707 .577 .707 r
.47205 .3825 m .46572 .39912 L .48326 .40388 L p F P
0 g
s
.707 .577 .707 r
.48326 .40388 m .48901 .389 L .47205 .3825 L p F P
0 g
s
.707 .577 .707 r
.46572 .39912 m .46114 .41613 L .47897 .4196 L p F P
0 g
s
.707 .577 .707 r
.47897 .4196 m .48326 .40388 L .46572 .39912 L p F P
0 g
s
.707 .577 .707 r
.46114 .41613 m .45781 .4332 L .47569 .43645 L p F P
0 g
s
.707 .577 .707 r
.47569 .43645 m .47897 .4196 L .46114 .41613 L p F P
0 g
s
.707 .577 .707 r
.45781 .4332 m .45492 .44937 L .4724 .45432 L p F P
0 g
s
.707 .577 .707 r
.4724 .45432 m .47569 .43645 L .45781 .4332 L p F P
0 g
s
.707 .577 .707 r
.45492 .44937 m .45013 .4663 L .46767 .47101 L p F P
0 g
s
.707 .577 .707 r
.46767 .47101 m .4724 .45432 L .45492 .44937 L p F P
0 g
s
.707 .577 .707 r
.45013 .4663 m .44545 .48379 L .4633 .48721 L p F P
0 g
s
.707 .577 .707 r
.4633 .48721 m .46767 .47101 L .45013 .4663 L p F P
0 g
s
.707 .577 .707 r
.44545 .48379 m .44211 .50152 L .46021 .50309 L p F P
0 g
s
.707 .577 .707 r
.46021 .50309 m .4633 .48721 L .44545 .48379 L p F P
0 g
s
.707 .577 .707 r
.44211 .50152 m .44061 .5196 L .45877 .5189 L p F P
0 g
s
.707 .577 .707 r
.45877 .5189 m .46021 .50309 L .44211 .50152 L p F P
0 g
s
.707 .577 .707 r
.44061 .5196 m .44134 .53672 L .45927 .53379 L p F P
0 g
s
.707 .577 .707 r
.45927 .53379 m .45877 .5189 L .44061 .5196 L p F P
0 g
s
.707 .577 .707 r
.44134 .53672 m .44413 .5535 L .46165 .54868 L p F P
0 g
s
.707 .577 .707 r
.46165 .54868 m .45927 .53379 L .44134 .53672 L p F P
0 g
s
.707 .577 .707 r
.44413 .5535 m .44864 .56977 L .4657 .56352 L p F P
0 g
s
.707 .577 .707 r
.4657 .56352 m .46165 .54868 L .44413 .5535 L p F P
0 g
s
.707 .577 .707 r
.26693 .75154 m .28623 .78537 L .30073 .77442 L p F P
0 g
s
.707 .577 .707 r
.30073 .77442 m .28273 .74257 L .26693 .75154 L p F P
0 g
s
.707 .577 .707 r
.28623 .78537 m .30966 .81629 L .32256 .80348 L p F P
0 g
s
.707 .577 .707 r
.32256 .80348 m .30073 .77442 L .28623 .78537 L p F P
0 g
s
.707 .577 .707 r
.30966 .81629 m .33673 .84341 L .34756 .82881 L p F P
0 g
s
.707 .577 .707 r
.34756 .82881 m .32256 .80348 L .30966 .81629 L p F P
0 g
s
.707 .577 .707 r
.33673 .84341 m .36732 .86602 L .37635 .85025 L p F P
0 g
s
.707 .577 .707 r
.37635 .85025 m .34756 .82881 L .33673 .84341 L p F P
0 g
s
.707 .577 .707 r
.36732 .86602 m .39824 .8836 L .4047 .86662 L p F P
0 g
s
.707 .577 .707 r
.4047 .86662 m .37635 .85025 L .36732 .86602 L p F P
0 g
s
.707 .577 .707 r
.39824 .8836 m .4314 .8961 L .43524 .87834 L p F P
0 g
s
.707 .577 .707 r
.43524 .87834 m .4047 .86662 L .39824 .8836 L p F P
0 g
s
.707 .577 .707 r
.4314 .8961 m .46614 .90351 L .46746 .88539 L p F P
0 g
s
.707 .577 .707 r
.46746 .88539 m .43524 .87834 L .4314 .8961 L p F P
0 g
s
.707 .577 .707 r
.46614 .90351 m .50116 .90604 L .50122 .88787 L p F P
0 g
s
.707 .577 .707 r
.50122 .88787 m .46746 .88539 L .46614 .90351 L p F P
0 g
s
.707 .577 .707 r
.50116 .90604 m .53681 .90607 L .53434 .88807 L p F P
0 g
s
.707 .577 .707 r
.53434 .88807 m .50122 .88787 L .50116 .90604 L p F P
0 g
s
.707 .577 .707 r
.53681 .90607 m .57199 .90113 L .56685 .8837 L p F P
0 g
s
.707 .577 .707 r
.56685 .8837 m .53434 .88807 L .53681 .90607 L p F P
0 g
s
.707 .577 .707 r
.57199 .90113 m .60593 .89099 L .59811 .8746 L p F P
0 g
s
.707 .577 .707 r
.59811 .8746 m .56685 .8837 L .57199 .90113 L p F P
0 g
s
.707 .577 .707 r
.60593 .89099 m .63764 .87579 L .62786 .86047 L p F P
0 g
s
.707 .577 .707 r
.62786 .86047 m .59811 .8746 L .60593 .89099 L p F P
0 g
s
.707 .577 .707 r
.63764 .87579 m .66965 .85523 L .6577 .84154 L p F P
0 g
s
.707 .577 .707 r
.6577 .84154 m .62786 .86047 L .63764 .87579 L p F P
0 g
s
.707 .577 .707 r
.66965 .85523 m .69816 .83021 L .68449 .81824 L p F P
0 g
s
.707 .577 .707 r
.68449 .81824 m .6577 .84154 L .66965 .85523 L p F P
0 g
s
.707 .577 .707 r
.69816 .83021 m .72349 .80121 L .70849 .79095 L p F P
0 g
s
.707 .577 .707 r
.70849 .79095 m .68449 .81824 L .69816 .83021 L p F P
0 g
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 270},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P00013R000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00FP3ooolB00000;@0oooo001F0?ooo`<000000P26
:DX00`000000USA809HdB00809HdB0030000002Q?DP0XCe800<0XCe82000002/0?ooo`00DP3oool4
000000D0QRU:00<0000009HdB02F=4P00`2F=4P:000000D0XCe800@000000;5=C02aCD`0/De<1@00
002W0?ooo`00D03oool2000000L0QRU:200000050;2@]@030000002`T;@0/92d0080/92d20000006
0;5=C0<00000Y03oool004h0oooo00<0000007PQC`0000000`26:DX500000080/I6e00<000000;2@
]@2`T;D0202`T;D00`000000/92d0;2@]0070;2@]0030000002`Sk<0/8nc00D000000P2aCD`01000
0000`EiB00000000002R0?ooo`00C03oool010000000N25?07PQC`1h8Dl4000000L0/I6e00<00000
0;2@]@2`T;D0202`T;D00`000000/92d0;2@]0070;2@]0030000002`Sk<0/8nc00D0/8nc0`000003
0<5NDP8000009P3ooolC000006L0oooo001:0?ooo`8000000P1h8Dl2000000030;6A]P000000/I6e
00T0/I6e00<000000;2@]@2`T;D01`2`T;D00`000000/92d0;2@]0070;2@]0030000002`Sk<0/8nc
00L0/8nc0`0000030<5NDP8000007P3oool600000080TSA=00<0000009hlB`2N?4/02@2N?4/00`00
0000Z4A;0:Q4B`020:Q4B`L00000H03oool004P0oooo0P000000101h8Dl000000000000000040;6A
]P030000002aTKD0/I6e00L0/I6e00<000000;2@]@2`T;D00`2`T;D9000000D0/92d00<000000;2?
/`2`Sk<01`2`Sk<00`000000/Hnb0;6?/P02000000<0`EiB0P00000H0?ooo`@000001`2B=4dB0000
00D0Z4A;00<000000;E@C@0000000P00001M0?ooo`00AP3oool20000000307PQC`000000000000L0
/I6f00<000000;6A]@2aTKD01@2aTKD8000000@0Z;cX00<000000:6fj02Q]^P00P2Q]^P8000000H0
/8nc00<000000;6?/P2aSk800`2aSk82000000@0`EiB00<000000?ooo`3oool04@3oool300000003
08L^D@000000TSA=0080TSA=1P0000020;BC]0030000002dTk@0]9>d00P0]9>d00<000000;BC]02d
Tk@00P2dTk@7000000<0]E1=1000001I0?ooo`00A03oool00`000000K1eF06`MEP02000000X0/I6f
00<000000;6A]@2aTKD0100000020;?5i`030000002X_>P0Z;cX00P0Z;cX00<000000:6fj02Q]^P0
1P2Q]^P00`000000Tj[U09>Zi@0400000080/8nc00<000000;6?/P2aSk801@2aSk82000000040<5N
DP000000dWIO00000100oooo0P00000408L^D@@00000202dTk@00`000000]9>d0;BC]0080;BC]003
0000002dTk@0]9>d00L0]9>d00<000000;BC]00000000P0000050;E@C@800000EP3oool00480oooo
0P000000101/7EH0000000000000000:0;6A]P@000001`2caNL2000000@0Z;cX2@0000040:6fj003
0000002CZ^D0Tj[U00@0Tj[U0`0000090;6?/P050000003BMUl0dWIO0=9fG`000000303oool30000
00<0QbiA0`0000000`2dTk@000000;BC]0090;BC]0030000002dTk@0]9>d00P0]9>d00<000000;BC
]02dTk@01`2dTk@00`000000]9>d0;BC]0020;BC]0@0000000<0]E1=00000031GU000P00001D0?oo
o`00@03oool200000080K1eF00D000000;6B]`2aT[L0/I:g000000070;6A]P80000000<0_/_T0000
002caNL01P2caNL8000000T0oooo1`00000609>Zi@<000001P2aSk800`000000/Hjb000000030=9f
G`030000003oool0oooo00L0oooo0P00000408L^D@800000102dTk@00`000000]9>d0;BC]0080;BC
]0030000002dTk@0]9>d00P0]9>d00<000000;BC]02dTk@01P2dTk@00`000000]9>d0;BC]0070;BC
]0<000000P31GU0300000540oooo000n0?ooo`8000000P1/7EH2000000@0/I:g00<000000;6A]P2a
TKH00P2aTKH3000000@0_/_T00<000000;?5i`2caNL01000000H0?ooo`@000000P2CZ^D00`000000
QicQ08NLh@02000000@0/Hnb00<000000;6>/P2aS[800P0000020=9fG`8000001@3oool00`000000
ORYF0000000208L^D@<000001`2dTk@00`000000]9>d0;BC]0070;BC]0030000002dTk@0]9>d00<0
]9>d2P0000040;BC]0030000002dTk@0]9>d00P0]9>d00@000000;BC]000000000000`31GU020000
04l0oooo000m0?ooo`050000001/7EH0K1eF06`MEP0000001`2aT[L010000000/I6f000000000006
0;k;i0@00000803oool3000000@0QicQ0P0000000`2aSk8000000;6>/P040;6>/P050000003BMUl0
dWIO0=9fG`0000000P3oool010000000ORYF07hZEP1n:UH3000000X0]9>d00<000000;BC]02dTk@0
0`2dTk@:00000080Z[gX00@000000:Zmj02Z_NP00000102S]nL6000000T0]9>d00@000000;BC]02d
Tk@0]9>d0P0000040<5ND0030000003oool0oooo04/0oooo000l0?ooo`80000000<0K1eF00000000
0000202aT[L2000000D0_/_T0`00000W0?ooo`8000001027W>42000000H0/Hjb00@000000=9fG`3B
MUl0dWIO0P00000207hZEP80000000<0]9>d0000002dTk@02@2dTk@7000000@0/lGW00<000000:Zm
j02Z_NP00P2Z_NP00`3oool0Z[gX0:Zmj0030:Zmj0030000002S]nL0XkOW0080XkOW00H000000:>g
i`2S]nL0XkOW0000002I[^D3000000D0]9>d00<000000;BC]02dTk@0102dTk@2000000030<5ND000
0000c6]F00800000B`3oool003X0oooo0P00000206DLF`030000002aT[L0/I:g00H0/I:g0P000000
1038cn0000000;k;i02nbn@3000002`0oooo0P00000308NLh@8000001P2aS[8200000080dWIO0`00
00040;BC]0030000002dTk@0]9>d00@0]9>d0`0000000`2lbnH000000;?5i`070;?5ia400000102S
]nL00`000000VJkU09V^i@0209V^i@@0000000<0]9>d0000002dTk@01`2dTk@2000000<0c6]F00<0
00000?ooo`3oool0B03oool003T0oooo00L0000006DLF`1U75/0IAaK0000002aTkL0000000H0/I:g
00<000000<S?h038cn000P38cn0200000340oooo0`00000207R9e`030000002aS[80/Hjb00D0/Hjb
0P0000000`3VVg/000000;BC]0040;BC]0030000002dTk@0]9>d00@0000000<0_<_V0000002lbnH0
0P2lbnH00`000000/lGW0;?5i`0500000140oooo1@00000809V^i@8000002@2dTk@300000080c6]F
0P0000180?ooo`00>03oool01@000000IAaK06DLF`1U75/000000080/I>g00<000000;6B]`2aT[L0
0P2aT[L2000000@0b<oP00<000000?ooo`3oool0<`3oool200000080N8WG0P0000040;6>/P050000
002jW[`000000>JKN`0000001P2dTk@2000000P0_<_V1000000L0?ooo`<000001@2I[^D3000000H0
]9>d00D000000;BC]02dTk@0]9>d000000030<a[EP030000003oool0oooo04D0oooo000f0?ooo`80
00000`1U75/00`000000/I>g0;6C]`020;6C]`040000002aT[L00000000000@0b<oP0P00000g0?oo
o`030000001hRML0N8WG0080N8WG00@000000;6>/P2aS[8000000`2jW[`00`000000iY]k00000003
0;BC]0<000000`2lbnH00`29<580_<_V0;c;iP03000002<0oooo0`0000000`2I[^D00000092ThP02
092ThP800000102dTk@00`000000]9>d0;BC]0020;BC]08000000P3<JeH2000004D0oooo000e0?oo
o`040000001U75/0IAaK06DLF`8000001P2aTkL00`000000b<oP0<S?h0030<S?h0030000003oool0
oooo03P0oooo00<0000007R9e`1hRML00P1hRML00`000000/Hjb000000030;ZN_0030000003VVg/0
iY]k00<000000`34cn<00`000000_<_V00000003000002T0oooo0P000005092ThP80000000<0]9>d
0000002dTk@01P2dTk@01@000000c6]F0<a[EP3<JeH0000004@0oooo000d0?ooo`050000001U75/0
IAaK06DLF`0000001`2aTkL00`000000c=3M000000030<S?h0030000003oool0oooo03P0oooo00@0
000007`XEP00000000000`1hRML00`000000^Yjl0;ZN_0030;ZN_0<000001034cn<3000002l0oooo
0P000005092ThP800000202dTk@3000000030=5bF@00000000000480oooo000c0?ooo`050000001K
76D0000006DLF`0000001P2aTkL200000080c=3M00@000000<S?h00000000000>@3oool010000000
MBIJ07DVFP0000020;VE/P030000001hRML0N8WG008000001@2jW[`010000000kkFB00000034cn<2
000003@0oooo0P000004092ThP<00000202dTk@01@000000dG9I0=5bF@3ALUT000000440oooo000b
0?ooo`050000001K76D0FaaU05/LI@0000001P2aTkL00`000000c=3M0<c@g@030<c@g@030000003o
ool0oooo03L0oooo0P0000001@1e9UX000000000002iU;4000000080^IFb0P0000000`1cPm@00000
0;ZN_0030;ZN_080000000<0kkFB000000000000>03oool200000003092ThP000000RI[N0080RI[N
00<000000;BC]02dTk@0102dTk@00`000000]9>d000000030=5bF@800000?`3oool00340oooo00L0
000005/LI@1K76D0FaaU0000002bTkP0000000@0/I>g00<000000<c@g@3<d=d00P3<d=d2000003P0
oooo0P00000207DVFP050000002iU;40^IBa0;VD/@0000000`2iUK801@000000Lh?D07>3e0000000
^Yjl0080000000D0^9no0000003_]I80kkFB0000000j0?ooo`8000001029V]h2000000<0]9>d00@0
00000;BC]02dTk@0]9>d0P0000030=5bF@030000003oool0oooo03`0oooo000`0?ooo`050000001K
76D0FaaU05/LI@0000000`2bTkP010000000/I>g0000000000040<c@g@030000003oool0oooo03L0
oooo00<0000007DVFP1e9UX00P0000050;VD/@040000002iUK80^IFb00000080Lh?D0P0000040;RO
_`030000003_]I80000003`0oooo0P00000408VJgP80000000<0]9>d0000002dTk@0102dTk@01000
0000dG9I0=5bF@3ALUT2000003`0oooo000`0?ooo`040000001K76D0FaaU000000D0/Y>h00<00000
0<c@g@3<d=d00`3<d=d00`000000oooo0?ooo`0g0?ooo`040000001`9El00000000000P0^IBa0P00
00001@3<dmh000000000001XLLP0000000<0^9no1000000n0?ooo`0300000029V]h0RI[N00<0RI[N
00<000000;BC]02dTk@01@2dTk@00`000000dG9I0=5bF@020=5bF@030000003oool0oooo03T0oooo
000_0?ooo`040000001K76D0FaaU000000D0/Y>h00D000000=CBe`00000000000<c@g@02000003T0
oooo00H00000070UG`1`9El000000;RD/@0000050;VD/@<000000P3<dmh01@000000J77806Qab000
0000^9no0080000000@0]ifn0000003__Yd00000?`3oool2000000<0RI[N0P0000070;BC]0800000
00@0dG9I0000003JOf400000>P3oool002h0oooo00@0000005/LI@1K76D000001@2bTkP00`000000
e=;G0=CBe`020=CBe`030000003oool0oooo03L0oooo0P000002070UG`040000002hU;40^9Ba0000
00@0^IBa00@000000=;Df`3Be=/0d]CK1`0000030;NM_P040000003__Yd0kkjM00000400oooo0`00
000208FFg08000001`2dTk@01@000000fWmQ0=YoH@3JOf40000003T0oooo000]0?ooo`040000001K
76D0FaaU000000D0/Y>h00<000000=CBe`3Dd]L00P3Dd]L00`000000oooo0?ooo`0g0?ooo`030000
001`9El0L2EO00800000102hU;4010000000^IBa0000000000040=;Df`80000000@0oooo0000001R
I;h000001@2gWKh00`000000kkjM000000120?ooo`0300000025U]`0QIKL0080QIKL00<000000;BC
]02dTk@00`2dTk@00`000000]9>d000000030=YoH@030000003oool0oooo03H0oooo000/0?ooo`04
0000001C7g800000000000H0/Y>h00D000000=CBe`3Dd]L0e=;G0000000i0?ooo`040000001`9El0
L2EO000000L0^9Ba00<000000=;Df`3Be=/00`3Be=/01`000000oooo0?ooo`3oool000000>jkW000
00001@2gWKh3000004<0oooo0P00000308FFg0050000002dTk@0]9>d0;BC]00000000`2dTk@01@00
0000fWmQ0=YoH@3JOf40000003L0oooo000/0?ooo`050000001C7g8000000;:D^0000000102bTkP0
1@000000e=;G0=CBe`3Dd]L0000003T0oooo00@0000006/UH`00000000001`2hU;400`000000e]GG
000000020=;Df`800000103oool010000000HVBn0000000000020;NM_P<0000000<0klFX0000003o
ool0A03oool010000000QIKL08FFg025U]`2000000030;BC]0000000]9>d00<0]9>d00D000000=Yo
H@3JOf40fWmQ0000000f0?ooo`00:`3oool00`000000Damb000000030;:D^080000000<0/Y>h0000
003Dd]L00P3Dd]L00`000000oooo0?ooo`0g0?ooo`060000001[9F<0JbES0000002hTk4000001@2h
U;401P000000e]GG0=KEe`000000d]CK000000H0oooo1P0000020;FL_P040000003_aJP0klFX0000
04D0oooo0P00000308FFg0030000002dTk@0]9>d00@0]9>d0P0000020=YoH@030000003oool0oooo
03<0oooo000Z0?ooo`040000001C7g80Damb000000D0/YBh0P0000020=CBe`030000003oool0oooo
03L0oooo00@0000006/UH`1[9F<000000P2hTk4010000000^9Ba0;RD/@2hU;42000000@0e]GG00<0
00000?ooo`3oool01@3oool010000000GUZe05iJ]@0000040;FL_P040000003_aJP0klFX000004L0
oooo0`0000000`1nRmH000000;BC]0060;BC]0040000003JOf40fWmQ000003@0oooo000Z0?ooo`03
0000001C7g80000000D0/YBh00<000000=_Ad03KdM000P00000i0?ooo`040000001[9F<0JbES0000
00@0^9>a00<000000;RD/@0000001@3FeML00`000000oooo0?ooo`070?ooo`030000001NF[D00000
00@0]Ibn00@000000>o5Z00000000000B@3oool010000000OX_F07j;eP0000070;BC]080000000<0
hhm[0000003oool0<P3oool002T0oooo00<0000005<OLP0000001P2bU;P01@000000fm7@0=_Ad000
0000ER9b03P0oooo00@0000006/UH`1[9F<000001P2hTk400`000000e]GG0=KEe`030=KEe`030000
003oool0oooo00P0oooo00<0000005iJ]@0000000P2eW;h4000000030>k6Z@000000oooo04T0oooo
00<0000007j;eP1nRmH00P0000060;BC]0040000003SSf/0hhm[00000380oooo000Y0?ooo`800000
1P2bU;P01@000000fm7@0=_Ad03KdM00000003P0oooo00@0000006/UH`1[9F<000001P2hTk400`00
0000fMGD000000020=KEe`8000002`3oool500000080]IZl00@000000>k6Z@3^aZT00000B`3oool0
1@000000OX_F07j;eP1nRmH0000000@0]9>d00D000000;BC]0000000hhm[0000000b0?ooo`00:03o
ool00`000000Damb000000050;:D^0050000003KdM00fm7@0=_Ad0000000>03oool010000000IbIX
0000000000060;RC/@060000003IeM@0fMGD0000003FeML000003@3oool00`000000GEB_00000004
0;FJ_0040000003^aZT0k/JY000004`0oooo00H0000007j;eP1nRmH0OX_F0000002dTk@200000080
]9>d00@000000>>?J`3SSf/00000<@3oool002L0oooo00<0000004hVO`0000001P2bU;P010000000
fm7@0=_Ad000000h0?ooo`060000001W9VP0IbIX0000002hTk400000102hTk400`000000fMGD0=WE
e0020=WEe0030000003oool0oooo00`0oooo00<0000005eD[`0000001@2eV[`00`000000k/JY0000
001<0?ooo`030000001nRmH0OX_F0080OX_F00<000000;BC]02dTk@00`2dTk@010000000hhm[0>>?
J`00000`0?ooo`009`3oool00`000000CRIo00000002000000<0/YBh00D000000=_Ad03KdM00fm7@
0000000g0?ooo`040000001W9VP0IbIX000000<0^9>a0P0000000`2hTk4000000=WEe0030=WEe003
0000003oool0oooo00d0oooo00<0000005eD[`0000001@2eV[`00`000000k/JY0000001=0?ooo`06
0000001nRmH0OX_F0000001hPLl000001@2dTk@010000000hhm[0>>?J`00000_0?ooo`009P3oool0
0`000000CRIo000000030;>E^080000000D0/YBh0000003KdM00fm7@0000000g0?ooo`040000001W
9VP0IbIX000000H0^9>a00<000000=WEe03IeM@00P3IeM@00`000000oooo0?ooo`0>0?ooo`030000
001ME:l0000000<0]IZl1@00001>0?ooo`050000001nRmH0000007R1c`0000001P2dTk@00`000000
hhm[0000000_0?ooo`009P3oool00`000000CRIo000000050;>E^080000000<0fm7@000000000000
=P3oool010000000IbIX06LVJ00000060;RC/@030000003LeM4000000080fMGD00<000000?ooo`3o
ool03`3oool600000080]9Vl00<000000>k9[P000000C`3oool01@000000N87?07R1c`1hPLl00000
00D0]9>d00@000000>>?J`3SSf/00000;P3oool002D0oooo00<0000004hVO`0000001@2cUKP00`00
0000hLo70>7?a`02000003H0oooo00@0000006LVJ01W9VP000001P2hTk401P000000g=GA0=cEd@00
0000fMGD00000180oooo00<0000005a@Z`0000001@2dVK`00`000000k/V^0000001@0?ooo`050000
001hPLl0N87?07R1c`0000001@2dTk@010000000hhm[0>>?J`00000]0?ooo`009@3oool00`000000
CRIo000000050;>E^0040000003QclL0hLo7000003H0oooo00@0000006LVJ@00000000001P2hTk40
0`000000g=GA0=cEd@020=cEd@030000003oool0oooo0140oooo00<0000005a@Z`000000102dVK`0
10000000k/V^0>k9[P00001A0?ooo`050000001hPLl0N87?07R1c`0000001@2dTk@2000000030>ZN
M`000000oooo02/0oooo000T0?ooo`040000001>9Wl0CRIo000000@0/iFh00D000000>7?a`3QclL0
hLo70000000f0?ooo`050000001W9VT000000;RC/@0000001@2hTk401@000000g=GA0=cEd@3LeM40
000001@0oooo00<0000005a@Z`000000102dVK`010000000k/V^0>k9[P00001B0?ooo`040000001h
PLl0N87?000000@0]9>d00D000000;BC]0000000jYig0000000/0?ooo`00903oool00`000000CRIo
000000050;>E^0040000003QclL0hLo7000003H0oooo00@0000006LVJ@1W9VT000000P2hTk402@00
0000^9>a0;RC/@2hTk4000000=cEd@1Y9fT0g=GA0000000E0?ooo`030000001LD:/0000000@0]9Vl
00@000000>k9[P3^bJh00000DP3oool01P000000N87?07R1c`1hPLl000000;BC]08000000P2dTk@0
10000000jYig0>ZNM`00000[0?ooo`008`3oool010000000CRIo04hVO`0000040;>E^0050000003Q
clL0hLo70>7?a`000000=@3oool010000000IbIY06LVJ@0000040;RC/@030000002hTk40000000<0
g=GA00<000000?ooo`3oool0503oool;000005<0oooo00D0000007R1c`1hPLl0N87?000000050;BC
]0030000003ZWWL0000002/0oooo000S0?ooo`030000001>9Wl0000000D0/iFh00@000000>7?a`3Q
clL00000=@3oool010000000IbIY06LVJ@0000060;RC/@050000003LeM40g=GA06TWJ@0000005`3o
ool00`000000G4fW000000040;BI_0040000003]bk40kL^a000005@0oooo00D0000007R1c`000000
LgG6000000040;BC]0040000003ZWWL0jYig000002X0oooo000S0?ooo`0304`/R@00000000000080
00000P2cUKP01@000000hLo70>7?a`3QclL0000003@0oooo0P0000000`1W9VT000000;RC/@050;RC
/@050000003LeM0000000=cEd@0000005`3oool010000000G4fW05a=Y`0000040;BI_0040000003]
bk40kL^a000005D0oooo00@0000007=eaP1cMLH000001@2dTk@00`000000jYig0000000Z0?ooo`00
8P3oool010000000C2b904`/R@0000020;>E^0@0000000<0hLo70000003oool0=03oool010000000
IbIY06LVJ@0000050;RC/@050000003LeM00g=G@0=cEd0000000603oool010000000G4fW05a=Y`00
00040;BI_0040000003]bk40kL^a000005D0oooo00D0000007=eaP1cMLH0LgG6000000040;BC]004
0000003ZWWL0jYig000002T0oooo000R0?ooo`030000001<;8T0000000D0/iFh00@000000>C<`000
00000000=03oool010000000J2IX0000000000050;RC/@050000003LeM00g=G@0=cEd00000006@3o
ool20000000305a=Y`000000]9Vl00<0]9Vl00@000000>g;/@3]bk400000EP3oool010000000LgG6
07=eaP0000050;BC]0030000003ZWWL0jYig02T0oooo000R0?ooo`030000001<;8T0000000@0/iFh
00D000000>C<`03Tc<00i<c00000000c0?ooo`060000001X9VP0J2IX0000002hTk400000102hTk40
10000000g=G@0=cEd000000J0?ooo`030000001LC:L0000000T00000EP3oool01@000000LgG607=e
aP1cMLH0000000@0]9>d00@000000>ZNM`3ZWWL00000:03oool00280oooo00<0000004`/R@000000
102cUKP010000000i<c00>C<`000000c0?ooo`040000001X9VP0J2IX000000<0^9>a0P0000001@2h
Tk4000000=cEd03LeM00000001/0oooo00@0000005a<Y`1LC:L00000102dVK`010000000kL^a0>g;
/@00001G0?ooo`050000001cMLH0LgG607=eaP000000102dTk@3000002P0oooo000Q0?ooo`030000
001<;8T0000000D0/iFh00@000000>C<`03Tc<000000<P3oool010000000J2IX06PVJ00000060;RC
/@050000003LeM00g=G@0=cEd00000006`3oool010000000G4bW05a<Y`0000040;BI_0040000003]
bk40kL^a000005L0oooo00D0000007=eaP1cMLH0LgG6000000020;BC]0<000000P3_ZH400`000000
oooo0?ooo`0U0?ooo`008@3oool00`000000C2b9000000040;>E^0050000003Tc<00i<c00>C<`000
0000<@3oool010000000J2IX06PVJ00000060;RC/@8000000P3LeM000`000000oooo0?ooo`0J0?oo
o`030000001LC:L0000000D0]9Vl00<000000>g;/@000000F@3oool010000000LgG607=eaP1cMLH2
000000<0]9>d00<000000>nYP@0000009`3oool00240oooo00<0000004`/R@000000102cUKP01000
0000i<c00>C<`000000a0?ooo`80000000<0J2IX0000002hTk401@2hTk400`000000fmGB0=_EdP02
000001d0oooo00<0000005a<Y`0000001@2dVK`00`000000kL^a0000001I0?ooo`030000001cMLH0
000000800000102dTk@00`000000kjV10000000W0?ooo`008@3oool00`000000C2b9000000040;>E
^0040000003Tc<00i<c000000300oooo00@0000006lVHP1_9V8000001P2hTk401@000000fmGB0=_E
dP3KeM80000001h0oooo1@0000030;BI_0040000003]bk400000000005T0oooo00D0000006m]`01_
KL00Kfg0000000040;BC]0030000003_ZH40000002H0oooo000P0?ooo`030000001<;8T0000000D0
/iFh00@000000>C<`03Tc<000000;P3oool200000080KbIR00<000000;RD/P0000001@2hTk401000
0000fmGB0=_EdP00000O0?ooo`030000001LCjX000000080]9Zl1P00001J0?ooo`050000001_KL00
Kfg006m]`0000000102dTk@00`000000kjV10000000V0?ooo`00803oool500000080/iFh00@00000
0>C<`03Tc<000000;P3oool01@000000KbIR06lVHP1_9V80000000<0^9Bb00D000000;RC/@2hTk40
^9>a000000020=_EdP030000003oool0oooo01h0oooo00<0000005a?ZP0000001@2dV[`00`000000
kLV_0000001K0?ooo`040000001_KL00Kfg0000000@0]9>d00@000000>nYP@3_ZH4000009@3oool0
0200oooo00<0000004/gU`0000000P2dU[P7000002`0oooo00D0000006lVHP1_9V80KbIR00000005
0;RD/P030000002hTk4000000080fmGB00<000000?ooo`3oool07`3oool00`000000G4nZ00000005
0;BJ_0030000003]bJl0000005/0oooo00@0000006m]`01_KL0000001@2dTk@00`000000kjV10000
000U0?ooo`00803oool00`000000BcNG000000040;BF^0040000003WakH0ilNf000002/0oooo0P00
00001020;5L0000006lVHP0000070;RD/P040000003KeM80fmGB00000280oooo00<0000005a?ZP00
00001@2dV[`00`000000kLV_0000001K0?ooo`050000001_KL00Kfg006m]`0000000102dTk@00`00
0000kjV10000000U0?ooo`00803oool00`000000BcNG000000040;BF^0040000003WakH0ilNf0000
02T0oooo0P000003080/E`8000001P2hU;83000000030=_EdP000000oooo0280oooo2`00001L0?oo
o`040000001_KL00Kfg0000000D0]9>d00<000000>nYP@000000903oool00200oooo00<0000004/g
U`000000102dU[P010000000ilNf0>O7]P00000V0?ooo`<000000`20;5L2000000030;VE/P000000
^9Bb00@0^9Bb00D000000=GEf03EeMP0eMGH0000000T0?ooo`030000001MDjh0000000D0]9Zl00<0
00000>k7Z`000000G03oool010000000Kfg006m]`00000040;BC]0@00000903oool00200oooo00<0
000004/gU`000000102dU[P010000000ilNf0>O7]P00000T0?ooo`80000000@0RS5D00000020;5L0
P2aG0P0000040;VE/P050000002hU;80^9Bb0;RD/P0000000`3EeMP00`000000oooo0?ooo`0S0?oo
o`030000001MDjh0000000D0]9Zl00<000000>k7Z`000000G03oool01P000000Kfg006m]`01_KL00
00000;BC]080000000@0]9>d0000003b]hd00000903oool001l0oooo00<0000004/gU`000000102d
U[P010000000ilNf0>O7]P00000R0?ooo`<000000`2:<E@3000000H0^IFb00@000000;RD/P000000
00000`3EeMP00`000000oooo0?ooo`0T0?ooo`040000001MDjh0GE>^000000@0]9Zl00<000000>k7
Z`000000G@3oool00`000000Kfg000000002000000@0]9>d00<000000?:gS@0000008`3oool001l0
oooo00<0000004/gU`000000102dU[P010000000ilNf0>O7]P00000O0?ooo`<00000102:<E@20000
00030;VF/`000000^IFb00L0^IFb00@000000=GEf03EeMP0eMGH0P00000W0?ooo`040000001MDjh0
GE>^000000@0]9Zl00<000000>k7Z`000000G@3oool20000000306aS]`000000]9>d00@0]9>d00<0
00000?:gS@0000008`3oool001l0oooo00<0000004/gU`000000102dU[P010000000ilNf0>O7]P00
000M0?ooo`80000000@0S39D0000002:<E@0RS5D0`0000040;VF/`030000002iUK80^IFb00<0^IFb
0`0000020=GEf0030000003oool0oooo02L0oooo2`00001M0?ooo`040000001/HkL0K6>g000000D0
]9>d00<000000?:gS@0000008`3oool001l0oooo00<0000004/gU`000000102dU[P010000000ilNf
0>O7]P00000K0?ooo`8000000`2<<U@3000000L0^IJc00@000000;VE/P2iUK80^IFb0P0000030<WC
h@800000:P3oool010000000GUNb05iG/P0000040;FJ_0030000003^a:L0000005h0oooo00@00000
06aS]`1/HkL00000102dTk@00`000000l[N=0000000S0?ooo`007`3oool00`000000BcNG00000004
0;BF^0040000003WakH0ilNf000001P0oooo0`00000308`bE080000000<0^IJc0000002iU[<0202i
U[<3000000D0bM?Q00<000000?ooo`3oool0:@3oool010000000GUNb05iG/P0000040;FJ_0040000
003^a:L0k/BW000005d0oooo00@0000006aS]`1/HkL000001@2dTk@00`000000l[N=0000000R0?oo
o`007`3oool;000001H0oooo0P000000102;<U@0000008`bE02<<U@2000000@0^IJc00<000000;VF
/`2iU[<01@2iU[<2000000D0bM?Q0P00000/0?ooo`040000001NEk80GUNb000000@0]IZl00@00000
0>k4Y`3^a:L00000G@3oool010000000K6>g06aS]`0000050;BC]0030000003b]hd000000280oooo
000O0?ooo`030000001=@Z@0000000@0]9Jh00@000000>S1[@3X`Jd000004`3oool3000000<0Rc9D
0`0000060;VF/`030000002iU[<0^IJc00<0^IJc0P0000000`33d>@000000<WCh@020<WCh@800000
;P3oool20000000405iG/P000000]IZl0;FJ_0H00000G@3oool010000000K6>g06aS]`0000050;BC
]0030000003b]hd000000280oooo000O0?ooo`030000001=@Z@0000000@0]9Jh00@000000>S1[@3X
`Jd00000403oool3000000@0Rc9D0P0000000`2iU[<000000;VF/`070;VF/`030000002iU[<00000
008000000`33d>@010000000bM?Q00000000000`0?ooo`030000001OFkH0000000<000000P2fVk`0
10000000k/2R0>k0XP00001N0?ooo`030000001/HkL0000000D0]9>d00<000000?:gS@3b]hd08P3o
ool001l0oooo00<0000004e2Y0000000102dU[P010000000j<6]0>S1[@00000>0?ooo`80000000@0
QBiE0000002;<U@0Rc9D0`0000030;VF/`030000002iU[<0^IJc00D0^IJc0`0000050<?@i0<00000
<P3oool010000000Ge^f05mK]P0000040;JK_0040000003^`:80k/2R000005h0oooo00@0000006aS
]`1/HkL000001@2dTk@00`000000l[N=0000000Q0?ooo`007`3oool00`000000CD:T000000040;BF
^0040000003X`Jd0j<6]000000`0oooo0P00000308D^E@<000001`2iU[<00`000000^IJc0;VF/`02
0;VF/`80000000<0`]3U00000033d>@00`33d>@2000003H0oooo00<0000005mK]P0000001@2fVk`0
0`000000k/2R0000001N0?ooo`040000001/HkL0K6>g000000<0]9>d1@00000Q0?ooo`007`3oool0
0`000000CD:T000000040;BF^0040000003X`Jd0j<6]000000T0oooo0`00000308D^E@80000000<0
^IJb0000002iU[<01`2iU[<00`000000^IJc00000002000000@0`]3U00@000000<?@i00000000000
>03oool010000000Ge^f05mK]P0000040;JK_0030000003^`:80000005l0oooo00<0000006aS]`00
00000`0000020;BC]0030000003c`IT000000240oooo000O0?ooo`030000001=@Z@0000000@0]9Jh
00@000000>S1[@3X`Jd000001`3oool20000000407h[E`000000QBiE08D^E@800000102iU[800`00
0000^IJc0;VF/`040;VF/`<000001P32d>D3000003X0oooo0P000000101OFkH000000;JK_02fVk`5
000000l0oooo1`0000190?ooo`<000001@2dTk@00`000000ll6I0000000Q0?ooo`007`3oool00`00
0000CD:T000000040;BF^0040000003X`Jd0j<6]000000D0oooo0P00000307h[E`<000001P2iU[80
0`000000^IJc0;VF/`04000000030<?@i@000000`]3U0080`]3U1000000m0?ooo`030000001QH;/0
000000<000000P2fW;d00`000000kkfN0000000;0?ooo`@000000P2UA4l010000000/e1@0;=@D02c
D505000004D0oooo00<0000006]K[P0000001@2dTk@00`000000ll6I0000000Q0?ooo`007`3oool0
0`000000CD:T000000040;BF^0040000003X`Jd0j<6]000000<0oooo0P00000307h[E`80000000<0
^IFb0000002iU[801P2iU[83000000D0`m3U100000110?ooo`040000001QH;/0HF2k000000@0]Ybm
00@000000>nmWP3__Ih00000203oool200000080UcUA00@000000:E4C`2UA4l0YDA?0`0000001P2c
D50000000<9QE@32HED000000=IfE`800000@`3oool00`000000Je^^000000050;BC]0030000003c
`IT000000240oooo000O0?ooo`030000001=@Z@0000000@0]9Jh00D000000>S1[@3X`Jd000000?oo
o`0300000080OR]G0P0000040;VE/P030000002iU[80^IJb0080^IJb0P0000000`37d^8000000<?@
i@030<?@i@800000AP3oool00`000000HF2k000000050;JL_@030000003__Ih0000000H0oooo0P00
0000102<=5D0000009LiD@2G>E44000000030<:M/P000000`ind00@0000000<0`V5E0000003FMUL0
0P0000120?ooo`030000001[Fjh0000000D0]9>d00<000000??1V@0000008@3oool001l0oooo00<0
000004e2Y0000000102dU[P00`000000j<6]00000002000000<0N2MI0P0000060;VE/P030000002i
U[80^IJb008000001037d^8010000000`m3U0000000000180?ooo`030000001QH;/0000000<0]Ybm
1@0000040?ooo`8000000`2<=5D3000000030<6J/0000000`Yfb0080`Yfb00H000000<>O]033Wk@0
`ind00000033X[P3000000030=IfE`00000000000440oooo00<0000006]K[P0000001@2dTk@01000
0000ll6I0??1V@00000P0?ooo`007`3oool00`000000CD:T000000020;BF^0@0000000@0j;VS0000
001h9eT0N2MI0P0000000`2iU;4000000;VE/P060;VE/P8000001P37d^82000004X0oooo1P000002
0;NL_@050000003^]iL0k[NG0000003oool00P0000000`22;eX0000000000002000000030;nH[`00
0000`IZ`0080`IZ`00@000000<:M/P32WK8000000`33Wk@01@000000`j:h0<>R^0000000c;2n00@0
0000@03oool010000000Je^^06]K[P0000040;BC]0040000003c`IT0ll6I00000200oooo000O0?oo
o`D000000P2eUkT300000080N2MI00D000000;VD/@2iU;40^IBa000000050;VE/P80000000<0c=?O
00000037d^800`37d^82000004`0oooo00<0000006=W`@0000001@2gW;d00`000000k[NG0>jgU`02
00000080PRmJ0P0000000`2nUZd000000;nH[`020;nH[`0400000031V[00`IZ`000000<0`Yfb00<0
00000<>O]00000000`33X[P00`000000c;2n0<b`_P04000003l0oooo00@0000006]K[P1[Fjh00000
102dTk@010000000ll6I0??1V@00000P0?ooo`007`3oool00`000000D4f`000000040;FG^@030000
001h9eT0N2MI008000001@2iU;400`000000^IFb0;VE/P02000000<0c=?O00<000000<OBhP37d^80
0P00001>0?ooo`040000001SIl40HfO1000000D0]ibm0P00000207T/H08000000`2nUZd01@000000
_iR_0;nH[`2oV:l0000000<0`IZ`00H000000<:M/P32WK8000000<>O]00000020<>R^0050000003<
/;h0c;2n0000003?^lH00P0000000`3e[gX000000?ooo`0m0?ooo`040000001[Fjh0Je^^000000@0
]9>d00@000000??1V@3c`IT00000803oool001l0oooo00<00000051=/00000000`2eUkT010000000
KRAN0000000000080;VD/@8000001@3<dml300000540oooo00<0000006=W`@0000000`2gW;d30000
0080NBaP0P0000000`2mU:d000000;jF[@020;jF[@030000002oV:l0_iR_00/0000000@0`j:h0000
003</;h0c;2n0P0000001039^<T000000?F_NP0000050?ooo`@00000=@3oool010000000Je^^06]K
[P0000040;BC]0040000003c`IT0ll6I00000200oooo000O0?ooo`030000001@CK0000000080]INi
00H0000006hTGP1^95h000000;RD/@0000050;VD/@<00000103<dml2000005@0oooo1P0000000`2h
W;`0000000000002000000<0_IB]00<000000;jF[@2nUZd00P2nUZd2000000070<gIhP000000a]OV
0<KGiP000000^m7[000000020:o9k@050000002Q_^d000000000003</;h00P0000001@39^<T00000
000000000000l[2200D0000000@0YSdo000000000000]DHh1000000a0?ooo`040000001[Fjh0Je^^
00000080]9>d1P00000P0?ooo`007`3oool00`000000D4f`0000000200000080KRAN00@000000;RD
/@2hU;400000102iU;401P000000d=CL0=3Dg03@e=`000000<cCg`800000EP3oool010000000Ifo7
06M_a`0000020;RL_0060000001c;FL0LbeW0000002kTjh000000`2mU:d00`000000_YJ]00000002
00000080cMWR00P000000<KGiP36enH000000;_Aj`000000[lW]00000080XKk]00<0000009[>nP00
00000`0000020<Ffb`<0000000D0UcA7000000000000X3Y5000000020:Hm?`80000000<0a5Hj0000
003HKd400P00000_0?ooo`H000000P2dTk@010000000llVS0??9X`00000P0?ooo`007`3oool00`00
0000D4f`0000000306hTGP030000002hU;40^9Ba0080^9Ba00@000000;VD/@0000000000103@e=`2
000005T0oooo00<0000006M_a`1WKlL00P00000207<]I`050000002kTjh0^i>^0;^C[P0000000`2m
U:d01P000000e]_L0=KKg03Ffm`000000<gIhPD0000000<0oooo0000000000000P0000001`2Jc_X0
0000000000000000bKS900000035]//00P0000000`2A<DX000000000000209LdA`X0000000<0hHMR
000000000000;@3oool010000000JUBV06YDYP0000040;BC]0040000003cbJ<0llVS00000200oooo
000P0?ooo`050000001^95h0KRAN06hTGP0000001P2hU;400`000000d=CL0=3Dg0030=3Dg0030000
003oool0oooo05T0oooo00P0000006M_a`1WKlL0000006l_K`000000LbeW000000@0^i>^00@00000
0;fD[@00000000000`3Ffm`2000000T0oooo0`00000207bYl0<000000P29>5l6000000070<^P[@00
0000cZB]0000003D[;0000000=Jb]@03000000030>67HP000000000002`0oooo00@0000006YDYP1Z
E:H00000102dTk@010000000llVS0??9X`00000P0?ooo`007`3oool01@000000H25X0000001^95h0
000000H0^9Ba00<000000=KDe`0000000P3@e=`2000005d0oooo0P00000306l_K`030000002kTjh0
^i>^00@0^i>^00<000000=cKeP3LfmH00`00000<0?ooo`D0000000H0LRaW00000029>5l0RCQO0000
002lU[0200000080bIj[00T000000<^P[@00000000000=B//0000000e[:e0000003H_;h01000000/
0?ooo`040000001ZE:H0JUBV000000@0]9>d00@000000??9X`3cbJ<00000803oool001h0oooo00D0
0000060QJ01P8FP0H25X000000060;RD/@060000003Fe=L0e]CG0000003@e=`00000G`3oool01`00
0000Kbm_06l_K`1_;fl000000;BC]0000000102kTjh200000080g=_F00<000000?ooo`3oool03@3o
ool300000080LRaW0`0000020;bF/00800000038VjX000000<VNZ`000000bj2]0000003>Y:d30000
00070=Rl_P000000`JBl0<6T_0000000iiQb0000000[0?ooo`H000000P2dTk@010000000llVS0??9
X`00000P0?ooo`007@3oool01`000000H25X060QJ01P8FP000000;:C]`0000000`2hU;42000000@0
e]CG00<000000?ooo`3oool0G@3oool00`000000Kbm_06l_K`02000000<0]9>d00@000000;^C[P00
000000000P3Of]42000000l0oooo0P0000000`1b;FL00000078/I`02000000D0_9J`0P0000020<VN
Z`030000003;X:d0000000<0000000D0f;bn00000031Y;`000000<2W`003000002H0oooo10000000
1P2J@E/000000:E8F02UB5P000000;IFEP<0000000<0llVS0000003oool0803oool001`0oooo00D0
0000060QJ01P8FP0H25X000000030;:C]`030000002hU;40000000D0e]CG00<000000?ooo`3oool0
G@3oool010000000K31c0000000000060;BC]0030000003Of]40gm[A0080gm[A00<000000?ooo`3o
ool03@3oool010000000M2eW0000001b;FL2000000030:N>^`000000_9J`00@0_9J`00<000000<RK
ZP000000200000001031Y;`000000<2W`030Yl03000002<0oooo0`0000000`2A?El0000009Y1F`02
09Y1F`040000002UB5P0YDQH000000<0]UIF0`00000Q0?ooo`006`3oool01@000000H25X060QJ01P
8FP0000000D0/Y>g00<000000=KDe`3Fe=L00P3Fe=L2000005l0oooo00H0000006``L`1/<7<00000
0;BC]00000040;BC]0040000003HfMT000000=oJd@D000002`3oool30000000507@]I`0000000000
0:N>^`0000000P2WS[/00`000000_9J`0;bF/0020;bF/0<0000000<0dN;T0000000000000`000000
102Pgo`000000<6T_00000030<2W`0030000003^Ygl0000001l0oooo0`000000102=>f400000094m
G`2A?El9000000030;IFEP000000dGEN0080dGEN00<000000?ooo`3oool07P3oool001X0oooo00D0
0000060QJ01P8FP0H25X000000050;:C]`080000003Ee=P000000000003Fe=L000000>J/U@00001O
0?ooo`030000001/<7<0000000<0]9>d00@000000;BC]02dTk@000000`3HfMT010000000Yh6[0000
000000020;mOF08000001@3oool30000000307T^H`000000MReU0080000000@0Yhjk0000002WS[/0
00000P2WS[/00`000000_9J`0;bF/002000000050=OQgP00000000000000003;h>P01@0000000`2;
Z>T000000<2W`0020<2W`080000000<0kZMo0000003oool0703oool20000000408PjI0000000SC]Q
08dkH@<0000000D0]9>d0000002dTk@0]9>d000000020;BC]0040000002dTk@00000000000@0dGEN
0P00000N0?ooo`006@3oool01@000000H25X060QJ01P8FP0000000D0/Y>g00<000000=GDf03Ee=P0
0P3Ee=P010000000iZbE0>J/U@00001N0?ooo`040000001/<7<0K31c000000@0]9>d00<000000;BC
]00000000P3HfMT010000000Yh6[0000002VP:/3000000030;EFE`000000000000<0000000@0R3AK
000000000000NBiS100000020:N>^`040000002WS[/0Yhjk00000080Yhjk0P0000020=OQgP030000
003Eh^00000000D0000000D0RjSY00000000000000000<2W`00200000080_JG100<000000?:fS@00
00006`3oool00`000000R3YT08PjI00208PjI080000000<0]9>d0000002dTk@00P2dTk@00`000000
]9>d000000020;BC]0030000002dTk@0]9>d00<00000103AMEh00`000000oooo0?ooo`0K0?ooo`00
603oool01@000000H25X060QJ01P8FP0000000D0/Y>g00<000000=GDf03Ee=P00P3Ee=P00`000000
/hj_000000020>J/U@030000003oool0oooo05X0oooo00@0000006LaNP00000000001P2dTk@01P00
0000f=WI0=SIf@000000Yh6[00000080YX2[00<000000:F2[P0000000P2YBeD200000004098jF028
=5/0000007l`G`<000000`2WS[X02@000000Yhjk0:N>^`000000Yhjk0000002WS[/000000;cCj`02
000000040=OQgP0000000000000000D0oooo00D0000007fFh@1mU^40OIKQ000000040;fU`@030000
003b]Xd0000001T0oooo0`00000208PjI0<000000`2dTk@010000000]9>d0;BC]00000020;BC]003
0000002dTk@000000080]9>d00<000000;RI]`2hVKL00P0000030=5eGP8000006`3oool001L0oooo
00D0000005LRL@000000H25X000000050;:C]`030000003Ee=P0eMCH0080eMCH00<000000;>>[`00
00001000001K0?ooo`060000001W<GX0Ic5j0000002dTk@00000102dTk@010000000fmWE00000000
00020:N1Z`050000002VP:/0YX2[0000002UPZh02P0000000`2VSKX000000:N>^P020:N>^P040000
002WS[/0Yhjk00000080Yhjk00@000000;cCj`2ldn/0_=?[0`0000000`3[Y7h000000?ooo`050?oo
o`80000000<0M8OH0000002mYL400P2mYL4200000080l[J=00<000000?ooo`3oool04`3oool30000
00<0QCUW0P0000030;BC]0040000002dTk@0]9>d000000<0]9>d00L000000;BC]0000000]9>d0000
002dTk@0000000D0^9Vg0P0000030=5eGP030000003oool0oooo01P0oooo000G0?ooo`040000001G
8W40Eb9a000000H0/Y>g00@000000=GDf03Ee=P0eMCH0`0000001@2bSJl000000>BTS@3TY8d00000
05/0oooo00<0000006LaNP0000000`2dTk@2000000040;BC]0000000fmWE0=_Ie@@000000P2VP:/0
0`000000YH:^000000020:B3/0060000002TQK<000000000002URKL000000P2VRkT00`000000YXfj
000000030:N>^P80Yhjk0`0000000`2me>/0000000000005000000030>^TOP000000oooo00@0oooo
00@0000007B7f01dQmP0M8OH0`0000020;ZT`P<000004`3oool200000080Q3UW00H0000008DiI`00
000000000;BC]00000030;BC]0060000002dTk@0]9>d0;BC]0000000]9>d1P0000000`2dTk@00000
0;RI]`060;RI]`<0000000<0hhm/0000003oool0603oool001H0oooo00H0000005LRL@1G8W400000
0;:D^00000040;:C]`040000003Ee=P0eMCH0=GDf0800000102bSJl010000000i:B=0>BTS@00001I
0?ooo`040000001W<GX0Ic5j000000D0]9>d00<000000=_Ie@3KfMD00`000000101_PmL000000000
002VP:/20:F2[P050000002TPk00Y8>`0000002TQK<00P0000001`2URKL000000:J;^@2VRkT00000
0:J=^P0000000P2WS[X300000080_=?[00<000000;gDj`0000000P0000020;23Y@040000003ZXWd0
0000000000H0oooo100000040;ZT`P030000003b_IH000000140oooo0`00000408@iI`050000002d
Tk@0]9>d0;BC]0000000102dTk@00`000000]9>d00000002000000050;W@j`000000[/O]0000002R
_N`00`0000090;RI]`030000003SSf`0000001T0oooo000F0?ooo`030000001G8W40000000<0/YBh
0P0000000`2bTkL000000=GDf0020=GDf08000001@2bSJl010000000i:B=0>BTS@00001H0?ooo`03
0000001S=880000000800000102dTk@00`000000h=S?00000002000000080?ooo`000000Kh?G0000
001dS=`000000:F2[P0000020:B3/0030000002TQK<000000080YHNe00<000000:F9]`0000000P2V
RkT20:J=^P8000000P2jdN`00`000000_=?[0;cCj`03000000@0/8>U0P0000000`3ZXWd000000?oo
o`050?ooo`040000001/NLh0K7W>00000080^ZC20`0000020?:mUP030000003oool0oooo00`0oooo
0P00000308HiIP0300000024>FL0000000800000102dTk@010000000]9>d0;BC]02dTk@200000008
0;gCjP000000^M3[0;W@j`000000[/O]0000002R_N`20000000308FJh0000000000000H0^9Vg00D0
00000;RI^0000000hhm/0000000H0?ooo`005@3oool010000000Eb9a05LRL@0000050;:D^0800000
0P3Ee=P010000000DEFh055E^00000040;:=[`040000003TY8d0i:B=000005P0oooo00<0000006<d
PP0000000P2dTk@200000080]9>d00<000000>3Hc`000000103oool20000000307B<g00000000000
0080000000@0Y8>`0000002TQK<000000P2UQkD010000000YHVg0000002VRkT3000000030;O@k@00
000000000080^]7/0`00000205eB[@030000002`PjD000000080000000<0jIeh0000000000001`3o
ool5000000<0^:3000<000000?:mUP000000303oool20000000408LiI@000000QSUV08HiIP<00000
0`2dTk@01P000000]9>d0;BC]02dTk@000000;BC]0<000000`2mdnX00`000000^M3[000000050000
00<0QI[P00<000000;RI]`2hVKL00`2hVKL00`000000^9Vh000000020>>?K0030000003oool0oooo
01D0oooo000D0?ooo`040000001G8W40Eb9a000000D0/YBh00<000000=_Cd@3Kdm400`000002055E
^0030000002bSJl0/Xf_0080/Xf_00D000000>BTS@3TY8d0i:B=0000001F0?ooo`040000001S=880
HcB2000000@0]9>d0P0000020>3Hc`030000003oool0oooo00<0oooo00H0000007B<g0000000OYWS
00000027YNP:00000080/<_^00<000000;O@k@2gd>d00`0000020?ooo`030000001MDZd0GE:]0080
00000P2^PJ<4000000L0oooo00@0000006Q^a@1XK/D000000`2hX<04000000X0oooo0`00000308Li
I@8000000P2dTk@01@000000]9>d0;BC]02dTk@0000000<0]9>d0P0000020<?Fj0030000002mdnX0
_M?Z00<000000P1YCIh01P000000]Hn_0;F?[`3DNF4000000=AiH@80QI[P00D000000;RI]`2hVKL0
^9Vg000000030;RI^0040000003SSf`0hhm/000001H0oooo000D0?ooo`030000001G8W40000000H0
/YBh00@000000=_Cd@3Kdm4000000P3oool00`000000DEFh000000050;:=[`040000003TY8d00000
000005H0oooo00<0000006<dPP0000001@2dTk@010000000i=K80000003Pf<l70?ooo`<0000000@0
OYWS00000027YNP000000P2C/^`01@000000W[c^09jlkP000000Z<G^008000000P2`bnh2000000D0
oooo100000001P2^PJ<000000000002^PJD000000>FGMP8000001P3oool01@000000J6k506Q^a@00
0000^:300080000000@0]Yo10000003caZ400000203oool2000000<0RCYT0`0000001@2dTk@00000
0;BC]02dTk@0000000@0]9>d0`0000001037f>H000000<?Fj00000020;gCjP030000003oool0oooo
00H000000P2eSjl010000000QI[P08FJh03DNF42000000030;RI]`000000^9Vh00<0^9Vh00<00000
0>>?K00000005P3oool001<0oooo00<0000005LRL@0000001P2bU;P010000000fm?A0=_Cd@000003
0?ooo`030000001AEKP0000000@0/Xf_0`0000000`3RWXP000000?ooo`1E0?ooo`0405lhRP000000
0000000000@0]9>d00@000000>CFb03Te/P0h=S?2P3oool30000000408NUj0000000Tk;/00000080
W[c^00<000000:S5kP2XaNh00`0000070?ooo`030000001LDZd0G5:]008000000`2^PJD5000000D0
oooo1@0000030;JO`@040000003caZ40llJQ000000@0oooo0`000000102;>f<0000008TjI029>V@2
000000<0]9>d00H000000;BC]02dTk@0]9>d0000002dTk@3000000<0amSV0P33e^P60?ooo`040000
001ZB9L0JTRG00000080]Y2_1@00000308FJh0030000002hVKP0^9Vh00@0^9Vh00<000000>>?K000
00005@3oool001<0oooo00<0000005LRL@0000001@2bU;P01@000000fm?A0=_Cd@3Kdm40000000@0
oooo00@00000055E^0000000/Xf_0P0000000`2bSK0000000>:NR0020>:NR0030000003oool0oooo
0580oooo00D0000005lhRP1O>8X000000;BC]002000000050;BC]0000000i=K80>CFb00000003P3o
ool9000000X0oooo00@0000005aB[@00000000000P2^PJD2000000050:b1Y@00000000000>2=K`00
00001@3oool010000000IFBm06ET_@0000050;JO`@040000003caZ4000000?ooo`<0000000@0SC]R
0000002;>f<0Rc]S0`0000000`2dTk@000000;BC]0030;BC]0040000002dTk@0]9>d0;BC]0800000
0P38fNH3000000P0oooo00@0000006Y8U`1ZB9L00000102fT:l020000000lln[0???Z`000000QI[P
0000001jQm@000001@2hVKP010000000hhm/0>>?K000000D0?ooo`004P3oool00`000000Eb9a0000
00060;:D^0040000003Kdm40fm?A000000D0oooo00@00000055E^00000000000102bSK0010000000
hYj80>:NR000001D0?ooo`030000001O>8X0000000@0]9>d0P0000020>CFb0030000003oool0oooo
0200oooo00@0000005mJ]@1OF[D000000`2/PJD200000080f81X0P0000050?ooo`80000000@0IFBm
0000002fWl40]Yo11P000000102@?F00000008dkHP2=>f83000000030;BC]0000000]9>d0080]9>d
00H000000;BC]02dTk@0]9>d0000002dTk@3000000<0b=WV00<000000?ooo`3oool0203oool01000
0000JTRG06Y8U`0000040;J@[`050000003ccj/000000?ooo`0000000`1jQm@00`000000^9Vh0;RI
^0030;RI^080000000<0k:5i0000003oool04P3oool00140oooo00<00000050UO00000001P2bU;P0
10000000fm?A0=_Cd@0000070?ooo`030000001EGKh0000000@0/Xf`00D000000>:NR03RWXP0hYj8
0000001B0?ooo`040000001O>8X0GcR:000000@0]9>d00D000000>SC`0000000i=K80000000R0?oo
o`050000001OF[D000000000002/PJD00P0000020:Z1Z080000000<0bfmQ0000000000000P000002
0?ooo`030000001SFk@0000000@0000000@0U3mN0000002D?eh000000P2@?F03000000030;BC]000
0000]9>d0080]9>d00@000000;BC]02dTk@000000`2dTk@2000000<0a]OW0`00000:0?ooo`040000
001ZB9L0JTRG000000D0]Y2_00<000000???Z`0000000P3oool010000000NXOD07Z7e00000060;RI
^0030000003/XGT0000001<0oooo000A0?ooo`030000001@9G`00000008000000`2bU;P010000000
fm?A0=_Cd@0000080?ooo`030000001EGKh0000000D0/Xf`00@000000>:NR03RWXP00000DP3oool0
0`000000GcR:000000050;BC]0040000003Xdl00j=?0000002@0oooo00@00000065R_@1QH[d00000
0`2ZPJP01@000000YgnY000000000000/E9G0080000000<0YTUG0000000000000`0000000`27=5`0
000009@oGP0209@oGP030000002D?eh000000080000000<0]9>d0000002dTk@00P2dTk@010000000
]9>d0;BC]00000030;BC]0<0000000@0a=OX00000036enL0a]OW0P00000<0?ooo`040000001ZB9L0
JTRG000000@0]Y2_00@000000???Z`3ccj/000000`3oool010000000hhm]07Z7e00000040;RI^005
0000002gV;P000000>bQN@0000004P3oool00100oooo00<00000050UO00000000`2cUKP200000005
0;:D^0000000fm?A0=_Cd@000000203oool010000000EEfn05EM_P0000040;:=/0050000003RWXP0
hYj80>:NR0000000D@3oool500000080]9>d00@000000>SC`03Xdl0000009@3oool01@000000HF:m
000000000000ZX6X0080000000<0YgnY0000002UP:`00P0000020:I9E`070000002M@EH000000000
002>>5/0QcAL0000000209@oGP@0000000<0]9>d0000002dTk@00P2dTk@010000000]9>d0;BC]000
00030;BC]0@000000`34enP3000000h0oooo00@0000006Y8U`1ZB9L00000102fT:l010000000lln[
0???Z`0000030?ooo`030000001jQm@0NXOD0080000000<0^9Vh0000000000000P2gV;P010000000
k:5i0>bQN@00000A0?ooo`00403oool00`000000D2El000000050;>E^0@000002P3oool00`000000
EEfn000000050;:=/0@00000D03oool010000000GCbA05dlT@0000020;BC]0<000000P3Xdl000`00
0000oooo0?ooo`0T0?ooo`80000000P0IW380000002WOjT0YgnY0000002UP:`000000:>1[P`00000
0P2aTKD01@000000]9>d0;BC]02dTk@000000080]9>d00H000000;BC]02dTk@0]9>d0000002dTk@2
000000<0`mKX0`00000A0?ooo`H000000P2fT:l00`000000lln[000000050?ooo`050000001jQm@0
NXOD07Z7e00000001@2gV;P00`000000k:5i0000000A0?ooo`003`3oool00`000000D2El00000006
0;>E^0040000003PdLT0h=79000000X0oooo00@0000005EM_P1EGKh000000`2bSK001@000000/Xf`
0000003OV8<000000500oooo00@0000005dlT@1M?9400000102dTk@2000000030>SC`0000000oooo
02D0oooo00<0000006I`b01VL<P00P0000002`2WOjT0YH2/0:F0[0000000Xh6^0000002SP[000000
0:>3/P000000XhJd0080000000<0XhRg0000002aTKD00`2aTKD01@000000]9>d0;BC]02dTk@00000
00<0]9>d00<000000;BC]00000000P0000001030e>T000000<?Fj033e^P2000001<0oooo00@00000
06a5TP1/AI8000000P2fT:l3000000030???Z`000000oooo00D0oooo00D0000007Z7e0000000Lg[;
000000040;NH^0040000003/XGT0k:5i00000100oooo000?0?ooo`030000001@9G`0000000D0/iFh
00@000000>3Ab@3PdLT00000303oool010000000EEfn0000002bSK0200000080/Xf`0P0000000`3O
V8<000000?ooo`1=0?ooo`040000001M?940GCbA000000D0]9>d00@000000>_?^@3[ckT000009`3o
ool200000080KGoD00D000000:F0[0000000Xh6^000000020:>2/0040000002SPk8000000:>6]080
000000<0XhRg0000002aTKD0102aTKD01P000000]9>d0;BC]02dTk@000000;BC]0<0000000<0_]?Z
00000030e>T00P30e>T2000001@0oooo00@0000006a5TP1/AI8000001@2fT:l3000000L0oooo00@0
000007=jb`1cN//000001@2gV;P010000000k:5i0>bQN@00000?0?ooo`003P3oool010000000D2El
050UO00000050;>E^0040000003PdLT0h=79000000`0oooo00@0000005EM_P1EGKh000001@2bSK00
0`000000FVK50000001>0?ooo`80000000<0GCbA0000002dTk@00`2dTk@010000000jlni0>_?^@00
000Y0?ooo`030000001]Om@0KGoD00<0000000H0Xh6^0000002SP[0000000:>3/P0000020:>6]005
0000002TQkH000000:>8]`000000102aTKD00`000000]9>d0;BC]003000000030;[Aj`000000_]?Z
0080_]?Z0`00000F0?ooo`040000001/AI80K4FB000000@0]Y2_00@000000?;C/P3bdk800000203o
ool010000000Lg[;07=jb`0000040;NH^0040000003/XGT0k:5i000000l0oooo000>0?ooo`030000
001@9G`0000000D0/iFh00@000000>3Ab@3PdLT000003P3oool3000000D0/Xf`00@000000=nHP`1J
I/D00000C@3oool00`000000G42G0000000300000080]9>d00@000000>_?^@3[ckT00000:P3oool2
00000080MhoN0`000000102SP[0000000:>3/P0000020:>6]0050000002TQkH000000:>8]`000000
0P2aTKD5000000050;O?k0000000^]7[0;[Aj`0000000P2ndnX2000001P0oooo00@0000006a5TP1/
AI800000102fT:l00`000000l]>b000000090?ooo`040000001cN//0Lg[;000000D0]iRh00@00000
0>bQN@3/XGT000003P3oool000d0oooo00@00000050UO01@9G`000001@2cUKP010000000h=790>3A
b@00000>0?ooo`040000001HILD0F6G5000000D0/Xf`00<000000=nHP`000000C@3oool010000000
G42G05a0U`0000020;BC]0@0000000<0jlni0000003oool0:P3oool20000000307N?gP000000Oi_T
00h000000P2cc>`01P000000]lo/0;O?k02gcn`000000;[Aj`@000006P3oool010000000K4FB06a5
TP0000040;J@[`030000003bdk80000000X0oooo00@0000007=jb`1cN//00000102gV;P010000000
k:5i00000000000>0?ooo`003@3oool00`000000D2El000000050;>E^0040000003PdLT0h=790000
0100oooo0P1HILD00`000000/Xf`0;:=/0030;:=/0040000003OV8<0giR3000004/0oooo00D00000
05a0U`1L@9L0G42G000000040;BC]0040000003/c;<0k<bc000002d0oooo0P000000101oVn@00000
08VWj@00000208n_k0030000002H^>h000000080Wko_00<000000:C4l0000000102cc>`00`000000
]lo/00000002000001d0oooo00@0000006a5TP1/AI8000001@2fT:l00`000000l]>b0000000:0?oo
o`050000001cN//0Lg[;07=jb`000000102gV;P010000000l[>80?:cR000000=0?ooo`003@3oool0
101;:hP000000000000000040;>E^0040000003PdLT0h=7900000100oooo00@0000005QUa@1HILD0
00001@2bSK02000000030=fCO`000000oooo04T0oooo00@0000005a0U`1L@9L000001@2dTk@01000
0000k<bc0>c</`00000_0?ooo`<0000000@0RJOY0000002?[n`000000P2H^>h00`000000Wko_0000
00020:C4l0H00000803oool5000000<0]Y2_00@000000?;C/P3bdk8000002`3oool010000000Lg[;
07=jb`0000020;NH^0<000000P3b/hP00`000000oooo0?ooo`0;0?ooo`00303oool01@000000Bb^8
04/[R0000000/iFh0080000000D0/iFh0000003PdLT0h=790000000B0?ooo`030000001HILD00000
00<0/Xf`0P0000001@2bS[0000000=fCO`3MTgl0000004T0oooo0P0000000`1L@9L000000;BC]003
0;BC]0040000003/c;<0k<bc000003<0oooo2`0000001@2dTk@000000?3:ZP3`bZX000000240oooo
00D0000006i2S01^@X`000000;NA[`02000000040;J@[`000000l]>b000000`0oooo00<0000007=j
b`1cN//00`0000030;JH^@030000003b/hP0000000d0oooo000<0?ooo`030000001;:hP0000000@0
/iFh1@00000C0?ooo`030000001HILD00000008000000`2bS[0010000000gI=o0=fCO`0000190?oo
o`030000001L@IP0000000<000000P2dTk@010000000k<bc0>c</`00000g0?ooo`040000001UCJ40
IDfQ000000@0]9>d00<000000?3:ZP0000008@3oool010000000KT:<06i2S00000040;NA[`800000
00<0l]>b0000003oool0303oool20000000306i/_`000000]YRi00<0]YRi00<000000?:cR0000000
3@3oool000`0oooo00<0000004/[R00000001@2cUKP010000000i<bo0>C<_`00000C0?ooo`030000
001HILD0000000H0/Xj`00@000000=fCO`3MTgl00000B03oool010000000G46H05a1V00000020;BC
]0H00000=`3oool600000080]9>d00<000000?3:ZP0000008@3oool010000000KT:<06i2S0000005
0;NA[`<000003@3oool010000000KVbo06i/_`0000040;JH^@040000003b/hP0l[>8000000`0oooo
000;0?ooo`040000001;:hP0Bb^8000000@0/iFh00@000000>C<_`3Tc;l000005@3oool00`000000
G6g;000000060;:>/0040000003MTgl0gI=o000004L0oooo00<0000005a1V00000001@2dTk@01000
0000k<bc0>c</`00000g0?ooo`040000001UBI`0IDVL00000080]9>d1@00000Q0?ooo`040000001^
@X`0KT:<000000@0]i6_00@000000>oH^@3_f;T000003@3oool01@000000lK>906i/_`1^K;l00000
00@0]YRi00<000000?:cR0000000303oool000/0oooo00<0000004/[R00000001@2cUKP010000000
i<bo0>C<_`00000F0?ooo`030000001LKL/0000000D0/Xj`00<000000=fCO`3MTgl00P0000160?oo
o`030000001L@IP0000000D0]9>d00@000000>c</`3/c;<00000=P3oool010000000IDVL06E9W000
00050;BC]0030000003_c[0000000200oooo00D0000006i2S01^@X`0KT:<000000040;NA[`030000
003_f;T0000000l0oooo00@0000006i/_`1^K;l00000102fV;T00`000000l[>80000000<0?ooo`00
2P3oool010000000Bb^804/[R00000050;>E^0040000003Tc;l0i<bo000001H0oooo00<0000005a]
b`0000001P2bS[0200000080g99n00<000000?ooo`3oool0@`3oool4000000<0]9>d00@000000>c<
/`3/c;<00000=`3oool20000000306E9W0000000]9>d00<0]9>d00@000000>o>/03_c[000000803o
ool20000000306i2S0000000]i6_00<0]i6_00@000000>oH^@3_f;T000003`3oool010000000KVbo
06i/_`0000040;JH^@040000003b/hP0l[>8000000/0oooo000:0?ooo`030000001;:hP0000000D0
/iFh00@000000>C<_`3Tc;l00000603oool00`000000G6g;000000040;:>/0030000002bS[400000
0080g99n00<000000?ooo`3oool0@`3oool010000000GSbA0000002dTk@2000000050;BC]0000000
k<bc0>c</`000000=`3oool00`000000IdFE0000000300000080]9>d00@000000>o>/03_c[000000
7`3oool00`000000L4270710Q`02000000@0]i6_00<000000>oH^@000000403oool010000000KVbo
0000000000050;JH^@030000003b/hP0000000/0oooo000:0?ooo`030000001;:hP0000000D0/iFh
00@000000>C<_`3Tc;l00000603oool01@000000G6g;05a]b`000000/Xj`008000000P2bS[401@00
0000g99n0=bBOP3LTWh0000004<0oooo00@0000005hlT@1N?94000000`2dTk@3000000030>c</`00
0000oooo03D0oooo00D0000006M5U@1WAID0IdFE000000020;BC]0H000007`3oool01@000000L427
0710Q`000000]i6`0080000000D0]i6_0000003_f;T0kmRi0000000@0?ooo`050000001^K;l0KVbo
06i/_`0000000`2fV;T4000000/0oooo00090?ooo`040000001;:hP0Bb^8000000D0/iFh00@00000
0>C<_`3Tc;l000006@3oool010000000G6g;05a]b`0000050;:>/@040000003LTWh0g99n000004<0
oooo00<0000005hlT@0000001@2dTk@010000000jm2i00000000000f0?ooo`040000001WAID0IdFE
000000D0]9>d00@000000>kC^03^dkP000007P3oool01@000000L4270710Q`1`@8L0000000<0]i6`
0P0000020>oH^A80oooo00D0000006i/_`1^K;l000000;JH^@02000000040;FG^0000000m;fA0000
00/0oooo00090?ooo`030000001;:hP0000000H0/iFh00@000000>C<_`3Tc;l000006@3oool01@00
0000G6g;0000001MK/`0000000D0/Xja00@000000=bBOP3LTWh00000@@3oool010000000GSbA05hl
T@0000050;BC]0030000003[d;T0000003L0oooo0P0000000`1WAID000000;BC]0030;BC]0040000
003^dkP0k]>h000001l0oooo00@000000710Q`1`@8L000001@2gTK0300000180oooo1@0000030;FG
^0040000003d_I40m;fA000000X0oooo00090?ooo`D000000`2cUKP010000000i<bo0>C<_`00000K
0?ooo`80000000<0GFk<0000002bS[401@2bS[400`000000g99n000000110?ooo`D000000`2dTk@0
10000000jm2i0>_@^@00000g0?ooo`030000001Y@Hh0000000<000000P2dTk@010000000k]>h0>kC
^000000N0?ooo`050000001`@8L0L4270710Q`000000102gTK000`000000kM_10000000C0?ooo`04
0000001]IKT0KFFi000000D0]INh00<000000?BmT@0000002P3oool000T0oooo00<0000004PaT`00
00000P2dU[T7000001`0oooo00@0000005e^c01MK/`000001@2bS[4010000000g99n0=bBOP000010
0?ooo`050000001M?I80GCfB0000002dTk@00P000000102dTk@000000>_@^@00000g0?ooo`050000
001Y@Hh0JD6>06U1SP0000000P2dTk@3000000030>kC^0000000oooo01h0oooo00@000000710Q`1`
@8L000001@2gTK000`000000kM_10000000C0?ooo`040000001]IKT0KFFi000000D0]INh00<00000
0?BmT@0000002P3oool000T0oooo00<0000004PaT`0000001@2dU[T010000000i/Vi0>K9^@00000L
0?ooo`040000001MK/`0GFk<000000H0/Xja0P0000000`3MU80000000?ooo`0n0?ooo`030000001M
?I80000000@0]9>d1000000g0?ooo`80000000<0JD6>0000002dTk@00`2dTk@010000000jmNo0000
0000000N0?ooo`8000000P1`@8L00`000000]i6`0;NA/0020;NA/0030000003]fl40000001D0oooo
00@0000006eU^@1]IKT00000102eUkP00`000000m;fA0000000:0?ooo`002@3oool00`000000B36C
000000050;BF^@030000003VbKT0000001h0oooo00@0000005e^c01MK/`000000`2bS[4200000004
0;:>/@000000gIB0000003h0oooo00@0000005dmTP1M?I800000102dTk@010000000jlni0>_?^@00
000f0?ooo`030000001[?hX0Jcn:00800000102dTk@010000000jmNo0>_G_`00000M0?ooo`030000
001a?hD0LCn500<00000102gTK000`000000kM_10000000E0?ooo`040000001]IKT0KFFi000000@0
]INh00<000000?BmT@0000002P3oool000P0oooo00@0000004PaT`18<I<00000102dU[T010000000
i/Vi0>K9^@00000O0?ooo`040000001MK/`000000;:>/@8000000`2bS[4010000000gIB00=fDP000
000m0?ooo`030000001M?I80000000D0]9>d00@000000>_?^@3[ckT00000=P3oool01@000000Jcn:
06/oRP000000]9>d0080000000D0]9>d0000003[ekl0jmNo0000000N0?ooo`040000001a?hD0LCn5
00000080]i:`0P000000102gTK0000000>gK`@00000F0?ooo`040000001]IKT0KFFi000000@0]INh
00<000000?BmT@0000002P3oool000P0oooo00<0000004PaT`0000001@2dU[T010000000i/Vi0>K9
^@00000P0?ooo`030000001MK/`0000000H0/Xja00@000000=fDP03MU8000000?03oool500000080
]9>d00@000000>_?^@3[ckT00000=P3oool01@000000Jcn:06/oRP1[?hX0000000<0]9>d0`000000
0`3[ekl000000?ooo`0L0?ooo`050000001a?hD0LCn5074oQ@000000102gT[02000000030>gK`@00
0000oooo01D0oooo00@0000006eU^@1]IKT00000102eUkP010000000m;fA0?BmT@0000090?ooo`00
203oool00`000000B36C000000050;BF^@040000003VbKT0i/Vi00000200oooo0P0000000`1LKL/0
00000;:>/@040;:>/@050000003MU800gIB00=fDP0000000>`3oool00`000000G42G000000020;BC
]0@0000000<0jlni0000003oool0=@3oool20000000306/oRP000000]9>d00@0]9>d00@000000>WI
a@00000000007@3oool010000000LCn5074oQ@0000050;NB/080000000<0kM_10?ooo`3oool05@3o
ool010000000KFFi06eU^@0000050;FG^0030000003d_I40000000T0oooo00080?ooo`0300000018
<I<0000000D0]9Ji00<000000>K9^@0000008P3oool00`000000G6g;000000060;:>/@040000003M
U800gIB0000003/0oooo00<0000005a0U`000000102dTk@010000000k<bd00000000000e0?ooo`03
0000001/?XL0K3j700<000000`2dTk@010000000jMW50>WIa@00000M0?ooo`050000001a?hD0LCn5
074oQ@0000001@2gT[000`000000jmc40000000H0?ooo`040000001]IKT0KFFi000000@0]INh00<0
00000?BmT@0000002@3oool000P0oooo00<0000004PaT`000000102dU[T010000000i/Vi0>K9^@00
000S0?ooo`030000001LKL/0000000D0/Xja00<000000=fDP03MU8000P00000i0?ooo`030000001L
@9L0000000D0]9>d00@000000>c<]03/c;@00000=@3oool010000000K3j706`nQ`0000020;BC]080
000000D0]9>d0000003YfLD0jMW50000000M0?ooo`040000001a?hD0LCn5000000D0]i:`00<00000
0>_La00000006@3oool010000000KFFi06eU^@0000020;FG^0D000002@3oool000P0oooo00<00000
04PaT`000000102dU[T010000000i/Vi00000000000S0?ooo`040000001LKL/0G6g;000000D0/Xja
0P0000000`3RWXP000000?ooo`0h0?ooo`030000001L@9L0000000D0]9>d00<000000>c<]0000000
=@3oool01@000000K3j706`nQ`1/?XL0000000@0]9>d0P0000000`3YfLD000000?ooo`0L0?ooo`80
00000P1a?hD00`000000]i:`0;NB/0030;NB/0030000003[g<@0000001T0oooo1P0000020;BG^003
0000003ebZ00000000T0oooo00080?ooo`T0000000<0j<:_0000003oool08`3oool010000000G6g;
05a]b`0000030;:>/@8000000`3RWXP00`000000oooo0?ooo`0f0?ooo`D000000`2dTk@00`000000
k<bd0000000d0?ooo`030000001[?XT00000008000001@2dTk@010000000im[700000000000L0?oo
o`030000001a?hD0LCn5008000001@2gT[000`000000jmc40000000J0?ooo`040000001/Fjh0K5^^
000000@0]9Nh00<000000?G:X00000002@3oool000P0oooo00<0000004LlX@000000102dUkT01000
0000j<:_0>S2[`00000U0?ooo`040000001LKL/000000;:>/@8000000P2bS[0010000000hYj80>:N
R000000h0?ooo`030000001KAIh000000080]9>d1P00000d0?ooo`050000001[?XT0Jcj906/nR@00
0000102dTk@010000000im[70>OJa`00000M0?ooo`050000001a?hD0LCn50000002gT[000P000003
0;NB/0030000003[g<@0000001X0oooo00@0000006aK[P1/Fjh00000102dUkP00`000000mLZP0000
00090?ooo`00203oool00`000000AcbQ000000040;BG^@040000003X`Zl0j<:_000002D0oooo00@0
000005a]b`1LKL/00000102bS[001@000000hYj80>:NR03RWXP0000003L0oooo00<0000005]5WP00
00001@2dTk@00`000000kLN]0000000c0?ooo`060000001[?XT0Jcj906/nR@000000]9>d0P000002
0;BC]0030000003Wf/L0000001d0oooo00D00000074oQ@1a?hD0LCn5000000030;NB/0<0000000<0
jmc40000003oool06P3oool010000000K5^^06aK[P0000040;BG^0030000003ebZ00000000T0oooo
00080?ooo`0300000017?:40000000@0]9Ni00@000000>S2[`3X`Zl000009P3oool3000000D0/Xj`
00@000000>:NR03RWXP00000=P3oool010000000FdFN05]5WP0000040;BC]0040000003]ajd0kLN]
000003<0oooo00D0000006/nR@1[?XT0Jcj9000000030;BC]08000000P3Wf/L00`000000oooo0?oo
o`0K0?ooo`040000001a?hD0LCn5000000H0]i:`00<000000>_La00000006`3oool010000000K5^^
06aK[P0000040;BG^0030000003ebZ00000000T0oooo00080?ooo`0300000017?:40000000@0]9Ni
00@000000>S2[`3X`Zl000009P3oool010000000F6C305QT``0000040;:>/0050000003RWXP0hYj8
0>:NR0000000=@3oool010000000FdFN05]5WP0000040;BC]0040000003]ajd0kLN]000003<0oooo
100000040;BC]0040000003Xf/H00000000001d0oooo00D00000074oQ@1a?hD0LCn5000000050;NB
/0030000003[g<@0000001`0oooo00@0000006aK[P1/Fjh00000102dUkP00`000000mLZP00000009
0?ooo`00203oool00`000000AcbQ000000040;BG^@040000003X`Zl0j<:_000002L0oooo00<00000
05QT``0000001@2bS[0010000000hYj80>:NR000000e0?ooo`040000001KAIh0FdFN00000080]9>d
1P00000c0?ooo`040000001X@Y00J4:@000000@0]9>d00@000000>SJaP3Xf/H000007@3oool01000
0000LCn5074oQ@0000060;NB/08000007@3oool010000000K5^^06aK[P0000040;BG^0030000003e
bZ00000000T0oooo00080?ooo`0300000017?:40000000@0]9Ni00@000000>S2[`3X`Zl000009`3o
ool010000000F6C305QT``0000040;:>/0050000003RWXP0hYj80>:NR0000000=03oool600000080
]9>d00@000000>g0Y03]`:@00000<P3oool01@000000J4:@06Q2T0000000]9>d0080000000D0]9>d
0000003Xf/H0j=[60000000M0?ooo`050000001a?hD0LCn5074oQ@0000001@2gT[000`000000jmc4
0000000M0?ooo`040000001/Fjh0K5^^000000@0]9Nh00<000000?G:X00000002@3oool000P0oooo
00<0000004LlX@000000102dUkT010000000j<:_0>S2[`00000X0?ooo`030000001HI<<0000000<0
/Xj`1P00000d0?ooo`040000001JC:P0FTbX000000@0]9>d00@000000>g0Y03]`:@00000<P3oool0
10000000J4:@06Q2T00000030;BC]0<0000000<0j=[60000003oool0703oool200000003074oQ@00
0000]i:`00D0]i:`0P00000N0?ooo`040000001/Fjh0K5^^000000@0]9Nh00<000000?G:X0000000
2@3oool000P0oooo00<0000004LlX@000000102dUkT010000000j<:_00000000000X0?ooo`030000
001HI<<0F6C300<000000P2cSk0010000000ijfE0>N]U@00000d0?ooo`040000001JC:P0FTbX0000
00@0]9>d00@000000>g0Y03]`:@00000<P3oool00`000000J4:@000000050;BC]0040000003/e[d0
0000000001d0oooo00<0000006i1RP0000000P0000040;NB/0030000003[g<@0000001h0oooo00@0
000006aK[P1/Fjh00000102dUkP00`000000mLZP000000090?ooo`00203oool00`000000AcbQ0000
00020;BG^@@0000000<0ikVU0000003oool0:03oool3000000@0/hn`00@000000>N]U@3W[ID00000
=@3oool00`000000FTbX000000040;BC]0040000003]`:@0000000000340oooo00<0000006M3TP00
00000P0000030;BC]0040000003/e[d0k=Jm000001d0oooo00H0000006i1RP1^@HX0KT6:0000002f
TK0200000080]i:`0P00000O0?ooo`/000002@3oool000P0oooo1@0000020;FG^@040000003W^JD0
ikVU000002T0oooo00<00000059?/00000001@2cSk0010000000ijfE0>N]U@00000d0?ooo`030000
001JC:P0000000H0000000<0k;RK0000003oool0<03oool01@000000Id>B06M3TP000000]9>d0080
000000D0]9>d0000003/e[d0k=Jm0000000M0?ooo`040000001^@HX0KT6:000000@0]Y6`0P000000
0`3[g<@000000?ooo`0N0?ooo`040000001/Dj<0K5>S000000@0]9Jh00<000000?CD[`0000002@3o
ool000P0oooo00<0000004Q9[`000000102eUkT010000000ikVU0>NiY@00000Y0?ooo`040000001B
Ck00DTn`000000@0/hn`00@000000>N]U@3W[ID00000=03oool3000000@0]9>d00@000000>bhV`3/
^9/00000<03oool010000000Id>B06M3TP0000040;BC]080000000<0k=Jm0000003oool0703oool0
1@000000KT6:06i1RP1^@HX0000000D0]Y6`00<000000>_La03oool07`3oool010000000K5>S06aC
X`0000040;BF^0030000003de:l0000000T0oooo00080?ooo`0300000018BJl0000000@0]INi00@0
00000>NiY@3W^JD00000:P3oool00`000000DTn`000000040;>?/0040000003W[ID0ijfE000003@0
oooo00<0000005]D/@000000102dTk@01@000000k;RK0>bhV`3/^9/0000002l0oooo0P0000000`1W
@i8000000;BC]0040;BC]0<000007@3oool010000000KT6:06i1RP0000050;JA/0030000003^f[h0
000001l0oooo00@0000006aCX`1/Dj<000001@2dU[P00`000000m=B_000000090?ooo`00203oool0
0`000000B4V_000000040;FG^@050000003W^JD0ikVU0>NiY@000000:@3oool00`000000DTn`0000
00040;>?/0040000003W[ID0ijfE000003@0oooo00@0000005]D/@1KE;400000102dTk@010000000
k;RK00000000000_0?ooo`030000001X@Hl00000008000000`2dTk@010000000k=Fl0>cE_000000M
0?ooo`040000001^@HX0KT6:000000D0]Y6`00<000000>kJ_P0000007`3oool010000000K5>S06aC
X`0000050;BF^0030000003de:l0000000T0oooo00080?ooo`0300000018BJl0000000D0]INi00@0
00000>NiY@3W^JD00000:@3oool00`000000DTn`000000050;>?/0040000003W[ID0ijfE000003@0
oooo00<0000005]D/@0000000P2dTk@4000000030>^`T`000000oooo02d0oooo00@0000006Q1S`1X
@Hl000000P2dTk@2000000040;BC]0000000k=Fl000001d0oooo00@0000006i1RP1^@HX000001@2f
TK000`000000k]Zn0000000P0?ooo`040000001/Dj<0K5>S000000D0]9Jh0P00000:0?ooo`00203o
ool00`000000B4V_000000050;FG^@040000003W^JD0ikVU000002T0oooo00@00000059?/01BCk00
00000P2cSk06000003@0oooo00<0000005]D/@0000000P0000020;BC]0040000003[/9<0jk2C0000
00<0oooo2P00000Q0?ooo`040000001X@Hl0J46?000000@0]9>d0P0000000`3/eK`000000?ooo`0L
0?ooo`D00000102fTK000`000000Kd:;0000000P0?ooo`040000001/Dj<0K5>S000000@0]9Jh00<0
00000?CD[`0000002P3oool000T0oooo00<0000004Q9[`000000102eUkT010000000ikVU0>NiY@00
000Z0?ooo`030000001BCk000000008000000P2dSk0010000000jKBL0>VdW000000d0?ooo`<00000
102dTk@010000000jk2C0>^`T`3[/9<30000000308lmHP000000UT9P0080UT9P00D0000009i7G`2N
Ael000000:E=GP07000001X0oooo00<0000006Q1S`0000001@2dTk@010000000jmNo00000000000M
0?ooo`050000001ZAiD0JTNE0000002fT;000P000000102fTK0000000>kJ_P00000P0?ooo`050000
001/Dj<0K5>S06aCX`000000102dU[P00`000000m=B_0000000:0?ooo`002@3oool00`000000B4V_
000000040;FG^@040000003W^JD00000000002X0oooo0`0000040;B?/0040000003Y]9`0jKBL0000
03@0oooo00<0000005aL^00000001@2dTk@00`000000jk2C000000020000000308lmHP000000UT9P
0080UT9P00@0000009i7G`2NAel000000`2UCEh010000000[55N0:aAGP0000020:mDG@<000005P3o
ool00`000000j=S400000002000000@0]9>d00<000000>_G_`0000007@3oool01@000000JTNE06Y7
U@1ZAiD0000000<0]Y2`0P0000000`3^f[h000000?ooo`0O0?ooo`040000001/Dj<0K5>S000000D0
]9Jh00<000000?CD[`0000002P3oool000T0oooo00<0000004Q9[`0000000`2eUkT3000000030>J_
V`000000oooo02T0oooo00<000000556Y`000000102dSk0010000000jKBL0>VdW000000d0?ooo`04
0000001LG;P0G5bh000000<0]9>d0`0000000`3YZXh0000008lmHP0=00000080[55N00@000000:mD
G@2_E5d000000P2_EEh3000001<0oooo00D0000006/oRP1[?hX000000;BC]002000000050;BC]000
0000jmNo0>_G_`0000007@3oool010000000JTNE06Y7U@0000050;J@/0030000003^f[h0oooo0200
oooo0P0000000`1/Dj<000000;BF^0040;BF^0030000003de:l0000000X0oooo00090?ooo`040000
0018BJl000000;FG^@80000000<0]YRh0000003V[i/00P3V[i/00`000000oooo0?ooo`0W0?ooo`03
0000001AAZL0000000@0]8n`00@000000>VdW03Y]9`00000=@3oool010000000G5bh0000002dTk@2
000000040;FD]P000000jJZ>0>VZSP80000000<0Z8^g0000002XR[D00P2XR[D010000000Z8Vd0:R9
]00000020:R8/P030000002XQk40000000D000000P2_EEh00`000000]5UO0;AIG`0200000100oooo
00@0000006/oRP1[?hX00000102dTk@2000000030>_G_`000000oooo01d0oooo00@0000006Y7U@1Z
AiD00000102fT;000`000000l]6_0000000Q0?ooo`80KDfJ100000030;BF^0030000003de:l00000
00X0oooo00090?ooo`@00000102fV;P010000000iZnK0>J_V`00000Y0?ooo`030000001AAZL00000
00D0]8n`00@000000>VdW03Y]9`00000=03oool010000000G5bh0000000000040;FD]P060000003Y
ZXh0jJZ>0000002XRkL000000`2XR[D010000000Z8Vd0:R9]00000020:R8/P040000002XQk40Z8Na
00000080YhJ`00<000000:R6/00000000P0000020;AIG`040000002jGf000000000000h0oooo0P00
00000`1[?hX000000;BC]0030;BC]0040000003YfL@00000000001h0oooo00@0000006Y7U@1ZAiD0
0000102fT;000`000000l]6_0000000Q0?ooo`<0KDfJ00<000000;>E^02cUKP01P00000:0?ooo`00
2@3oool00`000000C5Nl000000050;JH^0040000003V[i/0iZnK000002T0oooo00@000000556Y`1A
AZL00000102dSk0010000000jKBL0>VdW000000b0?ooo`D000001@2eU;H010000000jJZ>0>VZSP00
00020:R;]`030000002XR[D000000080Z8Vd00@000000:R8/P2XR;8000000`2XQk400`000000YhJ`
000000030:R6/0030000002XQ[000000008000000`2jGf02000000/0oooo00<0000006hmQ01^?H@0
0P0000040;BC]0030000003YfL@0000001h0oooo00D0000006Y7U@1ZAiD0JTNE000000040;J@/003
0000003bdJl000000200oooo00@0000006e=VP1]CIX000001P2cUKP00`000000l=bk0000000:0?oo
o`002P3oool00`000000C5Nl000000040;JH^0050000003V[i/0iZnK0>J_V`000000:@3oool00`00
0000DDJW000000040;B?/0040000003Y]9`0jKBL00000300oooo0P00000208@jJ@040000001NHkl0
GV>o000000D0]IBf00<000000>VZSP0000000P2XRkL00`000000Z8Ze000000020:R9]0040000002X
R;80Z8Rb00000080Z8Na00@000000:N6/02WQ[0000000P2XQ[001P000000Z8J`0:R6/02XQ[000000
0:V5[`<000000P31IV82000000T0oooo00D0000006hmQ01^?H@000000;BC]002000000050;BC]000
0000jMW40>WIa00000007P3oool010000000JTNE06Y7U@0000050;J@/0030000003bdJl000000200
oooo00@0000006e=VP1]CIX000001@2cUKP00`000000l=bk0000000;0?ooo`002P3oool00`000000
C5Nl000000050;JH^0040000003V[i/0iZnK000002T0oooo00<000000556Y`000000102dSk001000
0000jKBL0>VdW000000_0?ooo`030000001o>6`000000080Q3YY00@0000005iS_`1NHkl00000102e
U;H4000000030:R;]`000000000000T0000000@0Z8Na0000002WQ[0000000`2XQ[0010000000Z8J`
0:R6/00000020:V5[`040000002YQJh000000<5VHP80000000<0aVeT0000000000001P3oool20000
0080KSf400@000000;BC]02dTk@0]9>d0P0000000`3YfL@000000?ooo`0N0?ooo`80000000<0JTNE
0000002fT;000`2fT;000`000000l]6_0000000Q0?ooo`040000001]CIX0KDfJ000000D0/iFh00<0
00000?3L^`0000002`3oool000X0oooo00<0000004aG_00000001@2fV;P010000000iZnK0>J_V`00
000Y0?ooo`030000001AAZL0000000P00000;P3oool020000000OcQ/07lhK0000000Q3YY0000002d
Tk@000000P1NHkl01P000000]IBf000000000000^9no00000080kKJF00<000000:[9l00000000P2P
`_000`000000VK_`0000000208nbkP0300000027ZN/0000000@0000000<0Z8J`0000002XQ[000P2X
Q[0010000000ZHF_0:V5[`0000020:V5[P0300000036KF@0aVeT00<0aVeT00<000000?ooo`3oool0
0P3oool00`000000LS]n078kOP02000000@0]9>d00@000000>GLb`00000000007`3oool00`000000
J4ZK0000000300000080]Y2`00<000000?;A[`0000008@3oool00`000000KDfJ000000050;>E^004
0000003`g;/0l=bk000000/0oooo000:0?ooo`040000001<Ek`0C5Nl000000@0]YRh00D000000>J_
V`3V[i/0iZnK0000000X0?ooo`<00000102dSk0010000000jKJM0>VfW@00000]0?ooo`030000001o
>6`0OcQ/0080OcQ/00<000000;BC]02dTk@01@0000030;RO_`060000003]]YH000000>b`T0000000
Z/W`1P000000202?/^h0000008NYj`27ZN/00000086Rj@000000PjCY0`0000001@2XQ[0000000:V5
[`2YQJl000000080ZHF^00D000000:Z5[@00000000000<I]I002000000050<acI`000000oooo0?oo
o`0000000`1b>gh00`000000]9>d000000030;BC]0030000003Ug</000000200oooo00@0000006Q:
V`1XBY/000000P2eT;03000000030?;A[`000000oooo0200oooo00<0000006e=VP0000001@2cUKP0
0`000000l=bk0000000<0?ooo`002`3oool00`000000C5Nl000000050;JH^0040000003V[i/00000
000002P0oooo00<000000555Y@000000102dSk0010000000jKJM0>VfW@00000/0?ooo`8000000P1o
>6`300000080]9>d00@0000005i/b01NK<P000001@2hWkl2000000030>b`T0000000000000H0oooo
1P0000000`21X^T0000008>Tj@0400000080ZHF_00<000000:V5[P000000102ZQJd02`000000c7=W
0<acI`3<LfL000000?ooo`000000Mc]i0000001b>gh0000000<0]9>d0`0000020>GLb`030000003o
ool0oooo01h0oooo00@0000006Q:V`1XBY/00000102eT;0300000200oooo00@0000006e=VP1]CIX0
00001@2cUKP00`000000l=bk0000000<0?ooo`002`3oool00`000000C5Nl000000040;JH^0<00000
00<0i:ZE0000003oool09`3oool00`000000DDFU000000040;B?/0040000003Y]Yd0jKJM000002X0
oooo0P00000207/gK`8000000`2dTk@010000000]9>d0;BC]000000205i/b0030000002hWkl0^9no
0080^9no00D000000>b`T03//900k;2@0000000<0?ooo`80000000@0PjCY00000020X>L0P:3W0`00
00020:V5[P060000002ZQJd0ZXF]0:Z5[@000000ZhF/0P0000020<acI`8000000P1g>gT00`000000
]9>d0;BC]0040;BC]0030000003Ug</000000240oooo00@0000006Q:V`1XBY/00000102eT;000`00
0000l/bX0000000P0?ooo`040000001]CIX0KDfJ000000@0/iFh00<000000?3L^`0000003@3oool0
00/0oooo00D0000004aG_01<Ek`000000;JH^002000000030;JG^0000000i:ZE0080i:ZE00<00000
0?ooo`3oool09@3oool00`000000DDFU000000040;B?/0040000003Y]Yd0jKJM000002T0oooo00L0
000007/gK`1k=fl0NcM_0000002dTk@0000000<0]9>d00@000000;BC]02dTk@000000P1NK<P00`00
0000^9no0;RO_`02000000030;VP_`000000k;2@008000003P3oool300000003082Pi`000000NiWT
00<000000`2ZQJd00`000000ZhF/0:^5[0020:^5[080000000H0cgQX00000000000000000;BC]000
00040;BC]0040000003QgM80000000000200oooo00@0000006Q:V`1XBY/000001@2eT;000`000000
l/bX0000000P0?ooo`030000001]CIX0000000D0/iFh00<000000?3L^`0000003@3oool000`0oooo
00@0000004aG_00000000000102fUkP010000000i:ZE0>BZU@00000W0?ooo`040000001AAJD0DDFU
000000@0]8n`00@000000>VfW@3Y]Yd000009`3oool20000000307/gK`00000000000080]9>d00<0
00000;BC]02dTk@00P2dTk@2000000030<WIi@000000000000<000000`2iX;l01@000000k;2@0000
003ZZ8P000000100oooo0P0000000`1kVN@0000007F@h003000000030:Z5[@000000ZhF/0080ZhF/
00<000000:^5[00000000P3?N6P200000080]9>d0P0000001@2dTk@000000>7MdP3QgM8000000240
oooo00@0000006Q:V`1XBY/00000102eT;0010000000l/bX0?;<Z000000P0?ooo`0306i;U`000000
0000008000000P2cUKP010000000l=bk0?3L^`00000=0?ooo`00303oool3000000D0]YNh00D00000
0>BZU@3TZYD0i:ZE0000000W0?ooo`030000001AAJD0000000@0]8n`00@000000>VfW@3Y]Yd00000
9@3oool200000080N3Ia00<000000;BC]02dTk@00`2dTk@00`000000]9>d0000000200000080bMWU
00D00000069dc`1RM<l0HWC?000000040;VP_`030000003ZZ8P0jZR8008000004@3oool200000005
07F@h0000000LHWL0769g00000000`2[QJ`010000000ZhF/0:^5[02[QJ`200000080dW]Y00D00000
0;BC]02dTk@0]9>d000000020>7MdP030000003oool0oooo0200oooo00@0000006Q:V`1XBY/00000
102eT;000`000000l/bX0000000P0?ooo`040000001^BiL0KT^G00000080/iFh0`0000020?3L^`h0
oooo000<0?ooo`040000001@Gl@0D5o4000000D0]YNh00@000000>BZU@3TZYD000009`3oool00`00
0000DDFU000000040;B?/0040000003Y]Yd0jKJM000002@0oooo00L0000007PfL@1h=W40N3Ia0000
002dTk@0000000D0]9>d00@000000<kJhP3>f^80c][R0P0000001@3oool00000069dc`1RM<l00000
0080^J2o0P0000001@2kXKl000000000003TVgh0000001<0oooo0P0000001P1aRM`0000006b2e`00
0000ZhF/000000<0ZhF/00<000000:n:[`0000000`3BNfT01`000000]9>d0000003Lg]P000000>7M
dP0000008P3oool010000000J4ZK06Q:V`0000040;F@/0030000003bc:P000000200oooo00<00000
06i;U`0000001@2cUKP3000000h0oooo000=0?ooo`030000001@Gl@0000000D0]YNh00D000000>BZ
U@3TZYD0i:ZE0000000V0?ooo`030000001AAJD000000080]8n`1P00000S0?ooo`050000001d=W<0
000007PfL@0000000`2dTk@010000000]9>d0;BC]02dTk@2000000030<kJhP000000000000<0oooo
00<00000069dc`1RM<l00`0000040;^Q_`040000003TVgh0i9]n000001@0oooo0P00000206b2e`03
0000002[QJ`0ZhF/008000000`2_RZl00`000000dW]Y0=9kJ@0300000080g=kH00<000000?ooo`3o
ool08@3oool600000080]I2`00<000000?;<Z00000007`3oool010000000oooo06i;U`0000040;>E
^0040000003_g[l0kmjo000000h0oooo000=0?ooo`040000001@Gl@0D5o4000000D0]YNh00@00000
0>BZU@3TZYD000009P3oool500000080]8n`00@000000>VeW@3Y]Id000008P3oool01@000000M3Ic
07@fL`1d=W<0000000D0]9>d00<000000;BC]00000000P3Cfmh00`000000oooo0?ooo`040?ooo`80
000000<0Ih3H0000002kXKl00`2kXKl01@000000_:6m000000000000h99g00800000503oool20000
000306Qkd`000000000000H0[hZ_0P0000001@3QTgP000000=cNf03Lg]P0000002@0oooo00@00000
06Q:VP1XBYX000000P2eT;05000001l0oooo00@000000>kM`01^BiL00000102cUKP00`000000kmjo
0000000?0?ooo`003P3oool00`000000D5o4000000050;JG^0050000003TZYD0i:ZE0>BZU@000000
9@3oool00`000000DDFV000000040;B?/0040000003Y]Id0jKFM00000240oooo00L0000007@fL`1d
=W<0M3Ic0000002dTk@0000000D0]9>d00@000000=?KgP3Cfmh00000203oool010000000Ih3H06N0
f00000020;^Q_`050000002lXKd0_:6m0;bQ_@0000000P3PTWL2000001<0oooo0P00000206Qkd`80
00001P2_RZl00`000000hI=h0>6CN002000002@0oooo00@0000006Q:VP1XBYX000001@2eT;000`00
0000l/bX0000000N0?ooo`040000001^BiL0k]g0000000D0/iFh00<000000>oN_`0000003`3oool0
00h0oooo00@00000051Oa01@Gl@000001@2fUkP010000000i:ZE00000000000U0?ooo`030000001A
AJH0000000@0]8n`00@000000>VeW@3Y]Id00000803oool20000000307@fL`00000000000080]9>d
00<000000;BC]02dTk@00P2dTk@2000000030=?KgP000000oooo00P0oooo00H0000006N0f01WP=P0
00000;^Q_`0000030;bQ_@040000002nXkd0000000000080ehA_00<000000?ooo`3oool03`3oool0
0`000000T3iR0000000200000080JgcB00<000000:n:[`2_RZl00P2_RZl01@000000_:2l00000000
0000hYIj008000008`3oool010000000J4ZJ06Q:VP0000050;F@/0030000003bc:P0000001h0oooo
00@0000006i;U`0000000000102cUKP010000000kmjo0>oN_`00000?0?ooo`003`3oool00`000000
D5o4000000050;JG^08000000P3PWh`00`000000oooo0?ooo`0R0?ooo`030000001AAJH0000000@0
]8n`00@000000>VeW@3Y]Id000007`3oool010000000LSEf078eMP0000050;BC]0040000002dTk@0
000000000080eM_L00<000000?ooo`3oool02@3oool4000000<0_:6m00D000000;jS_@2nXkd0_Z>m
000000020=N4K`L000001`3oool4000000<0T3iR0P00000306]ldP040000002_RZl00000000000<0
_:2l00D000000>:FNP3RUWX0hYIj0000000R0?ooo`040000001XBYX0J4ZJ000000D0]I2`00<00000
0?;<Z00000007@3oool00`000000KT^G06i;U`02000000@0/iFh00<000000>oN_`000000403oool0
00l0oooo00@00000051Oa01@Gl@000000`2fUkP00`000000]iRh000000020>2OS0030000003oool0
oooo0280oooo00<000000555YP0000001@2dSk0010000000jKFM0>VeW@00000N0?ooo`050000001b
=GH000000;BC]00000001@2dTk@01@000000eM_L0=GKg03Efm`0000000d0oooo00<00000072>h01`
S^000P0000000`2lXKd000000;jS_@020;jS_@@0000000H0cWMX00000033JVD0`fYU00000033J687
000000040:A:G@000000000009Y4GP<000000P2oUjh00`000000JgcB06]ldP02000000@0_:2l00<0
00000;bP_00000000P3RUWX200000240oooo00@0000006Q:VP1XBYX00000102eT;000`000000l/bX
0000000N0?ooo`050000001^BiL0KT^G0;>E^0000000102cUKP00`000000kmjo0000000@0?ooo`00
403oool010000000D5o40000002fUkP200000080]iRh00D000000>2OS03PWh`0h9n<0000000T0?oo
o`030000001AAJH0000000@0]8n`00@000000>VeW@3Y]Id000007@3oool00`000000LSEf00000003
0;BC]0090000002dTk@0]9>d0;BC]0000000f=_I0000003Efm`0000000l0oooo00<00000072>h01`
S^000P0000030;jS_@040000002oX[/0_j:k0;nR^`80000000<0cWMX00000033JVD00P0000001033
J68000000;YNGP0000020;1DG0080000002TBUd0Y4YM0000002JA5h000000<6I[`0000020;nG[P<0
00000P1dSml010000000_:2l0;bP_00000030;bP_080000000<0i9Ul0000003oool07`3oool01000
0000J4ZJ06Q:VP0000050;F@/0030000003bc:P0000001d0oooo00<000000797S`0000000P000005
0;>E^0030000003_g[l000000100oooo000@0?ooo`040000001@Gl@0D5o4000000D0]iRh00@00000
0>2OS03PWh`00000903oool00`000000DDFV000000040;B?/0040000003Y]Id0jKFM000001`0oooo
0P0000000`1b=GH000000;BC]0030;BC]0030000002dTk@0000000<0f=_I00<000000?ooo`3oool0
3`3oool200000080N9_W00@000000;jS_@2nXkd000000P2oX[/00`000000`:6i0<2Q^@0600000005
0<=XHP000000^UiN0000002`E5`01@0000020<6I[`040000002oUjh0_iN^0;nG[P8000000P1dSml0
0`000000_:2l000000050;bP_0040000003TVG`0i9Ul000001l0oooo00@0000006Q:VP1XBYX00000
1@2eT;000`000000l/bX0000000M0?ooo`040000001bAhl0LTN?0797S`<000000P2cUKP010000000
kmjo0>oN_`00000@0?ooo`004@3oool20000000305M`d0000000]iRh00<0]iRh00D000000>2OS03P
Wh`0h9n<0000000S0?ooo`030000001AAJH000000080]8n`1P00000K0?ooo`040000001_=GP0KcEh
000000H0]9>d00D000000=SKf@3HfmT0f=_I0000000C0?ooo`040000001hVnL0N9_W07RKi`800000
0`2oX[/01@000000`:6i0<2Q^@30XKT000000080`9ng00<000000<:Q]`000000100000001@33W[<0
00000<:K/@32Vk40000000<0`IV_00@000000;nG[P2oUjh0_iN^0P00000207B?g`030000002lX;`0
_:2l00<0_:2l00@000000;^P_@000000i9Ul0P00000N0?ooo`H000000`2eT;000`000000l/bX0000
000L0?ooo`050000003Xh//0LTN?0797S`0000000`2cU;P300000080kmjo4@3oool00180oooo0P1G
L=000`000000]iRh0;NH^0030;NH^0050000003PWh`0h9n<0>2OS00000008P3oool00`000000DDFV
0000000200000080/hj_00@000000>R`V03X/9P000006P3oool01P000000KcEh06leN0000000]9>d
000000@0]9>d00D000000=_Ke`000000f=_I0000000E0?ooo`030000001hVnL0N9_W00<0000000<0
_j:k00000030XKT00P30XKT01@000000`9ng0<2O]`30WkL000000080`Z6g00<000000<:O]@000000
0P33W[<010000000`Y^a0<:K/@0000030<6I[`030000002oUjh000000080000000@0fn7J00000000
0000LXgN0P0000000`2lX;`00000000000020;^P_@80000000<0iI]m0000003oool07@3oool01000
0000JDRH06U8V00000020;F@/0H00000703oool01@000000j>;;0797S`1bAhl0000000@0/iBh00@0
00000>WSb`00000000004@3oool00180oooo00@0000005M`d01GL=000000102gV;P010000000h9n<
0>2OS03PWh`200000240oooo0`0000040;>>[`040000003X/9P0j;2H000001T0oooo00@0000006le
N01_=GP000000`2dTk@2000000030;BC]0000000fm_G0080fm_G00<000000?ooo`3oool05@3oool2
000000<0Q:W]0P0000030<2Q^@0400000030WkL0`9ng000000<0`Z6g00<000000<:O]@0000000`33
W[<010000000`Y^a0<:K/@0000030<6I[`030000003DhN40e>7Q0080000000@0oooo0000001bSMh0
LXgN0P0000050;^P_@040000003UVgd0iI]m000001d0oooo00@0000006U8V01YB9P000001@2eT;00
0`000000l/j[0000000K0?ooo`050000001bAhl0j>;;0797S`0000001@2cU;P00`000000jN?;0000
000B0?ooo`004`3oool010000000Eg3@05M`d00000040;NH^0050000003PWh`0h9n<0>2OS0000000
8@3oool00`000000D4V[000000040;>>[`040000003X/9P0j;2H000001P0oooo00@0000006`eN`00
000000001P2dTk@01@000000fm_G0=_Ke`3KfmL0000001T0oooo0P00000208BYk@030000002?]O00
0000008000000`30WkL010000000`Z6g0<:Q]`0000030<:O]@0400000033W[<0`ijc00000080`Y^a
00<000000<6I[`0000000P0000020=CQh@040000003oool0oooo0?ooo`8000000P1`RM`020000000
^j2m0;^P_@2kX;d000000;^P_@000000iI]m0P00000L0?ooo`040000001YB9P0JDRH000000@0]I2`
00@000000?;>Z`3bcZ/000006`3oool01@000000LTN?0797S`1bAhl0000000@0/iBh00@000000>WS
b`3Yhl/000004P3oool001@0oooo00<0000005M`d0000000102gV;P01P000000h9n<000000000000
fi>300000200oooo00<000000519Z`000000102cSZl01@000000j;2H0>R`V03X/9P0000001H0oooo
00H0000006`eN`1/=G/000000;BC]00000040;BC]0050000003Mf]@000000=_Ke`000000703oool2
000000@0SkG`1P0000000`32XKL000000<:O]@020<:O]@0300000033W[<0000000D000000P3;gnL3
000000D0oooo00D000000729g01`RM`000000;^P_@0200000080^j2m0P0000000`3UW7h000000?oo
o`0J0?ooo`040000001YB9P0JDRH000000D0]I2`00<000000?;>Z`0000006`3oool01@000000LTN?
0797S`1bAhl0000000D0/iBh00<000000>WSb`0000004`3oool001@0oooo00@0000005M`d01GL=00
0000102gV;P00`000000fi>30=^CP`020=^CP`030000003oool0oooo01d0oooo00<000000519Z`00
00001@2cSZl010000000j;2H0>R`V000000F0?ooo`040000001/=G/0K3Ek00000080]9>d00@00000
0;BC]02dTk@000000`3Mf]@00`000000oooo0?ooo`0M0?ooo`80000000<0SkG`0000002H__800P2H
__800`000000WlGc09o5l`07000000050;KFl0000000`]c/0<;Lk00000000P3;gnL2000000L0oooo
00<000000729g01`RM`00P0000050;^P_@040000003UW7h0iIan000001X0oooo00@0000006U8V01Y
B9P000001@2eT;000`000000l/j[0000000K0?ooo`050000001bAhl0LTN?0797S`000000102cU;P0
10000000jN?;0>WSb`00000C0?ooo`005@3oool010000000Eg3@05M`d00000020;NH^0030000002g
V;P0000000@0fi>300<000000?ooo`3oool0703oool010000000D4V[0519Z`0000040;>>[`040000
003X/9P0j;2H000001D0oooo00@0000006`eN`1/=G/00000102dTk@00`000000]9>d000000020=gJ
e0030000003oool0oooo0200oooo0`00000209RnlP040000002OaO<0WlGc000000<0Z/kc00H00000
0;KFl02fe_00]]K`00000032g>`4000000X0oooo0P00000206n7f`060000002kX;d0^j2m0;^P_@00
0000^inm0P0000000`3VWWl000000?ooo`0H0?ooo`040000001YB9P0JDRH000000D0]I2`00<00000
0?;>Z`0000006P3oool01@000000LTN?0797S`1bAhl0000000@0/iBh00@000000>WSb`3Yhl/00000
503oool001H0oooo00D0000005M`d0000000]iRh000000030;NH^0050000003KTh<0fi>30=^CP`00
00007`3oool00`000000D4V[000000040;>>[`040000003X/9P00000000001@0oooo00D0000006`e
N`000000K3Ek000000050;BC]0040000003Mf]@0gM[D000002H0oooo3`00000?0?ooo`050000001_
Qm/0KhOK0000002kX;d00P0000030;^O_@040000003VWWl0iYio000001P0oooo00@0000006U8V01Y
B9P00000102eT;0010000000l/j[0?;>Z`00000I0?ooo`060000001gA8H000000000001bAhl00000
102cU;P00`000000jN?;0000000E0?ooo`005P3oool010000000Eg3@05M`d00000050;NH^0050000
003KTh<0fi>30=^CP`0000007P3oool00`000000D4V[000000020;>>[`@0000000<0iZ^C0000003o
ool04P3oool00`000000K3Ek06`eN`02000000D0]9>d00@000000=oJd00000000000AP3oool40000
00@0^inm00<000000;^O_@0000000P3VWWl00`000000oooo0?ooo`0E0?ooo`H000000P2eT;000`00
0000l/j[0000000I0?ooo`030000003Pi=L0MdB60080MdB600<000000;>D^02cU;P00P2cU;P01000
0000jN?;0>WSb`00000E0?ooo`005`3oool20000000306:1f`000000]iRh00@0]iRh00@000000=^C
P`3KTh<0fi>30P00000L0?ooo`030000001@BJ/00000008000000P2cSZl010000000iZ^C0>J[T`00
000C0?ooo`060000001/=G/000000000002dTk@000000`2dTk@010000000gm[@0=oJd00000180?oo
o`040000001_Q]X0KhKJ00000080^inm00P000000;^O_@2kWkd000000>JNO`000000iYj0000001H0
oooo00@0000006]5TP1[AI8000000P2fT:l3000000030?;>Z`000000oooo01L0oooo00<0000007M4
QP1gA8H00P1gA8H010000000/YBh0000000000020;>D^0030000003Yhl/0000001H0oooo000H0?oo
o`040000001RPM/0HX7K000000D0]iRh00D000000=^CP`3KTh<0fi>30000000L0?ooo`<000001@2c
SZl010000000iZ^C0>J[T`00000A0?ooo`040000001/=G/0K3Ek000000<0]9>d0P000000102dTk@0
00000=oJd00000190?ooo`060000001_Q]X0KhKJ0000002kWkd00000102kWkd010000000iYj00>JN
P000000E0?ooo`040000001[AI80JdFB000000D0]Y2_0`00000H0?ooo`050000001gA8H0MdB607M4
QP000000102bU;P200000080jN?;00<000000?ooo`3oool0503oool001T0oooo00@0000006:1f`1R
PM/000001@2gV;P01@000000fi>30000003CQWX0000001/0oooo00<00000055?/@0000001@2cSZl0
10000000iZ^C0>J[T`00000@0?ooo`030000001^=GT00000008000001@2dTk@010000000gm[@0=oJ
d000001:0?ooo`@00000102kWkd00`000000^inm000000020>JNP0030000003oool0oooo0180oooo
00@0000006]5TP1[AI800000102fT:l010000000lM>a0?7C/@00000G0?ooo`050000001gA8H0MdB6
07M4QP0000001@2bU;P010000000h>GG00000000000G0?ooo`006@3oool010000000HX7K06:1f`00
00060;NH^0050000003CQWX0dhIj0=>6NP0000006P3oool010000000DDna055?/@0000040;>>[`04
0000003VZi<0iZ^C000000l0oooo00D0000006heN@1^=GT0KSEi000000050;BC]0040000003PfM00
0000000004`0oooo00D0000006j5f@1^QMT000000;^O_@0200000080^inm00D000000>JNP0000000
ij610000000C0?ooo`040000001[AI80JdFB000000@0]Y2_00<000000?7C/@0000005`3oool01@00
0000MdB607M4QP1gA8H0000000H0/YBh00<000000>3Ue`000000603oool001X0oooo00@0000006:1
f`1RPM/00000102gV;P00`000000^9Rg000000030=>6NP8000006@3oool00`000000DDna00000004
0;>>[`040000003VZi<0iZ^C000000l0oooo00H0000006heN@1^=GT000000;BC]00000030;BC]004
0000003PfM00h=W@000004d0oooo00<0000006j5f@1^QMT00P0000050;^O_@040000003WXH40ij61
00000180oooo00D0000006]5TP1[AI80JdFB000000040;J@[`030000003adk40000001H0oooo00D0
000007M4QP1gA8H0MdB6000000060;:D^0030000003PiML0000001T0oooo000K0?ooo`040000001R
PM/0HX7K00000080]iRh00@000000;RH]`2hV;L0^9Rg0P0000030=>6NP030000003oool0oooo01H0
oooo00<00000055?/@0000001@2cSZl010000000iZ^C0>J[T`00000=0?ooo`040000001^=GT0KSEi
000000<0]9>d0P000000102dTk@000000>3Id000001?0?ooo`8000000P1]PmP01`000000^inm0;^O
_@2kWkd000000;ZO_@0000000P3WXH400`000000oooo0?ooo`0?0?ooo`80000000<0JdFB0000002f
T:l0102fT:l00`000000lM>a0000000E0?ooo`050000001n@Wd0000007M4QP0000001P2bU;P01000
0000h>GG0>3Ue`00000I0?ooo`00703oool01P000000HX7K06:1f`000000]iRh000000D0^9Rg00L0
00000=>6NP3CQWX0dhIj0000003CQWX0000001D0oooo00<00000055?/@000000102cSZl5000000`0
oooo00<00000074eMP0000000P0000050;BC]0040000003PfM00h=W@00000500oooo00D0000006f3
f01]PmP000000;^O_@0200000080^Ynm00D000000>NQP@000000jJF50000000@0?ooo`030000001^
@hd0000000<000000P2fT:l010000000lM>a0?7C/@00000D0?ooo`050000001n@Wd0OT9m07i2O@00
00001`2bU;P00`000000h>GG0000000J0?ooo`00703oool01@000000HX7K06:1f`1RPM/0000000L0
^9Rg00H000000=>6NP3CQWX0dhIj0000001hWNTE0?ooo`050000001ACk40DDna0000002cSZl00P00
00001@2cSZl000000>FVS`3UYXl0000000/0oooo00D00000074eMP1a=GH0LCEf000000050;BC]004
0000003Nf]80000000000540oooo00<0000006f3f01]PmP00P0000050;ZO_@040000003YYHD0jJF5
000000l0oooo00D0000006i3S@1^@hd0KT>=000000020;JA[`<0000000<0lM>a0000003oool04P3o
ool2000000<0OT9m00<000000;:C]`0000001@2bU;P00`000000h>GG0000000K0?ooo`007@3oool0
1@000000HX7K0000001^TnD0000000L0^9Rg0`0000000`3=OGH000000000000E0?ooo`040000001A
Ck400000000000@0/hj_00@000000>FVS`3UYXl000002@3oool200000080LCEf00<000000;BC]000
00000`2dTk@010000000g][B0=kJdP00001C0?ooo`8000000P1/PMH010000000^Ynm0;ZO_@2jWkd3
00000080jJF500<000000?ooo`3oool0303oool010000000KT>=06i3S@0000050;JA[`<000004P3o
ool00`000000OT9m07i2O@0207i2O@040000002bTkL0/Y>g0;:C]`8000000P2bU;P00`000000h>GG
0000000L0?ooo`007P3oool01@000000KY?U06jCi@1^TnD0000000P0^9Rg00@000000<emMP3=OGH0
cGef0P00000C0?ooo`<000001@2cSZl010000000iJJ?0>FVS`0000090?ooo`040000001a=GH0LCEf
000000<0]9>d0P000000102dTk@000000=kJdP00001E0?ooo`050000001/PMH0K87F0000002jWkd0
0P0000020;ZO_@050000003YYHD000000>ZUQ@0000003@3oool010000000KT>=06i3S@0000040;JA
[`040000003`ekP0l=Nh00000140oooo00<0000007i2O@1n@Wd00P1n@Wd00`000000/Y>g0;:C]`04
0;:C]`050000002bU;P000000>3Ue`000000703oool001l0oooo00D0000006jCi@1^TnD0KY?U0000
00060;RH]`040000002hV;L00000000000<0cGef0P00000A0?ooo`040000001AE;L0DEBg000000@0
/hj_00@000000>FVS`3UYXl000001`3oool300000003074eMP000000]9>d00D0]9>d00@000000=kJ
dP3Nf]800000EP3oool4000000@0^Ynm00D000000>VUQ@000000jZF50000000=0?ooo`040000001^
@hd0KT>=000000@0]Y6_00<000000?3G^00000004@3oool00`000000OT9m07i2O@0207i2O@030000
002bTkL0/Y>g00H0/Y>g00<000000>3Ue`0000007@3oool00240oooo00<0000006jCi@1^TnD00P00
00040;RH]`050000002hV;L0^9Rg0;RH]`000000103=OGH3000000l0oooo00<00000055D]`000000
102cSZl01@000000iJJ?0>FVS`3UYXl0000000D0oooo00D0000007@fM01d=W@0M3Id000000060;BC
]0040000003LfmH00000000005P0oooo00@0000006Yld`1ZO=<00000102jWkd01@000000jZF50>ZU
Q@3ZYHD0000000/0oooo00D0000006i3S@1^@hd0KT>=000000040;JA[`030000003`ekP000000100
oooo00<0000008=2N00000000P1n@Wd00`000000/Y>g0;:C]`060;:C]`030000003Ei>40000001h0
oooo000R0?ooo`8000000P1^TnD010000000^9Rg0;RH]`0000050;RH]`8000000`3=OGH010000000
`g1_00000000000=0?ooo`040000001AE;L0DEBg000000@0/hj_00@000000>FVS`00000000000`3o
ool40000000407@fM0000000]9>d000000@0]9>d00@000000=cKeP3LfmH00000F@3oool010000000
JWcC06Yld`0000020;ZO_@80000000<0^Ynm0000003ZYHD00P00000;0?ooo`80000000<0KT>=0000
002fTJl0102fTJl2000000l0oooo0P00000208=2N0030000001n@Wd0000000L0/Y>g0P0000000`3E
i>4000000?ooo`0N0?ooo`00903oool01P000000KY?U06jCi@000000^9Rg000000L0^9Rg0`000004
0<=`K`8000002`3oool010000000DEBg055D]`0000040;>>[`80000000@0hYj90000003oool0oooo
0P00000207`hK`8000000`2dTk@2000000050;BC]0000000g=_F0=cKeP000000F`3oool5000000<0
^Ynm00D000000>ZUQ@000000j:61000000090?ooo`030000001`@HP0L46800@000000P2fTJl00`00
0000l=Nh0000000>0?ooo`0300000023@WP0Pd9h00<0Pd9h00<000000;:C]`2bTkL01@2bTkL01000
0000eNCQ0=GTh@00000P0?ooo`009@3oool20000000306jCi@000000^9Rg00T0^9Rg0P0000050<=`
K`80000000<0oooo0000003oool01`3oool01@000000DEBg055D]`000000/hj_00<000000`3RWXT4
00000080O3Q_00<000000;BC]0000000102dTk@010000000g=_F0=cKeP00001L0?ooo`040000001Z
OM@0JWgD000000D0^Ynm00@000000>RQP@3XXH4000002@3oool010000000L4680711R00000030;NA
[`<0000000<0l=Nh0000003oool0303oool00`000000Pd9h08=2N00208=2N080000000<0/I:g0000
002bTkL0102bTkL010000000eNCQ0=GTh@00000Q0?ooo`009`3oool010000000N9kZ000000000008
0;RH]`030000002hV;H00000008000001033L6l5000000D0oooo00<00000055D]`1AE;L00P000003
0;:>/0040000003RWXT0hYj900000080QSa[0`0000020;BC]0060000002dTk@0]9>d0;BC]0000000
fM_I0P00001N0?ooo`040000001ZOM@0JWgD000000<0^Ynm00D000000;^P_@00000000000>FJO002
000000H0oooo00D000000711R01`@HP0L468000000040;NA[`80000000<0l=Nh0?ooo`3oool02P3o
ool2000000@0Pd9h00D000000;6B]`2aT[L0/I:g000000030;:C]`80000000<0eNCQ000000000000
8P3oool002P0oooo0P0000000`1hW^X00000000000060;RH]`030000002hV;H0^9Rf0080^9Rf0`00
00000`33L6l000000;QSJP030;QSJPT00000102bS[001P000000hYj90>:NR@3RWXT0000008HlJ`80
0000102dTk@00`000000]9>d000000020=WKf@030000003oool0oooo05d0oooo00D0000006Yme01Z
OM@000000;ZO_@02000000<0^j2m00D000000>FJO03UVW`0iIYl000000050?ooo`040000001`@HP0
L468000000D0]i6_00<000000>kK_`0000002P3oool2000000@0Pd9h0P0000050;6B]`030000002b
TkL000000080eNCQ00<000000?ooo`3oool08P3oool002X0oooo0P0000000`1hW^X0000000000003
0;RH]`030000002hV;H0^9Rf00H0^9Rf100000060;QSJP030000002YE6H000000080E5fo00<00000
0;:>/02bS[000P2bS[000`000000hYj90>:NR@0200000080]9>d00<000000;BC]02dTk@00P2dTk@0
10000000fM_I0=WKf@00001Q0?ooo`@00000102kX;d00`000000^j2m000000020>FJO0030000003o
ool0oooo0080oooo00D000000711R01`@HP0L468000000040;NA[`040000003^fkl0k]^o000000P0
oooo0P00000208e5L@0400000023@WP00000000000P0/I:g00@000000=GTh@3Ei>4000009@3oool0
02`0oooo00<0000007RNjP1hW^X00P0000000`2hV;L000000;RH]P080;RH]P030000002iUkD0^INe
00D000000P2hHfX200000080E5fo00<000000;:>/02bS[000P2bS[001@000000hYj90>:NR@3RWXT0
00000080]9>d00T000000;BC]02dTk@0]9>d0000003Bfml000000=WKf@000000HP3oool010000000
KH?H06f3f00000020;^P_@040000002kX;d0^j2m0;^P_@80000000<0ii]i0000003oool00P3oool2
000000030711R0000000]i6_00@0]i6_00<000000>kK_`0000001P3oool3000000@0SDEa0P000008
0;6B]`80000000<0cN;W0000000000009P3oool002d0oooo0P00000207RNjP<00000202hV;H00`00
0000^INe0;VG]@050;VG]@D0000000<0E5fo0000002bS[00102bS[0010000000hYj90>:NR@000003
0;BC]0030000002dTk@0000000<0d]_O00<000000?ooo`3oool0HP3oool01@000000KH?H0000002k
X;d0000000D0^j2m00<000000>NKN@0000000`00000207A0P`800000102gTJl010000000k]^o0>kK
_`0000030?ooo`<000001@2=AG4200000080/I6f00<000000;6B]`2aT[L0102aT[L00`000000cN;W
0<gRi`02000002L0oooo000_0?ooo`<000000P28/?03000000D0^9Rf00<000000;VG]@2iUkD01`2i
UkD00`000000^INd0000000205AM_`030000002bS[00/Xj`0080/Xj`00D000000>:NR@000000hIj9
000000030;BC]0050000003Bfml0d]_O0=;Kg`000000IP3oool3000000D0^j2m00D000000;jU_`00
000000000>6?L@0200000080M42300@000000;NB/000000000000P2gTJl00`000000k]^o00000004
0000000309M9K0000000SDEa00<0SDEa0P0000040;6A]P030000002aT[L0/I:g0080/I:g0P000002
0<gRi`030000003oool0oooo02L0oooo000a0?ooo`0300000028/?00R;3`00<0R;3`100000000`2h
V;H000000;VG]@080;VG]@060000002iUk@0^INd0000001DGKl00000102bS[0200000080hIj900P0
00000;BC]000000000000<[JiP000000d]_O000006P0oooo00<00000072:g00000000`2kX;d01`00
0000_ZFo0;jU_`2nYKl000000>6?L@0000000`1d@8<010000000]i:`0;NB/02gT[0200000080k]^o
00@0000009M9K02GBF`0/=7a0`2GBF`010000000SDEa0000000000070;6A]P040000002aT[L00000
00000080cN;W0P00000Z0?ooo`00<`3oool2000000H0R;3`100000070;VG]@040000002iUk@0^INd
00000080E5fo00@000000;:>/000000000000P2dTk@010000000hIj90>6NR@0000040<[JiP030000
003oool0oooo06L0oooo00H00000072:g01`R]`000000;^P_@0000030;jU_`0300000030YKh00000
00<0M42300<000000;NB/02gT[000`2gT[02000000030>kK_`2GBF`0UdU/00@0UdU/0`00000:0;6A
]P050000003=h^L0cN;W0<gRi`000000;03oool003D0oooo0`00000408R`l0030000002H__80V;kb
00D000000P2iUkD01P000000^INd0;VG]02iUk@0000005AM_`800000102dTk@010000000hIj90>6N
R@0000020<[JiP800000J`3oool4000000<0_ZFo00@000000<2U_P30YKh000000P1d@8<00`000000
]i:`0;NB/0030;NB/0040000003[glH0jmo600000080UdU/100000020;2A]P030000002aTKH0/I6f
00H0/I6f0`0000000`3=h^L000000000000]0?ooo`00>03oool20000000308R`l0000000V;kb00L0
V;kb200000000`1IJ/T000000;BC]0040;BC]0030000003QWXT0hIj900800000KP3oool01P000000
LiCT07>Di0000000_ZFo00000080`:Fn0P00000207A0P`030000002gT[00]i:`00<0]i:`00<00000
0>_OaP0000000`0000060;2A]P030000002aTKH0/I6f00@0/I6f0P0000020;kKkP800000;`3oool0
03X0oooo1`00000509RnlP030000002[c?40Zlca0080Zlca0P1IJ/T00`000000]9>d0;BC]0030;BC
]0040000003QWXT0hIj900000700oooo00@0000007>Di01cU>@000000P30YKh00`000000M46507A1
Q@02000000D0]i:`00<000000>_OaP3[glH00P0000090;2A]P040000002aTKH0/I6f0;6A]P800000
0P2nfnh200000340oooo00110?ooo`/000000P1IJ/T00`000000]9>d0;BC]0030;BC]0040000003Q
WXT0hIj900000700oooo0P000000101lX^/0000000000000000207A1Q@040000002dTk@000000000
00<0]i:`00D000000>_OaP000000/92d000000090;2A]P040000002aTKH0000000000080_]_^0P00
000c0?ooo`00C03oool00`000000FF[9000000050;BC]0040000003QWXT0hIj900000740oooo0P00
00000`1lX^/0000007A1Q@0207A1Q@040000002dTk@0]9>d0;BC]0<0000000<0jmo60000002`T;@0
0P2`T;@00`000000/96f0;2A]P050;2A]P<000000P2nfnh2000003D0oooo001<0?ooo`040000001I
J/T0FF[9000000D0]9>d00@000000>6NR@3QWXT00000LP3oool01@000000M46507A1Q@1d@HD00000
00H0]9>d00<000000>_OaP0000000`2`T;@00`000000/96f0;2A]P0500000080[m7b0`00000g0?oo
o`00C@3oool010000000FF[905UZb@0000040;BC]0050000003QWXT000000=bDPP000000L@3oool0
10000000M46507A1Q@0000060;BC]0030000003Uh/l0000000L000000`2_dO84000003X0oooo001>
0?ooo`030000001IJ/T0000000D0]9>d00@000000=bDPP3LU8800000L03oool01@000000M46507A1
Q@1d@HD0000000D0]9>d00<000000>GRc`0000001@2L`O800`000000[m7b0:oAlP03000003h0oooo
001>0?ooo`040000001IJ/T0FF[9000000<0]9>d00<000000;BC]00000000P3LU8800`000000oooo
0?ooo`1/0?ooo`050000001d@HD0M46507A1Q@0000001P2dTk@00`000000iN;?0000000700000480
oooo001?0?ooo`040000001IJ/T000000;BC]08000000P2dTk@01@000000g9B20=bDPP3LU8800000
06d0oooo00@0000007A1Q@1d@HD000001P2dTk@00`000000iN;?0000001:0?ooo`00C`3oool01000
0000FF[905UZb@0000050;BC]0050000003LU880g9B20=bDPP000000J`3oool200000080M46500<0
00000;BC]02dTk@00`2dTk@00`000000iN;?0000001;0?ooo`00D03oool20000000305ifdP000000
]9>d00@0]9>d00@000000=bDPP3LU8800000JP3oool00`000000ND1o07U0O`02000000D0]9>d00@0
00000>GRc`3Uh/l00000B`3oool00540oooo0P1NM]800`000000]9>d0;BC]0040;BC]0040000003L
U880g9B2000006P0oooo00L0000007U0O`1i@7l0ND1o0000002dTk@0000000@0]9>d00<000000>GR
c`000000C03oool00580oooo0P1NM]800`000000]9>d0;BC]0030;BC]0050000003LU880g9B20=bD
PP000000IP3oool01@000000ND1o07U0O`1i@7l0000000<0]9>d0P000000102dTk@000000>GRc`00
001=0?ooo`00DP3oool010000000GWKB05ifdP0000050;BC]0050000003LU88000000=N;O0000000
I@3oool010000000ND1o07U0O`0000060;BC]0040000003Uh/l0iN;?000004d0oooo001C0?ooo`03
0000001NM]80000000H0]9>d00D000000=N;O03GRg`0eh]l0000001S0?ooo`040000001i@7l0ND1o
000000H0]9>d00@000000=oSe`0000000000CP3oool005@0oooo00<0000005ifdP000000102dTk@0
0`000000]9>d000000030=N;O0030000003oool0oooo05l0oooo00D0000007U0O`1i@7l0ND1o0000
00050;BC]0040000003OhmL0gn?G000004l0oooo001E0?ooo`030000001NM]8000000080]9>d00D0
00000;BC]02dTk@0]9>d000000030=N;O0030000003oool0oooo05d0oooo00D0000007U0O`1i@7l0
ND1o000000060;BC]0030000003OhmL000000500oooo001E0?ooo`050000001NM]8000000;BC]000
00001@2dTk@01@000000eh]l0=N;O03GRg`0000005d0oooo00D0000007m1N@000000ND1o00000006
0;BC]0040000003OhmL0gn?G00000500oooo001F0?ooo`030000001NM]80000000L0]9>d00D00000
0=N;O03GRg`0eh]l0000001K0?ooo`050000001o@GT0Od5i07m1N@0000001P2dTk@010000000gn?G
0=oSe`00001A0?ooo`00E`3oool00`000000I8;K000000070;BC]0050000003GRg`0eh]l0=N;O000
0000F@3oool01`000000Od5i07m1N@1o@GT000000;BC]0000000102dTk@010000000gn?G0=oSe`00
001B0?ooo`00F03oool00`000000I8;K000000070;BC]0050000003GRg`000000<moMP000000EP3o
ool2000000<0Od5i00D000000;BC]02dTk@0]9>d000000030;BC]0030000003OhmL0000005<0oooo
001I0?ooo`030000001TP]/0000000L0]9>d00@000000<moMP3?OgH0cgmf0P00001C0?ooo`030000
001o@GT0Od5i0080Od5i00<000000;BC]02dTk@00`2dTk@00`000000]9>d000000020=oSe`030000
003oool0oooo0540oooo001J0?ooo`040000001TP]/00000000000@0]9>d00@000000;BC]0000000
00000`3?OgH00`000000oooo0?ooo`1?0?ooo`040000001o@GT0Od5i07m1N@8000001`2dTk@01000
0000gn?G0=oSe`00001D0?ooo`00F`3oool010000000I8;K06B2f`0000020;BC]0030000002dTk@0
]9>d0080]9>d00D000000<moMP3?OgH0cgmf0000001?0?ooo`050000001o@GT0Od5i07m1N@000000
202dTk@010000000enCO00000000001E0?ooo`00G03oool01P000000I8;K06B2f`000000]9>d0000
00D0]9>d0P0000020<moMP800000B`3oool20000000408M3M0000000Od5i000000P0]9>d00@00000
0=OTg`3Gi=l00000EP3oool005d0oooo00@0000006B2f`1TP]/00000202dTk@01@000000cgmf0<mo
MP3?OgH0000004T0oooo00<0000008M3M027@g@00P27@g@00`000000]9>d0;BC]0060;BC]0040000
003Gi=l00000000005L0oooo001N0?ooo`80000000<0KI7T0000002dTk@01`2dTk@3000000030<Ug
LP000000000004D0oooo0P00000308M3M080000000<0]9>d0000002dTk@0102dTk@2000000030=OT
g`000000oooo05P0oooo001O0?ooo`030000001]TN@0KI7T00800000202dTk@010000000bGMb0<Ug
LP39Mg8200000440oooo0P00000408M3M0030000002dTk@0]9>d0080]9>d00D000000;BC]02dTk@0
]9>d000000020=OTg`030000003oool0oooo05P0oooo001P0?ooo`050000001]TN@0KI7T06fAi000
00001P2dTk@010000000]9>d0000000000030<UgLP800000?P3oool00`000000Qd=d08M3M00208M3
M08000001P2dTk@010000000]9>d0000003Gi=l2000005/0oooo001Q0?ooo`8000000P1]TN@00`00
0000]9>d0;BC]0030;BC]0050000002dTk@0]9>d0;BC]00000001039Mg83000003T0oooo00D00000
08i6L02>AW00000008M3M002000000T0]9>d00<000000=OTg`000000G@3oool006<0oooo00<00000
06fAi01]TN@00P0000020;BC]0030000002dTk@0]9>d00<0]9>d0P0000030<UgLP0400000030KFh0
0000000003D0oooo0P00000308i6L08000002@2dTk@2000000030<gRi`000000oooo05d0oooo001T
0?ooo`070000001]TN@0KI7T06fAi0000000]9>d000000070;BC]0<000001030KFh300000300oooo
0P00000308i6L080000000<0]9>d0000002dTk@01P2dTk@2000000030<gRi`000000000005l0oooo
001U0?ooo`8000000P1]TN@00`000000]9>d0;BC]0080;BC]08000001P30KFh4000002P0oooo1000
000308i6L0800000102dTk@00`000000]9>d0;BC]0030;BC]0040000003=h^L0cN;W00000640oooo
001W0?ooo`80000000<0MIcY000000000000202dTk@010000000]9>d0000000000050<1]KP030000
002gHf`0]f=/00@00000803oool4000000030;OHl@2HBfd000000080STI`0P0000060;BC]0040000
002dTk@0]9>d0;BC]080000000<0cN;W000000000000HP3oool006P0oooo00@0000007FLj@1eW>T0
MIcY0P0000050;BC]0030000002dTk@0]9>d0080]9>d0`0000000`30KFh000000;MSK0060;MSK0L0
00004P3oool7000000H0V4]]0`0000090;BC]0<000000P3=h^L00`000000oooo0?ooo`1R0?ooo`00
J@3oool2000000<0MIcY0P0000030;BC]0030000002dTk@0]9>d00D0]9>d100000070;MSK0030000
002^Ff/0[U][0080[U][4P0000040:5AJ`060000002HBfd0V4]]09Q;K@000000V4]]0`0000000`2d
Tk@000000;BC]0080;BC]08000000`3=h^L00`000000oooo0?ooo`1S0?ooo`00J`3oool2000000<0
MIcY0`0000090;BC]0030000002dTk@0]9>d00D000000P2gHf`00`000000[U][0:iKJ`060:iKJ`03
0000002ZEf/0ZUM[00H0ZUM[00<000000:5AJ`2QDF/01`2QDF/00`000000V4]]00000002000000D0
]9>d00<000000;BC]02dTk@0102dTk@200000080a=o/0P00001W0?ooo`00K@3oool2000000<0MIcY
0P0000080;BC]0030000002dTk@0]9>d00D0]9>d1`0000040:iKJ`030000002ZEf/0ZUM[00L0ZUM[
00<000000:5AJ`2QDF/00P2QDF/6000000P0]9>d00<000000;BC]02dTk@00P2dTk@2000000<0a=o/
0P00001X0?ooo`00K`3oool300000080PJ__0P0000050;BC]0030000002dTk@0]9>d00P0]9>d00<0
00000;BC]02dTk@00P2dTk@C000000@0]9>d00<000000;BC]02dTk@0202dTk@010000000]9>d0000
000000030<COk0800000JP3oool00740oooo00<00000086[k`21Znl00P21Znl2000000<0]9>d00<0
00000;BC]02dTk@0202dTk@00`000000]9>d0;BC]0060;BC]0030000002dTk@0]9>d00L0]9>d00<0
00000;BC]02dTk@01`2dTk@00`000000]9>d0;BC]0060;BC]0<000000`34gn`2000006`0oooo001c
0?ooo`8000000`21Znl2000000030;BC]0000000]9>d00P0]9>d00<000000;BC]02dTk@01`2dTk@0
0`000000]9>d0;BC]0070;BC]0030000002dTk@0]9>d00L0]9>d00<000000;BC]02dTk@00`2dTk@3
000000040;OIl@000000a=o/0<COk0800000KP3oool007D0oooo0`000002086[k`@000001`2dTk@0
0`000000]9>d0;BC]0070;BC]0030000002dTk@0]9>d00P0]9>d00<000000;BC]02dTk@01`2dTk@0
0`000000]9>d00000002000000@0]mWa0`00001`0?ooo`00N03oool200000004086[k`000000SKSc
08fhl`D000000P2dTk@00`000000]9>d0;BC]0070;BC]0030000002dTk@0]9>d00P0]9>d00<00000
0;BC]02dTk@00`2dTk@6000000@0]mWa0`00001c0?ooo`00NP3oool2000000L0SKSc7@0000040:_A
m0030000002gfO40000000<00000MP3oool007h0oooo1@00000208fhl`030000002I`o@0VL?d00L0
VL?d00<0000009o8m@2Ob?D0202Ob?D00`000000Zm7d0:_Am0050:_Am0@00000NP3oool008<0oooo
1`00000509W3m0030000002Ob?D0WlSe00P0WlSe00<000000:_Am02[dO@01@00001n0?ooo`00RP3o
oolC000008<0oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo
003o0?ooob40oooo003o0?ooob40oooo0000\
\>"],
  ImageRangeCache->{{{0, 287}, {269, 0}} -> {-0.000211861, 0.0311585, \
0.0034858, 0.0034858}}]
}, Open  ]]
}, Open  ]],

Cell[TextData[{
  "You can also give the plural P-data through a file to ",
  StyleBox["ShowKnotFromFile[filename]",
    FontWeight->"Bold"],
  " function. The file has to finish by EOF (555) in the last line of the \
file. Check the sample Pdata file \"trivialknot.prd\"."
}], "Text"],

Cell[BoxData[
    \(ShowKnotFromFile["\<trivialknot.prd\>"]\)], "Input"],

Cell["\<\
You can get the writhe and mirrorimage of a given knot and link.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(WritheKnotFromPdata[pdata]\)], "Input"],

Cell[BoxData[
    \(0\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(GetMirrorImageKnot[pdata]\)], "Input"],

Cell[BoxData[
    \({{10}, {7, \(-18\), 1, 3, \(-15\), 20, \(-9\), \(-11\), \(-4\), 
        12}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Braid representation", "Section"],

Cell["\<\
Given P-data of an arbitrary knot (or link) diagram, following function takes \
some steps, that is, Ridemeister's move of type 2 for the part of the \
obtained diagram satisfied with the certain condition, until it get its braid \
representation. This is the implementation of Vogel's algorithm-1990. \
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(bword = GetBraidRep[pdata]\)], "Input"],

Cell[BoxData[
    \("AbbbaaBBAA"\)], "Output"]
}, Open  ]],

Cell[TextData[{
  "Most of the time, you can get the shorter B-word by simplifing the knot \
(or link) ahead of ",
  StyleBox["GetBraidRep ",
    FontWeight->"Bold"],
  "using the function ",
  StyleBox["BraidWReduced",
    FontWeight->"Bold"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    StyleBox[\(bword = GetBraidRep[ReductionKnotLink[pdata]]\),
      FontWeight->"Bold"]], "Input",
  FontWeight->"Plain"],

Cell[BoxData[
    \("aaaBBBAAbb"\)], "Output"]
}, Open  ]],

Cell["\<\
To get the braid diagram for the B-word, use the following function with its \
B-word.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ShowBraid[bword]\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .21767 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics3D
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0 1 -0.391167 1 [
[ 0 0 0 0 ]
[ 1 .21767 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
0 0 m
1 0 L
s
0 0 m
0 .21767 L
s
.99269 .21607 m
1 .21767 L
s
.00731 .00159 m
0 0 L
s
0 0 m
0 .21767 L
s
0 .21767 m
.00731 .21607 L
s
.00731 .21607 m
.00731 .00159 L
s
.99269 .00159 m
.99269 .21607 L
s
.99269 .21607 m
1 .21767 L
s
1 .21767 m
1 0 L
s
1 0 m
.99269 .00159 L
s
.00731 .00159 m
0 0 L
s
0 0 m
1 0 L
s
1 0 m
.99269 .00159 L
s
.99269 .00159 m
.00731 .00159 L
s
.00731 .21607 m
.99269 .21607 L
s
.99269 .21607 m
1 .21767 L
s
1 .21767 m
0 .21767 L
s
0 .21767 m
.00731 .21607 L
s
0 0 m
1 0 L
1 .21767 L
0 .21767 L
closepath
clip
newpath
.5 Mabswid
.651 .54 .716 r
.92144 .07958 m .91788 .06166 L .92852 .05957 L p F P
0 g
s
.653 .548 .723 r
.91788 .06166 m .91259 .04137 L .92248 .03679 L p F P
0 g
s
.653 .548 .723 r
.92248 .03679 m .92852 .05957 L .91788 .06166 L p F P
0 g
s
.651 .54 .716 r
.82775 .07958 m .82418 .06166 L .83474 .05957 L p F P
0 g
s
.652 .548 .724 r
.82418 .06166 m .81887 .04137 L .82869 .03679 L p F P
0 g
s
.652 .548 .724 r
.82869 .03679 m .83474 .05957 L .82418 .06166 L p F P
0 g
s
.762 .631 .716 r
.73973 .13742 m .73617 .15535 L .72608 .15335 L p F P
0 g
s
.763 .628 .711 r
.73617 .15535 m .72997 .17772 L .72229 .17065 L p F P
0 g
s
.763 .628 .711 r
.72229 .17065 m .72608 .15335 L .73617 .15535 L p F P
0 g
s
.761 .631 .716 r
.64604 .13742 m .64247 .15535 L .63231 .15335 L p F P
0 g
s
.762 .628 .711 r
.64247 .15535 m .63625 .17772 L .62849 .17065 L p F P
0 g
s
.762 .628 .711 r
.62849 .17065 m .63231 .15335 L .64247 .15535 L p F P
0 g
s
.761 .63 .716 r
.55234 .04373 m .54877 .06166 L .53853 .05957 L p F P
0 g
s
.762 .627 .711 r
.54877 .06166 m .54253 .084 L .5347 .07686 L p F P
0 g
s
.762 .627 .711 r
.5347 .07686 m .53853 .05957 L .54877 .06166 L p F P
0 g
s
.76 .63 .716 r
.45864 .04373 m .45508 .06166 L .44476 .05957 L p F P
0 g
s
.761 .627 .711 r
.45508 .06166 m .44881 .084 L .44091 .07686 L p F P
0 g
s
.761 .627 .711 r
.44091 .07686 m .44476 .05957 L .45508 .06166 L p F P
0 g
s
.76 .629 .716 r
.36495 .04373 m .36138 .06166 L .35098 .05957 L p F P
0 g
s
.761 .626 .711 r
.36138 .06166 m .35509 .084 L .34712 .07686 L p F P
0 g
s
.761 .626 .711 r
.34712 .07686 m .35098 .05957 L .36138 .06166 L p F P
0 g
s
.648 .538 .716 r
.26557 .17328 m .26201 .15535 L .27209 .15335 L p F P
0 g
s
.649 .546 .724 r
.26201 .15535 m .25655 .13509 L .26595 .13058 L p F P
0 g
s
.649 .546 .724 r
.26595 .13058 m .27209 .15335 L .26201 .15535 L p F P
0 g
s
.647 .538 .716 r
.17188 .17328 m .16831 .15535 L .17831 .15335 L p F P
0 g
s
.649 .546 .724 r
.16831 .15535 m .16284 .13509 L .17216 .13058 L p F P
0 g
s
.649 .546 .724 r
.17216 .13058 m .17831 .15335 L .16831 .15535 L p F P
0 g
s
.647 .538 .716 r
.07818 .17328 m .07462 .15535 L .08453 .15335 L p F P
0 g
s
.649 .546 .724 r
.07462 .15535 m .06912 .13509 L .07837 .13058 L p F P
0 g
s
.649 .546 .724 r
.07837 .13058 m .08453 .15335 L .07462 .15535 L p F P
0 g
s
.599 .456 .658 r
.93542 .09918 m .92144 .07958 L .93209 .07751 L p F P
0 g
s
.651 .54 .716 r
.92852 .05957 m .93209 .07751 L .92144 .07958 L p F P
0 g
s
.598 .455 .658 r
.84148 .09918 m .82775 .07958 L .83831 .07751 L p F P
0 g
s
.651 .54 .716 r
.83474 .05957 m .83831 .07751 L .82775 .07958 L p F P
0 g
s
.712 .658 .795 r
.75237 .11992 m .73973 .13742 L .72965 .1354 L p F P
0 g
s
.762 .631 .716 r
.72608 .15335 m .72965 .1354 L .73973 .13742 L p F P
0 g
s
.712 .658 .795 r
.65843 .11992 m .64604 .13742 L .63588 .1354 L p F P
0 g
s
.761 .631 .716 r
.63231 .15335 m .63588 .1354 L .64604 .13742 L p F P
0 g
s
.712 .657 .794 r
.56449 .02598 m .55234 .04373 L .5421 .04163 L p F P
0 g
s
.761 .63 .716 r
.53853 .05957 m .5421 .04163 L .55234 .04373 L p F P
0 g
s
.712 .657 .794 r
.47055 .02598 m .45864 .04373 L .44833 .04163 L p F P
0 g
s
.76 .63 .716 r
.44476 .05957 m .44833 .04163 L .45864 .04373 L p F P
0 g
s
.712 .657 .794 r
.37661 .02598 m .36495 .04373 L .35455 .04163 L p F P
0 g
s
.76 .629 .716 r
.35098 .05957 m .35455 .04163 L .36495 .04373 L p F P
0 g
s
.588 .444 .653 r
.27784 .19312 m .26557 .17328 L .27566 .17129 L p F P
0 g
s
.648 .538 .716 r
.27209 .15335 m .27566 .17129 L .26557 .17328 L p F P
0 g
s
.586 .442 .652 r
.1839 .19312 m .17188 .17328 L .18188 .17129 L p F P
0 g
s
.647 .538 .716 r
.17831 .15335 m .18188 .17129 L .17188 .17328 L p F P
0 g
s
.584 .44 .651 r
.08996 .19312 m .07818 .17328 L .0881 .17129 L p F P
0 g
s
.647 .538 .716 r
.08453 .15335 m .0881 .17129 L .07818 .17328 L p F P
0 g
s
.694 .649 .801 r
.91259 .04137 m .90306 .0279 L .9105 .01997 L p F P
0 g
s
.694 .649 .801 r
.9105 .01997 m .92248 .03679 L .91259 .04137 L p F P
0 g
s
.694 .649 .801 r
.81887 .04137 m .80912 .0279 L .81649 .01997 L p F P
0 g
s
.694 .649 .801 r
.81649 .01997 m .82869 .03679 L .81887 .04137 L p F P
0 g
s
.812 .62 .643 r
.72997 .17772 m .7184 .1928 L .71403 .18326 L p F P
0 g
s
.812 .62 .643 r
.71403 .18326 m .72229 .17065 L .72997 .17772 L p F P
0 g
s
.811 .62 .644 r
.63625 .17772 m .62446 .1928 L .62001 .18326 L p F P
0 g
s
.811 .62 .644 r
.62001 .18326 m .62849 .17065 L .63625 .17772 L p F P
0 g
s
.81 .619 .645 r
.54253 .084 m .53052 .09886 L .526 .08924 L p F P
0 g
s
.81 .619 .645 r
.526 .08924 m .5347 .07686 L .54253 .084 L p F P
0 g
s
.808 .619 .646 r
.44881 .084 m .43658 .09886 L .43199 .08924 L p F P
0 g
s
.808 .619 .646 r
.43199 .08924 m .44091 .07686 L .44881 .084 L p F P
0 g
s
.807 .618 .647 r
.35509 .084 m .34264 .09886 L .33798 .08924 L p F P
0 g
s
.807 .618 .647 r
.33798 .08924 m .34712 .07686 L .35509 .084 L p F P
0 g
s
.693 .651 .803 r
.25655 .13509 m .24547 .12184 L .25241 .11398 L p F P
0 g
s
.693 .651 .803 r
.25241 .11398 m .26595 .13058 L .25655 .13509 L p F P
0 g
s
.693 .651 .803 r
.16284 .13509 m .15153 .12184 L .1584 .11398 L p F P
0 g
s
.693 .651 .803 r
.1584 .11398 m .17216 .13058 L .16284 .13509 L p F P
0 g
s
.693 .651 .803 r
.06912 .13509 m .05759 .12184 L .06439 .11398 L p F P
0 g
s
.693 .651 .803 r
.06439 .11398 m .07837 .13058 L .06912 .13509 L p F P
0 g
s
.599 .456 .658 r
.93209 .07751 m .94363 .09204 L .93542 .09918 L p F P
0 g
s
0 .112 .663 r
.94363 .09204 m .93209 .07751 L .93329 .07743 L p F P
0 g
s
0 0 .409 r
.93209 .07751 m .92852 .05957 L .92971 .05943 L p F P
0 g
s
0 0 .409 r
.92971 .05943 m .93329 .07743 L .93209 .07751 L p F P
0 g
s
.598 .455 .658 r
.83831 .07751 m .84962 .09204 L .84148 .09918 L p F P
0 g
s
0 .074 .63 r
.84962 .09204 m .83831 .07751 L .83925 .07743 L p F P
0 g
s
0 0 .36 r
.83831 .07751 m .83474 .05957 L .83567 .05943 L p F P
0 g
s
0 0 .36 r
.83567 .05943 m .83925 .07743 L .83831 .07751 L p F P
0 g
s
.712 .658 .795 r
.72965 .1354 m .74296 .11538 L .75237 .11992 L p F P
0 g
s
0 0 0 r
.74296 .11538 m .72965 .1354 L .73029 .13548 L p F P
0 g
s
0 0 .026 r
.72965 .1354 m .72608 .15335 L .72671 .15347 L p F P
0 g
s
0 0 .026 r
.72671 .15347 m .73029 .13548 L .72965 .1354 L p F P
0 g
s
.712 .658 .795 r
.63588 .1354 m .64895 .11538 L .65843 .11992 L p F P
0 g
s
0 0 0 r
.64895 .11538 m .63588 .1354 L .63626 .13548 L p F P
0 g
s
0 0 0 r
.63588 .1354 m .63231 .15335 L .63268 .15347 L p F P
0 g
s
0 0 0 r
.63268 .15347 m .63626 .13548 L .63588 .1354 L p F P
0 g
s
.712 .657 .794 r
.5421 .04163 m .55493 .02137 L .56449 .02598 L p F P
0 g
s
.633 .825 .414 r
.55493 .02137 m .5421 .04163 L .54222 .04144 L p F P
0 g
s
0 0 0 r
.5421 .04163 m .53853 .05957 L .53864 .05943 L p F P
0 g
s
0 0 0 r
.53864 .05943 m .54222 .04144 L .5421 .04163 L p F P
0 g
s
.712 .657 .794 r
.44833 .04163 m .46092 .02137 L .47055 .02598 L p F P
0 g
s
.685 .865 .467 r
.46092 .02137 m .44833 .04163 L .44818 .04144 L p F P
0 g
s
.738 .715 .183 r
.44833 .04163 m .44476 .05957 L .4446 .05943 L p F P
0 g
s
.738 .715 .183 r
.4446 .05943 m .44818 .04144 L .44833 .04163 L p F P
0 g
s
.712 .657 .794 r
.35455 .04163 m .36691 .02137 L .37661 .02598 L p F P
0 g
s
.731 .899 .517 r
.36691 .02137 m .35455 .04163 L .35414 .04144 L p F P
0 g
s
.795 .761 .247 r
.35455 .04163 m .35098 .05957 L .35057 .05943 L p F P
0 g
s
.795 .761 .247 r
.35057 .05943 m .35414 .04144 L .35455 .04163 L p F P
0 g
s
.588 .444 .653 r
.27566 .17129 m .28554 .18605 L p .27664 .18109 L F P
0 g
s
.675 .219 0 r
.28554 .18605 m .27566 .17129 L .27503 .17146 L p F P
0 g
s
.675 .219 0 r
.2822 .18204 m .28554 .18605 L p .27608 .17291 L F P
0 g
s
.675 .219 0 r
.27503 .17146 m .2822 .18204 L p .27608 .17291 L F P
0 g
s
.588 .444 .653 r
.28554 .18605 m .27784 .19312 L p .27664 .18109 L F P
0 g
s
.575 .469 .696 r
.29452 .2032 m .27784 .19312 L .28554 .18605 L p F P
0 g
s
.668 .467 .603 r
.2822 .18204 m .2724 .18665 L p .28732 .18966 L F P
0 g
s
.55 0 0 r
.28554 .18605 m .2822 .18204 L p .29495 .1909 L F P
0 g
s
.55 0 0 r
.29495 .1909 m .29781 .19288 L .29345 .19045 L F
.29495 .1909 m .29345 .19045 L .28554 .18605 L F
.705 .622 .762 r
.40494 .20498 m .3108 .20498 L .31076 .2021 L p F P
0 g
s
.705 .622 .762 r
.31076 .2021 m .31064 .19453 L p .3144 .19495 L F P
0 g
s
.705 .622 .762 r
.3144 .19495 m .40494 .20498 L .31076 .2021 L F
.31064 .19453 m .40486 .19453 L .40494 .20498 L p F P
0 g
s
.708 .627 .764 r
.31213 .19468 m .31076 .2021 L p .30016 .19454 L F P
0 g
s
.708 .627 .764 r
.31027 .19453 m .31213 .19468 L p .30016 .19454 L F P
0 g
s
.061 0 0 r
.31462 .19453 m .31064 .19453 L .31063 .19453 L p F P
0 g
s
.55 0 0 r
.29891 .19365 m .28554 .18605 L p .29781 .19288 L F P
0 g
s
.575 .469 .696 r
.29891 .19365 m .29452 .2032 L p .28996 .19449 L F P
0 g
s
.575 .469 .696 r
.28554 .18605 m .29891 .19365 L p .28996 .19449 L F P
0 g
s
.55 0 0 r
.2822 .18204 m .2942 .19104 L .29891 .19365 L p F P
0 g
s
.24 0 0 r
.29891 .19365 m .2942 .19104 L p .30445 .19312 L F P
0 g
s
.24 0 0 r
.30445 .19312 m .31145 .19454 L .29891 .19365 L F
.31213 .19468 m .31027 .19453 L p .31145 .19454 L F P
0 g
s
.24 0 0 r
.31027 .19453 m .29891 .19365 L p .31145 .19454 L F P
0 g
s
.061 0 0 r
.31063 .19453 m .31063 .19454 L p .31462 .19453 L F P
0 g
s
.24 0 0 r
.3116 .19492 m .31213 .19468 L p .31145 .19454 L F P
0 g
s
.708 .627 .764 r
.29891 .19365 m .31027 .19453 L p .30016 .19454 L F P
0 g
s
.24 0 0 r
.31094 .19477 m .3116 .19492 L p .31094 .19477 L F P
0 g
s
.24 0 0 r
.31094 .19477 m .3116 .19492 L .31145 .19454 L F
.061 0 0 r
.31011 .19477 m .31038 .19477 L p .40486 .19453 L F P
0 g
s
.708 .627 .764 r
.29891 .19365 m .31076 .2021 L .30962 .20432 L F
.31023 .20493 m .29452 .2032 L .29891 .19365 L p F P
0 g
s
.713 .536 .648 r
.3116 .19492 m .31094 .19477 L p .31043 .19486 L F P
0 g
s
.708 .627 .764 r
.31076 .2021 m .31023 .20493 L p .30962 .20432 L F P
0 g
s
.713 .536 .648 r
.30999 .20247 m .3116 .19492 L p .31055 .19509 L F P
0 g
s
.705 .529 .648 r
.30994 .20542 m .31567 .20477 L .31052 .19551 L F
.31011 .19477 m .30999 .20247 L p .31052 .19551 L F P
0 g
s
.705 .529 .648 r
.30999 .20247 m .30994 .20542 L p .31052 .19551 L F P
0 g
s
.713 .536 .648 r
.28687 .19903 m .30937 .20536 L .30999 .20247 L p F P
0 g
s
.705 .529 .648 r
.31038 .19477 m .31011 .19477 L p .31567 .20477 L F P
0 g
s
.713 .536 .648 r
.28687 .19903 m .30999 .20247 L .31055 .19509 L F
.28687 .19903 m .31055 .19509 L .31043 .19486 L F
.31055 .19509 m .3116 .19492 L .31043 .19486 L F
.29076 .19479 m .28687 .19903 L p .31094 .19477 L F P
0 g
s
.705 .529 .648 r
.40459 .19477 m .31038 .19477 L p .31567 .20477 L F P
0 g
s
.061 0 0 r
.31038 .19477 m .40459 .19477 L .40469 .19469 L p F P
0 g
s
.061 0 0 r
.40469 .19469 m .40486 .19453 L p .31038 .19477 L F P
0 g
s
.061 0 0 r
.31063 .19454 m .31011 .19477 L p .31105 .19472 L F P
0 g
s
.061 0 0 r
.31011 .19477 m .31094 .19477 L .31105 .19472 L F
.713 .536 .648 r
.31094 .19477 m .2942 .19104 L .29076 .19479 L p F P
0 g
s
.24 0 0 r
.29932 .19218 m .31094 .19477 L p .29821 .19186 L F P
0 g
s
.24 0 0 r
.31094 .19477 m .31094 .19477 L .29821 .19186 L F
.061 0 0 r
.31105 .19472 m .31416 .19456 L .31145 .19454 L F
.31105 .19472 m .31145 .19454 L .31063 .19454 L F
.31416 .19456 m .31462 .19453 L .31063 .19454 L F
.24 0 0 r
.29821 .19186 m .31094 .19477 L .31145 .19454 L F
.061 0 0 r
.40486 .19453 m .31462 .19453 L p .31105 .19472 L F P
0 g
s
.061 0 0 r
.31094 .19477 m .40486 .19453 L .31105 .19472 L F
.24 0 0 r
.2942 .19104 m .29932 .19218 L p .29821 .19186 L F P
0 g
s
.668 .467 .603 r
.2942 .19104 m .2822 .18204 L p .28732 .18966 L F P
0 g
s
.837 .574 .028 r
.27566 .17129 m .27209 .15335 L .27145 .15347 L p F P
0 g
s
.837 .574 .028 r
.27145 .15347 m .27503 .17146 L .27566 .17129 L p F P
0 g
s
.586 .442 .652 r
.18188 .17129 m .19153 .18605 L p .18279 .18109 L F P
0 g
s
.719 .259 0 r
.19153 .18605 m .18188 .17129 L .18099 .17146 L p F P
0 g
s
.719 .259 0 r
.18796 .18204 m .19153 .18605 L p .18204 .17291 L F P
0 g
s
.719 .259 0 r
.18099 .17146 m .18796 .18204 L p .18204 .17291 L F P
0 g
s
.586 .442 .652 r
.19153 .18605 m .1839 .19312 L p .18279 .18109 L F P
0 g
s
.572 .467 .695 r
.20035 .2032 m .1839 .19312 L .19153 .18605 L p F P
0 g
s
.668 .466 .603 r
.18796 .18204 m .17808 .18665 L p .1929 .18966 L F P
0 g
s
.58 .017 0 r
.19153 .18605 m .18796 .18204 L p .20072 .1909 L F P
0 g
s
.58 .017 0 r
.20072 .1909 m .20357 .19288 L .1993 .19045 L F
.20072 .1909 m .1993 .19045 L .19153 .18605 L F
.716 .631 .761 r
.21659 .2021 m .21642 .19453 L p .21731 .20486 L F P
0 g
s
.58 .017 0 r
.20468 .19365 m .19153 .18605 L p .20357 .19288 L F P
0 g
s
.572 .467 .695 r
.20468 .19365 m .20035 .2032 L p .19587 .19449 L F P
0 g
s
.572 .467 .695 r
.19153 .18605 m .20468 .19365 L p .19587 .19449 L F P
0 g
s
.716 .631 .761 r
.21642 .19453 m .23296 .19109 L .23409 .19616 L p F P
0 g
s
.716 .631 .761 r
.23409 .19616 m .23524 .20134 L p .2166 .1946 L F P
0 g
s
.716 .631 .761 r
.21642 .19453 m .23409 .19616 L .2166 .1946 L F
.254 0 0 r
.2179 .19468 m .21631 .19455 L p .21671 .19447 L F P
0 g
s
.716 .631 .761 r
.23524 .20134 m .21731 .20486 L p .21642 .19458 L F P
0 g
s
.716 .631 .761 r
.2166 .1946 m .23524 .20134 L .21642 .19458 L F
.21642 .19453 m .2166 .1946 L .21642 .19458 L F
.708 .627 .764 r
.2179 .19468 m .21659 .2021 L p .21472 .19489 L F P
0 g
s
.708 .627 .764 r
.2146 .19442 m .21631 .19455 L p .21472 .19489 L F P
0 g
s
.708 .627 .764 r
.21631 .19455 m .2179 .19468 L p .21472 .19489 L F P
0 g
s
.254 0 0 r
.21712 .19492 m .2179 .19468 L p .2168 .19446 L F P
0 g
s
.254 0 0 r
.21607 .19468 m .21712 .19492 L .2168 .19446 L F
0 0 0 r
.22218 .19338 m .23296 .19109 L .2164 .19454 L F
.254 0 0 r
.21013 .19312 m .2168 .19446 L .20925 .19321 L F
.2168 .19446 m .2179 .19468 L .21671 .19447 L F
.2168 .19446 m .21671 .19447 L .20925 .19321 L F
.653 .622 .807 r
.25431 .18865 m .23524 .20134 L .23296 .19109 L p F P
0 g
s
.653 .622 .807 r
.23296 .19109 m .24696 .1808 L .25431 .18865 L p F P
0 g
s
.577 .47 .696 r
.23221 .19132 m .23404 .20176 L p .23937 .18988 L F P
0 g
s
0 0 0 r
.23221 .19132 m .2329 .19111 L p .22599 .19258 L F P
0 g
s
0 0 0 r
.2329 .19111 m .23296 .19109 L p .23164 .19137 L F P
0 g
s
0 0 0 r
.21607 .19468 m .2329 .19111 L .23164 .19137 L F
.21562 .19477 m .21607 .19468 L .21607 .19468 L F
.21607 .19468 m .2329 .19111 L .21607 .19468 L F
.21684 .19444 m .21642 .19453 L p .21683 .19445 L F P
0 g
s
.254 0 0 r
.20925 .19321 m .21671 .19447 L .21468 .19443 L F
0 0 0 r
.21642 .19453 m .2164 .19454 L p .21683 .19445 L F P
0 g
s
.254 0 0 r
.21631 .19455 m .21468 .19443 L p .21671 .19447 L F P
0 g
s
.58 .017 0 r
.18796 .18204 m .19973 .19104 L .20468 .19365 L p F P
0 g
s
.254 0 0 r
.19973 .19104 m .21013 .19312 L .20925 .19321 L F
.20485 .19218 m .21605 .19468 L p .2038 .19186 L F P
0 g
s
.254 0 0 r
.21605 .19468 m .21712 .19492 L p .21607 .19468 L F P
0 g
s
.254 0 0 r
.21605 .19468 m .21607 .19468 L .2038 .19186 L F
0 0 0 r
.23296 .19109 m .21684 .19444 L p .21683 .19445 L F P
0 g
s
.517 .886 .678 r
.24696 .1808 m .23296 .19109 L .23221 .19132 L p F P
0 g
s
.517 .886 .678 r
.2421 .1838 m .24696 .1808 L p .23368 .19028 L F P
0 g
s
.517 .886 .678 r
.23221 .19132 m .2421 .1838 L p .23368 .19028 L F P
0 g
s
.419 .381 .711 r
.26452 .17357 m .26093 .15556 L .25511 .15672 L p F P
0 g
s
.419 .381 .711 r
.25511 .15672 m .25868 .17469 L .26452 .17357 L p F P
0 g
s
.372 .37 .727 r
.2724 .18665 m .26452 .17357 L .25868 .17469 L p F P
0 g
s
.372 .37 .727 r
.25868 .17469 m .26972 .19351 L .2724 .18665 L p F P
0 g
s
.696 .666 .816 r
.26366 .17155 m .25431 .18865 L .24696 .1808 L p F P
0 g
s
.696 .666 .816 r
.24696 .1808 m .2538 .16702 L .26366 .17155 L p F P
0 g
s
.667 .872 .492 r
.2538 .16702 m .24696 .1808 L .2421 .1838 L p F P
0 g
s
.598 .516 .732 r
.2421 .1838 m .24648 .19354 L p .24913 .17839 L F P
0 g
s
.667 .872 .492 r
.2421 .1838 m .25036 .1714 L .2538 .16702 L p F P
0 g
s
.598 .516 .732 r
.25036 .1714 m .2421 .1838 L p .24913 .17839 L F P
0 g
s
.577 .47 .696 r
.2421 .1838 m .23221 .19132 L p .23937 .18988 L F P
0 g
s
0 0 0 r
.22237 .19334 m .23221 .19132 L .22599 .19258 L F
.708 .627 .764 r
.21609 .20493 m .20035 .2032 L .20468 .19365 L p F P
0 g
s
.713 .536 .649 r
.19973 .19104 m .19233 .19903 L p .20647 .19668 L F P
0 g
s
.708 .627 .764 r
.20468 .19365 m .2146 .19442 L p .21609 .20493 L F P
0 g
s
.708 .627 .764 r
.21659 .2021 m .21609 .20493 L p .2146 .19442 L F P
0 g
s
.716 .631 .761 r
.21731 .20486 m .21666 .20498 L .21659 .2021 L p F P
0 g
s
.713 .536 .649 r
.19233 .19903 m .21481 .20536 L .21545 .20247 L p F P
0 g
s
.713 .536 .649 r
.21545 .20247 m .21712 .19492 L p .2158 .19514 L F P
0 g
s
.694 .521 .649 r
.21562 .19477 m .21545 .20247 L p .21578 .19555 L F P
0 g
s
.694 .521 .649 r
.21573 .19475 m .21562 .19477 L p .21738 .20374 L F P
0 g
s
.713 .536 .649 r
.19233 .19903 m .21545 .20247 L .2158 .19514 L F
.694 .521 .649 r
.21538 .20542 m .21738 .20374 L .21578 .19555 L F
.21545 .20247 m .21538 .20542 L p .21578 .19555 L F P
0 g
s
.713 .536 .649 r
.21712 .19492 m .21605 .19468 L p .21573 .19475 L F P
0 g
s
.713 .536 .649 r
.2158 .19514 m .21712 .19492 L .21573 .19475 L F
.694 .521 .649 r
.23221 .19132 m .21573 .19475 L p .21738 .20374 L F P
0 g
s
.713 .536 .649 r
.20647 .19668 m .2158 .19514 L .21573 .19475 L F
.254 0 0 r
.21468 .19443 m .2146 .19442 L p .21459 .19442 L F P
0 g
s
.254 0 0 r
.20925 .19321 m .21468 .19443 L .21459 .19442 L F
.2146 .19442 m .20468 .19365 L .20444 .19352 L p F P
0 g
s
.254 0 0 r
.20444 .19352 m .19973 .19104 L p .2146 .19442 L F P
0 g
s
.713 .536 .649 r
.21605 .19468 m .19973 .19104 L p .20647 .19668 L F P
0 g
s
0 0 0 r
.21562 .19477 m .21573 .19475 L p .22237 .19334 L F P
0 g
s
0 0 0 r
.21573 .19475 m .22579 .19266 L p .22489 .19284 L F P
0 g
s
0 0 0 r
.21573 .19475 m .22489 .19284 L .22237 .19334 L F
.22579 .19266 m .23221 .19132 L p .22237 .19334 L F P
0 g
s
.254 0 0 r
.2038 .19186 m .21607 .19468 L .2168 .19446 L F
0 0 0 r
.2164 .19454 m .21562 .19477 L p .22218 .19338 L F P
0 g
s
.254 0 0 r
.19973 .19104 m .20485 .19218 L p .2038 .19186 L F P
0 g
s
.668 .466 .603 r
.19973 .19104 m .18796 .18204 L p .1929 .18966 L F P
0 g
s
.88 .611 .09 r
.18188 .17129 m .17831 .15335 L .17741 .15347 L p F P
0 g
s
.88 .611 .09 r
.17741 .15347 m .18099 .17146 L .18188 .17129 L p F P
0 g
s
.584 .44 .651 r
.0881 .17129 m .09752 .18605 L p .08894 .18109 L F P
0 g
s
.757 .297 0 r
.09752 .18605 m .0881 .17129 L .08696 .17146 L p F P
0 g
s
.757 .297 0 r
.09371 .18204 m .09752 .18605 L p .08801 .17291 L F P
0 g
s
.757 .297 0 r
.08696 .17146 m .09371 .18204 L p .08801 .17291 L F P
0 g
s
.584 .44 .651 r
.09752 .18605 m .08996 .19312 L p .08894 .18109 L F P
0 g
s
.57 .465 .695 r
.10619 .2032 m .08996 .19312 L .09752 .18605 L p F P
0 g
s
.668 .466 .602 r
.09371 .18204 m .08376 .18665 L p .09847 .18966 L F P
0 g
s
.607 .047 0 r
.09752 .18605 m .09371 .18204 L p .10648 .1909 L F P
0 g
s
.607 .047 0 r
.10648 .1909 m .10934 .19288 L .10514 .19045 L F
.10648 .1909 m .10514 .19045 L .09752 .18605 L F
.716 .631 .761 r
.12243 .2021 m .1222 .19453 L p .12317 .20486 L F P
0 g
s
.607 .047 0 r
.11044 .19365 m .09752 .18605 L p .10934 .19288 L F P
0 g
s
.57 .465 .695 r
.11044 .19365 m .10619 .2032 L p .10179 .19449 L F P
0 g
s
.57 .465 .695 r
.09752 .18605 m .11044 .19365 L p .10179 .19449 L F P
0 g
s
.716 .631 .761 r
.1222 .19453 m .13874 .19109 L .13991 .19616 L p F P
0 g
s
.716 .631 .761 r
.13991 .19616 m .1411 .20134 L p .12238 .1946 L F P
0 g
s
.716 .631 .761 r
.1222 .19453 m .13991 .19616 L .12238 .1946 L F
.267 0 0 r
.12368 .19468 m .12209 .19455 L p .12247 .19447 L F P
0 g
s
0 0 0 r
.12262 .19444 m .1222 .19453 L p .12261 .19445 L F P
0 g
s
0 0 0 r
.12779 .19338 m .13874 .19109 L .12218 .19454 L F
.267 0 0 r
.1158 .19312 m .12256 .19446 L .11494 .19321 L F
.12256 .19446 m .12368 .19468 L .12247 .19447 L F
.12256 .19446 m .12247 .19447 L .11494 .19321 L F
.716 .631 .761 r
.1411 .20134 m .12317 .20486 L p .1222 .19458 L F P
0 g
s
.716 .631 .761 r
.12238 .1946 m .1411 .20134 L .1222 .19458 L F
.652 .623 .807 r
.15993 .18865 m .1411 .20134 L .13874 .19109 L p F P
0 g
s
.652 .623 .807 r
.13874 .19109 m .1525 .1808 L .15993 .18865 L p F P
0 g
s
.575 .468 .695 r
.13773 .19132 m .13948 .20176 L p .14472 .18988 L F P
0 g
s
0 0 0 r
.13773 .19132 m .13874 .19109 L p .13133 .19264 L F P
0 g
s
0 0 0 r
.13874 .19109 m .12262 .19444 L p .12261 .19445 L F P
0 g
s
.55 .908 .709 r
.1525 .1808 m .13874 .19109 L .13773 .19132 L p F P
0 g
s
.55 .908 .709 r
.14741 .1838 m .1525 .1808 L p .13919 .19028 L F P
0 g
s
.55 .908 .709 r
.13773 .19132 m .14741 .1838 L p .13919 .19028 L F P
0 g
s
.408 .374 .709 r
.1612 .15672 m .16478 .17469 L .1704 .17357 L p F P
0 g
s
.358 .36 .725 r
.17808 .18665 m .1704 .17357 L .16478 .17469 L p F P
0 g
s
.358 .36 .725 r
.16478 .17469 m .17559 .19351 L .17808 .18665 L p F P
0 g
s
.696 .666 .816 r
.16904 .17155 m .15993 .18865 L .1525 .1808 L p F P
0 g
s
.696 .666 .816 r
.1525 .1808 m .15912 .16702 L .16904 .17155 L p F P
0 g
s
.712 .905 .54 r
.15912 .16702 m .1525 .1808 L .14741 .1838 L p F P
0 g
s
.597 .515 .733 r
.14741 .1838 m .15172 .19354 L p .15426 .17839 L F P
0 g
s
.712 .905 .54 r
.14741 .1838 m .15544 .1714 L .15912 .16702 L p F P
0 g
s
.597 .515 .733 r
.15544 .1714 m .14741 .1838 L p .15426 .17839 L F P
0 g
s
.575 .468 .695 r
.14741 .1838 m .13773 .19132 L p .14472 .18988 L F P
0 g
s
0 0 0 r
.12779 .19338 m .13773 .19132 L .13133 .19264 L F
.716 .631 .761 r
.1222 .19453 m .12238 .1946 L .1222 .19458 L F
.708 .627 .764 r
.12037 .19442 m .12368 .19468 L .12243 .2021 L p F P
0 g
s
.267 0 0 r
.11494 .19321 m .12247 .19447 L .12045 .19443 L F
.607 .047 0 r
.09371 .18204 m .10526 .19104 L .11044 .19365 L p F P
0 g
s
.267 0 0 r
.10526 .19104 m .1158 .19312 L .11494 .19321 L F
.11037 .19218 m .12157 .19468 L p .10939 .19186 L F P
0 g
s
.267 0 0 r
.12157 .19468 m .12263 .19492 L p .12159 .19468 L F P
0 g
s
.267 0 0 r
.12157 .19468 m .12159 .19468 L .10939 .19186 L F
0 0 0 r
.12159 .19468 m .1313 .19266 L .12779 .19338 L F
.708 .627 .764 r
.12195 .20493 m .10619 .2032 L .11044 .19365 L p F P
0 g
s
.713 .536 .649 r
.10526 .19104 m .09778 .19903 L p .11196 .19668 L F P
0 g
s
.708 .627 .764 r
.11044 .19365 m .12037 .19442 L p .12195 .20493 L F P
0 g
s
.708 .627 .764 r
.12243 .2021 m .12195 .20493 L p .12037 .19442 L F P
0 g
s
.716 .631 .761 r
.12317 .20486 m .12252 .20498 L .12243 .2021 L p F P
0 g
s
.713 .536 .649 r
.09778 .19903 m .12024 .20536 L .1209 .20247 L p F P
0 g
s
.713 .536 .649 r
.1209 .20247 m .12263 .19492 L p .12131 .19514 L F P
0 g
s
.694 .521 .649 r
.12114 .19477 m .1209 .20247 L p .12129 .19555 L F P
0 g
s
.694 .521 .649 r
.12124 .19475 m .12114 .19477 L p .12282 .20374 L F P
0 g
s
.713 .536 .649 r
.09778 .19903 m .1209 .20247 L .12131 .19514 L F
.694 .521 .649 r
.12081 .20542 m .12282 .20374 L .12129 .19555 L F
.1209 .20247 m .12081 .20542 L p .12129 .19555 L F P
0 g
s
.713 .536 .649 r
.12263 .19492 m .12157 .19468 L p .12124 .19475 L F P
0 g
s
.713 .536 .649 r
.12131 .19514 m .12263 .19492 L .12124 .19475 L F
.267 0 0 r
.12263 .19492 m .12368 .19468 L p .12256 .19446 L F P
0 g
s
.267 0 0 r
.12159 .19468 m .12263 .19492 L .12256 .19446 L F
.694 .521 .649 r
.13773 .19132 m .12124 .19475 L p .12282 .20374 L F P
0 g
s
.713 .536 .649 r
.11196 .19668 m .12131 .19514 L .12124 .19475 L F
0 0 0 r
.12114 .19477 m .12124 .19475 L p .12159 .19468 L F P
0 g
s
0 0 0 r
.12124 .19475 m .12157 .19468 L .12159 .19468 L F
.267 0 0 r
.12045 .19443 m .12037 .19442 L p .12036 .19442 L F P
0 g
s
.267 0 0 r
.11494 .19321 m .12045 .19443 L .12036 .19442 L F
.12037 .19442 m .11044 .19365 L .11019 .19352 L p F P
0 g
s
.267 0 0 r
.11019 .19352 m .10526 .19104 L p .12037 .19442 L F P
0 g
s
.713 .536 .649 r
.12157 .19468 m .10526 .19104 L p .11196 .19668 L F P
0 g
s
0 0 0 r
.12124 .19475 m .12157 .19468 L p .12157 .19468 L F P
0 g
s
0 0 0 r
.12157 .19468 m .1313 .19266 L p .12159 .19468 L F P
0 g
s
0 0 0 r
.1313 .19266 m .13773 .19132 L p .12779 .19338 L F P
0 g
s
0 0 0 r
.1222 .19453 m .12218 .19454 L p .12261 .19445 L F P
0 g
s
.267 0 0 r
.12209 .19455 m .12045 .19443 L p .12247 .19447 L F P
0 g
s
.267 0 0 r
.10939 .19186 m .12159 .19468 L .12256 .19446 L F
0 0 0 r
.12218 .19454 m .12114 .19477 L p .12779 .19338 L F P
0 g
s
.267 0 0 r
.10526 .19104 m .11037 .19218 L p .10939 .19186 L F P
0 g
s
.668 .466 .602 r
.10526 .19104 m .09371 .18204 L p .09847 .18966 L F P
0 g
s
.914 .642 .148 r
.0881 .17129 m .08453 .15335 L .08338 .15347 L p F P
0 g
s
.914 .642 .148 r
.08338 .15347 m .08696 .17146 L .0881 .17129 L p F P
0 g
s
0 0 .396 r
.92852 .05957 m .92248 .03679 L .92633 .0408 L p F P
0 g
s
0 0 .396 r
.92633 .0408 m .92971 .05943 L .92852 .05957 L p F P
0 g
s
0 0 .346 r
.83474 .05957 m .82869 .03679 L .83231 .0408 L p F P
0 g
s
0 0 .346 r
.83231 .0408 m .83567 .05943 L .83474 .05957 L p F P
0 g
s
0 0 .105 r
.72608 .15335 m .72229 .17065 L .72564 .16661 L p F P
0 g
s
0 0 .105 r
.72564 .16661 m .72671 .15347 L .72608 .15335 L p F P
0 g
s
0 0 .041 r
.63231 .15335 m .62849 .17065 L .63161 .16661 L p F P
0 g
s
0 0 .041 r
.63161 .16661 m .63268 .15347 L .63231 .15335 L p F P
0 g
s
0 0 0 r
.53853 .05957 m .5347 .07686 L .53759 .07259 L p F P
0 g
s
0 0 0 r
.53759 .07259 m .53864 .05943 L .53853 .05957 L p F P
0 g
s
.746 .654 .098 r
.44476 .05957 m .44091 .07686 L .44357 .07259 L p F P
0 g
s
.746 .654 .098 r
.44357 .07259 m .4446 .05943 L .44476 .05957 L p F P
0 g
s
.805 .702 .163 r
.35098 .05957 m .34712 .07686 L .34955 .07259 L p F P
0 g
s
.805 .702 .163 r
.34955 .07259 m .35057 .05943 L .35098 .05957 L p F P
0 g
s
.84 .587 .041 r
.27209 .15335 m .26595 .13058 L .26817 .13483 L p F P
0 g
s
.84 .587 .041 r
.26817 .13483 m .27145 .15347 L .27209 .15335 L p F P
0 g
s
.882 .624 .103 r
.17831 .15335 m .17216 .13058 L .17415 .13483 L p F P
0 g
s
.882 .624 .103 r
.17415 .13483 m .17741 .15347 L .17831 .15335 L p F P
0 g
s
.917 .655 .161 r
.08453 .15335 m .07837 .13058 L .08013 .13483 L p F P
0 g
s
.917 .655 .161 r
.08013 .13483 m .08338 .15347 L .08453 .15335 L p F P
0 g
s
0 .071 .632 r
.92248 .03679 m .9105 .01997 L .91572 .02255 L p F P
0 g
s
0 .071 .632 r
.91572 .02255 m .92633 .0408 L .92248 .03679 L p F P
0 g
s
0 .029 .596 r
.82869 .03679 m .81649 .01997 L .82148 .02255 L p F P
0 g
s
0 .029 .596 r
.82148 .02255 m .83231 .0408 L .82869 .03679 L p F P
0 g
s
0 0 0 r
.72229 .17065 m .71403 .18326 L .71876 .18063 L p F P
0 g
s
0 0 0 r
.71876 .18063 m .72564 .16661 L .72229 .17065 L p F P
0 g
s
0 0 0 r
.62849 .17065 m .62001 .18326 L .62451 .18063 L p F P
0 g
s
0 0 0 r
.62451 .18063 m .63161 .16661 L .62849 .17065 L p F P
0 g
s
0 0 0 r
.5347 .07686 m .526 .08924 L .53027 .08639 L p F P
0 g
s
0 0 0 r
.53027 .08639 m .53759 .07259 L .5347 .07686 L p F P
0 g
s
0 0 0 r
.44091 .07686 m .43199 .08924 L .43602 .08639 L p F P
0 g
s
0 0 0 r
.43602 .08639 m .44357 .07259 L .44091 .07686 L p F P
0 g
s
0 0 0 r
.34712 .07686 m .33798 .08924 L .34177 .08639 L p F P
0 g
s
0 0 0 r
.34177 .08639 m .34955 .07259 L .34712 .07686 L p F P
0 g
s
.71 .271 0 r
.26595 .13058 m .25241 .11398 L .256 .1168 L p F P
0 g
s
.71 .271 0 r
.256 .1168 m .26817 .13483 L .26595 .13058 L p F P
0 g
s
.753 .311 0 r
.17216 .13058 m .1584 .11398 L .16175 .1168 L p F P
0 g
s
.753 .311 0 r
.16175 .1168 m .17415 .13483 L .17216 .13058 L p F P
0 g
s
.79 .348 0 r
.07837 .13058 m .06439 .11398 L .06751 .1168 L p F P
0 g
s
.79 .348 0 r
.06751 .1168 m .08013 .13483 L .07837 .13058 L p F P
0 g
s
.477 .414 .707 r
.91976 .06144 m .91878 .04789 L .91028 .04823 L p F P
0 g
s
.477 .414 .707 r
.91028 .04823 m .91245 .06281 L .91976 .06144 L p F P
0 g
s
.516 .582 .86 r
.90365 .03542 m .91028 .04823 L .91878 .04789 L p F P
0 g
s
.47 .408 .706 r
.82564 .06144 m .82468 .04789 L .81637 .04823 L p F P
0 g
s
.47 .408 .706 r
.81637 .04823 m .81855 .06281 L .82564 .06144 L p F P
0 g
s
.512 .582 .862 r
.80952 .03542 m .81637 .04823 L .82468 .04789 L p F P
0 g
s
.904 .784 .718 r
.73723 .15556 m .73542 .17121 L .73808 .17807 L p F P
0 g
s
.904 .784 .718 r
.73808 .17807 m .74306 .15672 L .73723 .15556 L p F P
0 g
s
.909 .815 .742 r
.72585 .1961 m .73808 .17807 L .73542 .17121 L p F P
0 g
s
.899 .779 .719 r
.64311 .15556 m .64133 .17121 L .64418 .17807 L p F P
0 g
s
.899 .779 .719 r
.64418 .17807 m .64915 .15672 L .64311 .15556 L p F P
0 g
s
.905 .809 .743 r
.63172 .1961 m .64418 .17807 L .64133 .17121 L p F P
0 g
s
.894 .773 .721 r
.54899 .06144 m .54723 .07711 L .55027 .08417 L p F P
0 g
s
.894 .773 .721 r
.55027 .08417 m .55525 .06281 L .54899 .06144 L p F P
0 g
s
.899 .802 .743 r
.53759 .10198 m .55027 .08417 L .54723 .07711 L p F P
0 g
s
.89 .769 .721 r
.45488 .06144 m .45314 .07711 L .45636 .08417 L p F P
0 g
s
.89 .769 .721 r
.45636 .08417 m .46134 .06281 L .45488 .06144 L p F P
0 g
s
.895 .796 .744 r
.44346 .10198 m .45636 .08417 L .45314 .07711 L p F P
0 g
s
.886 .764 .722 r
.36076 .06144 m .35904 .07711 L .36246 .08417 L p F P
0 g
s
.886 .764 .722 r
.36246 .08417 m .36743 .06281 L .36076 .06144 L p F P
0 g
s
.891 .791 .744 r
.34933 .10198 m .36246 .08417 L .35904 .07711 L p F P
0 g
s
.416 .37 .699 r
.26093 .15556 m .26011 .14199 L .25294 .14214 L p F P
0 g
s
.416 .37 .699 r
.25294 .14214 m .25511 .15672 L .26093 .15556 L p F P
0 g
s
.472 .575 .877 r
.24474 .12955 m .25294 .14214 L .26011 .14199 L p F P
0 g
s
.405 .362 .697 r
.16682 .15556 m .16602 .14199 L .15903 .14214 L p F P
0 g
s
.405 .362 .697 r
.15903 .14214 m .1612 .15672 L .16682 .15556 L p F P
0 g
s
.465 .574 .88 r
.15062 .12955 m .15903 .14214 L .16602 .14199 L p F P
0 g
s
.394 .353 .695 r
.0727 .15556 m .07192 .14199 L .06512 .14214 L p F P
0 g
s
.394 .353 .695 r
.06512 .14214 m .06729 .15672 L .0727 .15556 L p F P
0 g
s
.458 .572 .882 r
.05649 .12955 m .06512 .14214 L .07192 .14199 L p F P
0 g
s
.478 .423 .717 r
.92334 .07945 m .91976 .06144 L .91245 .06281 L p F P
0 g
s
.478 .423 .717 r
.91245 .06281 m .91603 .08078 L .92334 .07945 L p F P
0 g
s
.472 .418 .716 r
.82923 .07945 m .82564 .06144 L .81855 .06281 L p F P
0 g
s
.472 .418 .716 r
.81855 .06281 m .82212 .08078 L .82923 .07945 L p F P
0 g
s
.905 .779 .711 r
.74081 .13755 m .73723 .15556 L .74306 .15672 L p F P
0 g
s
.905 .779 .711 r
.74306 .15672 m .74663 .13875 L .74081 .13755 L p F P
0 g
s
.901 .774 .712 r
.64669 .13755 m .64311 .15556 L .64915 .15672 L p F P
0 g
s
.901 .774 .712 r
.64915 .15672 m .65273 .13875 L .64669 .13755 L p F P
0 g
s
.896 .768 .713 r
.55258 .04343 m .54899 .06144 L .55525 .06281 L p F P
0 g
s
.896 .768 .713 r
.55525 .06281 m .55882 .04485 L .55258 .04343 L p F P
0 g
s
.892 .764 .714 r
.45846 .04343 m .45488 .06144 L .46134 .06281 L p F P
0 g
s
.892 .764 .714 r
.46134 .06281 m .46492 .04485 L .45846 .04343 L p F P
0 g
s
.888 .76 .715 r
.36434 .04343 m .36076 .06144 L .36743 .06281 L p F P
0 g
s
.888 .76 .715 r
.36743 .06281 m .37101 .04485 L .36434 .04343 L p F P
0 g
s
.408 .374 .709 r
.1704 .17357 m .16682 .15556 L .1612 .15672 L p F P
0 g
s
.397 .366 .707 r
.07628 .17357 m .0727 .15556 L .06729 .15672 L p F P
0 g
s
.397 .366 .707 r
.06729 .15672 m .07087 .17469 L .07628 .17357 L p F P
0 g
s
.45 .42 .733 r
.93263 .09234 m .92334 .07945 L .91603 .08078 L p F P
0 g
s
.45 .42 .733 r
.91603 .08078 m .92862 .09938 L .93263 .09234 L p F P
0 g
s
.441 .414 .733 r
.83831 .09234 m .82923 .07945 L .82212 .08078 L p F P
0 g
s
.441 .414 .733 r
.82212 .08078 m .83449 .09938 L .83831 .09234 L p F P
0 g
s
.805 .87 .896 r
.74884 .12677 m .74081 .13755 L .74663 .13875 L p F P
0 g
s
.805 .87 .896 r
.74663 .13875 m .75602 .12695 L .74884 .12677 L p F P
0 g
s
.804 .865 .894 r
.65452 .12677 m .64669 .13755 L .65273 .13875 L p F P
0 g
s
.804 .865 .894 r
.65273 .13875 m .66189 .12695 L .65452 .12677 L p F P
0 g
s
.803 .854 .888 r
.5602 .03245 m .55258 .04343 L .55882 .04485 L p F P
0 g
s
.803 .854 .888 r
.55882 .04485 m .56776 .03282 L .5602 .03245 L p F P
0 g
s
.802 .85 .886 r
.46588 .03245 m .45846 .04343 L .46492 .04485 L p F P
0 g
s
.802 .85 .886 r
.46492 .04485 m .47363 .03282 L .46588 .03245 L p F P
0 g
s
.802 .846 .884 r
.37157 .03245 m .36434 .04343 L .37101 .04485 L p F P
0 g
s
.802 .846 .884 r
.37101 .04485 m .3795 .03282 L .37157 .03245 L p F P
0 g
s
.343 .351 .723 r
.08376 .18665 m .07628 .17357 L .07087 .17469 L p F P
0 g
s
.343 .351 .723 r
.07087 .17469 m .08146 .19351 L .08376 .18665 L p F P
0 g
s
.734 .681 .799 r
.90306 .0279 m .89309 .02023 L .89548 .00982 L p F P
0 g
s
.734 .681 .799 r
.89548 .00982 m .9105 .01997 L .90306 .0279 L p F P
0 g
s
.734 .68 .798 r
.80912 .0279 m .79895 .02023 L .80126 .00982 L p F P
0 g
s
.734 .68 .798 r
.80126 .00982 m .81649 .01997 L .80912 .0279 L p F P
0 g
s
.836 .674 .681 r
.7184 .1928 m .70594 .20134 L .70406 .19109 L p F P
0 g
s
.836 .674 .681 r
.70406 .19109 m .71403 .18326 L .7184 .1928 L p F P
0 g
s
.834 .672 .682 r
.62446 .1928 m .6118 .20134 L .60984 .19109 L p F P
0 g
s
.834 .672 .682 r
.60984 .19109 m .62001 .18326 L .62446 .1928 L p F P
0 g
s
.832 .671 .683 r
.53052 .09886 m .51766 .1072 L .51562 .09687 L p F P
0 g
s
.832 .671 .683 r
.51562 .09687 m .526 .08924 L .53052 .09886 L p F P
0 g
s
.83 .669 .683 r
.43658 .09886 m .42352 .1072 L .4214 .09687 L p F P
0 g
s
.83 .669 .683 r
.4214 .09687 m .43199 .08924 L .43658 .09886 L p F P
0 g
s
.828 .668 .684 r
.34264 .09886 m .32938 .1072 L .32718 .09687 L p F P
0 g
s
.828 .668 .684 r
.32718 .09687 m .33798 .08924 L .34264 .09886 L p F P
0 g
s
.734 .679 .797 r
.24547 .12184 m .23411 .11437 L .23593 .10404 L p F P
0 g
s
.734 .679 .797 r
.23593 .10404 m .25241 .11398 L .24547 .12184 L p F P
0 g
s
.734 .678 .797 r
.15153 .12184 m .13997 .11437 L .14171 .10404 L p F P
0 g
s
.734 .678 .797 r
.14171 .10404 m .1584 .11398 L .15153 .12184 L p F P
0 g
s
.734 .678 .796 r
.05759 .12184 m .04583 .11437 L .04749 .10404 L p F P
0 g
s
.734 .678 .796 r
.04749 .10404 m .06439 .11398 L .05759 .12184 L p F P
0 g
s
.589 .48 .698 r
.95366 .10904 m .93542 .09918 L .94363 .09204 L p F P
0 g
s
.587 .479 .698 r
.8595 .10904 m .84148 .09918 L .84962 .09204 L p F P
0 g
s
.67 .624 .794 r
.76857 .11167 m .75237 .11992 L .74296 .11538 L p F P
0 g
s
.67 .624 .794 r
.6744 .11167 m .65843 .11992 L .64895 .11538 L p F P
0 g
s
.671 .624 .794 r
.58024 .0175 m .56449 .02598 L .55493 .02137 L p F P
0 g
s
.67 .624 .794 r
.48608 .0175 m .47055 .02598 L .46092 .02137 L p F P
0 g
s
.67 .624 .794 r
.39191 .0175 m .37661 .02598 L .36691 .02137 L p F P
0 g
s
.589 .48 .698 r
.94363 .09204 m .95856 .09941 L .95366 .10904 L p F P
0 g
s
0 .271 .725 r
.95856 .09941 m .94363 .09204 L .94193 .08779 L p F P
0 g
s
0 .112 .663 r
.94193 .08779 m .94363 .09204 L p .93432 .07888 L F P
0 g
s
.669 .469 .605 r
.94193 .08779 m .93263 .09234 L p .94827 .09524 L F P
0 g
s
0 .271 .725 r
.94193 .08779 m .95549 .09657 L .95856 .09941 L p F P
0 g
s
.669 .469 .605 r
.95549 .09657 m .94193 .08779 L p .94827 .09524 L F P
0 g
s
0 .112 .663 r
.93329 .07743 m .94193 .08779 L p .93432 .07888 L F P
0 g
s
.587 .479 .698 r
.84962 .09204 m .86433 .09941 L .8595 .10904 L p F P
0 g
s
0 .243 .695 r
.86433 .09941 m .84962 .09204 L .84768 .08779 L p F P
0 g
s
0 .074 .63 r
.84768 .08779 m .84962 .09204 L p .84028 .07888 L F P
0 g
s
.668 .468 .605 r
.84768 .08779 m .83831 .09234 L p .85385 .09524 L F P
0 g
s
0 .243 .695 r
.84768 .08779 m .86102 .09657 L .86433 .09941 L p F P
0 g
s
.668 .468 .605 r
.86102 .09657 m .84768 .08779 L p .85385 .09524 L F P
0 g
s
0 .074 .63 r
.83925 .07743 m .84768 .08779 L p .84028 .07888 L F P
0 g
s
.67 .624 .794 r
.76281 .10513 m .76857 .11167 L p .75698 .10666 L F P
0 g
s
.716 .631 .761 r
.80008 .1072 m .78271 .11061 L p .78174 .10031 L F P
0 g
s
.716 .631 .761 r
.78271 .11061 m .7815 .11084 L .78157 .10793 L p F P
0 g
s
.716 .631 .761 r
.78157 .10793 m .78174 .10031 L p .78271 .11061 L F P
0 g
s
.72 .634 .76 r
.76162 .10378 m .77851 .10077 L p .78207 .11079 L F P
0 g
s
.72 .634 .76 r
.77851 .10077 m .78026 .10046 L .78157 .10793 L p F P
0 g
s
.72 .634 .76 r
.78157 .10793 m .78207 .11079 L p .77851 .10077 L F P
0 g
s
.72 .634 .76 r
.78207 .11079 m .76857 .11167 L .76162 .10378 L p F P
0 g
s
0 0 0 r
.75806 .10658 m .78104 .10043 L .78066 .10044 L p F P
0 g
s
0 0 0 r
.78066 .10044 m .78026 .10046 L p .77322 .1024 L F P
0 g
s
0 0 0 r
.75806 .10658 m .78066 .10044 L .77322 .1024 L F
.67 .624 .794 r
.74296 .11538 m .75698 .10666 L p .76857 .11167 L F P
0 g
s
.67 .624 .794 r
.75698 .10666 m .76162 .10378 L .76281 .10513 L p F P
0 g
s
0 0 0 r
.76162 .10378 m .74296 .11538 L .74075 .1196 L p F P
0 g
s
0 0 0 r
.73029 .13548 m .74075 .1196 L .74296 .11538 L p F P
0 g
s
.67 .624 .794 r
.66859 .10513 m .6744 .11167 L p .6628 .10666 L F P
0 g
s
.67 .624 .794 r
.64895 .11538 m .6628 .10666 L p .6744 .11167 L F P
0 g
s
.67 .624 .794 r
.6628 .10666 m .66739 .10378 L .66859 .10513 L p F P
0 g
s
.444 .823 .581 r
.66739 .10378 m .64895 .11538 L .64651 .1196 L p F P
0 g
s
.694 .612 .761 r
.68736 .11084 m .68739 .10927 L p .68756 .11066 L F P
0 g
s
.694 .612 .761 r
.68759 .11089 m .68758 .11089 L p .68756 .11066 L F P
0 g
s
.694 .612 .761 r
.68758 .11089 m .68736 .11084 L p .68756 .11066 L F P
0 g
s
.72 .633 .76 r
.66739 .10378 m .68604 .10046 L .68741 .10793 L p F P
0 g
s
.72 .633 .76 r
.68741 .10793 m .68793 .11079 L p .68756 .11066 L F P
0 g
s
.72 .633 .76 r
.66739 .10378 m .68741 .10793 L .68756 .11066 L F
.6744 .11167 m .66739 .10378 L p .68756 .11066 L F P
0 g
s
.72 .633 .76 r
.68793 .11079 m .68758 .11081 L p .68756 .11066 L F P
0 g
s
.72 .633 .76 r
.68758 .11081 m .6744 .11167 L p .68756 .11066 L F P
0 g
s
.694 .612 .761 r
.70481 .11437 m .68759 .11089 L p .68752 .10031 L F P
0 g
s
.694 .612 .761 r
.68739 .10927 m .68752 .10031 L p .68759 .11089 L F P
0 g
s
.444 .823 .581 r
.64651 .1196 m .66359 .10658 L .66739 .10378 L p F P
0 g
s
0 0 0 r
.66359 .10658 m .68656 .10043 L .6863 .10044 L p F P
0 g
s
0 0 0 r
.6863 .10044 m .68604 .10046 L p .67892 .1024 L F P
0 g
s
0 0 0 r
.66359 .10658 m .6863 .10044 L .67892 .1024 L F
.63626 .13548 m .64651 .1196 L .64895 .11538 L p F P
0 g
s
.671 .624 .794 r
.56862 .01248 m .57315 .00954 L .57437 .01091 L p F P
0 g
s
.671 .624 .794 r
.55493 .02137 m .56862 .01248 L p .58024 .0175 L F P
0 g
s
.671 .624 .794 r
.57437 .01091 m .58024 .0175 L p .56862 .01248 L F P
0 g
s
.633 .825 .414 r
.54222 .04144 m .55226 .02535 L .55493 .02137 L p F P
0 g
s
.532 .889 .667 r
.57315 .00954 m .55493 .02137 L .55226 .02535 L p F P
0 g
s
.705 .622 .762 r
.59322 .0167 m .59323 .01512 L p .59358 .01657 L F P
0 g
s
.705 .622 .762 r
.59361 .0167 m .59359 .0167 L p .59358 .01657 L F P
0 g
s
.705 .622 .762 r
.59359 .0167 m .59322 .0167 L p .59358 .01657 L F P
0 g
s
.72 .633 .76 r
.57315 .00954 m .59181 .00624 L .59324 .01377 L p F P
0 g
s
.72 .633 .76 r
.59324 .01377 m .59379 .01665 L p .59358 .01657 L F P
0 g
s
.72 .633 .76 r
.57315 .00954 m .59324 .01377 L .59358 .01657 L F
.58024 .0175 m .57315 .00954 L p .59358 .01657 L F P
0 g
s
.72 .633 .76 r
.59379 .01665 m .5936 .01666 L p .59358 .01657 L F P
0 g
s
.72 .633 .76 r
.5936 .01666 m .58024 .0175 L p .59358 .01657 L F P
0 g
s
.705 .622 .762 r
.68736 .0167 m .59361 .0167 L p .5933 .00609 L F P
0 g
s
.705 .622 .762 r
.59323 .01512 m .5933 .00609 L p .59361 .0167 L F P
0 g
s
.532 .889 .667 r
.55226 .02535 m .56912 .01211 L .57315 .00954 L p F P
0 g
s
.236 .749 .735 r
.59181 .00624 m .57315 .00954 L .56912 .01211 L p F P
0 g
s
.236 .749 .735 r
.56912 .01211 m .59207 .00595 L .59195 .00609 L p F P
0 g
s
.236 .749 .735 r
.59195 .00609 m .59181 .00624 L p .58462 .0081 L F P
0 g
s
.236 .749 .735 r
.56912 .01211 m .59195 .00609 L .58462 .0081 L F
.67 .624 .794 r
.47444 .01248 m .47891 .00954 L .48014 .01091 L p F P
0 g
s
.67 .624 .794 r
.46092 .02137 m .47444 .01248 L p .48608 .0175 L F P
0 g
s
.67 .624 .794 r
.48014 .01091 m .48608 .0175 L p .47444 .01248 L F P
0 g
s
.685 .865 .467 r
.44818 .04144 m .45802 .02535 L .46092 .02137 L p F P
0 g
s
.566 .912 .699 r
.47891 .00954 m .46092 .02137 L .45802 .02535 L p F P
0 g
s
.694 .612 .761 r
.49908 .0167 m .49908 .01512 L p .49928 .01652 L F P
0 g
s
.694 .612 .761 r
.49931 .01675 m .4993 .01675 L p .49928 .01652 L F P
0 g
s
.694 .612 .761 r
.4993 .01675 m .49908 .0167 L p .49928 .01652 L F P
0 g
s
.72 .633 .76 r
.47891 .00954 m .49759 .00624 L .49908 .01377 L p F P
0 g
s
.72 .633 .76 r
.49908 .01377 m .49965 .01665 L p .49928 .01652 L F P
0 g
s
.72 .633 .76 r
.47891 .00954 m .49908 .01377 L .49928 .01652 L F
.48608 .0175 m .47891 .00954 L p .49928 .01652 L F P
0 g
s
.72 .633 .76 r
.49965 .01665 m .4993 .01667 L p .49928 .01652 L F P
0 g
s
.72 .633 .76 r
.4993 .01667 m .48608 .0175 L p .49928 .01652 L F P
0 g
s
.694 .612 .761 r
.51653 .02023 m .49931 .01675 L p .49908 .00609 L F P
0 g
s
.694 .612 .761 r
.49908 .01512 m .49908 .00609 L p .49931 .01675 L F P
0 g
s
.566 .912 .699 r
.45802 .02535 m .47465 .01211 L .47891 .00954 L p F P
0 g
s
.253 .761 .75 r
.49759 .00624 m .47891 .00954 L .47465 .01211 L p F P
0 g
s
.253 .761 .75 r
.47465 .01211 m .49759 .00595 L .49759 .00609 L p F P
0 g
s
.253 .761 .75 r
.49759 .00609 m .49759 .00624 L p .49032 .0081 L F P
0 g
s
.253 .761 .75 r
.47465 .01211 m .49759 .00609 L .49032 .0081 L F
.67 .624 .794 r
.38026 .01248 m .38468 .00954 L .38592 .01091 L p F P
0 g
s
.67 .624 .794 r
.36691 .02137 m .38026 .01248 L p .39191 .0175 L F P
0 g
s
.67 .624 .794 r
.38592 .01091 m .39191 .0175 L p .38026 .01248 L F P
0 g
s
.731 .899 .517 r
.35414 .04144 m .36377 .02535 L .36691 .02137 L p F P
0 g
s
.598 .932 .729 r
.38468 .00954 m .36691 .02137 L .36377 .02535 L p F P
0 g
s
.694 .612 .761 r
.40494 .0167 m .40493 .01512 L p .40514 .01652 L F P
0 g
s
.694 .612 .761 r
.40517 .01675 m .40516 .01675 L p .40514 .01652 L F P
0 g
s
.694 .612 .761 r
.40516 .01675 m .40494 .0167 L p .40514 .01652 L F P
0 g
s
.72 .633 .759 r
.38468 .00954 m .40337 .00624 L .40492 .01377 L p F P
0 g
s
.72 .633 .759 r
.40492 .01377 m .40551 .01665 L p .40514 .01652 L F P
0 g
s
.72 .633 .759 r
.38468 .00954 m .40492 .01377 L .40514 .01652 L F
.39191 .0175 m .38468 .00954 L p .40514 .01652 L F P
0 g
s
.72 .633 .759 r
.40551 .01665 m .40516 .01667 L p .40514 .01652 L F P
0 g
s
.72 .633 .759 r
.40516 .01667 m .39191 .0175 L p .40514 .01652 L F P
0 g
s
.694 .612 .761 r
.42239 .02023 m .40517 .01675 L p .40486 .00609 L F P
0 g
s
.694 .612 .761 r
.40493 .01512 m .40486 .00609 L p .40517 .01675 L F P
0 g
s
.598 .932 .729 r
.36377 .02535 m .38018 .01211 L .38468 .00954 L p F P
0 g
s
.269 .773 .766 r
.40337 .00624 m .38468 .00954 L .38018 .01211 L p F P
0 g
s
.269 .773 .766 r
.38018 .01211 m .4031 .00595 L .40324 .00609 L p F P
0 g
s
.269 .773 .766 r
.40324 .00609 m .40337 .00624 L p .39602 .0081 L F P
0 g
s
.269 .773 .766 r
.38018 .01211 m .40324 .00609 L .39602 .0081 L F
0 .314 .754 r
.9105 .01997 m .89548 .00982 L .89659 .00954 L p F P
0 g
s
0 .314 .754 r
.89659 .00954 m .91572 .02255 L .9105 .01997 L p F P
0 g
s
0 .289 .727 r
.81649 .01997 m .80126 .00982 L .8021 .00954 L p F P
0 g
s
0 .289 .727 r
.8021 .00954 m .82148 .02255 L .81649 .01997 L p F P
0 g
s
0 0 0 r
.71403 .18326 m .70406 .19109 L .70464 .19132 L p F P
0 g
s
0 0 0 r
.70464 .19132 m .71876 .18063 L .71403 .18326 L p F P
0 g
s
0 0 0 r
.62001 .18326 m .60984 .19109 L .61015 .19132 L p F P
0 g
s
0 0 0 r
.61015 .19132 m .62451 .18063 L .62001 .18326 L p F P
0 g
s
0 0 0 r
.526 .08924 m .51562 .09687 L .51567 .09684 L p F P
0 g
s
0 0 0 r
.51567 .09684 m .53027 .08639 L .526 .08924 L p F P
0 g
s
.41 .807 .581 r
.43199 .08924 m .4214 .09687 L .42118 .09684 L p F P
0 g
s
.41 .807 .581 r
.42118 .09684 m .43602 .08639 L .43199 .08924 L p F P
0 g
s
.448 .837 .619 r
.33798 .08924 m .32718 .09687 L .3267 .09684 L p F P
0 g
s
.448 .837 .619 r
.3267 .09684 m .34177 .08639 L .33798 .08924 L p F P
0 g
s
.694 .613 .761 r
.21642 .10031 m .23593 .10404 L .23411 .11437 L p F P
0 g
s
.501 0 0 r
.25241 .11398 m .23593 .10404 L .23519 .10403 L p F P
0 g
s
.501 0 0 r
.23519 .10403 m .256 .1168 L .25241 .11398 L p F P
0 g
s
.694 .613 .761 r
.1222 .10031 m .14171 .10404 L .13997 .11437 L p F P
0 g
s
.531 0 0 r
.1584 .11398 m .14171 .10404 L .14071 .10403 L p F P
0 g
s
.531 0 0 r
.14071 .10403 m .16175 .1168 L .1584 .11398 L p F P
0 g
s
.694 .613 .761 r
.02798 .10031 m .04749 .10404 L .04583 .11437 L p F P
0 g
s
.559 0 0 r
.06439 .11398 m .04749 .10404 L .04622 .10403 L p F P
0 g
s
.559 0 0 r
.04622 .10403 m .06751 .1168 L .06439 .11398 L p F P
0 g
s
.762 .608 .688 r
.92971 .05943 m .92633 .0408 L .91878 .04789 L p F P
0 g
s
.812 .704 .745 r
.92633 .0408 m .91572 .02255 L .91148 .03212 L p F P
0 g
s
.812 .704 .745 r
.91148 .03212 m .91878 .04789 L .92633 .0408 L p F P
0 g
s
.761 .608 .688 r
.83567 .05943 m .83231 .0408 L .82468 .04789 L p F P
0 g
s
.811 .702 .745 r
.83231 .0408 m .82148 .02255 L .81716 .03212 L p F P
0 g
s
.811 .702 .745 r
.81716 .03212 m .82468 .04789 L .83231 .0408 L p F P
0 g
s
.647 .532 .709 r
.72671 .15347 m .72564 .16661 L .73542 .17121 L p F P
0 g
s
.692 .485 .601 r
.72564 .16661 m .71876 .18063 L .72608 .18859 L p F P
0 g
s
.692 .485 .601 r
.72608 .18859 m .73542 .17121 L .72564 .16661 L p F P
0 g
s
.646 .531 .709 r
.63268 .15347 m .63161 .16661 L .64133 .17121 L p F P
0 g
s
.692 .484 .601 r
.63161 .16661 m .62451 .18063 L .63177 .18859 L p F P
0 g
s
.692 .484 .601 r
.63177 .18859 m .64133 .17121 L .63161 .16661 L p F P
0 g
s
.646 .531 .709 r
.53864 .05943 m .53759 .07259 L .54723 .07711 L p F P
0 g
s
.692 .483 .599 r
.53759 .07259 m .53027 .08639 L .53745 .09427 L p F P
0 g
s
.692 .483 .599 r
.53745 .09427 m .54723 .07711 L .53759 .07259 L p F P
0 g
s
.645 .531 .709 r
.4446 .05943 m .44357 .07259 L .45314 .07711 L p F P
0 g
s
.692 .483 .599 r
.44357 .07259 m .43602 .08639 L .44313 .09427 L p F P
0 g
s
.692 .483 .599 r
.44313 .09427 m .45314 .07711 L .44357 .07259 L p F P
0 g
s
.645 .53 .709 r
.35057 .05943 m .34955 .07259 L .35904 .07711 L p F P
0 g
s
.692 .483 .599 r
.34955 .07259 m .34177 .08639 L .34881 .09427 L p F P
0 g
s
.692 .483 .599 r
.34881 .09427 m .35904 .07711 L .34955 .07259 L p F P
0 g
s
.759 .606 .689 r
.27145 .15347 m .26817 .13483 L .26011 .14199 L p F P
0 g
s
.803 .693 .743 r
.26817 .13483 m .256 .1168 L .25125 .12644 L p F P
0 g
s
.803 .693 .743 r
.25125 .12644 m .26011 .14199 L .26817 .13483 L p F P
0 g
s
.758 .606 .689 r
.17741 .15347 m .17415 .13483 L .16602 .14199 L p F P
0 g
s
.802 .691 .743 r
.17415 .13483 m .16175 .1168 L .15694 .12644 L p F P
0 g
s
.802 .691 .743 r
.15694 .12644 m .16602 .14199 L .17415 .13483 L p F P
0 g
s
.758 .606 .689 r
.08338 .15347 m .08013 .13483 L .07192 .14199 L p F P
0 g
s
.801 .69 .742 r
.08013 .13483 m .06751 .1168 L .06262 .12644 L p F P
0 g
s
.801 .69 .742 r
.06262 .12644 m .07192 .14199 L .08013 .13483 L p F P
0 g
s
.699 .477 .583 r
.94193 .08779 m .93329 .07743 L .92334 .07945 L p F P
0 g
s
.763 .613 .693 r
.93329 .07743 m .92971 .05943 L .91976 .06144 L p F P
0 g
s
.763 .613 .693 r
.91976 .06144 m .92334 .07945 L .93329 .07743 L p F P
0 g
s
.699 .477 .583 r
.84768 .08779 m .83925 .07743 L .82923 .07945 L p F P
0 g
s
.762 .613 .693 r
.83925 .07743 m .83567 .05943 L .82564 .06144 L p F P
0 g
s
.762 .613 .693 r
.82564 .06144 m .82923 .07945 L .83925 .07743 L p F P
0 g
s
.584 .52 .749 r
.74075 .1196 m .73029 .13548 L .74081 .13755 L p F P
0 g
s
.65 .522 .694 r
.73029 .13548 m .72671 .15347 L .73723 .15556 L p F P
0 g
s
.65 .522 .694 r
.73723 .15556 m .74081 .13755 L .73029 .13548 L p F P
0 g
s
.582 .519 .749 r
.64651 .1196 m .63626 .13548 L .64669 .13755 L p F P
0 g
s
.65 .521 .694 r
.63626 .13548 m .63268 .15347 L .64311 .15556 L p F P
0 g
s
.65 .521 .694 r
.64311 .15556 m .64669 .13755 L .63626 .13548 L p F P
0 g
s
.581 .518 .749 r
.55226 .02535 m .54222 .04144 L .55258 .04343 L p F P
0 g
s
.649 .521 .694 r
.54222 .04144 m .53864 .05943 L .54899 .06144 L p F P
0 g
s
.649 .521 .694 r
.54899 .06144 m .55258 .04343 L .54222 .04144 L p F P
0 g
s
.579 .517 .75 r
.45802 .02535 m .44818 .04144 L .45846 .04343 L p F P
0 g
s
.649 .52 .694 r
.44818 .04144 m .4446 .05943 L .45488 .06144 L p F P
0 g
s
.649 .52 .694 r
.45488 .06144 m .45846 .04343 L .44818 .04144 L p F P
0 g
s
.577 .516 .75 r
.36377 .02535 m .35414 .04144 L .36434 .04343 L p F P
0 g
s
.648 .52 .693 r
.35414 .04144 m .35057 .05943 L .36076 .06144 L p F P
0 g
s
.648 .52 .693 r
.36076 .06144 m .36434 .04343 L .35414 .04144 L p F P
0 g
s
.699 .479 .585 r
.2822 .18204 m .27503 .17146 L .26452 .17357 L p F P
0 g
s
.76 .611 .694 r
.27503 .17146 m .27145 .15347 L .26093 .15556 L p F P
0 g
s
.76 .611 .694 r
.26093 .15556 m .26452 .17357 L .27503 .17146 L p F P
0 g
s
.699 .479 .585 r
.18796 .18204 m .18099 .17146 L .1704 .17357 L p F P
0 g
s
.759 .611 .694 r
.18099 .17146 m .17741 .15347 L .16682 .15556 L p F P
0 g
s
.759 .611 .694 r
.16682 .15556 m .1704 .17357 L .18099 .17146 L p F P
0 g
s
.699 .479 .585 r
.09371 .18204 m .08696 .17146 L .07628 .17357 L p F P
0 g
s
.759 .611 .694 r
.08696 .17146 m .08338 .15347 L .0727 .15556 L p F P
0 g
s
.759 .611 .694 r
.0727 .15556 m .07628 .17357 L .08696 .17146 L p F P
0 g
s
.762 .608 .688 r
.91878 .04789 m .91976 .06144 L .92971 .05943 L p F P
0 g
s
.761 .608 .688 r
.82468 .04789 m .82564 .06144 L .83567 .05943 L p F P
0 g
s
.647 .532 .709 r
.73542 .17121 m .73723 .15556 L .72671 .15347 L p F P
0 g
s
.646 .531 .709 r
.64133 .17121 m .64311 .15556 L .63268 .15347 L p F P
0 g
s
.646 .531 .709 r
.54723 .07711 m .54899 .06144 L .53864 .05943 L p F P
0 g
s
.645 .531 .709 r
.45314 .07711 m .45488 .06144 L .4446 .05943 L p F P
0 g
s
.645 .53 .709 r
.35904 .07711 m .36076 .06144 L .35057 .05943 L p F P
0 g
s
.759 .606 .689 r
.26011 .14199 m .26093 .15556 L .27145 .15347 L p F P
0 g
s
.758 .606 .689 r
.16602 .14199 m .16682 .15556 L .17741 .15347 L p F P
0 g
s
.758 .606 .689 r
.07192 .14199 m .0727 .15556 L .08338 .15347 L p F P
0 g
s
.516 .582 .86 r
.91878 .04789 m .91148 .03212 L .90365 .03542 L p F P
0 g
s
.512 .582 .862 r
.82468 .04789 m .81716 .03212 L .80952 .03542 L p F P
0 g
s
.909 .815 .742 r
.73542 .17121 m .72608 .18859 L .72585 .1961 L p F P
0 g
s
.905 .809 .743 r
.64133 .17121 m .63177 .18859 L .63172 .1961 L p F P
0 g
s
.899 .802 .743 r
.54723 .07711 m .53745 .09427 L .53759 .10198 L p F P
0 g
s
.895 .796 .744 r
.45314 .07711 m .44313 .09427 L .44346 .10198 L p F P
0 g
s
.891 .791 .744 r
.35904 .07711 m .34881 .09427 L .34933 .10198 L p F P
0 g
s
.472 .575 .877 r
.26011 .14199 m .25125 .12644 L .24474 .12955 L p F P
0 g
s
.465 .574 .88 r
.16602 .14199 m .15694 .12644 L .15062 .12955 L p F P
0 g
s
.458 .572 .882 r
.07192 .14199 m .06262 .12644 L .05649 .12955 L p F P
0 g
s
.699 .477 .583 r
.92334 .07945 m .93263 .09234 L .94193 .08779 L p F P
0 g
s
.699 .477 .583 r
.82923 .07945 m .83831 .09234 L .84768 .08779 L p F P
0 g
s
.584 .52 .749 r
.74081 .13755 m .74884 .12677 L .74075 .1196 L p F P
0 g
s
.582 .519 .749 r
.64669 .13755 m .65452 .12677 L .64651 .1196 L p F P
0 g
s
.581 .518 .749 r
.55258 .04343 m .5602 .03245 L .55226 .02535 L p F P
0 g
s
.579 .517 .75 r
.45846 .04343 m .46588 .03245 L .45802 .02535 L p F P
0 g
s
.577 .516 .75 r
.36434 .04343 m .37157 .03245 L .36377 .02535 L p F P
0 g
s
.699 .479 .585 r
.26452 .17357 m .2724 .18665 L .2822 .18204 L p F P
0 g
s
.699 .479 .585 r
.1704 .17357 m .17808 .18665 L .18796 .18204 L p F P
0 g
s
.699 .479 .585 r
.07628 .17357 m .08376 .18665 L .09371 .18204 L p F P
0 g
s
.596 .69 .908 r
.8927 .02642 m .90365 .03542 L .91148 .03212 L p F P
0 g
s
.595 .69 .909 r
.79835 .02642 m .80952 .03542 L .81716 .03212 L p F P
0 g
s
.855 .845 .833 r
.70768 .20795 m .72585 .1961 L .72608 .18859 L p F P
0 g
s
.853 .839 .831 r
.61333 .20795 m .63172 .1961 L .63177 .18859 L p F P
0 g
s
.849 .83 .828 r
.51897 .11359 m .53759 .10198 L .53745 .09427 L p F P
0 g
s
.847 .825 .826 r
.42462 .11359 m .44346 .10198 L .44313 .09427 L p F P
0 g
s
.844 .82 .825 r
.33027 .11359 m .34933 .10198 L .34881 .09427 L p F P
0 g
s
.58 .696 .921 r
.23223 .12078 m .24474 .12955 L .25125 .12644 L p F P
0 g
s
.579 .697 .922 r
.13788 .12078 m .15062 .12955 L .15694 .12644 L p F P
0 g
s
.577 .697 .924 r
.04353 .12078 m .05649 .12955 L .06262 .12644 L p F P
0 g
s
.485 .516 .814 r
.94867 .10448 m .93263 .09234 L .92862 .09938 L p F P
0 g
s
.485 .516 .814 r
.92862 .09938 m .94755 .11219 L .94867 .10448 L p F P
0 g
s
.479 .514 .816 r
.85413 .10448 m .83831 .09234 L .83449 .09938 L p F P
0 g
s
.479 .514 .816 r
.83449 .09938 m .8532 .11219 L .85413 .10448 L p F P
0 g
s
.695 .809 .935 r
.76283 .11624 m .74884 .12677 L .75602 .12695 L p F P
0 g
s
.695 .809 .935 r
.75602 .12695 m .76933 .11937 L .76283 .11624 L p F P
0 g
s
.696 .807 .934 r
.66829 .11624 m .65452 .12677 L .66189 .12695 L p F P
0 g
s
.696 .807 .934 r
.66189 .12695 m .67497 .11937 L .66829 .11624 L p F P
0 g
s
.699 .8 .928 r
.57374 .02169 m .5602 .03245 L .56776 .03282 L p F P
0 g
s
.699 .8 .928 r
.56776 .03282 m .58062 .02502 L .57374 .02169 L p F P
0 g
s
.699 .799 .927 r
.4792 .02169 m .46588 .03245 L .47363 .03282 L p F P
0 g
s
.699 .799 .927 r
.47363 .03282 m .48627 .02502 L .4792 .02169 L p F P
0 g
s
.7 .798 .926 r
.38466 .02169 m .37157 .03245 L .3795 .03282 L p F P
0 g
s
.7 .798 .926 r
.3795 .03282 m .39192 .02502 L .38466 .02169 L p F P
0 g
s
.426 .493 .826 r
.28687 .19903 m .2724 .18665 L .26972 .19351 L p F P
0 g
s
.426 .493 .826 r
.26972 .19351 m .28708 .20654 L .28687 .19903 L p F P
0 g
s
.416 .489 .827 r
.19233 .19903 m .17808 .18665 L .17559 .19351 L p F P
0 g
s
.416 .489 .827 r
.17559 .19351 m .19273 .20654 L .19233 .19903 L p F P
0 g
s
.405 .485 .829 r
.09778 .19903 m .08376 .18665 L .08146 .19351 L p F P
0 g
s
.405 .485 .829 r
.08146 .19351 m .09837 .20654 L .09778 .19903 L p F P
0 g
s
.694 .612 .76 r
.87564 .0167 m .87567 .01588 L p .87589 .01659 L F P
0 g
s
.694 .612 .76 r
.87595 .01676 m .8759 .01676 L p .87589 .01659 L F P
0 g
s
.694 .612 .76 r
.8759 .01676 m .87564 .0167 L p .87589 .01659 L F P
0 g
s
.724 .636 .759 r
.85166 .01235 m .87448 .00624 L .87573 .01377 L p F P
0 g
s
.724 .636 .759 r
.87573 .01377 m .87621 .01665 L p .87589 .01659 L F P
0 g
s
.724 .636 .759 r
.85166 .01235 m .87573 .01377 L .87589 .01659 L F
.85594 .02204 m .85166 .01235 L p .87589 .01659 L F P
0 g
s
.724 .636 .759 r
.87621 .01665 m .87593 .01672 L p .87589 .01659 L F P
0 g
s
.724 .636 .759 r
.87593 .01672 m .85594 .02204 L p .87589 .01659 L F P
0 g
s
.694 .612 .76 r
.89309 .02023 m .87595 .01676 L p .87597 .00609 L F P
0 g
s
.694 .612 .76 r
.87567 .01588 m .87597 .00609 L p .87595 .01676 L F P
0 g
s
.694 .612 .76 r
.87597 .00609 m .89548 .00982 L .89309 .02023 L p F P
0 g
s
.656 .62 .802 r
.91502 .09426 m .89422 .1072 L .89251 .09687 L p F P
0 g
s
.708 .626 .764 r
.86433 .09941 m .87417 .1002 L p .87507 .11079 L F P
0 g
s
.716 .631 .761 r
.89422 .1072 m .87629 .11072 L p .87597 .10036 L F P
0 g
s
.716 .631 .761 r
.87597 .10031 m .87614 .10038 L .87597 .10036 L F
.87614 .10038 m .89422 .1072 L .87597 .10036 L F
.87573 .10793 m .87597 .10031 L p .87629 .11072 L F P
0 g
s
.716 .631 .761 r
.87597 .10031 m .89251 .09687 L .89335 .10198 L p F P
0 g
s
.716 .631 .761 r
.89335 .10198 m .89422 .1072 L p .87614 .10038 L F P
0 g
s
.716 .631 .761 r
.87597 .10031 m .89335 .10198 L .87614 .10038 L F
0 .489 .751 r
.87851 .10043 m .87745 .10046 L p .87645 .10022 L F P
0 g
s
0 0 0 r
.89251 .09687 m .87639 .10022 L p .87641 .10022 L F P
0 g
s
0 0 0 r
.87598 .10031 m .87702 .10029 L p .88287 .09899 L F P
0 g
s
0 0 0 r
.88287 .09899 m .89251 .09687 L .87598 .10031 L F
.87702 .10029 m .87712 .10027 L p .89251 .09687 L F P
0 g
s
0 0 0 r
.87712 .10027 m .8936 .09684 L .89342 .09684 L p F P
0 g
s
0 0 0 r
.89342 .09684 m .89251 .09687 L p .87712 .10027 L F P
0 g
s
0 .489 .751 r
.87417 .1002 m .86433 .09941 L .86417 .09927 L p F P
0 g
s
0 .489 .751 r
.86417 .09927 m .86102 .09657 L p .87417 .1002 L F P
0 g
s
.708 .626 .764 r
.87507 .11079 m .8595 .10904 L .86433 .09941 L p F P
0 g
s
.713 .535 .648 r
.86102 .09657 m .85413 .10448 L p .86804 .10217 L F P
0 g
s
0 .489 .751 r
.87744 .1002 m .87851 .10043 L p .87645 .10022 L F P
0 g
s
0 .489 .751 r
.87745 .10046 m .87587 .10033 L p .87645 .10022 L F P
0 g
s
.708 .626 .764 r
.87417 .1002 m .87745 .10046 L .87573 .10793 L p F P
0 g
s
.708 .626 .764 r
.87573 .10793 m .87507 .11079 L p .87417 .1002 L F P
0 g
s
.716 .631 .761 r
.87629 .11072 m .87564 .11084 L .87573 .10793 L p F P
0 g
s
.713 .535 .648 r
.85413 .10448 m .87677 .1108 L .87725 .10793 L p F P
0 g
s
.713 .535 .648 r
.87725 .10793 m .87851 .10043 L p .87721 .10065 L F P
0 g
s
.694 .521 .649 r
.87702 .10029 m .87725 .10793 L p .87721 .10106 L F P
0 g
s
.694 .521 .649 r
.87712 .10027 m .87702 .10029 L p .87928 .10918 L F P
0 g
s
.713 .535 .648 r
.85413 .10448 m .87725 .10793 L .87721 .10065 L F
.694 .521 .649 r
.87734 .11085 m .87928 .10918 L .87721 .10106 L F
.87725 .10793 m .87734 .11085 L p .87721 .10106 L F P
0 g
s
.713 .535 .648 r
.87851 .10043 m .87744 .1002 L p .87712 .10027 L F P
0 g
s
.713 .535 .648 r
.87721 .10065 m .87851 .10043 L .87712 .10027 L F
.694 .521 .649 r
.8936 .09684 m .87712 .10027 L p .87928 .10918 L F P
0 g
s
.713 .535 .648 r
.86804 .10217 m .87721 .10065 L .87712 .10027 L F
0 .489 .751 r
.86102 .09657 m .87744 .1002 L p .87645 .10022 L F P
0 g
s
0 0 0 r
.87597 .10031 m .87598 .10031 L p .87641 .10022 L F P
0 g
s
0 0 0 r
.87639 .10022 m .87597 .10031 L p .87641 .10022 L F P
0 g
s
0 .489 .751 r
.86102 .09657 m .87645 .10022 L .87425 .1002 L F
.87587 .10033 m .87425 .1002 L p .87645 .10022 L F P
0 g
s
0 .489 .751 r
.87425 .1002 m .87417 .1002 L p .87416 .10019 L F P
0 g
s
0 .489 .751 r
.86102 .09657 m .87425 .1002 L .87416 .10019 L F
.713 .535 .648 r
.87744 .1002 m .86102 .09657 L p .86804 .10217 L F P
0 g
s
.705 .622 .762 r
.96978 .20498 m .87564 .20498 L .87597 .19453 L p F P
0 g
s
.694 .612 .76 r
.79895 .02023 m .7815 .0167 L .78174 .00609 L p F P
0 g
s
.694 .612 .76 r
.78174 .00609 m .80126 .00982 L .79895 .02023 L p F P
0 g
s
.656 .621 .802 r
.82064 .09426 m .80008 .1072 L .79829 .09687 L p F P
0 g
s
.716 .631 .761 r
.78174 .10031 m .79829 .09687 L .80008 .1072 L p F P
0 g
s
.698 .617 .762 r
.76982 .19452 m .78193 .19453 L .78093 .20493 L F
.78157 .2021 m .78093 .20493 L p .78195 .19439 L F P
0 g
s
.705 .622 .762 r
.87597 .19453 m .87564 .20498 L p .7835 .19473 L F P
0 g
s
.705 .622 .762 r
.78174 .19453 m .78259 .19453 L p .7835 .19473 L F P
0 g
s
.705 .622 .762 r
.78259 .19453 m .87597 .19453 L p .7835 .19473 L F P
0 g
s
.061 0 0 r
.87597 .19453 m .78259 .19453 L p .85383 .19459 L F P
0 g
s
.061 0 0 r
.78259 .19453 m .78194 .19453 L p .78257 .19453 L F P
0 g
s
.061 0 0 r
.85383 .19459 m .78259 .19453 L .78257 .19453 L F
.698 .617 .762 r
.76589 .19084 m .78195 .19439 L p .78193 .19453 L F P
0 g
s
.698 .617 .762 r
.76589 .19084 m .78193 .19453 L .76982 .19452 L F
.101 0 0 r
.77077 .19386 m .78149 .19456 L .78195 .19439 L F
.698 .617 .762 r
.78257 .19453 m .78194 .19455 L p .78195 .19439 L F P
0 g
s
.705 .622 .762 r
.78194 .19455 m .87564 .20498 L .78157 .2021 L F
.698 .617 .762 r
.78194 .19459 m .78323 .19468 L .78157 .2021 L p F P
0 g
s
.705 .622 .762 r
.78157 .2021 m .78174 .19453 L p .78194 .19455 L F P
0 g
s
.101 0 0 r
.78323 .19468 m .78257 .19453 L p .78149 .19456 L F P
0 g
s
.101 0 0 r
.78257 .19453 m .78195 .19439 L p .78149 .19456 L F P
0 g
s
.101 0 0 r
.78195 .19439 m .76589 .19084 L .76616 .19101 L p F P
0 g
s
.101 0 0 r
.76616 .19101 m .77077 .19386 L p .78195 .19439 L F P
0 g
s
.101 0 0 r
.77077 .19386 m .78402 .19492 L .78323 .19468 L p F P
0 g
s
.061 0 0 r
.78174 .19453 m .78253 .19477 L p .85383 .19459 L F P
0 g
s
.061 0 0 r
.78194 .19453 m .78174 .19453 L p .85383 .19459 L F P
0 g
s
.705 .622 .762 r
.87564 .20498 m .7815 .20498 L .78157 .2021 L p F P
0 g
s
.705 .622 .762 r
.7815 .0167 m .68736 .0167 L .68752 .00609 L p F P
0 g
s
.61 .506 .712 r
.72301 .12645 m .70481 .11437 L .70704 .10404 L p F P
0 g
s
.694 .612 .761 r
.68752 .10031 m .70704 .10404 L .70481 .11437 L p F P
0 g
s
.717 .631 .761 r
.68759 .19456 m .68806 .19446 L .70594 .20134 L F
.70532 .19795 m .70594 .20134 L p .68806 .19446 L F P
0 g
s
.698 .617 .762 r
.67166 .19084 m .68759 .19436 L p .68757 .19452 L F P
0 g
s
.698 .617 .762 r
.67777 .19653 m .68757 .19452 L .68679 .20493 L F
.67166 .19084 m .68757 .19452 L .67777 .19653 L F
.717 .631 .761 r
.68752 .19453 m .68759 .19452 L .68759 .19456 L F
.68752 .19453 m .68759 .19452 L p .68759 .19452 L F P
0 g
s
.106 0 0 r
.67629 .19386 m .68748 .19458 L .68759 .19436 L F
.717 .631 .761 r
.68759 .19452 m .70406 .19109 L p .68759 .19456 L F P
0 g
s
.698 .617 .762 r
.68759 .19436 m .68759 .19447 L .68679 .20493 L F
.717 .631 .761 r
.70406 .19109 m .70532 .19795 L p .68806 .19446 L F P
0 g
s
0 0 0 r
.70406 .19109 m .68759 .19452 L p .70192 .19158 L F P
0 g
s
.717 .631 .761 r
.68759 .19456 m .70594 .20134 L .68741 .2021 L F
.698 .617 .762 r
.68901 .19468 m .68741 .2021 L p .68759 .19452 L F P
0 g
s
.698 .617 .762 r
.6876 .19437 m .68795 .19444 L p .68759 .19452 L F P
0 g
s
.698 .617 .762 r
.68795 .19444 m .68901 .19468 L p .68759 .19452 L F P
0 g
s
.698 .617 .762 r
.68741 .2021 m .68679 .20493 L p .6876 .19437 L F P
0 g
s
.106 0 0 r
.68901 .19468 m .68795 .19444 L p .68748 .19458 L F P
0 g
s
.717 .631 .761 r
.68741 .2021 m .68752 .19453 L p .68759 .19456 L F P
0 g
s
.106 0 0 r
.68954 .19492 m .68901 .19468 L p .67681 .19389 L F P
0 g
s
.106 0 0 r
.67629 .19386 m .68638 .19466 L p .67681 .19389 L F P
0 g
s
.106 0 0 r
.68638 .19466 m .68954 .19492 L p .67681 .19389 L F P
0 g
s
.698 .617 .762 r
.68679 .20493 m .66438 .19866 L .67166 .19084 L p F P
0 g
s
.7 .524 .646 r
.68954 .19492 m .67629 .19386 L .67186 .20358 L p F P
0 g
s
.694 .521 .649 r
.70464 .19132 m .68805 .19477 L .68805 .1948 L p F P
0 g
s
.717 .631 .761 r
.70594 .20134 m .68736 .20498 L .68741 .2021 L p F P
0 g
s
.7 .524 .646 r
.67186 .20358 m .68764 .20536 L .68817 .20247 L p F P
0 g
s
.7 .524 .646 r
.68817 .20247 m .68954 .19492 L p .68645 .19643 L F P
0 g
s
.7 .524 .646 r
.67186 .20358 m .68817 .20247 L .68645 .19643 L F
.694 .521 .649 r
.68805 .1948 m .68817 .20247 L p .6995 .19573 L F P
0 g
s
.694 .521 .649 r
.68817 .20247 m .68821 .20542 L p .68885 .20487 L F P
0 g
s
.694 .521 .649 r
.68885 .20487 m .6995 .19573 L .68817 .20247 L F
.6995 .19573 m .70464 .19132 L .68805 .1948 L F
0 0 0 r
.68805 .19477 m .70464 .19132 L .70415 .19113 L p F P
0 g
s
0 0 0 r
.70415 .19113 m .70406 .19109 L p .70192 .19158 L F P
0 g
s
0 0 0 r
.68805 .19477 m .70415 .19113 L .70192 .19158 L F
.68752 .19453 m .68757 .19455 L p .68795 .19444 L F P
0 g
s
.698 .617 .762 r
.68759 .19436 m .6876 .19437 L p .68759 .19447 L F P
0 g
s
.106 0 0 r
.68795 .19444 m .68759 .19436 L p .68748 .19458 L F P
0 g
s
0 0 0 r
.68805 .19477 m .70192 .19158 L .68795 .19444 L F
.68757 .19455 m .68805 .19477 L p .68795 .19444 L F P
0 g
s
0 0 0 r
.68759 .19452 m .68752 .19453 L p .70192 .19158 L F P
0 g
s
.106 0 0 r
.68759 .19436 m .67166 .19084 L .67234 .19128 L p F P
0 g
s
.106 0 0 r
.67234 .19128 m .67629 .19386 L p .68759 .19436 L F P
0 g
s
.608 .505 .712 r
.62862 .12645 m .61067 .11437 L .61282 .10404 L p F P
0 g
s
.698 .617 .762 r
.57742 .0966 m .59305 .10007 L p .59265 .11079 L F P
0 g
s
.698 .617 .762 r
.59305 .10007 m .59479 .10046 L .59324 .10793 L p F P
0 g
s
.698 .617 .762 r
.59324 .10793 m .59265 .11079 L p .59305 .10007 L F P
0 g
s
.694 .612 .761 r
.5933 .10031 m .59334 .10034 L .5933 .10034 L F
.59324 .10793 m .5933 .10031 L p .59332 .11086 L F P
0 g
s
.694 .612 .761 r
.5933 .10031 m .59853 .10131 L p .61067 .11437 L F P
0 g
s
.694 .612 .761 r
.59853 .10131 m .61282 .10404 L .61272 .10452 L p F P
0 g
s
.694 .612 .761 r
.61272 .10452 m .61067 .11437 L p .59853 .10131 L F P
0 g
s
0 .539 .716 r
.59358 .10036 m .59474 .10045 L .57888 .09753 L F
.59505 .10043 m .59479 .10046 L p .59358 .10036 L F P
0 g
s
0 .539 .716 r
.57888 .09753 m .58182 .09939 L p .59358 .10036 L F P
0 g
s
0 .539 .716 r
.58182 .09939 m .59382 .10034 L p .59358 .10036 L F P
0 g
s
0 .539 .716 r
.59382 .10034 m .59505 .10043 L p .59358 .10036 L F P
0 g
s
0 .539 .716 r
.59358 .10036 m .59479 .10046 L .59473 .10045 L F
.58182 .09939 m .59358 .10036 L .59358 .10036 L F
.59358 .10036 m .59479 .10046 L .59358 .10036 L F
0 .474 .713 r
.5933 .10031 m .59333 .10031 L p .59358 .10036 L F P
0 g
s
0 .474 .713 r
.59853 .10131 m .59356 .10036 L p .59358 .10036 L F P
0 g
s
0 .474 .713 r
.59356 .10036 m .5933 .10031 L p .59358 .10036 L F P
0 g
s
0 .474 .713 r
.61282 .10404 m .59853 .10131 L p .59381 .10034 L F P
0 g
s
0 .474 .713 r
.59356 .10029 m .59382 .10034 L .59381 .10034 L F
.59382 .10034 m .61282 .10404 L .59381 .10034 L F
.59333 .10031 m .59356 .10029 L p .59853 .10131 L F P
0 g
s
0 .474 .713 r
.5936 .10029 m .59853 .10131 L .59356 .10029 L F
.694 .612 .761 r
.61067 .11437 m .59332 .11086 L p .5933 .10034 L F P
0 g
s
.694 .612 .761 r
.59334 .10034 m .61067 .11437 L .5933 .10034 L F
.698 .617 .762 r
.59265 .11079 m .57021 .1045 L .57742 .0966 L p F P
0 g
s
0 .474 .713 r
.61313 .10403 m .61282 .10404 L p .59369 .10031 L F P
0 g
s
0 .539 .716 r
.59479 .10046 m .59306 .10007 L p .59474 .10045 L F P
0 g
s
0 .539 .716 r
.59479 .10046 m .59479 .10046 L p .59473 .10045 L F P
0 g
s
.7 .523 .645 r
.59505 .10043 m .59382 .10034 L p .59485 .10053 L F P
0 g
s
0 .474 .713 r
.59356 .10029 m .59454 .10047 L p .59369 .10031 L F P
0 g
s
0 .474 .713 r
.59454 .10047 m .61313 .10403 L p .59369 .10031 L F P
0 g
s
.694 .612 .761 r
.59332 .11086 m .59322 .11084 L .59324 .10793 L p F P
0 g
s
.7 .523 .645 r
.58182 .09939 m .57732 .10904 L p .59451 .1007 L F P
0 g
s
.716 .539 .648 r
.61313 .10403 m .59454 .10047 L p .59451 .1008 L F P
0 g
s
.7 .523 .645 r
.59451 .1007 m .59485 .10053 L .59451 .1005 L F
.59451 .1007 m .59451 .1005 L .58182 .09939 L F
.716 .539 .648 r
.59364 .11085 m .59445 .11057 L .59451 .1008 L F
.608 .505 .712 r
.61282 .10404 m .63329 .11682 L .62862 .12645 L p F P
0 g
s
0 .244 .675 r
.63329 .11682 m .61282 .10404 L .61313 .10403 L p F P
0 g
s
.716 .539 .648 r
.59445 .11057 m .61313 .10403 L .59451 .1008 L F
.7 .523 .645 r
.57732 .10904 m .59362 .10793 L .59449 .10082 L F
.716 .539 .648 r
.59362 .10793 m .59364 .11085 L p .59451 .1008 L F P
0 g
s
.716 .539 .648 r
.59451 .1008 m .59454 .10047 L .59451 .1007 L F
.59451 .1008 m .59451 .1007 L .59362 .10793 L F
.7 .523 .645 r
.59382 .10034 m .58182 .09939 L p .59451 .1005 L F P
0 g
s
.7 .523 .645 r
.59485 .10053 m .59451 .10047 L .59451 .1005 L F
.59451 .10047 m .59382 .10034 L .59451 .1005 L F
.57732 .10904 m .59503 .10057 L .59485 .10053 L F
0 .474 .713 r
.59356 .10029 m .59356 .10029 L p .5936 .10029 L F P
0 g
s
.716 .539 .648 r
.59454 .10047 m .59356 .10029 L .59362 .10793 L p F P
0 g
s
.7 .523 .645 r
.57732 .10904 m .59307 .1108 L .59362 .10793 L p F P
0 g
s
.7 .523 .645 r
.59362 .10793 m .59503 .10057 L p .59449 .10082 L F P
0 g
s
.7 .523 .645 r
.59503 .10057 m .59505 .10043 L p .59485 .10053 L F P
0 g
s
0 .539 .716 r
.57742 .0966 m .57888 .09753 L p .59474 .10045 L F P
0 g
s
0 .539 .716 r
.59306 .10007 m .57742 .0966 L p .59474 .10045 L F P
0 g
s
.716 .631 .761 r
.6118 .20134 m .59322 .20498 L .5933 .19453 L p F P
0 g
s
.716 .631 .761 r
.5933 .19453 m .60984 .19109 L .6118 .20134 L p F P
0 g
s
.607 .505 .712 r
.53423 .03207 m .51653 .02023 L .5186 .00982 L p F P
0 g
s
.694 .612 .761 r
.49908 .00609 m .5186 .00982 L .51653 .02023 L p F P
0 g
s
.716 .631 .761 r
.49915 .10034 m .49962 .10024 L .51766 .1072 L F
.51699 .10378 m .51766 .1072 L p .49962 .10024 L F P
0 g
s
.698 .617 .762 r
.48318 .0966 m .49914 .10014 L p .49913 .1003 L F P
0 g
s
.698 .617 .762 r
.48937 .10233 m .49913 .1003 L .49851 .11079 L F
.48318 .0966 m .49913 .1003 L .48937 .10233 L F
0 .535 .711 r
.48735 .09939 m .49898 .10033 L .49914 .10014 L F
.15 .688 .698 r
.51562 .09687 m .49915 .1003 L p .51341 .09733 L F P
0 g
s
.716 .631 .761 r
.49915 .1003 m .51562 .09687 L p .49915 .10034 L F P
0 g
s
.716 .631 .761 r
.49915 .10034 m .51766 .1072 L .49908 .10793 L F
.698 .617 .762 r
.50057 .10046 m .49908 .10793 L p .49915 .1003 L F P
0 g
s
.698 .617 .762 r
.49915 .10014 m .49951 .10022 L p .49915 .1003 L F P
0 g
s
.698 .617 .762 r
.49951 .10022 m .50057 .10046 L p .49915 .1003 L F P
0 g
s
.698 .617 .762 r
.49914 .10014 m .49915 .10025 L .49851 .11079 L F
.49908 .10793 m .49851 .11079 L p .49915 .10014 L F P
0 g
s
.15 .688 .698 r
.49908 .10029 m .51567 .09684 L .51563 .09687 L p F P
0 g
s
.15 .688 .698 r
.51563 .09687 m .51562 .09687 L p .51341 .09733 L F P
0 g
s
.15 .688 .698 r
.49908 .10029 m .51563 .09687 L .51341 .09733 L F
.49908 .10031 m .49908 .10031 L p .4995 .10022 L F P
0 g
s
.716 .631 .761 r
.49908 .10031 m .49915 .1003 L p .49915 .10034 L F P
0 g
s
0 .535 .711 r
.50057 .10046 m .49951 .10022 L p .49898 .10033 L F P
0 g
s
.698 .617 .762 r
.49914 .10014 m .49915 .10014 L p .49915 .10025 L F P
0 g
s
0 .535 .711 r
.49951 .10022 m .49914 .10014 L p .49898 .10033 L F P
0 g
s
.15 .688 .698 r
.49908 .10029 m .51341 .09733 L .4995 .10022 L F
.49908 .10031 m .49908 .10029 L p .4995 .10022 L F P
0 g
s
.15 .688 .698 r
.49915 .1003 m .49908 .10031 L p .51341 .09733 L F P
0 g
s
0 .535 .711 r
.49914 .10014 m .48318 .0966 L .4838 .09701 L p F P
0 g
s
0 .535 .711 r
.4838 .09701 m .48735 .09939 L p .49914 .10014 L F P
0 g
s
.716 .631 .761 r
.51562 .09687 m .51699 .10378 L p .49962 .10024 L F P
0 g
s
.716 .631 .761 r
.51766 .1072 m .49908 .11084 L .49908 .10793 L p F P
0 g
s
.716 .631 .761 r
.49908 .10793 m .49908 .10031 L p .49915 .10034 L F P
0 g
s
.705 .622 .762 r
.59322 .20498 m .49908 .20498 L .49908 .19453 L p F P
0 g
s
.606 .504 .712 r
.43985 .03207 m .42239 .02023 L .42438 .00982 L p F P
0 g
s
.694 .612 .761 r
.40486 .00609 m .42438 .00982 L .42239 .02023 L p F P
0 g
s
.716 .631 .761 r
.40493 .10034 m .4054 .10024 L .42352 .1072 L F
.42282 .10378 m .42352 .1072 L p .4054 .10024 L F P
0 g
s
.698 .617 .762 r
.38895 .0966 m .40492 .10014 L p .40491 .1003 L F P
0 g
s
.698 .617 .762 r
.39518 .10233 m .40491 .1003 L .40437 .11079 L F
.38895 .0966 m .40491 .1003 L .39518 .10233 L F
0 .53 .706 r
.39288 .09939 m .40473 .10033 L .40492 .10014 L F
.164 .699 .712 r
.4214 .09687 m .40493 .1003 L p .41915 .09733 L F P
0 g
s
.716 .631 .761 r
.40493 .1003 m .4214 .09687 L p .40493 .10034 L F P
0 g
s
.716 .631 .761 r
.40493 .10034 m .42352 .1072 L .40492 .10793 L F
.698 .617 .762 r
.40635 .10046 m .40492 .10793 L p .40493 .1003 L F P
0 g
s
.698 .617 .762 r
.40493 .10014 m .40529 .10022 L p .40493 .1003 L F P
0 g
s
.698 .617 .762 r
.40529 .10022 m .40635 .10046 L p .40493 .1003 L F P
0 g
s
.698 .617 .762 r
.40492 .10014 m .40493 .10025 L .40437 .11079 L F
.40492 .10793 m .40437 .11079 L p .40493 .10014 L F P
0 g
s
.164 .699 .712 r
.40459 .10029 m .42118 .09684 L .42137 .09687 L p F P
0 g
s
.164 .699 .712 r
.42137 .09687 m .4214 .09687 L p .41915 .09733 L F P
0 g
s
.164 .699 .712 r
.40459 .10029 m .42137 .09687 L .41915 .09733 L F
.40486 .10031 m .40484 .10031 L p .40528 .10022 L F P
0 g
s
.716 .631 .761 r
.40486 .10031 m .40493 .1003 L p .40493 .10034 L F P
0 g
s
0 .53 .706 r
.40635 .10046 m .40529 .10022 L p .40473 .10033 L F P
0 g
s
.698 .617 .762 r
.40492 .10014 m .40493 .10014 L p .40493 .10025 L F P
0 g
s
0 .53 .706 r
.40529 .10022 m .40492 .10014 L p .40473 .10033 L F P
0 g
s
.164 .699 .712 r
.40459 .10029 m .41915 .09733 L .40528 .10022 L F
.40484 .10031 m .40459 .10029 L p .40528 .10022 L F P
0 g
s
.164 .699 .712 r
.40493 .1003 m .40486 .10031 L p .41915 .09733 L F P
0 g
s
0 .53 .706 r
.40492 .10014 m .38895 .0966 L .38953 .09701 L p F P
0 g
s
0 .53 .706 r
.38953 .09701 m .39288 .09939 L p .40492 .10014 L F P
0 g
s
.716 .631 .761 r
.4214 .09687 m .42282 .10378 L p .4054 .10024 L F P
0 g
s
.716 .631 .761 r
.42352 .1072 m .40494 .11084 L .40492 .10793 L p F P
0 g
s
.716 .631 .761 r
.40492 .10793 m .40486 .10031 L p .40493 .10034 L F P
0 g
s
.705 .622 .762 r
.49908 .20498 m .40494 .20498 L .40486 .19453 L p F P
0 g
s
.604 .503 .712 r
.34546 .03207 m .32825 .02023 L .33015 .00982 L p F P
0 g
s
.694 .612 .761 r
.32825 .02023 m .3108 .0167 L .31064 .00609 L p F P
0 g
s
.694 .612 .761 r
.31064 .00609 m .33015 .00982 L .32825 .02023 L p F P
0 g
s
.716 .63 .761 r
.31172 .11066 m .3108 .11084 L .31076 .10793 L p F P
0 g
s
.724 .635 .759 r
.28624 .10658 m .30821 .10071 L p .31137 .11079 L F P
0 g
s
.724 .635 .759 r
.30821 .10071 m .30915 .10046 L .31076 .10793 L p F P
0 g
s
.724 .635 .759 r
.31076 .10793 m .31137 .11079 L p .30821 .10071 L F P
0 g
s
.716 .63 .761 r
.32938 .1072 m .31172 .11066 L p .31064 .10031 L F P
0 g
s
.716 .63 .761 r
.31076 .10793 m .31064 .10031 L p .31172 .11066 L F P
0 g
s
.716 .63 .761 r
.31064 .10031 m .32718 .09687 L .32938 .1072 L p F P
0 g
s
.705 .622 .762 r
.3108 .0167 m .21666 .0167 L .21642 .00609 L p F P
0 g
s
.694 .613 .761 r
.21666 .11084 m .21664 .11003 L p .2169 .11073 L F P
0 g
s
.694 .613 .761 r
.21697 .1109 m .21692 .1109 L p .2169 .11073 L F P
0 g
s
.694 .613 .761 r
.21692 .1109 m .21666 .11084 L p .2169 .11073 L F P
0 g
s
.724 .635 .759 r
.19201 .10658 m .21493 .10046 L .21659 .10793 L p F P
0 g
s
.724 .635 .759 r
.21659 .10793 m .21723 .11079 L p .2169 .11073 L F P
0 g
s
.724 .635 .759 r
.19201 .10658 m .21659 .10793 L .2169 .11073 L F
.19679 .11621 m .19201 .10658 L p .2169 .11073 L F P
0 g
s
.724 .635 .759 r
.21723 .11079 m .21695 .11086 L p .2169 .11073 L F P
0 g
s
.724 .635 .759 r
.21695 .11086 m .19679 .11621 L p .2169 .11073 L F P
0 g
s
.694 .613 .761 r
.23411 .11437 m .21697 .1109 L p .21642 .10031 L F P
0 g
s
.694 .613 .761 r
.21664 .11003 m .21642 .10031 L p .21697 .1109 L F P
0 g
s
.705 .622 .762 r
.21666 .0167 m .12252 .0167 L .1222 .00609 L p F P
0 g
s
.694 .613 .761 r
.12252 .11084 m .1225 .11003 L p .12276 .11073 L F P
0 g
s
.694 .613 .761 r
.12283 .1109 m .12278 .1109 L p .12276 .11073 L F P
0 g
s
.694 .613 .761 r
.12278 .1109 m .12252 .11084 L p .12276 .11073 L F P
0 g
s
.724 .635 .759 r
.09777 .10658 m .12071 .10046 L .12243 .10793 L p F P
0 g
s
.724 .635 .759 r
.12243 .10793 m .12309 .11079 L p .12276 .11073 L F P
0 g
s
.724 .635 .759 r
.09777 .10658 m .12243 .10793 L .12276 .11073 L F
.10263 .11621 m .09777 .10658 L p .12276 .11073 L F P
0 g
s
.724 .635 .759 r
.12309 .11079 m .12281 .11086 L p .12276 .11073 L F P
0 g
s
.724 .635 .759 r
.12281 .11086 m .10263 .11621 L p .12276 .11073 L F P
0 g
s
.694 .613 .761 r
.13997 .11437 m .12283 .1109 L p .1222 .10031 L F P
0 g
s
.694 .613 .761 r
.1225 .11003 m .1222 .10031 L p .12283 .1109 L F P
0 g
s
.705 .622 .762 r
.12252 .0167 m .02838 .0167 L .02798 .00609 L p F P
0 g
s
.694 .613 .761 r
.04583 .11437 m .02838 .11084 L .02798 .10031 L p F P
0 g
s
.652 .623 .808 r
.06554 .18865 m .04696 .20134 L .04452 .19109 L p F P
0 g
s
.716 .631 .761 r
.04696 .20134 m .02838 .20498 L .02798 .19453 L p F P
0 g
s
.716 .631 .761 r
.02798 .19453 m .04452 .19109 L .04696 .20134 L p F P
0 g
s
.705 .622 .762 r
.87597 .19453 m .97019 .19453 L .96978 .20498 L p F P
0 g
s
.705 .622 .762 r
.68752 .00609 m .78174 .00609 L .7815 .0167 L p F P
0 g
s
.705 .622 .762 r
.5933 .00609 m .68752 .00609 L .68736 .0167 L p F P
0 g
s
.705 .622 .762 r
.49908 .19453 m .5933 .19453 L .59322 .20498 L p F P
0 g
s
.705 .622 .762 r
.40486 .19453 m .49908 .19453 L .49908 .20498 L p F P
0 g
s
.705 .622 .762 r
.21642 .00609 m .31064 .00609 L .3108 .0167 L p F P
0 g
s
.705 .622 .762 r
.1222 .00609 m .21642 .00609 L .21666 .0167 L p F P
0 g
s
.705 .622 .762 r
.02798 .00609 m .1222 .00609 L .12252 .0167 L p F P
0 g
s
.708 .626 .764 r
.96921 .11079 m .95366 .10904 L .95856 .09941 L p F P
0 g
s
.708 .626 .764 r
.95856 .09941 m .97167 .10046 L .96921 .11079 L p F P
0 g
s
.724 .636 .759 r
.97035 .01665 m .9501 .02204 L .94589 .01235 L p F P
0 g
s
.724 .636 .759 r
.94589 .01235 m .9687 .00624 L .97035 .01665 L p F P
0 g
s
.698 .617 .762 r
.78093 .20493 m .75854 .19866 L .76589 .19084 L p F P
0 g
s
.698 .617 .762 r
.49851 .11079 m .47605 .1045 L .48318 .0966 L p F P
0 g
s
.698 .617 .762 r
.40437 .11079 m .38189 .1045 L .38895 .0966 L p F P
0 g
s
.724 .635 .759 r
.31137 .11079 m .29096 .11621 L .28624 .10658 L p F P
0 g
s
.809 .666 .705 r
.9501 .02204 m .93779 .03239 L .93022 .02516 L p F P
0 g
s
.809 .666 .705 r
.93022 .02516 m .94589 .01235 L .9501 .02204 L p F P
0 g
s
.808 .665 .705 r
.85594 .02204 m .84341 .03239 L .83576 .02516 L p F P
0 g
s
.808 .665 .705 r
.83576 .02516 m .85166 .01235 L .85594 .02204 L p F P
0 g
s
.748 .707 .813 r
.75854 .19866 m .74417 .18671 L .75401 .18221 L p F P
0 g
s
.748 .707 .813 r
.75401 .18221 m .76589 .19084 L .75854 .19866 L p F P
0 g
s
.748 .706 .812 r
.66438 .19866 m .64978 .18671 L .65955 .18221 L p F P
0 g
s
.748 .706 .812 r
.65955 .18221 m .67166 .19084 L .66438 .19866 L p F P
0 g
s
.747 .703 .81 r
.57021 .1045 m .5554 .09232 L .56509 .08775 L p F P
0 g
s
.747 .703 .81 r
.56509 .08775 m .57742 .0966 L .57021 .1045 L p F P
0 g
s
.747 .702 .809 r
.47605 .1045 m .46101 .09232 L .47063 .08775 L p F P
0 g
s
.747 .702 .809 r
.47063 .08775 m .48318 .0966 L .47605 .1045 L p F P
0 g
s
.747 .702 .809 r
.38189 .1045 m .36662 .09232 L .37617 .08775 L p F P
0 g
s
.747 .702 .809 r
.37617 .08775 m .38895 .0966 L .38189 .1045 L p F P
0 g
s
.8 .658 .706 r
.29096 .11621 m .27708 .12678 L .269 .11962 L p F P
0 g
s
.8 .658 .706 r
.269 .11962 m .28624 .10658 L .29096 .11621 L p F P
0 g
s
.799 .657 .706 r
.19679 .11621 m .1827 .12678 L .17454 .11962 L p F P
0 g
s
.799 .657 .706 r
.17454 .11962 m .19201 .10658 L .19679 .11621 L p F P
0 g
s
.798 .656 .706 r
.10263 .11621 m .08831 .12678 L .08008 .11962 L p F P
0 g
s
.798 .656 .706 r
.08008 .11962 m .09777 .10658 L .10263 .11621 L p F P
0 g
s
0 .5 .764 r
.97167 .10046 m .95856 .09941 L .95549 .09657 L p F P
0 g
s
0 .5 .764 r
.95549 .09657 m .97299 .10043 L .97167 .10046 L p F P
0 g
s
.137 .68 .71 r
.9687 .00624 m .94589 .01235 L .95121 .00929 L p F P
0 g
s
.137 .68 .71 r
.95121 .00929 m .97001 .00595 L .9687 .00624 L p F P
0 g
s
.149 .69 .721 r
.87448 .00624 m .85166 .01235 L .85674 .00929 L p F P
0 g
s
.149 .69 .721 r
.85674 .00929 m .87553 .00595 L .87448 .00624 L p F P
0 g
s
0 0 0 r
.78026 .10046 m .76162 .10378 L .75806 .10658 L p F P
0 g
s
0 0 0 r
.68604 .10046 m .66739 .10378 L .66359 .10658 L p F P
0 g
s
.694 .52 .648 r
.51567 .09684 m .49908 .10029 L .49908 .10032 L p F P
0 g
s
0 .535 .711 r
.50057 .10043 m .50057 .10046 L p .48789 .09943 L F P
0 g
s
0 .535 .711 r
.48735 .09939 m .49741 .10018 L p .48789 .09943 L F P
0 g
s
0 .535 .711 r
.49741 .10018 m .50057 .10043 L p .48789 .09943 L F P
0 g
s
.7 .523 .645 r
.50057 .10043 m .48735 .09939 L .48277 .10904 L p F P
0 g
s
.7 .523 .645 r
.48277 .10904 m .49851 .1108 L .49908 .10793 L p F P
0 g
s
.7 .523 .645 r
.49908 .10793 m .50057 .10043 L p .49746 .10194 L F P
0 g
s
.7 .523 .645 r
.48277 .10904 m .49908 .10793 L .49746 .10194 L F
.694 .52 .648 r
.49908 .10032 m .49908 .10793 L p .51048 .10122 L F P
0 g
s
.694 .52 .648 r
.49908 .10793 m .49908 .11085 L p .49972 .11031 L F P
0 g
s
.694 .52 .648 r
.49972 .11031 m .51048 .10122 L .49908 .10793 L F
.51048 .10122 m .51567 .09684 L .49908 .10032 L F
.42118 .09684 m .40459 .10029 L .40459 .10032 L p F P
0 g
s
0 .53 .706 r
.40608 .10043 m .40635 .10046 L p .39343 .09943 L F P
0 g
s
0 .53 .706 r
.39288 .09939 m .40293 .10018 L p .39343 .09943 L F P
0 g
s
0 .53 .706 r
.40293 .10018 m .40608 .10043 L p .39343 .09943 L F P
0 g
s
.7 .523 .645 r
.40608 .10043 m .39288 .09939 L .38823 .10904 L p F P
0 g
s
.7 .523 .645 r
.38823 .10904 m .40394 .1108 L .40453 .10793 L p F P
0 g
s
.7 .523 .645 r
.40453 .10793 m .40608 .10043 L p .40296 .10194 L F P
0 g
s
.7 .523 .645 r
.38823 .10904 m .40453 .10793 L .40296 .10194 L F
.694 .52 .648 r
.40459 .10032 m .40453 .10793 L p .41597 .10122 L F P
0 g
s
.694 .52 .648 r
.40453 .10793 m .40451 .11085 L p .40516 .11031 L F P
0 g
s
.694 .52 .648 r
.40516 .11031 m .41597 .10122 L .40453 .10793 L F
.41597 .10122 m .42118 .09684 L .40459 .10032 L F
.153 .693 .725 r
.30915 .10046 m .28624 .10658 L .28992 .10376 L p F P
0 g
s
.153 .693 .725 r
.28992 .10376 m .30862 .10043 L .30915 .10046 L p F P
0 g
s
.165 .702 .736 r
.21493 .10046 m .19201 .10658 L .19545 .10376 L p F P
0 g
s
.165 .702 .736 r
.19545 .10376 m .21413 .10043 L .21493 .10046 L p F P
0 g
s
.177 .711 .747 r
.12071 .10046 m .09777 .10658 L .10098 .10376 L p F P
0 g
s
.177 .711 .747 r
.10098 .10376 m .11965 .10043 L .12071 .10046 L p F P
0 g
s
0 .55 .805 r
.89548 .00982 m .87597 .00609 L .87702 .0058 L p F P
0 g
s
0 .542 .795 r
.80126 .00982 m .78174 .00609 L .78253 .0058 L p F P
0 g
s
0 0 0 r
.79829 .09687 m .78174 .10031 L .78253 .10029 L p F P
0 g
s
0 .484 .725 r
.70704 .10404 m .68752 .10031 L .68805 .10029 L p F P
0 g
s
0 0 0 r
.60984 .19109 m .5933 .19453 L .59356 .19477 L p F P
0 g
s
0 .515 .762 r
.5186 .00982 m .49908 .00609 L .49908 .0058 L p F P
0 g
s
0 .505 .751 r
.42438 .00982 m .40486 .00609 L .40459 .0058 L p F P
0 g
s
0 .496 .74 r
.33015 .00982 m .31064 .00609 L .31011 .0058 L p F P
0 g
s
.177 .709 .725 r
.32718 .09687 m .31064 .10031 L .31011 .10029 L p F P
0 g
s
.165 0 0 r
.23593 .10404 m .21642 .10031 L .21562 .10029 L p F P
0 g
s
.177 0 0 r
.14171 .10404 m .1222 .10031 L .12114 .10029 L p F P
0 g
s
.189 0 0 r
.04749 .10404 m .02798 .10031 L .02665 .10029 L p F P
0 g
s
.153 .69 .701 r
.04452 .19109 m .03247 .1936 L p .037 .19264 L F P
0 g
s
.652 .623 .808 r
.04452 .19109 m .05804 .1808 L .06554 .18865 L p F P
0 g
s
.581 .928 .738 r
.05804 .1808 m .04452 .19109 L .04324 .19132 L p F P
0 g
s
.153 .69 .701 r
.02665 .19477 m .04324 .19132 L .04452 .19109 L p F P
0 g
s
.572 .466 .695 r
.04324 .19132 m .04491 .20176 L p .05007 .18988 L F P
0 g
s
.581 .928 .738 r
.05271 .1838 m .05804 .1808 L p .04471 .19028 L F P
0 g
s
.581 .928 .738 r
.04324 .19132 m .05271 .1838 L p .04471 .19028 L F P
0 g
s
.696 .666 .817 r
.07443 .17155 m .06554 .18865 L .05804 .1808 L p F P
0 g
s
.696 .666 .817 r
.05804 .1808 m .06443 .16702 L .07443 .17155 L p F P
0 g
s
.752 .932 .583 r
.06443 .16702 m .05804 .1808 L .05271 .1838 L p F P
0 g
s
.595 .514 .733 r
.05271 .1838 m .05695 .19354 L p .05939 .17839 L F P
0 g
s
.752 .932 .583 r
.05271 .1838 m .06051 .1714 L .06443 .16702 L p F P
0 g
s
.595 .514 .733 r
.06051 .1714 m .05271 .1838 L p .05939 .17839 L F P
0 g
s
.572 .466 .695 r
.05271 .1838 m .04324 .19132 L p .05007 .18988 L F P
0 g
s
.153 .69 .701 r
.02798 .19453 m .02665 .19477 L p .037 .19264 L F P
0 g
s
.153 .69 .701 r
.03247 .1936 m .02798 .19453 L p .037 .19264 L F P
0 g
s
0 .55 .805 r
.87702 .0058 m .89659 .00954 L .89548 .00982 L p F P
0 g
s
.656 .62 .802 r
.89251 .09687 m .90817 .08634 L p .90262 .0957 L F P
0 g
s
0 0 0 r
.90817 .08634 m .89251 .09687 L .8936 .09684 L p F P
0 g
s
0 0 0 r
.90497 .0891 m .90817 .08634 L p .89505 .09579 L F P
0 g
s
0 0 0 r
.8936 .09684 m .90497 .0891 L p .89505 .09579 L F P
0 g
s
.656 .62 .802 r
.90817 .08634 m .91502 .09426 L p .90262 .0957 L F P
0 g
s
.697 .665 .815 r
.92594 .07694 m .91502 .09426 L .90817 .08634 L p F P
0 g
s
.697 .665 .815 r
.9166 .07234 m .92594 .07694 L p .91692 .08171 L F P
0 g
s
.697 .665 .815 r
.91109 .08479 m .9166 .07234 L .91692 .08171 L F
.91295 .0784 m .9166 .07234 L p .91109 .08479 L F P
0 g
s
0 0 0 r
.90817 .08634 m .90497 .0891 L p .91583 .07345 L F P
0 g
s
0 0 0 r
.9166 .07234 m .90817 .08634 L p .91583 .07345 L F P
0 g
s
.697 .665 .815 r
.90817 .08634 m .91295 .0784 L p .91109 .08479 L F P
0 g
s
0 0 0 r
.90497 .0891 m .91481 .07648 L .9166 .07234 L p F P
0 g
s
0 0 .12 r
.9166 .07234 m .91481 .07648 L p .9164 .06654 L F P
0 g
s
0 0 .12 r
.91758 .0591 m .9166 .07234 L p .9164 .06654 L F P
0 g
s
.763 .632 .716 r
.93119 .04311 m .92759 .06121 L .91758 .0591 L p F P
0 g
s
.766 .622 .701 r
.9166 .07234 m .91758 .0591 L .92759 .06121 L p F P
0 g
s
0 0 .12 r
.91481 .07648 m .91876 .05896 L .91859 .05898 L p F P
0 g
s
0 0 .12 r
.91859 .05898 m .91758 .0591 L p .9164 .06654 L F P
0 g
s
0 0 .12 r
.91481 .07648 m .91859 .05898 L .9164 .06654 L F
.609 .522 .731 r
.90497 .0891 m .90986 .09877 L p .91325 .08352 L F P
0 g
s
.609 .522 .731 r
.91481 .07648 m .90497 .0891 L p .91325 .08352 L F P
0 g
s
.061 0 0 r
.97019 .19453 m .87597 .19453 L .87702 .19477 L p F P
0 g
s
0 .542 .795 r
.78253 .0058 m .8021 .00954 L .80126 .00982 L p F P
0 g
s
.656 .621 .802 r
.79829 .09687 m .81371 .08634 L p .80832 .0957 L F P
0 g
s
0 0 0 r
.81371 .08634 m .79829 .09687 L .79912 .09684 L p F P
0 g
s
0 0 0 r
.81028 .0891 m .81371 .08634 L p .80057 .09579 L F P
0 g
s
0 0 0 r
.79912 .09684 m .81028 .0891 L p .80057 .09579 L F P
0 g
s
.656 .621 .802 r
.81371 .08634 m .82064 .09426 L p .80832 .0957 L F P
0 g
s
.697 .665 .815 r
.83133 .07694 m .82064 .09426 L .81371 .08634 L p F P
0 g
s
.697 .665 .815 r
.82191 .07234 m .83133 .07694 L p .82239 .08171 L F P
0 g
s
.697 .665 .815 r
.81836 .0784 m .82191 .07234 L p .81661 .08479 L F P
0 g
s
0 0 0 r
.81371 .08634 m .81028 .0891 L p .82114 .07345 L F P
0 g
s
0 0 0 r
.82191 .07234 m .81371 .08634 L p .82114 .07345 L F P
0 g
s
.697 .665 .815 r
.81371 .08634 m .81836 .0784 L p .81661 .08479 L F P
0 g
s
0 0 0 r
.81028 .0891 m .81989 .07648 L .82191 .07234 L p F P
0 g
s
0 0 .06 r
.82191 .07234 m .81989 .07648 L p .82162 .06654 L F P
0 g
s
0 0 .06 r
.82291 .0591 m .82191 .07234 L p .82162 .06654 L F P
0 g
s
.762 .632 .716 r
.8366 .04311 m .833 .06121 L .82291 .0591 L p F P
0 g
s
.765 .622 .701 r
.82191 .07234 m .82291 .0591 L .833 .06121 L p F P
0 g
s
0 0 .06 r
.81989 .07648 m .82382 .05896 L .82369 .05898 L p F P
0 g
s
0 0 .06 r
.82369 .05898 m .82291 .0591 L p .82162 .06654 L F P
0 g
s
0 0 .06 r
.81989 .07648 m .82369 .05898 L .82162 .06654 L F
.697 .665 .815 r
.81661 .08479 m .82191 .07234 L .82239 .08171 L F
.607 .521 .731 r
.81028 .0891 m .8151 .09877 L p .81838 .08352 L F P
0 g
s
.607 .521 .731 r
.81989 .07648 m .81028 .0891 L p .81838 .08352 L F P
0 g
s
0 0 0 r
.78253 .10029 m .79912 .09684 L .79829 .09687 L p F P
0 g
s
.073 .634 .776 r
.78174 .00609 m .68752 .00609 L .68805 .0058 L p F P
0 g
s
.61 .506 .712 r
.70704 .10404 m .72775 .11682 L .72301 .12645 L p F P
0 g
s
0 .272 .706 r
.72775 .11682 m .70704 .10404 L .70762 .10403 L p F P
0 g
s
0 .484 .725 r
.68805 .10029 m .70762 .10403 L .70704 .10404 L p F P
0 g
s
.073 .634 .776 r
.68752 .00609 m .5933 .00609 L .59356 .0058 L p F P
0 g
s
0 0 0 r
.59356 .19477 m .61015 .19132 L .60984 .19109 L p F P
0 g
s
.607 .505 .712 r
.5186 .00982 m .53883 .02236 L .53423 .03207 L p F P
0 g
s
0 .26 .693 r
.53883 .02236 m .5186 .00982 L .51865 .00954 L p F P
0 g
s
0 .515 .762 r
.49908 .0058 m .51865 .00954 L .5186 .00982 L p F P
0 g
s
.061 0 0 r
.5933 .19453 m .49908 .19453 L .49908 .19477 L p F P
0 g
s
.606 .504 .712 r
.42438 .00982 m .44437 .02236 L .43985 .03207 L p F P
0 g
s
0 .233 .661 r
.44437 .02236 m .42438 .00982 L .42416 .00954 L p F P
0 g
s
0 .505 .751 r
.40459 .0058 m .42416 .00954 L .42438 .00982 L p F P
0 g
s
.061 0 0 r
.49908 .19453 m .40486 .19453 L .40459 .19477 L p F P
0 g
s
.604 .503 .712 r
.33015 .00982 m .34991 .02236 L .34546 .03207 L p F P
0 g
s
0 .496 .74 r
.31011 .0058 m .32968 .00954 L .33015 .00982 L p F P
0 g
s
0 .204 .628 r
.34991 .02236 m .33015 .00982 L .32968 .00954 L p F P
0 g
s
.177 .709 .725 r
.31011 .10029 m .3267 .09684 L .32718 .09687 L p F P
0 g
s
.073 .634 .776 r
.31064 .00609 m .21642 .00609 L .21562 .0058 L p F P
0 g
s
.165 0 0 r
.21562 .10029 m .23519 .10403 L .23593 .10404 L p F P
0 g
s
.073 .634 .776 r
.21642 .00609 m .1222 .00609 L .12114 .0058 L p F P
0 g
s
.177 0 0 r
.12114 .10029 m .14071 .10403 L .14171 .10404 L p F P
0 g
s
.073 .634 .776 r
.1222 .00609 m .02798 .00609 L .02665 .0058 L p F P
0 g
s
.189 0 0 r
.02665 .10029 m .04622 .10403 L .04749 .10404 L p F P
0 g
s
.061 0 0 r
.87702 .19477 m .9715 .19477 L .97019 .19453 L p F P
0 g
s
.061 0 0 r
.78253 .19477 m .87702 .19477 L .87597 .19453 L p F P
0 g
s
.073 .634 .776 r
.68805 .0058 m .78253 .0058 L .78174 .00609 L p F P
0 g
s
.073 .634 .776 r
.59356 .0058 m .68805 .0058 L .68752 .00609 L p F P
0 g
s
.061 0 0 r
.49908 .19477 m .59356 .19477 L .5933 .19453 L p F P
0 g
s
.061 0 0 r
.40459 .19477 m .49908 .19477 L .49908 .19453 L p F P
0 g
s
.073 .634 .776 r
.21562 .0058 m .31011 .0058 L .31064 .00609 L p F P
0 g
s
.073 .634 .776 r
.12114 .0058 m .21562 .0058 L .21642 .00609 L p F P
0 g
s
.073 .634 .776 r
.02665 .0058 m .12114 .0058 L .1222 .00609 L p F P
0 g
s
0 0 0 r
.94589 .01235 m .93022 .02516 L .93411 .02073 L p F P
0 g
s
0 0 0 r
.93411 .02073 m .95121 .00929 L .94589 .01235 L p F P
0 g
s
0 0 0 r
.85166 .01235 m .83576 .02516 L .83942 .02073 L p F P
0 g
s
0 0 0 r
.83942 .02073 m .85674 .00929 L .85166 .01235 L p F P
0 g
s
.413 0 0 r
.76589 .19084 m .75401 .18221 L .75746 .18661 L p F P
0 g
s
.413 0 0 r
.75746 .18661 m .77077 .19386 L .76589 .19084 L p F P
0 g
s
0 0 0 r
.74075 .1196 m .75806 .10658 L .76162 .10378 L p F P
0 g
s
.443 0 0 r
.67166 .19084 m .65955 .18221 L .66277 .18661 L p F P
0 g
s
.443 0 0 r
.66277 .18661 m .67629 .19386 L .67166 .19084 L p F P
0 g
s
.42 0 0 r
.57742 .0966 m .56509 .08775 L .56807 .09192 L p F P
0 g
s
.42 0 0 r
.56807 .09192 m .58182 .09939 L .57742 .0966 L p F P
0 g
s
.45 0 0 r
.48318 .0966 m .47063 .08775 L .47338 .09192 L p F P
0 g
s
.45 0 0 r
.47338 .09192 m .48735 .09939 L .48318 .0966 L p F P
0 g
s
.479 0 0 r
.38895 .0966 m .37617 .08775 L .37868 .09192 L p F P
0 g
s
.479 0 0 r
.37868 .09192 m .39288 .09939 L .38895 .0966 L p F P
0 g
s
.484 .875 .691 r
.28624 .10658 m .269 .11962 L .27125 .11543 L p F P
0 g
s
.484 .875 .691 r
.27125 .11543 m .28992 .10376 L .28624 .10658 L p F P
0 g
s
.516 .896 .721 r
.19201 .10658 m .17454 .11962 L .17655 .11543 L p F P
0 g
s
.516 .896 .721 r
.17655 .11543 m .19545 .10376 L .19201 .10658 L p F P
0 g
s
.546 .915 .749 r
.09777 .10658 m .08008 .11962 L .08186 .11543 L p F P
0 g
s
.546 .915 .749 r
.08186 .11543 m .10098 .10376 L .09777 .10658 L p F P
0 g
s
.581 .476 .7 r
.75806 .10658 m .74075 .1196 L .74884 .12677 L p F P
0 g
s
.579 .475 .699 r
.66359 .10658 m .64651 .1196 L .65452 .12677 L p F P
0 g
s
.577 .473 .699 r
.56912 .01211 m .55226 .02535 L .5602 .03245 L p F P
0 g
s
.575 .471 .699 r
.47465 .01211 m .45802 .02535 L .46588 .03245 L p F P
0 g
s
.572 .469 .698 r
.38018 .01211 m .36377 .02535 L .37157 .03245 L p F P
0 g
s
.811 .658 .693 r
.91572 .02255 m .89659 .00954 L .89487 .01983 L p F P
0 g
s
.811 .658 .693 r
.89487 .01983 m .91148 .03212 L .91572 .02255 L p F P
0 g
s
.81 .657 .693 r
.82148 .02255 m .8021 .00954 L .8003 .01983 L p F P
0 g
s
.81 .657 .693 r
.8003 .01983 m .81716 .03212 L .82148 .02255 L p F P
0 g
s
.73 .519 .605 r
.71876 .18063 m .70464 .19132 L .70688 .20176 L p F P
0 g
s
.73 .519 .605 r
.70688 .20176 m .72608 .18859 L .71876 .18063 L p F P
0 g
s
.73 .519 .606 r
.62451 .18063 m .61015 .19132 L .61231 .20176 L p F P
0 g
s
.73 .519 .606 r
.61231 .20176 m .63177 .18859 L .62451 .18063 L p F P
0 g
s
.73 .519 .605 r
.53027 .08639 m .51567 .09684 L .51774 .1072 L p F P
0 g
s
.73 .519 .605 r
.51774 .1072 m .53745 .09427 L .53027 .08639 L p F P
0 g
s
.73 .519 .605 r
.43602 .08639 m .42118 .09684 L .42318 .1072 L p F P
0 g
s
.73 .519 .605 r
.42318 .1072 m .44313 .09427 L .43602 .08639 L p F P
0 g
s
.73 .519 .606 r
.34177 .08639 m .3267 .09684 L .32861 .1072 L p F P
0 g
s
.73 .519 .606 r
.32861 .1072 m .34881 .09427 L .34177 .08639 L p F P
0 g
s
.802 .651 .695 r
.256 .1168 m .23519 .10403 L .2329 .1144 L p F P
0 g
s
.802 .651 .695 r
.2329 .1144 m .25125 .12644 L .256 .1168 L p F P
0 g
s
.801 .65 .695 r
.16175 .1168 m .14071 .10403 L .13834 .1144 L p F P
0 g
s
.801 .65 .695 r
.13834 .1144 m .15694 .12644 L .16175 .1168 L p F P
0 g
s
.8 .649 .695 r
.06751 .1168 m .04622 .10403 L .04377 .1144 L p F P
0 g
s
.8 .649 .695 r
.04377 .1144 m .06262 .12644 L .06751 .1168 L p F P
0 g
s
.596 .69 .908 r
.91148 .03212 m .89487 .01983 L .8927 .02642 L p F P
0 g
s
.595 .69 .909 r
.81716 .03212 m .8003 .01983 L .79835 .02642 L p F P
0 g
s
.855 .845 .833 r
.72608 .18859 m .70688 .20176 L .70768 .20795 L p F P
0 g
s
.853 .839 .831 r
.63177 .18859 m .61231 .20176 L .61333 .20795 L p F P
0 g
s
.849 .83 .828 r
.53745 .09427 m .51774 .1072 L .51897 .11359 L p F P
0 g
s
.847 .825 .826 r
.44313 .09427 m .42318 .1072 L .42462 .11359 L p F P
0 g
s
.844 .82 .825 r
.34881 .09427 m .32861 .1072 L .33027 .11359 L p F P
0 g
s
.58 .696 .921 r
.25125 .12644 m .2329 .1144 L .23223 .12078 L p F P
0 g
s
.579 .697 .922 r
.15694 .12644 m .13834 .1144 L .13788 .12078 L p F P
0 g
s
.577 .697 .924 r
.06262 .12644 m .04377 .1144 L .04353 .12078 L p F P
0 g
s
.669 .469 .605 r
.93263 .09234 m .94867 .10448 L .95549 .09657 L p F P
0 g
s
.668 .468 .605 r
.83831 .09234 m .85413 .10448 L .86102 .09657 L p F P
0 g
s
.581 .476 .7 r
.74884 .12677 m .76283 .11624 L .75806 .10658 L p F P
0 g
s
.579 .475 .699 r
.65452 .12677 m .66829 .11624 L .66359 .10658 L p F P
0 g
s
.577 .473 .699 r
.5602 .03245 m .57374 .02169 L .56912 .01211 L p F P
0 g
s
.575 .471 .699 r
.46588 .03245 m .4792 .02169 L .47465 .01211 L p F P
0 g
s
.572 .469 .698 r
.37157 .03245 m .38466 .02169 L .38018 .01211 L p F P
0 g
s
.668 .467 .603 r
.2724 .18665 m .28687 .19903 L .2942 .19104 L p F P
0 g
s
.668 .466 .603 r
.17808 .18665 m .19233 .19903 L .19973 .19104 L p F P
0 g
s
.668 .466 .602 r
.08376 .18665 m .09778 .19903 L .10526 .19104 L p F P
0 g
s
.62 .684 .888 r
.97134 .1108 m .94867 .10448 L .94755 .11219 L p F P
0 g
s
.62 .684 .888 r
.94755 .11219 m .969 .11719 L .97134 .1108 L p F P
0 g
s
.627 .687 .887 r
.87732 .01647 m .87649 .02301 L p .87677 .02297 L F P
0 g
s
.688 .517 .65 r
.86419 .01714 m .87756 .01625 L p .87553 .00595 L F P
0 g
s
.716 .538 .648 r
.87756 .01621 m .87757 .01625 L .89659 .00954 L F
.89571 .01482 m .89659 .00954 L p .87743 .0163 L F P
0 g
s
.716 .538 .648 r
.89659 .00954 m .87702 .0058 L .87725 .01339 L p F P
0 g
s
.688 .517 .65 r
.87742 .01412 m .87553 .00595 L p .87756 .01625 L F P
0 g
s
.716 .538 .648 r
.87725 .01339 m .87734 .01629 L p .87756 .01621 L F P
0 g
s
.716 .538 .648 r
.87756 .01621 m .89659 .00954 L .87725 .01339 L F
.688 .517 .65 r
.87791 .01623 m .87742 .01412 L p .87756 .01621 L F P
0 g
s
.688 .517 .65 r
.87756 .01625 m .87757 .01625 L p .87756 .01621 L F P
0 g
s
.688 .517 .65 r
.87757 .01625 m .87791 .01623 L p .87756 .01621 L F P
0 g
s
.703 .758 .895 r
.87791 .01623 m .87711 .01628 L p .8774 .01655 L F P
0 g
s
.716 .538 .648 r
.87734 .01629 m .87743 .0163 L p .87757 .01625 L F P
0 g
s
.716 .538 .648 r
.87734 .01629 m .87757 .01625 L .87756 .01621 L F
.703 .758 .895 r
.87833 .02283 m .87792 .01626 L p .87781 .01629 L F P
0 g
s
.703 .758 .895 r
.87781 .01629 m .87792 .01626 L .87785 .01627 L F
.8774 .01655 m .87758 .01776 L .87781 .01629 L F
.87758 .01776 m .87833 .02283 L .87781 .01629 L F
.716 .538 .648 r
.87743 .0163 m .89487 .01983 L .89571 .01482 L p F P
0 g
s
.703 .758 .895 r
.87792 .01626 m .87791 .01623 L p .87785 .01627 L F P
0 g
s
.703 .758 .895 r
.87676 .02307 m .87833 .02283 L p .8774 .01655 L F P
0 g
s
.627 .687 .887 r
.8927 .02642 m .89487 .01983 L p .87677 .02297 L F P
0 g
s
.627 .687 .887 r
.87649 .02301 m .87675 .02307 L p .87677 .02297 L F P
0 g
s
.627 .687 .887 r
.87675 .02307 m .8927 .02642 L p .87677 .02297 L F P
0 g
s
.627 .687 .887 r
.87677 .02297 m .8833 .02183 L .8774 .01655 L F
.87677 .02297 m .8774 .01655 L .87732 .01647 L F
.703 .758 .895 r
.86368 .02502 m .87676 .02307 L p .8774 .01655 L F P
0 g
s
.703 .758 .895 r
.86419 .01714 m .86368 .02502 L p .8774 .01655 L F P
0 g
s
.703 .758 .895 r
.87711 .01628 m .86419 .01714 L p .8774 .01655 L F P
0 g
s
.627 .687 .887 r
.89487 .01983 m .87734 .01629 L .87732 .01647 L p F P
0 g
s
.627 .687 .887 r
.8833 .02183 m .89487 .01983 L .87732 .01647 L F
.703 .759 .896 r
.97248 .01623 m .95874 .01714 L .95803 .02502 L p F P
0 g
s
.703 .759 .896 r
.95803 .02502 m .97268 .02283 L .97248 .01623 L p F P
0 g
s
.883 .871 .82 r
.94639 .03246 m .95803 .02502 L .95874 .01714 L p F P
0 g
s
.729 .809 .914 r
.90986 .09877 m .89601 .1072 L .89639 .11359 L p F P
0 g
s
.729 .809 .914 r
.89639 .11359 m .91608 .10194 L .90986 .09877 L p F P
0 g
s
.711 .769 .898 r
.89601 .1072 m .87734 .11085 L .87649 .11737 L p F P
0 g
s
.711 .769 .898 r
.87649 .11737 m .89639 .11359 L .89601 .1072 L p F P
0 g
s
.666 .738 .904 r
.97191 .20542 m .87734 .20542 L .87649 .21172 L p F P
0 g
s
.666 .738 .904 r
.87649 .21172 m .97084 .21172 L .97191 .20542 L p F P
0 g
s
.619 .685 .889 r
.87677 .1108 m .85413 .10448 L .8532 .11219 L p F P
0 g
s
.619 .685 .889 r
.8532 .11219 m .87465 .11719 L .87677 .1108 L p F P
0 g
s
.627 .688 .888 r
.8003 .01983 m .78278 .01629 L .78214 .02301 L p F P
0 g
s
.627 .688 .888 r
.78214 .02301 m .79835 .02642 L .8003 .01983 L p F P
0 g
s
.881 .865 .819 r
.85181 .03246 m .86368 .02502 L .86419 .01714 L p F P
0 g
s
.729 .808 .913 r
.8151 .09877 m .80144 .1072 L .80203 .11359 L p F P
0 g
s
.729 .808 .913 r
.80203 .11359 m .8215 .10194 L .8151 .09877 L p F P
0 g
s
.711 .768 .897 r
.7847 .11048 m .78359 .11069 L p .78273 .11131 L F P
0 g
s
.682 .513 .651 r
.78334 .11075 m .78271 .10793 L p .76384 .11536 L F P
0 g
s
.682 .513 .651 r
.78271 .10793 m .78104 .10043 L p .78037 .10101 L F P
0 g
s
.682 .513 .651 r
.76384 .11536 m .78271 .10793 L .78037 .10101 L F
.694 .521 .649 r
.79912 .09684 m .78253 .10029 L .78271 .10793 L p F P
0 g
s
.694 .521 .649 r
.78271 .10793 m .78278 .11085 L p .78349 .11024 L F P
0 g
s
.694 .521 .649 r
.78349 .11024 m .79912 .09684 L .78271 .10793 L F
.711 .768 .897 r
.78359 .11069 m .78278 .11085 L .78277 .11089 L p F P
0 g
s
.711 .768 .897 r
.78277 .11089 m .78273 .11131 L p .78359 .11069 L F P
0 g
s
.682 .513 .651 r
.76283 .11624 m .78335 .1108 L .78334 .11075 L p F P
0 g
s
.682 .513 .651 r
.76283 .11624 m .78334 .11075 L .76384 .11536 L F
.702 .762 .899 r
.78335 .1108 m .76283 .11624 L .76675 .11813 L p F P
0 g
s
.702 .762 .899 r
.76675 .11813 m .76933 .11937 L p .78197 .11164 L F P
0 g
s
.702 .762 .899 r
.78197 .11164 m .78335 .1108 L .76675 .11813 L F
.711 .768 .897 r
.80144 .1072 m .7847 .11048 L p .78214 .11737 L F P
0 g
s
.711 .768 .897 r
.78273 .11131 m .78214 .11737 L p .7847 .11048 L F P
0 g
s
.711 .768 .897 r
.78214 .11737 m .80203 .11359 L .80144 .1072 L p F P
0 g
s
.666 .738 .904 r
.87734 .20542 m .78278 .20542 L .78214 .21172 L p F P
0 g
s
.666 .738 .904 r
.78214 .21172 m .87649 .21172 L .87734 .20542 L p F P
0 g
s
.671 .731 .895 r
.78278 .01629 m .68821 .01629 L .68779 .02301 L p F P
0 g
s
.671 .731 .895 r
.68779 .02301 m .78214 .02301 L .78278 .01629 L p F P
0 g
s
.615 .687 .894 r
.78221 .20536 m .7664 .20358 L .75884 .20654 L p F P
0 g
s
.615 .687 .894 r
.75884 .20654 m .7803 .21154 L .78221 .20536 L p F P
0 g
s
.579 .666 .898 r
.74151 .19391 m .75884 .20654 L .7664 .20358 L p F P
0 g
s
.42 .465 .801 r
.71707 .12196 m .70573 .1144 L .704 .12078 L p F P
0 g
s
.42 .465 .801 r
.704 .12078 m .71642 .12964 L .71707 .12196 L p F P
0 g
s
.702 .761 .898 r
.66829 .11624 m .67497 .11937 L p .68828 .1111 L F P
0 g
s
.702 .761 .898 r
.68963 .11719 m .68878 .11083 L p .68868 .11089 L F P
0 g
s
.702 .761 .898 r
.68828 .1111 m .68854 .11228 L .68868 .11089 L F
.68854 .11228 m .68963 .11719 L .68868 .11089 L F
.68805 .11742 m .68963 .11719 L p .68828 .1111 L F P
0 g
s
.622 .69 .892 r
.704 .12078 m .70573 .1144 L p .68805 .11732 L F P
0 g
s
.622 .69 .892 r
.68779 .11737 m .68804 .11742 L p .68805 .11732 L F P
0 g
s
.622 .69 .892 r
.68804 .11742 m .704 .12078 L p .68805 .11732 L F P
0 g
s
.702 .761 .898 r
.68828 .1111 m .68878 .11083 L .68872 .11083 L F
.716 .539 .648 r
.68839 .11089 m .70573 .1144 L .70665 .10935 L p F P
0 g
s
.716 .539 .648 r
.70665 .10935 m .70694 .10779 L p .68872 .11083 L F P
0 g
s
.702 .761 .898 r
.6885 .11087 m .68838 .1109 L p .68872 .11083 L F P
0 g
s
.716 .539 .648 r
.68839 .11089 m .70665 .10935 L .68872 .11083 L F
.682 .513 .651 r
.67574 .10979 m .6885 .11087 L .68656 .10043 L F
.68838 .1109 m .6885 .11087 L p .67574 .10979 L F P
0 g
s
.682 .513 .651 r
.6885 .11087 m .68849 .11075 L .68656 .10043 L F
.716 .539 .648 r
.68849 .11075 m .70762 .10403 L .68817 .10793 L F
.682 .513 .651 r
.68832 .10866 m .68817 .10793 L p .68849 .11075 L F P
0 g
s
.682 .513 .651 r
.68817 .10793 m .68656 .10043 L p .68849 .11075 L F P
0 g
s
.716 .539 .648 r
.70762 .10403 m .68805 .10029 L .68817 .10793 L p F P
0 g
s
.716 .539 .648 r
.68817 .10793 m .68821 .11085 L p .68849 .11075 L F P
0 g
s
.716 .539 .648 r
.70694 .10779 m .70762 .10403 L p .68839 .11089 L F P
0 g
s
.702 .761 .898 r
.68878 .11083 m .68878 .1108 L p .68872 .11083 L F P
0 g
s
.622 .69 .892 r
.68779 .11737 m .68805 .11732 L .68818 .1138 L F
.702 .761 .898 r
.68828 .1111 m .68872 .11083 L .68838 .1109 L F
.622 .69 .892 r
.68779 .11737 m .68851 .11091 L .68839 .1109 L F
.68818 .11131 m .68779 .11737 L p .68839 .11089 L F P
0 g
s
.702 .761 .898 r
.67497 .11937 m .68805 .11742 L p .68828 .1111 L F P
0 g
s
.622 .69 .892 r
.70573 .1144 m .68851 .11091 L p .68818 .1138 L F P
0 g
s
.622 .69 .892 r
.68805 .11732 m .70573 .1144 L .68818 .1138 L F
.68851 .11091 m .68839 .11089 L p .68839 .1109 L F P
0 g
s
.682 .513 .651 r
.66829 .11624 m .68838 .1109 L p .67574 .10979 L F P
0 g
s
.716 .539 .648 r
.68849 .11075 m .6885 .11085 L .70762 .10403 L F
.682 .513 .651 r
.6885 .11087 m .68878 .1108 L .68832 .10866 L p F P
0 g
s
.716 .539 .648 r
.68821 .11085 m .68839 .11089 L p .6885 .11085 L F P
0 g
s
.716 .539 .648 r
.68821 .11085 m .6885 .11085 L .68849 .11075 L F
.702 .761 .898 r
.68878 .1108 m .6885 .11087 L p .68872 .11083 L F P
0 g
s
.622 .69 .892 r
.68839 .11089 m .68821 .11085 L .68818 .11131 L p F P
0 g
s
.702 .761 .898 r
.68838 .1109 m .66829 .11624 L p .68828 .1111 L F P
0 g
s
.702 .762 .899 r
.76933 .11937 m .78398 .11719 L .78335 .1108 L p F P
0 g
s
.71 .772 .901 r
.70688 .20176 m .68821 .20542 L .68779 .21172 L p F P
0 g
s
.71 .772 .901 r
.68779 .21172 m .70768 .20795 L .70688 .20176 L p F P
0 g
s
.703 .756 .893 r
.57374 .02169 m .58062 .02502 L p .59384 .01647 L F P
0 g
s
.705 .528 .647 r
.68821 .01629 m .68805 .0058 L p .59441 .0162 L F P
0 g
s
.703 .756 .893 r
.59527 .02283 m .59422 .01624 L p .59384 .01647 L F P
0 g
s
.705 .528 .647 r
.59398 .01629 m .68821 .01629 L p .59455 .0162 L F P
0 g
s
.705 .528 .647 r
.59419 .01624 m .59455 .0162 L .59441 .0162 L F
.703 .756 .893 r
.59408 .01627 m .59397 .01629 L p .59419 .01624 L F P
0 g
s
.705 .528 .647 r
.59398 .01629 m .59455 .0162 L .59419 .01624 L F
.59407 .01624 m .59408 .01627 L .59441 .0162 L F
.703 .756 .893 r
.59422 .01624 m .59421 .01623 L p .59419 .01624 L F P
0 g
s
.703 .756 .893 r
.59384 .01647 m .59422 .01624 L .59419 .01624 L F
.671 .731 .895 r
.59343 .02301 m .59405 .02297 L .5939 .01818 L F
.703 .756 .893 r
.59406 .02301 m .59527 .02283 L p .59384 .01647 L F P
0 g
s
.703 .756 .893 r
.59384 .01647 m .59419 .01624 L .59397 .01629 L F
.671 .731 .895 r
.59343 .02301 m .59408 .01629 L .59398 .01629 L F
.59363 .01676 m .59343 .02301 L p .59398 .01629 L F P
0 g
s
.671 .731 .895 r
.59343 .02301 m .68779 .02301 L .68821 .01629 L p F P
0 g
s
.703 .756 .893 r
.58062 .02502 m .59406 .02301 L p .59384 .01647 L F P
0 g
s
.671 .731 .895 r
.68821 .01629 m .59408 .01629 L p .5939 .01818 L F P
0 g
s
.671 .731 .895 r
.59405 .02297 m .68821 .01629 L .5939 .01818 L F
.59408 .01629 m .59398 .01629 L p .59398 .01629 L F P
0 g
s
.682 .512 .65 r
.57861 .01751 m .59408 .01627 L .59207 .00595 L F
.59397 .01629 m .59408 .01627 L p .57861 .01751 L F P
0 g
s
.671 .731 .895 r
.59398 .01629 m .59364 .01629 L .59363 .01676 L p F P
0 g
s
.682 .512 .65 r
.57374 .02169 m .59397 .01629 L p .57861 .01751 L F P
0 g
s
.682 .512 .65 r
.59362 .01339 m .59207 .00595 L p .59408 .01627 L F P
0 g
s
.705 .528 .647 r
.68805 .0058 m .59356 .0058 L .59364 .01629 L p F P
0 g
s
.682 .512 .65 r
.59408 .01627 m .59421 .01623 L .59362 .01339 L p F P
0 g
s
.705 .528 .647 r
.59364 .01629 m .59398 .01629 L p .59408 .01627 L F P
0 g
s
.705 .528 .647 r
.59364 .01629 m .59408 .01627 L .59407 .01624 L F
.703 .756 .893 r
.59421 .01623 m .59408 .01627 L p .59419 .01624 L F P
0 g
s
.703 .756 .893 r
.59397 .01629 m .57374 .02169 L p .59384 .01647 L F P
0 g
s
.614 .688 .895 r
.68764 .20536 m .67186 .20358 L .66449 .20654 L p F P
0 g
s
.614 .688 .895 r
.66449 .20654 m .68594 .21154 L .68764 .20536 L p F P
0 g
s
.577 .666 .899 r
.64693 .19391 m .66449 .20654 L .67186 .20358 L p F P
0 g
s
.409 .461 .802 r
.6223 .12196 m .61117 .1144 L .60965 .12078 L p F P
0 g
s
.409 .461 .802 r
.60965 .12078 m .62184 .12964 L .6223 .12196 L p F P
0 g
s
.622 .691 .893 r
.61117 .1144 m .59364 .11085 L .59343 .11737 L p F P
0 g
s
.622 .691 .893 r
.59343 .11737 m .60965 .12078 L .61117 .1144 L p F P
0 g
s
.71 .771 .9 r
.61231 .20176 m .59364 .20542 L .59343 .21172 L p F P
0 g
s
.71 .771 .9 r
.59343 .21172 m .61333 .20795 L .61231 .20176 L p F P
0 g
s
.617 .686 .892 r
.59307 .1108 m .57732 .10904 L .57014 .11219 L p F P
0 g
s
.617 .686 .892 r
.57014 .11219 m .59159 .11719 L .59307 .1108 L p F P
0 g
s
.58 .666 .897 r
.55235 .09933 m .57014 .11219 L .57732 .10904 L p F P
0 g
s
.406 .459 .803 r
.52754 .02719 m .5166 .01983 L .51529 .02642 L p F P
0 g
s
.406 .459 .803 r
.51529 .02642 m .52726 .03507 L .52754 .02719 L p F P
0 g
s
.704 .756 .893 r
.4792 .02169 m .48627 .02502 L p .49917 .01655 L F P
0 g
s
.704 .756 .893 r
.50092 .02283 m .49965 .01626 L p .49955 .01632 L F P
0 g
s
.704 .756 .893 r
.49917 .01655 m .49951 .01776 L .49955 .01632 L F
.49951 .01776 m .50092 .02283 L .49955 .01632 L F
.49934 .02307 m .50092 .02283 L p .49917 .01655 L F P
0 g
s
.624 .689 .89 r
.51529 .02642 m .5166 .01983 L p .49934 .02297 L F P
0 g
s
.624 .689 .89 r
.49908 .02301 m .49934 .02307 L p .49934 .02297 L F P
0 g
s
.624 .689 .89 r
.49934 .02307 m .51529 .02642 L p .49934 .02297 L F P
0 g
s
.704 .756 .893 r
.49917 .01655 m .49965 .01626 L .49959 .01627 L F
.716 .539 .648 r
.49926 .01632 m .5166 .01983 L .5176 .01482 L p F P
0 g
s
.716 .539 .648 r
.5176 .01482 m .51791 .01327 L p .49959 .01627 L F P
0 g
s
.704 .756 .893 r
.49937 .0163 m .49925 .01634 L p .49959 .01627 L F P
0 g
s
.716 .539 .648 r
.49926 .01632 m .5176 .01482 L .49959 .01627 L F
.682 .512 .65 r
.4867 .01527 m .49937 .0163 L .49759 .00595 L F
.49925 .01634 m .49937 .0163 L p .4867 .01527 L F P
0 g
s
.682 .512 .65 r
.49937 .0163 m .49936 .01619 L .49759 .00595 L F
.716 .539 .648 r
.49936 .01619 m .51865 .00954 L .49908 .01339 L F
.682 .512 .65 r
.49922 .01412 m .49908 .01339 L p .49936 .01619 L F P
0 g
s
.682 .512 .65 r
.49908 .01339 m .49759 .00595 L p .49936 .01619 L F P
0 g
s
.716 .539 .648 r
.51865 .00954 m .49908 .0058 L .49908 .01339 L p F P
0 g
s
.716 .539 .648 r
.49908 .01339 m .49908 .01629 L p .49936 .01619 L F P
0 g
s
.716 .539 .648 r
.51791 .01327 m .51865 .00954 L p .49926 .01632 L F P
0 g
s
.704 .756 .893 r
.49965 .01626 m .49965 .01623 L p .49959 .01627 L F P
0 g
s
.624 .689 .89 r
.49908 .02301 m .49934 .02297 L .49924 .01933 L F
.704 .756 .893 r
.49917 .01655 m .49959 .01627 L .49925 .01634 L F
.624 .689 .89 r
.49908 .02301 m .49937 .01635 L .49926 .01634 L F
.49908 .01676 m .49908 .02301 L p .49926 .01632 L F P
0 g
s
.704 .756 .893 r
.48627 .02502 m .49934 .02307 L p .49917 .01655 L F P
0 g
s
.624 .689 .89 r
.5166 .01983 m .49937 .01635 L p .49924 .01933 L F P
0 g
s
.624 .689 .89 r
.49934 .02297 m .5166 .01983 L .49924 .01933 L F
.49937 .01635 m .49926 .01632 L p .49926 .01634 L F P
0 g
s
.682 .512 .65 r
.4792 .02169 m .49925 .01634 L p .4867 .01527 L F P
0 g
s
.716 .539 .648 r
.49936 .01619 m .49937 .01628 L .51865 .00954 L F
.682 .512 .65 r
.49937 .0163 m .49965 .01623 L .49922 .01412 L p F P
0 g
s
.716 .539 .648 r
.49908 .01629 m .49926 .01632 L p .49937 .01628 L F P
0 g
s
.716 .539 .648 r
.49908 .01629 m .49937 .01628 L .49936 .01619 L F
.704 .756 .893 r
.49965 .01623 m .49937 .0163 L p .49959 .01627 L F P
0 g
s
.624 .689 .89 r
.49926 .01632 m .49908 .01629 L .49908 .01676 L p F P
0 g
s
.704 .756 .893 r
.49925 .01634 m .4792 .02169 L p .49917 .01655 L F P
0 g
s
.711 .766 .895 r
.51774 .1072 m .49908 .11085 L .49908 .11737 L p F P
0 g
s
.711 .766 .895 r
.49908 .11737 m .51897 .11359 L .51774 .1072 L p F P
0 g
s
.666 .738 .904 r
.59364 .20542 m .49908 .20542 L .49908 .21172 L p F P
0 g
s
.666 .738 .904 r
.49908 .21172 m .59343 .21172 L .59364 .20542 L p F P
0 g
s
.616 .686 .893 r
.49851 .1108 m .48277 .10904 L .47578 .11219 L p F P
0 g
s
.616 .686 .893 r
.47578 .11219 m .49724 .11719 L .49851 .1108 L p F P
0 g
s
.579 .666 .898 r
.45778 .09933 m .47578 .11219 L .48277 .10904 L p F P
0 g
s
.394 .454 .804 r
.43277 .02719 m .42204 .01983 L .42094 .02642 L p F P
0 g
s
.394 .454 .804 r
.42094 .02642 m .43268 .03507 L .43277 .02719 L p F P
0 g
s
.704 .755 .892 r
.38466 .02169 m .39192 .02502 L p .40461 .01655 L F P
0 g
s
.704 .755 .892 r
.40657 .02283 m .40509 .01626 L p .40499 .01632 L F P
0 g
s
.704 .755 .892 r
.40461 .01655 m .40499 .01776 L .40499 .01632 L F
.40499 .01776 m .40657 .02283 L .40499 .01632 L F
.40499 .02307 m .40657 .02283 L p .40461 .01655 L F P
0 g
s
.624 .69 .891 r
.42094 .02642 m .42204 .01983 L p .40499 .02297 L F P
0 g
s
.624 .69 .891 r
.40473 .02301 m .40499 .02307 L p .40499 .02297 L F P
0 g
s
.624 .69 .891 r
.40499 .02307 m .42094 .02642 L p .40499 .02297 L F P
0 g
s
.704 .755 .892 r
.40461 .01655 m .40509 .01626 L .40502 .01627 L F
.716 .539 .648 r
.40469 .01632 m .42204 .01983 L .42307 .01482 L p F P
0 g
s
.716 .539 .648 r
.42307 .01482 m .42339 .01327 L p .40502 .01627 L F P
0 g
s
.704 .755 .892 r
.40481 .0163 m .40469 .01634 L p .40502 .01627 L F P
0 g
s
.716 .539 .648 r
.40469 .01632 m .42307 .01482 L .40502 .01627 L F
.681 .512 .65 r
.39218 .01527 m .40481 .0163 L .4031 .00595 L F
.40469 .01634 m .40481 .0163 L p .39218 .01527 L F P
0 g
s
.681 .512 .65 r
.40481 .0163 m .4048 .01619 L .4031 .00595 L F
.716 .539 .648 r
.4048 .01619 m .42416 .00954 L .40453 .01339 L F
.681 .512 .65 r
.40467 .01412 m .40453 .01339 L p .4048 .01619 L F P
0 g
s
.681 .512 .65 r
.40453 .01339 m .4031 .00595 L p .4048 .01619 L F P
0 g
s
.716 .539 .648 r
.42416 .00954 m .40459 .0058 L .40453 .01339 L p F P
0 g
s
.716 .539 .648 r
.40453 .01339 m .40451 .01629 L p .4048 .01619 L F P
0 g
s
.716 .539 .648 r
.42339 .01327 m .42416 .00954 L p .40469 .01632 L F P
0 g
s
.704 .755 .892 r
.40509 .01626 m .40508 .01623 L p .40502 .01627 L F P
0 g
s
.624 .69 .891 r
.40473 .02301 m .40499 .02297 L .40477 .01933 L F
.704 .755 .892 r
.40461 .01655 m .40502 .01627 L .40469 .01634 L F
.624 .69 .891 r
.40473 .02301 m .40481 .01635 L .40469 .01634 L F
.40453 .01676 m .40473 .02301 L p .40469 .01632 L F P
0 g
s
.704 .755 .892 r
.39192 .02502 m .40499 .02307 L p .40461 .01655 L F P
0 g
s
.624 .69 .891 r
.42204 .01983 m .40481 .01635 L p .40477 .01933 L F P
0 g
s
.624 .69 .891 r
.40499 .02297 m .42204 .01983 L .40477 .01933 L F
.40481 .01635 m .40469 .01632 L p .40469 .01634 L F P
0 g
s
.681 .512 .65 r
.38466 .02169 m .40469 .01634 L p .39218 .01527 L F P
0 g
s
.716 .539 .648 r
.4048 .01619 m .4048 .01628 L .42416 .00954 L F
.681 .512 .65 r
.40481 .0163 m .40508 .01623 L .40467 .01412 L p F P
0 g
s
.716 .539 .648 r
.40451 .01629 m .40469 .01632 L p .4048 .01628 L F P
0 g
s
.716 .539 .648 r
.40451 .01629 m .4048 .01628 L .4048 .01619 L F
.704 .755 .892 r
.40508 .01623 m .40481 .0163 L p .40502 .01627 L F P
0 g
s
.624 .69 .891 r
.40469 .01632 m .40451 .01629 L .40453 .01676 L p F P
0 g
s
.704 .755 .892 r
.40469 .01634 m .38466 .02169 L p .40461 .01655 L F P
0 g
s
.712 .765 .894 r
.42318 .1072 m .40451 .11085 L .40473 .11737 L p F P
0 g
s
.712 .765 .894 r
.40473 .11737 m .42462 .11359 L .42318 .1072 L p F P
0 g
s
.666 .738 .904 r
.49908 .20542 m .40451 .20542 L .40473 .21172 L p F P
0 g
s
.666 .738 .904 r
.40473 .21172 m .49908 .21172 L .49908 .20542 L p F P
0 g
s
.615 .687 .894 r
.40394 .1108 m .38823 .10904 L .38143 .11219 L p F P
0 g
s
.615 .687 .894 r
.38143 .11219 m .40289 .11719 L .40394 .1108 L p F P
0 g
s
.577 .667 .9 r
.3632 .09933 m .38143 .11219 L .38823 .10904 L p F P
0 g
s
.382 .448 .804 r
.338 .02719 m .32747 .01983 L .32659 .02642 L p F P
0 g
s
.382 .448 .804 r
.32659 .02642 m .33811 .03507 L .338 .02719 L p F P
0 g
s
.623 .69 .892 r
.32747 .01983 m .30994 .01629 L .31037 .02301 L p F P
0 g
s
.623 .69 .892 r
.31037 .02301 m .32659 .02642 L .32747 .01983 L p F P
0 g
s
.703 .759 .895 r
.29694 .11168 m .29756 .11937 L p .30924 .11164 L F P
0 g
s
.712 .764 .893 r
.32861 .1072 m .31106 .11063 L p .31037 .11737 L F P
0 g
s
.712 .764 .893 r
.31106 .11063 m .31024 .11079 L p .31024 .11081 L F P
0 g
s
.712 .764 .893 r
.31037 .11737 m .31106 .11063 L .31024 .11081 L F
.694 .52 .648 r
.3267 .09684 m .31011 .10029 L .30999 .10793 L p F P
0 g
s
.688 .517 .649 r
.29694 .11168 m .31021 .11082 L p .30966 .10721 L F P
0 g
s
.688 .517 .649 r
.31051 .11075 m .30862 .10043 L p .31021 .11082 L F P
0 g
s
.703 .759 .895 r
.31021 .11082 m .29694 .11168 L p .30924 .11164 L F P
0 g
s
.694 .52 .648 r
.30999 .10793 m .30994 .11085 L p .31095 .11001 L F P
0 g
s
.694 .52 .648 r
.31095 .11001 m .3267 .09684 L .30999 .10793 L F
.688 .517 .649 r
.30718 .10182 m .30966 .10721 L .30862 .10043 L F
.29694 .11168 m .30966 .10721 L .30718 .10182 L F
.31021 .11082 m .31051 .1108 L .31051 .11075 L p F P
0 g
s
.712 .764 .893 r
.30996 .11103 m .31037 .11737 L p .31024 .11079 L F P
0 g
s
.703 .759 .895 r
.31051 .1108 m .31021 .11082 L p .30924 .11164 L F P
0 g
s
.712 .764 .893 r
.31024 .11079 m .30994 .11085 L .30996 .11103 L p F P
0 g
s
.712 .764 .893 r
.31037 .11737 m .33027 .11359 L .32861 .1072 L p F P
0 g
s
.666 .738 .904 r
.40451 .20542 m .30994 .20542 L .31037 .21172 L p F P
0 g
s
.666 .738 .904 r
.31037 .21172 m .40473 .21172 L .40451 .20542 L p F P
0 g
s
.671 .731 .895 r
.30994 .01629 m .21538 .01629 L .21602 .02301 L p F P
0 g
s
.671 .731 .895 r
.21602 .02301 m .31037 .02301 L .30994 .01629 L p F P
0 g
s
.61 .69 .899 r
.30937 .20536 m .28687 .19903 L .28708 .20654 L p F P
0 g
s
.61 .69 .899 r
.28708 .20654 m .30853 .21154 L .30937 .20536 L p F P
0 g
s
.619 .693 .897 r
.2154 .11103 m .21602 .11737 L p .21627 .11732 L F P
0 g
s
.688 .517 .649 r
.20239 .11168 m .2156 .11082 L p .21413 .10043 L F P
0 g
s
.716 .539 .649 r
.2156 .11077 m .2156 .11082 L .23519 .10403 L F
.23402 .10935 m .23519 .10403 L p .21546 .11087 L F P
0 g
s
.716 .539 .649 r
.23519 .10403 m .21562 .10029 L .21545 .10793 L p F P
0 g
s
.688 .517 .649 r
.21557 .10866 m .21413 .10043 L p .2156 .11082 L F P
0 g
s
.716 .539 .649 r
.21545 .10793 m .21538 .11085 L p .2156 .11077 L F P
0 g
s
.716 .539 .649 r
.2156 .11077 m .23519 .10403 L .21545 .10793 L F
.688 .517 .649 r
.21595 .1108 m .21557 .10866 L p .2156 .11077 L F P
0 g
s
.688 .517 .649 r
.2156 .11082 m .21561 .11082 L p .2156 .11077 L F P
0 g
s
.688 .517 .649 r
.21561 .11082 m .21595 .1108 L p .2156 .11077 L F P
0 g
s
.703 .758 .895 r
.21595 .1108 m .21515 .11085 L p .21549 .1111 L F P
0 g
s
.716 .539 .649 r
.21538 .11085 m .21546 .11087 L p .2156 .11082 L F P
0 g
s
.716 .539 .649 r
.21538 .11085 m .2156 .11082 L .2156 .11077 L F
.703 .758 .895 r
.21786 .11719 m .21596 .11083 L p .21586 .11086 L F P
0 g
s
.703 .758 .895 r
.21586 .11086 m .21596 .11083 L .21589 .11083 L F
.21549 .1111 m .21595 .11228 L .21586 .11086 L F
.21595 .11228 m .21786 .11719 L .21586 .11086 L F
.716 .539 .649 r
.21546 .11087 m .2329 .1144 L .23402 .10935 L p F P
0 g
s
.703 .758 .895 r
.21596 .11083 m .21595 .1108 L p .21589 .11083 L F P
0 g
s
.703 .758 .895 r
.21629 .11742 m .21786 .11719 L p .21549 .1111 L F P
0 g
s
.619 .693 .897 r
.23223 .12078 m .2329 .1144 L p .21627 .11732 L F P
0 g
s
.619 .693 .897 r
.21602 .11737 m .21628 .11742 L p .21627 .11732 L F P
0 g
s
.619 .693 .897 r
.21628 .11742 m .23223 .12078 L p .21627 .11732 L F P
0 g
s
.619 .693 .897 r
.21627 .11732 m .22228 .11627 L .21549 .1111 L F
.21627 .11732 m .21549 .1111 L .2154 .11103 L F
.703 .758 .895 r
.20321 .11937 m .21629 .11742 L p .21549 .1111 L F P
0 g
s
.703 .758 .895 r
.20239 .11168 m .20321 .11937 L p .21549 .1111 L F P
0 g
s
.703 .758 .895 r
.21515 .11085 m .20239 .11168 L p .21549 .1111 L F P
0 g
s
.619 .693 .897 r
.2329 .1144 m .21538 .11085 L .2154 .11103 L p F P
0 g
s
.619 .693 .897 r
.22228 .11627 m .2329 .1144 L .2154 .11103 L F
.703 .759 .895 r
.29756 .11937 m .31221 .11719 L .31051 .1108 L p F P
0 g
s
.865 .833 .813 r
.28435 .12703 m .29756 .11937 L .29694 .11168 L p F P
0 g
s
.73 .803 .909 r
.24648 .19354 m .23404 .20176 L .23592 .20795 L p F P
0 g
s
.73 .803 .909 r
.23592 .20795 m .25404 .19652 L .24648 .19354 L p F P
0 g
s
.711 .768 .897 r
.23404 .20176 m .21538 .20542 L .21602 .21172 L p F P
0 g
s
.711 .768 .897 r
.21602 .21172 m .23592 .20795 L .23404 .20176 L p F P
0 g
s
.671 .731 .895 r
.21538 .01629 m .12081 .01629 L .12167 .02301 L p F P
0 g
s
.671 .731 .895 r
.12167 .02301 m .21602 .02301 L .21538 .01629 L p F P
0 g
s
.609 .69 .9 r
.21481 .20536 m .19233 .19903 L .19273 .20654 L p F P
0 g
s
.609 .69 .9 r
.19273 .20654 m .21418 .21154 L .21481 .20536 L p F P
0 g
s
.618 .693 .898 r
.12084 .11103 m .12167 .11737 L p .12192 .11732 L F P
0 g
s
.688 .516 .649 r
.10785 .11168 m .12104 .11082 L p .11965 .10043 L F P
0 g
s
.716 .539 .649 r
.12104 .11077 m .12104 .11082 L .14071 .10403 L F
.13949 .10935 m .14071 .10403 L p .12089 .11087 L F P
0 g
s
.716 .539 .649 r
.14071 .10403 m .12114 .10029 L .1209 .10793 L p F P
0 g
s
.688 .516 .649 r
.12103 .10866 m .11965 .10043 L p .12104 .11082 L F P
0 g
s
.716 .539 .649 r
.1209 .10793 m .12081 .11085 L p .12104 .11077 L F P
0 g
s
.716 .539 .649 r
.12104 .11077 m .14071 .10403 L .1209 .10793 L F
.688 .516 .649 r
.12138 .1108 m .12103 .10866 L p .12104 .11077 L F P
0 g
s
.688 .516 .649 r
.12104 .11082 m .12104 .11082 L p .12104 .11077 L F P
0 g
s
.688 .516 .649 r
.12104 .11082 m .12138 .1108 L p .12104 .11077 L F P
0 g
s
.703 .757 .894 r
.12138 .1108 m .12059 .11085 L p .12093 .1111 L F P
0 g
s
.716 .539 .649 r
.12081 .11085 m .12089 .11087 L p .12104 .11082 L F P
0 g
s
.716 .539 .649 r
.12081 .11085 m .12104 .11082 L .12104 .11077 L F
.703 .757 .894 r
.12351 .11719 m .12139 .11083 L p .12129 .11086 L F P
0 g
s
.703 .757 .894 r
.12129 .11086 m .12139 .11083 L .12133 .11083 L F
.12093 .1111 m .12143 .11228 L .12129 .11086 L F
.12143 .11228 m .12351 .11719 L .12129 .11086 L F
.716 .539 .649 r
.12089 .11087 m .13834 .1144 L .13949 .10935 L p F P
0 g
s
.703 .757 .894 r
.12139 .11083 m .12138 .1108 L p .12133 .11083 L F P
0 g
s
.703 .757 .894 r
.12193 .11742 m .12351 .11719 L p .12093 .1111 L F P
0 g
s
.618 .693 .898 r
.13788 .12078 m .13834 .1144 L p .12192 .11732 L F P
0 g
s
.618 .693 .898 r
.12167 .11737 m .12193 .11742 L p .12192 .11732 L F P
0 g
s
.618 .693 .898 r
.12193 .11742 m .13788 .12078 L p .12192 .11732 L F P
0 g
s
.618 .693 .898 r
.12192 .11732 m .12784 .11627 L .12093 .1111 L F
.12192 .11732 m .12093 .1111 L .12084 .11103 L F
.703 .757 .894 r
.10886 .11937 m .12193 .11742 L p .12093 .1111 L F P
0 g
s
.703 .757 .894 r
.10785 .11168 m .10886 .11937 L p .12093 .1111 L F P
0 g
s
.703 .757 .894 r
.12059 .11085 m .10785 .11168 L p .12093 .1111 L F P
0 g
s
.618 .693 .898 r
.13834 .1144 m .12081 .11085 L .12084 .11103 L p F P
0 g
s
.618 .693 .898 r
.12784 .11627 m .13834 .1144 L .12084 .11103 L F
.863 .827 .811 r
.18977 .12703 m .20321 .11937 L .20239 .11168 L p F P
0 g
s
.73 .802 .908 r
.15172 .19354 m .13948 .20176 L .14156 .20795 L p F P
0 g
s
.73 .802 .908 r
.14156 .20795 m .15946 .19652 L .15172 .19354 L p F P
0 g
s
.711 .767 .896 r
.13948 .20176 m .12081 .20542 L .12167 .21172 L p F P
0 g
s
.711 .767 .896 r
.12167 .21172 m .14156 .20795 L .13948 .20176 L p F P
0 g
s
.671 .731 .895 r
.12081 .01629 m .02625 .01629 L .02732 .02301 L p F P
0 g
s
.671 .731 .895 r
.02732 .02301 m .12167 .02301 L .12081 .01629 L p F P
0 g
s
.608 .691 .901 r
.12024 .20536 m .09778 .19903 L .09837 .20654 L p F P
0 g
s
.608 .691 .901 r
.09837 .20654 m .11983 .21154 L .12024 .20536 L p F P
0 g
s
.617 .694 .899 r
.04377 .1144 m .02625 .11085 L .02732 .11737 L p F P
0 g
s
.617 .694 .899 r
.02732 .11737 m .04353 .12078 L .04377 .1144 L p F P
0 g
s
.86 .822 .81 r
.09519 .12703 m .10886 .11937 L .10785 .11168 L p F P
0 g
s
.731 .8 .907 r
.05695 .19354 m .04491 .20176 L .04721 .20795 L p F P
0 g
s
.731 .8 .907 r
.04721 .20795 m .06488 .19652 L .05695 .19354 L p F P
0 g
s
.711 .766 .895 r
.04491 .20176 m .02625 .20542 L .02732 .21172 L p F P
0 g
s
.711 .766 .895 r
.02732 .21172 m .04721 .20795 L .04491 .20176 L p F P
0 g
s
.608 .473 .671 r
.73186 .14217 m .72301 .12645 L .72775 .11682 L p F P
0 g
s
.607 .471 .671 r
.63724 .14217 m .62862 .12645 L .63329 .11682 L p F P
0 g
s
.605 .469 .67 r
.54263 .04756 m .53423 .03207 L .53883 .02236 L p F P
0 g
s
.604 .468 .669 r
.44802 .04756 m .43985 .03207 L .44437 .02236 L p F P
0 g
s
.602 .467 .669 r
.35341 .04756 m .34546 .03207 L .34991 .02236 L p F P
0 g
s
.804 .626 .661 r
.93779 .03239 m .93119 .04311 L .92118 .04098 L p F P
0 g
s
.804 .626 .661 r
.92118 .04098 m .93022 .02516 L .93779 .03239 L p F P
0 g
s
.803 .626 .662 r
.84341 .03239 m .8366 .04311 L .82651 .04098 L p F P
0 g
s
.803 .626 .662 r
.82651 .04098 m .83576 .02516 L .84341 .03239 L p F P
0 g
s
.704 .69 .834 r
.74417 .18671 m .73628 .17389 L .74687 .17188 L p F P
0 g
s
.704 .69 .834 r
.74687 .17188 m .75401 .18221 L .74417 .18671 L p F P
0 g
s
.704 .69 .834 r
.64978 .18671 m .64169 .17389 L .6522 .17188 L p F P
0 g
s
.704 .69 .834 r
.6522 .17188 m .65955 .18221 L .64978 .18671 L p F P
0 g
s
.704 .688 .832 r
.5554 .09232 m .5471 .0793 L .55753 .07721 L p F P
0 g
s
.704 .688 .832 r
.55753 .07721 m .56509 .08775 L .5554 .09232 L p F P
0 g
s
.704 .688 .831 r
.46101 .09232 m .45252 .0793 L .46286 .07721 L p F P
0 g
s
.704 .688 .831 r
.46286 .07721 m .47063 .08775 L .46101 .09232 L p F P
0 g
s
.704 .687 .831 r
.36662 .09232 m .35793 .0793 L .36819 .07721 L p F P
0 g
s
.704 .687 .831 r
.36819 .07721 m .37617 .08775 L .36662 .09232 L p F P
0 g
s
.796 .622 .666 r
.27708 .12678 m .26907 .1377 L .25849 .13566 L p F P
0 g
s
.796 .622 .666 r
.25849 .13566 m .269 .11962 L .27708 .12678 L p F P
0 g
s
.795 .622 .667 r
.1827 .12678 m .17448 .1377 L .16382 .13566 L p F P
0 g
s
.795 .622 .667 r
.16382 .13566 m .17454 .11962 L .1827 .12678 L p F P
0 g
s
.794 .621 .667 r
.08831 .12678 m .0799 .1377 L .06915 .13566 L p F P
0 g
s
.794 .621 .667 r
.06915 .13566 m .08008 .11962 L .08831 .12678 L p F P
0 g
s
0 0 0 r
.93022 .02516 m .92118 .04098 L .92237 .04079 L p F P
0 g
s
0 0 0 r
.92237 .04079 m .93411 .02073 L .93022 .02516 L p F P
0 g
s
0 0 0 r
.83576 .02516 m .82651 .04098 L .82743 .04079 L p F P
0 g
s
0 0 0 r
.82743 .04079 m .83942 .02073 L .83576 .02516 L p F P
0 g
s
0 0 .486 r
.75401 .18221 m .74687 .17188 L .74756 .17206 L p F P
0 g
s
0 0 .486 r
.74756 .17206 m .75746 .18661 L .75401 .18221 L p F P
0 g
s
0 0 .434 r
.65955 .18221 m .6522 .17188 L .65263 .17206 L p F P
0 g
s
0 0 .434 r
.65263 .17206 m .66277 .18661 L .65955 .18221 L p F P
0 g
s
0 0 .418 r
.56509 .08775 m .55753 .07721 L .55769 .07712 L p F P
0 g
s
0 0 .418 r
.55769 .07712 m .56807 .09192 L .56509 .08775 L p F P
0 g
s
.648 .538 .716 r
.46286 .07721 m .45252 .0793 L p .45622 .06818 L F P
0 g
s
.648 .538 .716 r
.45925 .0591 m .46286 .07721 L p .45622 .06818 L F P
0 g
s
.621 .175 0 r
.46286 .07721 m .46275 .07712 L p .46679 .08257 L F P
0 g
s
.621 .175 0 r
.47063 .08775 m .46286 .07721 L p .46679 .08257 L F P
0 g
s
.621 .175 0 r
.46275 .07712 m .47338 .09192 L .47063 .08775 L p F P
0 g
s
.648 .538 .716 r
.36819 .07721 m .35793 .0793 L p .36159 .06818 L F P
0 g
s
.648 .538 .716 r
.36458 .0591 m .36819 .07721 L p .36159 .06818 L F P
0 g
s
.671 .218 0 r
.36819 .07721 m .36782 .07712 L p .3721 .08257 L F P
0 g
s
.671 .218 0 r
.37617 .08775 m .36819 .07721 L p .3721 .08257 L F P
0 g
s
.671 .218 0 r
.36782 .07712 m .37868 .09192 L .37617 .08775 L p F P
0 g
s
.693 .874 .481 r
.269 .11962 m .25849 .13566 L .25781 .13573 L p F P
0 g
s
.693 .874 .481 r
.25781 .13573 m .27125 .11543 L .269 .11962 L p F P
0 g
s
.739 .906 .529 r
.17454 .11962 m .16382 .13566 L .16288 .13573 L p F P
0 g
s
.739 .906 .529 r
.16288 .13573 m .17655 .11543 L .17454 .11962 L p F P
0 g
s
.778 .932 .573 r
.08008 .11962 m .06915 .13566 L .06794 .13573 L p F P
0 g
s
.778 .932 .573 r
.06794 .13573 m .08186 .11543 L .08008 .11962 L p F P
0 g
s
.608 .473 .671 r
.73693 .13048 m .73996 .13501 L .73857 .13624 L p F P
0 g
s
.608 .473 .671 r
.72775 .11682 m .73693 .13048 L p .73186 .14217 L F P
0 g
s
.608 .473 .671 r
.73857 .13624 m .73186 .14217 L p .73693 .13048 L F P
0 g
s
0 .272 .706 r
.70762 .10403 m .72409 .11402 L .72775 .11682 L p F P
0 g
s
0 .058 .611 r
.73996 .13501 m .72775 .11682 L .72409 .11402 L p F P
0 g
s
.65 .544 .72 r
.73268 .15579 m .73186 .14217 L .73996 .13501 L p F P
0 g
s
.65 .544 .72 r
.73996 .13501 m .74326 .15377 L .73268 .15579 L p F P
0 g
s
0 .058 .611 r
.72409 .11402 m .73774 .13084 L .73996 .13501 L p F P
0 g
s
0 0 .333 r
.74326 .15377 m .73996 .13501 L .73774 .13084 L p F P
0 g
s
0 0 .333 r
.73774 .13084 m .74395 .1539 L .74361 .15383 L p F P
0 g
s
0 0 .333 r
.74361 .15383 m .74326 .15377 L p .74151 .1465 L F P
0 g
s
0 0 .333 r
.73774 .13084 m .74361 .15383 L .74151 .1465 L F
.607 .471 .671 r
.6423 .13048 m .64528 .13501 L .6439 .13624 L p F P
0 g
s
.607 .471 .671 r
.63329 .11682 m .6423 .13048 L p .63724 .14217 L F P
0 g
s
.607 .471 .671 r
.6439 .13624 m .63724 .14217 L p .6423 .13048 L F P
0 g
s
0 .244 .675 r
.61313 .10403 m .6294 .11402 L .63329 .11682 L p F P
0 g
s
0 .016 .57 r
.64528 .13501 m .63329 .11682 L .6294 .11402 L p F P
0 g
s
.65 .543 .72 r
.63809 .15579 m .63724 .14217 L .64528 .13501 L p F P
0 g
s
.65 .543 .72 r
.64528 .13501 m .64859 .15377 L .63809 .15579 L p F P
0 g
s
0 .016 .57 r
.6294 .11402 m .64282 .13084 L .64528 .13501 L p F P
0 g
s
0 0 .274 r
.64859 .15377 m .64528 .13501 L .64282 .13084 L p F P
0 g
s
0 0 .274 r
.64282 .13084 m .64901 .1539 L .64881 .15383 L p F P
0 g
s
0 0 .274 r
.64881 .15383 m .64859 .15377 L p .64676 .1465 L F P
0 g
s
0 0 .274 r
.64282 .13084 m .64881 .15383 L .64676 .1465 L F
.605 .469 .67 r
.54767 .03586 m .55059 .04032 L .54923 .04157 L p F P
0 g
s
.605 .469 .67 r
.53883 .02236 m .54767 .03586 L p .54263 .04756 L F P
0 g
s
.605 .469 .67 r
.54923 .04157 m .54263 .04756 L p .54767 .03586 L F P
0 g
s
0 .26 .693 r
.51865 .00954 m .5347 .01932 L .53883 .02236 L p F P
0 g
s
0 .006 .56 r
.55059 .04032 m .53883 .02236 L .5347 .01932 L p F P
0 g
s
.65 .543 .72 r
.5435 .06121 m .54263 .04756 L .55059 .04032 L p F P
0 g
s
.65 .543 .72 r
.55059 .04032 m .55392 .0591 L .5435 .06121 L p F P
0 g
s
0 .006 .56 r
.5347 .01932 m .54789 .03592 L .55059 .04032 L p F P
0 g
s
0 0 .229 r
.55392 .0591 m .55059 .04032 L .54789 .03592 L p F P
0 g
s
0 0 .229 r
.54789 .03592 m .55408 .05896 L .554 .05903 L p F P
0 g
s
0 0 .229 r
.554 .05903 m .55392 .0591 L p .55201 .05175 L F P
0 g
s
0 0 .229 r
.54789 .03592 m .554 .05903 L .55201 .05175 L F
.604 .468 .669 r
.44437 .02236 m .45304 .03586 L p .44802 .04756 L F P
0 g
s
.604 .468 .669 r
.45456 .04157 m .44802 .04756 L p .45304 .03586 L F P
0 g
s
.604 .468 .669 r
.45304 .03586 m .45591 .04032 L .45456 .04157 L p F P
0 g
s
0 .233 .661 r
.42416 .00954 m .44001 .01932 L .44437 .02236 L p F P
0 g
s
0 0 .513 r
.45591 .04032 m .44437 .02236 L .44001 .01932 L p F P
0 g
s
.649 .543 .72 r
.44892 .06121 m .44802 .04756 L .45591 .04032 L p F P
0 g
s
.649 .543 .72 r
.45591 .04032 m .45925 .0591 L .44892 .06121 L p F P
0 g
s
0 0 .513 r
.44001 .01932 m .45297 .03592 L .45591 .04032 L p F P
0 g
s
.702 .424 0 r
.45297 .03592 m .45914 .05896 L .45919 .05903 L p F P
0 g
s
.702 .424 0 r
.45919 .05903 m .45925 .0591 L p .45726 .05175 L F P
0 g
s
.702 .424 0 r
.45297 .03592 m .45919 .05903 L .45726 .05175 L F
.602 .467 .669 r
.34991 .02236 m .35841 .03586 L p .35341 .04756 L F P
0 g
s
.602 .467 .669 r
.35988 .04157 m .35341 .04756 L p .35841 .03586 L F P
0 g
s
.602 .467 .669 r
.35841 .03586 m .36122 .04032 L .35988 .04157 L p F P
0 g
s
0 .204 .628 r
.32968 .00954 m .34531 .01932 L .34991 .02236 L p F P
0 g
s
0 0 .463 r
.36122 .04032 m .34991 .02236 L .34531 .01932 L p F P
0 g
s
.649 .543 .72 r
.35433 .06121 m .35341 .04756 L .36122 .04032 L p F P
0 g
s
.649 .543 .72 r
.36122 .04032 m .36458 .0591 L .35433 .06121 L p F P
0 g
s
0 0 .463 r
.34531 .01932 m .35805 .03592 L .36122 .04032 L p F P
0 g
s
.761 .473 0 r
.35805 .03592 m .3642 .05896 L .36439 .05903 L p F P
0 g
s
.761 .473 0 r
.36439 .05903 m .36458 .0591 L p .36251 .05175 L F P
0 g
s
.761 .473 0 r
.35805 .03592 m .36439 .05903 L .36251 .05175 L F
.713 .535 .648 r
.97299 .10043 m .95549 .09657 L .94867 .10448 L p F P
0 g
s
.688 .517 .65 r
.97001 .00595 m .95121 .00929 L .95874 .01714 L p F P
0 g
s
.745 .514 .581 r
.95121 .00929 m .93411 .02073 L .94413 .02525 L p F P
0 g
s
.745 .514 .581 r
.94413 .02525 m .95874 .01714 L .95121 .00929 L p F P
0 g
s
.688 .517 .65 r
.87553 .00595 m .85674 .00929 L .86419 .01714 L p F P
0 g
s
.745 .515 .582 r
.85674 .00929 m .83942 .02073 L .84936 .02525 L p F P
0 g
s
.745 .515 .582 r
.84936 .02525 m .86419 .01714 L .85674 .00929 L p F P
0 g
s
.7 .524 .646 r
.78402 .19492 m .77077 .19386 L .7664 .20358 L p F P
0 g
s
.804 .649 .691 r
.77077 .19386 m .75746 .18661 L .74972 .19386 L p F P
0 g
s
.804 .649 .691 r
.74972 .19386 m .7664 .20358 L .77077 .19386 L p F P
0 g
s
.682 .513 .651 r
.78104 .10043 m .75806 .10658 L .76283 .11624 L p F P
0 g
s
.802 .649 .691 r
.67629 .19386 m .66277 .18661 L .65496 .19386 L p F P
0 g
s
.802 .649 .691 r
.65496 .19386 m .67186 .20358 L .67629 .19386 L p F P
0 g
s
.682 .513 .651 r
.68656 .10043 m .66359 .10658 L .66829 .11624 L p F P
0 g
s
.801 .648 .692 r
.58182 .09939 m .56807 .09192 L .56019 .09909 L p F P
0 g
s
.801 .648 .692 r
.56019 .09909 m .57732 .10904 L .58182 .09939 L p F P
0 g
s
.682 .512 .65 r
.59207 .00595 m .56912 .01211 L .57374 .02169 L p F P
0 g
s
.8 .647 .692 r
.48735 .09939 m .47338 .09192 L .46542 .09909 L p F P
0 g
s
.8 .647 .692 r
.46542 .09909 m .48277 .10904 L .48735 .09939 L p F P
0 g
s
.682 .512 .65 r
.49759 .00595 m .47465 .01211 L .4792 .02169 L p F P
0 g
s
.799 .646 .692 r
.39288 .09939 m .37868 .09192 L .37065 .09909 L p F P
0 g
s
.799 .646 .692 r
.37065 .09909 m .38823 .10904 L .39288 .09939 L p F P
0 g
s
.681 .512 .65 r
.4031 .00595 m .38018 .01211 L .38466 .02169 L p F P
0 g
s
.688 .517 .649 r
.30862 .10043 m .28992 .10376 L .29694 .11168 L p F P
0 g
s
.744 .519 .589 r
.28992 .10376 m .27125 .11543 L .28075 .12001 L p F P
0 g
s
.744 .519 .589 r
.28075 .12001 m .29694 .11168 L .28992 .10376 L p F P
0 g
s
.688 .517 .649 r
.21413 .10043 m .19545 .10376 L .20239 .11168 L p F P
0 g
s
.743 .519 .589 r
.19545 .10376 m .17655 .11543 L .18598 .12001 L p F P
0 g
s
.743 .519 .589 r
.18598 .12001 m .20239 .11168 L .19545 .10376 L p F P
0 g
s
.688 .516 .649 r
.11965 .10043 m .10098 .10376 L .10785 .11168 L p F P
0 g
s
.743 .519 .59 r
.10098 .10376 m .08186 .11543 L .09121 .12001 L p F P
0 g
s
.743 .519 .59 r
.09121 .12001 m .10785 .11168 L .10098 .10376 L p F P
0 g
s
.713 .535 .648 r
.94867 .10448 m .97134 .1108 L .97299 .10043 L p F P
0 g
s
.688 .517 .65 r
.95874 .01714 m .97248 .01623 L .97001 .00595 L p F P
0 g
s
.705 .529 .648 r
.87702 .19477 m .78597 .19477 L p .78278 .20542 L F P
0 g
s
.7 .524 .646 r
.7664 .20358 m .78152 .20528 L p .78402 .19492 L F P
0 g
s
.7 .524 .646 r
.78271 .20247 m .78402 .19492 L p .78152 .20528 L F P
0 g
s
.705 .529 .648 r
.78597 .19477 m .78253 .19477 L .78271 .20247 L p F P
0 g
s
.705 .529 .648 r
.78271 .20247 m .78278 .20542 L p .78597 .19477 L F P
0 g
s
.7 .524 .646 r
.78152 .20528 m .78221 .20536 L .78271 .20247 L p F P
0 g
s
.716 .538 .648 r
.8021 .00954 m .78253 .0058 L .78278 .01629 L p F P
0 g
s
.694 .521 .649 r
.61015 .19132 m .59356 .19477 L .59364 .20542 L p F P
0 g
s
.716 .539 .648 r
.32968 .00954 m .31011 .0058 L .30994 .01629 L p F P
0 g
s
.716 .539 .649 r
.04622 .10403 m .02665 .10029 L .02625 .11085 L p F P
0 g
s
.694 .52 .648 r
.04324 .19132 m .02665 .19477 L .02625 .20542 L p F P
0 g
s
.591 .482 .698 r
.90497 .0891 m .8936 .09684 L .89601 .1072 L p F P
0 g
s
.694 .521 .649 r
.87734 .11085 m .89601 .1072 L .8936 .09684 L p F P
0 g
s
.705 .529 .648 r
.9715 .19477 m .87702 .19477 L .87734 .20542 L p F P
0 g
s
.716 .538 .648 r
.78278 .01629 m .8003 .01983 L .8021 .00954 L p F P
0 g
s
.589 .48 .698 r
.81028 .0891 m .79912 .09684 L .80144 .1072 L p F P
0 g
s
.694 .521 .649 r
.78278 .11085 m .80144 .1072 L .79912 .09684 L p F P
0 g
s
.705 .528 .647 r
.78253 .0058 m .68805 .0058 L .68821 .01629 L p F P
0 g
s
.642 .43 .581 r
.72409 .11402 m .70762 .10403 L .70573 .1144 L p F P
0 g
s
.694 .521 .649 r
.68821 .20542 m .70688 .20176 L .70464 .19132 L p F P
0 g
s
.641 .429 .58 r
.6294 .11402 m .61313 .10403 L .61117 .1144 L p F P
0 g
s
.716 .539 .648 r
.59364 .11085 m .61117 .1144 L .61313 .10403 L p F P
0 g
s
.694 .521 .649 r
.59364 .20542 m .61231 .20176 L .61015 .19132 L p F P
0 g
s
.639 .425 .577 r
.5347 .01932 m .51865 .00954 L .5166 .01983 L p F P
0 g
s
.694 .52 .648 r
.49908 .11085 m .51774 .1072 L .51567 .09684 L p F P
0 g
s
.705 .529 .648 r
.59356 .19477 m .49908 .19477 L .49908 .20542 L p F P
0 g
s
.639 .424 .575 r
.44001 .01932 m .42416 .00954 L .42204 .01983 L p F P
0 g
s
.694 .52 .648 r
.40451 .11085 m .42318 .1072 L .42118 .09684 L p F P
0 g
s
.705 .529 .648 r
.49908 .19477 m .40459 .19477 L .40451 .20542 L p F P
0 g
s
.638 .423 .574 r
.34531 .01932 m .32968 .00954 L .32747 .01983 L p F P
0 g
s
.716 .539 .648 r
.30994 .01629 m .32747 .01983 L .32968 .00954 L p F P
0 g
s
.694 .52 .648 r
.30994 .11085 m .32861 .1072 L .3267 .09684 L p F P
0 g
s
.705 .528 .647 r
.31011 .0058 m .21562 .0058 L .21538 .01629 L p F P
0 g
s
.694 .521 .649 r
.21538 .20542 m .23404 .20176 L .23221 .19132 L p F P
0 g
s
.705 .528 .647 r
.21562 .0058 m .12114 .0058 L .12081 .01629 L p F P
0 g
s
.694 .521 .649 r
.12081 .20542 m .13948 .20176 L .13773 .19132 L p F P
0 g
s
.705 .528 .647 r
.12114 .0058 m .02665 .0058 L .02625 .01629 L p F P
0 g
s
.716 .539 .649 r
.02625 .11085 m .04377 .1144 L .04622 .10403 L p F P
0 g
s
.694 .52 .648 r
.02625 .20542 m .04491 .20176 L .04324 .19132 L p F P
0 g
s
.705 .529 .648 r
.87734 .20542 m .97191 .20542 L .9715 .19477 L p F P
0 g
s
.705 .529 .648 r
.78278 .20542 m .87734 .20542 L .87702 .19477 L p F P
0 g
s
.705 .528 .647 r
.68821 .01629 m .78278 .01629 L .78253 .0058 L p F P
0 g
s
.705 .529 .648 r
.49908 .20542 m .59364 .20542 L .59356 .19477 L p F P
0 g
s
.705 .529 .648 r
.40451 .20542 m .49908 .20542 L .49908 .19477 L p F P
0 g
s
.705 .529 .648 r
.30994 .20542 m .40451 .20542 L .40459 .19477 L p F P
0 g
s
.705 .528 .647 r
.21538 .01629 m .30994 .01629 L .31011 .0058 L p F P
0 g
s
.705 .528 .647 r
.12081 .01629 m .21538 .01629 L .21562 .0058 L p F P
0 g
s
.705 .528 .647 r
.02625 .01629 m .12081 .01629 L .12114 .0058 L p F P
0 g
s
.883 .871 .82 r
.95874 .01714 m .94413 .02525 L .94639 .03246 L p F P
0 g
s
.881 .865 .819 r
.86419 .01714 m .84936 .02525 L .85181 .03246 L p F P
0 g
s
.579 .666 .898 r
.7664 .20358 m .74972 .19386 L .74151 .19391 L p F P
0 g
s
.577 .666 .899 r
.67186 .20358 m .65496 .19386 L .64693 .19391 L p F P
0 g
s
.58 .666 .897 r
.57732 .10904 m .56019 .09909 L .55235 .09933 L p F P
0 g
s
.579 .666 .898 r
.48277 .10904 m .46542 .09909 L .45778 .09933 L p F P
0 g
s
.577 .667 .9 r
.38823 .10904 m .37065 .09909 L .3632 .09933 L p F P
0 g
s
.865 .833 .813 r
.29694 .11168 m .28075 .12001 L .28435 .12703 L p F P
0 g
s
.863 .827 .811 r
.20239 .11168 m .18598 .12001 L .18977 .12703 L p F P
0 g
s
.86 .822 .81 r
.10785 .11168 m .09121 .12001 L .09519 .12703 L p F P
0 g
s
.591 .482 .698 r
.89601 .1072 m .90986 .09877 L .90497 .0891 L p F P
0 g
s
.589 .48 .698 r
.80144 .1072 m .8151 .09877 L .81028 .0891 L p F P
0 g
s
.642 .43 .581 r
.70573 .1144 m .71707 .12196 L .72409 .11402 L p F P
0 g
s
.641 .429 .58 r
.61117 .1144 m .6223 .12196 L .6294 .11402 L p F P
0 g
s
.639 .425 .577 r
.5166 .01983 m .52754 .02719 L .5347 .01932 L p F P
0 g
s
.639 .424 .575 r
.42204 .01983 m .43277 .02719 L .44001 .01932 L p F P
0 g
s
.638 .423 .574 r
.32747 .01983 m .338 .02719 L .34531 .01932 L p F P
0 g
s
.577 .47 .696 r
.23404 .20176 m .24648 .19354 L .2421 .1838 L p F P
0 g
s
.575 .468 .695 r
.13948 .20176 m .15172 .19354 L .14741 .1838 L p F P
0 g
s
.572 .466 .695 r
.04491 .20176 m .05695 .19354 L .05271 .1838 L p F P
0 g
s
.826 .858 .87 r
.92309 .08366 m .90986 .09877 L .91608 .10194 L p F P
0 g
s
.826 .858 .87 r
.91608 .10194 m .92996 .08393 L .92309 .08366 L p F P
0 g
s
.825 .853 .868 r
.82809 .08366 m .8151 .09877 L .8215 .10194 L p F P
0 g
s
.825 .853 .868 r
.8215 .10194 m .83516 .08393 L .82809 .08366 L p F P
0 g
s
.385 .355 .702 r
.72822 .13545 m .71707 .12196 L .71642 .12964 L p F P
0 g
s
.385 .355 .702 r
.71642 .12964 m .72459 .14246 L .72822 .13545 L p F P
0 g
s
.372 .346 .7 r
.63322 .13545 m .6223 .12196 L .62184 .12964 L p F P
0 g
s
.372 .346 .7 r
.62184 .12964 m .62979 .14246 L .63322 .13545 L p F P
0 g
s
.36 .338 .698 r
.53823 .04046 m .52754 .02719 L .52726 .03507 L p F P
0 g
s
.36 .338 .698 r
.52726 .03507 m .53499 .04765 L .53823 .04046 L p F P
0 g
s
.345 .327 .695 r
.44323 .04046 m .43277 .02719 L .43268 .03507 L p F P
0 g
s
.345 .327 .695 r
.43268 .03507 m .44018 .04765 L .44323 .04046 L p F P
0 g
s
.329 .315 .692 r
.34823 .04046 m .338 .02719 L .33811 .03507 L p F P
0 g
s
.329 .315 .692 r
.33811 .03507 m .34538 .04765 L .34823 .04046 L p F P
0 g
s
.82 .831 .858 r
.25812 .17866 m .24648 .19354 L .25404 .19652 L p F P
0 g
s
.82 .831 .858 r
.25404 .19652 m .26634 .17874 L .25812 .17866 L p F P
0 g
s
.818 .827 .856 r
.16313 .17866 m .15172 .19354 L .15946 .19652 L p F P
0 g
s
.818 .827 .856 r
.15946 .19652 m .17154 .17874 L .16313 .17866 L p F P
0 g
s
.817 .823 .854 r
.06813 .17866 m .05695 .19354 L .06488 .19652 L p F P
0 g
s
.817 .823 .854 r
.06488 .19652 m .07673 .17874 L .06813 .17866 L p F P
0 g
s
.941 .832 .709 r
.9386 .04424 m .94639 .03246 L .94413 .02525 L p F P
0 g
s
.936 .826 .712 r
.84379 .04424 m .85181 .03246 L .84936 .02525 L p F P
0 g
s
.503 .559 .845 r
.73039 .17532 m .74151 .19391 L .74972 .19386 L p F P
0 g
s
.498 .557 .847 r
.63559 .17532 m .64693 .19391 L .65496 .19386 L p F P
0 g
s
.498 .558 .847 r
.54079 .08052 m .55235 .09933 L .56019 .09909 L p F P
0 g
s
.493 .556 .849 r
.44598 .08052 m .45778 .09933 L .46542 .09909 L p F P
0 g
s
.487 .555 .851 r
.35118 .08052 m .3632 .09933 L .37065 .09909 L p F P
0 g
s
.907 .791 .722 r
.27497 .13904 m .28435 .12703 L .28075 .12001 L p F P
0 g
s
.902 .786 .723 r
.18017 .13904 m .18977 .12703 L .18598 .12001 L p F P
0 g
s
.898 .781 .724 r
.08537 .13904 m .09519 .12703 L .09121 .12001 L p F P
0 g
s
.766 .622 .701 r
.92759 .06121 m .92594 .07694 L .9166 .07234 L p F P
0 g
s
.765 .622 .701 r
.833 .06121 m .83133 .07694 L .82191 .07234 L p F P
0 g
s
.65 .539 .716 r
.73628 .17389 m .73268 .15579 L .74326 .15377 L p F P
0 g
s
.649 .539 .716 r
.64169 .17389 m .63809 .15579 L .64859 .15377 L p F P
0 g
s
.649 .539 .716 r
.5471 .0793 m .5435 .06121 L .55392 .0591 L p F P
0 g
s
.648 .538 .716 r
.45252 .0793 m .44892 .06121 L .45925 .0591 L p F P
0 g
s
.648 .538 .716 r
.35793 .0793 m .35433 .06121 L .36458 .0591 L p F P
0 g
s
.76 .63 .716 r
.26907 .1377 m .26547 .15579 L .25489 .15377 L p F P
0 g
s
.763 .62 .701 r
.26547 .15579 m .26366 .17155 L .2538 .16702 L p F P
0 g
s
.763 .62 .701 r
.2538 .16702 m .25489 .15377 L .26547 .15579 L p F P
0 g
s
.76 .629 .716 r
.17448 .1377 m .17088 .15579 L .16022 .15377 L p F P
0 g
s
.762 .62 .701 r
.17088 .15579 m .16904 .17155 L .15912 .16702 L p F P
0 g
s
.762 .62 .701 r
.15912 .16702 m .16022 .15377 L .17088 .15579 L p F P
0 g
s
.759 .629 .716 r
.0799 .1377 m .0763 .15579 L .06555 .15377 L p F P
0 g
s
.762 .619 .701 r
.0763 .15579 m .07443 .17155 L .06443 .16702 L p F P
0 g
s
.762 .619 .701 r
.06443 .16702 m .06555 .15377 L .0763 .15579 L p F P
0 g
s
.763 .632 .716 r
.91758 .0591 m .92118 .04098 L .93119 .04311 L p F P
0 g
s
.762 .632 .716 r
.82291 .0591 m .82651 .04098 L .8366 .04311 L p F P
0 g
s
.65 .539 .716 r
.74326 .15377 m .74687 .17188 L .73628 .17389 L p F P
0 g
s
.649 .539 .716 r
.64859 .15377 m .6522 .17188 L .64169 .17389 L p F P
0 g
s
.649 .539 .716 r
.55392 .0591 m .55753 .07721 L .5471 .0793 L p F P
0 g
s
.76 .63 .716 r
.25489 .15377 m .25849 .13566 L .26907 .1377 L p F P
0 g
s
.76 .629 .716 r
.16022 .15377 m .16382 .13566 L .17448 .1377 L p F P
0 g
s
.759 .629 .716 r
.06555 .15377 m .06915 .13566 L .0799 .1377 L p F P
0 g
s
0 0 .135 r
.92118 .04098 m .91758 .0591 L .91876 .05896 L p F P
0 g
s
0 0 .135 r
.91876 .05896 m .92237 .04079 L .92118 .04098 L p F P
0 g
s
0 0 .076 r
.82651 .04098 m .82291 .0591 L .82382 .05896 L p F P
0 g
s
0 0 .076 r
.82382 .05896 m .82743 .04079 L .82651 .04098 L p F P
0 g
s
0 0 .293 r
.74687 .17188 m .74326 .15377 L .74395 .1539 L p F P
0 g
s
0 0 .293 r
.74395 .1539 m .74756 .17206 L .74687 .17188 L p F P
0 g
s
0 0 .233 r
.6522 .17188 m .64859 .15377 L .64901 .1539 L p F P
0 g
s
0 0 .233 r
.64901 .1539 m .65263 .17206 L .6522 .17188 L p F P
0 g
s
0 0 .182 r
.55753 .07721 m .55392 .0591 L .55408 .05896 L p F P
0 g
s
0 0 .182 r
.55408 .05896 m .55769 .07712 L .55753 .07721 L p F P
0 g
s
.715 .471 0 r
.46286 .07721 m .45925 .0591 L .45914 .05896 L p F P
0 g
s
.715 .471 0 r
.45914 .05896 m .46275 .07712 L .46286 .07721 L p F P
0 g
s
.775 .521 0 r
.36819 .07721 m .36458 .0591 L .3642 .05896 L p F P
0 g
s
.775 .521 0 r
.3642 .05896 m .36782 .07712 L .36819 .07721 L p F P
0 g
s
.836 .792 .295 r
.25849 .13566 m .25489 .15377 L .2542 .1539 L p F P
0 g
s
.836 .792 .295 r
.2542 .1539 m .25781 .13573 L .25849 .13566 L p F P
0 g
s
.878 .824 .35 r
.16382 .13566 m .16022 .15377 L .15926 .1539 L p F P
0 g
s
.878 .824 .35 r
.15926 .1539 m .16288 .13573 L .16382 .13566 L p F P
0 g
s
.913 .849 .401 r
.06915 .13566 m .06555 .15377 L .06433 .1539 L p F P
0 g
s
.913 .849 .401 r
.06433 .1539 m .06794 .13573 L .06915 .13566 L p F P
0 g
s
.702 .424 0 r
.45925 .0591 m .45591 .04032 L .45297 .03592 L p F P
0 g
s
.761 .473 0 r
.36458 .0591 m .36122 .04032 L .35805 .03592 L p F P
0 g
s
.832 .801 .308 r
.25489 .15377 m .2538 .16702 L .25036 .1714 L p F P
0 g
s
.832 .801 .308 r
.25036 .1714 m .2542 .1539 L .25489 .15377 L p F P
0 g
s
.874 .833 .363 r
.16022 .15377 m .15912 .16702 L .15544 .1714 L p F P
0 g
s
.874 .833 .363 r
.15544 .1714 m .15926 .1539 L .16022 .15377 L p F P
0 g
s
.909 .858 .413 r
.06555 .15377 m .06443 .16702 L .06051 .1714 L p F P
0 g
s
.909 .858 .413 r
.06051 .1714 m .06433 .1539 L .06555 .15377 L p F P
0 g
s
.694 .478 .591 r
.93411 .02073 m .92237 .04079 L .93316 .04281 L p F P
0 g
s
.694 .478 .591 r
.93316 .04281 m .94413 .02525 L .93411 .02073 L p F P
0 g
s
.694 .478 .591 r
.83942 .02073 m .82743 .04079 L .83814 .04281 L p F P
0 g
s
.694 .478 .591 r
.83814 .04281 m .84936 .02525 L .83942 .02073 L p F P
0 g
s
.798 .678 .731 r
.75746 .18661 m .74756 .17206 L .73736 .17419 L p F P
0 g
s
.798 .678 .731 r
.73736 .17419 m .74972 .19386 L .75746 .18661 L p F P
0 g
s
.797 .676 .731 r
.66277 .18661 m .65263 .17206 L .64234 .17419 L p F P
0 g
s
.797 .676 .731 r
.64234 .17419 m .65496 .19386 L .66277 .18661 L p F P
0 g
s
.796 .675 .73 r
.56807 .09192 m .55769 .07712 L .54732 .07917 L p F P
0 g
s
.796 .675 .73 r
.54732 .07917 m .56019 .09909 L .56807 .09192 L p F P
0 g
s
.795 .674 .73 r
.47338 .09192 m .46275 .07712 L .4523 .07917 L p F P
0 g
s
.795 .674 .73 r
.4523 .07917 m .46542 .09909 L .47338 .09192 L p F P
0 g
s
.794 .673 .73 r
.37868 .09192 m .36782 .07712 L .35728 .07917 L p F P
0 g
s
.794 .673 .73 r
.35728 .07917 m .37065 .09909 L .37868 .09192 L p F P
0 g
s
.694 .479 .592 r
.27125 .11543 m .25781 .13573 L .26802 .13783 L p F P
0 g
s
.694 .479 .592 r
.26802 .13783 m .28075 .12001 L .27125 .11543 L p F P
0 g
s
.694 .479 .592 r
.17655 .11543 m .16288 .13573 L .173 .13783 L p F P
0 g
s
.694 .479 .592 r
.173 .13783 m .18598 .12001 L .17655 .11543 L p F P
0 g
s
.694 .479 .592 r
.08186 .11543 m .06794 .13573 L .07798 .13783 L p F P
0 g
s
.694 .479 .592 r
.07798 .13783 m .09121 .12001 L .08186 .11543 L p F P
0 g
s
.694 .468 .575 r
.73774 .13084 m .72409 .11402 L .71707 .12196 L p F P
0 g
s
.694 .468 .575 r
.64282 .13084 m .6294 .11402 L .6223 .12196 L p F P
0 g
s
.694 .466 .573 r
.54789 .03592 m .5347 .01932 L .52754 .02719 L p F P
0 g
s
.694 .466 .573 r
.45297 .03592 m .44001 .01932 L .43277 .02719 L p F P
0 g
s
.694 .466 .573 r
.35805 .03592 m .34531 .01932 L .338 .02719 L p F P
0 g
s
.609 .522 .731 r
.90986 .09877 m .92309 .08366 L .91481 .07648 L p F P
0 g
s
.607 .521 .731 r
.8151 .09877 m .82809 .08366 L .81989 .07648 L p F P
0 g
s
.694 .468 .575 r
.71707 .12196 m .72822 .13545 L .73774 .13084 L p F P
0 g
s
.694 .468 .575 r
.6223 .12196 m .63322 .13545 L .64282 .13084 L p F P
0 g
s
.694 .466 .573 r
.52754 .02719 m .53823 .04046 L .54789 .03592 L p F P
0 g
s
.694 .466 .573 r
.43277 .02719 m .44323 .04046 L .45297 .03592 L p F P
0 g
s
.694 .466 .573 r
.338 .02719 m .34823 .04046 L .35805 .03592 L p F P
0 g
s
.598 .516 .732 r
.24648 .19354 m .25812 .17866 L .25036 .1714 L p F P
0 g
s
.597 .515 .733 r
.15172 .19354 m .16313 .17866 L .15544 .1714 L p F P
0 g
s
.595 .514 .733 r
.05695 .19354 m .06813 .17866 L .06051 .1714 L p F P
0 g
s
.941 .832 .709 r
.94413 .02525 m .93316 .04281 L .9386 .04424 L p F P
0 g
s
.936 .826 .712 r
.84936 .02525 m .83814 .04281 L .84379 .04424 L p F P
0 g
s
.503 .559 .845 r
.74972 .19386 m .73736 .17419 L .73039 .17532 L p F P
0 g
s
.498 .557 .847 r
.65496 .19386 m .64234 .17419 L .63559 .17532 L p F P
0 g
s
.498 .558 .847 r
.56019 .09909 m .54732 .07917 L .54079 .08052 L p F P
0 g
s
.493 .556 .849 r
.46542 .09909 m .4523 .07917 L .44598 .08052 L p F P
0 g
s
.487 .555 .851 r
.37065 .09909 m .35728 .07917 L .35118 .08052 L p F P
0 g
s
.907 .791 .722 r
.28075 .12001 m .26802 .13783 L .27497 .13904 L p F P
0 g
s
.902 .786 .723 r
.18598 .12001 m .173 .13783 L .18017 .13904 L p F P
0 g
s
.898 .781 .724 r
.09121 .12001 m .07798 .13783 L .08537 .13904 L p F P
0 g
s
.914 .795 .716 r
.92954 .06099 m .92309 .08366 L .92996 .08393 L p F P
0 g
s
.914 .795 .716 r
.92996 .08393 m .93499 .06238 L .92954 .06099 L p F P
0 g
s
.909 .79 .717 r
.83452 .06099 m .82809 .08366 L .83516 .08393 L p F P
0 g
s
.909 .79 .717 r
.83516 .08393 m .84019 .06238 L .83452 .06099 L p F P
0 g
s
.459 .401 .705 r
.73374 .15601 m .72822 .13545 L .72459 .14246 L p F P
0 g
s
.459 .401 .705 r
.72459 .14246 m .72679 .15718 L .73374 .15601 L p F P
0 g
s
.451 .395 .704 r
.63872 .15601 m .63322 .13545 L .62979 .14246 L p F P
0 g
s
.451 .395 .704 r
.62979 .14246 m .63198 .15718 L .63872 .15601 L p F P
0 g
s
.444 .39 .703 r
.5437 .06099 m .53823 .04046 L .53499 .04765 L p F P
0 g
s
.444 .39 .703 r
.53499 .04765 m .53718 .06238 L .5437 .06099 L p F P
0 g
s
.435 .383 .702 r
.44868 .06099 m .44323 .04046 L .44018 .04765 L p F P
0 g
s
.435 .383 .702 r
.44018 .04765 m .44238 .06238 L .44868 .06099 L p F P
0 g
s
.425 .376 .7 r
.35366 .06099 m .34823 .04046 L .34538 .04765 L p F P
0 g
s
.425 .376 .7 r
.34538 .04765 m .34757 .06238 L .35366 .06099 L p F P
0 g
s
.884 .762 .722 r
.26441 .15601 m .25812 .17866 L .26634 .17874 L p F P
0 g
s
.884 .762 .722 r
.26634 .17874 m .27137 .15718 L .26441 .15601 L p F P
0 g
s
.881 .758 .723 r
.16939 .15601 m .16313 .17866 L .17154 .17874 L p F P
0 g
s
.881 .758 .723 r
.17154 .17874 m .17656 .15718 L .16939 .15601 L p F P
0 g
s
.877 .754 .723 r
.07437 .15601 m .06813 .17866 L .07673 .17874 L p F P
0 g
s
.877 .754 .723 r
.07673 .17874 m .08176 .15718 L .07437 .15601 L p F P
0 g
s
.915 .79 .707 r
.93316 .04281 m .92954 .06099 L .93499 .06238 L p F P
0 g
s
.915 .79 .707 r
.93499 .06238 m .9386 .04424 L .93316 .04281 L p F P
0 g
s
.911 .784 .709 r
.83814 .04281 m .83452 .06099 L .84019 .06238 L p F P
0 g
s
.911 .784 .709 r
.84019 .06238 m .84379 .04424 L .83814 .04281 L p F P
0 g
s
.461 .411 .715 r
.73736 .17419 m .73374 .15601 L .72679 .15718 L p F P
0 g
s
.461 .411 .715 r
.72679 .15718 m .73039 .17532 L .73736 .17419 L p F P
0 g
s
.453 .405 .715 r
.64234 .17419 m .63872 .15601 L .63198 .15718 L p F P
0 g
s
.453 .405 .715 r
.63198 .15718 m .63559 .17532 L .64234 .17419 L p F P
0 g
s
.446 .4 .714 r
.54732 .07917 m .5437 .06099 L .53718 .06238 L p F P
0 g
s
.446 .4 .714 r
.53718 .06238 m .54079 .08052 L .54732 .07917 L p F P
0 g
s
.437 .394 .713 r
.4523 .07917 m .44868 .06099 L .44238 .06238 L p F P
0 g
s
.437 .394 .713 r
.44238 .06238 m .44598 .08052 L .4523 .07917 L p F P
0 g
s
.428 .388 .712 r
.35728 .07917 m .35366 .06099 L .34757 .06238 L p F P
0 g
s
.428 .388 .712 r
.34757 .06238 m .35118 .08052 L .35728 .07917 L p F P
0 g
s
.886 .758 .715 r
.26802 .13783 m .26441 .15601 L .27137 .15718 L p F P
0 g
s
.886 .758 .715 r
.27137 .15718 m .27497 .13904 L .26802 .13783 L p F P
0 g
s
.882 .754 .716 r
.173 .13783 m .16939 .15601 L .17656 .15718 L p F P
0 g
s
.882 .754 .716 r
.17656 .15718 m .18017 .13904 L .173 .13783 L p F P
0 g
s
.878 .75 .717 r
.07798 .13783 m .07437 .15601 L .08176 .15718 L p F P
0 g
s
.878 .75 .717 r
.08176 .15718 m .08537 .13904 L .07798 .13783 L p F P
0 g
s
.65 .524 .697 r
.91876 .05896 m .91481 .07648 L .92309 .08366 L p F P
0 g
s
.649 .524 .697 r
.82382 .05896 m .81989 .07648 L .82809 .08366 L p F P
0 g
s
.76 .601 .681 r
.74395 .1539 m .73774 .13084 L .72822 .13545 L p F P
0 g
s
.759 .601 .681 r
.64901 .1539 m .64282 .13084 L .63322 .13545 L p F P
0 g
s
.759 .601 .682 r
.55408 .05896 m .54789 .03592 L .53823 .04046 L p F P
0 g
s
.759 .601 .682 r
.45914 .05896 m .45297 .03592 L .44323 .04046 L p F P
0 g
s
.758 .601 .682 r
.3642 .05896 m .35805 .03592 L .34823 .04046 L p F P
0 g
s
.646 .521 .696 r
.2542 .1539 m .25036 .1714 L .25812 .17866 L p F P
0 g
s
.646 .521 .696 r
.15926 .1539 m .15544 .1714 L .16313 .17866 L p F P
0 g
s
.645 .52 .696 r
.06433 .1539 m .06051 .1714 L .06813 .17866 L p F P
0 g
s
.65 .522 .694 r
.92237 .04079 m .91876 .05896 L .92954 .06099 L p F P
0 g
s
.65 .522 .694 r
.92954 .06099 m .93316 .04281 L .92237 .04079 L p F P
0 g
s
.65 .522 .694 r
.82743 .04079 m .82382 .05896 L .83452 .06099 L p F P
0 g
s
.65 .522 .694 r
.83452 .06099 m .83814 .04281 L .82743 .04079 L p F P
0 g
s
.762 .613 .693 r
.74756 .17206 m .74395 .1539 L .73374 .15601 L p F P
0 g
s
.762 .613 .693 r
.73374 .15601 m .73736 .17419 L .74756 .17206 L p F P
0 g
s
.762 .613 .693 r
.65263 .17206 m .64901 .1539 L .63872 .15601 L p F P
0 g
s
.762 .613 .693 r
.63872 .15601 m .64234 .17419 L .65263 .17206 L p F P
0 g
s
.762 .613 .693 r
.55769 .07712 m .55408 .05896 L .5437 .06099 L p F P
0 g
s
.762 .613 .693 r
.5437 .06099 m .54732 .07917 L .55769 .07712 L p F P
0 g
s
.761 .612 .694 r
.46275 .07712 m .45914 .05896 L .44868 .06099 L p F P
0 g
s
.761 .612 .694 r
.44868 .06099 m .4523 .07917 L .46275 .07712 L p F P
0 g
s
.761 .612 .694 r
.36782 .07712 m .3642 .05896 L .35366 .06099 L p F P
0 g
s
.761 .612 .694 r
.35366 .06099 m .35728 .07917 L .36782 .07712 L p F P
0 g
s
.647 .519 .693 r
.25781 .13573 m .2542 .1539 L .26441 .15601 L p F P
0 g
s
.647 .519 .693 r
.26441 .15601 m .26802 .13783 L .25781 .13573 L p F P
0 g
s
.647 .519 .693 r
.16288 .13573 m .15926 .1539 L .16939 .15601 L p F P
0 g
s
.647 .519 .693 r
.16939 .15601 m .173 .13783 L .16288 .13573 L p F P
0 g
s
.646 .518 .693 r
.06794 .13573 m .06433 .1539 L .07437 .15601 L p F P
0 g
s
.646 .518 .693 r
.07437 .15601 m .07798 .13783 L .06794 .13573 L p F P
0 g
s
.65 .524 .697 r
.92309 .08366 m .92954 .06099 L .91876 .05896 L p F P
0 g
s
.649 .524 .697 r
.82809 .08366 m .83452 .06099 L .82382 .05896 L p F P
0 g
s
.76 .601 .681 r
.72822 .13545 m .73374 .15601 L .74395 .1539 L p F P
0 g
s
.759 .601 .681 r
.63322 .13545 m .63872 .15601 L .64901 .1539 L p F P
0 g
s
.759 .601 .682 r
.53823 .04046 m .5437 .06099 L .55408 .05896 L p F P
0 g
s
.759 .601 .682 r
.44323 .04046 m .44868 .06099 L .45914 .05896 L p F P
0 g
s
.758 .601 .682 r
.34823 .04046 m .35366 .06099 L .3642 .05896 L p F P
0 g
s
.646 .521 .696 r
.25812 .17866 m .26441 .15601 L .2542 .1539 L p F P
0 g
s
.646 .521 .696 r
.16313 .17866 m .16939 .15601 L .15926 .1539 L p F P
0 g
s
.645 .52 .696 r
.06813 .17866 m .07437 .15601 L .06433 .1539 L p F P
0 g
s
.25 Mabswid
0 0 m
0 .21767 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 62.6875},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000?R000`400?l00000o`00003o00<0oooo
000000000000o`00000L00000080oooo0000103oool000000?ooo`0000050?oooe800000603oool3
000001L0oooo1000000G0?ooocT000005P3oool5000001H0oooo0`0000060?ooo`030000003oool0
00000080oooo0000103oool000000?ooo`0000050?ooo`030000002dQjD0]8NU01P0]8NU00<00000
0;B7Y@2dQjD05`2dQjD00`000000]8NU0;B7Y@0H0;B7Y@030000002gRJD00000008000004@3oool4
000000030:j3YP000000]hVU00<000004@3oool3000000040:j3YP00000000000;N9Y@8000004P3o
ool3000000030:j3YP000000000001T0]8NU00<000000;B7Y@2dQjD0602dQjD00`000000]hVU0000
000200000100oooo0`0000020;24YP80000000<0]hVU0000000000004@3oool300000080/8BV00<0
00000?ooo`3oool0103oool00`000000oooo000000020?ooo`0000@0oooo0000003oool000001@3o
ool00`000000]8NU0;B7Y@0H0;B7Y@030000002dQjD0]8NU01L0]8NU00<000000;B7Y@2dQjD0602d
QjD00`000000]hVU0;N9Y@020;N9Y@8000003@3oool2000000D0[X>V00<000000;N9Y@2gRJD00P2g
RJD2000000d0oooo0P0000050:j3YP040000002gRJD0]hVU0;N9Y@<00000303oool3000000D0[X>V
00<000000;B7Y@2dQjD05`2dQjD00`000000]8NU0;B7Y@0H0;B7Y@030000002gRJD0]hVU0080]hVU
0P00000=0?ooo`030000002nPi@0000000@0/8BV00@000000;N9Y@2gRJD0]hVU0P00000=0?ooo`80
000000<0_X>D0000002`Q:H00`2`Q:H00`000000oooo0?ooo`030?ooo`030000003oool000000080
oooo0000103oool000000?ooo`0000050?oooe<000000P2gRJD010000000XfbB00000000000:0?oo
o`8000001@2^PjH400000080]hVU00@000000:=/T`00000000002P3oool2000000D0[X>V10000002
0;N9Y@040000002SK9<00000000000T0oooo0`0000050:j3YST000000P2gRJD010000000cjRa0000
000000090?ooo`8000000P2nPi@010000000/8BV0;24YP2`Q:H400000080]hVU0`00000:0?ooo`80
00000P2nPi@010000000/8BV0;24YP2`Q:H2000000D0oooo00<000000?ooo`0000000P3oool00004
0?ooo`000000oooo000000D0oooo00<000000:^ki@2[^nD0602[^nD00`000000Zk_U0:^ki@0G0:^k
i@030000002[^nD0Zk_U01P0Zk_U00<0000009n`i02O/>@00`0000030:=/TP8000001P3oool20000
0080TWRb00<000000:j3YP0000000P000000102d`N@0000009n`i02O/>@3000000<0XfbC0P000006
0?ooo`8000000P2CN;800`000000[X>V00000002000000040;C1i0000000Wk3S09n`h`<000000`2S
K9<2000000H0oooo0P00000209=i/P030000002^PjH000000080000000<0/l7T0000002[^nD0602[
^nD00`000000Zk_U0:^ki@0H0:^ki@030000002P/><0X;3S00<000000`3?Z;42000000H0oooo00<0
00000;j3U02nPi@00`2nPi@3000000030;?2i@2P[n<0X:oS00<0X:oS00<000000<nX/@3?Z;400P00
00070?ooo`030000002nPi@0_X>D00<0_X>D0`0000000`2c`^D000000?ooo`040?ooo`030000003o
ool000000080oooo0000103oool000000?ooo`0000050?oooe<000000P2O/>@200000080XfbB00<0
00000;5gTP000000103oool00`000000TWRb099h/P02099h/P8000000`2d`N@400000080Wk3T0P00
00020:=/T`030000002aMi80000000@0oooo00<0000009=h/P2CN;800P2CN;82000000<0]<7T0`00
000209n`h`030000001WMLd000000080XfbC00<000000;5gTP000000103oool00`000000TgVb09=i
/P0209=i/P8000000`2c`N@i00000080X;3S0P0000040<nX/@030000003oool0oooo0080oooo0P00
00030;j3U0<000000P2c`^D2000000<0X:oS00<0000009R`j0000000103?Z;400`000000oooo0?oo
o`020?ooo`8000000`2nPi@300000080/l;U0P0000050?ooo`030000003oool000000080oooo0000
103oool000000?ooo`00001H0?ooo`<0000000@0HG;=0000002SK98000000P2aMi8010000000oooo
0?ooo`000004099h/P030000002cc>d0000000<00000103oool30000000406Adc@000000XfbC0000
0080/GNB00@000000?ooo`3oool00000102CN;800`000000//c]00000003000000<0oooo0`000002
06Mec@030000002SK9<000000080/GNB00@000000?ooo`3oool00000102CNK800`000000//c]0000
0003000003T0oooo0`0000000`2H/>P00000000000020<nX/@8000000P3oool00`000000/GZG0;5j
U`0300000080hMgA0`0000030?ooo`<000000P2H/>P200000080cjRa0P0000020?ooo`030000002a
NYL0/GZG00<000000P3Rg]43000000L0oooo00<000000?ooo`0000000P3oool000040?ooo`000000
oooo000005/0oooo00<00000065bc@0000000`2aMi82000000070?ooo`00000000000000002BN;80
00000;?<k@02000000X0oooo00<0000006Adc@0000000`2aMi830000000309B4_`000000TgRb0080
000000<0//c]0000000000002@3oool010000000IgG=06Mec@0000030;5gTP060000003oool00000
09B4_`000000TgVb0P0000000`2bc>d000000000000o0?ooo`030000002H/>P0V;3X0080000000<0
ck>n0000003oool00P0000020;5jU`80000000<0hMgA0000000000002@3oool010000000V;3X09R`
j02H/>P2000000030<nd_P000000oooo008000000P2aNYL2000000030>;Nd@000000000000X0oooo
00<000000?ooo`0000000P3oool000040?ooo`000000oooo000005`0oooo0`0000030;5gTP800000
0`2CQ;l3000000d0oooo0`0000030;5gTP8000000P2DQ;l4000000`0oooo100000030;5gTP800000
0P2DQ;l400000480oooo00@0000009R`j02H/>P000000P3?/kh2000000<0/GZG00<000000>oC]P00
0000303oool00`000000V;3X09R`j00200000080ckBn0P0000030;5jU`030000003`e;D0000000`0
oooo00<000000?ooo`0000000P3oool000040?ooo`000000oooo000005d0oooo00<0000005A@/@00
00000P2aMi8200000080ThBo00<000000<gHhP0000003`3oool00`000000F5>a000000020;5gTP80
000000D0U8Bo0000003=fN80cMWR0000000?0?ooo`030000001LE[8000000080/GNB0P000000102D
Q;l000000<gJh`0000150?ooo`<000000P3?/kh200000080/GZG00<000000>oC]P0000003P3oool2
0000000408BDg0000000ckBn0<nd_P8000000P2aNYL00`000000l=Be0000000=0?ooo`030000003o
ool000000080oooo0000103oool000000?ooo`00001N0?ooo`050000001DD;40000000000032VJh0
0P0000000`2CQ;l000000000000A0?ooo`050000001HDk40000000000032VJh00`0000000`3=fN80
00000?ooo`0@0?ooo`0:0000001LE[80000000000032VJh0000009B4_`000000cM[S000004H0oooo
00@0000008>Dg0000000ck>n0P0000020;5jU`800000403oool00`000000Q9CL08BDg00400000080
/GZG0P00000>0?ooo`030000003oool000000080oooo0000103oool000000?ooo`00001N0?ooo`<0
00000`32VJh2000000030<gHhP000000oooo0100oooo0`0000020<:I[P8000000P3=fN800`000000
oooo0?ooo`0?0?ooo`<000000P32VJh2000000030<gJh`000000oooo04H0oooo00H0000008>Dg000
0000ck>n0000002VQK4300000140oooo00L0000008BDg024U=`0000000008P000000YXFa00<00000
3`3oool00`000000oooo000000020?ooo`0000@0oooo0000003oool00000G`3oool00`000000K62c
000000020<:I[P<000004`3oool200000080`YV^1000000C0?ooo`8000000P32VJh4000004P0oooo
100000020:J5/@8000004P3oool30000000400008P000000YXFa0:J5/@8000003`3oool00`000000
oooo000000020?ooo`0000@0oooo0000003oool00000G`3oool00`000000K62c000000020<:I[P<0
00004`3oool2000000<0`YV^00<000000>C3]P0000004`3oool2000000<0`YV^00<000000>G4]P00
0000B03oool00`000000N6Rd000000030:J5/@8000004P3oool010000000NVVd0000000000030:J5
/@8000003`3oool00`000000oooo000000020?ooo`0000@0oooo0000003oool00000G`3oool00`00
0000K62c000000020<:I[P<000004`3oool00`000000Kf:c000000020<:I[P030000003T`kH00000
01<0oooo00<00000075S/`0000000P32VJh00`000000iLBf000000180?ooo`030000001hJ;@00000
0080YXFa0P00000C0?ooo`040000001jJK@0000000000080YXFa0P00000@0?ooo`030000003oool0
00000080oooo0000103oool000000?ooo`00001P0?ooo`030000001/H;<000000080`YV^00<00000
0?ooo`3oool04`3oool200000080`YV^0P00000E0?ooo`8000000P32VJh2000004T0oooo00<00000
07QX]00000000P2VQK42000001@0oooo0`0000020:J5/@800000403oool00`000000oooo00000002
0?ooo`0000@0oooo0000003oool00000H03oool6000001D0oooo1P00000E0?ooo`H00000B@3oool0
0`000000N6Rd00000004000001@0oooo1`00000@0?ooo`030000003oool000000080oooo0000103o
ool000000?ooo`00001P0?ooo`030000001]HkH000000080`Yba00<000000?ooo`3oool04`3oool2
00000080`Yba0P00000E0?ooo`8000000P33W;42000004T0oooo0`0000020:J6/P800000503oool0
0`000000000N000000020:J6/P800000403oool00`000000oooo000000020?ooo`0000@0oooo0000
003oool00000H03oool00`000000KF>f000000020<:L/@030000003oool0oooo01<0oooo0P000002
0<:L/@8000005@3oool200000080`iba0P0000190?ooo`8000000P2VQ[800`000000j<Zg0000000D
0?ooo`8000000P2VQ[800`000000jL^g0000000@0?ooo`030000003oool000000080oooo0000103o
ool000000?ooo`00001P0?ooo`040000001]HkH0KF>f00000080`Yba00<000000?ooo`3oool04@3o
ool20000000506mT]P000000`Yba0<:L/@000000503oool200000005079V]P000000`iba0<>L/@00
0000B@3oool200000080YXJb00<000000>S:]`000000503oool200000080YXJb00<000000>W;]`00
0000403oool00`000000oooo000000020?ooo`0000@0oooo0000003oool00000G`3oool01@000000
/G^I0000001]HkH000000080`Yba00<000000?ooo`3oool04@3oool010000000/G^I000000000002
0<:L/@030000003oool0oooo0180oooo00@000000;5kV@00000000000P33W;400`000000oooo0?oo
o`170?ooo`8000000P2VQ[83000001@0oooo0P0000020:J6/P<00000403oool00`000000oooo0000
00020?ooo`0000@0oooo0000003oool00000G`3oool010000000/G^I0000001]HkH4000001<0oooo
00<000000;5kV@0000001000000D0?ooo`030000002aNiT0000000@00000B@3oool010000000VhFk
0000002VQ[83000001@0oooo00@0000009^5^`000000YXJb0`00000@0?ooo`030000003oool00000
0080oooo0000103oool000000?ooo`00001N0?ooo`030000002aNiT0/G^I00<000000`3;[;X00`00
0000oooo0?ooo`0?0?ooo`060000002aNiT0/G^I0000001nS]T000000P3;[;X00`000000oooo0?oo
o`0@0?ooo`060000002aNiT0/G^I0000001oS]P000000P3;[;X00`000000oooo0?ooo`150?ooo`03
0000002bZ]00VhFk0080000000@0j<Zg0000002bNYD000004P3oool00`000000/Z[@09^5^`020000
00040>W;]`000000/WZE000000l0oooo00<000000?ooo`0000000P3oool000040?ooo`000000oooo
000005h0oooo00@000000;5kV@2aNiT0/G^I0P1lS]T010000000bjbj0<^/^P00000A0?ooo`060000
002aNiT0/G^I0;5kV@1nS]T000000P3;[;X200000100oooo0P0000020;5kV@030000001oS]P00000
0080bjbj00<000000?ooo`3oool0A@3oool010000000/Z[@09^5^`2KQK/300000080/WZE00<00000
0?ooo`3oool03`3oool010000000/Z[@09^5^`2KQK/3000000030;9jU@000000oooo00h0oooo00<0
00000?ooo`0000000P3oool000040?ooo`000000oooo000005d0oooo00@000000;Z4V`000000/G^I
0P0000000`1lS]T000000<^/^P020<^/^P030000003oool0oooo00d0oooo00@000000;Z4VP000000
/G^I0P000000101nS]T000000<^/^P3;[;X2000000h0oooo0P0000000`2jQ9X000000;5kV@020000
000507n>f0000000bjbj0<^/^P000000A@3oool01P000000VhFk09^5^`2KQK/000000=?JgP800000
0P2bNYD2000000h0oooo0P00000309^5^`040000003Cfmh0000000000080/WZE00<000000?ooo`3o
ool0303oool00`000000oooo000000020?ooo`0000@0oooo0000003oool00000F`3oool200000080
^XBK00<000000;5kV@0000000P0000000`1lS]T000000<^/^P020<^/^P8000002`3oool200000080
^XBJ00<000000;5kV@0000000P000000101nS]T000000<^/^P3;[;X3000000X0oooo0P0000030;Z4
VP80000000D0i/fn000000000000OhkH000000020<^/^P800000@@3oool300000080VhFk00<00000
0=?JgP0000000P1`JK/200000080ZgNJ0P00000:0?ooo`@000000P2KQK/00`000000dm_N00000002
07=[^`80000000<0ZgRJ000000000000303oool00`000000oooo000000020?ooo`0000@0oooo0000
003oool00000F03oool3000000D0^XBK00L000000>C:_P000000000007b>f@000000bjbj00800000
00<0c:Fa0000000000000P0000050?ooo`<000001@2jQ9X02@000000iL^n000000000000OXkI0000
003;[;X000000<bU/@05000000D0oooo0P0000060;Z4VP80000000L0oooo0000001oS]P000000<^/
^P000000cJFa00@00000>`3oool3000000<0UWZb0P0000020=?JgP<0000000<0NX?@0000002[MiX0
0`2[MiX3000000D0oooo0`00000309Mk/P8000000P3Cfmh01@000000Lf^k0000001lQ=00000000@0
ZgRJ0`0000080?ooo`030000003oool000000080oooo0000103oool000000?ooo`0000050?ooo`<0
00005@3oool6000001D0oooo1P00000E0?ooo`D000000P2aQJD010000000^XBK0;Z4V`2jQ9/40000
0080oooo0`0000050<bU/@@000000`2aQJD00`2gXL80/HFU000000030;Z4VP@000000P3oool30000
00@0c:Fa1@0000040;65Y@030000002jQ9X0^XBJ0080^XBJ100000020?ooo`<00000103=YK480000
01D0oooo1@00000E0?ooo`H000000P2aQJH01@000000UWZb09Ij/P2FN[8000000080dm[N00@00000
0?ooo`3oool000000P1jPm02000000030:]gVP000000]XRU0080]XRU1@0000020;65YP050000002G
Nk80Ug^b09Mk/P0000000P3Cfmh00`000000oooo0000000307b4d080000000<0ZgRJ0000002fR:D0
0P2fR:D3000000D0oooo00<000000?ooo`0000000P3oool000040?ooo`000000oooo000000D0oooo
00<000000;N9YP2gRJH01000000>0?ooo`<000000P2`Q:H200000080]hVV0`00000?0?ooo`<00000
0P2`Q:H00`000000]hVV0;N9YP04000000h0oooo100000020;24YP030000002aQJD0/HFU0080/HFU
00@000000;Z4V`00000000000P3HdM<00`000000oooo0?ooo`020?ooo`040000002CZ^H000000000
00<0c:Fa00L000000;>5Y@2cQJD0/Yg30000002aQJD0]j720080/HFU00@000000;Z4VP0000000000
0P3Hdm<00`000000oooo0?ooo`020?ooo`040000002DZ^D00000000000<0c:Fa00D000000;>5Y@2c
QJD0/hFU000000040;65Y@040000002jQ9X0000000000080fMCC00<000000?ooo`3oool00P3oool0
10000000U:[U0000000000030<fU/@050000002cQJD0/hFU0;>5Y@000000102gRJD00`000000oooo
0?ooo`0<0?ooo`D0000000@0[X>V0000002gRJD0]hVU1000000>0?ooo`D0000000<0[X>V0000002a
QJH00`2aQJH01@000000UWZb000000000000^/kY00800000103oool010000000NX?@07Z3d01jPm02
000000D0]XRU1@2aQJH01@000000Ug^b000000000000^/oY008000000`3oool2000000<0O8C@0P00
00050;J8Y@030000003oool0oooo00<0oooo00<000000?ooo`0000000P3oool000040?ooo`000000
oooo000000D0oooo00<000000;N9YP2gRJH00P2gRJH4000000/0oooo00<000000;j4U`000000102`
Q:H50;N9YP<000002`3oool2000000030;j4UP000000/8BV0080/8BV1P2gRJH3000000/0oooo00<0
00000;j4UP000000102`Q:H30;65Y@@000000P3HdM<2000000H0oooo0P000000102CZ^H000000000
003<YK4200000080/hFU00<0/HFU0;NQ`P2aQJD0100000020=SCd`8000001P3oool20000000409BZ
i@0000000000000000@0/hFU0`2aQJD400000080fMCC0P0000060?ooo`80000000@0U:[U00000000
00000000102cQJD00`000000]hVU0;N9Y@020;N9Y@<000002`3oool2000000D0[X>V00<000000;N9
Y@2gRJD00`2gRJD3000000/0oooo0P0000050:j3YP<0/HFV100000020;[>j@8000001P3oool20000
000307Z3d0000000WZoS00@0000000@0]XRU0;65YP2aQJH0/HFV100000020;[?j@8000001P3oool0
1@000000O8C@07b4d0000000WZoS00@0000000<0]XRU0000003oool0103oool00`000000oooo0000
00020?ooo`0000@0oooo0000003oool000001@3oool300000080]hVV00<000000<bV/@3<Y[400`00
00070?ooo`8000000`2nQ9L700000080]hVV00<000000<fV/@3=Y[400P0000080?ooo`030000002n
Q9H0_XBF0080_XBF1P0000030;N9YP030000003=Y[40cJJa008000001`3oool2000000<0_XBF1`00
00020;K3i0040000003HdM<00000000000X0oooo00<0000009>ZiP2CZ^H0200000020;K3i0040000
003Hdm<00000000000X0oooo00<0000009BZi@2DZ^D0200000020;K4i@040000003Ie=<000000000
00X0oooo00<0000009BZi@2DZ^D0200000020;N9Y@030000002TKI@0Y6fD008000001`3oool20000
000309Ai/P000000[X>V00<0[X>V100000020;N9Y@040000002TKY@0Y6jD0:A^U08000001`3oool3
000000D0[X>V1@0000000`2fa>D000000;[>j@02000000X0oooo0P00000509j_h`@000000P2fa>D0
10000000^/oY0000000000090?ooo`<000001@2N[n<2000000D0oooo00<000000?ooo`0000000P3o
ool000040?ooo`000000oooo000000D0oooo00<0000009faiP2M/NH00`0000030<bV/@<000001@3o
ool010000000_XBG0;j4U`2nQ9L3000000<0/l7T1@2N/ND010000000cJJa0<fV/@3=Y[42000000D0
oooo0P0000030;j4UP<000000`2c`^D409jai@030000003=Y[40cJJa0080cJJa0P0000050?ooo`03
0000002nQ9H0_XBF0080_XBF0P0000030;?2i@040000002f`n@0]/?T0;K3i0<000003@3oool30000
00<0WJoT0P0000030;K3i0<000003@3oool3000000<0WJoT0P0000020;K4i@@000003@3oool30000
00<0WJoT00@0000009n`i02O/>@0Wk3T0`0000040:A]U0030000003oool0oooo00<0oooo0P000002
09Ai/P030000002^PjH0[X>V0080000000@0/l;U09n`i02O/>@0Wk3T0`0000050:A^U0030000003o
ool0oooo00<0oooo0P00000209Ai/`040000002^PjH0000000000080/l?V00@000000;K4i@2fa>D0
]/CU0`00000=0?ooo`<000000`2N[n<200000080]/CU1000000=0?ooo`<000000`2N[n<00`000000
oooo0?ooo`040?ooo`030000003oool000000080oooo0000103oool000000?ooo`0000050?ooo`<0
00000P2M/NH2000000@0c:Ja0P0000030?ooo`030000002nQ9L0_XBG008000000P3Ld/l00`000000
/l7T0;?1i002000000<0W[7U00<0000009Bbk0000000103=Y[4010000000oooo0?ooo`3oool20000
0080_XBF0P0000020=cCc`030000002c`^D0/l;U00<000000P2N/ND3000000@0cJJa00@000000?oo
o`3oool0oooo0P0000020;j4UP8000000P3MeM000`000000/l;U0;?2i@04000001<0oooo2000000C
0?ooo`L00000503oool600000080Wk3T00P0000006Qfc@00000000000:A]U0000000/GNC000000<0
oooo0P00000409Ai/P8000000P2c`^D400000080Wk3T0`0000020:A^U0030000002aMi<0000000<0
oooo00<0000009Ai/`2DNK<00P2DNK<300000080/l?V1@00000C0?ooo`L00000503oool4000000H0
oooo00<000000?ooo`0000000P3oool000040?ooo`000000oooo000000P0oooo0`0000000`2C/^`0
0000000000020<bV/@<0000000<0oooo0000002aNYL00P0000040=cBc`<000000`3oool300000080
U;;/0P0000020<fV/@80000000@0oooo0000002aNYL0/GZG0P0000040=cCc`<000000`3oool30000
0080U;;[00@000000<fV/@3=Y[40cJJa0P000000103oool000000;5jU`2aNYL2000000@0gMG@0`00
001C0?ooo`<000000`1XM/d00`000000/GNC0;5gT`02000000030?ooo`000000000000@0U7Vb00<0
00000;;>k`0000000P0000040?ooo`<000000P1[Mld200000080/GNC0P0000000`3oool0000009Ai
/`0309Ai/`030000002acnl0000000<00000?@3oool00`000000oooo000000020?ooo`0000@0oooo
0000003oool000002`3oool00`000000Tk;/09>bk00200000080cK2m0P0000020;5jU`8000000P3L
d/l2000000T0oooo00@0000009Bbk02D/^`0U;;/0P0000020<f`_P040000002aNYL0/GZG0;5jU`80
00000P3Ldll2000000T0oooo00<0000009Bbj`2D/^/00`0000000`3=/Kh00000000000030;5jU`80
00000P3MeM02000005T0oooo00<0000006Qfc@1XM/d00P0000020;5gT`060000003oool0000009B4
_`000000U7Vb0P0000000`2bc^l00000000000090?ooo`030000001[Mld0JgO=008000000P2aMi<2
0000000609F5_`000000000009Ai/`000000/Lo_0P0000100?ooo`030000003oool000000080oooo
0000103oool000000?ooo`00000<0?ooo`040000002C/^`0Tk;/00000080cK2m0P000000102aNYL0
00000>G7^@3UakT2000000`0oooo0P00000209Bbk0040000003=/;h0cK2n00000080/GZG00<00000
0>K9^@3VbKT00P00000<0?ooo`8000000P2D/^/010000000cK6n0<fa_P0000020;5jU`030000003X
b[P0j<Zh00800000G03oool400000080/GNC0P00000309B4_`@00000303oool200000004069J/`00
0000/GNC0;5gT`8000000`2EQKl300000480oooo00<000000?ooo`0000000P3oool000040?ooo`00
0000oooo000000d0oooo0P000000101eT^4000000<f`_@0000020;5jU`030000003UakT000000100
oooo0`0000000`3=/;h000000;5jU`020;5jU`030000003VbKT000000100oooo0`0000000`3=/Kh0
00000;5jU`020;5jU`030000003Xb[P000000600oooo00<0000005mH/`0000000P2aMi<01P000000
U8Bo09B4_`000000cMgT000000l0oooo00@00000069J/`1RF[<000000P2aMi<01P000000UHFo09F5
_`000000c]kU000004<0oooo00<000000?ooo`0000000P3oool000040?ooo`000000oooo000000h0
oooo00@0000007FBh@00000000000P2aNYL00`000000iLNi0000000B0?ooo`040000001gT^400000
00000080/GZG00<000000>K9^@0000004P3oool010000000N9?P0000000000020;5jU`030000003X
b[P000000680oooo00<0000005mH/`0000000`0000000`2DQ;l000000000000A0?ooo`030000001R
F[<0HUZc00D0000000<0c]kU0000003oool0@`3oool00`000000oooo000000020?ooo`0000@0oooo
0000003oool000003`3oool00`000000MI;Q00000004000001<0oooo00@0000007NBh@000000YHBa
1000000C0?ooo`040000001hTn0000000:F4/@@00000H`3oool300000080`YV^0`00000C0?ooo`<0
00000P32VJh3000004D0oooo00<000000?ooo`0000000P3oool000040?ooo`000000oooo00000100
oooo0P000000102UQ;4000000>2o]`00000D0?ooo`8000000P2UQ;400`000000hL6g0000000D0?oo
o`8000000P2UQ;400`000000h/:g0000001T0?ooo`8000000P32VJh3000001@0oooo0P0000020<:I
[P030000003WakH0000004D0oooo00<000000?ooo`0000000P3oool000040?ooo`000000oooo0000
0100oooo00H000000:F4/@2UQ;4000000>2o]`00000D0?ooo`070000002UQ;40YHBa0:F4/@000000
hL6g0000000D0?ooo`070000002UQ;40YHBa0:F4/@000000h/:g0000001T0?ooo`8000000P32VJh0
0`00000000160000000D0?ooo`8000000P32VJh3000004D0oooo00<000000?ooo`0000000P3oool0
00040?ooo`000000oooo00000100oooo00@000000:F4/@000000h;ng0P00000D0?ooo`050000002U
Q;40YHBa0000003Q`KL00P00000D0?ooo`060000002UQ;40YHBa0000003R`[L00000I@3oool00`00
0000LfFd000000020<:I[P030000003oool0oooo01<0oooo00<0000007EV]00000000P32VJh00`00
0000oooo0?ooo`140?ooo`030000003oool000000080oooo0000103oool000000?ooo`00000@0?oo
o`040000002UQ;4000000>2o]`800000503oool2000000030:F4/@000000hL6g00800000503oool2
000000040:F4/@000000h/:g000006D0oooo00@0000007=U]0000000`YV^0P00000E0?ooo`040000
001eI[@000000<:I[P800000AP3oool00`000000oooo000000020?ooo`0000@0oooo0000003oool0
0000403oool6000001@0oooo00<000000:F5/P0000001000000D0?ooo`030000002UQK80000000<0
0000I@3oool4000000030<>L/@000000oooo01@0oooo100000000`33W;4000000?ooo`150?ooo`03
0000003oool000000080oooo0000103oool000000?ooo`00000?0?ooo`050000002UQK80YHFb0000
003P`KT00P00000D0?ooo`050000002UQK80YHFb0000003Q`[T00P00000D0?ooo`060000002UQK80
YHFb0000003R`kP00000I@3oool00`000000LfNg000000020<>L/@030000003oool0oooo01<0oooo
00<0000007IY]`0000000P33W;400`000000oooo0?ooo`140?ooo`030000003oool000000080oooo
0000103oool000000?ooo`00000?0?ooo`080000002UQK80YHFb0000003P`KT000000<:L/@00000B
0?ooo`090000002UQK80YHFb0:F5/P000000hL:i00000032W;4000000180oooo00@000000:F5/P2U
QK8000000P3R`kP2000006<0oooo0P0000001@1cIkL000000<>L/@33W;40000001@0oooo0P000000
1@1fJKL000000<>L/@33W;40000004H0oooo00<000000?ooo`0000000P3oool000040?ooo`000000
oooo000000h0oooo00H000000:F5/P2UQK8000000>31^@0000020<:L/@030000003oool0oooo0100
oooo00H000000:F5/P2UQK8000000>72^@0000020<:L/@030000003oool0oooo0100oooo00P00000
0:F5/P2UQK8000000>;3^0000000`Yba000006<0oooo0`0000001@1cIkL000000<>L/@33W;400000
01<0oooo0`0000001@1fJKL000000<>L/@33W;40000004D0oooo00<000000?ooo`0000000P3oool0
00040?ooo`000000oooo000000h0oooo00L000000:F5/P2UQK8000000>31^@000000`Yba00800000
4P3oool01`000000YHFb0:F5/P000000hL:i00000032W;400P00000B0?ooo`050000002UQK80YHFb
0000003R`kP00`00001S0?ooo`050000002aNiT0000007=W]`0000000P33W;400`000000oooo0?oo
o`0A0?ooo`050000002aO9T0000007IY]`0000000P33W;400`000000oooo0?ooo`130?ooo`030000
003oool000000080oooo0000103oool000000?ooo`00000=0?ooo`030000002HPk/0000000800000
00<0h<6i0000000000000P2bNYD00`000000oooo0?ooo`0>0?ooo`030000002HPk/0000000800000
00<0hL:i0000000000000P2bNYD00`000000oooo0?ooo`0>0?ooo`040000002IQ;/0000000000080
h/>h00@000000;9jU@2bNYD00000H@3oool2000000030;5kV@000000000000@000004P3oool20000
00030;5lV@000000000000@00000A@3oool00`000000oooo000000020?ooo`0000@0oooo0000003o
ool000003@3oool010000000V8>k09R3^`2HPk/3000000<0/WZE00<000000?ooo`3oool03P3oool0
10000000V8>k09R3^`2HPk/3000000<0/WZE00<000000?ooo`3oool03P3oool00`000000VHBk09V4
^`0400000080/WZE00<000000?ooo`3oool0G`3oool010000000/G^I0;5kV@2aNiT207n>f0040000
003<[K/0c:fk00000140oooo00@000000;5lV@2aO9T000000P20SmP010000000c:fk0<b]^`000014
0?ooo`030000003oool000000080oooo0000103oool000000?ooo`00000<0?ooo`090000002HPk/0
V8>k09R3^`000000dM;J0000001GFKT0000000<0/WZE00<000000?ooo`3oool0303oool02@000000
V8>k09R3^`2HPk/000000=7Cf`000000Febi000000030;9jU@030000003oool0oooo00`0oooo00@0
000009V4^`2IQ;/000000P3Ae=/2000000<0/WZE00<000000?ooo`3oool0G@3oool200000080/G^I
0P000000101oS]P000000<b]^`3<[K/2000000l0oooo0P0000020;5lV@80000000@0P8oH0000003<
[K/0c:fk0P0000130?ooo`030000003oool000000080oooo0000103oool000000?ooo`00000<0?oo
o`040000002HPk/0V8>k00000080dM;J00@0000005MI^@000000/WZE1000000=0?ooo`040000002H
Pk/0V8>k00000080dM?K00@0000005]L^@000000/WZE1000000=0?ooo`040000002IQ;/0VHBk0000
0080dMCK00@0000005mN^P000000/WZE0`00001N0?ooo`040000002jQ9/000000;5kV@<0000000@0
OhkH0000003<[K/0c:fk0P00000>0?ooo`040000002jQ9X000000;5lV@8000000P20SmP00`000000
c:fk0<b]^`0200000480oooo00<000000?ooo`0000000P3oool000040?ooo`000000oooo000000/0
oooo0P00000209R3^`070000003Ad]X000000?ooo`000000EeVi000000040:]gVP030000003oool0
oooo00P0oooo0`00000209R3^`070000003Adm/000000?ooo`000000Febi000000040:]gVP030000
003oool0oooo00P0oooo0`0000002@2IQ;/000000=7Df`3Ae=/000000?ooo`000000Gejj00000002
0:]gVP<00000FP3oool2000000<0^XBK00L000000>O?_P000000oooo0000001oS]P000000080c:fk
0`00000:0?ooo`8000000`2jQ9X2000000050?ooo`000000P8oH082?f00000000P3<[K/200000440
oooo00<000000?ooo`0000000P3oool000040?ooo`000000oooo000000P0oooo0`000000102VWlh0
TWNa0000000000020=7BfP060000003oool000000000001WO=@00000102[MiX4000000<0oooo0`00
00000`2CMk40YYo>09=g/@02000000040=7Cf`000000oooo0?ooo`80000000<0JWgC0000002[MiX0
0`2[MiX3000000<0oooo100000000`2CN;80Yio>09=h/P02000000040=7Df`000000oooo0?ooo`80
000000<0KGkC0000002[MiX00`2[MiX3000005@0oooo0`0000040;Z4V`<000000P3oool01P000000
OhkH0000003<[K/000000<fV/0@000001@3oool3000000@0^XBJ0`000000203oool00000082?f020
SmP000000<b]^`000000cJJ`1000000n0?ooo`030000003oool000000080oooo0000103oool00000
0?ooo`0000050?ooo`<000000P2aQJD00`000000TWNa099g/@02000000030=7BfP000000oooo0080
oooo00<0000006Mle01WO=@00P0000000`2[MiX000000;J9YP020;J9YPD0000000<0/HFV0000002C
Mk400P2CMk4010000000dM?K0=7Cf`0000030?ooo`030000001ZOM<0JWgC0080000000<0ZgNJ0000
002fRJH00P2fRJH400000080/HFV00D0000009=h/P2CN;80TgRb000000020=7Df`050000003oool0
oooo0?ooo`0000000P1]O]<2000000040:]gVP000000]XVU0;J9Y@8000006`0?000i000000040;65
YP000000^XBK0;Z4V`80000000<0f]KD0000003oool00`3oool3000000@0cJJ`0P00000201/000<0
00000P2aQJH00`000000^XBJ0;Z4VP02000000030=[He@000000oooo0080oooo100000040<fV/3/0
00001@3oool00`000000oooo000000020?ooo`0000@0oooo0000003oool000001@3oool00`000000
/HFU0;65Y@020;65Y@<000000P2kc>P2000000@0oooo0P00000206Mle08000001@2fRJH50;65YP<0
000000<0^/gX0000000000001@3oool200000080JWgC0P0000040;J9YPH0/HFV0`0000000`2jcNP0
0000000000050?ooo`8000000P1]O]<2000000@0]XVU6`2dQjD00`000000]8NU0;B7Y@0H0;B7Y@03
0000002dQjD0]8NU01P0]8NU00<000000;65YP2aQJH00P2aQJH200000080f]KD00<000000?ooo`3o
ool0103oool4000000<0cJJ`00@000000;>6Y@2cQZD000001@2aQJH200000080f]SE00<000000?oo
o`3oool00`3oool20000000309BZi@000000cJJ`0080cJJ`00D000000;>6Y@2cQZD0/hJU0000000J
0;B7Y@030000002dQjD0]8NU01P0]8NU00<000000?ooo`3oool00`3oool00`000000oooo00000002
0?ooo`0000@0oooo0000003oool000001@3oool00`000000/HFU0;65Y@03000000<0^lcX0P000007
0?ooo`<0000000@0Vk3V00000000000000000P2fRJH30;65YP<000000P2jcNP2000000P0oooo0`00
00001P2K/>H00000000000000000]XVV000000<0/HFV0`0000020;[=j0800000203oool300000006
09b`iP00000000000000002fRJD000006P2dQjD00`000000]8NU0;B7Y@0H0;B7Y@030000002dQjD0
]8NU01P0]8NU00<000000;65YP2aQJH00`0000000`3Je]@00000000000090?ooo`D000000`2cQZD4
0;65YP<0000000<0f]SE000000000000203oool4000000030<fV/0000000/hJU0080/hJU00<00000
0;B7Y@2dQjD0602dQjD00`000000]8NU0;B7Y@0H0;B7Y@030000003oool0oooo00<0oooo00<00000
0?ooo`0000000P3oool000040?ooo`000000oooo000000D0oooo0`0000020;K4i@040000002kc>P0
0000000000/0oooo0P00000309^`iPD000000P2fa>D3000000`0oooo0P00000309^`iPD000000P2f
a>D3000000`0oooo0P00000309b`iUD000000P2eaNH2000000d0oooo2P0000020;G5iP800000303o
ooln000000D0oooo00<000000?ooo`0000000P3oool000040?ooo`000000oooo000000D0oooo00@0
00000;K4i@2fa>D0]/CU0`00000?0?ooo`<0000000<0Vk3V0000000000000P2fa>D300000100oooo
0`0000000`2K/>H000000;K4i@020;K4i@<00000403oool30000000309b`iP000000Z[cW01T0Z[cW
00<000000:Zli`2Z_>L0602Z_>L00`000000Z[cW0:Zli`0G0:Zli`040000002eaNH0]LGV0;G5iP<0
0000403oool30000000309f`i@000000]LGV0080]LGV0`00000?0?ooo`<0000000<0WJoT00000000
00006P2Z_>L00`000000Z[cW0:Zli`0G0:Zli`030000003oool0oooo00@0oooo00<000000?ooo`00
00000P3oool000040?ooo`000000oooo000000D0oooo1000000E0?ooo`D000005P3oool5000001H0
ooooE@00000F0?ooo`D000005@3ooolh000000H0oooo00<000000?ooo`0000000P3oool000030?oo
o`00000000000?l00000700000020?ooo`00\
\>"],
  ImageRangeCache->{{{0, 287}, {61.6875, 0}} -> {-0.00635291, 0.391167, \
0.00352859, 0.00352859}}]
}, Open  ]],

Cell["\<\
To get the braid diagram of the B-word in the file \"nonalternate12.prd\", \
use the folllowing with its file name.
The folllowing outputs all results to the display.\
\>", "Text"],

Cell[BoxData[
    \(GetBraidRepFromFile["\<nonalternate12.prd\>"]\)], "Input"],

Cell["\<\
The following outputs all results to the fixed file \"BraidForm.brd\".\
\>", "Text"],

Cell[BoxData[
    \(GetBraidRepFromFile["\<nonalternate12.prd\>", 1]\)], "Input"],

Cell["\<\
We recommend you to use the folllowing for a very big input file.\
\>", "Text"],

Cell[BoxData[
    \(GetBraidRepFromFile["\<nonalternate12.prd\>", 2]\)], "Input"],

Cell["\<\
Note that all non-alternating knots of 12,13,14 and 15 crossings are given in \
the P-data files \
\"nonalternate12.prd\",\"nonalternate13.prd\",\"nonalternate14.prd\", and \
\"nonalternate15.prd\", which were converted from the knot table \
(http://www.math.utk.edu/~morwen/download) made by Prof. Morwen \
Thistlethwaite and that all datum in the files  \
\"nonalternate12.brd\",\"nonalternate13.brd\",\"nonalternate14.brd\", \
\"nonalternate15.brd\" and \"nonalternate16.brd\" give braid forms of
knots of 12,13,14,15 and 16 crossings which are directly obtaind (and so may \
not be minimal braid index) using the function GetBraidRepFromFile[].We thank \
heartily Prof. Thistlethwaite in him having accepted to distribute them with \
our software.\
\>", "Text"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["About B-word and B-word to P-data",
  FontWeight->"Bold"]], "Subsection"],

Cell["\<\
Braid is expressed by a string using symbols, called B-word. The symbols of \
B-word are a, b, ...(resp. A, B, ...) for sigma1, sigma2, ...(resp. \
sigma1^-1, sigma2^-1,...). Therefore, for example, using symboles between a \
(or A) and e (or E), you can express a 6-string braid. Check this. It will be \
noticed that you must use A^2 for sigma1^-2.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ShowBraid["\<aB^2c^3dba\>"]\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .46354 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics3D
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0 1 -0.26823 1 [
[ 0 0 0 0 ]
[ 1 .46354 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
0 0 m
1 0 L
s
1 0 m
1 .46354 L
s
.99189 .00376 m
1 0 L
s
.00811 .00376 m
0 0 L
s
0 0 m
0 .46354 L
s
0 .46354 m
.00811 .45978 L
s
.00811 .45978 m
.00811 .00376 L
s
.99189 .00376 m
.99189 .45978 L
s
.99189 .45978 m
1 .46354 L
s
1 .46354 m
1 0 L
s
1 0 m
.99189 .00376 L
s
.00811 .00376 m
0 0 L
s
0 0 m
1 0 L
s
1 0 m
.99189 .00376 L
s
.99189 .00376 m
.00811 .00376 L
s
.00811 .45978 m
.99189 .45978 L
s
.99189 .45978 m
1 .46354 L
s
1 .46354 m
0 .46354 L
s
0 .46354 m
.00811 .45978 L
s
0 0 m
1 0 L
1 .46354 L
0 .46354 L
closepath
clip
newpath
.5 Mabswid
.651 .54 .716 r
.91546 .40716 m .91151 .38728 L .92331 .38516 L p F P
0 g
s
.652 .548 .724 r
.91151 .38728 m .90564 .36484 L .91661 .35993 L p F P
0 g
s
.652 .548 .724 r
.91661 .35993 m .92331 .38516 L .91151 .38728 L p F P
0 g
s
.65 .54 .716 r
.81155 .30325 m .80759 .28336 L .81929 .28114 L p F P
0 g
s
.652 .548 .724 r
.80759 .28336 m .80169 .2609 L .81258 .25589 L p F P
0 g
s
.652 .548 .724 r
.81258 .25589 m .81929 .28114 L .80759 .28336 L p F P
0 g
s
.65 .54 .716 r
.70763 .09541 m .70367 .07553 L .71527 .07311 L p F P
0 g
s
.652 .548 .724 r
.70367 .07553 m .69775 .053 L .70854 .04782 L p F P
0 g
s
.652 .548 .724 r
.70854 .04782 m .71527 .07311 L .70367 .07553 L p F P
0 g
s
.65 .539 .716 r
.60371 .19933 m .59975 .17945 L .61126 .17713 L p F P
0 g
s
.651 .547 .724 r
.59975 .17945 m .5938 .15695 L .60451 .15186 L p F P
0 g
s
.651 .547 .724 r
.60451 .15186 m .61126 .17713 L .59975 .17945 L p F P
0 g
s
.649 .539 .716 r
.49979 .19933 m .49584 .17945 L .50724 .17713 L p F P
0 g
s
.651 .547 .724 r
.49584 .17945 m .48985 .15695 L .50047 .15186 L p F P
0 g
s
.651 .547 .724 r
.50047 .15186 m .50724 .17713 L .49584 .17945 L p F P
0 g
s
.649 .539 .716 r
.39587 .19933 m .39192 .17945 L .40322 .17713 L p F P
0 g
s
.65 .547 .724 r
.39192 .17945 m .38591 .15695 L .39644 .15186 L p F P
0 g
s
.65 .547 .724 r
.39644 .15186 m .40322 .17713 L .39192 .17945 L p F P
0 g
s
.76 .629 .716 r
.29826 .26348 m .2943 .28336 L .2827 .28114 L p F P
0 g
s
.761 .626 .711 r
.2943 .28336 m .2873 .30817 L .27841 .30034 L p F P
0 g
s
.761 .626 .711 r
.27841 .30034 m .2827 .28114 L .2943 .28336 L p F P
0 g
s
.759 .629 .716 r
.19434 .26348 m .19038 .28336 L .17868 .28114 L p F P
0 g
s
.76 .626 .711 r
.19038 .28336 m .18336 .30817 L .17437 .30034 L p F P
0 g
s
.76 .626 .711 r
.17437 .30034 m .17868 .28114 L .19038 .28336 L p F P
0 g
s
.647 .538 .716 r
.08412 .40716 m .08016 .38728 L .09117 .38516 L p F P
0 g
s
.648 .546 .724 r
.08016 .38728 m .07407 .36484 L .08434 .35993 L p F P
0 g
s
.648 .546 .724 r
.08434 .35993 m .09117 .38516 L .08016 .38728 L p F P
0 g
s
.601 .458 .659 r
.93096 .4295 m .91546 .40716 L .92727 .40506 L p F P
0 g
s
.651 .54 .716 r
.92331 .38516 m .92727 .40506 L .91546 .40716 L p F P
0 g
s
.598 .455 .658 r
.82674 .32528 m .81155 .30325 L .82325 .30105 L p F P
0 g
s
.65 .54 .716 r
.81929 .28114 m .82325 .30105 L .81155 .30325 L p F P
0 g
s
.595 .452 .656 r
.72252 .11684 m .70763 .09541 L .71923 .09301 L p F P
0 g
s
.65 .54 .716 r
.71527 .07311 m .71923 .09301 L .70763 .09541 L p F P
0 g
s
.594 .45 .656 r
.6183 .22106 m .60371 .19933 L .61521 .19703 L p F P
0 g
s
.65 .539 .716 r
.61126 .17713 m .61521 .19703 L .60371 .19933 L p F P
0 g
s
.592 .448 .655 r
.51408 .22106 m .49979 .19933 L .5112 .19703 L p F P
0 g
s
.649 .539 .716 r
.50724 .17713 m .5112 .19703 L .49979 .19933 L p F P
0 g
s
.59 .446 .654 r
.40986 .22106 m .39587 .19933 L .40718 .19703 L p F P
0 g
s
.649 .539 .716 r
.40322 .17713 m .40718 .19703 L .39587 .19933 L p F P
0 g
s
.712 .657 .794 r
.311 .24407 m .29826 .26348 L .28666 .26124 L p F P
0 g
s
.76 .629 .716 r
.2827 .28114 m .28666 .26124 L .29826 .26348 L p F P
0 g
s
.712 .657 .794 r
.20678 .24407 m .19434 .26348 L .18264 .26124 L p F P
0 g
s
.759 .629 .716 r
.17868 .28114 m .18264 .26124 L .19434 .26348 L p F P
0 g
s
.585 .441 .652 r
.0972 .4295 m .08412 .40716 L .09513 .40506 L p F P
0 g
s
.647 .538 .716 r
.09117 .38516 m .09513 .40506 L .08412 .40716 L p F P
0 g
s
.693 .651 .804 r
.90564 .36484 m .89505 .35042 L .9033 .34179 L p F P
0 g
s
.693 .651 .804 r
.9033 .34179 m .91661 .35993 L .90564 .36484 L p F P
0 g
s
.693 .65 .803 r
.80169 .2609 m .79083 .2462 L .79899 .23748 L p F P
0 g
s
.693 .65 .803 r
.79899 .23748 m .81258 .25589 L .80169 .2609 L p F P
0 g
s
.694 .648 .8 r
.69775 .053 m .68661 .03776 L .69469 .02886 L p F P
0 g
s
.694 .648 .8 r
.69469 .02886 m .70854 .04782 L .69775 .053 L p F P
0 g
s
.694 .649 .801 r
.5938 .15695 m .58239 .14198 L .59038 .13317 L p F P
0 g
s
.694 .649 .801 r
.59038 .13317 m .60451 .15186 L .5938 .15695 L p F P
0 g
s
.694 .649 .801 r
.48985 .15695 m .47817 .14198 L .48607 .13317 L p F P
0 g
s
.694 .649 .801 r
.48607 .13317 m .50047 .15186 L .48985 .15695 L p F P
0 g
s
.694 .649 .802 r
.38591 .15695 m .37395 .14198 L .38176 .13317 L p F P
0 g
s
.694 .649 .802 r
.38176 .13317 m .39644 .15186 L .38591 .15695 L p F P
0 g
s
.805 .618 .648 r
.2873 .30817 m .27331 .32492 L .26808 .31434 L p F P
0 g
s
.805 .618 .648 r
.26808 .31434 m .27841 .30034 L .2873 .30817 L p F P
0 g
s
.804 .617 .649 r
.18336 .30817 m .16909 .32492 L .16377 .31434 L p F P
0 g
s
.804 .617 .649 r
.16377 .31434 m .17437 .30034 L .18336 .30817 L p F P
0 g
s
.693 .652 .805 r
.07407 .36484 m .06129 .35042 L .06884 .34179 L p F P
0 g
s
.693 .652 .805 r
.06884 .34179 m .08434 .35993 L .07407 .36484 L p F P
0 g
s
.601 .458 .659 r
.92727 .40506 m .94006 .42175 L .93096 .4295 L p F P
0 g
s
0 .049 .607 r
.94006 .42175 m .92727 .40506 L .92859 .4056 L p F P
0 g
s
0 0 .386 r
.92727 .40506 m .92331 .38516 L .92462 .38563 L p F P
0 g
s
0 0 .386 r
.92462 .38563 m .92859 .4056 L .92727 .40506 L p F P
0 g
s
.598 .455 .658 r
.82325 .30105 m .83575 .31744 L .82674 .32528 L p F P
0 g
s
0 .036 .595 r
.83575 .31744 m .82325 .30105 L .82425 .30126 L p F P
0 g
s
0 0 .34 r
.82325 .30105 m .81929 .28114 L .82028 .2813 L p F P
0 g
s
0 0 .34 r
.82028 .2813 m .82425 .30126 L .82325 .30105 L p F P
0 g
s
.595 .452 .656 r
.71923 .09301 m .73144 .10883 L .72252 .11684 L p F P
0 g
s
0 .056 .614 r
.73144 .10883 m .71923 .09301 L .71991 .09258 L p F P
0 g
s
0 0 .303 r
.71923 .09301 m .71659 .07973 L p .71792 .08487 L F P
0 g
s
0 0 .303 r
.71594 .07262 m .71991 .09258 L .71923 .09301 L p F P
0 g
s
.698 .475 .581 r
.71991 .09258 m .70867 .09473 L p .72201 .10071 L F P
0 g
s
0 .056 .614 r
.72897 .10382 m .73144 .10883 L p .72106 .0942 L F P
0 g
s
0 .056 .614 r
.71991 .09258 m .72897 .10382 L p .72106 .0942 L F P
0 g
s
.585 .477 .697 r
.7422 .1275 m .72252 .11684 L .73144 .10883 L p F P
0 g
s
.585 .477 .697 r
.73144 .10883 m .74746 .11673 L .7422 .1275 L p F P
0 g
s
0 .254 .707 r
.74746 .11673 m .73144 .10883 L .72897 .10382 L p F P
0 g
s
.668 .466 .603 r
.72897 .10382 m .71847 .10878 L p .73557 .11186 L F P
0 g
s
0 .254 .707 r
.72897 .10382 m .74347 .11329 L .74746 .11673 L p F P
0 g
s
.668 .466 .603 r
.74347 .11329 m .72897 .10382 L p .73557 .11186 L F P
0 g
s
.698 .475 .581 r
.72897 .10382 m .71991 .09258 L p .72201 .10071 L F P
0 g
s
0 0 .303 r
.71527 .07311 m .71594 .07262 L p .71792 .08487 L F P
0 g
s
0 0 .303 r
.71659 .07973 m .71527 .07311 L p .71792 .08487 L F P
0 g
s
.594 .45 .656 r
.61521 .19703 m .62714 .21314 L .6183 .22106 L p F P
0 g
s
0 0 .533 r
.62714 .21314 m .61521 .19703 L .61557 .19692 L p F P
0 g
s
0 0 .222 r
.61521 .19703 m .61257 .18375 L p .61377 .18901 L F P
0 g
s
0 0 .222 r
.6116 .17696 m .61557 .19692 L .61521 .19703 L p F P
0 g
s
.699 .477 .583 r
.61557 .19692 m .60423 .19917 L p .61747 .20525 L F P
0 g
s
0 0 .533 r
.62437 .20842 m .62714 .21314 L p .61672 .19853 L F P
0 g
s
0 0 .533 r
.61557 .19692 m .62437 .20842 L p .61672 .19853 L F P
0 g
s
.583 .475 .697 r
.6377 .232 m .6183 .22106 L .62714 .21314 L p F P
0 g
s
.583 .475 .697 r
.62714 .21314 m .64288 .22131 L .6377 .232 L p F P
0 g
s
0 .173 .616 r
.64288 .22131 m .62714 .21314 L .62437 .20842 L p F P
0 g
s
.668 .467 .604 r
.62437 .20842 m .61378 .21346 L p .63076 .21668 L F P
0 g
s
0 .173 .616 r
.62437 .20842 m .63859 .21816 L .64288 .22131 L p F P
0 g
s
.668 .467 .604 r
.63859 .21816 m .62437 .20842 L p .63076 .21668 L F P
0 g
s
.699 .477 .583 r
.62437 .20842 m .61557 .19692 L p .61747 .20525 L F P
0 g
s
0 0 .222 r
.61126 .17713 m .6116 .17696 L p .61377 .18901 L F P
0 g
s
0 0 .222 r
.61257 .18375 m .61126 .17713 L p .61377 .18901 L F P
0 g
s
.592 .448 .655 r
.5112 .19703 m .52283 .21314 L .51408 .22106 L p F P
0 g
s
0 0 .479 r
.52283 .21314 m .5112 .19703 L .51123 .19692 L p F P
0 g
s
0 0 .151 r
.5112 .19703 m .50856 .18375 L p .50963 .18901 L F P
0 g
s
0 0 .151 r
.50726 .17696 m .51123 .19692 L .5112 .19703 L p F P
0 g
s
.699 .477 .583 r
.51123 .19692 m .49979 .19917 L p .51292 .20525 L F P
0 g
s
0 0 .479 r
.51978 .20842 m .52283 .21314 L p .51238 .19853 L F P
0 g
s
0 0 .479 r
.51123 .19692 m .51978 .20842 L p .51238 .19853 L F P
0 g
s
.58 .473 .697 r
.53321 .232 m .51408 .22106 L .52283 .21314 L p F P
0 g
s
.58 .473 .697 r
.52283 .21314 m .53829 .22131 L .53321 .232 L p F P
0 g
s
.41 0 0 r
.52283 .21314 m .51978 .20842 L p .5339 .21826 L F P
0 g
s
.41 0 0 r
.53829 .22131 m .53159 .21777 L p .5339 .21826 L F P
0 g
s
.41 0 0 r
.53159 .21777 m .52283 .21314 L p .5339 .21826 L F P
0 g
s
.716 .631 .761 r
.55126 .22231 m .56962 .21849 L .57071 .22416 L p F P
0 g
s
.716 .631 .761 r
.57071 .22416 m .57183 .22996 L p .55146 .22239 L F P
0 g
s
.716 .631 .761 r
.55126 .22231 m .57071 .22416 L .55146 .22239 L F
.57183 .22996 m .55194 .23386 L p .55126 .22231 L F P
0 g
s
.716 .631 .761 r
.55194 .23386 m .55121 .234 L .55123 .23077 L p F P
0 g
s
.716 .631 .761 r
.55123 .23077 m .55126 .22231 L p .55194 .23386 L F P
0 g
s
.708 .626 .764 r
.53829 .22131 m .54925 .22218 L p .55058 .23394 L F P
0 g
s
.708 .626 .764 r
.54925 .22218 m .55291 .22247 L .55123 .23077 L p F P
0 g
s
.708 .626 .764 r
.55123 .23077 m .55058 .23394 L p .54925 .22218 L F P
0 g
s
0 .451 .705 r
.55308 .22245 m .55291 .22247 L p .55174 .22221 L F P
0 g
s
0 0 0 r
.56962 .21849 m .55174 .22221 L p .55174 .22221 L F P
0 g
s
0 0 0 r
.5583 .22085 m .56962 .21849 L .55127 .22231 L F
0 .451 .705 r
.53802 .21913 m .55189 .22218 L .55174 .22221 L F
.55189 .22218 m .55308 .22245 L .55174 .22221 L F
0 0 0 r
.55126 .22231 m .55127 .22231 L p .55174 .22221 L F P
0 g
s
0 0 0 r
.55174 .22221 m .55126 .22231 L p .55174 .22221 L F P
0 g
s
0 .451 .705 r
.53942 .21942 m .5519 .22218 L p .53802 .21913 L F P
0 g
s
0 .451 .705 r
.5519 .22218 m .55308 .22245 L p .55189 .22218 L F P
0 g
s
0 .451 .705 r
.5519 .22218 m .55189 .22218 L .53802 .21913 L F
.55291 .22247 m .55115 .22233 L p .55174 .22221 L F P
0 g
s
0 0 0 r
.55127 .22231 m .55142 .22228 L p .55189 .22218 L F P
0 g
s
0 0 0 r
.55189 .22218 m .5583 .22085 L .55174 .22221 L F
.55189 .22218 m .55174 .22221 L .55127 .22231 L F
.41 0 0 r
.51978 .20842 m .53372 .21816 L .53829 .22131 L p F P
0 g
s
0 .451 .705 r
.53372 .21816 m .55174 .22221 L .54935 .22219 L F
.55115 .22233 m .54935 .22219 L p .55174 .22221 L F P
0 g
s
0 .451 .705 r
.54935 .22219 m .53829 .22131 L .53806 .22115 L p F P
0 g
s
0 .451 .705 r
.53806 .22115 m .53372 .21816 L p .54935 .22219 L F P
0 g
s
0 .451 .705 r
.53372 .21816 m .53942 .21942 L p .53802 .21913 L F P
0 g
s
.668 .466 .603 r
.51978 .20842 m .5091 .21346 L p .52595 .21668 L F P
0 g
s
.668 .466 .603 r
.53372 .21816 m .51978 .20842 L p .52595 .21668 L F P
0 g
s
.699 .477 .583 r
.51978 .20842 m .51123 .19692 L p .51292 .20525 L F P
0 g
s
0 0 .151 r
.50724 .17713 m .50726 .17696 L p .50963 .18901 L F P
0 g
s
0 0 .151 r
.50856 .18375 m .50724 .17713 L p .50963 .18901 L F P
0 g
s
.59 .446 .654 r
.40718 .19703 m .41852 .21314 L p .40838 .20782 L F P
0 g
s
0 0 .421 r
.41852 .21314 m .40718 .19703 L .40689 .19692 L p F P
0 g
s
.716 .631 .761 r
.4467 .22231 m .46505 .21849 L .4662 .22416 L p F P
0 g
s
.716 .631 .761 r
.4662 .22416 m .46737 .22996 L p .4469 .22239 L F P
0 g
s
.716 .631 .761 r
.4467 .22231 m .4662 .22416 L .4469 .22239 L F
.452 0 0 r
.42932 .21826 m .43248 .22046 L .42752 .21786 L F
.716 .631 .761 r
.46737 .22996 m .44747 .23386 L p .4467 .22231 L F P
0 g
s
.716 .631 .761 r
.44747 .23386 m .44675 .234 L .44673 .23077 L p F P
0 g
s
.716 .631 .761 r
.44673 .23077 m .4467 .22231 L p .44747 .23386 L F P
0 g
s
.708 .626 .764 r
.43371 .22131 m .44468 .22218 L p .44612 .23394 L F P
0 g
s
.708 .626 .764 r
.44468 .22218 m .44835 .22247 L .44673 .23077 L p F P
0 g
s
.708 .626 .764 r
.44673 .23077 m .44612 .23394 L p .44468 .22218 L F P
0 g
s
.158 .694 .707 r
.4467 .22231 m .44669 .22231 L p .44717 .22221 L F P
0 g
s
.158 .694 .707 r
.44717 .22221 m .4467 .22231 L p .44717 .22221 L F P
0 g
s
.154 0 0 r
.44835 .22247 m .44659 .22233 L p .44716 .22221 L F P
0 g
s
.154 0 0 r
.44819 .22245 m .44835 .22247 L p .44716 .22221 L F P
0 g
s
.452 0 0 r
.41852 .21314 m .41518 .20842 L p .42932 .21826 L F P
0 g
s
.452 0 0 r
.42932 .21826 m .42752 .21786 L .41852 .21314 L F
.43371 .22131 m .41852 .21314 L p .43248 .22046 L F P
0 g
s
.452 0 0 r
.41518 .20842 m .42885 .21816 L .43371 .22131 L p F P
0 g
s
.154 0 0 r
.42885 .21816 m .44716 .22221 L .44478 .22219 L F
.43322 .21913 m .44701 .22218 L .44716 .22221 L F
.158 .694 .707 r
.45354 .22085 m .46505 .21849 L .44669 .22231 L F
.154 0 0 r
.44701 .22218 m .44819 .22245 L .44716 .22221 L F
.158 .694 .707 r
.46505 .21849 m .44717 .22221 L p .44717 .22221 L F P
0 g
s
.154 0 0 r
.43454 .21942 m .44701 .22218 L p .43322 .21913 L F P
0 g
s
.154 0 0 r
.44701 .22218 m .44819 .22245 L p .44701 .22218 L F P
0 g
s
.154 0 0 r
.44701 .22218 m .44701 .22218 L .43322 .21913 L F
.44659 .22233 m .44478 .22219 L p .44716 .22221 L F P
0 g
s
.158 .694 .707 r
.44669 .22231 m .44653 .22228 L p .44701 .22218 L F P
0 g
s
.158 .694 .707 r
.44701 .22218 m .45354 .22085 L .44716 .22221 L F
.44701 .22218 m .44716 .22221 L .44669 .22231 L F
.154 0 0 r
.44478 .22219 m .43371 .22131 L .43346 .22115 L p F P
0 g
s
.154 0 0 r
.43346 .22115 m .42885 .21816 L p .44478 .22219 L F P
0 g
s
.154 0 0 r
.42885 .21816 m .43454 .21942 L p .43322 .21913 L F P
0 g
s
.59 .446 .654 r
.41852 .21314 m .40986 .22106 L p .40838 .20782 L F P
0 g
s
.751 .501 0 r
.40718 .19703 m .40322 .17713 L .40292 .17696 L p F P
0 g
s
.751 .501 0 r
.40292 .17696 m .40689 .19692 L .40718 .19703 L p F P
0 g
s
.712 .657 .794 r
.28666 .26124 m .30018 .23904 L .311 .24407 L p F P
0 g
s
.735 .901 .52 r
.30018 .23904 m .28666 .26124 L .286 .26133 L p F P
0 g
s
.822 .782 .278 r
.28666 .26124 m .2827 .28114 L .28203 .2813 L p F P
0 g
s
.822 .782 .278 r
.28203 .2813 m .286 .26133 L .28666 .26124 L p F P
0 g
s
.712 .657 .794 r
.18264 .26124 m .19587 .23904 L .20678 .24407 L p F P
0 g
s
.779 .931 .569 r
.19587 .23904 m .18264 .26124 L .18166 .26133 L p F P
0 g
s
.872 .819 .341 r
.18264 .26124 m .17868 .28114 L .17769 .2813 L p F P
0 g
s
.872 .819 .341 r
.17769 .2813 m .18166 .26133 L .18264 .26124 L p F P
0 g
s
.585 .441 .652 r
.09513 .40506 m .1056 .42175 L p .09606 .41603 L F P
0 g
s
.783 .324 0 r
.1056 .42175 m .09513 .40506 L .09388 .4056 L p F P
0 g
s
.783 .324 0 r
.10139 .41761 m .1056 .42175 L p .09504 .4072 L F P
0 g
s
.783 .324 0 r
.09388 .4056 m .10139 .41761 L p .09504 .4072 L F P
0 g
s
.585 .441 .652 r
.1056 .42175 m .0972 .4295 L p .09606 .41603 L F P
0 g
s
.57 .465 .695 r
.11523 .44099 m .0972 .4295 L .1056 .42175 L p F P
0 g
s
.668 .467 .604 r
.10139 .41761 m .09036 .42283 L p .10669 .4263 L F P
0 g
s
.648 .093 0 r
.1056 .42175 m .10139 .41761 L p .11556 .42743 L F P
0 g
s
.648 .093 0 r
.11556 .42743 m .11873 .42963 L .11407 .42683 L F
.11556 .42743 m .11407 .42683 L .1056 .42175 L F
.705 .623 .763 r
.23782 .44293 m .13335 .44293 L .13326 .43976 L p F P
0 g
s
.705 .623 .763 r
.13326 .43976 m .133 .43144 L p .13719 .4319 L F P
0 g
s
.705 .623 .763 r
.13719 .4319 m .23782 .44293 L .13326 .43976 L F
.133 .43144 m .23757 .43144 L .23782 .44293 L p F P
0 g
s
.708 .627 .764 r
.13465 .4316 m .13326 .43976 L p .12136 .43146 L F P
0 g
s
.708 .627 .764 r
.13259 .43145 m .13465 .4316 L p .12136 .43146 L F P
0 g
s
.14 0 0 r
.13742 .43144 m .133 .43144 L .13299 .43145 L p F P
0 g
s
.14 0 0 r
.13299 .43145 m .13298 .43145 L p .13742 .43144 L F P
0 g
s
.14 0 0 r
.13686 .43151 m .13742 .43144 L .13298 .43145 L F
.648 .093 0 r
.11996 .43048 m .1056 .42175 L p .11873 .42963 L F P
0 g
s
.57 .465 .695 r
.11996 .43048 m .11523 .44099 L p .11034 .43122 L F P
0 g
s
.57 .465 .695 r
.1056 .42175 m .11996 .43048 L p .11034 .43122 L F P
0 g
s
.648 .093 0 r
.10139 .41761 m .11423 .42791 L .11996 .43048 L p F P
0 g
s
.336 0 0 r
.11996 .43048 m .11423 .42791 L p .12591 .43002 L F P
0 g
s
.336 0 0 r
.12591 .43002 m .13388 .43146 L .11996 .43048 L F
.13465 .4316 m .13259 .43145 L p .13388 .43146 L F P
0 g
s
.336 0 0 r
.13259 .43145 m .11996 .43048 L p .13388 .43146 L F P
0 g
s
.336 0 0 r
.13352 .43223 m .13465 .4316 L p .13388 .43146 L F P
0 g
s
.336 0 0 r
.1328 .43205 m .13352 .43223 L .13388 .43146 L F
.14 0 0 r
.13298 .43145 m .13186 .43206 L p .13302 .43193 L F P
0 g
s
.708 .627 .764 r
.11996 .43048 m .13259 .43145 L p .12136 .43146 L F P
0 g
s
.336 0 0 r
.13278 .43206 m .13352 .43223 L p .1328 .43205 L F P
0 g
s
.14 0 0 r
.13186 .43206 m .13217 .43206 L p .23757 .43144 L F P
0 g
s
.708 .627 .764 r
.11996 .43048 m .13326 .43976 L .13203 .4422 L F
.13272 .44287 m .11523 .44099 L .11996 .43048 L p F P
0 g
s
.713 .537 .649 r
.13352 .43223 m .13278 .43206 L p .13222 .43216 L F P
0 g
s
.708 .627 .764 r
.13326 .43976 m .13272 .44287 L p .13203 .4422 L F P
0 g
s
.713 .537 .649 r
.1316 .44069 m .13352 .43223 L p .13235 .43242 L F P
0 g
s
.705 .529 .648 r
.13151 .44399 m .13787 .44327 L .13231 .43289 L F
.13186 .43206 m .1316 .44069 L p .13231 .43289 L F P
0 g
s
.705 .529 .648 r
.1316 .44069 m .13151 .44399 L p .13231 .43289 L F P
0 g
s
.713 .537 .649 r
.10594 .43686 m .13087 .44393 L .1316 .44069 L p F P
0 g
s
.705 .529 .648 r
.13217 .43206 m .13186 .43206 L p .13787 .44327 L F P
0 g
s
.713 .537 .649 r
.10594 .43686 m .1316 .44069 L .13235 .43242 L F
.10594 .43686 m .13235 .43242 L .13222 .43216 L F
.13235 .43242 m .13352 .43223 L .13222 .43216 L F
.11034 .43211 m .10594 .43686 L p .13278 .43206 L F P
0 g
s
.705 .529 .648 r
.23675 .43206 m .13217 .43206 L p .13787 .44327 L F P
0 g
s
.14 0 0 r
.13217 .43206 m .23675 .43206 L .23704 .43184 L p F P
0 g
s
.14 0 0 r
.23704 .43184 m .23757 .43144 L p .13217 .43206 L F P
0 g
s
.14 0 0 r
.13186 .43206 m .13279 .43206 L .13302 .43193 L F
.713 .537 .649 r
.13278 .43206 m .11423 .42791 L .11034 .43211 L p F P
0 g
s
.336 0 0 r
.11991 .42918 m .13278 .43206 L p .1188 .42873 L F P
0 g
s
.336 0 0 r
.13278 .43206 m .1328 .43205 L .1188 .42873 L F
.14 0 0 r
.13302 .43193 m .13686 .43151 L .13388 .43146 L F
.13302 .43193 m .13388 .43146 L .13298 .43145 L F
.336 0 0 r
.1188 .42873 m .1328 .43205 L .13388 .43146 L F
.14 0 0 r
.23757 .43144 m .13742 .43144 L p .13302 .43193 L F P
0 g
s
.14 0 0 r
.13279 .43206 m .23757 .43144 L .13302 .43193 L F
.336 0 0 r
.11423 .42791 m .11991 .42918 L p .1188 .42873 L F P
0 g
s
.668 .467 .604 r
.11423 .42791 m .10139 .41761 L p .10669 .4263 L F P
0 g
s
.919 .647 .157 r
.09513 .40506 m .09117 .38516 L .08991 .38563 L p F P
0 g
s
.919 .647 .157 r
.08991 .38563 m .09388 .4056 L .09513 .40506 L p F P
0 g
s
0 0 .375 r
.92331 .38516 m .91661 .35993 L .92087 .36493 L p F P
0 g
s
0 0 .375 r
.92087 .36493 m .92462 .38563 L .92331 .38516 L p F P
0 g
s
0 0 .328 r
.81929 .28114 m .81258 .25589 L .81655 .26061 L p F P
0 g
s
0 0 .328 r
.81655 .26061 m .82028 .2813 L .81929 .28114 L p F P
0 g
s
0 0 .287 r
.71527 .07311 m .70854 .04782 L .71222 .05197 L p F P
0 g
s
0 0 .287 r
.71222 .05197 m .71594 .07262 L .71527 .07311 L p F P
0 g
s
0 0 .208 r
.61126 .17713 m .60451 .15186 L .6079 .15629 L p F P
0 g
s
0 0 .208 r
.6079 .15629 m .6116 .17696 L .61126 .17713 L p F P
0 g
s
0 0 .136 r
.50724 .17713 m .50047 .15186 L .50358 .15629 L p F P
0 g
s
0 0 .136 r
.50358 .15629 m .50726 .17696 L .50724 .17713 L p F P
0 g
s
.755 .516 0 r
.40322 .17713 m .39644 .15186 L .39926 .15629 L p F P
0 g
s
.755 .516 0 r
.39926 .15629 m .40292 .17696 L .40322 .17713 L p F P
0 g
s
.838 .729 .204 r
.2827 .28114 m .27841 .30034 L .28091 .29588 L p F P
0 g
s
.838 .729 .204 r
.28091 .29588 m .28203 .2813 L .2827 .28114 L p F P
0 g
s
.887 .768 .269 r
.17868 .28114 m .17437 .30034 L .17659 .29588 L p F P
0 g
s
.887 .768 .269 r
.17659 .29588 m .17769 .2813 L .17868 .28114 L p F P
0 g
s
.921 .659 .169 r
.09117 .38516 m .08434 .35993 L .0863 .36493 L p F P
0 g
s
.921 .659 .169 r
.0863 .36493 m .08991 .38563 L .09117 .38516 L p F P
0 g
s
0 .01 .579 r
.91661 .35993 m .9033 .34179 L .90908 .34521 L p F P
0 g
s
0 .01 .579 r
.90908 .34521 m .92087 .36493 L .91661 .35993 L p F P
0 g
s
0 0 .562 r
.81258 .25589 m .79899 .23748 L .80448 .24061 L p F P
0 g
s
0 0 .562 r
.80448 .24061 m .81655 .26061 L .81258 .25589 L p F P
0 g
s
0 .007 .576 r
.70854 .04782 m .69469 .02886 L .69989 .03142 L p F P
0 g
s
0 .007 .576 r
.69989 .03142 m .71222 .05197 L .70854 .04782 L p F P
0 g
s
0 0 .493 r
.60451 .15186 m .59038 .13317 L .59529 .13602 L p F P
0 g
s
0 0 .493 r
.59529 .13602 m .6079 .15629 L .60451 .15186 L p F P
0 g
s
0 0 .436 r
.50047 .15186 m .48607 .13317 L .4907 .13602 L p F P
0 g
s
0 0 .436 r
.4907 .13602 m .50358 .15629 L .50047 .15186 L p F P
0 g
s
.603 .179 0 r
.39644 .15186 m .38176 .13317 L .3861 .13602 L p F P
0 g
s
.603 .179 0 r
.3861 .13602 m .39926 .15629 L .39644 .15186 L p F P
0 g
s
.62 .79 .352 r
.27841 .30034 m .26808 .31434 L .2721 .31146 L p F P
0 g
s
.62 .79 .352 r
.2721 .31146 m .28091 .29588 L .27841 .30034 L p F P
0 g
s
.682 .839 .415 r
.17437 .30034 m .16377 .31434 L .16751 .31146 L p F P
0 g
s
.682 .839 .415 r
.16751 .31146 m .17659 .29588 L .17437 .30034 L p F P
0 g
s
.812 .371 0 r
.08434 .35993 m .06884 .34179 L .07231 .34521 L p F P
0 g
s
.812 .371 0 r
.07231 .34521 m .0863 .36493 L .08434 .35993 L p F P
0 g
s
.474 .412 .707 r
.91357 .38806 m .91248 .37297 L .90307 .3729 L p F P
0 g
s
.474 .412 .707 r
.90307 .3729 m .90548 .38907 L .91357 .38806 L p F P
0 g
s
.503 .58 .866 r
.89569 .35921 m .90307 .3729 L .91248 .37297 L p F P
0 g
s
.467 .407 .706 r
.80913 .28362 m .80807 .26856 L .79889 .26872 L p F P
0 g
s
.467 .407 .706 r
.79889 .26872 m .8013 .2849 L .80913 .28362 L p F P
0 g
s
.504 .581 .865 r
.79124 .25475 m .79889 .26872 L .80807 .26856 L p F P
0 g
s
.461 .403 .705 r
.70469 .07474 m .70366 .05974 L .69471 .06036 L p F P
0 g
s
.461 .403 .705 r
.69471 .06036 m .69712 .07654 L .70469 .07474 L p F P
0 g
s
.513 .582 .861 r
.68679 .04585 m .69471 .06036 L .70366 .05974 L p F P
0 g
s
.451 .395 .704 r
.60025 .17918 m .59925 .16415 L .59053 .16454 L p F P
0 g
s
.451 .395 .704 r
.59053 .16454 m .59294 .18072 L .60025 .17918 L p F P
0 g
s
.501 .58 .867 r
.58233 .1503 m .59053 .16454 L .59925 .16415 L p F P
0 g
s
.442 .388 .703 r
.49582 .17918 m .49484 .16415 L .48636 .16454 L p F P
0 g
s
.442 .388 .703 r
.48636 .16454 m .48877 .18072 L .49582 .17918 L p F P
0 g
s
.495 .579 .869 r
.47788 .1503 m .48636 .16454 L .49484 .16415 L p F P
0 g
s
.432 .381 .701 r
.39138 .17918 m .39043 .16415 L .38218 .16454 L p F P
0 g
s
.432 .381 .701 r
.38218 .16454 m .38459 .18072 L .39138 .17918 L p F P
0 g
s
.489 .578 .871 r
.37343 .1503 m .38218 .16454 L .39043 .16415 L p F P
0 g
s
.884 .762 .722 r
.29327 .28362 m .29139 .30098 L .29533 .30859 L p F P
0 g
s
.884 .762 .722 r
.29533 .30859 m .30085 .2849 L .29327 .28362 L p F P
0 g
s
.889 .789 .744 r
.28058 .32861 m .29533 .30859 L .29139 .30098 L p F P
0 g
s
.88 .758 .723 r
.18883 .28362 m .18698 .30098 L .19115 .30859 L p F P
0 g
s
.88 .758 .723 r
.19115 .30859 m .19667 .2849 L .18883 .28362 L p F P
0 g
s
.885 .784 .744 r
.17613 .32861 m .19115 .30859 L .18698 .30098 L p F P
0 g
s
.392 .352 .694 r
.07806 .38806 m .0772 .37297 L .06965 .3729 L p F P
0 g
s
.392 .352 .694 r
.06965 .3729 m .07206 .38907 L .07806 .38806 L p F P
0 g
s
.447 .57 .885 r
.06007 .35921 m .06965 .3729 L .0772 .37297 L p F P
0 g
s
.475 .421 .717 r
.91754 .40804 m .91357 .38806 L .90548 .38907 L p F P
0 g
s
.475 .421 .717 r
.90548 .38907 m .90944 .40901 L .91754 .40804 L p F P
0 g
s
.469 .416 .716 r
.81311 .3036 m .80913 .28362 L .8013 .2849 L p F P
0 g
s
.469 .416 .716 r
.8013 .2849 m .80526 .30483 L .81311 .3036 L p F P
0 g
s
.464 .413 .716 r
.70867 .09473 m .70469 .07474 L .69712 .07654 L p F P
0 g
s
.464 .413 .716 r
.69712 .07654 m .70109 .09647 L .70867 .09473 L p F P
0 g
s
.454 .406 .715 r
.60423 .19917 m .60025 .17918 L .59294 .18072 L p F P
0 g
s
.454 .406 .715 r
.59294 .18072 m .59691 .20065 L .60423 .19917 L p F P
0 g
s
.444 .399 .714 r
.49979 .19917 m .49582 .17918 L .48877 .18072 L p F P
0 g
s
.444 .399 .714 r
.48877 .18072 m .49273 .20065 L .49979 .19917 L p F P
0 g
s
.434 .392 .713 r
.39535 .19917 m .39138 .17918 L .38459 .18072 L p F P
0 g
s
.434 .392 .713 r
.38459 .18072 m .38855 .20065 L .39535 .19917 L p F P
0 g
s
.885 .757 .715 r
.29724 .26364 m .29327 .28362 L .30085 .2849 L p F P
0 g
s
.885 .757 .715 r
.30085 .2849 m .30481 .26496 L .29724 .26364 L p F P
0 g
s
.881 .753 .716 r
.19281 .26364 m .18883 .28362 L .19667 .2849 L p F P
0 g
s
.881 .753 .716 r
.19667 .2849 m .20063 .26496 L .19281 .26364 L p F P
0 g
s
.395 .364 .707 r
.08204 .40804 m .07806 .38806 L .07206 .38907 L p F P
0 g
s
.395 .364 .707 r
.07206 .38907 m .07602 .40901 L .08204 .40804 L p F P
0 g
s
.444 .416 .733 r
.92784 .42283 m .91754 .40804 L .90944 .40901 L p F P
0 g
s
.444 .416 .733 r
.90944 .40901 m .9234 .43018 L .92784 .42283 L p F P
0 g
s
.437 .411 .733 r
.82315 .31815 m .81311 .3036 L .80526 .30483 L p F P
0 g
s
.437 .411 .733 r
.80526 .30483 m .81895 .32573 L .82315 .31815 L p F P
0 g
s
.433 .409 .733 r
.71847 .10878 m .70867 .09473 L .70109 .09647 L p F P
0 g
s
.433 .409 .733 r
.70109 .09647 m .7145 .11683 L .71847 .10878 L p F P
0 g
s
.419 .4 .732 r
.61378 .21346 m .60423 .19917 L .59691 .20065 L p F P
0 g
s
.419 .4 .732 r
.59691 .20065 m .61004 .22128 L .61378 .21346 L p F P
0 g
s
.407 .392 .731 r
.5091 .21346 m .49979 .19917 L .49273 .20065 L p F P
0 g
s
.407 .392 .731 r
.49273 .20065 m .50559 .22128 L .5091 .21346 L p F P
0 g
s
.394 .384 .729 r
.40441 .21346 m .39535 .19917 L .38855 .20065 L p F P
0 g
s
.394 .384 .729 r
.38855 .20065 m .40114 .22128 L .40441 .21346 L p F P
0 g
s
.802 .849 .885 r
.30511 .25167 m .29724 .26364 L .30481 .26496 L p F P
0 g
s
.802 .849 .885 r
.30481 .26496 m .31406 .25187 L .30511 .25167 L p F P
0 g
s
.802 .845 .883 r
.20042 .25167 m .19281 .26364 L .20063 .26496 L p F P
0 g
s
.802 .845 .883 r
.20063 .26496 m .20961 .25187 L .20042 .25167 L p F P
0 g
s
.339 .348 .723 r
.09036 .42283 m .08204 .40804 L .07602 .40901 L p F P
0 g
s
.339 .348 .723 r
.07602 .40901 m .08779 .43018 L .09036 .42283 L p F P
0 g
s
.735 .683 .801 r
.89505 .35042 m .88397 .34238 L .88662 .33102 L p F P
0 g
s
.735 .683 .801 r
.88662 .33102 m .9033 .34179 L .89505 .35042 L p F P
0 g
s
.734 .681 .799 r
.79083 .2462 m .7795 .23791 L .78205 .22645 L p F P
0 g
s
.734 .681 .799 r
.78205 .22645 m .79899 .23748 L .79083 .2462 L p F P
0 g
s
.734 .678 .796 r
.68661 .03776 m .67504 .02898 L .67749 .01732 L p F P
0 g
s
.734 .678 .796 r
.67749 .01732 m .69469 .02886 L .68661 .03776 L p F P
0 g
s
.734 .679 .797 r
.58239 .14198 m .57057 .13345 L .57292 .12189 L p F P
0 g
s
.734 .679 .797 r
.57292 .12189 m .59038 .13317 L .58239 .14198 L p F P
0 g
s
.734 .679 .797 r
.47817 .14198 m .46611 .13345 L .46836 .12189 L p F P
0 g
s
.734 .679 .797 r
.46836 .12189 m .48607 .13317 L .47817 .14198 L p F P
0 g
s
.734 .678 .796 r
.37395 .14198 m .36164 .13345 L .36379 .12189 L p F P
0 g
s
.734 .678 .796 r
.36379 .12189 m .38176 .13317 L .37395 .14198 L p F P
0 g
s
.827 .667 .684 r
.27331 .32492 m .25844 .33443 L .25592 .32306 L p F P
0 g
s
.827 .667 .684 r
.25592 .32306 m .26808 .31434 L .27331 .32492 L p F P
0 g
s
.824 .665 .685 r
.16909 .32492 m .15397 .33443 L .15136 .32306 L p F P
0 g
s
.824 .665 .685 r
.15136 .32306 m .16377 .31434 L .16909 .32492 L p F P
0 g
s
.734 .679 .798 r
.06129 .35042 m .04825 .34238 L .05009 .33102 L p F P
0 g
s
.734 .679 .798 r
.05009 .33102 m .06884 .34179 L .06129 .35042 L p F P
0 g
s
.589 .48 .698 r
.95119 .44099 m .93096 .4295 L .94006 .42175 L p F P
0 g
s
.587 .479 .698 r
.84669 .33649 m .82674 .32528 L .83575 .31744 L p F P
0 g
s
.578 .471 .696 r
.42871 .232 m .40986 .22106 L .41852 .21314 L p F P
0 g
s
.67 .625 .795 r
.32781 .23492 m .311 .24407 L .30018 .23904 L p F P
0 g
s
.669 .625 .796 r
.22331 .23492 m .20678 .24407 L .19587 .23904 L p F P
0 g
s
.589 .48 .698 r
.94006 .42175 m .95662 .43048 L .95119 .44099 L p F P
0 g
s
0 .178 .621 r
.95662 .43048 m .94006 .42175 L .93816 .41761 L p F P
0 g
s
0 .049 .607 r
.93816 .41761 m .94006 .42175 L p .92973 .4072 L F P
0 g
s
.67 .472 .608 r
.93816 .41761 m .92784 .42283 L p .9452 .4263 L F P
0 g
s
0 .178 .621 r
.93816 .41761 m .95321 .42791 L .95662 .43048 L p F P
0 g
s
.67 .472 .608 r
.95321 .42791 m .93816 .41761 L p .9452 .4263 L F P
0 g
s
0 .049 .607 r
.92859 .4056 m .93816 .41761 L p .92973 .4072 L F P
0 g
s
.587 .479 .698 r
.83575 .31744 m .85204 .3259 L .84669 .33649 L p F P
0 g
s
0 .193 .639 r
.85204 .3259 m .83575 .31744 L .83356 .31302 L p F P
0 g
s
0 .036 .595 r
.83356 .31302 m .83575 .31744 L p .82539 .30287 L F P
0 g
s
.669 .47 .606 r
.83356 .31302 m .82315 .31815 L p .84039 .32149 L F P
0 g
s
0 .193 .639 r
.83356 .31302 m .84834 .32303 L .85204 .3259 L p F P
0 g
s
.669 .47 .606 r
.84834 .32303 m .83356 .31302 L p .84039 .32149 L F P
0 g
s
0 .036 .595 r
.82425 .30126 m .83356 .31302 L p .82539 .30287 L F P
0 g
s
.578 .471 .696 r
.41852 .21314 m .43371 .22131 L .42871 .232 L p F P
0 g
s
0 0 .421 r
.41518 .20842 m .41852 .21314 L p .40805 .19853 L F P
0 g
s
.668 .466 .603 r
.41518 .20842 m .40441 .21346 L p .42113 .21668 L F P
0 g
s
.668 .466 .603 r
.42885 .21816 m .41518 .20842 L p .42113 .21668 L F P
0 g
s
0 0 .421 r
.40689 .19692 m .41518 .20842 L p .40805 .19853 L F P
0 g
s
.67 .625 .795 r
.31486 .22936 m .31972 .22616 L .32111 .22766 L p F P
0 g
s
.67 .625 .795 r
.30018 .23904 m .31486 .22936 L p .32781 .23492 L F P
0 g
s
.67 .625 .795 r
.32111 .22766 m .32781 .23492 L p .31486 .22936 L F P
0 g
s
.735 .901 .52 r
.286 .26133 m .29651 .24372 L .30018 .23904 L p F P
0 g
s
.579 .92 .711 r
.31972 .22616 m .30018 .23904 L .29651 .24372 L p F P
0 g
s
.716 .63 .761 r
.3629 .22996 m .34363 .23374 L p .34213 .22231 L F P
0 g
s
.716 .63 .761 r
.34363 .23374 m .34228 .234 L .34224 .23077 L p F P
0 g
s
.716 .63 .761 r
.34224 .23077 m .34213 .22231 L p .34363 .23374 L F P
0 g
s
.72 .633 .76 r
.31972 .22616 m .33853 .22282 L p .34291 .23394 L F P
0 g
s
.72 .633 .76 r
.33853 .22282 m .34048 .22247 L .34224 .23077 L p F P
0 g
s
.72 .633 .76 r
.34224 .23077 m .34291 .23394 L p .33853 .22282 L F P
0 g
s
.72 .633 .76 r
.34291 .23394 m .32781 .23492 L .31972 .22616 L p F P
0 g
s
.579 .92 .711 r
.29651 .24372 m .31455 .22927 L .31972 .22616 L p F P
0 g
s
.219 .735 .718 r
.34048 .22247 m .31972 .22616 L .31455 .22927 L p F P
0 g
s
.219 .735 .718 r
.31455 .22927 m .33999 .22245 L .34023 .22246 L p F P
0 g
s
.219 .735 .718 r
.34023 .22246 m .34048 .22247 L p .33226 .22463 L F P
0 g
s
.219 .735 .718 r
.31455 .22927 m .34023 .22246 L .33226 .22463 L F
.669 .625 .796 r
.21035 .22936 m .21514 .22616 L .21654 .22766 L p F P
0 g
s
.669 .625 .796 r
.19587 .23904 m .21035 .22936 L p .22331 .23492 L F P
0 g
s
.669 .625 .796 r
.21654 .22766 m .22331 .23492 L p .21035 .22936 L F P
0 g
s
.779 .931 .569 r
.18166 .26133 m .19192 .24372 L .19587 .23904 L p F P
0 g
s
.613 .941 .743 r
.21514 .22616 m .19587 .23904 L .19192 .24372 L p F P
0 g
s
.694 .613 .761 r
.23782 .234 m .23778 .23225 L p .23803 .2338 L F P
0 g
s
.694 .613 .761 r
.23807 .23405 m .23806 .23405 L p .23803 .2338 L F P
0 g
s
.694 .613 .761 r
.23806 .23405 m .23782 .234 L p .23803 .2338 L F P
0 g
s
.72 .633 .76 r
.21514 .22616 m .23592 .22247 L .23775 .23077 L p F P
0 g
s
.72 .633 .76 r
.23775 .23077 m .23845 .23394 L p .23803 .2338 L F P
0 g
s
.72 .633 .76 r
.21514 .22616 m .23775 .23077 L .23803 .2338 L F
.22331 .23492 m .21514 .22616 L p .23803 .2338 L F P
0 g
s
.72 .633 .76 r
.23845 .23394 m .23806 .23396 L p .23803 .2338 L F P
0 g
s
.72 .633 .76 r
.23806 .23396 m .22331 .23492 L p .23803 .2338 L F P
0 g
s
.694 .613 .761 r
.25718 .23791 m .23807 .23405 L p .23757 .22231 L F P
0 g
s
.694 .613 .761 r
.23778 .23225 m .23757 .22231 L p .23807 .23405 L F P
0 g
s
.613 .941 .743 r
.19192 .24372 m .20968 .22927 L .21514 .22616 L p F P
0 g
s
.237 .75 .736 r
.23592 .22247 m .21514 .22616 L .20968 .22927 L p F P
0 g
s
.237 .75 .736 r
.20968 .22927 m .2351 .22245 L .2355 .22246 L p F P
0 g
s
.237 .75 .736 r
.2355 .22246 m .23592 .22247 L p .2276 .22463 L F P
0 g
s
.237 .75 .736 r
.20968 .22927 m .2355 .22246 L .2276 .22463 L F
0 .224 .653 r
.9033 .34179 m .88662 .33102 L .88782 .33133 L p F P
0 g
s
0 .224 .653 r
.88782 .33133 m .90908 .34521 L .9033 .34179 L p F P
0 g
s
0 .241 .674 r
.79899 .23748 m .78205 .22645 L .78293 .22644 L p F P
0 g
s
0 .241 .674 r
.78293 .22644 m .80448 .24061 L .79899 .23748 L p F P
0 g
s
0 .304 .743 r
.69469 .02886 m .67749 .01732 L .67804 .01666 L p F P
0 g
s
0 .304 .743 r
.67804 .01666 m .69989 .03142 L .69469 .02886 L p F P
0 g
s
0 .228 .658 r
.59038 .13317 m .57292 .12189 L .57315 .12155 L p F P
0 g
s
0 .228 .658 r
.57315 .12155 m .59529 .13602 L .59038 .13317 L p F P
0 g
s
0 .196 .62 r
.48607 .13317 m .46836 .12189 L .46826 .12155 L p F P
0 g
s
0 .196 .62 r
.46826 .12155 m .4907 .13602 L .48607 .13317 L p F P
0 g
s
.396 0 0 r
.38176 .13317 m .36379 .12189 L .36337 .12155 L p F P
0 g
s
.396 0 0 r
.36337 .12155 m .3861 .13602 L .38176 .13317 L p F P
0 g
s
.716 .631 .761 r
.25592 .32306 m .25844 .33443 L p .24642 .33008 L F P
0 g
s
.418 .813 .589 r
.2721 .31146 m .26808 .31434 L p .26179 .31872 L F P
0 g
s
.716 .631 .761 r
.23765 .32691 m .23817 .3268 L .24595 .32991 L F
.23817 .3268 m .24768 .32869 L .24595 .32991 L F
.698 .617 .762 r
.21988 .32278 m .23763 .32669 L p .23762 .32687 L F P
0 g
s
.698 .617 .762 r
.22687 .32909 m .23762 .32687 L .23719 .3384 L F
.21988 .32278 m .23762 .32687 L .22687 .32909 L F
.716 .631 .761 r
.23757 .32688 m .23764 .32686 L .23765 .32691 L F
.23757 .32688 m .23764 .32686 L p .23764 .32686 L F P
0 g
s
.137 0 0 r
.22378 .32616 m .23736 .32693 L .23763 .32669 L F
.716 .631 .761 r
.23764 .32686 m .25554 .32314 L p .23765 .32691 L F P
0 g
s
0 0 0 r
.25592 .32306 m .23764 .32686 L p .25336 .32361 L F P
0 g
s
.716 .631 .761 r
.23765 .32691 m .25844 .33443 L .23775 .33526 L F
.698 .617 .762 r
.23922 .32704 m .23813 .3331 L p .23765 .32691 L F P
0 g
s
.698 .617 .762 r
.23763 .32669 m .23764 .32669 L p .23765 .32691 L F P
0 g
s
.698 .617 .762 r
.23765 .32686 m .23922 .32704 L .23765 .32691 L F
.23804 .32678 m .23922 .32704 L p .23765 .32686 L F P
0 g
s
.698 .617 .762 r
.23813 .3331 m .23719 .3384 L p .23763 .32669 L F P
0 g
s
.716 .631 .761 r
.23775 .33526 m .23757 .32688 L p .23765 .32691 L F P
0 g
s
.137 0 0 r
.23922 .32704 m .23804 .32678 L p .23736 .32693 L F P
0 g
s
.716 .631 .761 r
.23817 .3268 m .25554 .32314 L .24768 .32869 L F
.25554 .32314 m .25592 .32306 L p .24595 .32991 L F P
0 g
s
.137 0 0 r
.23841 .32734 m .23922 .32704 L p .22441 .32619 L F P
0 g
s
.137 0 0 r
.22378 .32616 m .23491 .32705 L p .22441 .32619 L F P
0 g
s
.137 0 0 r
.23491 .32705 m .23841 .32734 L p .22441 .32619 L F P
0 g
s
.698 .617 .762 r
.23719 .3384 m .21219 .33146 L .21988 .32278 L p F P
0 g
s
.7 .524 .646 r
.23841 .32734 m .22378 .32616 L .21847 .33696 L p F P
0 g
s
.694 .521 .649 r
.25517 .32334 m .23675 .32717 L .23675 .3272 L p F P
0 g
s
.716 .631 .761 r
.25844 .33443 m .23782 .33847 L .23775 .33526 L p F P
0 g
s
.716 .631 .761 r
.24595 .32991 m .25592 .32306 L .24642 .33008 L F
.7 .524 .646 r
.21847 .33696 m .23587 .33894 L .23657 .33573 L p F P
0 g
s
.7 .524 .646 r
.23657 .33573 m .23841 .32734 L p .23492 .32902 L F P
0 g
s
.7 .524 .646 r
.21847 .33696 m .23657 .33573 L .23492 .32902 L F
.694 .521 .649 r
.23675 .3272 m .23657 .33573 L p .24933 .32824 L F P
0 g
s
.694 .521 .649 r
.23657 .33573 m .2365 .339 L p .23722 .3384 L F P
0 g
s
.694 .521 .649 r
.23722 .3384 m .24933 .32824 L .23657 .33573 L F
.24933 .32824 m .25517 .32334 L .23675 .3272 L F
0 0 0 r
.23675 .32717 m .25517 .32334 L .25581 .3231 L p F P
0 g
s
0 0 0 r
.25581 .3231 m .25592 .32306 L p .25336 .32361 L F P
0 g
s
0 0 0 r
.23675 .32717 m .25581 .3231 L .25336 .32361 L F
.698 .617 .762 r
.23764 .32669 m .23804 .32678 L p .23765 .32686 L F P
0 g
s
0 0 0 r
.23757 .32688 m .23749 .3269 L p .23803 .32678 L F P
0 g
s
.137 0 0 r
.23804 .32678 m .23763 .32669 L p .23736 .32693 L F P
0 g
s
0 0 0 r
.23675 .32717 m .25336 .32361 L .23803 .32678 L F
.23749 .3269 m .23675 .32717 L p .23803 .32678 L F P
0 g
s
0 0 0 r
.23764 .32686 m .23757 .32688 L p .25336 .32361 L F P
0 g
s
.137 0 0 r
.23763 .32669 m .21988 .32278 L .22045 .32328 L p F P
0 g
s
.137 0 0 r
.22045 .32328 m .22378 .32616 L p .23763 .32669 L F P
0 g
s
.418 .813 .589 r
.25517 .32334 m .2703 .31272 L p .26179 .31872 L F P
0 g
s
.418 .813 .589 r
.2703 .31272 m .2721 .31146 L p .26179 .31872 L F P
0 g
s
.418 .813 .589 r
.25592 .32306 m .25517 .32334 L p .26179 .31872 L F P
0 g
s
.418 .813 .589 r
.26808 .31434 m .25592 .32306 L p .26179 .31872 L F P
0 g
s
.716 .631 .761 r
.15136 .32306 m .15397 .33443 L p .1419 .33008 L F P
0 g
s
.46 .846 .63 r
.16751 .31146 m .16377 .31434 L p .1572 .31872 L F P
0 g
s
.716 .631 .761 r
.133 .32688 m .15097 .32314 L p .14142 .32991 L F P
0 g
s
.716 .631 .761 r
.15097 .32314 m .15136 .32306 L p .14142 .32991 L F P
0 g
s
.716 .631 .761 r
.15397 .33443 m .13437 .33827 L p .133 .32688 L F P
0 g
s
.716 .631 .761 r
.13437 .33827 m .13335 .33847 L .13326 .33526 L p F P
0 g
s
.716 .631 .761 r
.13326 .33526 m .133 .32688 L p .13437 .33827 L F P
0 g
s
.724 .635 .759 r
.1059 .33386 m .13031 .32732 L p .13398 .3384 L F P
0 g
s
.724 .635 .759 r
.13031 .32732 m .13135 .32704 L .13326 .33526 L p F P
0 g
s
.724 .635 .759 r
.13326 .33526 m .13398 .3384 L p .13031 .32732 L F P
0 g
s
0 0 0 r
.15136 .32306 m .133 .32688 L .13186 .32717 L p F P
0 g
s
0 0 0 r
.13186 .32717 m .15028 .32334 L .15136 .32306 L p F P
0 g
s
.46 .846 .63 r
.15028 .32334 m .16567 .31272 L p .1572 .31872 L F P
0 g
s
.46 .846 .63 r
.16567 .31272 m .16751 .31146 L p .1572 .31872 L F P
0 g
s
.716 .631 .761 r
.14142 .32991 m .15136 .32306 L .1419 .33008 L F
.46 .846 .63 r
.15136 .32306 m .15028 .32334 L p .1572 .31872 L F P
0 g
s
.46 .846 .63 r
.16377 .31434 m .15136 .32306 L p .1572 .31872 L F P
0 g
s
.694 .613 .762 r
.02844 .32688 m .05009 .33102 L .04825 .34238 L p F P
0 g
s
.603 .036 0 r
.06884 .34179 m .05009 .33102 L .0487 .33133 L p F P
0 g
s
.603 .036 0 r
.0487 .33133 m .07231 .34521 L .06884 .34179 L p F P
0 g
s
.761 .608 .688 r
.92462 .38563 m .92087 .36493 L .91248 .37297 L p F P
0 g
s
.813 .705 .746 r
.92087 .36493 m .90908 .34521 L .90437 .356 L p F P
0 g
s
.813 .705 .746 r
.90437 .356 m .91248 .37297 L .92087 .36493 L p F P
0 g
s
.761 .608 .688 r
.82028 .2813 m .81655 .26061 L .80807 .26856 L p F P
0 g
s
.811 .702 .745 r
.81655 .26061 m .80448 .24061 L .79968 .25131 L p F P
0 g
s
.811 .702 .745 r
.79968 .25131 m .80807 .26856 L .81655 .26061 L p F P
0 g
s
.761 .608 .688 r
.71594 .07262 m .71222 .05197 L .70366 .05974 L p F P
0 g
s
.808 .699 .744 r
.71222 .05197 m .69989 .03142 L .695 .04194 L p F P
0 g
s
.808 .699 .744 r
.695 .04194 m .70366 .05974 L .71222 .05197 L p F P
0 g
s
.76 .607 .688 r
.6116 .17696 m .6079 .15629 L .59925 .16415 L p F P
0 g
s
.807 .698 .744 r
.6079 .15629 m .59529 .13602 L .59031 .14663 L p F P
0 g
s
.807 .698 .744 r
.59031 .14663 m .59925 .16415 L .6079 .15629 L p F P
0 g
s
.76 .607 .688 r
.50726 .17696 m .50358 .15629 L .49484 .16415 L p F P
0 g
s
.806 .696 .744 r
.50358 .15629 m .4907 .13602 L .48563 .14663 L p F P
0 g
s
.806 .696 .744 r
.48563 .14663 m .49484 .16415 L .50358 .15629 L p F P
0 g
s
.759 .607 .689 r
.40292 .17696 m .39926 .15629 L .39043 .16415 L p F P
0 g
s
.805 .694 .743 r
.39926 .15629 m .3861 .13602 L .38094 .14663 L p F P
0 g
s
.805 .694 .743 r
.38094 .14663 m .39043 .16415 L .39926 .15629 L p F P
0 g
s
.644 .53 .709 r
.28203 .2813 m .28091 .29588 L .29139 .30098 L p F P
0 g
s
.692 .484 .601 r
.28091 .29588 m .2721 .31146 L .27985 .32029 L p F P
0 g
s
.692 .484 .601 r
.27985 .32029 m .29139 .30098 L .28091 .29588 L p F P
0 g
s
.644 .529 .709 r
.17769 .2813 m .17659 .29588 L .18698 .30098 L p F P
0 g
s
.692 .484 .601 r
.17659 .29588 m .16751 .31146 L .17517 .32029 L p F P
0 g
s
.692 .484 .601 r
.17517 .32029 m .18698 .30098 L .17659 .29588 L p F P
0 g
s
.758 .606 .689 r
.08991 .38563 m .0863 .36493 L .0772 .37297 L p F P
0 g
s
.802 .691 .742 r
.0863 .36493 m .07231 .34521 L .06689 .356 L p F P
0 g
s
.802 .691 .742 r
.06689 .356 m .0772 .37297 L .0863 .36493 L p F P
0 g
s
.699 .48 .587 r
.93816 .41761 m .92859 .4056 L .91754 .40804 L p F P
0 g
s
.762 .613 .693 r
.92859 .4056 m .92462 .38563 L .91357 .38806 L p F P
0 g
s
.762 .613 .693 r
.91357 .38806 m .91754 .40804 L .92859 .4056 L p F P
0 g
s
.699 .479 .585 r
.83356 .31302 m .82425 .30126 L .81311 .3036 L p F P
0 g
s
.762 .613 .693 r
.82425 .30126 m .82028 .2813 L .80913 .28362 L p F P
0 g
s
.762 .613 .693 r
.80913 .28362 m .81311 .3036 L .82425 .30126 L p F P
0 g
s
.762 .613 .693 r
.71991 .09258 m .71594 .07262 L .70469 .07474 L p F P
0 g
s
.762 .613 .693 r
.70469 .07474 m .70867 .09473 L .71991 .09258 L p F P
0 g
s
.761 .612 .694 r
.61557 .19692 m .6116 .17696 L .60025 .17918 L p F P
0 g
s
.761 .612 .694 r
.60025 .17918 m .60423 .19917 L .61557 .19692 L p F P
0 g
s
.761 .612 .694 r
.51123 .19692 m .50726 .17696 L .49582 .17918 L p F P
0 g
s
.761 .612 .694 r
.49582 .17918 m .49979 .19917 L .51123 .19692 L p F P
0 g
s
.699 .477 .583 r
.41518 .20842 m .40689 .19692 L .39535 .19917 L p F P
0 g
s
.76 .612 .694 r
.40689 .19692 m .40292 .17696 L .39138 .17918 L p F P
0 g
s
.76 .612 .694 r
.39138 .17918 m .39535 .19917 L .40689 .19692 L p F P
0 g
s
.574 .515 .751 r
.29651 .24372 m .286 .26133 L .29724 .26364 L p F P
0 g
s
.648 .52 .693 r
.286 .26133 m .28203 .2813 L .29327 .28362 L p F P
0 g
s
.648 .52 .693 r
.29327 .28362 m .29724 .26364 L .286 .26133 L p F P
0 g
s
.571 .513 .751 r
.19192 .24372 m .18166 .26133 L .19281 .26364 L p F P
0 g
s
.647 .519 .693 r
.18166 .26133 m .17769 .2813 L .18883 .28362 L p F P
0 g
s
.647 .519 .693 r
.18883 .28362 m .19281 .26364 L .18166 .26133 L p F P
0 g
s
.699 .48 .587 r
.10139 .41761 m .09388 .4056 L .08204 .40804 L p F P
0 g
s
.759 .611 .694 r
.09388 .4056 m .08991 .38563 L .07806 .38806 L p F P
0 g
s
.759 .611 .694 r
.07806 .38806 m .08204 .40804 L .09388 .4056 L p F P
0 g
s
.761 .608 .688 r
.91248 .37297 m .91357 .38806 L .92462 .38563 L p F P
0 g
s
.761 .608 .688 r
.80807 .26856 m .80913 .28362 L .82028 .2813 L p F P
0 g
s
.761 .608 .688 r
.70366 .05974 m .70469 .07474 L .71594 .07262 L p F P
0 g
s
.76 .607 .688 r
.59925 .16415 m .60025 .17918 L .6116 .17696 L p F P
0 g
s
.76 .607 .688 r
.49484 .16415 m .49582 .17918 L .50726 .17696 L p F P
0 g
s
.759 .607 .689 r
.39043 .16415 m .39138 .17918 L .40292 .17696 L p F P
0 g
s
.644 .53 .709 r
.29139 .30098 m .29327 .28362 L .28203 .2813 L p F P
0 g
s
.644 .529 .709 r
.18698 .30098 m .18883 .28362 L .17769 .2813 L p F P
0 g
s
.758 .606 .689 r
.0772 .37297 m .07806 .38806 L .08991 .38563 L p F P
0 g
s
.503 .58 .866 r
.91248 .37297 m .90437 .356 L .89569 .35921 L p F P
0 g
s
.504 .581 .865 r
.80807 .26856 m .79968 .25131 L .79124 .25475 L p F P
0 g
s
.513 .582 .861 r
.70366 .05974 m .695 .04194 L .68679 .04585 L p F P
0 g
s
.501 .58 .867 r
.59925 .16415 m .59031 .14663 L .58233 .1503 L p F P
0 g
s
.495 .579 .869 r
.49484 .16415 m .48563 .14663 L .47788 .1503 L p F P
0 g
s
.489 .578 .871 r
.39043 .16415 m .38094 .14663 L .37343 .1503 L p F P
0 g
s
.889 .789 .744 r
.29139 .30098 m .27985 .32029 L .28058 .32861 L p F P
0 g
s
.885 .784 .744 r
.18698 .30098 m .17517 .32029 L .17613 .32861 L p F P
0 g
s
.447 .57 .885 r
.0772 .37297 m .06689 .356 L .06007 .35921 L p F P
0 g
s
.699 .48 .587 r
.91754 .40804 m .92784 .42283 L .93816 .41761 L p F P
0 g
s
.699 .479 .585 r
.81311 .3036 m .82315 .31815 L .83356 .31302 L p F P
0 g
s
.698 .475 .581 r
.70867 .09473 m .71847 .10878 L .72897 .10382 L p F P
0 g
s
.699 .477 .583 r
.60423 .19917 m .61378 .21346 L .62437 .20842 L p F P
0 g
s
.699 .477 .583 r
.49979 .19917 m .5091 .21346 L .51978 .20842 L p F P
0 g
s
.699 .477 .583 r
.39535 .19917 m .40441 .21346 L .41518 .20842 L p F P
0 g
s
.574 .515 .751 r
.29724 .26364 m .30511 .25167 L .29651 .24372 L p F P
0 g
s
.571 .513 .751 r
.19281 .26364 m .20042 .25167 L .19192 .24372 L p F P
0 g
s
.699 .48 .587 r
.08204 .40804 m .09036 .42283 L .10139 .41761 L p F P
0 g
s
.584 .695 .918 r
.88352 .34975 m .89569 .35921 L .90437 .356 L p F P
0 g
s
.589 .693 .914 r
.77879 .24503 m .79124 .25475 L .79968 .25131 L p F P
0 g
s
.599 .689 .905 r
.67407 .03557 m .68679 .04585 L .695 .04194 L p F P
0 g
s
.592 .692 .911 r
.56934 .1403 m .58233 .1503 L .59031 .14663 L p F P
0 g
s
.591 .692 .913 r
.46461 .1403 m .47788 .1503 L .48563 .14663 L p F P
0 g
s
.589 .693 .914 r
.35988 .1403 m .37343 .1503 L .38094 .14663 L p F P
0 g
s
.845 .821 .825 r
.25924 .34178 m .28058 .32861 L .27985 .32029 L p F P
0 g
s
.843 .816 .823 r
.15451 .34178 m .17613 .32861 L .17517 .32029 L p F P
0 g
s
.569 .7 .93 r
.0457 .34975 m .06007 .35921 L .06689 .356 L p F P
0 g
s
.473 .512 .817 r
.94563 .43686 m .92784 .42283 L .9234 .43018 L p F P
0 g
s
.473 .512 .817 r
.9234 .43018 m .9444 .44495 L .94563 .43686 L p F P
0 g
s
.472 .511 .817 r
.84067 .3319 m .82315 .31815 L .81895 .32573 L p F P
0 g
s
.472 .511 .817 r
.81895 .32573 m .83967 .34022 L .84067 .3319 L p F P
0 g
s
.476 .513 .816 r
.73571 .12198 m .71847 .10878 L .7145 .11683 L p F P
0 g
s
.476 .513 .816 r
.7145 .11683 m .73494 .13076 L .73571 .12198 L p F P
0 g
s
.463 .508 .819 r
.63075 .22694 m .61378 .21346 L .61004 .22128 L p F P
0 g
s
.463 .508 .819 r
.61004 .22128 m .63021 .23549 L .63075 .22694 L p F P
0 g
s
.454 .504 .821 r
.52579 .22694 m .5091 .21346 L .50559 .22128 L p F P
0 g
s
.454 .504 .821 r
.50559 .22128 m .52549 .23549 L .52579 .22694 L p F P
0 g
s
.445 .501 .822 r
.42082 .22694 m .40441 .21346 L .40114 .22128 L p F P
0 g
s
.445 .501 .822 r
.40114 .22128 m .42076 .23549 L .42082 .22694 L p F P
0 g
s
.698 .803 .931 r
.31947 .23999 m .30511 .25167 L .31406 .25187 L p F P
0 g
s
.698 .803 .931 r
.31406 .25187 m .32767 .24346 L .31947 .23999 L p F P
0 g
s
.698 .802 .93 r
.2145 .23999 m .20042 .25167 L .20961 .25187 L p F P
0 g
s
.698 .802 .93 r
.20961 .25187 m .22294 .24346 L .2145 .23999 L p F P
0 g
s
.395 .481 .83 r
.10594 .43686 m .09036 .42283 L .08779 .43018 L p F P
0 g
s
.395 .481 .83 r
.08779 .43018 m .10658 .44495 L .10594 .43686 L p F P
0 g
s
.705 .621 .761 r
.96907 .02507 m .86461 .02507 L .86496 .01318 L p F P
0 g
s
.705 .622 .761 r
.96907 .12954 m .86461 .12954 L .86496 .11775 L p F P
0 g
s
.705 .622 .762 r
.86461 .234 m .86464 .2331 L p .86505 .23391 L F P
0 g
s
.705 .622 .762 r
.8651 .234 m .86506 .234 L p .86505 .23391 L F P
0 g
s
.705 .622 .762 r
.86506 .234 m .86461 .234 L p .86505 .23391 L F P
0 g
s
.724 .636 .76 r
.83798 .22927 m .86331 .22247 L .86471 .23077 L p F P
0 g
s
.724 .636 .76 r
.86471 .23077 m .86524 .23394 L p .86505 .23391 L F P
0 g
s
.724 .636 .76 r
.83798 .22927 m .86471 .23077 L .86505 .23391 L F
.84274 .23995 m .83798 .22927 L p .86505 .23391 L F P
0 g
s
.724 .636 .76 r
.86524 .23394 m .86509 .23398 L p .86505 .23391 L F P
0 g
s
.724 .636 .76 r
.86509 .23398 m .84274 .23995 L p .86505 .23391 L F P
0 g
s
.705 .622 .762 r
.96907 .234 m .8651 .234 L p .86496 .22231 L F P
0 g
s
.705 .622 .762 r
.86464 .2331 m .86496 .22231 L p .8651 .234 L F P
0 g
s
.694 .613 .761 r
.86471 .33526 m .86496 .32693 L p .86587 .32762 L F P
0 g
s
.694 .613 .761 r
.86496 .32693 m .86496 .32688 L p .86503 .32694 L F P
0 g
s
.694 .613 .761 r
.86503 .32694 m .86587 .32762 L .86496 .32693 L F
.708 .627 .764 r
.86597 .32699 m .86661 .32704 L .86657 .32719 L p F P
0 g
s
.708 .627 .764 r
.86657 .32719 m .86471 .33526 L p .86595 .32707 L F P
0 g
s
.708 .627 .764 r
.86597 .32699 m .86657 .32719 L .86595 .32707 L F
.694 .613 .761 r
.866 .32708 m .88662 .33102 L p .86587 .32762 L F P
0 g
s
.151 0 0 r
.88662 .33102 m .866 .32708 L p .86609 .32717 L F P
0 g
s
.694 .613 .761 r
.86496 .32688 m .866 .32708 L p .86587 .32762 L F P
0 g
s
.151 0 0 r
.866 .32708 m .86496 .32688 L .86497 .32688 L p F P
0 g
s
.708 .627 .764 r
.85204 .3259 m .86597 .32699 L p .86581 .32786 L F P
0 g
s
.708 .627 .764 r
.86471 .33526 m .86398 .3384 L p .86597 .32699 L F P
0 g
s
.151 0 0 r
.86497 .32688 m .86609 .32717 L p .866 .32708 L F P
0 g
s
.694 .613 .761 r
.88662 .33102 m .88397 .34238 L p .86587 .32762 L F P
0 g
s
.708 .627 .764 r
.86349 .33789 m .86581 .32786 L .86398 .3384 L F
.85204 .3259 m .86581 .32786 L .86349 .33789 L F
.163 0 0 r
.85204 .3259 m .84834 .32303 L p .86652 .32702 L F P
0 g
s
.163 0 0 r
.86661 .32704 m .86597 .32699 L p .86652 .32702 L F P
0 g
s
.163 0 0 r
.86597 .32699 m .85204 .3259 L p .86652 .32702 L F P
0 g
s
.694 .613 .761 r
.88397 .34238 m .86461 .33847 L .86471 .33526 L p F P
0 g
s
.694 .613 .761 r
.86587 .32762 m .88397 .34238 L .86471 .33526 L F
.654 .621 .805 r
.90829 .42513 m .88523 .43889 L .88332 .42763 L p F P
0 g
s
.717 .632 .762 r
.88523 .43889 m .86461 .44293 L .86496 .43144 L p F P
0 g
s
.717 .632 .762 r
.86496 .43144 m .88332 .42763 L .88523 .43889 L p F P
0 g
s
.705 .621 .761 r
.76014 .02507 m .76016 .02415 L p .76059 .02497 L F P
0 g
s
.705 .621 .761 r
.76064 .02507 m .7606 .02507 L p .76059 .02497 L F P
0 g
s
.705 .621 .761 r
.7606 .02507 m .76014 .02507 L p .76059 .02497 L F P
0 g
s
.724 .635 .759 r
.73339 .02011 m .75874 .01334 L .76021 .02179 L p F P
0 g
s
.724 .635 .759 r
.76021 .02179 m .76077 .02501 L p .76059 .02497 L F P
0 g
s
.724 .635 .759 r
.73339 .02011 m .76021 .02179 L .76059 .02497 L F
.73825 .03096 m .73339 .02011 L p .76059 .02497 L F P
0 g
s
.724 .635 .759 r
.76077 .02501 m .76062 .02505 L p .76059 .02497 L F P
0 g
s
.724 .635 .759 r
.76062 .02505 m .73825 .03096 L p .76059 .02497 L F P
0 g
s
.705 .621 .761 r
.86461 .02507 m .76064 .02507 L p .76039 .01318 L F P
0 g
s
.705 .621 .761 r
.76016 .02415 m .76039 .01318 L p .76064 .02507 L F P
0 g
s
.705 .622 .761 r
.76021 .12628 m .76039 .11775 L p .76456 .11822 L F P
0 g
s
.705 .622 .761 r
.76039 .11775 m .86496 .11775 L .86461 .12954 L p F P
0 g
s
.708 .626 .763 r
.74746 .11673 m .76204 .11791 L .76021 .12628 L p F P
0 g
s
.708 .626 .763 r
.76021 .12628 m .75951 .12947 L p .75886 .12878 L F P
0 g
s
.708 .626 .763 r
.74746 .11673 m .76021 .12628 L .75886 .12878 L F
.705 .622 .761 r
.86461 .12954 m .76014 .12954 L .76021 .12628 L p F P
0 g
s
.705 .622 .761 r
.76456 .11822 m .86461 .12954 L .76021 .12628 L F
.694 .612 .761 r
.7795 .23791 m .76014 .234 L .76039 .22231 L p F P
0 g
s
.694 .612 .761 r
.76039 .22231 m .78205 .22645 L .7795 .23791 L p F P
0 g
s
.655 .621 .804 r
.80352 .32036 m .78076 .33443 L .77875 .32306 L p F P
0 g
s
.717 .631 .761 r
.78076 .33443 m .76014 .33847 L .76039 .32688 L p F P
0 g
s
.717 .631 .761 r
.76039 .32688 m .77875 .32306 L .78076 .33443 L p F P
0 g
s
.705 .623 .763 r
.86461 .44293 m .76014 .44293 L .76039 .43144 L p F P
0 g
s
.694 .612 .76 r
.67504 .02898 m .65568 .02507 L .65583 .01318 L p F P
0 g
s
.694 .612 .76 r
.65583 .01318 m .67749 .01732 L .67504 .02898 L p F P
0 g
s
.656 .62 .802 r
.69875 .11082 m .6763 .1255 L .67419 .11393 L p F P
0 g
s
.716 .63 .76 r
.6567 .12934 m .65568 .12954 L .65572 .12628 L p F P
0 g
s
.724 .635 .759 r
.62881 .12469 m .65314 .11819 L p .65631 .12947 L F P
0 g
s
.724 .635 .759 r
.65314 .11819 m .65418 .11791 L .65572 .12628 L p F P
0 g
s
.724 .635 .759 r
.65572 .12628 m .65631 .12947 L p .65314 .11819 L F P
0 g
s
.716 .63 .76 r
.6763 .1255 m .6567 .12934 L p .65583 .11775 L F P
0 g
s
.716 .63 .76 r
.65572 .12628 m .65583 .11775 L p .6567 .12934 L F P
0 g
s
.716 .63 .76 r
.65583 .11775 m .67419 .11393 L .6763 .1255 L p F P
0 g
s
.705 .622 .762 r
.65572 .23077 m .65583 .22231 L p .65999 .22278 L F P
0 g
s
.705 .622 .762 r
.65583 .22231 m .76039 .22231 L .76014 .234 L p F P
0 g
s
.708 .626 .764 r
.64288 .22131 m .65748 .22247 L .65572 .23077 L p F P
0 g
s
.708 .626 .764 r
.65572 .23077 m .65505 .23394 L p .65439 .23326 L F P
0 g
s
.708 .626 .764 r
.64288 .22131 m .65572 .23077 L .65439 .23326 L F
.705 .622 .762 r
.76014 .234 m .65568 .234 L .65572 .23077 L p F P
0 g
s
.705 .622 .762 r
.65999 .22278 m .76014 .234 L .65572 .23077 L F
.76014 .33847 m .65568 .33847 L .65583 .32688 L p F P
0 g
s
.705 .623 .763 r
.76014 .44293 m .65568 .44293 L .65583 .43144 L p F P
0 g
s
.705 .621 .761 r
.65568 .02507 m .55121 .02507 L .55126 .01318 L p F P
0 g
s
.694 .612 .76 r
.55121 .12954 m .55122 .12862 L p .55149 .12941 L F P
0 g
s
.694 .612 .76 r
.55155 .1296 m .5515 .12959 L p .55149 .12941 L F P
0 g
s
.694 .612 .76 r
.5515 .12959 m .55121 .12954 L p .55149 .12941 L F P
0 g
s
.724 .635 .759 r
.52423 .12469 m .54961 .11791 L .55123 .12628 L p F P
0 g
s
.724 .635 .759 r
.55123 .12628 m .55184 .12947 L p .55149 .12941 L F P
0 g
s
.724 .635 .759 r
.52423 .12469 m .55123 .12628 L .55149 .12941 L F
.52926 .13546 m .52423 .12469 L p .55149 .12941 L F P
0 g
s
.724 .635 .759 r
.55184 .12947 m .55154 .12955 L p .55149 .12941 L F P
0 g
s
.724 .635 .759 r
.55154 .12955 m .52926 .13546 L p .55149 .12941 L F P
0 g
s
.694 .612 .76 r
.57057 .13345 m .55155 .1296 L p .55126 .11775 L F P
0 g
s
.694 .612 .76 r
.55122 .12862 m .55126 .11775 L p .55155 .1296 L F P
0 g
s
.694 .612 .76 r
.55126 .11775 m .57292 .12189 L .57057 .13345 L p F P
0 g
s
.655 .621 .804 r
.59398 .21559 m .57183 .22996 L .56962 .21849 L p F P
0 g
s
.705 .622 .762 r
.65568 .33847 m .55121 .33847 L .55126 .32688 L p F P
0 g
s
.705 .623 .763 r
.65568 .44293 m .55121 .44293 L .55126 .43144 L p F P
0 g
s
.705 .621 .761 r
.55121 .02507 m .44675 .02507 L .4467 .01318 L p F P
0 g
s
.694 .612 .761 r
.44675 .12954 m .44674 .12862 L p .44702 .12941 L F P
0 g
s
.694 .612 .761 r
.44709 .1296 m .44704 .12959 L p .44702 .12941 L F P
0 g
s
.694 .612 .761 r
.44704 .12959 m .44675 .12954 L p .44702 .12941 L F P
0 g
s
.724 .635 .759 r
.41965 .12469 m .44505 .11791 L .44673 .12628 L p F P
0 g
s
.724 .635 .759 r
.44673 .12628 m .44738 .12947 L p .44702 .12941 L F P
0 g
s
.724 .635 .759 r
.41965 .12469 m .44673 .12628 L .44702 .12941 L F
.42476 .13546 m .41965 .12469 L p .44702 .12941 L F P
0 g
s
.724 .635 .759 r
.44738 .12947 m .44707 .12955 L p .44702 .12941 L F P
0 g
s
.724 .635 .759 r
.44707 .12955 m .42476 .13546 L p .44702 .12941 L F P
0 g
s
.694 .612 .761 r
.46611 .13345 m .44709 .1296 L p .4467 .11775 L F P
0 g
s
.694 .612 .761 r
.44674 .12862 m .4467 .11775 L p .44709 .1296 L F P
0 g
s
.694 .612 .761 r
.4467 .11775 m .46836 .12189 L .46611 .13345 L p F P
0 g
s
.654 .621 .804 r
.48921 .21559 m .46737 .22996 L .46505 .21849 L p F P
0 g
s
.705 .622 .762 r
.55121 .33847 m .44675 .33847 L .4467 .32688 L p F P
0 g
s
.705 .623 .763 r
.55121 .44293 m .44675 .44293 L .4467 .43144 L p F P
0 g
s
.705 .621 .761 r
.44675 .02507 m .34228 .02507 L .34213 .01318 L p F P
0 g
s
.694 .612 .761 r
.36164 .13345 m .34228 .12954 L .34213 .11775 L p F P
0 g
s
.694 .612 .761 r
.34213 .11775 m .36379 .12189 L .36164 .13345 L p F P
0 g
s
.654 .621 .805 r
.38444 .21559 m .3629 .22996 L .36049 .21849 L p F P
0 g
s
.716 .63 .761 r
.34213 .22231 m .36049 .21849 L .3629 .22996 L p F P
0 g
s
.698 .617 .762 r
.32896 .32687 m .34234 .32688 L .34165 .3384 L F
.34224 .33526 m .34165 .3384 L p .34234 .32688 L F P
0 g
s
.698 .617 .762 r
.34235 .32672 m .34235 .32688 L .34234 .32688 L F
.34235 .32688 m .34224 .33526 L .34234 .32688 L F
.705 .622 .762 r
.34213 .32688 m .34307 .32688 L p .34409 .32709 L F P
0 g
s
.705 .622 .762 r
.4467 .32688 m .44675 .33847 L p .34409 .32709 L F P
0 g
s
.705 .622 .762 r
.34307 .32688 m .4467 .32688 L p .34409 .32709 L F P
0 g
s
.068 0 0 r
.4467 .32688 m .34307 .32688 L p .42181 .32695 L F P
0 g
s
.068 0 0 r
.34307 .32688 m .34235 .32688 L p .34305 .32688 L F P
0 g
s
.068 0 0 r
.42181 .32695 m .34307 .32688 L .34305 .32688 L F
.698 .617 .762 r
.32446 .32278 m .34235 .32672 L p .34234 .32688 L F P
0 g
s
.698 .617 .762 r
.32446 .32278 m .34234 .32688 L .32896 .32687 L F
.132 0 0 r
.32865 .32616 m .34167 .32692 L .34235 .32672 L F
.698 .617 .762 r
.34305 .32688 m .34235 .3269 L p .34235 .32672 L F P
0 g
s
.705 .622 .762 r
.34235 .3269 m .44675 .33847 L .34224 .33526 L F
.698 .617 .762 r
.34235 .32696 m .34378 .32704 L .34224 .33526 L p F P
0 g
s
.705 .622 .762 r
.34224 .33526 m .34213 .32688 L p .34235 .3269 L F P
0 g
s
.132 0 0 r
.34378 .32704 m .34305 .32688 L p .34167 .32692 L F P
0 g
s
.132 0 0 r
.34305 .32688 m .34235 .32672 L p .34167 .32692 L F P
0 g
s
.132 0 0 r
.34235 .32672 m .32446 .32278 L .32469 .32297 L p F P
0 g
s
.132 0 0 r
.32469 .32297 m .32865 .32616 L p .34235 .32672 L F P
0 g
s
.068 0 0 r
.34164 .32717 m .3448 .32717 L p .34475 .32717 L F P
0 g
s
.068 0 0 r
.3448 .32717 m .44653 .32717 L p .34475 .32717 L F P
0 g
s
.068 0 0 r
.44653 .32717 m .44665 .32697 L p .34475 .32717 L F P
0 g
s
.068 0 0 r
.44665 .32697 m .4467 .32688 L p .42181 .32695 L F P
0 g
s
.132 0 0 r
.32865 .32616 m .3433 .32734 L .34378 .32704 L p F P
0 g
s
.068 0 0 r
.34164 .32717 m .44665 .32697 L .42181 .32695 L F
.34213 .32688 m .34164 .32717 L p .42181 .32695 L F P
0 g
s
.068 0 0 r
.34235 .32688 m .34213 .32688 L p .42181 .32695 L F P
0 g
s
.705 .622 .762 r
.44675 .33847 m .34228 .33847 L .34224 .33526 L p F P
0 g
s
.705 .623 .763 r
.44675 .44293 m .34228 .44293 L .34213 .43144 L p F P
0 g
s
.705 .621 .761 r
.34228 .02507 m .23782 .02507 L .23757 .01318 L p F P
0 g
s
.705 .622 .761 r
.34228 .12954 m .23782 .12954 L .23757 .11775 L p F P
0 g
s
.603 .502 .712 r
.27608 .25133 m .25718 .23791 L .25922 .22645 L p F P
0 g
s
.694 .613 .761 r
.23757 .22231 m .25922 .22645 L .25718 .23791 L p F P
0 g
s
.705 .623 .763 r
.34228 .44293 m .23782 .44293 L .23757 .43144 L p F P
0 g
s
.705 .621 .761 r
.23782 .02507 m .13335 .02507 L .133 .01318 L p F P
0 g
s
.705 .622 .761 r
.23782 .12954 m .13335 .12954 L .133 .11775 L p F P
0 g
s
.602 .5 .711 r
.17131 .25133 m .15271 .23791 L .15466 .22645 L p F P
0 g
s
.694 .613 .761 r
.15271 .23791 m .13335 .234 L .133 .22231 L p F P
0 g
s
.694 .613 .761 r
.133 .22231 m .15466 .22645 L .15271 .23791 L p F P
0 g
s
.705 .621 .761 r
.13335 .02507 m .02889 .02507 L .02844 .01318 L p F P
0 g
s
.705 .622 .761 r
.13335 .12954 m .02889 .12954 L .02844 .11775 L p F P
0 g
s
.705 .622 .762 r
.13335 .234 m .02889 .234 L .02844 .22231 L p F P
0 g
s
.694 .613 .762 r
.04825 .34238 m .02889 .33847 L .02844 .32688 L p F P
0 g
s
.651 .623 .809 r
.07013 .42513 m .04951 .43889 L .04679 .42763 L p F P
0 g
s
.716 .631 .761 r
.04951 .43889 m .02889 .44293 L .02844 .43144 L p F P
0 g
s
.716 .631 .761 r
.02844 .43144 m .04679 .42763 L .04951 .43889 L p F P
0 g
s
.705 .621 .761 r
.86496 .01318 m .96952 .01318 L .96907 .02507 L p F P
0 g
s
.705 .622 .761 r
.86496 .11775 m .96952 .11775 L .96907 .12954 L p F P
0 g
s
.705 .622 .762 r
.86496 .22231 m .96952 .22231 L .96907 .234 L p F P
0 g
s
.705 .621 .761 r
.76039 .01318 m .86496 .01318 L .86461 .02507 L p F P
0 g
s
.705 .623 .763 r
.76039 .43144 m .86496 .43144 L .86461 .44293 L p F P
0 g
s
.705 .622 .762 r
.65583 .32688 m .76039 .32688 L .76014 .33847 L p F P
0 g
s
.705 .623 .763 r
.65583 .43144 m .76039 .43144 L .76014 .44293 L p F P
0 g
s
.705 .621 .761 r
.55126 .01318 m .65583 .01318 L .65568 .02507 L p F P
0 g
s
.705 .622 .762 r
.55126 .32688 m .65583 .32688 L .65568 .33847 L p F P
0 g
s
.705 .623 .763 r
.55126 .43144 m .65583 .43144 L .65568 .44293 L p F P
0 g
s
.705 .621 .761 r
.4467 .01318 m .55126 .01318 L .55121 .02507 L p F P
0 g
s
.705 .622 .762 r
.4467 .32688 m .55126 .32688 L .55121 .33847 L p F P
0 g
s
.705 .623 .763 r
.4467 .43144 m .55126 .43144 L .55121 .44293 L p F P
0 g
s
.705 .621 .761 r
.34213 .01318 m .4467 .01318 L .44675 .02507 L p F P
0 g
s
.705 .623 .763 r
.34213 .43144 m .4467 .43144 L .44675 .44293 L p F P
0 g
s
.705 .621 .761 r
.23757 .01318 m .34213 .01318 L .34228 .02507 L p F P
0 g
s
.705 .622 .761 r
.23757 .11775 m .34213 .11775 L .34228 .12954 L p F P
0 g
s
.705 .623 .763 r
.23757 .43144 m .34213 .43144 L .34228 .44293 L p F P
0 g
s
.705 .621 .761 r
.133 .01318 m .23757 .01318 L .23782 .02507 L p F P
0 g
s
.705 .622 .761 r
.133 .11775 m .23757 .11775 L .23782 .12954 L p F P
0 g
s
.705 .621 .761 r
.02844 .01318 m .133 .01318 L .13335 .02507 L p F P
0 g
s
.705 .622 .761 r
.02844 .11775 m .133 .11775 L .13335 .12954 L p F P
0 g
s
.705 .622 .762 r
.02844 .22231 m .133 .22231 L .13335 .234 L p F P
0 g
s
.708 .627 .765 r
.96844 .44287 m .95119 .44099 L .95662 .43048 L p F P
0 g
s
.708 .627 .765 r
.95662 .43048 m .97117 .4316 L .96844 .44287 L p F P
0 g
s
.724 .637 .76 r
.9697 .3384 m .94723 .34445 L .94256 .33386 L p F P
0 g
s
.724 .637 .76 r
.94256 .33386 m .96787 .32704 L .9697 .3384 L p F P
0 g
s
.708 .627 .764 r
.86398 .3384 m .84669 .33649 L .85204 .3259 L p F P
0 g
s
.708 .626 .763 r
.75951 .12947 m .7422 .1275 L .74746 .11673 L p F P
0 g
s
.708 .626 .764 r
.65505 .23394 m .6377 .232 L .64288 .22131 L p F P
0 g
s
.724 .635 .759 r
.65631 .12947 m .63375 .13546 L .62881 .12469 L p F P
0 g
s
.708 .626 .764 r
.55058 .23394 m .53321 .232 L .53829 .22131 L p F P
0 g
s
.708 .626 .764 r
.44612 .23394 m .42871 .232 L .43371 .22131 L p F P
0 g
s
.698 .617 .762 r
.34165 .3384 m .31668 .33146 L .32446 .32278 L p F P
0 g
s
.724 .635 .759 r
.13398 .3384 m .11128 .34445 L .1059 .33386 L p F P
0 g
s
.809 .666 .705 r
.94723 .34445 m .93357 .35646 L .92516 .34861 L p F P
0 g
s
.809 .666 .705 r
.92516 .34861 m .94256 .33386 L .94723 .34445 L p F P
0 g
s
.808 .665 .705 r
.84274 .23995 m .8288 .25169 L .8203 .24375 L p F P
0 g
s
.808 .665 .705 r
.8203 .24375 m .83798 .22927 L .84274 .23995 L p F P
0 g
s
.806 .663 .705 r
.73825 .03096 m .72403 .04215 L .71544 .03403 L p F P
0 g
s
.806 .663 .705 r
.71544 .03403 m .73339 .02011 L .73825 .03096 L p F P
0 g
s
.805 .662 .706 r
.63375 .13546 m .61926 .14692 L .61058 .13889 L p F P
0 g
s
.805 .662 .706 r
.61058 .13889 m .62881 .12469 L .63375 .13546 L p F P
0 g
s
.803 .661 .706 r
.52926 .13546 m .51449 .14692 L .50572 .13889 L p F P
0 g
s
.803 .661 .706 r
.50572 .13889 m .52423 .12469 L .52926 .13546 L p F P
0 g
s
.802 .66 .706 r
.42476 .13546 m .40972 .14692 L .40086 .13889 L p F P
0 g
s
.802 .66 .706 r
.40086 .13889 m .41965 .12469 L .42476 .13546 L p F P
0 g
s
.747 .703 .81 r
.31668 .33146 m .29956 .31822 L .31011 .31322 L p F P
0 g
s
.747 .703 .81 r
.31011 .31322 m .32446 .32278 L .31668 .33146 L p F P
0 g
s
.747 .702 .809 r
.21219 .33146 m .19479 .31822 L .20525 .31322 L p F P
0 g
s
.747 .702 .809 r
.20525 .31322 m .21988 .32278 L .21219 .33146 L p F P
0 g
s
.798 .657 .706 r
.11128 .34445 m .09541 .35646 L .08628 .34861 L p F P
0 g
s
.798 .657 .706 r
.08628 .34861 m .1059 .33386 L .11128 .34445 L p F P
0 g
s
.219 0 0 r
.97117 .4316 m .95662 .43048 L .95321 .42791 L p F P
0 g
s
.219 0 0 r
.95321 .42791 m .97264 .43223 L .97117 .4316 L p F P
0 g
s
.002 0 0 r
.96787 .32704 m .94256 .33386 L .94846 .33102 L p F P
0 g
s
.002 0 0 r
.94846 .33102 m .96933 .32734 L .96787 .32704 L p F P
0 g
s
.163 0 0 r
.84834 .32303 m .86775 .32734 L .86661 .32704 L p F P
0 g
s
0 0 0 r
.86331 .22247 m .83798 .22927 L .84359 .22614 L p F P
0 g
s
0 0 0 r
.84359 .22614 m .86444 .22245 L .86331 .22247 L p F P
0 g
s
.081 .64 .783 r
.86496 .11775 m .76131 .11775 L p .76132 .11774 L F P
0 g
s
0 .529 .799 r
.74347 .11329 m .76212 .11739 L p .76134 .11773 L F P
0 g
s
0 .529 .799 r
.74746 .11673 m .74347 .11329 L p .76134 .11773 L F P
0 g
s
0 .529 .799 r
.76 .11774 m .74746 .11673 L p .76134 .11773 L F P
0 g
s
.081 .64 .783 r
.76041 .11774 m .7612 .11739 L p .79278 .1175 L F P
0 g
s
.081 .64 .783 r
.79278 .1175 m .86496 .11775 L .76041 .11774 L F
0 .529 .799 r
.76286 .11756 m .76204 .11791 L p .76134 .11773 L F P
0 g
s
.081 .64 .783 r
.7612 .11739 m .76151 .11739 L p .86496 .11775 L F P
0 g
s
.713 .535 .647 r
.74347 .11329 m .73983 .11737 L p .76151 .11739 L F P
0 g
s
.713 .535 .647 r
.76212 .11739 m .76142 .11724 L p .76151 .11739 L F P
0 g
s
.713 .535 .647 r
.76142 .11724 m .74347 .11329 L p .76151 .11739 L F P
0 g
s
.081 .64 .783 r
.86569 .11752 m .86496 .11775 L p .76151 .11739 L F P
0 g
s
0 .529 .799 r
.76212 .11739 m .76286 .11756 L p .76134 .11773 L F P
0 g
s
.081 .64 .783 r
.76039 .11775 m .76041 .11774 L p .76132 .11774 L F P
0 g
s
.081 .64 .783 r
.76131 .11775 m .76039 .11775 L p .76132 .11774 L F P
0 g
s
0 .529 .799 r
.76204 .11791 m .76 .11774 L p .76134 .11773 L F P
0 g
s
.713 .535 .647 r
.73571 .12198 m .76082 .12896 L .76138 .1258 L p F P
0 g
s
.713 .535 .647 r
.76138 .1258 m .76286 .11756 L p .76171 .11774 L F P
0 g
s
.705 .528 .647 r
.7612 .11739 m .76138 .1258 L p .76169 .1182 L F P
0 g
s
.705 .528 .647 r
.76151 .11739 m .7612 .11739 L p .76778 .12832 L F P
0 g
s
.713 .535 .647 r
.73571 .12198 m .76138 .1258 L .76171 .11774 L F
.705 .528 .647 r
.76145 .12902 m .76778 .12832 L .76169 .1182 L F
.76138 .1258 m .76145 .12902 L p .76169 .1182 L F P
0 g
s
.081 .64 .783 r
.76151 .11739 m .86609 .11739 L .86569 .11752 L p F P
0 g
s
.713 .535 .647 r
.76286 .11756 m .76212 .11739 L p .73571 .12198 L F P
0 g
s
.713 .535 .647 r
.73983 .11737 m .73571 .12198 L p .76212 .11739 L F P
0 g
s
.705 .528 .647 r
.86609 .11739 m .76151 .11739 L p .76778 .12832 L F P
0 g
s
.241 .757 .806 r
.75874 .01334 m .73339 .02011 L .73872 .0164 L p F P
0 g
s
.241 .757 .806 r
.73872 .0164 m .75955 .01267 L .75874 .01334 L p F P
0 g
s
.007 .583 .714 r
.68799 .22229 m .76039 .22231 L .65584 .22231 L F
0 .463 .72 r
.65797 .22245 m .65748 .22247 L p .65676 .22231 L F P
0 g
s
0 .463 .72 r
.63859 .21816 m .65723 .22228 L p .65676 .22231 L F P
0 g
s
.007 .583 .714 r
.76039 .22231 m .65674 .22231 L p .65675 .22231 L F P
0 g
s
0 .463 .72 r
.64288 .22131 m .63859 .21816 L p .65676 .22231 L F P
0 g
s
0 .463 .72 r
.65543 .22231 m .64288 .22131 L p .65676 .22231 L F P
0 g
s
.007 .583 .714 r
.65584 .22231 m .65631 .22228 L p .68799 .22229 L F P
0 g
s
0 .463 .72 r
.65723 .22228 m .65797 .22245 L p .65676 .22231 L F P
0 g
s
.007 .583 .714 r
.65583 .22231 m .65584 .22231 L p .65675 .22231 L F P
0 g
s
.007 .583 .714 r
.65674 .22231 m .65583 .22231 L p .65675 .22231 L F P
0 g
s
0 .463 .72 r
.65748 .22247 m .65543 .22231 L p .65676 .22231 L F P
0 g
s
.184 .716 .754 r
.65418 .11791 m .62881 .12469 L .63384 .12127 L p F P
0 g
s
.184 .716 .754 r
.63384 .12127 m .65466 .11756 L .65418 .11791 L p F P
0 g
s
.197 .726 .766 r
.54961 .11791 m .52423 .12469 L .52897 .12127 L p F P
0 g
s
.197 .726 .766 r
.52897 .12127 m .54977 .11756 L .54961 .11791 L p F P
0 g
s
.209 .735 .777 r
.44505 .11791 m .41965 .12469 L .4241 .12127 L p F P
0 g
s
.209 .735 .777 r
.4241 .12127 m .44488 .11756 L .44505 .11791 L p F P
0 g
s
0 0 0 r
.13135 .32704 m .1059 .33386 L .10948 .33102 L p F P
0 g
s
0 0 0 r
.10948 .33102 m .13021 .32734 L .13135 .32704 L p F P
0 g
s
.047 0 0 r
.88332 .42763 m .86496 .43144 L .86609 .43206 L p F P
0 g
s
0 .492 .735 r
.78205 .22645 m .76039 .22231 L .7612 .22228 L p F P
0 g
s
0 0 0 r
.77875 .32306 m .76039 .32688 L .7612 .32717 L p F P
0 g
s
.04 .583 .844 r
.67749 .01732 m .65583 .01318 L .65631 .0125 L p F P
0 g
s
.2 .727 .747 r
.67419 .11393 m .65583 .11775 L .65631 .11739 L p F P
0 g
s
0 .526 .776 r
.57292 .12189 m .55126 .11775 L .55142 .11739 L p F P
0 g
s
0 .515 .763 r
.46836 .12189 m .4467 .11775 L .44653 .11739 L p F P
0 g
s
0 .505 .751 r
.36379 .12189 m .34213 .11775 L .34164 .11739 L p F P
0 g
s
.173 .706 .721 r
.36049 .21849 m .34712 .22127 L p .35256 .22009 L F P
0 g
s
.654 .621 .805 r
.36049 .21849 m .37639 .2068 L .38444 .21559 L p F P
0 g
s
.519 .887 .68 r
.37639 .2068 m .36049 .21849 L .36006 .21845 L p F P
0 g
s
.173 .706 .721 r
.34164 .22228 m .36006 .21845 L .36049 .21849 L p F P
0 g
s
.58 .473 .696 r
.36006 .21845 m .36221 .22995 L p .36826 .21666 L F P
0 g
s
.519 .887 .68 r
.37135 .20986 m .37639 .2068 L p .36168 .21729 L F P
0 g
s
.519 .887 .68 r
.36006 .21845 m .37135 .20986 L p .36168 .21729 L F P
0 g
s
.697 .665 .815 r
.39516 .19636 m .38444 .21559 L .37639 .2068 L p F P
0 g
s
.697 .665 .815 r
.37639 .2068 m .38433 .19124 L .39516 .19636 L p F P
0 g
s
.634 .847 .459 r
.38433 .19124 m .37639 .2068 L .37135 .20986 L p F P
0 g
s
.601 .517 .732 r
.37135 .20986 m .37633 .22059 L p .37943 .20365 L F P
0 g
s
.634 .847 .459 r
.37135 .20986 m .38087 .19583 L .38433 .19124 L p F P
0 g
s
.601 .517 .732 r
.38087 .19583 m .37135 .20986 L p .37943 .20365 L F P
0 g
s
.58 .473 .696 r
.37135 .20986 m .36006 .21845 L p .36826 .21666 L F P
0 g
s
.173 .706 .721 r
.34213 .22231 m .34164 .22228 L p .35256 .22009 L F P
0 g
s
.173 .706 .721 r
.34712 .22127 m .34213 .22231 L p .35256 .22009 L F P
0 g
s
.161 0 0 r
.25922 .22645 m .23757 .22231 L .23675 .22228 L p F P
0 g
s
.007 .583 .714 r
.133 .22231 m .02844 .22231 L .02697 .22228 L p F P
0 g
s
.007 .583 .714 r
.02697 .22228 m .13186 .22228 L .133 .22231 L p F P
0 g
s
.175 0 0 r
.15466 .22645 m .133 .22231 L .13186 .22228 L p F P
0 g
s
.258 0 0 r
.05009 .33102 m .02844 .32688 L .02697 .32717 L p F P
0 g
s
.651 .623 .809 r
.04679 .42763 m .06181 .41652 L .07013 .42513 L p F P
0 g
s
.573 .467 .695 r
.04539 .42823 m .04724 .43994 L p .05297 .42686 L F P
0 g
s
0 0 0 r
.04679 .42763 m .03343 .4304 L p .03846 .42949 L F P
0 g
s
0 0 0 r
.02697 .43206 m .04539 .42823 L .04679 .42763 L p F P
0 g
s
.527 .893 .687 r
.06181 .41652 m .04679 .42763 L .04539 .42823 L p F P
0 g
s
.527 .893 .687 r
.0559 .42016 m .06181 .41652 L p .04702 .42707 L F P
0 g
s
.527 .893 .687 r
.04539 .42823 m .0559 .42016 L p .04702 .42707 L F P
0 g
s
.696 .668 .818 r
.08002 .40645 m .07013 .42513 L .06181 .41652 L p F P
0 g
s
.696 .668 .818 r
.06181 .41652 m .06892 .40152 L .08002 .40645 L p F P
0 g
s
.718 .908 .546 r
.06892 .40152 m .06181 .41652 L .0559 .42016 L p F P
0 g
s
.595 .514 .733 r
.0559 .42016 m .06061 .43107 L p .06332 .41439 L F P
0 g
s
.718 .908 .546 r
.0559 .42016 m .06458 .40669 L .06892 .40152 L p F P
0 g
s
.595 .514 .733 r
.06458 .40669 m .0559 .42016 L p .06332 .41439 L F P
0 g
s
.573 .467 .695 r
.0559 .42016 m .04539 .42823 L p .05297 .42686 L F P
0 g
s
0 0 0 r
.02844 .43144 m .02697 .43206 L p .03846 .42949 L F P
0 g
s
0 0 0 r
.03343 .4304 m .02844 .43144 L p .03846 .42949 L F P
0 g
s
.152 .688 .843 r
.96952 .01318 m .86496 .01318 L .86609 .0125 L p F P
0 g
s
.081 .64 .783 r
.96952 .11775 m .86496 .11775 L .86609 .11739 L p F P
0 g
s
.007 .583 .714 r
.96952 .22231 m .86496 .22231 L .86609 .22228 L p F P
0 g
s
.151 0 0 r
.86609 .32717 m .88782 .33133 L .88662 .33102 L p F P
0 g
s
.654 .621 .805 r
.88332 .42763 m .90068 .41652 L p .89453 .42651 L F P
0 g
s
0 0 0 r
.90068 .41652 m .88332 .42763 L .88451 .42823 L p F P
0 g
s
0 0 0 r
.89711 .42016 m .90068 .41652 L p .88611 .42707 L F P
0 g
s
0 0 0 r
.88451 .42823 m .89711 .42016 L p .88611 .42707 L F P
0 g
s
.654 .621 .805 r
.90068 .41652 m .90829 .42513 L p .89453 .42651 L F P
0 g
s
.696 .668 .818 r
.9204 .40645 m .90829 .42513 L .90068 .41652 L p F P
0 g
s
.608 .521 .731 r
.89711 .42016 m .90253 .43107 L p .90628 .41439 L F P
0 g
s
0 0 0 r
.90068 .41652 m .89711 .42016 L p .90696 .40594 L F P
0 g
s
0 0 0 r
.90696 .40594 m .90916 .40275 L .90615 .40764 L F
.90696 .40594 m .90615 .40764 L .90068 .41652 L F
.766 .622 .701 r
.91002 .40152 m .91111 .38679 L .92223 .38893 L p F P
0 g
s
0 0 0 r
.91002 .40152 m .90068 .41652 L p .90916 .40275 L F P
0 g
s
.696 .668 .818 r
.90068 .41652 m .91002 .40152 L p .91039 .41156 L F P
0 g
s
0 0 0 r
.89711 .42016 m .90802 .40669 L .91002 .40152 L p F P
0 g
s
0 0 .143 r
.91002 .40152 m .90802 .40669 L p .90979 .3953 L F P
0 g
s
0 0 .143 r
.91111 .38679 m .91002 .40152 L p .90979 .3953 L F P
0 g
s
.696 .668 .818 r
.91002 .40152 m .9204 .40645 L p .91039 .41156 L F P
0 g
s
0 0 .143 r
.9124 .38727 m .91111 .38679 L p .90871 .40224 L F P
0 g
s
0 0 .143 r
.90802 .40669 m .9093 .40098 L p .90871 .40224 L F P
0 g
s
0 0 .143 r
.9093 .40098 m .9124 .38727 L p .90871 .40224 L F P
0 g
s
.608 .521 .731 r
.90802 .40669 m .89711 .42016 L p .90628 .41439 L F P
0 g
s
.047 0 0 r
.86609 .43206 m .88451 .42823 L .88332 .42763 L p F P
0 g
s
.152 .688 .843 r
.86496 .01318 m .76039 .01318 L .7612 .0125 L p F P
0 g
s
0 .492 .735 r
.7612 .22228 m .78293 .22644 L .78205 .22645 L p F P
0 g
s
.655 .621 .804 r
.77875 .32306 m .79582 .31166 L p .78987 .32185 L F P
0 g
s
0 0 0 r
.79582 .31166 m .77875 .32306 L .77962 .32334 L p F P
0 g
s
0 0 0 r
.79196 .31501 m .79582 .31166 L p .78123 .32218 L F P
0 g
s
0 0 0 r
.77962 .32334 m .79196 .31501 L p .78123 .32218 L F P
0 g
s
.655 .621 .804 r
.79582 .31166 m .80352 .32036 L p .78987 .32185 L F P
0 g
s
.696 .666 .817 r
.81535 .3014 m .80352 .32036 L .79582 .31166 L p F P
0 g
s
.607 .521 .731 r
.79196 .31501 m .79729 .32583 L p .80091 .30902 L F P
0 g
s
0 0 0 r
.79582 .31166 m .79196 .31501 L p .80182 .3008 L F P
0 g
s
0 0 0 r
.80182 .3008 m .80402 .29762 L .80111 .3026 L F
.80182 .3008 m .80111 .3026 L .79582 .31166 L F
.762 .632 .716 r
.82121 .26381 m .81721 .28391 L .80599 .28167 L p F P
0 g
s
.765 .622 .701 r
.80488 .29638 m .80599 .28167 L .81721 .28391 L p F P
0 g
s
0 0 0 r
.80488 .29638 m .79582 .31166 L p .80402 .29762 L F P
0 g
s
.696 .666 .817 r
.79582 .31166 m .80488 .29638 L p .80544 .30661 L F P
0 g
s
0 0 0 r
.79196 .31501 m .80259 .30126 L .80488 .29638 L p F P
0 g
s
0 0 .064 r
.80488 .29638 m .80259 .30126 L p .80453 .29005 L F P
0 g
s
0 0 .064 r
.80599 .28167 m .80488 .29638 L p .80453 .29005 L F P
0 g
s
.696 .666 .817 r
.80488 .29638 m .81535 .3014 L p .80544 .30661 L F P
0 g
s
0 0 .064 r
.80695 .28182 m .80599 .28167 L p .80335 .29688 L F P
0 g
s
0 0 .064 r
.80259 .30126 m .80387 .29554 L p .80335 .29688 L F P
0 g
s
0 0 .064 r
.80387 .29554 m .80695 .28182 L p .80335 .29688 L F P
0 g
s
.607 .521 .731 r
.80259 .30126 m .79196 .31501 L p .80091 .30902 L F P
0 g
s
0 0 0 r
.7612 .32717 m .77962 .32334 L .77875 .32306 L p F P
0 g
s
.14 0 0 r
.86496 .43144 m .76039 .43144 L .7612 .43206 L p F P
0 g
s
.04 .583 .844 r
.65631 .0125 m .67804 .01666 L .67749 .01732 L p F P
0 g
s
.656 .62 .802 r
.67419 .11393 m .69096 .10194 L .69875 .11082 L p F P
0 g
s
.455 .84 .617 r
.68911 .10326 m .67419 .11393 L .67473 .11356 L p F P
0 g
s
.2 .727 .747 r
.65631 .11739 m .67473 .11356 L .67419 .11393 L p F P
0 g
s
.712 .762 .892 r
.67718 .12496 m .6577 .12878 L p .65607 .13652 L F P
0 g
s
.688 .517 .649 r
.65709 .12891 m .65642 .1258 L p .65676 .12898 L F P
0 g
s
.712 .762 .892 r
.6577 .12878 m .65646 .12902 L .65646 .12904 L p F P
0 g
s
.703 .756 .893 r
.64192 .12997 m .64185 .13874 L p .65559 .12992 L F P
0 g
s
.712 .762 .892 r
.65607 .13652 m .6577 .12878 L .65676 .12898 L F
.65645 .12923 m .65607 .13652 L p .65676 .12898 L F P
0 g
s
.703 .756 .893 r
.6571 .12896 m .65676 .12898 L p .65559 .12992 L F P
0 g
s
.703 .756 .893 r
.65676 .12898 m .64192 .12997 L p .65559 .12992 L F P
0 g
s
.712 .762 .892 r
.65646 .12904 m .65645 .12923 L p .65676 .12898 L F P
0 g
s
.688 .517 .649 r
.64192 .12997 m .65676 .12898 L p .65642 .1258 L F P
0 g
s
.688 .517 .649 r
.65676 .12898 m .6571 .12896 L .65709 .12891 L p F P
0 g
s
.688 .517 .649 r
.65642 .1258 m .65466 .11756 L p .65309 .11909 L F P
0 g
s
.688 .517 .649 r
.64192 .12997 m .65642 .1258 L .65309 .11909 L F
.694 .52 .648 r
.67473 .11356 m .65631 .11739 L .65642 .1258 L p F P
0 g
s
.694 .52 .648 r
.65642 .1258 m .65643 .12666 L p .65674 .12644 L F P
0 g
s
.694 .52 .648 r
.65674 .12644 m .67473 .11356 L .65642 .1258 L F
.65643 .12666 m .65646 .12902 L p .67473 .11356 L F P
0 g
s
.455 .84 .617 r
.69096 .10194 m .68911 .10326 L p .67473 .11356 L F P
0 g
s
.068 0 0 r
.76039 .32688 m .65583 .32688 L .65631 .32717 L p F P
0 g
s
.14 0 0 r
.76039 .43144 m .65583 .43144 L .65631 .43206 L p F P
0 g
s
.152 .688 .843 r
.65583 .01318 m .55126 .01318 L .55142 .0125 L p F P
0 g
s
0 .526 .776 r
.55142 .11739 m .57315 .12155 L .57292 .12189 L p F P
0 g
s
.655 .621 .804 r
.56962 .21849 m .5861 .2068 L .59398 .21559 L p F P
0 g
s
.439 .827 .601 r
.5861 .2068 m .56962 .21849 L .56984 .21845 L p F P
0 g
s
.713 .536 .648 r
.53372 .21816 m .52579 .22694 L p .54136 .22437 L F P
0 g
s
.713 .536 .648 r
.52579 .22694 m .55084 .23395 L .55146 .23077 L p F P
0 g
s
.713 .536 .648 r
.55146 .23077 m .55308 .22245 L p .55163 .22268 L F P
0 g
s
.694 .521 .649 r
.55142 .22228 m .55146 .23077 L p .55162 .22314 L F P
0 g
s
.694 .521 .649 r
.55153 .22226 m .55142 .22228 L p .55366 .23216 L F P
0 g
s
.713 .536 .648 r
.52579 .22694 m .55146 .23077 L .55163 .22268 L F
.694 .521 .649 r
.55147 .23401 m .55366 .23216 L .55162 .22314 L F
.55146 .23077 m .55147 .23401 L p .55162 .22314 L F P
0 g
s
.713 .536 .648 r
.55308 .22245 m .5519 .22218 L p .55153 .22226 L F P
0 g
s
.713 .536 .648 r
.55163 .22268 m .55308 .22245 L .55153 .22226 L F
.694 .521 .649 r
.56984 .21845 m .55153 .22226 L p .55366 .23216 L F P
0 g
s
.713 .536 .648 r
.54136 .22437 m .55163 .22268 L .55153 .22226 L F
.5519 .22218 m .53372 .21816 L p .54136 .22437 L F P
0 g
s
0 0 0 r
.55142 .22228 m .55153 .22226 L p .56962 .21849 L F P
0 g
s
0 0 0 r
.55153 .22226 m .56984 .21845 L .5698 .21846 L p F P
0 g
s
0 0 0 r
.5698 .21846 m .56962 .21849 L p .55153 .22226 L F P
0 g
s
.068 0 0 r
.65583 .32688 m .55126 .32688 L .55142 .32717 L p F P
0 g
s
.14 0 0 r
.65583 .43144 m .55126 .43144 L .55142 .43206 L p F P
0 g
s
.152 .688 .843 r
.55126 .01318 m .4467 .01318 L .44653 .0125 L p F P
0 g
s
0 .515 .763 r
.44653 .11739 m .46826 .12155 L .46836 .12189 L p F P
0 g
s
.654 .621 .804 r
.46505 .21849 m .48125 .2068 L .48921 .21559 L p F P
0 g
s
.48 .859 .642 r
.48125 .2068 m .46505 .21849 L .46495 .21845 L p F P
0 g
s
.713 .536 .648 r
.42885 .21816 m .42082 .22694 L p .43644 .22437 L F P
0 g
s
.713 .536 .648 r
.42082 .22694 m .44585 .23395 L .44649 .23077 L p F P
0 g
s
.713 .536 .648 r
.44649 .23077 m .44819 .22245 L p .44673 .22268 L F P
0 g
s
.694 .52 .648 r
.44653 .22228 m .44649 .23077 L p .44672 .22314 L F P
0 g
s
.158 .694 .707 r
.44653 .22228 m .44664 .22226 L p .45728 .22008 L F P
0 g
s
.158 .694 .707 r
.45726 .22009 m .45728 .22008 L .46505 .21849 L F
.44653 .22228 m .45728 .22008 L .45726 .22009 L F
.44664 .22226 m .46495 .21845 L .46496 .21846 L p F P
0 g
s
.158 .694 .707 r
.46496 .21846 m .46505 .21849 L p .44664 .22226 L F P
0 g
s
.582 .475 .697 r
.46495 .21845 m .4672 .22995 L p .47335 .21666 L F P
0 g
s
.48 .859 .642 r
.47651 .20986 m .48125 .2068 L p .46657 .21729 L F P
0 g
s
.48 .859 .642 r
.46495 .21845 m .47651 .20986 L p .46657 .21729 L F P
0 g
s
.697 .665 .815 r
.50021 .19636 m .48921 .21559 L .48125 .2068 L p F P
0 g
s
.697 .665 .815 r
.48125 .2068 m .48947 .19124 L .50021 .19636 L p F P
0 g
s
0 0 0 r
.48125 .2068 m .47651 .20986 L p .4864 .19566 L F P
0 g
s
0 0 0 r
.48947 .19124 m .48591 .19798 L p .4864 .19566 L F P
0 g
s
0 0 0 r
.48591 .19798 m .48125 .2068 L p .4864 .19566 L F P
0 g
s
.705 .701 .168 r
.4906 .17637 m .49063 .17655 L p .48727 .19152 L F P
0 g
s
0 0 0 r
.47651 .20986 m .4863 .19583 L .48947 .19124 L p F P
0 g
s
.705 .701 .168 r
.4863 .19583 m .48756 .19011 L p .48727 .19152 L F P
0 g
s
.705 .701 .168 r
.48756 .19011 m .4906 .17637 L p .48727 .19152 L F P
0 g
s
.603 .518 .732 r
.47651 .20986 m .48157 .22059 L p .4848 .20365 L F P
0 g
s
.603 .518 .732 r
.4863 .19583 m .47651 .20986 L p .4848 .20365 L F P
0 g
s
.582 .475 .697 r
.47651 .20986 m .46495 .21845 L p .47335 .21666 L F P
0 g
s
.694 .52 .648 r
.44664 .22226 m .44653 .22228 L p .44868 .23216 L F P
0 g
s
.713 .536 .648 r
.42082 .22694 m .44649 .23077 L .44673 .22268 L F
.694 .52 .648 r
.44648 .23401 m .44868 .23216 L .44672 .22314 L F
.44649 .23077 m .44648 .23401 L p .44672 .22314 L F P
0 g
s
.713 .536 .648 r
.44819 .22245 m .44701 .22218 L p .44664 .22226 L F P
0 g
s
.713 .536 .648 r
.44673 .22268 m .44819 .22245 L .44664 .22226 L F
.694 .52 .648 r
.46495 .21845 m .44664 .22226 L p .44868 .23216 L F P
0 g
s
.713 .536 .648 r
.43644 .22437 m .44673 .22268 L .44664 .22226 L F
.44701 .22218 m .42885 .21816 L p .43644 .22437 L F P
0 g
s
.068 0 0 r
.55126 .32688 m .4467 .32688 L .44653 .32717 L p F P
0 g
s
.14 0 0 r
.55126 .43144 m .4467 .43144 L .44653 .43206 L p F P
0 g
s
.152 .688 .843 r
.4467 .01318 m .34213 .01318 L .34164 .0125 L p F P
0 g
s
0 .505 .751 r
.34164 .11739 m .36337 .12155 L .36379 .12189 L p F P
0 g
s
.14 0 0 r
.4467 .43144 m .34213 .43144 L .34164 .43206 L p F P
0 g
s
.152 .688 .843 r
.34213 .01318 m .23757 .01318 L .23675 .0125 L p F P
0 g
s
.081 .64 .783 r
.34213 .11775 m .23757 .11775 L .23675 .11739 L p F P
0 g
s
.603 .502 .712 r
.25922 .22645 m .28095 .24063 L .27608 .25133 L p F P
0 g
s
.43 0 0 r
.28095 .24063 m .25922 .22645 L .25848 .22644 L p F P
0 g
s
.161 0 0 r
.23675 .22228 m .25848 .22644 L .25922 .22645 L p F P
0 g
s
.14 0 0 r
.34213 .43144 m .23757 .43144 L .23675 .43206 L p F P
0 g
s
.152 .688 .843 r
.23757 .01318 m .133 .01318 L .13186 .0125 L p F P
0 g
s
.081 .64 .783 r
.23757 .11775 m .133 .11775 L .13186 .11739 L p F P
0 g
s
.602 .5 .711 r
.15466 .22645 m .17609 .24063 L .17131 .25133 L p F P
0 g
s
.467 0 0 r
.17609 .24063 m .15466 .22645 L .15359 .22644 L p F P
0 g
s
.175 0 0 r
.13186 .22228 m .15359 .22644 L .15466 .22645 L p F P
0 g
s
.152 .688 .843 r
.133 .01318 m .02844 .01318 L .02697 .0125 L p F P
0 g
s
.081 .64 .783 r
.133 .11775 m .02844 .11775 L .02697 .11739 L p F P
0 g
s
.258 0 0 r
.02697 .32717 m .0487 .33133 L .05009 .33102 L p F P
0 g
s
.152 .688 .843 r
.86609 .0125 m .97098 .0125 L .96952 .01318 L p F P
0 g
s
.081 .64 .783 r
.86609 .11739 m .97098 .11739 L .96952 .11775 L p F P
0 g
s
.007 .583 .714 r
.86609 .22228 m .97098 .22228 L .96952 .22231 L p F P
0 g
s
.152 .688 .843 r
.7612 .0125 m .86609 .0125 L .86496 .01318 L p F P
0 g
s
.14 0 0 r
.7612 .43206 m .86609 .43206 L .86496 .43144 L p F P
0 g
s
.007 .583 .714 r
.65631 .22228 m .65662 .22228 L p .76039 .22231 L F P
0 g
s
.007 .583 .714 r
.76091 .22229 m .76039 .22231 L p .65662 .22228 L F P
0 g
s
.713 .536 .648 r
.63075 .22694 m .65583 .23395 L .65642 .23077 L p F P
0 g
s
.713 .536 .648 r
.65642 .23077 m .65797 .22245 L p .65682 .22264 L F P
0 g
s
.705 .529 .647 r
.65631 .22228 m .65642 .23077 L p .65679 .2231 L F P
0 g
s
.705 .529 .647 r
.65662 .22228 m .65631 .22228 L p .66279 .2333 L F P
0 g
s
.713 .536 .648 r
.63075 .22694 m .65642 .23077 L .65682 .22264 L F
.705 .529 .647 r
.65646 .23401 m .66279 .2333 L .65679 .2231 L F
.65642 .23077 m .65646 .23401 L p .65679 .2231 L F P
0 g
s
.713 .536 .648 r
.65797 .22245 m .65723 .22228 L p .65667 .22238 L F P
0 g
s
.713 .536 .648 r
.65682 .22264 m .65797 .22245 L .65667 .22238 L F
.65723 .22228 m .63859 .21816 L .63491 .22228 L p F P
0 g
s
.713 .536 .648 r
.63491 .22228 m .63075 .22694 L p .65723 .22228 L F P
0 g
s
.007 .583 .714 r
.65662 .22228 m .7612 .22228 L .76091 .22229 L p F P
0 g
s
.705 .529 .647 r
.7612 .22228 m .65662 .22228 L p .66279 .2333 L F P
0 g
s
.713 .536 .648 r
.63075 .22694 m .65682 .22264 L .65667 .22238 L F
.068 0 0 r
.65631 .32717 m .7612 .32717 L .76039 .32688 L p F P
0 g
s
.14 0 0 r
.65631 .43206 m .7612 .43206 L .76039 .43144 L p F P
0 g
s
.152 .688 .843 r
.55142 .0125 m .65631 .0125 L .65583 .01318 L p F P
0 g
s
.068 0 0 r
.55142 .32717 m .65631 .32717 L .65583 .32688 L p F P
0 g
s
.14 0 0 r
.55142 .43206 m .65631 .43206 L .65583 .43144 L p F P
0 g
s
.152 .688 .843 r
.44653 .0125 m .55142 .0125 L .55126 .01318 L p F P
0 g
s
.068 0 0 r
.44653 .32717 m .55142 .32717 L .55126 .32688 L p F P
0 g
s
.14 0 0 r
.44653 .43206 m .55142 .43206 L .55126 .43144 L p F P
0 g
s
.152 .688 .843 r
.34164 .0125 m .44653 .0125 L .4467 .01318 L p F P
0 g
s
.14 0 0 r
.34164 .43206 m .44653 .43206 L .4467 .43144 L p F P
0 g
s
.152 .688 .843 r
.23675 .0125 m .34164 .0125 L .34213 .01318 L p F P
0 g
s
.081 .64 .783 r
.23675 .11739 m .34164 .11739 L .34213 .11775 L p F P
0 g
s
.14 0 0 r
.23675 .43206 m .34164 .43206 L .34213 .43144 L p F P
0 g
s
.152 .688 .843 r
.13186 .0125 m .23675 .0125 L .23757 .01318 L p F P
0 g
s
.081 .64 .783 r
.13186 .11739 m .23675 .11739 L .23757 .11775 L p F P
0 g
s
.152 .688 .843 r
.02697 .0125 m .13186 .0125 L .133 .01318 L p F P
0 g
s
.081 .64 .783 r
.02697 .11739 m .13186 .11739 L .133 .11775 L p F P
0 g
s
0 0 0 r
.94256 .33386 m .92516 .34861 L .92947 .34424 L p F P
0 g
s
0 0 0 r
.92947 .34424 m .94846 .33102 L .94256 .33386 L p F P
0 g
s
0 0 0 r
.83798 .22927 m .8203 .24375 L .82432 .23909 L p F P
0 g
s
0 0 0 r
.82432 .23909 m .84359 .22614 L .83798 .22927 L p F P
0 g
s
.44 .843 .649 r
.73339 .02011 m .71544 .03403 L .71917 .02879 L p F P
0 g
s
.44 .843 .649 r
.71917 .02879 m .73872 .0164 L .73339 .02011 L p F P
0 g
s
.419 .826 .628 r
.62881 .12469 m .61058 .13889 L .61402 .13394 L p F P
0 g
s
.419 .826 .628 r
.61402 .13394 m .63384 .12127 L .62881 .12469 L p F P
0 g
s
.458 .856 .666 r
.52423 .12469 m .50572 .13889 L .50887 .13394 L p F P
0 g
s
.458 .856 .666 r
.50887 .13394 m .52897 .12127 L .52423 .12469 L p F P
0 g
s
.494 .882 .701 r
.41965 .12469 m .40086 .13889 L .40372 .13394 L p F P
0 g
s
.494 .882 .701 r
.40372 .13394 m .4241 .12127 L .41965 .12469 L p F P
0 g
s
.547 0 0 r
.32446 .32278 m .31011 .31322 L .31271 .31814 L p F P
0 g
s
.547 0 0 r
.31271 .31814 m .32865 .32616 L .32446 .32278 L p F P
0 g
s
.573 0 0 r
.21988 .32278 m .20525 .31322 L .20756 .31814 L p F P
0 g
s
.573 0 0 r
.20756 .31814 m .22378 .32616 L .21988 .32278 L p F P
0 g
s
.491 .879 .698 r
.1059 .33386 m .08628 .34861 L .08827 .34424 L p F P
0 g
s
.491 .879 .698 r
.08827 .34424 m .10948 .33102 L .1059 .33386 L p F P
0 g
s
.571 .468 .698 r
.31455 .22927 m .29651 .24372 L .30511 .25167 L p F P
0 g
s
.568 .466 .698 r
.20968 .22927 m .19192 .24372 L .20042 .25167 L p F P
0 g
s
.811 .658 .693 r
.90908 .34521 m .88782 .33133 L .8859 .34294 L p F P
0 g
s
.811 .658 .693 r
.8859 .34294 m .90437 .356 L .90908 .34521 L p F P
0 g
s
.81 .657 .693 r
.80448 .24061 m .78293 .22644 L .78091 .23795 L p F P
0 g
s
.81 .657 .693 r
.78091 .23795 m .79968 .25131 L .80448 .24061 L p F P
0 g
s
.808 .656 .693 r
.69989 .03142 m .67804 .01666 L .67592 .02796 L p F P
0 g
s
.808 .656 .693 r
.67592 .02796 m .695 .04194 L .69989 .03142 L p F P
0 g
s
.807 .655 .694 r
.59529 .13602 m .57315 .12155 L .57093 .13295 L p F P
0 g
s
.807 .655 .694 r
.57093 .13295 m .59031 .14663 L .59529 .13602 L p F P
0 g
s
.805 .654 .694 r
.4907 .13602 m .46826 .12155 L .46594 .13295 L p F P
0 g
s
.805 .654 .694 r
.46594 .13295 m .48563 .14663 L .4907 .13602 L p F P
0 g
s
.804 .652 .694 r
.3861 .13602 m .36337 .12155 L .36095 .13295 L p F P
0 g
s
.804 .652 .694 r
.36095 .13295 m .38094 .14663 L .3861 .13602 L p F P
0 g
s
.73 .52 .607 r
.2721 .31146 m .25517 .32334 L .25722 .33494 L p F P
0 g
s
.73 .52 .607 r
.25722 .33494 m .27985 .32029 L .2721 .31146 L p F P
0 g
s
.73 .52 .608 r
.16751 .31146 m .15028 .32334 L .15223 .33494 L p F P
0 g
s
.73 .52 .608 r
.15223 .33494 m .17517 .32029 L .16751 .31146 L p F P
0 g
s
.8 .649 .695 r
.07231 .34521 m .0487 .33133 L .04597 .34294 L p F P
0 g
s
.8 .649 .695 r
.04597 .34294 m .06689 .356 L .07231 .34521 L p F P
0 g
s
.584 .695 .918 r
.90437 .356 m .8859 .34294 L .88352 .34975 L p F P
0 g
s
.589 .693 .914 r
.79968 .25131 m .78091 .23795 L .77879 .24503 L p F P
0 g
s
.599 .689 .905 r
.695 .04194 m .67592 .02796 L .67407 .03557 L p F P
0 g
s
.592 .692 .911 r
.59031 .14663 m .57093 .13295 L .56934 .1403 L p F P
0 g
s
.591 .692 .913 r
.48563 .14663 m .46594 .13295 L .46461 .1403 L p F P
0 g
s
.589 .693 .914 r
.38094 .14663 m .36095 .13295 L .35988 .1403 L p F P
0 g
s
.845 .821 .825 r
.27985 .32029 m .25722 .33494 L .25924 .34178 L p F P
0 g
s
.843 .816 .823 r
.17517 .32029 m .15223 .33494 L .15451 .34178 L p F P
0 g
s
.569 .7 .93 r
.06689 .356 m .04597 .34294 L .0457 .34975 L p F P
0 g
s
.67 .472 .608 r
.92784 .42283 m .94563 .43686 L .95321 .42791 L p F P
0 g
s
.669 .47 .606 r
.82315 .31815 m .84067 .3319 L .84834 .32303 L p F P
0 g
s
.668 .466 .603 r
.71847 .10878 m .73571 .12198 L .74347 .11329 L p F P
0 g
s
.668 .467 .604 r
.61378 .21346 m .63075 .22694 L .63859 .21816 L p F P
0 g
s
.668 .466 .603 r
.5091 .21346 m .52579 .22694 L .53372 .21816 L p F P
0 g
s
.668 .466 .603 r
.40441 .21346 m .42082 .22694 L .42885 .21816 L p F P
0 g
s
.571 .468 .698 r
.30511 .25167 m .31947 .23999 L .31455 .22927 L p F P
0 g
s
.568 .466 .698 r
.20042 .25167 m .2145 .23999 L .20968 .22927 L p F P
0 g
s
.668 .467 .604 r
.09036 .42283 m .10594 .43686 L .11423 .42791 L p F P
0 g
s
.673 .726 .89 r
.97144 .02403 m .86644 .02403 L .86552 .03179 L p F P
0 g
s
.673 .726 .89 r
.86552 .03179 m .97025 .03179 L .97144 .02403 L p F P
0 g
s
.671 .73 .894 r
.97144 .12902 m .86644 .12902 L .86552 .13652 L p F P
0 g
s
.671 .73 .894 r
.86552 .13652 m .97025 .13652 L .97144 .12902 L p F P
0 g
s
.668 .734 .899 r
.86642 .23421 m .86552 .24124 L p .86624 .24086 L F P
0 g
s
.702 .763 .899 r
.86757 .24104 m .86708 .23396 L p .86665 .23421 L F P
0 g
s
.705 .529 .647 r
.86644 .23401 m .86666 .23401 L p .86948 .23367 L F P
0 g
s
.702 .763 .899 r
.86708 .23396 m .86708 .23395 L p .86705 .23396 L F P
0 g
s
.702 .763 .899 r
.86665 .23421 m .86708 .23396 L .86705 .23396 L F
.705 .529 .647 r
.97144 .23401 m .97098 .22228 L p .86948 .23367 L F P
0 g
s
.702 .763 .899 r
.86665 .23421 m .86705 .23396 L .86187 .23428 L F
.86708 .23395 m .86686 .23396 L p .86705 .23396 L F P
0 g
s
.702 .763 .899 r
.86686 .23396 m .86187 .23428 L p .86705 .23396 L F P
0 g
s
.705 .529 .647 r
.86705 .23396 m .97144 .23401 L .86948 .23367 L F
.86666 .23401 m .87915 .23401 L p .86705 .23396 L F P
0 g
s
.705 .529 .647 r
.87915 .23401 m .97144 .23401 L p .86705 .23396 L F P
0 g
s
.702 .763 .899 r
.86622 .24124 m .86757 .24104 L p .86665 .23421 L F P
0 g
s
.668 .734 .899 r
.86624 .24086 m .87915 .23401 L .86665 .23421 L F
.86624 .24086 m .86665 .23421 L .86642 .23421 L F
.97144 .23401 m .87915 .23401 L p .86552 .24124 L F P
0 g
s
.668 .734 .899 r
.86552 .24124 m .97025 .24124 L .97144 .23401 L p F P
0 g
s
.702 .763 .899 r
.8513 .24346 m .86622 .24124 L p .86665 .23421 L F P
0 g
s
.702 .763 .899 r
.85185 .23493 m .8513 .24346 L p .86665 .23421 L F P
0 g
s
.702 .763 .899 r
.86187 .23428 m .85185 .23493 L p .86665 .23421 L F P
0 g
s
.668 .734 .899 r
.87915 .23401 m .86644 .23401 L .86642 .23421 L p F P
0 g
s
.612 .689 .898 r
.9708 .44393 m .94563 .43686 L .9444 .44495 L p F P
0 g
s
.612 .689 .898 r
.9444 .44495 m .96821 .4505 L .9708 .44393 L p F P
0 g
s
.62 .692 .895 r
.8859 .34294 m .86644 .339 L .86552 .34597 L p F P
0 g
s
.62 .692 .895 r
.86552 .34597 m .88352 .34975 L .8859 .34294 L p F P
0 g
s
.7 .768 .905 r
.97207 .33894 m .95681 .33989 L .95603 .34819 L p F P
0 g
s
.7 .768 .905 r
.95603 .34819 m .9723 .34577 L .97207 .33894 L p F P
0 g
s
.888 .882 .822 r
.9431 .35698 m .95603 .34819 L .95681 .33989 L p F P
0 g
s
.726 .823 .925 r
.90253 .43107 m .88717 .43994 L .88761 .44651 L p F P
0 g
s
.726 .823 .925 r
.88761 .44651 m .90945 .43413 L .90253 .43107 L p F P
0 g
s
.708 .78 .908 r
.88717 .43994 m .86644 .44399 L .86552 .4507 L p F P
0 g
s
.708 .78 .908 r
.86552 .4507 m .88761 .44651 L .88717 .43994 L p F P
0 g
s
.673 .726 .89 r
.76144 .02425 m .7608 .03179 L p .7615 .03138 L F P
0 g
s
.705 .752 .889 r
.76284 .03159 m .76209 .02398 L p .76166 .02424 L F P
0 g
s
.705 .528 .646 r
.76145 .02403 m .76167 .02403 L p .76449 .02369 L F P
0 g
s
.705 .752 .889 r
.76209 .02398 m .76209 .02397 L p .76206 .02398 L F P
0 g
s
.705 .752 .889 r
.76166 .02424 m .76209 .02398 L .76206 .02398 L F
.705 .528 .646 r
.86644 .02403 m .86609 .0125 L p .76449 .02369 L F P
0 g
s
.705 .752 .889 r
.76166 .02424 m .76206 .02398 L .75689 .02432 L F
.76209 .02397 m .76187 .02398 L p .76206 .02398 L F P
0 g
s
.705 .752 .889 r
.76187 .02398 m .75689 .02432 L p .76206 .02398 L F P
0 g
s
.705 .528 .646 r
.76206 .02398 m .86644 .02403 L .76449 .02369 L F
.76167 .02403 m .77416 .02403 L p .76206 .02398 L F P
0 g
s
.705 .528 .646 r
.77416 .02403 m .86644 .02403 L p .76206 .02398 L F P
0 g
s
.705 .752 .889 r
.76149 .03179 m .76284 .03159 L p .76166 .02424 L F P
0 g
s
.673 .726 .89 r
.7615 .03138 m .77416 .02403 L .76166 .02424 L F
.7615 .03138 m .76166 .02424 L .76144 .02425 L F
.86644 .02403 m .77416 .02403 L p .7608 .03179 L F P
0 g
s
.673 .726 .89 r
.7608 .03179 m .86552 .03179 L .86644 .02403 L p F P
0 g
s
.705 .752 .889 r
.74658 .03401 m .76149 .03179 L p .76166 .02424 L F P
0 g
s
.705 .752 .889 r
.74689 .02501 m .74658 .03401 L p .76166 .02424 L F P
0 g
s
.705 .752 .889 r
.75689 .02432 m .74689 .02501 L p .76166 .02424 L F P
0 g
s
.673 .726 .89 r
.77416 .02403 m .76145 .02403 L .76144 .02425 L p F P
0 g
s
.671 .73 .894 r
.86644 .12902 m .76145 .12902 L .7608 .13652 L p F P
0 g
s
.671 .73 .894 r
.7608 .13652 m .86552 .13652 L .86644 .12902 L p F P
0 g
s
.615 .687 .894 r
.86581 .33894 m .84067 .3319 L .83967 .34022 L p F P
0 g
s
.615 .687 .894 r
.83967 .34022 m .86348 .34577 L .86581 .33894 L p F P
0 g
s
.623 .69 .892 r
.78091 .23795 m .76145 .23401 L .7608 .24124 L p F P
0 g
s
.623 .69 .892 r
.7608 .24124 m .77879 .24503 L .78091 .23795 L p F P
0 g
s
.882 .869 .82 r
.8381 .25198 m .8513 .24346 L .85185 .23493 L p F P
0 g
s
.728 .814 .918 r
.79729 .32583 m .78218 .33494 L .78288 .34178 L p F P
0 g
s
.728 .814 .918 r
.78288 .34178 m .80445 .32913 L .79729 .32583 L p F P
0 g
s
.709 .774 .902 r
.78218 .33494 m .76145 .339 L .7608 .34597 L p F P
0 g
s
.709 .774 .902 r
.7608 .34597 m .78288 .34178 L .78218 .33494 L p F P
0 g
s
.663 .743 .909 r
.86644 .44399 m .76145 .44399 L .7608 .4507 L p F P
0 g
s
.663 .743 .909 r
.7608 .4507 m .86552 .4507 L .86644 .44399 L p F P
0 g
s
.622 .683 .886 r
.76082 .12896 m .73571 .12198 L .73494 .13076 L p F P
0 g
s
.622 .683 .886 r
.73494 .13076 m .75875 .13631 L .76082 .12896 L p F P
0 g
s
.629 .686 .884 r
.67592 .02796 m .65646 .02403 L .65607 .03179 L p F P
0 g
s
.629 .686 .884 r
.65607 .03179 m .67407 .03557 L .67592 .02796 L p F P
0 g
s
.874 .851 .817 r
.73309 .04197 m .74658 .03401 L .74689 .02501 L p F P
0 g
s
.731 .799 .906 r
.69205 .11535 m .67718 .12496 L .67815 .13233 L p F P
0 g
s
.731 .799 .906 r
.67815 .13233 m .69944 .11912 L .69205 .11535 L p F P
0 g
s
.712 .762 .892 r
.65607 .13652 m .67815 .13233 L .67718 .12496 L p F P
0 g
s
.668 .734 .899 r
.76145 .23401 m .65646 .23401 L .65607 .24124 L p F P
0 g
s
.668 .734 .899 r
.65607 .24124 m .7608 .24124 L .76145 .23401 L p F P
0 g
s
.666 .738 .904 r
.76145 .339 m .65646 .339 L .65607 .34597 L p F P
0 g
s
.666 .738 .904 r
.65607 .34597 m .7608 .34597 L .76145 .339 L p F P
0 g
s
.663 .743 .909 r
.76145 .44399 m .65646 .44399 L .65607 .4507 L p F P
0 g
s
.663 .743 .909 r
.65607 .4507 m .7608 .4507 L .76145 .44399 L p F P
0 g
s
.673 .726 .89 r
.65646 .02403 m .55147 .02403 L .55134 .03179 L p F P
0 g
s
.673 .726 .89 r
.55134 .03179 m .65607 .03179 L .65646 .02403 L p F P
0 g
s
.617 .686 .892 r
.65583 .23395 m .63075 .22694 L .63021 .23549 L p F P
0 g
s
.617 .686 .892 r
.63021 .23549 m .65403 .24104 L .65583 .23395 L p F P
0 g
s
.625 .689 .889 r
.55147 .12923 m .55134 .13652 L p .55163 .13646 L F P
0 g
s
.688 .516 .649 r
.53696 .12997 m .55172 .12898 L p .54977 .11756 L F P
0 g
s
.716 .538 .648 r
.55172 .12894 m .55172 .12898 L .57315 .12155 L F
.57201 .1274 m .57315 .12155 L p .55156 .12904 L F P
0 g
s
.716 .538 .648 r
.57315 .12155 m .55142 .11739 L .55146 .1258 L p F P
0 g
s
.688 .516 .649 r
.55162 .12661 m .54977 .11756 L p .55172 .12898 L F P
0 g
s
.716 .538 .648 r
.55146 .1258 m .55147 .12902 L p .55172 .12894 L F P
0 g
s
.716 .538 .648 r
.55172 .12894 m .57315 .12155 L .55146 .1258 L F
.688 .516 .649 r
.5521 .12896 m .55162 .12661 L p .55172 .12894 L F P
0 g
s
.688 .516 .649 r
.55172 .12898 m .55172 .12898 L p .55172 .12894 L F P
0 g
s
.688 .516 .649 r
.55172 .12898 m .5521 .12896 L p .55172 .12894 L F P
0 g
s
.704 .756 .892 r
.55156 .12931 m .55204 .129 L .55122 .12902 L F
.5521 .12896 m .55172 .12898 L p .55204 .129 L F P
0 g
s
.704 .756 .892 r
.55172 .12898 m .55122 .12902 L p .55204 .129 L F P
0 g
s
.704 .756 .892 r
.55339 .13631 m .55211 .129 L p .552 .12903 L F P
0 g
s
.704 .756 .892 r
.55156 .12931 m .55192 .13067 L .552 .12903 L F
.55192 .13067 m .55339 .13631 L .552 .12903 L F
.716 .538 .648 r
.55156 .12904 m .57093 .13295 L .5715 .13003 L p F P
0 g
s
.716 .538 .648 r
.5715 .13003 m .57201 .1274 L p .55204 .129 L F P
0 g
s
.704 .756 .892 r
.552 .12903 m .55211 .129 L .55204 .129 L F
.716 .538 .648 r
.55156 .12904 m .5715 .13003 L .55204 .129 L F
.55147 .12902 m .55156 .12904 L p .55172 .12898 L F P
0 g
s
.716 .538 .648 r
.55147 .12902 m .55172 .12898 L .55172 .12894 L F
.704 .756 .892 r
.55211 .129 m .5521 .12896 L p .55204 .129 L F P
0 g
s
.704 .756 .892 r
.55164 .13657 m .55339 .13631 L p .55156 .12931 L F P
0 g
s
.625 .689 .889 r
.56934 .1403 m .57093 .13295 L p .55163 .13646 L F P
0 g
s
.625 .689 .889 r
.55134 .13652 m .55163 .13658 L p .55163 .13646 L F P
0 g
s
.625 .689 .889 r
.55163 .13658 m .56934 .1403 L p .55163 .13646 L F P
0 g
s
.625 .689 .889 r
.55163 .13646 m .5586 .1352 L .55156 .12931 L F
.55163 .13646 m .55156 .12931 L .55147 .12923 L F
.704 .756 .892 r
.53712 .13874 m .55164 .13657 L p .55156 .12931 L F P
0 g
s
.704 .756 .892 r
.53696 .12997 m .53712 .13874 L p .55156 .12931 L F P
0 g
s
.704 .756 .892 r
.55122 .12902 m .53696 .12997 L p .55156 .12931 L F P
0 g
s
.625 .689 .889 r
.57093 .13295 m .55147 .12902 L .55147 .12923 L p F P
0 g
s
.625 .689 .889 r
.5586 .1352 m .57093 .13295 L .55147 .12923 L F
.703 .756 .893 r
.64185 .13874 m .65811 .13631 L .6571 .12896 L p F P
0 g
s
.873 .849 .816 r
.62809 .14697 m .64185 .13874 L .64192 .12997 L p F P
0 g
s
.73 .804 .91 r
.58681 .22059 m .57219 .22995 L .57342 .23706 L p F P
0 g
s
.73 .804 .91 r
.57342 .23706 m .59444 .22412 L .58681 .22059 L p F P
0 g
s
.711 .766 .896 r
.57219 .22995 m .55147 .23401 L .55134 .24124 L p F P
0 g
s
.711 .766 .896 r
.55134 .24124 m .57342 .23706 L .57219 .22995 L p F P
0 g
s
.666 .738 .904 r
.65646 .339 m .55147 .339 L .55134 .34597 L p F P
0 g
s
.666 .738 .904 r
.55134 .34597 m .65607 .34597 L .65646 .339 L p F P
0 g
s
.663 .743 .909 r
.65646 .44399 m .55147 .44399 L .55134 .4507 L p F P
0 g
s
.663 .743 .909 r
.55134 .4507 m .65607 .4507 L .65646 .44399 L p F P
0 g
s
.673 .726 .89 r
.55147 .02403 m .44648 .02403 L .44661 .03179 L p F P
0 g
s
.673 .726 .89 r
.44661 .03179 m .55134 .03179 L .55147 .02403 L p F P
0 g
s
.616 .686 .893 r
.55084 .23395 m .52579 .22694 L .52549 .23549 L p F P
0 g
s
.616 .686 .893 r
.52549 .23549 m .5493 .24104 L .55084 .23395 L p F P
0 g
s
.624 .689 .89 r
.44648 .12923 m .44661 .13652 L p .4469 .13646 L F P
0 g
s
.688 .516 .649 r
.432 .12997 m .44673 .12898 L p .44488 .11756 L F P
0 g
s
.716 .539 .648 r
.44673 .12894 m .44673 .12898 L .46826 .12155 L F
.46707 .1274 m .46826 .12155 L p .44657 .12904 L F P
0 g
s
.716 .539 .648 r
.46826 .12155 m .44653 .11739 L .44649 .1258 L p F P
0 g
s
.688 .516 .649 r
.44665 .12661 m .44488 .11756 L p .44673 .12898 L F P
0 g
s
.716 .539 .648 r
.44649 .1258 m .44648 .12902 L p .44673 .12894 L F P
0 g
s
.716 .539 .648 r
.44673 .12894 m .46826 .12155 L .44649 .1258 L F
.688 .516 .649 r
.44711 .12896 m .44665 .12661 L p .44673 .12894 L F P
0 g
s
.688 .516 .649 r
.44673 .12898 m .44673 .12898 L p .44673 .12894 L F P
0 g
s
.688 .516 .649 r
.44673 .12898 m .44711 .12896 L p .44673 .12894 L F P
0 g
s
.704 .755 .892 r
.44658 .12931 m .44705 .129 L .44623 .12902 L F
.44711 .12896 m .44673 .12898 L p .44705 .129 L F P
0 g
s
.704 .755 .892 r
.44673 .12898 m .44623 .12902 L p .44705 .129 L F P
0 g
s
.704 .755 .892 r
.44866 .13631 m .44712 .129 L p .44701 .12903 L F P
0 g
s
.704 .755 .892 r
.44658 .12931 m .44699 .13067 L .44701 .12903 L F
.44699 .13067 m .44866 .13631 L .44701 .12903 L F
.716 .539 .648 r
.44657 .12904 m .46594 .13295 L .46653 .13003 L p F P
0 g
s
.716 .539 .648 r
.46653 .13003 m .46707 .1274 L p .44705 .129 L F P
0 g
s
.704 .755 .892 r
.44701 .12903 m .44712 .129 L .44705 .129 L F
.716 .539 .648 r
.44657 .12904 m .46653 .13003 L .44705 .129 L F
.44648 .12902 m .44657 .12904 L p .44673 .12898 L F P
0 g
s
.716 .539 .648 r
.44648 .12902 m .44673 .12898 L .44673 .12894 L F
.704 .755 .892 r
.44712 .129 m .44711 .12896 L p .44705 .129 L F P
0 g
s
.704 .755 .892 r
.44691 .13657 m .44866 .13631 L p .44658 .12931 L F P
0 g
s
.624 .689 .89 r
.46461 .1403 m .46594 .13295 L p .4469 .13646 L F P
0 g
s
.624 .689 .89 r
.44661 .13652 m .4469 .13658 L p .4469 .13646 L F P
0 g
s
.624 .689 .89 r
.4469 .13658 m .46461 .1403 L p .4469 .13646 L F P
0 g
s
.624 .689 .89 r
.4469 .13646 m .45377 .1352 L .44658 .12931 L F
.4469 .13646 m .44658 .12931 L .44648 .12923 L F
.704 .755 .892 r
.43239 .13874 m .44691 .13657 L p .44658 .12931 L F P
0 g
s
.704 .755 .892 r
.432 .12997 m .43239 .13874 L p .44658 .12931 L F P
0 g
s
.704 .755 .892 r
.44623 .12902 m .432 .12997 L p .44658 .12931 L F P
0 g
s
.624 .689 .89 r
.46594 .13295 m .44648 .12902 L .44648 .12923 L p F P
0 g
s
.624 .689 .89 r
.45377 .1352 m .46594 .13295 L .44648 .12923 L F
.87 .842 .815 r
.52308 .14697 m .53712 .13874 L .53696 .12997 L p F P
0 g
s
.73 .802 .908 r
.48157 .22059 m .4672 .22995 L .4687 .23706 L p F P
0 g
s
.73 .802 .908 r
.4687 .23706 m .48943 .22412 L .48157 .22059 L p F P
0 g
s
.711 .765 .895 r
.4672 .22995 m .44648 .23401 L .44661 .24124 L p F P
0 g
s
.711 .765 .895 r
.44661 .24124 m .4687 .23706 L .4672 .22995 L p F P
0 g
s
.666 .738 .904 r
.55147 .339 m .44648 .339 L .44661 .34597 L p F P
0 g
s
.666 .738 .904 r
.44661 .34597 m .55134 .34597 L .55147 .339 L p F P
0 g
s
.663 .743 .909 r
.55147 .44399 m .44648 .44399 L .44661 .4507 L p F P
0 g
s
.663 .743 .909 r
.44661 .4507 m .55134 .4507 L .55147 .44399 L p F P
0 g
s
.673 .726 .89 r
.44648 .02403 m .34149 .02403 L .34189 .03179 L p F P
0 g
s
.673 .726 .89 r
.34189 .03179 m .44661 .03179 L .44648 .02403 L p F P
0 g
s
.615 .687 .894 r
.44585 .23395 m .42082 .22694 L .42076 .23549 L p F P
0 g
s
.615 .687 .894 r
.42076 .23549 m .44457 .24104 L .44585 .23395 L p F P
0 g
s
.624 .69 .891 r
.36095 .13295 m .34149 .12902 L .34189 .13652 L p F P
0 g
s
.624 .69 .891 r
.34189 .13652 m .35988 .1403 L .36095 .13295 L p F P
0 g
s
.867 .836 .813 r
.41808 .14697 m .43239 .13874 L .432 .12997 L p F P
0 g
s
.731 .8 .907 r
.37633 .22059 m .36221 .22995 L .36397 .23706 L p F P
0 g
s
.731 .8 .907 r
.36397 .23706 m .38443 .22412 L .37633 .22059 L p F P
0 g
s
.712 .765 .894 r
.34362 .23359 m .34239 .23384 L p .34152 .23452 L F P
0 g
s
.682 .512 .65 r
.34211 .2339 m .34153 .23077 L p .3206 .23902 L F P
0 g
s
.682 .512 .65 r
.34153 .23077 m .33999 .22245 L p .33924 .22309 L F P
0 g
s
.682 .512 .65 r
.3206 .23902 m .34153 .23077 L .33924 .22309 L F
.694 .52 .648 r
.36006 .21845 m .34164 .22228 L .34153 .23077 L p F P
0 g
s
.694 .52 .648 r
.34153 .23077 m .34149 .23401 L p .3423 .23333 L F P
0 g
s
.694 .52 .648 r
.3423 .23333 m .36006 .21845 L .34153 .23077 L F
.712 .765 .894 r
.34239 .23384 m .34149 .23401 L .34149 .23405 L p F P
0 g
s
.712 .765 .894 r
.34149 .23405 m .34152 .23452 L p .34239 .23384 L F P
0 g
s
.682 .512 .65 r
.31947 .23999 m .34212 .23395 L .34211 .2339 L p F P
0 g
s
.682 .512 .65 r
.31947 .23999 m .34211 .2339 L .3206 .23902 L F
.703 .759 .896 r
.34212 .23395 m .31947 .23999 L .32441 .24209 L p F P
0 g
s
.703 .759 .896 r
.32441 .24209 m .32767 .24346 L p .3407 .23489 L F P
0 g
s
.703 .759 .896 r
.3407 .23489 m .34212 .23395 L .32441 .24209 L F
.712 .765 .894 r
.36221 .22995 m .34362 .23359 L p .34189 .24124 L F P
0 g
s
.712 .765 .894 r
.34152 .23452 m .34189 .24124 L p .34362 .23359 L F P
0 g
s
.712 .765 .894 r
.34189 .24124 m .36397 .23706 L .36221 .22995 L p F P
0 g
s
.666 .738 .904 r
.44648 .339 m .34149 .339 L .34189 .34597 L p F P
0 g
s
.666 .738 .904 r
.34189 .34597 m .44661 .34597 L .44648 .339 L p F P
0 g
s
.663 .743 .909 r
.44648 .44399 m .34149 .44399 L .34189 .4507 L p F P
0 g
s
.663 .743 .909 r
.34189 .4507 m .44661 .4507 L .44648 .44399 L p F P
0 g
s
.673 .726 .89 r
.34149 .02403 m .2365 .02403 L .23716 .03179 L p F P
0 g
s
.673 .726 .89 r
.23716 .03179 m .34189 .03179 L .34149 .02403 L p F P
0 g
s
.671 .73 .894 r
.34149 .12902 m .2365 .12902 L .23716 .13652 L p F P
0 g
s
.671 .73 .894 r
.23716 .13652 m .34189 .13652 L .34149 .12902 L p F P
0 g
s
.61 .69 .9 r
.34086 .33894 m .32343 .33696 L .31603 .34022 L p F P
0 g
s
.61 .69 .9 r
.31603 .34022 m .33984 .34577 L .34086 .33894 L p F P
0 g
s
.569 .668 .906 r
.29561 .32623 m .31603 .34022 L .32343 .33696 L p F P
0 g
s
.364 .439 .805 r
.26748 .24634 m .25595 .23795 L .25516 .24503 L p F P
0 g
s
.364 .439 .805 r
.25516 .24503 m .26775 .25488 L .26748 .24634 L p F P
0 g
s
.703 .758 .895 r
.2145 .23999 m .22294 .24346 L p .23662 .23429 L F P
0 g
s
.703 .758 .895 r
.2392 .24104 m .23714 .23398 L p .23703 .23405 L F P
0 g
s
.703 .758 .895 r
.23662 .23429 m .23712 .2356 L .23703 .23405 L F
.23712 .2356 m .2392 .24104 L .23703 .23405 L F
.23745 .2413 m .2392 .24104 L p .23662 .23429 L F P
0 g
s
.619 .693 .897 r
.25516 .24503 m .25595 .23795 L p .23744 .24119 L F P
0 g
s
.619 .693 .897 r
.23716 .24124 m .23745 .2413 L p .23744 .24119 L F P
0 g
s
.619 .693 .897 r
.23745 .2413 m .25516 .24503 L p .23744 .24119 L F P
0 g
s
.703 .758 .895 r
.23662 .23429 m .23714 .23398 L .23707 .23399 L F
.716 .539 .649 r
.2367 .23405 m .25595 .23795 L .25718 .23234 L p F P
0 g
s
.716 .539 .649 r
.25718 .23234 m .25756 .23061 L p .23707 .23399 L F P
0 g
s
.703 .758 .895 r
.23683 .23403 m .23669 .23407 L p .23707 .23399 L F P
0 g
s
.716 .539 .649 r
.2367 .23405 m .25718 .23234 L .23707 .23399 L F
.682 .512 .65 r
.2229 .23283 m .23683 .23403 L .2351 .22245 L F
.23669 .23407 m .23683 .23403 L p .2229 .23283 L F P
0 g
s
.682 .512 .65 r
.23683 .23403 m .23682 .2339 L .2351 .22245 L F
.716 .539 .649 r
.23682 .2339 m .25848 .22644 L .23657 .23077 L F
.682 .512 .65 r
.23671 .23158 m .23657 .23077 L p .23682 .2339 L F P
0 g
s
.682 .512 .65 r
.23657 .23077 m .2351 .22245 L p .23682 .2339 L F P
0 g
s
.716 .539 .649 r
.25848 .22644 m .23675 .22228 L .23657 .23077 L p F P
0 g
s
.716 .539 .649 r
.23657 .23077 m .2365 .23401 L p .23682 .2339 L F P
0 g
s
.716 .539 .649 r
.25756 .23061 m .25848 .22644 L p .2367 .23405 L F P
0 g
s
.703 .758 .895 r
.23714 .23398 m .23713 .23395 L p .23707 .23399 L F P
0 g
s
.619 .693 .897 r
.23716 .24124 m .23744 .24119 L .23698 .23729 L F
.703 .758 .895 r
.23662 .23429 m .23707 .23399 L .23669 .23407 L F
.619 .693 .897 r
.23716 .24124 m .23683 .23408 L .2367 .23407 L F
.23654 .23452 m .23716 .24124 L p .2367 .23405 L F P
0 g
s
.703 .758 .895 r
.22294 .24346 m .23745 .2413 L p .23662 .23429 L F P
0 g
s
.619 .693 .897 r
.25595 .23795 m .23683 .23408 L p .23698 .23729 L F P
0 g
s
.619 .693 .897 r
.23744 .24119 m .25595 .23795 L .23698 .23729 L F
.23683 .23408 m .2367 .23405 L p .2367 .23407 L F P
0 g
s
.619 .693 .897 r
.2367 .23405 m .2365 .23401 L .23654 .23452 L p F P
0 g
s
.682 .512 .65 r
.2145 .23999 m .23669 .23407 L p .2229 .23283 L F P
0 g
s
.716 .539 .649 r
.23682 .2339 m .23682 .23401 L .25848 .22644 L F
.682 .512 .65 r
.23683 .23403 m .23713 .23395 L .23671 .23158 L p F P
0 g
s
.716 .539 .649 r
.2365 .23401 m .2367 .23405 L p .23682 .23401 L F P
0 g
s
.716 .539 .649 r
.2365 .23401 m .23682 .23401 L .23682 .2339 L F
.703 .758 .895 r
.23713 .23395 m .23683 .23403 L p .23707 .23399 L F P
0 g
s
.703 .758 .895 r
.23669 .23407 m .2145 .23999 L p .23662 .23429 L F P
0 g
s
.703 .759 .896 r
.32767 .24346 m .34393 .24104 L .34212 .23395 L p F P
0 g
s
.711 .769 .898 r
.25722 .33494 m .2365 .339 L .23716 .34597 L p F P
0 g
s
.711 .769 .898 r
.23716 .34597 m .25924 .34178 L .25722 .33494 L p F P
0 g
s
.663 .743 .909 r
.34149 .44399 m .2365 .44399 L .23716 .4507 L p F P
0 g
s
.663 .743 .909 r
.23716 .4507 m .34189 .4507 L .34149 .44399 L p F P
0 g
s
.673 .726 .89 r
.2365 .02403 m .13151 .02403 L .13243 .03179 L p F P
0 g
s
.673 .726 .89 r
.13243 .03179 m .23716 .03179 L .2365 .02403 L p F P
0 g
s
.671 .73 .894 r
.2365 .12902 m .13151 .12902 L .13243 .13652 L p F P
0 g
s
.671 .73 .894 r
.13243 .13652 m .23716 .13652 L .2365 .12902 L p F P
0 g
s
.609 .69 .901 r
.23587 .33894 m .21847 .33696 L .2113 .34022 L p F P
0 g
s
.609 .69 .901 r
.2113 .34022 m .23512 .34577 L .23587 .33894 L p F P
0 g
s
.567 .669 .907 r
.19061 .32623 m .2113 .34022 L .21847 .33696 L p F P
0 g
s
.348 .431 .805 r
.16224 .24634 m .15096 .23795 L .15043 .24503 L p F P
0 g
s
.348 .431 .805 r
.15043 .24503 m .16275 .25488 L .16224 .24634 L p F P
0 g
s
.618 .693 .898 r
.15096 .23795 m .13151 .23401 L .13243 .24124 L p F P
0 g
s
.618 .693 .898 r
.13243 .24124 m .15043 .24503 L .15096 .23795 L p F P
0 g
s
.702 .762 .899 r
.11711 .33989 m .11821 .34819 L p .13077 .33985 L F P
0 g
s
.711 .768 .897 r
.15223 .33494 m .13275 .33876 L p .13243 .34597 L F P
0 g
s
.711 .768 .897 r
.13275 .33876 m .13183 .33894 L p .13183 .33896 L F P
0 g
s
.711 .768 .897 r
.13243 .34597 m .13275 .33876 L .13183 .33896 L F
.694 .521 .649 r
.15028 .32334 m .13186 .32717 L .1316 .33573 L p F P
0 g
s
.688 .517 .649 r
.11711 .33989 m .13181 .33896 L p .13125 .33493 L F P
0 g
s
.688 .517 .649 r
.13213 .33889 m .13021 .32734 L p .13181 .33896 L F P
0 g
s
.702 .762 .899 r
.13181 .33896 m .11711 .33989 L p .13077 .33985 L F P
0 g
s
.694 .521 .649 r
.1316 .33573 m .13151 .339 L p .13263 .33806 L F P
0 g
s
.694 .521 .649 r
.13263 .33806 m .15028 .32334 L .1316 .33573 L F
.688 .517 .649 r
.12859 .32889 m .13125 .33493 L .13021 .32734 L F
.11711 .33989 m .13125 .33493 L .12859 .32889 L F
.13181 .33896 m .13214 .33894 L .13213 .33889 L p F P
0 g
s
.711 .768 .897 r
.13153 .3392 m .13243 .34597 L p .13183 .33894 L F P
0 g
s
.702 .762 .899 r
.13214 .33894 m .13181 .33896 L p .13077 .33985 L F P
0 g
s
.711 .768 .897 r
.13183 .33894 m .13151 .339 L .13153 .3392 L p F P
0 g
s
.711 .768 .897 r
.13243 .34597 m .15451 .34178 L .15223 .33494 L p F P
0 g
s
.663 .743 .909 r
.2365 .44399 m .13151 .44399 L .13243 .4507 L p F P
0 g
s
.663 .743 .909 r
.13243 .4507 m .23716 .4507 L .2365 .44399 L p F P
0 g
s
.673 .726 .89 r
.13151 .02403 m .02652 .02403 L .0277 .03179 L p F P
0 g
s
.673 .726 .89 r
.0277 .03179 m .13243 .03179 L .13151 .02403 L p F P
0 g
s
.671 .73 .894 r
.13151 .12902 m .02652 .12902 L .0277 .13652 L p F P
0 g
s
.671 .73 .894 r
.0277 .13652 m .13243 .13652 L .13151 .12902 L p F P
0 g
s
.668 .734 .899 r
.13151 .23401 m .02652 .23401 L .0277 .24124 L p F P
0 g
s
.668 .734 .899 r
.0277 .24124 m .13243 .24124 L .13151 .23401 L p F P
0 g
s
.603 .694 .907 r
.13087 .44393 m .10594 .43686 L .10658 .44495 L p F P
0 g
s
.603 .694 .907 r
.10658 .44495 m .13039 .4505 L .13087 .44393 L p F P
0 g
s
.612 .696 .904 r
.04597 .34294 m .02652 .339 L .0277 .34597 L p F P
0 g
s
.612 .696 .904 r
.0277 .34597 m .0457 .34975 L .04597 .34294 L p F P
0 g
s
.702 .762 .899 r
.11821 .34819 m .13448 .34577 L .13214 .33894 L p F P
0 g
s
.863 .827 .811 r
.10307 .35698 m .11821 .34819 L .11711 .33989 L p F P
0 g
s
.73 .807 .913 r
.06061 .43107 m .04724 .43994 L .04979 .44651 L p F P
0 g
s
.73 .807 .913 r
.04979 .44651 m .06941 .43413 L .06061 .43107 L p F P
0 g
s
.71 .772 .901 r
.04724 .43994 m .02652 .44399 L .0277 .4507 L p F P
0 g
s
.71 .772 .901 r
.0277 .4507 m .04979 .44651 L .04724 .43994 L p F P
0 g
s
.697 .663 .813 r
.7103 .09131 m .69875 .11082 L .69096 .10194 L p F P
0 g
s
.697 .665 .815 r
.60526 .19636 m .59398 .21559 L .5861 .2068 L p F P
0 g
s
.602 .466 .668 r
.28472 .26878 m .27608 .25133 L .28095 .24063 L p F P
0 g
s
.6 .464 .668 r
.17967 .26878 m .17131 .25133 L .17609 .24063 L p F P
0 g
s
.803 .626 .661 r
.93357 .35646 m .92623 .36883 L .91511 .36667 L p F P
0 g
s
.803 .626 .661 r
.91511 .36667 m .92516 .34861 L .93357 .35646 L p F P
0 g
s
.802 .625 .662 r
.8288 .25169 m .82121 .26381 L .80999 .26155 L p F P
0 g
s
.802 .625 .662 r
.80999 .26155 m .8203 .24375 L .8288 .25169 L p F P
0 g
s
.802 .625 .662 r
.72403 .04215 m .71619 .05378 L .70487 .05131 L p F P
0 g
s
.802 .625 .662 r
.70487 .05131 m .71544 .03403 L .72403 .04215 L p F P
0 g
s
.8 .624 .663 r
.61926 .14692 m .61117 .1588 L .59975 .15643 L p F P
0 g
s
.8 .624 .663 r
.59975 .15643 m .61058 .13889 L .61926 .14692 L p F P
0 g
s
.799 .624 .664 r
.51449 .14692 m .50616 .1588 L .49463 .15643 L p F P
0 g
s
.799 .624 .664 r
.49463 .15643 m .50572 .13889 L .51449 .14692 L p F P
0 g
s
.798 .623 .665 r
.40972 .14692 m .40114 .1588 L .38952 .15643 L p F P
0 g
s
.798 .623 .665 r
.38952 .15643 m .40086 .13889 L .40972 .14692 L p F P
0 g
s
.704 .689 .833 r
.29956 .31822 m .28975 .304 L .30108 .30178 L p F P
0 g
s
.704 .689 .833 r
.30108 .30178 m .31011 .31322 L .29956 .31822 L p F P
0 g
s
.704 .689 .833 r
.19479 .31822 m .18473 .304 L .19596 .30178 L p F P
0 g
s
.704 .689 .833 r
.19596 .30178 m .20525 .31322 L .19479 .31822 L p F P
0 g
s
.793 .621 .667 r
.09541 .35646 m .08608 .36883 L .07416 .36667 L p F P
0 g
s
.793 .621 .667 r
.07416 .36667 m .08628 .34861 L .09541 .35646 L p F P
0 g
s
.763 .632 .716 r
.91111 .38679 m .91511 .36667 L .92623 .36883 L p F P
0 g
s
0 0 0 r
.92516 .34861 m .91511 .36667 L .91641 .36709 L p F P
0 g
s
0 0 0 r
.91641 .36709 m .92947 .34424 L .92516 .34861 L p F P
0 g
s
0 0 0 r
.8203 .24375 m .80999 .26155 L .81096 .26165 L p F P
0 g
s
0 0 0 r
.81096 .26165 m .82432 .23909 L .8203 .24375 L p F P
0 g
s
0 0 0 r
.71544 .03403 m .70487 .05131 L .70551 .05075 L p F P
0 g
s
0 0 0 r
.70551 .05075 m .71917 .02879 L .71544 .03403 L p F P
0 g
s
0 0 0 r
.61058 .13889 m .59975 .15643 L .60007 .1562 L p F P
0 g
s
0 0 0 r
.60007 .1562 m .61402 .13394 L .61058 .13889 L p F P
0 g
s
.599 .8 .384 r
.50572 .13889 m .49463 .15643 L .49462 .1562 L p F P
0 g
s
.599 .8 .384 r
.49462 .1562 m .50887 .13394 L .50572 .13889 L p F P
0 g
s
.659 .848 .445 r
.40086 .13889 m .38952 .15643 L .38917 .1562 L p F P
0 g
s
.659 .848 .445 r
.38917 .1562 m .40372 .13394 L .40086 .13889 L p F P
0 g
s
.735 .277 0 r
.31011 .31322 m .30108 .30178 L .30046 .302 L p F P
0 g
s
.735 .277 0 r
.30046 .302 m .31271 .31814 L .31011 .31322 L p F P
0 g
s
.775 .318 0 r
.20525 .31322 m .19596 .30178 L .19501 .302 L p F P
0 g
s
.775 .318 0 r
.19501 .302 m .20756 .31814 L .20525 .31322 L p F P
0 g
s
.748 .912 .539 r
.08628 .34861 m .07416 .36667 L .07283 .36709 L p F P
0 g
s
.748 .912 .539 r
.07283 .36709 m .08827 .34424 L .08628 .34861 L p F P
0 g
s
.697 .663 .813 r
.69096 .10194 m .69974 .08611 L .7103 .09131 L p F P
0 g
s
.762 .631 .716 r
.71619 .05378 m .7122 .07387 L .70087 .07143 L p F P
0 g
s
.765 .622 .701 r
.69974 .08611 m .70087 .07143 L .7122 .07387 L p F P
0 g
s
0 0 0 r
.69974 .08611 m .69594 .09297 L p .69668 .09052 L F P
0 g
s
0 0 0 r
.69096 .10194 m .68681 .10471 L p .69668 .09052 L F P
0 g
s
0 0 0 r
.69594 .09297 m .69096 .10194 L p .69668 .09052 L F P
0 g
s
0 0 0 r
.68681 .10471 m .69716 .0904 L .69974 .08611 L p F P
0 g
s
0 0 0 r
.70087 .07143 m .69974 .08611 L .69716 .0904 L p F P
0 g
s
0 0 0 r
.7015 .07093 m .70087 .07143 L p .69799 .08615 L F P
0 g
s
0 0 0 r
.69716 .0904 m .69843 .08467 L p .69799 .08615 L F P
0 g
s
0 0 0 r
.69843 .08467 m .7015 .07093 L p .69799 .08615 L F P
0 g
s
.455 .84 .617 r
.68681 .10471 m .69096 .10194 L p .67634 .11241 L F P
0 g
s
.606 .52 .731 r
.68681 .10471 m .69205 .11535 L p .69554 .09828 L F P
0 g
s
.606 .52 .731 r
.69716 .0904 m .68681 .10471 L p .69554 .09828 L F P
0 g
s
.455 .84 .617 r
.67473 .11356 m .68681 .10471 L p .67634 .11241 L F P
0 g
s
.697 .665 .815 r
.5861 .2068 m .5946 .19124 L .60526 .19636 L p F P
0 g
s
.761 .631 .716 r
.61117 .1588 m .60718 .17889 L .59575 .17655 L p F P
0 g
s
.764 .621 .701 r
.5946 .19124 m .59575 .17655 L .60718 .17889 L p F P
0 g
s
0 0 0 r
.5946 .19124 m .59092 .19798 L p .59154 .19566 L F P
0 g
s
0 0 0 r
.5861 .2068 m .58166 .20986 L p .59154 .19566 L F P
0 g
s
0 0 0 r
.59092 .19798 m .5861 .2068 L p .59154 .19566 L F P
0 g
s
0 0 0 r
.58166 .20986 m .59173 .19583 L .5946 .19124 L p F P
0 g
s
0 0 0 r
.59575 .17655 m .5946 .19124 L .59173 .19583 L p F P
0 g
s
0 0 0 r
.59605 .17637 m .59575 .17655 L p .59263 .19152 L F P
0 g
s
0 0 0 r
.59173 .19583 m .593 .19011 L p .59263 .19152 L F P
0 g
s
0 0 0 r
.593 .19011 m .59605 .17637 L p .59263 .19152 L F P
0 g
s
.439 .827 .601 r
.58166 .20986 m .5861 .2068 L p .57145 .21729 L F P
0 g
s
.604 .519 .732 r
.58166 .20986 m .58681 .22059 L p .59017 .20365 L F P
0 g
s
.604 .519 .732 r
.59173 .19583 m .58166 .20986 L p .59017 .20365 L F P
0 g
s
.439 .827 .601 r
.56984 .21845 m .58166 .20986 L p .57145 .21729 L F P
0 g
s
.602 .466 .668 r
.28095 .24063 m .29026 .25581 L p .28472 .26878 L F P
0 g
s
.602 .466 .668 r
.29186 .2622 m .28472 .26878 L p .29026 .25581 L F P
0 g
s
.647 .538 .716 r
.28975 .304 m .28576 .28391 L .29708 .28167 L p F P
0 g
s
.648 .542 .721 r
.28576 .28391 m .28472 .26878 L .29334 .26084 L p F P
0 g
s
.648 .542 .721 r
.29334 .26084 m .29708 .28167 L .28576 .28391 L p F P
0 g
s
.814 .518 0 r
.28962 .25622 m .29644 .28182 L .29675 .28175 L p F P
0 g
s
.814 .518 0 r
.29675 .28175 m .29708 .28167 L p .29471 .2736 L F P
0 g
s
.814 .518 0 r
.28962 .25622 m .29675 .28175 L .29471 .2736 L F
.602 .466 .668 r
.29026 .25581 m .29334 .26084 L .29186 .2622 L p F P
0 g
s
.606 .147 0 r
.29334 .26084 m .28095 .24063 L .27566 .23753 L p F P
0 g
s
.43 0 0 r
.25848 .22644 m .27566 .23753 L .28095 .24063 L p F P
0 g
s
.6 .464 .668 r
.17609 .24063 m .18519 .25581 L p .17967 .26878 L F P
0 g
s
.6 .464 .668 r
.18673 .2622 m .17967 .26878 L p .18519 .25581 L F P
0 g
s
.648 .542 .721 r
.18074 .28391 m .17967 .26878 L .1882 .26084 L p F P
0 g
s
.648 .542 .721 r
.1882 .26084 m .19196 .28167 L .18074 .28391 L p F P
0 g
s
.863 .562 .036 r
.18419 .25622 m .19099 .28182 L .19147 .28175 L p F P
0 g
s
.863 .562 .036 r
.19147 .28175 m .19196 .28167 L p .1895 .2736 L F P
0 g
s
.863 .562 .036 r
.18419 .25622 m .19147 .28175 L .1895 .2736 L F
.6 .464 .668 r
.18519 .25581 m .1882 .26084 L .18673 .2622 L p F P
0 g
s
.659 .193 0 r
.1882 .26084 m .17609 .24063 L .17051 .23753 L p F P
0 g
s
.467 0 0 r
.15359 .22644 m .17051 .23753 L .17609 .24063 L p F P
0 g
s
.713 .536 .649 r
.97264 .43223 m .95321 .42791 L .94563 .43686 L p F P
0 g
s
.689 .518 .651 r
.96933 .32734 m .94846 .33102 L .95681 .33989 L p F P
0 g
s
.744 .517 .585 r
.94846 .33102 m .92947 .34424 L .94059 .34943 L p F P
0 g
s
.744 .517 .585 r
.94059 .34943 m .95681 .33989 L .94846 .33102 L p F P
0 g
s
.716 .539 .649 r
.88782 .33133 m .86609 .32717 L .86635 .33573 L p F P
0 g
s
.716 .539 .649 r
.86635 .33573 m .86644 .339 L p .86698 .33881 L F P
0 g
s
.716 .539 .649 r
.86698 .33881 m .88782 .33133 L .86635 .33573 L F
.713 .536 .648 r
.84067 .3319 m .86581 .33894 L .86635 .33573 L p F P
0 g
s
.713 .536 .648 r
.86635 .33573 m .86775 .32734 L p .86472 .32785 L F P
0 g
s
.713 .536 .648 r
.84067 .3319 m .86635 .33573 L .86472 .32785 L F
.86775 .32734 m .84834 .32303 L .84067 .3319 L p F P
0 g
s
.689 .517 .65 r
.86444 .22245 m .84359 .22614 L .85185 .23493 L p F P
0 g
s
.745 .516 .584 r
.84359 .22614 m .82432 .23909 L .83535 .24419 L p F P
0 g
s
.745 .516 .584 r
.83535 .24419 m .85185 .23493 L .84359 .22614 L p F P
0 g
s
.688 .516 .649 r
.75955 .01267 m .73872 .0164 L .74689 .02501 L p F P
0 g
s
.745 .514 .58 r
.73872 .0164 m .71917 .02879 L .73011 .03371 L p F P
0 g
s
.745 .514 .58 r
.73011 .03371 m .74689 .02501 L .73872 .0164 L p F P
0 g
s
.688 .517 .649 r
.65466 .11756 m .63384 .12127 L .64192 .12997 L p F P
0 g
s
.745 .516 .584 r
.63384 .12127 m .61402 .13394 L .62487 .13895 L p F P
0 g
s
.745 .516 .584 r
.62487 .13895 m .64192 .12997 L .63384 .12127 L p F P
0 g
s
.688 .516 .649 r
.54977 .11756 m .52897 .12127 L .53696 .12997 L p F P
0 g
s
.744 .516 .584 r
.52897 .12127 m .50887 .13394 L .51963 .13895 L p F P
0 g
s
.744 .516 .584 r
.51963 .13895 m .53696 .12997 L .52897 .12127 L p F P
0 g
s
.688 .516 .649 r
.44488 .11756 m .4241 .12127 L .432 .12997 L p F P
0 g
s
.744 .517 .585 r
.4241 .12127 m .40372 .13394 L .41439 .13895 L p F P
0 g
s
.744 .517 .585 r
.41439 .13895 m .432 .12997 L .4241 .12127 L p F P
0 g
s
.7 .524 .646 r
.3433 .32734 m .32865 .32616 L .32343 .33696 L p F P
0 g
s
.798 .645 .693 r
.32865 .32616 m .31271 .31814 L .30374 .3262 L p F P
0 g
s
.798 .645 .693 r
.30374 .3262 m .32343 .33696 L .32865 .32616 L p F P
0 g
s
.682 .512 .65 r
.33999 .22245 m .31455 .22927 L .31947 .23999 L p F P
0 g
s
.797 .645 .693 r
.22378 .32616 m .20756 .31814 L .1985 .3262 L p F P
0 g
s
.797 .645 .693 r
.1985 .3262 m .21847 .33696 L .22378 .32616 L p F P
0 g
s
.682 .512 .65 r
.2351 .22245 m .20968 .22927 L .2145 .23999 L p F P
0 g
s
.688 .517 .649 r
.13021 .32734 m .10948 .33102 L .11711 .33989 L p F P
0 g
s
.743 .52 .592 r
.10948 .33102 m .08827 .34424 L .09866 .34943 L p F P
0 g
s
.743 .52 .592 r
.09866 .34943 m .11711 .33989 L .10948 .33102 L p F P
0 g
s
.713 .536 .649 r
.94563 .43686 m .9708 .44393 L .97264 .43223 L p F P
0 g
s
.689 .518 .651 r
.95681 .33989 m .97207 .33894 L .96933 .32734 L p F P
0 g
s
.705 .529 .647 r
.97098 .22228 m .86609 .22228 L .86635 .23077 L p F P
0 g
s
.689 .517 .65 r
.85185 .23493 m .86686 .23396 L p .86444 .22245 L F P
0 g
s
.689 .517 .65 r
.86635 .23077 m .86444 .22245 L p .86686 .23396 L F P
0 g
s
.705 .529 .647 r
.86635 .23077 m .86644 .23401 L p .86686 .23397 L F P
0 g
s
.705 .529 .647 r
.86686 .23397 m .97098 .22228 L .86635 .23077 L F
.689 .517 .65 r
.86686 .23396 m .86708 .23395 L .86635 .23077 L p F P
0 g
s
.705 .528 .646 r
.86609 .0125 m .7612 .0125 L .76138 .02084 L p F P
0 g
s
.688 .516 .649 r
.74689 .02501 m .76187 .02398 L p .75955 .01267 L F P
0 g
s
.688 .516 .649 r
.76138 .02084 m .75955 .01267 L p .76187 .02398 L F P
0 g
s
.705 .528 .646 r
.76138 .02084 m .76145 .02403 L p .76187 .02398 L F P
0 g
s
.705 .528 .646 r
.76187 .02398 m .86609 .0125 L .76138 .02084 L F
.688 .516 .649 r
.76187 .02398 m .76209 .02397 L .76138 .02084 L p F P
0 g
s
.705 .529 .648 r
.44653 .32717 m .34546 .32717 L p .34149 .339 L F P
0 g
s
.7 .524 .646 r
.32343 .33696 m .3401 .33885 L p .3433 .32734 L F P
0 g
s
.7 .524 .646 r
.34153 .33573 m .3433 .32734 L p .3401 .33885 L F P
0 g
s
.705 .529 .648 r
.34546 .32717 m .34164 .32717 L .34153 .33573 L p F P
0 g
s
.705 .529 .648 r
.34153 .33573 m .34149 .339 L p .34546 .32717 L F P
0 g
s
.7 .524 .646 r
.3401 .33885 m .34086 .33894 L .34153 .33573 L p F P
0 g
s
.694 .522 .65 r
.88451 .42823 m .86609 .43206 L .86644 .44399 L p F P
0 g
s
.716 .539 .648 r
.78293 .22644 m .7612 .22228 L .76145 .23401 L p F P
0 g
s
.694 .521 .649 r
.77962 .32334 m .7612 .32717 L .76145 .339 L p F P
0 g
s
.716 .538 .647 r
.67804 .01666 m .65631 .0125 L .65646 .02403 L p F P
0 g
s
.716 .539 .648 r
.36337 .12155 m .34164 .11739 L .34149 .12902 L p F P
0 g
s
.716 .539 .649 r
.15359 .22644 m .13186 .22228 L .13151 .23401 L p F P
0 g
s
.716 .539 .649 r
.0487 .33133 m .02697 .32717 L .02652 .339 L p F P
0 g
s
.694 .521 .649 r
.04539 .42823 m .02697 .43206 L .02652 .44399 L p F P
0 g
s
.705 .528 .646 r
.97098 .0125 m .86609 .0125 L .86644 .02403 L p F P
0 g
s
.705 .528 .647 r
.97098 .11739 m .86609 .11739 L .86644 .12902 L p F P
0 g
s
.716 .539 .649 r
.86644 .339 m .8859 .34294 L .88782 .33133 L p F P
0 g
s
.591 .482 .698 r
.89711 .42016 m .88451 .42823 L .88717 .43994 L p F P
0 g
s
.694 .522 .65 r
.86644 .44399 m .88717 .43994 L .88451 .42823 L p F P
0 g
s
.716 .539 .648 r
.76145 .23401 m .78091 .23795 L .78293 .22644 L p F P
0 g
s
.589 .48 .698 r
.79196 .31501 m .77962 .32334 L .78218 .33494 L p F P
0 g
s
.694 .521 .649 r
.76145 .339 m .78218 .33494 L .77962 .32334 L p F P
0 g
s
.705 .529 .648 r
.86609 .43206 m .7612 .43206 L .76145 .44399 L p F P
0 g
s
.716 .538 .647 r
.65646 .02403 m .67592 .02796 L .67804 .01666 L p F P
0 g
s
.587 .478 .697 r
.68681 .10471 m .67473 .11356 L .67718 .12496 L p F P
0 g
s
.694 .52 .648 r
.65646 .12902 m .67718 .12496 L .67473 .11356 L p F P
0 g
s
.705 .529 .648 r
.7612 .32717 m .65631 .32717 L .65646 .339 L p F P
0 g
s
.705 .529 .648 r
.7612 .43206 m .65631 .43206 L .65646 .44399 L p F P
0 g
s
.705 .528 .646 r
.65631 .0125 m .55142 .0125 L .55147 .02403 L p F P
0 g
s
.585 .476 .697 r
.58166 .20986 m .56984 .21845 L .57219 .22995 L p F P
0 g
s
.694 .521 .649 r
.55147 .23401 m .57219 .22995 L .56984 .21845 L p F P
0 g
s
.705 .529 .648 r
.65631 .32717 m .55142 .32717 L .55147 .339 L p F P
0 g
s
.705 .529 .648 r
.65631 .43206 m .55142 .43206 L .55147 .44399 L p F P
0 g
s
.705 .528 .646 r
.55142 .0125 m .44653 .0125 L .44648 .02403 L p F P
0 g
s
.694 .52 .648 r
.44648 .23401 m .4672 .22995 L .46495 .21845 L p F P
0 g
s
.705 .529 .648 r
.55142 .32717 m .44653 .32717 L .44648 .339 L p F P
0 g
s
.705 .529 .648 r
.55142 .43206 m .44653 .43206 L .44648 .44399 L p F P
0 g
s
.705 .528 .646 r
.44653 .0125 m .34164 .0125 L .34149 .02403 L p F P
0 g
s
.716 .539 .648 r
.34149 .12902 m .36095 .13295 L .36337 .12155 L p F P
0 g
s
.694 .52 .648 r
.34149 .23401 m .36221 .22995 L .36006 .21845 L p F P
0 g
s
.705 .529 .648 r
.44653 .43206 m .34164 .43206 L .34149 .44399 L p F P
0 g
s
.705 .528 .646 r
.34164 .0125 m .23675 .0125 L .2365 .02403 L p F P
0 g
s
.705 .528 .647 r
.34164 .11739 m .23675 .11739 L .2365 .12902 L p F P
0 g
s
.639 .425 .576 r
.27566 .23753 m .25848 .22644 L .25595 .23795 L p F P
0 g
s
.694 .521 .649 r
.2365 .339 m .25722 .33494 L .25517 .32334 L p F P
0 g
s
.705 .529 .648 r
.34164 .43206 m .23675 .43206 L .2365 .44399 L p F P
0 g
s
.705 .528 .646 r
.23675 .0125 m .13186 .0125 L .13151 .02403 L p F P
0 g
s
.705 .528 .647 r
.23675 .11739 m .13186 .11739 L .13151 .12902 L p F P
0 g
s
.638 .423 .575 r
.17051 .23753 m .15359 .22644 L .15096 .23795 L p F P
0 g
s
.716 .539 .649 r
.13151 .23401 m .15096 .23795 L .15359 .22644 L p F P
0 g
s
.694 .521 .649 r
.13151 .339 m .15223 .33494 L .15028 .32334 L p F P
0 g
s
.705 .528 .646 r
.13186 .0125 m .02697 .0125 L .02652 .02403 L p F P
0 g
s
.705 .528 .647 r
.13186 .11739 m .02697 .11739 L .02652 .12902 L p F P
0 g
s
.705 .529 .647 r
.13186 .22228 m .02697 .22228 L .02652 .23401 L p F P
0 g
s
.716 .539 .649 r
.02652 .339 m .04597 .34294 L .0487 .33133 L p F P
0 g
s
.694 .521 .649 r
.02652 .44399 m .04724 .43994 L .04539 .42823 L p F P
0 g
s
.705 .528 .646 r
.86644 .02403 m .97144 .02403 L .97098 .0125 L p F P
0 g
s
.705 .528 .647 r
.86644 .12902 m .97144 .12902 L .97098 .11739 L p F P
0 g
s
.705 .528 .647 r
.76145 .12902 m .86644 .12902 L .86609 .11739 L p F P
0 g
s
.705 .529 .648 r
.76145 .44399 m .86644 .44399 L .86609 .43206 L p F P
0 g
s
.705 .529 .647 r
.65646 .23401 m .76145 .23401 L .7612 .22228 L p F P
0 g
s
.705 .529 .648 r
.65646 .339 m .76145 .339 L .7612 .32717 L p F P
0 g
s
.705 .529 .648 r
.65646 .44399 m .76145 .44399 L .7612 .43206 L p F P
0 g
s
.705 .528 .646 r
.55147 .02403 m .65646 .02403 L .65631 .0125 L p F P
0 g
s
.705 .529 .648 r
.55147 .339 m .65646 .339 L .65631 .32717 L p F P
0 g
s
.705 .529 .648 r
.55147 .44399 m .65646 .44399 L .65631 .43206 L p F P
0 g
s
.705 .528 .646 r
.44648 .02403 m .55147 .02403 L .55142 .0125 L p F P
0 g
s
.705 .529 .648 r
.44648 .339 m .55147 .339 L .55142 .32717 L p F P
0 g
s
.705 .529 .648 r
.44648 .44399 m .55147 .44399 L .55142 .43206 L p F P
0 g
s
.705 .528 .646 r
.34149 .02403 m .44648 .02403 L .44653 .0125 L p F P
0 g
s
.705 .529 .648 r
.34149 .339 m .44648 .339 L .44653 .32717 L p F P
0 g
s
.705 .529 .648 r
.34149 .44399 m .44648 .44399 L .44653 .43206 L p F P
0 g
s
.705 .528 .646 r
.2365 .02403 m .34149 .02403 L .34164 .0125 L p F P
0 g
s
.705 .528 .647 r
.2365 .12902 m .34149 .12902 L .34164 .11739 L p F P
0 g
s
.705 .529 .648 r
.2365 .44399 m .34149 .44399 L .34164 .43206 L p F P
0 g
s
.705 .528 .646 r
.13151 .02403 m .2365 .02403 L .23675 .0125 L p F P
0 g
s
.705 .528 .647 r
.13151 .12902 m .2365 .12902 L .23675 .11739 L p F P
0 g
s
.705 .529 .648 r
.13151 .44399 m .2365 .44399 L .23675 .43206 L p F P
0 g
s
.705 .528 .646 r
.02652 .02403 m .13151 .02403 L .13186 .0125 L p F P
0 g
s
.705 .528 .647 r
.02652 .12902 m .13151 .12902 L .13186 .11739 L p F P
0 g
s
.705 .529 .647 r
.02652 .23401 m .13151 .23401 L .13186 .22228 L p F P
0 g
s
.888 .882 .822 r
.95681 .33989 m .94059 .34943 L .9431 .35698 L p F P
0 g
s
.882 .869 .82 r
.85185 .23493 m .83535 .24419 L .8381 .25198 L p F P
0 g
s
.874 .851 .817 r
.74689 .02501 m .73011 .03371 L .73309 .04197 L p F P
0 g
s
.873 .849 .816 r
.64192 .12997 m .62487 .13895 L .62809 .14697 L p F P
0 g
s
.87 .842 .815 r
.53696 .12997 m .51963 .13895 L .52308 .14697 L p F P
0 g
s
.867 .836 .813 r
.432 .12997 m .41439 .13895 L .41808 .14697 L p F P
0 g
s
.569 .668 .906 r
.32343 .33696 m .30374 .3262 L .29561 .32623 L p F P
0 g
s
.567 .669 .907 r
.21847 .33696 m .1985 .3262 L .19061 .32623 L p F P
0 g
s
.863 .827 .811 r
.11711 .33989 m .09866 .34943 L .10307 .35698 L p F P
0 g
s
.591 .482 .698 r
.88717 .43994 m .90253 .43107 L .89711 .42016 L p F P
0 g
s
.589 .48 .698 r
.78218 .33494 m .79729 .32583 L .79196 .31501 L p F P
0 g
s
.587 .478 .697 r
.67718 .12496 m .69205 .11535 L .68681 .10471 L p F P
0 g
s
.585 .476 .697 r
.57219 .22995 m .58681 .22059 L .58166 .20986 L p F P
0 g
s
.582 .475 .697 r
.4672 .22995 m .48157 .22059 L .47651 .20986 L p F P
0 g
s
.58 .473 .696 r
.36221 .22995 m .37633 .22059 L .37135 .20986 L p F P
0 g
s
.639 .425 .576 r
.25595 .23795 m .26748 .24634 L .27566 .23753 L p F P
0 g
s
.638 .423 .575 r
.15096 .23795 m .16224 .24634 L .17051 .23753 L p F P
0 g
s
.573 .467 .695 r
.04724 .43994 m .06061 .43107 L .0559 .42016 L p F P
0 g
s
.829 .872 .876 r
.9172 .41485 m .90253 .43107 L .90945 .43413 L p F P
0 g
s
.829 .872 .876 r
.90945 .43413 m .92485 .41468 L .9172 .41485 L p F P
0 g
s
.827 .859 .871 r
.81168 .30933 m .79729 .32583 L .80445 .32913 L p F P
0 g
s
.827 .859 .871 r
.80445 .32913 m .81957 .3094 L .81168 .30933 L p F P
0 g
s
.822 .841 .863 r
.70616 .09829 m .69205 .11535 L .69944 .11912 L p F P
0 g
s
.822 .841 .863 r
.69944 .11912 m .71429 .09883 L .70616 .09829 L p F P
0 g
s
.822 .842 .863 r
.60064 .20381 m .58681 .22059 L .59444 .22412 L p F P
0 g
s
.822 .842 .863 r
.59444 .22412 m .609 .20412 L .60064 .20381 L p F P
0 g
s
.821 .837 .861 r
.49512 .20381 m .48157 .22059 L .48943 .22412 L p F P
0 g
s
.821 .837 .861 r
.48943 .22412 m .50372 .20412 L .49512 .20381 L p F P
0 g
s
.82 .832 .859 r
.3896 .20381 m .37633 .22059 L .38443 .22412 L p F P
0 g
s
.82 .832 .859 r
.38443 .22412 m .39844 .20412 L .3896 .20381 L p F P
0 g
s
.313 .303 .688 r
.27866 .26134 m .26748 .24634 L .26775 .25488 L p F P
0 g
s
.313 .303 .688 r
.26775 .25488 m .27565 .26911 L .27866 .26134 L p F P
0 g
s
.291 .288 .683 r
.17314 .26134 m .16224 .24634 L .16275 .25488 L p F P
0 g
s
.291 .288 .683 r
.16275 .25488 m .17036 .26911 L .17314 .26134 L p F P
0 g
s
.819 .83 .857 r
.07304 .41485 m .06061 .43107 L .06941 .43413 L p F P
0 g
s
.819 .83 .857 r
.06941 .43413 m .08259 .41468 L .07304 .41485 L p F P
0 g
s
.944 .836 .707 r
.93444 .3706 m .9431 .35698 L .94059 .34943 L p F P
0 g
s
.936 .826 .711 r
.82916 .26532 m .8381 .25198 L .83535 .24419 L p F P
0 g
s
.927 .816 .715 r
.72387 .05475 m .73309 .04197 L .73011 .03371 L p F P
0 g
s
.923 .81 .717 r
.61859 .16003 m .62809 .14697 L .62487 .13895 L p F P
0 g
s
.917 .804 .719 r
.51331 .16003 m .52308 .14697 L .51963 .13895 L p F P
0 g
s
.912 .797 .721 r
.40802 .16003 m .41808 .14697 L .41439 .13895 L p F P
0 g
s
.475 .552 .855 r
.28209 .30561 m .29561 .32623 L .30374 .3262 L p F P
0 g
s
.468 .55 .857 r
.1768 .30561 m .19061 .32623 L .1985 .3262 L p F P
0 g
s
.899 .783 .724 r
.09217 .3706 m .10307 .35698 L .09866 .34943 L p F P
0 g
s
.763 .632 .716 r
.92623 .36883 m .92223 .38893 L .91111 .38679 L p F P
0 g
s
.766 .622 .701 r
.92223 .38893 m .9204 .40645 L .91002 .40152 L p F P
0 g
s
.765 .622 .701 r
.81721 .28391 m .81535 .3014 L .80488 .29638 L p F P
0 g
s
.765 .622 .701 r
.7122 .07387 m .7103 .09131 L .69974 .08611 L p F P
0 g
s
.764 .621 .701 r
.60718 .17889 m .60526 .19636 L .5946 .19124 L p F P
0 g
s
.761 .631 .716 r
.50616 .1588 m .50216 .17889 L .49063 .17655 L p F P
0 g
s
.764 .621 .701 r
.50216 .17889 m .50021 .19636 L .48947 .19124 L p F P
0 g
s
.764 .621 .701 r
.48947 .19124 m .49063 .17655 L .50216 .17889 L p F P
0 g
s
.761 .63 .716 r
.40114 .1588 m .39714 .17889 L .38551 .17655 L p F P
0 g
s
.763 .62 .701 r
.39714 .17889 m .39516 .19636 L .38433 .19124 L p F P
0 g
s
.763 .62 .701 r
.38433 .19124 m .38551 .17655 L .39714 .17889 L p F P
0 g
s
.647 .538 .716 r
.18473 .304 m .18074 .28391 L .19196 .28167 L p F P
0 g
s
.76 .629 .716 r
.08608 .36883 m .08209 .38893 L .07016 .38679 L p F P
0 g
s
.762 .619 .701 r
.08209 .38893 m .08002 .40645 L .06892 .40152 L p F P
0 g
s
.762 .619 .701 r
.06892 .40152 m .07016 .38679 L .08209 .38893 L p F P
0 g
s
.762 .632 .716 r
.80599 .28167 m .80999 .26155 L .82121 .26381 L p F P
0 g
s
.762 .631 .716 r
.70087 .07143 m .70487 .05131 L .71619 .05378 L p F P
0 g
s
.761 .631 .716 r
.59575 .17655 m .59975 .15643 L .61117 .1588 L p F P
0 g
s
.761 .631 .716 r
.49063 .17655 m .49463 .15643 L .50616 .1588 L p F P
0 g
s
.761 .63 .716 r
.38551 .17655 m .38952 .15643 L .40114 .1588 L p F P
0 g
s
.647 .538 .716 r
.29708 .28167 m .30108 .30178 L .28975 .304 L p F P
0 g
s
.647 .538 .716 r
.19196 .28167 m .19596 .30178 L .18473 .304 L p F P
0 g
s
.76 .629 .716 r
.07016 .38679 m .07416 .36667 L .08608 .36883 L p F P
0 g
s
0 0 .156 r
.91511 .36667 m .91111 .38679 L .9124 .38727 L p F P
0 g
s
0 0 .156 r
.9124 .38727 m .91641 .36709 L .91511 .36667 L p F P
0 g
s
0 0 .078 r
.80999 .26155 m .80599 .28167 L .80695 .28182 L p F P
0 g
s
0 0 .078 r
.80695 .28182 m .81096 .26165 L .80999 .26155 L p F P
0 g
s
0 0 0 r
.70487 .05131 m .70087 .07143 L .7015 .07093 L p F P
0 g
s
0 0 0 r
.7015 .07093 m .70551 .05075 L .70487 .05131 L p F P
0 g
s
0 0 0 r
.59975 .15643 m .59575 .17655 L .59605 .17637 L p F P
0 g
s
0 0 0 r
.59605 .17637 m .60007 .1562 L .59975 .15643 L p F P
0 g
s
.708 .69 .152 r
.49463 .15643 m .49063 .17655 L .4906 .17637 L p F P
0 g
s
.708 .69 .152 r
.4906 .17637 m .49462 .1562 L .49463 .15643 L p F P
0 g
s
.775 .745 .224 r
.38952 .15643 m .38551 .17655 L .38516 .17637 L p F P
0 g
s
.775 .745 .224 r
.38516 .17637 m .38917 .1562 L .38952 .15643 L p F P
0 g
s
.824 .562 .01 r
.30108 .30178 m .29708 .28167 L .29644 .28182 L p F P
0 g
s
.824 .562 .01 r
.29644 .28182 m .30046 .302 L .30108 .30178 L p F P
0 g
s
.873 .605 .08 r
.19596 .30178 m .19196 .28167 L .19099 .28182 L p F P
0 g
s
.873 .605 .08 r
.19099 .28182 m .19501 .302 L .19596 .30178 L p F P
0 g
s
.904 .843 .387 r
.07416 .36667 m .07016 .38679 L .06881 .38727 L p F P
0 g
s
.904 .843 .387 r
.06881 .38727 m .07283 .36709 L .07416 .36667 L p F P
0 g
s
.705 .701 .168 r
.49063 .17655 m .48947 .19124 L .4863 .19583 L p F P
0 g
s
.772 .755 .239 r
.38551 .17655 m .38433 .19124 L .38087 .19583 L p F P
0 g
s
.772 .755 .239 r
.38087 .19583 m .38516 .17637 L .38551 .17655 L p F P
0 g
s
.814 .518 0 r
.29708 .28167 m .29334 .26084 L .28962 .25622 L p F P
0 g
s
.863 .562 .036 r
.19196 .28167 m .1882 .26084 L .18419 .25622 L p F P
0 g
s
.899 .851 .398 r
.07016 .38679 m .06892 .40152 L .06458 .40669 L p F P
0 g
s
.899 .851 .398 r
.06458 .40669 m .06881 .38727 L .07016 .38679 L p F P
0 g
s
.606 .147 0 r
.27566 .23753 m .28962 .25622 L .29334 .26084 L p F P
0 g
s
.659 .193 0 r
.17051 .23753 m .18419 .25622 L .1882 .26084 L p F P
0 g
s
.694 .481 .594 r
.92947 .34424 m .91641 .36709 L .92839 .36953 L p F P
0 g
s
.694 .481 .594 r
.92839 .36953 m .94059 .34943 L .92947 .34424 L p F P
0 g
s
.694 .48 .592 r
.82432 .23909 m .81096 .26165 L .82284 .26398 L p F P
0 g
s
.694 .48 .592 r
.82284 .26398 m .83535 .24419 L .82432 .23909 L p F P
0 g
s
.693 .476 .588 r
.71917 .02879 m .70551 .05075 L .71729 .05288 L p F P
0 g
s
.693 .476 .588 r
.71729 .05288 m .73011 .03371 L .71917 .02879 L p F P
0 g
s
.694 .478 .59 r
.61402 .13394 m .60007 .1562 L .61174 .15843 L p F P
0 g
s
.694 .478 .59 r
.61174 .15843 m .62487 .13895 L .61402 .13394 L p F P
0 g
s
.694 .478 .59 r
.50887 .13394 m .49462 .1562 L .50619 .15843 L p F P
0 g
s
.694 .478 .59 r
.50619 .15843 m .51963 .13895 L .50887 .13394 L p F P
0 g
s
.694 .478 .59 r
.40372 .13394 m .38917 .1562 L .40064 .15843 L p F P
0 g
s
.694 .478 .59 r
.40064 .15843 m .41439 .13895 L .40372 .13394 L p F P
0 g
s
.794 .672 .73 r
.31271 .31814 m .30046 .302 L .28869 .30437 L p F P
0 g
s
.794 .672 .73 r
.28869 .30437 m .30374 .3262 L .31271 .31814 L p F P
0 g
s
.792 .671 .73 r
.20756 .31814 m .19501 .302 L .18314 .30437 L p F P
0 g
s
.792 .671 .73 r
.18314 .30437 m .1985 .3262 L .20756 .31814 L p F P
0 g
s
.694 .481 .594 r
.08827 .34424 m .07283 .36709 L .08399 .36953 L p F P
0 g
s
.694 .481 .594 r
.08399 .36953 m .09866 .34943 L .08827 .34424 L p F P
0 g
s
.694 .468 .575 r
.28962 .25622 m .27566 .23753 L .26748 .24634 L p F P
0 g
s
.694 .468 .575 r
.18419 .25622 m .17051 .23753 L .16224 .24634 L p F P
0 g
s
.608 .521 .731 r
.90253 .43107 m .9172 .41485 L .90802 .40669 L p F P
0 g
s
.607 .521 .731 r
.79729 .32583 m .81168 .30933 L .80259 .30126 L p F P
0 g
s
.606 .52 .731 r
.69205 .11535 m .70616 .09829 L .69716 .0904 L p F P
0 g
s
.604 .519 .732 r
.58681 .22059 m .60064 .20381 L .59173 .19583 L p F P
0 g
s
.603 .518 .732 r
.48157 .22059 m .49512 .20381 L .4863 .19583 L p F P
0 g
s
.601 .517 .732 r
.37633 .22059 m .3896 .20381 L .38087 .19583 L p F P
0 g
s
.694 .468 .575 r
.26748 .24634 m .27866 .26134 L .28962 .25622 L p F P
0 g
s
.694 .468 .575 r
.16224 .24634 m .17314 .26134 L .18419 .25622 L p F P
0 g
s
.595 .514 .733 r
.06061 .43107 m .07304 .41485 L .06458 .40669 L p F P
0 g
s
.944 .836 .707 r
.94059 .34943 m .92839 .36953 L .93444 .3706 L p F P
0 g
s
.936 .826 .711 r
.83535 .24419 m .82284 .26398 L .82916 .26532 L p F P
0 g
s
.927 .816 .715 r
.73011 .03371 m .71729 .05288 L .72387 .05475 L p F P
0 g
s
.923 .81 .717 r
.62487 .13895 m .61174 .15843 L .61859 .16003 L p F P
0 g
s
.917 .804 .719 r
.51963 .13895 m .50619 .15843 L .51331 .16003 L p F P
0 g
s
.912 .797 .721 r
.41439 .13895 m .40064 .15843 L .40802 .16003 L p F P
0 g
s
.475 .552 .855 r
.30374 .3262 m .28869 .30437 L .28209 .30561 L p F P
0 g
s
.468 .55 .857 r
.1985 .3262 m .18314 .30437 L .1768 .30561 L p F P
0 g
s
.899 .783 .724 r
.09866 .34943 m .08399 .36953 L .09217 .3706 L p F P
0 g
s
.916 .798 .715 r
.92437 .38972 m .9172 .41485 L .92485 .41468 L p F P
0 g
s
.916 .798 .715 r
.92485 .41468 m .93043 .39074 L .92437 .38972 L p F P
0 g
s
.909 .79 .717 r
.81882 .28417 m .81168 .30933 L .81957 .3094 L p F P
0 g
s
.909 .79 .717 r
.81957 .3094 m .82515 .28546 L .81882 .28417 L p F P
0 g
s
.902 .782 .719 r
.71327 .07307 m .70616 .09829 L .71429 .09883 L p F P
0 g
s
.902 .782 .719 r
.71429 .09883 m .71987 .07489 L .71327 .07307 L p F P
0 g
s
.898 .777 .72 r
.60772 .17862 m .60064 .20381 L .609 .20412 L p F P
0 g
s
.898 .777 .72 r
.609 .20412 m .61458 .18018 L .60772 .17862 L p F P
0 g
s
.893 .772 .721 r
.50217 .17862 m .49512 .20381 L .50372 .20412 L p F P
0 g
s
.893 .772 .721 r
.50372 .20412 m .5093 .18018 L .50217 .17862 L p F P
0 g
s
.889 .767 .722 r
.39662 .17862 m .3896 .20381 L .39844 .20412 L p F P
0 g
s
.889 .767 .722 r
.39844 .20412 m .40402 .18018 L .39662 .17862 L p F P
0 g
s
.416 .369 .699 r
.28467 .28417 m .27866 .26134 L .27565 .26911 L p F P
0 g
s
.416 .369 .699 r
.27565 .26911 m .27808 .28546 L .28467 .28417 L p F P
0 g
s
.404 .36 .696 r
.17912 .28417 m .17314 .26134 L .17036 .26911 L p F P
0 g
s
.404 .36 .696 r
.17036 .26911 m .1728 .28546 L .17912 .28417 L p F P
0 g
s
.878 .755 .723 r
.07997 .38972 m .07304 .41485 L .08259 .41468 L p F P
0 g
s
.878 .755 .723 r
.08259 .41468 m .08817 .39074 L .07997 .38972 L p F P
0 g
s
.917 .792 .707 r
.92839 .36953 m .92437 .38972 L .93043 .39074 L p F P
0 g
s
.917 .792 .707 r
.93043 .39074 m .93444 .3706 L .92839 .36953 L p F P
0 g
s
.911 .785 .709 r
.82284 .26398 m .81882 .28417 L .82515 .28546 L p F P
0 g
s
.911 .785 .709 r
.82515 .28546 m .82916 .26532 L .82284 .26398 L p F P
0 g
s
.904 .777 .711 r
.71729 .05288 m .71327 .07307 L .71987 .07489 L p F P
0 g
s
.904 .777 .711 r
.71987 .07489 m .72387 .05475 L .71729 .05288 L p F P
0 g
s
.9 .773 .712 r
.61174 .15843 m .60772 .17862 L .61458 .18018 L p F P
0 g
s
.9 .773 .712 r
.61458 .18018 m .61859 .16003 L .61174 .15843 L p F P
0 g
s
.895 .768 .713 r
.50619 .15843 m .50217 .17862 L .5093 .18018 L p F P
0 g
s
.895 .768 .713 r
.5093 .18018 m .51331 .16003 L .50619 .15843 L p F P
0 g
s
.89 .763 .714 r
.40064 .15843 m .39662 .17862 L .40402 .18018 L p F P
0 g
s
.89 .763 .714 r
.40402 .18018 m .40802 .16003 L .40064 .15843 L p F P
0 g
s
.418 .381 .71 r
.28869 .30437 m .28467 .28417 L .27808 .28546 L p F P
0 g
s
.418 .381 .71 r
.27808 .28546 m .28209 .30561 L .28869 .30437 L p F P
0 g
s
.406 .373 .709 r
.18314 .30437 m .17912 .28417 L .1728 .28546 L p F P
0 g
s
.406 .373 .709 r
.1728 .28546 m .1768 .30561 L .18314 .30437 L p F P
0 g
s
.879 .751 .717 r
.08399 .36953 m .07997 .38972 L .08817 .39074 L p F P
0 g
s
.879 .751 .717 r
.08817 .39074 m .09217 .3706 L .08399 .36953 L p F P
0 g
s
.65 .524 .697 r
.9124 .38727 m .90802 .40669 L .9172 .41485 L p F P
0 g
s
.649 .523 .697 r
.80695 .28182 m .80259 .30126 L .81168 .30933 L p F P
0 g
s
.648 .523 .697 r
.7015 .07093 m .69716 .0904 L .70616 .09829 L p F P
0 g
s
.648 .522 .697 r
.59605 .17637 m .59173 .19583 L .60064 .20381 L p F P
0 g
s
.648 .522 .697 r
.4906 .17637 m .4863 .19583 L .49512 .20381 L p F P
0 g
s
.647 .521 .696 r
.38516 .17637 m .38087 .19583 L .3896 .20381 L p F P
0 g
s
.758 .6 .682 r
.29644 .28182 m .28962 .25622 L .27866 .26134 L p F P
0 g
s
.758 .6 .682 r
.19099 .28182 m .18419 .25622 L .17314 .26134 L p F P
0 g
s
.645 .52 .696 r
.06881 .38727 m .06458 .40669 L .07304 .41485 L p F P
0 g
s
.65 .522 .694 r
.91641 .36709 m .9124 .38727 L .92437 .38972 L p F P
0 g
s
.65 .522 .694 r
.92437 .38972 m .92839 .36953 L .91641 .36709 L p F P
0 g
s
.65 .522 .694 r
.81096 .26165 m .80695 .28182 L .81882 .28417 L p F P
0 g
s
.65 .522 .694 r
.81882 .28417 m .82284 .26398 L .81096 .26165 L p F P
0 g
s
.649 .521 .694 r
.70551 .05075 m .7015 .07093 L .71327 .07307 L p F P
0 g
s
.649 .521 .694 r
.71327 .07307 m .71729 .05288 L .70551 .05075 L p F P
0 g
s
.649 .52 .694 r
.60007 .1562 m .59605 .17637 L .60772 .17862 L p F P
0 g
s
.649 .52 .694 r
.60772 .17862 m .61174 .15843 L .60007 .1562 L p F P
0 g
s
.648 .52 .693 r
.49462 .1562 m .4906 .17637 L .50217 .17862 L p F P
0 g
s
.648 .52 .693 r
.50217 .17862 m .50619 .15843 L .49462 .1562 L p F P
0 g
s
.648 .519 .693 r
.38917 .1562 m .38516 .17637 L .39662 .17862 L p F P
0 g
s
.648 .519 .693 r
.39662 .17862 m .40064 .15843 L .38917 .1562 L p F P
0 g
s
.76 .612 .694 r
.30046 .302 m .29644 .28182 L .28467 .28417 L p F P
0 g
s
.76 .612 .694 r
.28467 .28417 m .28869 .30437 L .30046 .302 L p F P
0 g
s
.76 .612 .694 r
.19501 .302 m .19099 .28182 L .17912 .28417 L p F P
0 g
s
.76 .612 .694 r
.17912 .28417 m .18314 .30437 L .19501 .302 L p F P
0 g
s
.646 .518 .693 r
.07283 .36709 m .06881 .38727 L .07997 .38972 L p F P
0 g
s
.646 .518 .693 r
.07997 .38972 m .08399 .36953 L .07283 .36709 L p F P
0 g
s
.65 .524 .697 r
.9172 .41485 m .92437 .38972 L .9124 .38727 L p F P
0 g
s
.649 .523 .697 r
.81168 .30933 m .81882 .28417 L .80695 .28182 L p F P
0 g
s
.648 .523 .697 r
.70616 .09829 m .71327 .07307 L .7015 .07093 L p F P
0 g
s
.648 .522 .697 r
.60064 .20381 m .60772 .17862 L .59605 .17637 L p F P
0 g
s
.648 .522 .697 r
.49512 .20381 m .50217 .17862 L .4906 .17637 L p F P
0 g
s
.647 .521 .696 r
.3896 .20381 m .39662 .17862 L .38516 .17637 L p F P
0 g
s
.758 .6 .682 r
.27866 .26134 m .28467 .28417 L .29644 .28182 L p F P
0 g
s
.758 .6 .682 r
.17314 .26134 m .17912 .28417 L .19099 .28182 L p F P
0 g
s
.645 .52 .696 r
.07304 .41485 m .07997 .38972 L .06881 .38727 L p F P
0 g
s
.25 Mabswid
1 0 m
1 .46354 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 133.438},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000QB000`400?l00000o`00003oo`00000P
00000040oooo003o0000020000000@3oool000030000003oool000000?l0oooo6P3oool00`000000
oooo000000010?ooo`0000<000000?ooo`000000o`3ooolJ0?ooo`030000003oool000000040oooo
00000`000000oooo000000050?oookL00000603ooom0000000D0oooo00<000000?ooo`0000000@3o
ool000030000003oool0000000D0oooo00<000000;B7Y@2dQjD06`2dQjD00`000000]8NU0;B7Y@0K
0;B7Y@030000002dQjD0]8NU01/0]8NU00<000000;B7Y@2dQjD06`2dQjD00`000000]8NU0;B7Y@0K
0;B7Y@030000002dQjD0]8NU01/0]8NU00<000000;N9Y@2gRJD01000000@0?ooo`@000000P2`Q:H2
000001<0]8NU00<0]9k20;B7Y@2dQjD01`2dQjD00`000000]8NU0;B7Y@0K0;B7Y@030000003oool0
oooo00<0oooo00<000000?ooo`0000000@3oool000030000003oool0000000D0oooo00<000000;B7
Y@2dQjD06`2dQjD00`000000]8NU0;B7Y@0K0;B7Y@030000002dQjD0]8NU01/0]8NU00<000000;B7
Y@2dQjD06`2dQjD00`000000]8NU0;B7Y@0K0;B7Y@030000002dQjD0]8NU01/0]8NU00<000000;N9
Y@2gRJD00`2gRJD3000000`0oooo0P0000000`2nPi@00000000000040;24YP030000002dQjD0]8NU
00L0]8NU00<0]9k20;B7Y@2dQjD04@2dQjD00`000000]8NU0;B7Y@0K0;B7Y@030000003oool0oooo
00<0oooo00<000000?ooo`0000000@3oool000030000003oool0000000D0oooo]`0000020;N9Y@04
0000003>Yk40cZNa0<jW/@800000203oool2000000D0_X>D@@0000050?ooo`030000003oool00000
0040oooo00000`000000oooo000000050?ooo`030000002/^N<0[;WS01/0[;WS00<000000:bih`2/
^N<06`2/^N<00`000000[;WS0:bih`0K0:bih`030000002/^N<0[;WS01/0[;WS00<000000:bih`2/
^N<06`2/^N<00`000000[;WS0:bih`0K0:bih`030000002Q[n80XJoR00<00000103>Yk42000000H0
oooo00<000000;j3U02nPi@00`2nPi@3000000<0]<3S7@2/^N<00`000000[;WS0:bih`0K0:bih`03
0000003oool0oooo00@0oooo00<000000?ooo`0000000@3oool000030000003oool0000000D0oooo
]`0000020:6_hP<00000103>Yk400`000000oooo0?ooo`020?ooo`050000002aNIH000000000002n
Pi@00P000000103OfM4000000;C0h`2d`><n000000H0oooo00<000000?ooo`0000000@3oool00003
0000003oool000000;`0oooo0`00000209V`i`040000003>Yk40cZNa0<jW/@8000000`3oool01@00
0000/GVF0;5iUP2aNIH0000000<0gmWA0`0000140?ooo`030000003oool000000040oooo00000`00
0000oooo0000002o0?ooo`030000002I/>L0VK3W00<0000000D0c[:n0000003oool0oooo00000003
0;5iUP80000000<0gmWA000000000000A`3oool00`000000oooo000000010?ooo`0000<000000?oo
o`000000`03oool00`000000VK3W09V`i`0200000080c[:n00<000000?ooo`0000000P2aNIH01000
0000kM2g0>g@]`0000190?ooo`030000003oool000000040oooo00000`000000oooo000000310?oo
o`80000000<0PiCL0000003>/[h00P3>/[h01`000000/GVF0;5iUP2aNIH000000>g@]`000000BP3o
ool00`000000oooo000000010?ooo`0000<000000?ooo`000000`P3oool010000000PiCL08>Dg000
00020<jb_P060000002aNIH0/GVF0000003]d;L00000B`3oool00`000000oooo000000010?ooo`00
00<000000?ooo`000000`P3oool01@000000PiCL08>Dg0000000c[:n00@000000P3]d;L00`000000
oooo0?ooo`190?ooo`030000003oool000000040oooo00000`000000oooo000000330?ooo`030000
0023U=`0PiCL008000000P2VQK43000004`0oooo00<000000?ooo`0000000@3oool000030000003o
ool000000<@0oooo100000020:J5/@030000003Wa[H0000004`0oooo00<000000?ooo`0000000@3o
ool000030000003oool000000<@0oooo00<0000007IW]00000000P2VQK4010000000ilJf0>O6]P00
001<0?ooo`030000003oool000000040oooo00000`000000oooo000000340?ooo`<000000P2VQK40
0`000000ilJf0000001=0?ooo`030000003oool000000040oooo00000`000000oooo000000340?oo
o`@0000000@0YXFa0000003Wa[H00000C@3oool00`000000oooo000000010?ooo`0000<000000?oo
o`000000a03oool3000000030:F5/P000000000000800000C@3oool00`000000oooo000000010?oo
o`0000<000000?ooo`000000a03oool2000000<0YHFb00<000000>K8^0000000C@3oool00`000000
oooo000000010?ooo`0000<000000?ooo`000000a03oool200000080YHFb00<000000>K8^0000000
CP3oool00`000000oooo000000010?ooo`0000<000000?ooo`000000a03oool200000080YHFb00<0
00000>K8^0000000CP3oool00`000000oooo000000010?ooo`0000<000000?ooo`000000a03oool0
1P000000YHFb0:F5/P2UQK8000000>K8^0800000C@3oool00`000000oooo000000010?ooo`0000<0
00000?ooo`000000a03oool01P000000YHFb0:F5/P2UQK8000000>K8^0800000C@3oool00`000000
oooo000000010?ooo`0000<000000?ooo`000000``3oool00`000000VhFk00000002000000040>K8
^00000000000000004d0oooo00<000000?ooo`0000000@3oool000030000003oool000000<80oooo
00<0000009^5^`2KQK/00P2KQK/300000080/WVD00<000000?ooo`3oool0BP3oool00`000000oooo
000000010?ooo`0000<000000?ooo`000000`P3oool01P000000VhFk09^5^`2KQK/000000=;Gg080
00000P2bNI@00`000000oooo0?ooo`1:0?ooo`030000003oool000000040oooo00000`000000oooo
000000310?ooo`050000002KQK/0VhFk09^5^`0000000P3Bem`200000080/WVD0`00001:0?ooo`03
0000003oool000000040oooo00000`000000oooo000000300?ooo`030000002FN[8000000080VhFk
00<000000=;Gg00000000P1^J;/2000000<0ZgNJ0P0000180?ooo`030000003oool000000040oooo
00000`000000oooo0000002n0?ooo`0:07CGW@000000UWZb09Ij/P000000VhFk0000003Bem`00000
0?ooo`80000000<0NH?@0000002[MiX01@2[MiX2000004D0oooo00<000000?ooo`0000000@3oool0
00030000003oool000000;`0oooo0`00000409Ij/P040000003Bem`0d]OL00000080oooo00<00000
07V3d01iPm000P0000030:]gVP030000002fR:D0]XRU0080000000<0oooo0000003oool0@03oool0
0`000000oooo000000010?ooo`0000<000000?ooo`0000001@3ooomM000001P0oooo1P00000H0?oo
o`H00000603oool600000080/HFU00H0000009Ij/P2FN[80UWZb0000002kc>L2000000@0oooo0P00
000207V3d0040000002[MiX00000000000@0]XRU?P0000050?ooo`030000003oool000000040oooo
00000`000000oooo000000050?ooo`030000002dQjD0]8NU01/0]8NU00<000000;B7Y@2dQjD06`2d
QjD00`000000]8NU0;B7Y@0K0;B7Y@030000002gRJD0]hVU00@00000403oool400000080/8BV0P00
00020;N9Y@@00000403oool400000080/8BV0P0000020;N9Y@@00000403oool4000000<0/8BV00<0
00000;65Y@2aQJD00`2aQJD3000000030;_<i`000000000000L0oooo00<0000007V3d01iPm000P00
00060;J8YAh0]8NU00<000000;B7Y@2dQjD06`2dQjD00`000000oooo0?ooo`030?ooo`030000003o
ool000000040oooo00000`000000oooo000000050?ooo`030000002dQjD0]8NU01/0]8NU00<00000
0;B7Y@2dQjD06`2dQjD00`000000]8NU0;B7Y@0K0;B7Y@030000002gRJD0]hVU00<0]hVU0`00000<
0?ooo`80000000<0_XBE000000000000102`Q:H00`000000]hVU0;N9Y@030;N9Y@<00000303oool2
000000030;j4U@000000000000@0/8BV00<000000;N9Y@2gRJD00`2gRJD3000000`0oooo0P000000
0`2nQ9D00000000000040;24YP040000002aQJD0/HFU0;65Y@<000000P2kc>L00`000000oooo0?oo
o`080?ooo`<0000000<0WjkR0000000000000P0000020;J8Y@030000002dQjD0]8NU01/0]8NU00<0
00000;B7Y@2dQjD06`2dQjD00`000000oooo0?ooo`030?ooo`030000003oool000000040oooo0000
0`000000oooo000000050?oooed000000P2gRJD010000000cJJa0<fV/@3=Y[42000000P0oooo0P00
00050;j4U@L000000`2gRJD30<jW/@800000203oool2000000D0_XBE1`0000030;N9Y@<0cZNa0P00
00080?ooo`8000001@2nQ9D800000080]/?T0`00000=0?ooo`800000102O[^8o000000D0oooo00<0
00000?ooo`0000000@3oool000030000003oool0000000D0oooo00<000000:^ji02[^^@06`2[^^@0
0`000000Zk[T0:^ji00K0:^ji0030000002[^^@0Zk[T01/0Zk[T00<0000009n`i02O/>@00`000004
0<fV/@8000001@3oool2000000D0_XBE0`0000030;C1i0D0Wk3S00<000000<jW/@3>Yk400P3>Yk42
000000H0oooo00<000000;j4U@2nQ9D00`2nQ9D3000000<0]<7T1@2O/><00`000000cZNa0<jW/@02
0<jW/@8000001P3oool00`000000_XBE0;j4U@030;j4U@<0000000@0/l7T0000002c`N@000000`2f
`n@300000140oooo100000000`2O[^8000000000000L0:^ji0030000002[^^@0Zk[T01/0Zk[T00<0
00000?ooo`3oool0103oool00`000000oooo000000010?ooo`0000<000000?ooo`0000001@3ooomM
00000080Wk3T0`0000040<fV/@060000003oool0oooo0?ooo`000000/GZG0P0000020;j4U@800000
0P3Me]000`000000]<7T0;C1i0020000000409n`h`000000Wk3S09n`h`<00000103>Yk400`000000
oooo0?ooo`020?ooo`050000002aNYL000000000002nQ9D00P0000020=kGd0030000002d`N@0]<7T
0080000000@0Wk3S0000002O/><0Wk3S0`0000040<jW/@030000003oool0oooo0080oooo00D00000
0;5jU`00000000000;j4U@0200000080gmW@00<000000?ooo`2c`N@01@00000H0?oooch000001P3o
ool00`000000oooo000000010?ooo`0000<000000?ooo`000000HP3oool300000080U[7Y00@00000
0<fV/@3=Y[40cJJa0P0000020?ooo`040000002aNYL0/GZG0;5jU`800000103Me]03000000@0oooo
0`00000209Naj@040000003>Yk40cZNa0<jW/@8000000`3oool01@000000/GZG0;5jU`2aNYL00000
00@0g]O@0`0000040?ooo`<000000P2G/NT010000000cZNa0<jW/@3>Yk42000000<0oooo00D00000
0;5jU`2aNYL0/GZG000000040=oId0<00000H@3oool00`000000oooo000000010?ooo`0000<00000
0?ooo`000000I@3oool00`000000U[7Y09Jaj@03000000040<ja_P000000oooo000000@0/GZG0P00
00020=gFd08000002P3oool00`000000Uk7Y09Naj@03000000050<jb_P000000oooo0?ooo`000000
0`2aNYL200000080g]O@0P00000:0?ooo`030000002G/NT0Uk7Y00<0000000D0c[:n0000003oool0
oooo000000030;5jU`8000000P3OfM02000006@0oooo00<000000?ooo`0000000@3oool000030000
003oool0000006H0oooo0P00000209Jaj@030000003>/Kh0c[6n008000000`2aNYL00`000000jLbh
0>W<^002000000d0oooo0P00000209Naj@030000003>/[h0c[:n008000000`2aNYL00`000000j/fh
0>[=^002000000d0oooo0P00000209Naj@060000003>/[h0c[:n0000003oool000000P2aNYL00`00
0000k<ng0>c?]`02000006H0oooo00<000000?ooo`0000000@3oool000030000003oool0000006P0
oooo0P000000101mTmh000000<ja_P0000040;5jU`030000003Yc;P000000140oooo0P000000101n
U=h000000<jb_P0000040;5jU`030000003ZcKP000000140oooo0`0000030<jb_P070000002aNYL0
/GZG0;5jU`000000k<ng0000001X0?ooo`030000003oool000000040oooo00000`000000oooo0000
001X0?ooo`060000001mTmh0OI?N0000003>/Kh000000`2aNYL00`000000jLbh0000000B0?ooo`06
0000001nU=h0OYCN0000003>/[h000000`2aNYL00`000000j/fh0000000B0?ooo`0400000020U=d0
P9CM00000080c[:n00H000000;5jU`2aNYL000000>c?]`00001Y0?ooo`030000003oool000000040
oooo00000`000000oooo0000001Y0?ooo`030000001mTmh0OI?N00D000000P3Yc;P00`000000oooo
0?ooo`0A0?ooo`030000001nU=h0OYCN00D000000P3ZcKP00`000000oooo0?ooo`0A0?ooo`040000
0020U=d000000<jb_P@000000P3/ckL00`000000oooo0?ooo`1W0?ooo`030000003oool000000040
oooo00000`000000oooo0000001Y0?ooo`040000001mTmh0OI?N000000<0YHBa0`00000D0?ooo`04
0000001nU=h0OYCN000000<0YHFa0`00000D0?ooo`0300000020U=d0P9CM008000000P2VQK430000
06X0oooo00<000000?ooo`0000000@3oool000030000003oool0000006X0oooo0`0000020:F4/@04
0000003S`kH0hl>f000001D0oooo0`0000030:F5/@030000003Ua;H0000001D0oooo0`0000030:J5
/@030000003VaKH0000006X0oooo00<000000?ooo`0000000@3oool000030000003oool0000006X0
oooo0P0000030:F4/@040000003S`kH0hl>f000001D0oooo0P0000030:F5/@040000003Ua;H0iLBf
000001D0oooo00<0000007=U]00000000P2VQK4010000000i/Ff0>K5]P00001Z0?ooo`030000003o
ool000000040oooo00000`000000oooo0000001Z0?ooo`8000000`2UQ;400`000000hl>f0000000F
0?ooo`8000000`2UQK400`000000iLBf0000000F0?ooo`8000000`2VQK400`000000i/Ff0000001[
0?ooo`030000003oool000000040oooo00000`000000oooo0000001[0?ooo`80000000D0YHBa0000
003S`kH0hl>f0000000G0?ooo`8000000P2UQK400`000000iLBf0000000G0?ooo`8000000P2VQK40
0`000000i/Ff0000001[0?ooo`030000003oool000000040oooo00000`000000oooo0000001[0?oo
o`030000002UQK8000000080000000<0hl>f0000003oool05P3oool00`000000YHFb000000020000
00030>G4]P000000oooo01H0oooo00<000000:F5/P0000000P0000000`3VaKH000000?ooo`1Z0?oo
o`030000003oool000000040oooo00000`000000oooo0000001[0?ooo`050000002UQK80YHFb0000
003Sa;P00P00000F0?ooo`8000000`2UQK83000001L0oooo00@000000:F5/P2UQK80YHFb0`00001[
0?ooo`030000003oool000000040oooo00000`000000oooo0000001Z0?ooo`040000002UQK80YHFb
000000<0hlBh00<000000?ooo`3oool0503oool01@000000YHFb0:F5/P2UQK8000000080i<Fh00<0
00000?ooo`3oool0503oool01@000000YHFb0:F5/P2UQK8000000080iLJh00<000000?ooo`3oool0
J@3oool00`000000oooo000000010?ooo`0000<000000?ooo`000000JP3oool010000000YHFb0:F5
/P0000020>?4^08000005P3oool01P000000YHFb0:F5/P2UQK8000000>C5^08000005P3oool01P00
0000YHFb0:F5/P2UQK8000000>G6^0800000J`3oool00`000000oooo000000010?ooo`0000<00000
0?ooo`000000JP3oool010000000YHFb0:F5/P0000020>?4^08000005P3oool01P000000YHFb0:F5
/P2UQK8000000>C5^08000005P3oool01P000000YHFb0:F5/P2UQK8000000>G6^0800000J`3oool0
0`000000oooo000000010?ooo`0000<000000?ooo`000000JP3oool010000000YHFb0:F5/P000002
0>?4^08000005P3oool01P000000YHFb0:F5/P2UQK8000000>C5^08000005P3oool01P000000YHFb
0:F5/P2UQK8000000>G6^0800000J`3oool00`000000oooo000000010?ooo`0000<000000?ooo`00
0000J@3oool010000000VHBk0000000000020>?4^0040000002bNYD0/WZE000001@0oooo00<00000
09Z4^`0000000P0000001@3TaKP000000;9jU@2bNYD0000001@0oooo00<0000009Z4^`0000000P00
00001@3Ua[P000000;9jU@0008P0000006X0oooo00<000000?ooo`0000000@3oool000030000003o
ool0000006P0oooo00@0000009V4^`2IQ;/0VHBk100000020;9jU@8000004P3oool00`000000VXBk
09Z4^`0209Z4^`<000000P2bNYD200000180oooo00<0000009Z4^`2JQ;/00P2JQ;/300000080/WZE
00<000000?ooo`3oool0J03oool00`000000oooo000000010?ooo`0000<000000?ooo`000000J03o
ool010000000VHBk09V4^`0000020=7Df`8000000`2bNYD00`000000oooo0?ooo`0@0?ooo`060000
002JQ;/0VXBk09Z4^`000000d]KL0P0000030;9jU@030000003oool0oooo0100oooo00H0000009Z4
^`2JQ;/0VXBk0000003Bem`2000000<0/WZE00<000000?ooo`3oool0I`3oool00`000000oooo0000
00010?ooo`0000<000000?ooo`000000I`3oool01@000000VHBk09V4^`2IQ;/000000080dMCK00<0
000006AR^P0000000P2bNYD200000100oooo00D0000009Z4^`2JQ;/0VXBk000000020=;Fg0030000
001XI;/000000080/WZE0P00000@0?ooo`050000002JQ;/0VXBk09Z4^`0000000P3Bem`00`000000
JfJk000000020;9jU@800000J03oool00`000000oooo000000010?ooo`0000<000000?ooo`000000
I@3oool20000000409Ai/P000000VHBk00000080dMCK00@000000?ooo`000000I6:j0P0000020:]g
VP800000303oool20000000:09Ai/P000000VXBk09Z4^`000000d]KL0000003oool0000006QT^`80
00000P2[MiX2000000`0oooo0P0000001P2ENK80000009Z4^`2JQ;/000000=;Gg08000000P1[I[/2
00000080ZgNJ0P00001V0?ooo`030000003oool000000040oooo00000`000000oooo0000001S0?oo
o`80000000P0U7Vb0:NNcP2DNK80000009V4^`000000dMCK00000080oooo0P0000000`1aP=800000
0:]gVP040:]gVP8000001`3oool20000000809Ai/P2WW/d0U7Vb0000002JQ;/000000=;Fg0000002
0?ooo`80000000<0M87B0000002[MiX0102[MiX2000000L0oooo0P00000309Ei/P0;0000002JQ;/0
00000=;Gg0000000oooo0000001[I[/0000007J2d@0000001@2[MiX2000006<0oooo00<000000?oo
o`0000000@3oool000030000003oool000000600oooo0`0000000`2aQJD0000009Ai/P0309Ai/P04
0000003Ae=/0dMCK000000<0oooo00@000000760dP1aP=8000000`2[MiX00`000000]XVU0;J9Y@02
000000030?ooo`000000oooo0080000000<0/HFU0000002DNK800`2DNK8010000000d]KL0=;Fg000
00030?ooo`040000001dPM80M87B000000<0ZgNJ00<000000;J9Y@2fRJD00P0000000`3oool00000
0?ooo`02000000030;65YP000000UGVb00<0UGVb00@000000=;Gg03Bem`000000P3oool01@000000
MX;A07J2d@1fP]40000000<0ZgNJ00<000000;J9Y@2fRJD00P0000000`3oool000000?ooo`1N0?oo
o`030000003oool000000040oooo00000`000000oooo000000050?ooob400000603oool00`0l_k`0
000000000003000001P0oooo00<0>;bg0000000000000P0000030;65Y@060000002DNK80U7Vb09Ai
/P000000^lcX0P0000050?ooo`060000001aP=80LH3B0000002[MiX000001@2fRJD3000000<0/HFU
00H0000009Ai/P2DNK80U7Vb0000002jcNP2000000D0oooo00H0000007B1dP1dPM8000000:]gVP00
00050;J9Y@<000000`2aQJH01P000000UGVb09Ei/P2ENK8000000;[=j0800000103oool200000080
MX;A00@000000:]gVP0000000000102fRJDR000001P0oooo8P0000050?ooo`030000003oool00000
0040oooo00000`000000oooo000000050?ooo`030000002dQjD0]8NU01/0]8NU00<000000;N9YP2g
RJH01000000A0?ooo`@0000000<0[X>V0000000000000P2gRJH400000100oooo1@0000020:j3YP03
0000002aQJD0/HFU00<0/HFU0`0000000`2kc>P00000000000070?ooo`80000000<0LH3B00000000
00001P2fRJD60;65Y@<0000000<0^/gX0000000000001`3oool20000000307B1dP000000000000H0
]XVU1P2aQJH3000000030;[=j0000000000000L0oooo00<0000007J2d@1fP]400P0000060;J9YAh0
]8NU00<000000;N9Y@2gRJD01000000@0?ooo`@000000P2`Q:H2000001<0]8NU00<0]9o30;B7Y@2d
QjD01`2dQjD00`000000oooo0?ooo`030?ooo`030000003oool000000040oooo00000`000000oooo
000000050?ooo`030000002dQjD0]8NU01/0]8NU00<000000;N9YP2gRJH00`2gRJH3000000d0oooo
0P0000060:j3YP030000002gRJH0]hVV00<0]hVV0`00000<0?ooo`<000001P2^PjH40;65Y@<00000
0P2kc>P00`000000oooo0?ooo`090?ooo`80000000<0WJoT0000000000000P0000020;J9Y@040000
002aQJD0/HFU0;65Y@<000000P2jcNP00`000000oooo0?ooo`090?ooo`80000000<0WJoT00000000
00000P0000020;J9Y@040000002aQJH0/HFV0;65YP<000000P2jcNP00`000000oooo0?ooo`080?oo
o`<0000000<0WJoT0000000000000P0000020;J9Y@030000002dQjD0]8NU01/0]8NU00<000000;N9
Y@2gRJD00`2gRJD3000000`0oooo0P0000000`2nQ9D00000000000040;24YP030000002dQjD0]8NU
00L0]8NU00<0]9o30;B7Y@2dQjD04@2dQjD00`000000oooo0?ooo`030?ooo`030000003oool00000
0040oooo00000`000000oooo000000050?ooob4000000P2gRJH010000000XfbC0:=/T`2SK9<20000
00T0oooo0`0000060:j3YP@000000P2gRJH010000000XfbC0:=/T`2SK9<2000000P0oooo10000006
0:j3YPD000000P2f`n@3000000d0oooo0P00000409f_i0H000000P2f`nD3000000d0oooo0P000004
09f_i0H000000P2fa>D3000000d0oooo0P00000409f_i2<000000P2gRJD01@000000cjRa0<nX/@3?
Z;40000000T0oooo0P0000050;j4UB<000001@3oool00`000000oooo000000010?ooo`0000<00000
0?ooo`0000001@3oool00`000000Zk_V0:^kiP0K0:^kiP030000002N/ND0W[7U00<000001@2SK9<0
0`000000oooo0?ooo`040?ooo`<000000P2AMk800`000000[X>V00000003000000040;?2i@2N/ND0
W[7U09jai@<000001@2SK9<00`000000oooo0?ooo`040?ooo`<000000P2BMk8020000000[X>V0000
00000000/l;U0000002c`^D000000`2f`n@300000140oooo100000000`2M[n@00000000000030;K3
i@<000004@3oool40000000309f_i0000000000000<0]/CU0`00000A0?ooo`@0000000<0WJoT0000
000000007@2[^nH00`000000Wk3T09n`i003000000@0cjRa0P0000060?ooo`030000002nQ9D0_XBE
00<0_XBE0`0000030;?3iQd0Zk_V00<000000?ooo`3oool0103oool00`000000oooo000000010?oo
o`0000<000000?ooo`0000001@3ooolQ00000080W[7U0`0000020:=/T`030000002aMi<0000000@0
oooo0P000004095g/P800000102c`^D400000080W[7U0`0000020:=/T`030000002aMi<0000000@0
oooo0P000004099g/P<0000000<0/l;U0?ooo`2c`^D01@00000H0?ooo`H00000603oool6000001P0
oooo8`00000209n`i0<00000103?Z;400`000000oooo0?ooo`020?ooo`050000002aNYL000000000
002nQ9D00P000000103Qg]4000000;?3iP2c`nHP000000H0oooo00<000000?ooo`0000000@3oool0
00030000003oool0000002H0oooo0`00000205U^cP8000000`2aMi<01@000000oooo0?ooo`3oool0
000000@0TGNb00<000000;;=kP2bcNh0100000040?ooo`<000000P1ML<h2000000<0/GNC00D00000
0?ooo`3oool0oooo00000004099g/P030000002bcNh0//g^00@00000O03oool300000080U[7Y00D0
00000<nX/@3?Z;40cjRa000000040?ooo`050000002aNYL0/GZG0;5jU`0000000`3Qg]43000002H0
oooo00<000000?ooo`0000000@3oool000030000003oool0000002T0oooo00<0000005U^cP1IK/h0
0P0000020;5gT`070000003oool0oooo0000002BPl000000095g/P0200000080//g^0P00000:0?oo
o`030000001ML<h0GG3>008000000P2aMi<01`000000oooo0?ooo`000000TX?00000002BMk800P00
00020;;=kP800000PP3oool00`000000U[7Y09Jaj@03000000050<nc_P000000oooo0?ooo`000000
0`2aNYL2000000030>7Nd@000000000002T0oooo00<000000?ooo`0000000@3oool000030000003o
ool0000002X0oooo100000030;5gT`030000003oool000000080TX?01@00000=0?ooo`@000000`2a
Mi<00`000000oooo0000000209:3`0D00000Q@3oool00`000000U[7Y09Jaj@02000000050<nc_P00
0000oooo0?ooo`0000000P2aNYL010000000km>f0>oC]P00000[0?ooo`030000003oool000000040
oooo00000`000000oooo0000000/0?ooo`030000001:BJh0000000<0/GNC00@0000009:3`02BPl00
00000P3=f>800`000000oooo0?ooo`0?0?ooo`030000001@CK00000000<0/GNC00@0000009:3`02B
Pl0000000P3=fN800`000000oooo0?ooo`260?ooo`80000000@0PICM0000003?/kh0ck>n0P000003
0;5jU`030000003_dkH0000002`0oooo00<000000?ooo`0000000@3oool000030000003oool00000
02`0oooo00@0000004Y9[P000000/GNC0`00000209:3`0030000003=f>8000000180oooo00@00000
051=/0000000/GNC0`00000209:3`0030000003=fN80000008T0oooo00H00000086Dg@21U=d0PICM
0000003?/kh200000080/GZG00<000000>oC]P000000;@3oool00`000000oooo000000010?ooo`00
00<000000?ooo`000000;@3oool00`000000BTV^000000020<:I[P<000000P3=f>800`000000oooo
0?ooo`0A0?ooo`030000001@CK0000000080`YV^0`0000020<gIhP030000003oool0oooo08P0oooo
00D00000086Dg@21U=d000000<nc_P0400000080km>f00<000000?ooo`3oool0:`3oool00`000000
oooo000000010?ooo`0000<000000?ooo`000000;@3oool3000000<0`YV^1000000D0?ooo`<00000
0`32VJh4000008/0oooo00@00000086Dg@21U=d0PICM0P0000020:J5/@<00000;P3oool00`000000
oooo000000010?ooo`0000<000000?ooo`000000;P3oool2000000<0`YV^0P0000000`3Q`;L00000
0?ooo`0D0?ooo`8000000`32VJh2000000030>;1]`000000oooo08/0oooo1@0000020:J5/@030000
003Yb;D0000002h0oooo00<000000?ooo`0000000@3oool000030000003oool0000002h0oooo0P00
00030<:I[P040000003Q`;L0hL2g000001D0oooo0P0000030<:I[P040000003R`KL0h/6g000008`0
oooo00@0000007MX]01gJ;@000000P2VQK4010000000jLRe0>W8]@00000^0?ooo`030000003oool0
00000040oooo00000`000000oooo0000000^0?ooo`030000001WG;8000000080`YV^0`00000F0?oo
o`030000001ZG[8000000080`YV^0`00002=0?ooo`040000001gJ;@0MfRd00000080YXFa00<00000
0>W8]@000000;`3oool00`000000oooo000000010?ooo`0000<000000?ooo`000000;`3oool20000
00<0`YV^0P00000G0?ooo`8000000`32VJh2000008h0oooo0`0000020:J5/@030000003Yb;D00000
02l0oooo00<000000?ooo`0000000@3oool000030000003oool0000002l0oooo1`00000G0?ooo`L0
0000SP3oool6000000030>W8]@000000oooo02h0oooo00<000000?ooo`0000000@3oool000030000
003oool0000002l0oooo0P0000030<:L/@8000005`3oool2000000<0`Yba0P00002>0?ooo`030000
0000010000000080YXFb0`00000_0?ooo`030000003oool000000040oooo00000`000000oooo0000
000_0?ooo`8000000`32W;42000001L0oooo00<0000006]Q]@0000000P32W;42000008h0oooo0P00
00020:J5/P040000003Xb[L0j<Zg000002l0oooo00<000000?ooo`0000000@3oool000030000003o
ool0000002l0oooo0P0000040<:L/@030000003oool0oooo01D0oooo00<0000006]Q]@0000000`32
W;400`000000oooo0?ooo`2<0?ooo`8000000P2VQK8010000000j<Zg00000000000_0?ooo`030000
003oool000000040oooo00000`000000oooo0000000_0?ooo`<000000`32W;400`000000oooo0?oo
o`0E0?ooo`<000000`32W;400`000000oooo0?ooo`2<0?ooo`060000002VQK80YXFb0:J5/P000000
j<Zg0P00000_0?ooo`030000003oool000000040oooo00000`000000oooo0000000_0?ooo`<00000
0P32W;42000001H0oooo00H000000;5kV@000000Jf6e00000032W;42000008h0oooo00H000000:J5
/P2VQK80YXFb0000003Xb[L2000002l0oooo00<000000?ooo`0000000@3oool000030000003oool0
000002h0oooo00<000000;5kV@0000000`0000020<Z[^P030000003oool0oooo01<0oooo00<00000
0;5kV@0000000`0000020<^/^P030000003oool0oooo08X0oooo00<0000009^5^`0000000P000000
1@3Xb[L000000;9jU@2bNYD0000002h0oooo00<000000?ooo`0000000@3oool000030000003oool0
000002d0oooo0P0000020;5kV@0307N<f`000000bZ^j0080bZ^j00<000000?ooo`3oool04P3oool0
10000000/G^I0;5kV@2aNiT207V=fP040000003;[;X0bjbj000008/0oooo00<0000009^5^`2KQK/0
0P2KQK/300000080/WZE00<000000?ooo`3oool0;03oool00`000000oooo000000010?ooo`0000<0
00000?ooo`000000;03oool2000000<0/G^I00<0000007N<f`0000000`3:ZkX00`000000oooo0?oo
o`0@0?ooo`8000000P2aNiT20000000307V=fP000000bjbj0080bjbj00<000000?ooo`3oool0R03o
ool200000080VhFk00<000000=?KgP000000102bNYD00`000000oooo0?ooo`0[0?ooo`030000003o
ool000000040oooo00000`000000oooo0000000[0?ooo`80000000D0^XFK0000002aNiT000000>;8
_P02000000<0bZ^j0P00000@0?ooo`80000000P0^XFK0000002aNiT000000>?9_P000000NHgJ0000
0080bjbj0P0000280?ooo`8000000P2KQK/00`000000dm_N0=?KgP02000000040;9jU@0000000000
0:]hV`800000:`3oool00`000000oooo000000010?ooo`0000<000000?ooo`000000:@3oool20000
00<0^XFK00D000000;5kV@00000000000?ooo`02000000<0bZ^j0`00000<0?ooo`8000000`2jQI/2
000000060>?9_P000000oooo0000001iSMX000000P3;[;X3000008@0oooo0P0000001P2FN[800000
09^5^`2KQK/000000=?KgP80000000<0KfVk0000002[N9/0102[N9/2000002T0oooo00<000000?oo
o`0000000@3oool000030000003oool0000002H0oooo0`0000060;Z5V`090000003Rb;h000000?oo
o`000000MhcK0000003:ZkX000000080c:Fa1@0000050?ooo`<000001P2jQI/02@000000hlVn0000
003oool0000007V=fP000000bjbj000000020<bU/@D00000O@3oool3000000<0UWZb00H0000009^5
^`000000dm_N0000003oool20000000307R2d@000000ZgRK00D0ZgRK0P00000W0?ooo`030000003o
ool000000040oooo00000`000000oooo000000050?ooo`8000006`3oool5000000030;65YP000000
^XFK00<0^XFK100000030?ooo`<000001@3<YK42000000<08`00100000000`2aQJH000000;Z5V`03
0;Z5V`@000000`3oool3000000D0c:Fa0`000002024000030000000A00004@0001/04@00GP000000
0`2aQJH0000009Ij/P0309Ij/P040000003Cfmh0dm_N00000080oooo00<0000007R2d@1hP]400P00
00030:]hV`030000002fRJD0]XVU0080000000<0:@000000003oool06P3oool2000000H0oooo00<0
00000?ooo`0000000@3oool000030000003oool0000000D0oooo1@00000D0?ooo`L000000`2aQJH0
1@000000^XFK0;Z5V`2jQI/000000080em3B00<000000?ooo`3oool00`3oool4000000@0c:Fa00<0
00000;>6Y@0000000`0000030;65YP050000002jQI/0^XFK0;Z5V`0000000P3Hd]<00`000000oooo
0?ooo`030?ooo`040000002AZnL00000000000@0c:Fa00<000000;>6Y@000000N`0000030;65YP06
0000002FN[80UWZb09Ij/P000000^]3[0P0000040?ooo`8000000P1hP]400`000000ZgRK00000005
0;J9Y@@000005@3oool6000000H0oooo00<000000?ooo`0000000@3oool000030000003oool00000
00D0oooo00<000000;N9YP2gRJH01000000?0?ooo`D000000`2`Q:H00`000000/HFV0;65YP030;65
YP<0000000<0em3B000000000000203oool01P000000TJ_X000000000000c:Fa000000@0/hJU00<0
00000;65YP2aQJH00`2aQJH3000000030=SBd`000000000000L0oooo0P0000001@2AZnL000000000
003<YK40000000@0/hJU00<000000;B7Y@2dQjD06`2dQjD00`000000]8NU0;B7Y@0K0;B7Y@030000
002dQjD0]8NU01/0]8NU00<000000;B7Y@2dQjD06`2dQjD00`000000/HFV0;65YP030;65YP<00000
00<0^]3[0000000000001`3oool010000000N8;A07R2d@0000070;J9Y@030000002gRJH0]hVV00@0
00003P3oool600000080/8BV00<000000?ooo`3oool0103oool00`000000oooo000000010?ooo`00
00<000000?ooo`0000001@3oool00`000000]hVV0;N9YP030;N9YP<00000303oool2000000030;j5
U`000000000000@0/8BV102aQJH300000080em3B00<000000?ooo`3oool02@3oool200000003096[
j00000000000008000000P2cQZD40;65YP<000000P3Hd]<00`000000oooo0?ooo`090?ooo`030000
002AZnL0TJ_W00<000000`2cQZD00`000000]8NU0;B7Y@0K0;B7Y@030000002dQjD0]8NU01/0]8NU
00<000000;B7Y@2dQjD06`2dQjD00`000000]8NU0;B7Y@0K0;B7Y@040000002aQJH0/HFV0;65YP<0
00000P2jd>/00`000000oooo0?ooo`080?ooo`<0000000<0WJoT0000000000000P0000020;J9Y@03
0000002gRJH0]hVV00<0]hVV0`00000;0?ooo`<0000000<0_XBE000000000000102`Q:H00`000000
oooo0?ooo`030?ooo`030000003oool000000040oooo00000`000000oooo000000050?ooo`<00000
0P2gRJH010000000c:Ja0<bV/@3<Y[42000000P0oooo0P0000050;j5U`P000000P2fa>D3000000h0
oooo0P00000309^`iPH000000P2fa>D3000000d0oooo0P00000309b`iWl000000P2ea^H3000000d0
oooo0P00000409f_i0D000000P2gRJH01@000000cjRa0<nX/@3?Z;40000000T0oooo0P0000050;j4
U@D000001@3oool00`000000oooo000000010?ooo`0000<000000?ooo`0000001@3oool00`000000
W;;W09bbi`03000000D0c:Ja0P0000040?ooo`8000001@2nQIL3000000<0/l?V00@000000;K4i@2f
a>D0]/CU0`00000B0?ooo`<0000000<0Vk3V0000000000000`2fa>D300000140oooo100000000`2L
/>H000000000000M0:Zli`030000002Z_>L0Z[cW01/0Z[cW00<000000:Zli`2Z_>L06`2Z_>L00`00
0000Z[cW0:Zli`0K0:Zli`040000002ea^H0]LKV0;G6iP<000004@3oool40000000309f_i0000000
W[7U0080W[7U0`0000040<nX/@8000001P3oool00`000000_XBE0;j4U@030;j4U@<000000`2ca>L0
0`000000oooo0?ooo`030?ooo`030000003oool000000040oooo00000`000000oooo000000050?oo
o`<000000P2L/^L3000000D0c:Ja00D000000?ooo`3oool000000;5kV00200000080_XFG0P000002
0=cCc`030000002c`nH0/l?V00D00000603oool6000001P0ooooOP00000H0?ooo`@000000`2N/ND3
000000@0cjRa00<000000?ooo`3oool00P3oool01@000000/G^H000000000000_XBE0080000000@0
hn7B0000002ca>L0/lCW0`0000050?ooo`030000003oool000000040oooo00000`000000oooo0000
00080?ooo`<000000P2A/nh02@000000c:Ja0<bV/@3<Y[4000000<f`_@000000oooo000000030;5k
V0800000103Ldll300000=D0oooo1000000209Faj`040000003?Z;40cjRa0<nX/@8000000P3oool2
000000<0/G^H00@000000>?QdP3ShM80hn7B0`0000080?ooo`030000003oool000000040oooo0000
0`000000oooo0000000;0?ooo`030000002A/nh0TK?^0080000000D0c:Ja0000003=/;d0cK2m0000
00030;5kV0030000003Vb;T000000080g=??0P00003L0?ooo`030000002E/N/0UK7[00<0000000D0
d;Bn0000003oool0oooo000000030;5kV080000000<0hn7B0000000000002`3oool00`000000oooo
000000010?ooo`0000<000000?ooo`000000303oool200000080TK?^00D000000<f`_@3=/;d0cK2m
000000030;5kV0030000003Vb;T0i/Ri00800000g`3oool00`000000UK7[09Faj`0200000080d;Bn
0`0000030;5kV0030000003ae[@0000000d0oooo00<000000?ooo`0000000@3oool000030000003o
ool0000000h0oooo0P000000101bTN8000000<f`_@0000030;5kV0040000003Vb;T0i/Ri00000>80
oooo0P0000001020U=d000000=2d_P3@];h2000000<0/G^H00<000000?7F]00000003P3oool00`00
0000oooo000000010?ooo`0000<000000?ooo`0000003`3oool01@000000LY7R0000003=/;d00000
0080/G^H00@000000>K8^@3Vb;T00000h`3oool01P000000P9CM082Dg@20U=d000000=2d_P800000
0P2aNiP00`000000lMJd0000000?0?ooo`030000003oool000000040oooo00000`000000oooo0000
000?0?ooo`030000001bTN80LY7R008000000P2aNiP00`000000i/Ri0000003U0?ooo`0500000020
U=d0P9CM0000003@];h00P0000020;5kV0030000003ae[@0000000l0oooo00<000000?ooo`000000
0@3oool000030000003oool000000100oooo00@0000007:AhP000000YHBa1000003V0?ooo`040000
0020U=d0P9CM082Dg@80000000<0YXFa0000000000000P00000@0?ooo`030000003oool000000040
oooo00000`000000oooo0000000A0?ooo`8000000P2UQ;400`000000hL2g0000003W0?ooo`D00000
0P2VQK400`000000j/Zd0000000@0?ooo`030000003oool000000040oooo00000`000000oooo0000
000A0?ooo`070000002UQ;40YHBa0:F4/@000000hL2g0000003W0?ooo`040000001iJK@0NFVd0000
00<0YXFa00<000000>[:]0000000403oool00`000000oooo000000010?ooo`0000<000000?ooo`00
00004@3oool01@000000YHBa0:F4/@000000hL2g00800000i`3oool010000000NFVd07UY]0000002
0:J5/@030000003Zb[@000000140oooo00<000000?ooo`0000000@3oool000030000003oool00000
0140oooo00D000000:F4/@2UQ;4000000>70]`0200000>P0oooo0`0000020:J5/@030000003Zb[@0
00000140oooo00<000000?ooo`0000000@3oool000030000003oool000000140oooo100000000`3Q
`;L000000000003X0?ooo`H0000000<0j/Zd0000003oool0403oool00`000000oooo000000010?oo
o`0000<000000?ooo`0000004@3oool00`000000YHFb0:F5/P0400000>P0oooo00<0000000009000
00000P2VQ[8300000140oooo00<000000?ooo`0000000@3oool000030000003oool000000140oooo
00<000000:F5/P0000000P3P`KT200000>P0oooo0`0000001@2VQ[8000000>[<]`3Zc;L000000140
oooo00<000000?ooo`0000000@3oool000030000003oool000000100oooo00@000000:F5/P2UQK80
00000P3P`KT00`000000`Yba0000003W0?ooo`8000000P2VQ[800`000000j/bg0000000B0?ooo`03
0000003oool000000040oooo00000`000000oooo0000000@0?ooo`040000002UQK80YHFb00000080
h<6i00<000000<:L/@000000j03oool01P000000YXJb0:J6/P000000j/bg00000180oooo00<00000
0?ooo`0000000@3oool000030000003oool000000100oooo00L000000:F5/P2UQK8000000>31^@00
0000`Yba00800000i`3oool200000080YXJb00<000000>[<]`0000004P3oool00`000000oooo0000
00010?ooo`0000<000000?ooo`0000003`3oool010000000V8>k0000000000020>31^@8000000P2b
NYH00`000000oooo0?ooo`3S0?ooo`80000000<0VhFk0000000000000P3Zc;L200000140oooo00<0
00000?ooo`0000000@3oool000030000003oool0000000h0oooo0P0000000`2HPk/0000000000002
0>31^@050000002bNYH0/WZF0;9jUP000000i@3oool00`000000/Z_A09^5^`02000000050>[<]`00
0000/WZF0;9jUP000000403oool00`000000oooo000000010?ooo`0000<000000?ooo`0000003P3o
ool200000080V8>k1@0000030;9jUP030000003oool0oooo0>40oooo00<0000009^5^`2bZm400P2K
QK/3000000<0/WZF00<000000?ooo`3oool03@3oool00`000000oooo000000010?ooo`0000<00000
0?ooo`0000003@3oool01@000000V8>k09R3^`2HPk/000000080dMCK00@0000005II^@000000/WZF
1000003Q0?ooo`030000002KQK/0VhFk0080VhFk00D000000=COh000000000000;9jUP0200000003
0:]hV`000000oooo00d0oooo00<000000?ooo`0000000@3oool000030000003oool0000000/0oooo
0`00000209R3^`080000003Ae=/0dMCK0000003oool0000005II^@0000030:]gVP<00000g@3oool2
0000000609Mk/P000000VhFk09^5^`000000e=oP0P0000000`1aJ[/000000:]hV`030:]hV`800000
303oool00`000000oooo000000010?ooo`0000<000000?ooo`0000002@3oool200000003099g/@2V
Wll0TWNa008000000`3Ae=/01P000000oooo000000000000IG_D000000D0ZgNJ0P00003H0?ooo`<0
00000`2GNk800`000000VhFk000000020=COh0<0000000<0NH?A0000002[N9/0102[N9/2000000X0
oooo00<000000?ooo`0000000@3oool000030000003oool0000000D0oooo100000000`2aQJH00000
099g/@02099g/@8000000P3Ae=/01@000000oooo0?ooo`3oool000000080IG_D00H000000:]gVP2[
MiX0ZgNJ0000002fRJH40000000302<00000000000000=<0000000<0/HFV0000002GNk800`2GNk80
10000000e=oP0=COh00000020?ooo`030000001iPm40NH?A008000000P2[N9/00`000000]XVV0;J9
YP030000000303P000000000oooo00@0oooo00<000000?ooo`0000000@3oool000030000003oool0
000000D0oooo0P0000030;65YP040000002BMk40TWNa00000080^/kY0P0000050?ooo`80000000<0
IG_D0000002[MiX00P0000030;J9Y]H000000`2aQJH01P000000Ug^b09Mk/P2GNk8000000;WBk080
0000103oool200000080NH?A00<000000:]hV`0000001@2fRJH2000000D0oooo00<000000?ooo`00
00000@3oool000030000003oool0000000D0oooo00<000000;65YP2aQJH00`2aQJH200000080^/kY
0P0000080?ooo`040000001UNm@00000000000H0]XVV7P2dQjD00`000000]8NU0;B7Y@0K0;B7Y@03
0000002dQjD0]8NU01/0]8NU00<000000;B7Y@2dQjD06`2dQjD00`000000]8NU0;B7Y@0K0;B7Y@03
0000002dQjD0]8NU01/0]8NU00<000000;B7Y@2dQjD06`2dQjD00`000000/HFV0;65YP030;65YP<0
000000<0^M;/0000000000001`3oool00`000000NH?A07V3d@02000000H0]XVV00<000000?ooo`3o
ool00`3oool00`000000oooo000000010?ooo`0000<000000?ooo`0000001@3oool010000000/HFV
0;65YP2aQJH300000080^/kY00<000000?ooo`3oool02@3oool20000000309Zaj000000000000080
00000P2fRJH00`000000]8NU0;B7Y@0K0;B7Y@030000002dQjD0]8NU01/0]8NU00<000000;B7Y@2d
QjD06`2dQjD00`000000]8NU0;B7Y@0K0;B7Y@030000002dQjD0]8NU01/0]8NU00<000000;B7Y@2d
QjD06`2dQjD00`000000]8NU0;B7Y@0K0;B7Y@040000002aQJH0/HFV0;65YP<000000P2id^`00`00
0000oooo0?ooo`080?ooo`<0000000<0W;3U0000000000000P0000020;J9YP030000003oool0oooo
00<0oooo00<000000?ooo`0000000@3oool000030000003oool0000000D0oooo100000020;G5iP<0
00003P3oool2000000<0V[7Xf00000020;G7j0<000003@3oool2000000@0W;3U0`0000050?ooo`03
0000003oool000000040oooo00000`000000oooo000000050?ooo`040000002eaNH0]LGV0;G5iP<0
00004P3oool30000000309Zaj0000000000001d0ZKkX00<000000:Vnj02Y_^P06`2Y_^P00`000000
ZKkX0:Vnj00K0:Vnj0030000002Y_^P0ZKkX01/0ZKkX00<000000:Vnj02Y_^P06`2Y_^P00`000000
ZKkX0:Vnj00K0:Vnj0030000002Y_^P0ZKkX01X0ZKkX00@000000;G7j02eanP0]LOX1000000A0?oo
o`@0000000<0W;3U0000003oool01@3oool00`000000oooo000000010?ooo`0000<000000?ooo`00
00001@3oool4000001P0ooooe`00000I0?ooo`8000001P3oool00`000000oooo000000010?ooo`00
00<000000?ooo`000000o`3ooolJ0?ooo`030000003oool000000040oooo00000`000000oooo0000
003o000001/000000@3oool100000040oooo003o0000020000000@3oool00001\
\>"],
  ImageRangeCache->{{{0, 287}, {132.438, 0}} -> {-0.0022645, 0.268228, \
0.0035001, 0.0035001}}]
}, Open  ]],

Cell["\<\
To get a P-data of an arbitrary braid, use the following function.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(KnotFromBraid["\<abcD^2c\>"]\)], "Input"],

Cell[BoxData[
    \({{4, 1, 1}, {\(-11\), 10, 2, 1, 3, \(-5\)}}\)], "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Polynomial invariants", "Section"],

Cell[TextData[{
  "You",
  StyleBox[" ",
    FontWeight->"Bold"],
  "can obtain 4 kinds of polynomials for the given P-data by",
  StyleBox[" SkeinPolynomial[type, pdata]",
    FontWeight->"Bold"],
  " function. \nYou can also give the plural P-data through a file to ",
  StyleBox["SkeinPolynomialFromFile[type, filename]",
    FontWeight->"Bold"],
  " function. The file has to finish by EOF (555) in the last line of the \
file. Check the sample Pdata file \"pdata.prd\". \n(Notice)  This table shows \
the correspondence of 4 kinds of polynomial which can be obtained by this \
func with their type.\n",
  Cell[BoxData[GridBox[{
          {"Polynomials", "types"},
          {\(Jones\ Polynomial\), "0"},
          {\(Two\ variable\ Jones\ Polynomial\), "1"},
          {\(Alexander\ Polynomial\ by\ Conway\ relation\), \(-1\)},
          {\(Conway\ Polynomial\), \(-2\)}
          },
        GridFrame->True,
        RowLines->True,
        ColumnLines->True]]]
}], "Text"],

Cell[CellGroupData[{

Cell["Jones Polynomial", "Subsubsection"],

Cell["In case of Jones Polynomial for the given P-data, set ", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(type\  = \ 0\)], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell1"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(type\\)\\\" is similar to existing symbol \\\
\"\\!\\(Type\\)\\\". \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell1\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \(0\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SkeinPolynomial[type, pdata]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Jones Polynomial for "\[InvisibleSpace]"["\
\[InvisibleSpace]{{10}, {\(-6\), \(-8\), 17, \(-2\), 14, 16, \(-19\), 10, 
            5, \(-13\)}}\[InvisibleSpace]"]"\),
      SequenceForm[ 
      "Jones Polynomial for ", "[", {{10}, {-6, -8, 17, -2, 14, 16, -19, 10, 
        5, -13}}, "]"],
      Editable->False]], "Print"],

Cell[BoxData[
    \(7 + 1\/x\^8 - 3\/x\^6 + 5\/x\^4 - 6\/x\^2 - 6\ x\^2 + 5\ x\^4 - 
      3\ x\^6 + x\^8\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SkeinPolynomialFromFile[type, \ "\<pdata.prd\>"]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Jones Polynomial for "\[InvisibleSpace]"["\
\[InvisibleSpace]{{14}, {9, \(-1\), \(-14\), 3, \(-5\), 16, \(-20\), \(-6\), 
            22, 26, \(-12\), 28, 18, 24}}\[InvisibleSpace]"]"\),
      SequenceForm[ 
      "Jones Polynomial for ", "[", {{14}, {9, -1, -14, 3, -5, 16, -20, -6, 
        22, 26, -12, 28, 18, 24}}, "]"],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\(-21\) - 2\/x\^12 + 6\/x\^10 - 11\/x\^8 + 17\/x\^6 - 20\/x\^4 + 
      22\/x\^2 + 17\ x\^2 - 12\ x\^4 + 7\ x\^6 - 3\ x\^8 + x\^10\)], "Print"],

Cell[BoxData[
    \("pdata.prd"\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Two variable Jones Polynomial ", "Subsubsection"],

Cell["\<\
In case of two variable Jones Polynomial for the given P-data, set\
\>", "Text"],

Cell[BoxData[
    \(type\  = \ 1\)], "Input"],

Cell[BoxData[
    \(SkeinPolynomial[type, pdata]\)], "Input"],

Cell[BoxData[
    \(SkeinPolynomialFromFile[type, \ "\<pdata.prd\>"]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Alexander Polynomial by Conway relation", "Subsubsection"],

Cell["\<\
In case of Alexander Polynomial by Conway relation for the given P-data, \
set\
\>", "Text"],

Cell[BoxData[
    \(type\  = \ \(-1\)\)], "Input"],

Cell[BoxData[
    \(SkeinPolynomial[type, pdata]\)], "Input"],

Cell[BoxData[
    \(SkeinPolynomialFromFile[type, \ "\<trivialknot.prd\>"]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Conway Polynomial", "Subsubsection"],

Cell["In case of Conway Polynomial for the given P-data, set", "Text"],

Cell[BoxData[
    \(type\  = \ \(-2\)\)], "Input"],

Cell[BoxData[
    \(SkeinPolynomial[type, pdata]\)], "Input"],

Cell[BoxData[
    \(SkeinPolynomialFromFile[type, \ "\<pdata.prd\>"]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Kauffman Polynomial of skein type for the given \
P-data", "Subsubsection"]], "Subsubsection"],

Cell["\<\
This func returns the Kauffman polynomial of the given P-data.\
\>", "Text"],

Cell[BoxData[{
    \(KauffmanPolynomial[pdata]\), "\[IndentingNewLine]", 
    \(KauffmanPolynomial[0, pdata]\)}], "Input"],

Cell["This func returns the Q-polynomial of the given P-data.", "Text"],

Cell[BoxData[
    \(KauffmanPolynomial[1, pdata]\)], "Input"],

Cell[BoxData[
    \(KauffmanPolynomialFromFile[0, "\<trivialknot.prd\>"]\)], "Input"],

Cell[TextData[{
  "This func returns Kauffman polynomials of knots in the file \
\"nonalternate12.prd\". Note that if you abort this function from ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " Kernel menu, you must terminate the external C-program to compute \
Kauffman polynomials in the desktop command menu for next computation ."
}], "Text"],

Cell[BoxData[
    \(KauffmanPolynomialFromFile[0, "\<nonalternate12.prd\>"]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Jones Polynomial for the given B-word", \
"Subsubsection"]], "Subsubsection"],

Cell["\<\
This func returns Jones Polynomial for the given B-word  of up to 14-braid \
using Hecke representation in the range that limitation of memory allows.\
\>", "Text"],

Cell[BoxData[
    \(JonesPolynomialbyBraid["\<abcddd\>"]\)], "Input"],

Cell[BoxData[
    \(JonesPolynomialbyBraid[bword]\)], "Input"],

Cell[TextData[{
  "You can also give the plural B-words through the file to ",
  StyleBox["JonesPolynomialbyBraidFromFile[filename]",
    FontWeight->"Bold"],
  ". \nThe file has to include a B-word per a line, and EOF (555) as in the \
last line. Check the sample B-word file \"BraidForm.brd\""
}], "Text"],

Cell[BoxData[
    \(JonesPolynomialbyBraidFromFile["\<BraidForm.brd\>"]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Alexander Polynomial by Burau representation for the \
given B-word", "Subsubsection"]], "Subsubsection"],

Cell["\<\
This returns the Alexander polynomial by Burau representation for the B-word. \
B-word can be obtained by GetBraidRep or you can specify by yourself. \
\>", "Text"],

Cell[BoxData[
    \(AlexanderPolynomialbyBurauRep["\<abcdddd\>"]\)], "Input"],

Cell[BoxData[
    \(AlexanderPolynomialbyBurauRep[bword]\)], "Input"],

Cell[BoxData[
    \(AlexanderPolynomialbyBurauRepFromFile["\<nonalternate12.brd\>"]\)], \
"Input"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["One variable reduced invariant of  two variable Jones \
(or HOMFLY) polynomial of 3-parallel version for a  given B-word", \
"Subsubsection"]], "Subsubsection"],

Cell[TextData[{
  "This returns one variable reduced invariant of  two variable Jones (or \
HOMFLY) polynomial of 3-parallel version for the given B-word. Note that the \
reduction method depends on Jun Murakami's one associated with Hecke algebras \
(Young diagram depth 4 reduction). This function needs memory so very much. \
In case of lacking the memory, it returns nothing. Note that you can not \
obtain the correct result in ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " 4.0 or the older version although this function acts correctly in ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " 4.2 or the newer version.  "
}], "Text"],

Cell[BoxData[
    \(The\ trivial\ knot\)], "Print",
  GeneratedCell->False,
  CellAutoOverwrite->False],

Cell[CellGroupData[{

Cell[BoxData[
    \(ThreeParallelPolynomialInvariant["\<abcd\>"]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("3-parallel one variable invariant for "\
\[InvisibleSpace]"["\[InvisibleSpace]"abcd"\[InvisibleSpace]"]"\),
      SequenceForm[ 
      "3-parallel one variable invariant for ", "[", "abcd", "]"],
      Editable->False]], "Print"],

Cell[BoxData[
    \(1\)], "Output"],

Cell[BoxData[
    \(Kinoshita - Terasaka\ knot\)], "Print",
  GeneratedCell->False,
  CellAutoOverwrite->False]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(\(KT = "\<aCbCbbCA^4bb\>";\)\  (*\ 
      4 - braid\ *) \[IndentingNewLine]
    KT1 = "\<aCbCbbCA^4bbdD\>"; \  (*\ 
      5 - braid\ *) \[IndentingNewLine]KT2 = "\<DaCbCbbCA^4bbd\>";\)\( (*\ 
      5 - braid\ *) \)\)\)], "Input"],

Cell[BoxData[
    \(Conway\ knot\)], "Print",
  GeneratedCell->False,
  CellAutoOverwrite->False]
}, Open  ]],

Cell[BoxData[
    \(\(CW = "\<aCbCbbCaB^3\>";\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ft = ThreeParallelPolynomialInvariant[KT]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("3-parallel one variable invariant for "\
\[InvisibleSpace]"["\[InvisibleSpace]"aCbCbbCA^4bb"\[InvisibleSpace]"]"\),
      SequenceForm[ 
      "3-parallel one variable invariant for ", "[", "aCbCbbCA^4bb", "]"],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\(\(1\/q\^36\)\((\((1 + q + q\^2 + q\^3)\)\^12\ \((1 + q + q\^2 + 
            q\^3 + q\^4)\)\ \((\(-1\) + 3\ q - 5\ q\^2 + 9\ q\^3 - 12\ q\^4 + 
            6\ q\^5 + 9\ q\^6 - 28\ q\^7 + 58\ q\^8 - 105\ q\^9 + 
            144\ q\^10 - 169\ q\^11 + 191\ q\^12 - 191\ q\^13 + 156\ q\^14 - 
            106\ q\^15 + 57\ q\^16 + 30\ q\^17 - 141\ q\^18 + 233\ q\^19 - 
            325\ q\^20 + 435\ q\^21 - 530\ q\^22 + 551\ q\^23 - 530\ q\^24 + 
            462\ q\^25 - 309\ q\^26 + 99\ q\^27 + 109\ q\^28 - 286\ q\^29 + 
            447\ q\^30 - 529\ q\^31 + 517\ q\^32 - 462\ q\^33 + 395\ q\^34 - 
            305\ q\^35 + 206\ q\^36 - 147\ q\^37 + 92\ q\^38 - 18\ q\^39 - 
            47\ q\^40 + 85\ q\^41 - 131\ q\^42 + 177\ q\^43 - 181\ q\^44 + 
            156\ q\^45 - 129\ q\^46 + 97\ q\^47 - 55\ q\^48 + 23\ q\^49 - 
            4\ q\^50 - 8\ q\^51 + 12\ q\^52 - 9\ q\^53 + 5\ q\^54 - 
            3\ q\^55 + q\^56)\))\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(ft1 = ThreeParallelPolynomialInvariant[KT1]\), "\[IndentingNewLine]", 
    \(ft2 = ThreeParallelPolynomialInvariant[KT2]\)}], "Input"],

Cell[BoxData[
    InterpretationBox[\("3-parallel one variable invariant for "\
\[InvisibleSpace]"["\[InvisibleSpace]"aCbCbbCA^4bbdD"\[InvisibleSpace]"]"\),
      SequenceForm[ 
      "3-parallel one variable invariant for ", "[", "aCbCbbCA^4bbdD", "]"],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\(1\/q\^\(75/2\)\) \((\((1 + q)\)\ \((1 + q\^2)\)\ \((1 + q + q\^2 + 
              q\^3 + q\^4)\)\ \((\(-1\) + 3\ q - 5\ q\^2 + 9\ q\^3 - 
              12\ q\^4 + 6\ q\^5 + 9\ q\^6 - 28\ q\^7 + 58\ q\^8 - 
              105\ q\^9 + 144\ q\^10 - 169\ q\^11 + 191\ q\^12 - 191\ q\^13 + 
              156\ q\^14 - 106\ q\^15 + 57\ q\^16 + 30\ q\^17 - 141\ q\^18 + 
              233\ q\^19 - 325\ q\^20 + 435\ q\^21 - 530\ q\^22 + 
              551\ q\^23 - 530\ q\^24 + 462\ q\^25 - 309\ q\^26 + 99\ q\^27 + 
              109\ q\^28 - 286\ q\^29 + 447\ q\^30 - 529\ q\^31 + 
              517\ q\^32 - 462\ q\^33 + 395\ q\^34 - 305\ q\^35 + 
              206\ q\^36 - 147\ q\^37 + 92\ q\^38 - 18\ q\^39 - 47\ q\^40 + 
              85\ q\^41 - 131\ q\^42 + 177\ q\^43 - 181\ q\^44 + 156\ q\^45 - 
              129\ q\^46 + 97\ q\^47 - 55\ q\^48 + 23\ q\^49 - 4\ q\^50 - 
              8\ q\^51 + 12\ q\^52 - 9\ q\^53 + 5\ q\^54 - 3\ q\^55 + 
              q\^56)\))\)\)], "Output"],

Cell[BoxData[
    InterpretationBox[\("3-parallel one variable invariant for "\
\[InvisibleSpace]"["\[InvisibleSpace]"DaCbCbbCA^4bbd"\[InvisibleSpace]"]"\),
      SequenceForm[ 
      "3-parallel one variable invariant for ", "[", "DaCbCbbCA^4bbd", "]"],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\(1\/q\^\(75/2\)\) \((\((1 + q)\)\ \((1 + q\^2)\)\ \((1 + q + q\^2 + 
              q\^3 + q\^4)\)\ \((\(-1\) + 3\ q - 5\ q\^2 + 9\ q\^3 - 
              12\ q\^4 + 6\ q\^5 + 9\ q\^6 - 28\ q\^7 + 58\ q\^8 - 
              105\ q\^9 + 144\ q\^10 - 169\ q\^11 + 191\ q\^12 - 191\ q\^13 + 
              156\ q\^14 - 106\ q\^15 + 57\ q\^16 + 30\ q\^17 - 141\ q\^18 + 
              233\ q\^19 - 325\ q\^20 + 435\ q\^21 - 530\ q\^22 + 
              551\ q\^23 - 530\ q\^24 + 462\ q\^25 - 309\ q\^26 + 99\ q\^27 + 
              109\ q\^28 - 286\ q\^29 + 447\ q\^30 - 529\ q\^31 + 
              517\ q\^32 - 462\ q\^33 + 395\ q\^34 - 305\ q\^35 + 
              206\ q\^36 - 147\ q\^37 + 92\ q\^38 - 18\ q\^39 - 47\ q\^40 + 
              85\ q\^41 - 131\ q\^42 + 177\ q\^43 - 181\ q\^44 + 156\ q\^45 - 
              129\ q\^46 + 97\ q\^47 - 55\ q\^48 + 23\ q\^49 - 4\ q\^50 - 
              8\ q\^51 + 12\ q\^52 - 9\ q\^53 + 5\ q\^54 - 3\ q\^55 + 
              q\^56)\))\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[ft/ft1]\)], "Input"],

Cell[BoxData[
    \(q\^\(7/2\)\/\(\((1 + q)\)\ \((1 + q\^2)\)\ \((1 + q + q\^2 + q\^3 + \
q\^4)\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[ft1/ft2]\)], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]],

Cell["\<\
The following computation confirms Morton's one (\"any finite invariants of \
degree n with n<11 can not recognize two different mutant knots\").\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(ft = ThreeParallelPolynomialInvariant[KT]\), "\[IndentingNewLine]", 
    \(fc = ThreeParallelPolynomialInvariant[CW]\)}], "Input"],

Cell[BoxData[
    InterpretationBox[\("3-parallel one variable invariant for "\
\[InvisibleSpace]"["\[InvisibleSpace]"aCbCbbCA^4bb"\[InvisibleSpace]"]"\),
      SequenceForm[ 
      "3-parallel one variable invariant for ", "[", "aCbCbbCA^4bb", "]"],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\(1\/q\^34\) \((\(-1\) + 3\ q - 5\ q\^2 + 9\ q\^3 - 12\ q\^4 + 
          6\ q\^5 + 9\ q\^6 - 28\ q\^7 + 58\ q\^8 - 105\ q\^9 + 144\ q\^10 - 
          169\ q\^11 + 191\ q\^12 - 191\ q\^13 + 156\ q\^14 - 106\ q\^15 + 
          57\ q\^16 + 30\ q\^17 - 141\ q\^18 + 233\ q\^19 - 325\ q\^20 + 
          435\ q\^21 - 530\ q\^22 + 551\ q\^23 - 530\ q\^24 + 462\ q\^25 - 
          309\ q\^26 + 99\ q\^27 + 109\ q\^28 - 286\ q\^29 + 447\ q\^30 - 
          529\ q\^31 + 517\ q\^32 - 462\ q\^33 + 395\ q\^34 - 305\ q\^35 + 
          206\ q\^36 - 147\ q\^37 + 92\ q\^38 - 18\ q\^39 - 47\ q\^40 + 
          85\ q\^41 - 131\ q\^42 + 177\ q\^43 - 181\ q\^44 + 156\ q\^45 - 
          129\ q\^46 + 97\ q\^47 - 55\ q\^48 + 23\ q\^49 - 4\ q\^50 - 
          8\ q\^51 + 12\ q\^52 - 9\ q\^53 + 5\ q\^54 - 3\ q\^55 + 
          q\^56)\)\)], "Output"],

Cell[BoxData[
    InterpretationBox[\("3-parallel one variable invariant for "\
\[InvisibleSpace]"["\[InvisibleSpace]"aCbCbbCaB^3"\[InvisibleSpace]"]"\),
      SequenceForm[ 
      "3-parallel one variable invariant for ", "[", "aCbCbbCaB^3", "]"],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\(1\/q\^34\) \((\(-1\) + 3\ q - 5\ q\^2 + 9\ q\^3 - 13\ q\^4 + 
          12\ q\^5 - 7\ q\^6 + 16\ q\^8 - 47\ q\^9 + 76\ q\^10 - 103\ q\^11 + 
          138\ q\^12 - 161\ q\^13 + 156\ q\^14 - 136\ q\^15 + 110\ q\^16 - 
          36\ q\^17 - 71\ q\^18 + 163\ q\^19 - 251\ q\^20 + 351\ q\^21 - 
          430\ q\^22 + 429\ q\^23 - 393\ q\^24 + 330\ q\^25 - 203\ q\^26 + 
          39\ q\^27 + 109\ q\^28 - 226\ q\^29 + 341\ q\^30 - 397\ q\^31 + 
          380\ q\^32 - 340\ q\^33 + 295\ q\^34 - 221\ q\^35 + 132\ q\^36 - 
          77\ q\^37 + 22\ q\^38 + 48\ q\^39 - 100\ q\^40 + 115\ q\^41 - 
          131\ q\^42 + 147\ q\^43 - 128\ q\^44 + 90\ q\^45 - 61\ q\^46 + 
          39\ q\^47 - 13\ q\^48 - 5\ q\^49 + 12\ q\^50 - 14\ q\^51 + 
          13\ q\^52 - 9\ q\^53 + 5\ q\^54 - 3\ q\^55 + q\^56)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[ft - fc]\)], "Input"],

Cell[BoxData[
    \(\(-\(\(1\/q\^30\)\((\((\(-1\) + q)\)\^11\ \((1 + 2\ q + 2\ q\^2 + q\^3)\
\)\^3\ \((1 - q + 2\ q\^2 - q\^3 + 
              q\^4)\)\ \((1 + q\^2 + q\^4 + q\^6 + q\^8 + q\^10 + \
q\^12)\)\^2)\)\)\)\)], "Output"]
}, Open  ]],

Cell["\<\
The following computation gives another one in the case of 12 crossings by  \
Imafuji-Ochiai. Note that you will need
several minutes to calculate.\
\>", "Text"],

Cell[BoxData[{
    StyleBox[\(bword1\  = \ "\<AbcDcbbabbCCDb\>"\),
      FontFamily->"Osaka\.81|\.93\.99\.95\.9d"], "\n", 
    StyleBox[\(bword2\  = \ "\<ABcdBabbCCddbc\>"\),
      FontFamily->"Osaka\.81|\.93\.99\.95\.9d"]}], "Input"],

Cell[BoxData[{
    \(pol1 = 
      ThreeParallelPolynomialInvariant[bword1]\), "\[IndentingNewLine]", 
    \(pol2 = ThreeParallelPolynomialInvariant[bword2]\)}], "Input"],

Cell[BoxData[
    \(Simplify[pol1 - pol2]\)], "Input"],

Cell[BoxData[{
    StyleBox[\(bword1\  = \ "\<AbcDcbbabbccDb\>"\),
      FontFamily->"Osaka\.81|\.93\.99\.95\.9d"], "\n", 
    StyleBox[
      RowBox[{\(bword2\  = \ "\<ABcdBabbccddbc\>"\), "\n"}],
      FontFamily->"Osaka\.81|\.93\.99\.95\.9d"], "\n", 
    StyleBox[\(bword1\  = \ "\<ABcDcBBabbCCDb\>"\),
      FontFamily->"Osaka\.81|\.93\.99\.95\.9d"], "\n", 
    StyleBox[\(bword2\  = \ "\<AbcDcbbaBBCCDB\>"\),
      FontFamily->"Osaka\.81|\.93\.99\.95\.9d"], "\n", 
    StyleBox[\(bword3\  = \ "\<ABcdBaBBCCddBc\>"\),
      FontFamily->"Osaka\.81|\.93\.99\.95\.9d"]}], "Input"],

Cell[BoxData[{
    \(bword1\  = \ "\<abCdbCaabbbCDC\>"\), "\n", 
    \(bword2\  = \ "\<AbcdCAbbbCDccb\>"\)}], "Input"],

Cell["\<\
The following example gives another one in the case of n  crossings with \
n<18.\
\>", "Text"],

Cell[BoxData[{
    StyleBox[\(bword1 = "\<DcccDABBAABdcDcaBBab\>"\),
      FontFamily->"Osaka\.81|\.93\.99\.95\.9d"], "\n", 
    StyleBox[\(bword2 = "\<DcccDaBBabdcDcABBAAB\>"\),
      FontFamily->"Osaka\.81|\.93\.99\.95\.9d"]}], "Input"],

Cell["\<\
The function SLInvarint[] can compute 3-parallel 2-variables invariants of \
braids with up to 3,4,5 index. To use the function SLInvarint[], you must \
extend Macintosh virtual memory system to the maximal limit [900Mbyte].
    \
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(SLInvarint[KT] // Timing\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("3-parallel sl_n invariant for "\[InvisibleSpace]"["\
\[InvisibleSpace]"aCbCbbCA^4bb"\[InvisibleSpace]"]"\),
      SequenceForm[ 
      "3-parallel sl_n invariant for ", "[", "aCbCbbCA^4bb", "]"],
      Editable->False]], "Print"],

Cell[BoxData[
    \({12.528`\ Second, \((\((\(-1\) + \[Lambda])\)\ \((\(-1\) + q\ \
\[Lambda])\)\^4\ \((\(-1\) + q\^2\ \[Lambda])\)\ \((q\^4 - 2\ q\^5 + 
                5\ q\^6 - 9\ q\^7 + 14\ q\^8 - 17\ q\^9 + 22\ q\^10 - 
                25\ q\^11 + 29\ q\^12 - 29\ q\^13 + 30\ q\^14 - 29\ q\^15 + 
                29\ q\^16 - 25\ q\^17 + 22\ q\^18 - 17\ q\^19 + 14\ q\^20 - 
                9\ q\^21 + 5\ q\^22 - 2\ q\^23 + q\^24 - q\^2\ \[Lambda] - 
                2\ q\^4\ \[Lambda] + 3\ q\^6\ \[Lambda] - 
                18\ q\^7\ \[Lambda] + 28\ q\^8\ \[Lambda] - 
                61\ q\^9\ \[Lambda] + 94\ q\^10\ \[Lambda] - 
                144\ q\^11\ \[Lambda] + 178\ q\^12\ \[Lambda] - 
                226\ q\^13\ \[Lambda] + 245\ q\^14\ \[Lambda] - 
                264\ q\^15\ \[Lambda] + 245\ q\^16\ \[Lambda] - 
                226\ q\^17\ \[Lambda] + 178\ q\^18\ \[Lambda] - 
                144\ q\^19\ \[Lambda] + 94\ q\^20\ \[Lambda] - 
                61\ q\^21\ \[Lambda] + 28\ q\^22\ \[Lambda] - 
                18\ q\^23\ \[Lambda] + 3\ q\^24\ \[Lambda] - 
                2\ q\^26\ \[Lambda] - q\^28\ \[Lambda] + 2\ q\ \[Lambda]\^2 - 
                2\ q\^2\ \[Lambda]\^2 + 9\ q\^3\ \[Lambda]\^2 - 
                13\ q\^4\ \[Lambda]\^2 + 29\ q\^5\ \[Lambda]\^2 - 
                30\ q\^6\ \[Lambda]\^2 + 57\ q\^7\ \[Lambda]\^2 - 
                52\ q\^8\ \[Lambda]\^2 + 84\ q\^9\ \[Lambda]\^2 - 
                77\ q\^10\ \[Lambda]\^2 + 121\ q\^11\ \[Lambda]\^2 - 
                107\ q\^12\ \[Lambda]\^2 + 169\ q\^13\ \[Lambda]\^2 - 
                165\ q\^14\ \[Lambda]\^2 + 213\ q\^15\ \[Lambda]\^2 - 
                176\ q\^16\ \[Lambda]\^2 + 213\ q\^17\ \[Lambda]\^2 - 
                165\ q\^18\ \[Lambda]\^2 + 169\ q\^19\ \[Lambda]\^2 - 
                107\ q\^20\ \[Lambda]\^2 + 121\ q\^21\ \[Lambda]\^2 - 
                77\ q\^22\ \[Lambda]\^2 + 84\ q\^23\ \[Lambda]\^2 - 
                52\ q\^24\ \[Lambda]\^2 + 57\ q\^25\ \[Lambda]\^2 - 
                30\ q\^26\ \[Lambda]\^2 + 29\ q\^27\ \[Lambda]\^2 - 
                13\ q\^28\ \[Lambda]\^2 + 9\ q\^29\ \[Lambda]\^2 - 
                2\ q\^30\ \[Lambda]\^2 + 
                2\ q\^31\ \[Lambda]\^2 - \[Lambda]\^3 - 
                4\ q\^2\ \[Lambda]\^3 + 3\ q\^3\ \[Lambda]\^3 - 
                16\ q\^4\ \[Lambda]\^3 + 16\ q\^5\ \[Lambda]\^3 - 
                56\ q\^6\ \[Lambda]\^3 + 60\ q\^7\ \[Lambda]\^3 - 
                130\ q\^8\ \[Lambda]\^3 + 144\ q\^9\ \[Lambda]\^3 - 
                250\ q\^10\ \[Lambda]\^3 + 239\ q\^11\ \[Lambda]\^3 - 
                356\ q\^12\ \[Lambda]\^3 + 327\ q\^13\ \[Lambda]\^3 - 
                431\ q\^14\ \[Lambda]\^3 + 351\ q\^15\ \[Lambda]\^3 - 
                452\ q\^16\ \[Lambda]\^3 + 368\ q\^17\ \[Lambda]\^3 - 
                452\ q\^18\ \[Lambda]\^3 + 351\ q\^19\ \[Lambda]\^3 - 
                431\ q\^20\ \[Lambda]\^3 + 327\ q\^21\ \[Lambda]\^3 - 
                356\ q\^22\ \[Lambda]\^3 + 239\ q\^23\ \[Lambda]\^3 - 
                250\ q\^24\ \[Lambda]\^3 + 144\ q\^25\ \[Lambda]\^3 - 
                130\ q\^26\ \[Lambda]\^3 + 60\ q\^27\ \[Lambda]\^3 - 
                56\ q\^28\ \[Lambda]\^3 + 16\ q\^29\ \[Lambda]\^3 - 
                16\ q\^30\ \[Lambda]\^3 + 3\ q\^31\ \[Lambda]\^3 - 
                4\ q\^32\ \[Lambda]\^3 - q\^34\ \[Lambda]\^3 + \[Lambda]\^4 - 
                q\ \[Lambda]\^4 + 6\ q\^2\ \[Lambda]\^4 - 
                8\ q\^3\ \[Lambda]\^4 + 24\ q\^4\ \[Lambda]\^4 - 
                21\ q\^5\ \[Lambda]\^4 + 55\ q\^6\ \[Lambda]\^4 - 
                49\ q\^7\ \[Lambda]\^4 + 105\ q\^8\ \[Lambda]\^4 - 
                79\ q\^9\ \[Lambda]\^4 + 183\ q\^10\ \[Lambda]\^4 - 
                157\ q\^11\ \[Lambda]\^4 + 307\ q\^12\ \[Lambda]\^4 - 
                275\ q\^13\ \[Lambda]\^4 + 488\ q\^14\ \[Lambda]\^4 - 
                446\ q\^15\ \[Lambda]\^4 + 662\ q\^16\ \[Lambda]\^4 - 
                567\ q\^17\ \[Lambda]\^4 + 738\ q\^18\ \[Lambda]\^4 - 
                567\ q\^19\ \[Lambda]\^4 + 662\ q\^20\ \[Lambda]\^4 - 
                446\ q\^21\ \[Lambda]\^4 + 488\ q\^22\ \[Lambda]\^4 - 
                275\ q\^23\ \[Lambda]\^4 + 307\ q\^24\ \[Lambda]\^4 - 
                157\ q\^25\ \[Lambda]\^4 + 183\ q\^26\ \[Lambda]\^4 - 
                79\ q\^27\ \[Lambda]\^4 + 105\ q\^28\ \[Lambda]\^4 - 
                49\ q\^29\ \[Lambda]\^4 + 55\ q\^30\ \[Lambda]\^4 - 
                21\ q\^31\ \[Lambda]\^4 + 24\ q\^32\ \[Lambda]\^4 - 
                8\ q\^33\ \[Lambda]\^4 + 6\ q\^34\ \[Lambda]\^4 - 
                q\^35\ \[Lambda]\^4 + q\^36\ \[Lambda]\^4 - q\ \[Lambda]\^5 + 
                q\^2\ \[Lambda]\^5 - 6\ q\^3\ \[Lambda]\^5 + 
                8\ q\^4\ \[Lambda]\^5 - 24\ q\^5\ \[Lambda]\^5 + 
                22\ q\^6\ \[Lambda]\^5 - 54\ q\^7\ \[Lambda]\^5 + 
                46\ q\^8\ \[Lambda]\^5 - 105\ q\^9\ \[Lambda]\^5 + 
                80\ q\^10\ \[Lambda]\^5 - 185\ q\^11\ \[Lambda]\^5 + 
                168\ q\^12\ \[Lambda]\^5 - 347\ q\^13\ \[Lambda]\^5 + 
                332\ q\^14\ \[Lambda]\^5 - 574\ q\^15\ \[Lambda]\^5 + 
                547\ q\^16\ \[Lambda]\^5 - 798\ q\^17\ \[Lambda]\^5 + 
                701\ q\^18\ \[Lambda]\^5 - 888\ q\^19\ \[Lambda]\^5 + 
                701\ q\^20\ \[Lambda]\^5 - 798\ q\^21\ \[Lambda]\^5 + 
                547\ q\^22\ \[Lambda]\^5 - 574\ q\^23\ \[Lambda]\^5 + 
                332\ q\^24\ \[Lambda]\^5 - 347\ q\^25\ \[Lambda]\^5 + 
                168\ q\^26\ \[Lambda]\^5 - 185\ q\^27\ \[Lambda]\^5 + 
                80\ q\^28\ \[Lambda]\^5 - 105\ q\^29\ \[Lambda]\^5 + 
                46\ q\^30\ \[Lambda]\^5 - 54\ q\^31\ \[Lambda]\^5 + 
                22\ q\^32\ \[Lambda]\^5 - 24\ q\^33\ \[Lambda]\^5 + 
                8\ q\^34\ \[Lambda]\^5 - 6\ q\^35\ \[Lambda]\^5 + 
                q\^36\ \[Lambda]\^5 - q\^37\ \[Lambda]\^5 + 
                q\^3\ \[Lambda]\^6 + 4\ q\^5\ \[Lambda]\^6 - 
                3\ q\^6\ \[Lambda]\^6 + 15\ q\^7\ \[Lambda]\^6 - 
                16\ q\^8\ \[Lambda]\^6 + 57\ q\^9\ \[Lambda]\^6 - 
                61\ q\^10\ \[Lambda]\^6 + 131\ q\^11\ \[Lambda]\^6 - 
                142\ q\^12\ \[Lambda]\^6 + 248\ q\^13\ \[Lambda]\^6 - 
                212\ q\^14\ \[Lambda]\^6 + 309\ q\^15\ \[Lambda]\^6 - 
                229\ q\^16\ \[Lambda]\^6 + 311\ q\^17\ \[Lambda]\^6 - 
                170\ q\^18\ \[Lambda]\^6 + 263\ q\^19\ \[Lambda]\^6 - 
                141\ q\^20\ \[Lambda]\^6 + 263\ q\^21\ \[Lambda]\^6 - 
                170\ q\^22\ \[Lambda]\^6 + 311\ q\^23\ \[Lambda]\^6 - 
                229\ q\^24\ \[Lambda]\^6 + 309\ q\^25\ \[Lambda]\^6 - 
                212\ q\^26\ \[Lambda]\^6 + 248\ q\^27\ \[Lambda]\^6 - 
                142\ q\^28\ \[Lambda]\^6 + 131\ q\^29\ \[Lambda]\^6 - 
                61\ q\^30\ \[Lambda]\^6 + 57\ q\^31\ \[Lambda]\^6 - 
                16\ q\^32\ \[Lambda]\^6 + 15\ q\^33\ \[Lambda]\^6 - 
                3\ q\^34\ \[Lambda]\^6 + 4\ q\^35\ \[Lambda]\^6 + 
                q\^37\ \[Lambda]\^6 - 2\ q\^6\ \[Lambda]\^7 + 
                2\ q\^7\ \[Lambda]\^7 - 9\ q\^8\ \[Lambda]\^7 + 
                12\ q\^9\ \[Lambda]\^7 - 27\ q\^10\ \[Lambda]\^7 + 
                30\ q\^11\ \[Lambda]\^7 - 58\ q\^12\ \[Lambda]\^7 + 
                51\ q\^13\ \[Lambda]\^7 - 89\ q\^14\ \[Lambda]\^7 + 
                85\ q\^15\ \[Lambda]\^7 - 133\ q\^16\ \[Lambda]\^7 + 
                102\ q\^17\ \[Lambda]\^7 - 163\ q\^18\ \[Lambda]\^7 + 
                137\ q\^19\ \[Lambda]\^7 - 186\ q\^20\ \[Lambda]\^7 + 
                130\ q\^21\ \[Lambda]\^7 - 186\ q\^22\ \[Lambda]\^7 + 
                137\ q\^23\ \[Lambda]\^7 - 163\ q\^24\ \[Lambda]\^7 + 
                102\ q\^25\ \[Lambda]\^7 - 133\ q\^26\ \[Lambda]\^7 + 
                85\ q\^27\ \[Lambda]\^7 - 89\ q\^28\ \[Lambda]\^7 + 
                51\ q\^29\ \[Lambda]\^7 - 58\ q\^30\ \[Lambda]\^7 + 
                30\ q\^31\ \[Lambda]\^7 - 27\ q\^32\ \[Lambda]\^7 + 
                12\ q\^33\ \[Lambda]\^7 - 9\ q\^34\ \[Lambda]\^7 + 
                2\ q\^35\ \[Lambda]\^7 - 2\ q\^36\ \[Lambda]\^7 + 
                q\^9\ \[Lambda]\^8 + 2\ q\^11\ \[Lambda]\^8 + 
                q\^12\ \[Lambda]\^8 - 4\ q\^13\ \[Lambda]\^8 + 
                19\ q\^14\ \[Lambda]\^8 - 32\ q\^15\ \[Lambda]\^8 + 
                67\ q\^16\ \[Lambda]\^8 - 95\ q\^17\ \[Lambda]\^8 + 
                142\ q\^18\ \[Lambda]\^8 - 172\ q\^19\ \[Lambda]\^8 + 
                218\ q\^20\ \[Lambda]\^8 - 228\ q\^21\ \[Lambda]\^8 + 
                246\ q\^22\ \[Lambda]\^8 - 228\ q\^23\ \[Lambda]\^8 + 
                218\ q\^24\ \[Lambda]\^8 - 172\ q\^25\ \[Lambda]\^8 + 
                142\ q\^26\ \[Lambda]\^8 - 95\ q\^27\ \[Lambda]\^8 + 
                67\ q\^28\ \[Lambda]\^8 - 32\ q\^29\ \[Lambda]\^8 + 
                19\ q\^30\ \[Lambda]\^8 - 4\ q\^31\ \[Lambda]\^8 + 
                q\^32\ \[Lambda]\^8 + 2\ q\^33\ \[Lambda]\^8 + 
                q\^35\ \[Lambda]\^8 - q\^13\ \[Lambda]\^9 + 
                2\ q\^14\ \[Lambda]\^9 - 5\ q\^15\ \[Lambda]\^9 + 
                9\ q\^16\ \[Lambda]\^9 - 15\ q\^17\ \[Lambda]\^9 + 
                20\ q\^18\ \[Lambda]\^9 - 27\ q\^19\ \[Lambda]\^9 + 
                32\ q\^20\ \[Lambda]\^9 - 38\ q\^21\ \[Lambda]\^9 + 
                40\ q\^22\ \[Lambda]\^9 - 42\ q\^23\ \[Lambda]\^9 + 
                40\ q\^24\ \[Lambda]\^9 - 38\ q\^25\ \[Lambda]\^9 + 
                32\ q\^26\ \[Lambda]\^9 - 27\ q\^27\ \[Lambda]\^9 + 
                20\ q\^28\ \[Lambda]\^9 - 15\ q\^29\ \[Lambda]\^9 + 
                9\ q\^30\ \[Lambda]\^9 - 5\ q\^31\ \[Lambda]\^9 + 
                2\ q\^32\ \[Lambda]\^9 - 
                q\^33\ \[Lambda]\^9)\))\)/\((\((\(-1\) + q)\)\^6\ q\^19\ \((1 \
+ q + q\^2)\)\ \[Lambda]\^2)\)}\)], "Output"]
}, Closed]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Mutation of a knot", "Section"],

Cell[TextData[{
  "You  can do a flip, mutation, vertical mutation, and horizontal mutation \
of a knot (but not a link) by a new function MutationOfTangle. In the case, \
you will get the in-between output and then can convert them into ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " expression using the Function ToExpression through cutting-pasting \
operation of the output data. Moreover, you can change the outermost ",
  "region ",
  "of a projection in the execution by clicking the right-hand mouse and \
selecting an item from a pop-up menu."
}], "Text"],

Cell[BoxData[
    \(\(pdata = {{17}, {\(-31\), 29, 20, 17, \(-1\), \(-33\), 2, 27, \(-25\), 
            8, \(-30\), 5, 28, \(-9\), 11, \(-3\), \(-13\)}};\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(MutationOfTangle[pdata]\)], "Input"],

Cell[BoxData[
    \("Mutate tangle:"\)], "Print"],

Cell[BoxData[
    \("pdata1 = {{17}, {15, -13, 28, -18, 25, 16, -29, 31, -1, -33, 2, -19, \
17, 8, 5, -3, -21}}"\)], "Print"],

Cell[BoxData[
    \({{17}, {15, \(-13\), 28, \(-18\), 25, 16, \(-29\), 31, \(-1\), \(-33\), 
        2, \(-19\), 17, 8, 5, \(-3\), \(-21\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ToExpression["\<pdata1 = {{17}, {15, -13, 28, -18, 25, 16, -29, 31, -1, \
-33, 2, -19, 17, 8, 5, -3, -21}}\>"]\)], "Input"],

Cell[BoxData[
    \({{17}, {15, \(-13\), 28, \(-18\), 25, 16, \(-29\), 31, \(-1\), \(-33\), 
        2, \(-19\), 17, 8, 5, \(-3\), \(-21\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(MutationOfTangle[pdata1]\)], "Input"],

Cell[BoxData[
    \("H-Reverse a tangle:"\)], "Print"],

Cell[BoxData[
    \("pdata1 = {{17}, {-21, 15, -13, 28, -18, 25, 16, -29, 31, -1, -19, 17, \
8, 5, -3, 20, -23}}"\)], "Print"],

Cell[BoxData[
    \({{17}, {15, \(-13\), 28, \(-18\), 25, 16, \(-29\), 31, \(-1\), \(-33\), 
        2, \(-19\), 17, 8, 5, \(-3\), \(-21\)}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Data conversion", "Section"],

Cell["\<\
Let \"knot1\"and \"link1\" be data files made by Jeff Week's Snappea. You \
will get a p-data by the following function PLDataFromSnapPeaData[].\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(PLDataFromSnapPeaData["\<knot1\>"]\)], "Input"],

Cell[BoxData[
    \("The corresponding p-data:"\)], "Print"],

Cell[BoxData[
    \({{3}, {\(-5\), \(-1\), \(-3\)}}\)], "Print"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata = {{3}, {\(-5\), \(-1\), \(-3\)}};\)\), "\[IndentingNewLine]", 
    \(ShowKnotbyOpengl[pdata]\)}], "Input"],

Cell[BoxData[
    \("./KnotOgl"\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(PLDataFromSnapPeaData["\<link1\>"]\)], "Input"],

Cell[BoxData[
    \("The corresponding p-data:"\)], "Print"],

Cell[BoxData[
    \({{2, 3}, {10, \(-8\), 2, \(-4\), 6}}\)], "Print"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata = {{2, 3}, {10, \(-8\), 2, \(-4\), 
            6}};\)\), "\[IndentingNewLine]", 
    \(ShowKnotbyOpengl[pdata]\)}], "Input"],

Cell[BoxData[
    \("./KnotOgl"\)], "Output"]
}, Open  ]],

Cell["\<\
At converse, let \"LastPLdata.sp\" be a data file made by the function \
GetPdatabyTracking[]. You will get a file SnappeaFromPL.pl which is a data \
file of Snappea.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(SnapPeaDataFromPLData["\<LastPLdata.sp\>"]\)], "Input"],

Cell[BoxData[
    \("Outputted to SnappeaFromPL.pl which must been only used in J. Weeks's \
SnapPea."\)], "Print"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[TextData[{
  "Let \"GauseanFormExample\" be a data file including Gausean forms such as \
",
  StyleBox["{{1,4},{3,8},{5,10},{7,14},{9,2},{11,20},{13,16},{15,6},{17,22},{\
19,12},{21,18}}. ",
    FontFamily->"\.82l\.82r \.83S\.83V\.83b\.83N",
    FontSize->10],
  " You can get a pdata file \"GauseanFormExample.prd\"."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(KnotbyGauseanFormFromFile["\<GauseanFormExample\>"]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Outputted to a p-data file: \
"\[InvisibleSpace]"GauseanFormExample.prd"\),
      SequenceForm[ "Outputted to a p-data file: ", "GauseanFormExample.prd"],
      
      Editable->False]], "Print"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(!! "\<GauseanFormExample.prd\>"\)\)], "Input"],

Cell["\<\
 22   1
 22
  4  -8  10 -14  -2  16  20  -6  22  12  18 
 22   1
 22
  4  -8  10 -13  -2  19  -7  21  11  17  15 
 22   1
 22
  4  -8  10 -14  -2  20  16  -6 -22  12 -18 
555
17\
\>", "Print",
  GeneratedCell->False,
  CellAutoOverwrite->False]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(KnotbyGauseanForm[{{1, 4}, {3, 8}, {5, 10}, {7, 14}, {9, 2}, {11, 
          16}, {13, 20}, {15, 6}, {17, 22}, {19, 12}, {21, 18}}]\)], "Input"],

Cell[BoxData[
    \({{11}, {4, \(-8\), 10, \(-14\), \(-2\), 16, 20, \(-6\), 22, 12, 
        18}}\)], "Print"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell["Also, you can get a pdata from Doker-Thistlethwaite's form.", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(KnotbyDT[{4, 8, \(-12\), 
        2, \(-14\), \(-6\), \(-16\), \(-10\)}]\)], "Input"],

Cell[BoxData[
    \({{8}, {4, 8, \(-11\), 2, \(-15\), \(-5\), \(-9\), \(-13\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(KnotbyDowkerThistlethwaiteNotation[{4, 8, \(-12\), 
        2, \(-14\), \(-6\), \(-16\), \(-10\)}]\)], "Input"],

Cell[BoxData[
    \({{8}, {4, 8, \(-11\), 2, \(-15\), \(-5\), \(-9\), \(-13\)}}\)], "Output"]
}, Open  ]],

Cell[TextData[{
  "You can get a pdata file from a data file of Dowker-Thistlethwaite's forms \
which is including datum such as:\n",
  StyleBox["16        1      4   8  10 -14   2 -16 -20  -6 -22 -26 -12 -28 \
-30 -18 -32 -24\n",
    FontFamily->"\.82l\.82r \.83S\.83V\.83b\.83N",
    FontSize->10],
  "crossing number  Dowker-Thistlethwaite's form (see  an unpacked data at \
knotscape 1.01 SunOS in http://www.math.utk.edu/~morwen/download/)"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(KnotbyDTFromFile["\<na16.dt\>"]\)], "Input"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \({{16}, {4, \(-8\), 10, 15, \(-2\), 21, 7, \(-11\), 27, 13, \(-17\), 31, 
        19, \(-23\), 25, \(-29\)}}\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \({{16}, {4, \(-8\), 10, 15, \(-2\), 21, 7, \(-11\), 27, 13, \(-17\), 
        28, \(-30\), 19, 32, \(-24\)}}\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \({{16}, {4, \(-8\), 10, 15, \(-2\), 21, 7, \(-11\), \(-26\), 
        13, \(-17\), 31, \(-18\), \(-23\), 25, \(-29\)}}\)], "Print"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(KnotbyDTFromFileToFile["\<nonalternate16.dt\>", \
"\<nonalternate16.prd\>"]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Plat closures", "Section"],

Cell["\<\
You will get a pdata determined by a plat closure given by a even braid. 
Note that $RecursionLimit=512 for a plat with a big crossing number.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(KnotFromPlat["\<bbabcDcabed\>"]\)], "Input"],

Cell[BoxData[
    \({{11}, {20, \(-11\), 8, \(-16\), 17, \(-14\), 21, \(-4\), \(-13\), 12, 
        9}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\( (*\ 
      figure\ eight\ knot\ \
*) \)\(\[IndentingNewLine]\)\(\(pdata2\)\(=\)\(KnotFromPlat["\<BcBB\>"]\)\(\ \
\ \)\)\)\)], "Input"],

Cell[BoxData[
    \({{4}, {\(-6\), 8, \(-2\), 4}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SkeinPolynomial[0, pdata2]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Jones Polynomial for "\[InvisibleSpace]"["\
\[InvisibleSpace]{{4}, {\(-6\), 8, \(-2\), 4}}\[InvisibleSpace]"]"\),
      SequenceForm[ "Jones Polynomial for ", "[", {{4}, {-6, 8, -2, 4}}, "]"],
      
      Editable->False]], "Print"],

Cell[BoxData[
    \(1 + 1\/x\^4 - 1\/x\^2 - x\^2 + x\^4\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(KnotFromPlat["\<abbdcccc\>"]\)], "Input"],

Cell[BoxData[
    \("Wrong data !!! (All braids must have even strings for plat \
closure.)"\)], "Print"],

Cell[BoxData[
    \("abbdcccc"\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Resolution trees of 2-string tangles", "Section"],

Cell["\<\
You can input a tangle T by a function TangleResolution[] using a mouse \
tracking operation and as a result get two base HOMFLYpolynomials \[Alpha] \
and \[Beta] of T such that \[Alpha] T0 + \[Beta] T1 about the trivial base \
tangles T0 and T1. The following example gives a computation result of a \
tangle decomposition of Kinoshita-Terasaka knot.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(TangleResolution[0]\)], "Input"],

Cell[BoxData[
    \({{0, 
        2 + 1\/\(x\ y\^3\) - 2\/y\^2 - 1\/\(x\ y\) + 
          x\/y}, {4, \(-\(1\/y\^3\)\) + x\/y\^2}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(TangleResolution[0]\)], "Input"],

Cell[BoxData[
    \({{4, 1\/\(x\^2\ y\^2\) - 1\/\(x\ y\) - x\/y}, {0, 
        1\/x - 1\/\(x\ y\^2\) + 2\/y - 1\/\(x\^2\ y\)}}\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(\(KT = "\<aCbCbbCAbb\>";\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(pdata = KnotFromBraid[KT]\)], "Input"],

Cell[BoxData[
    \({{8, 2}, {\(-8\), 19, \(-12\), 14, \(-4\), 2, 10, 1, \(-16\), 
        6}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SkeinPolynomial[1, pdata]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Two variable Jones Polynomial for \
"\[InvisibleSpace]"["\[InvisibleSpace]{{8, 2}, {\(-8\), 19, \(-12\), 
            14, \(-4\), 2, 10, 1, \(-16\), 6}}\[InvisibleSpace]"]"\),
      SequenceForm[ 
      "Two variable Jones Polynomial for ", "[", {{8, 2}, {-8, 19, -12, 
        14, -4, 2, 10, 1, -16, 6}}, "]"],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\(-\(2\/x\^3\)\) + 7\/x - x + 1\/\(x\^3\ y\^2\) - 1\/\(x\ y\^2\) + 
      2\/y - 4\/\(x\^2\ y\) - 4\ y + \(5\ y\)\/x\^2 + 
      y\^2\/x\^3 - \(4\ y\^2\)\/x - y\^3\/x\^2\)], "Output"]
}, Open  ]],

Cell[BoxData[{
    \(\(\[Alpha]1 = 
        2 + 1\/\(x\ y\^3\) - 2\/y\^2 - 1\/\(x\ y\) + 
          x\/y;\)\), "\[IndentingNewLine]", 
    \(\(\[Beta]1 = \(-\(1\/y\^3\)\) + x\/y\^2;\)\), "\[IndentingNewLine]", 
    \(\(\[Alpha]2 = 
        1\/x - 1\/\(x\ y\^2\) + 2\/y - 
          1\/\(x\^2\ y\);\)\), "\[IndentingNewLine]", 
    \(\(\[Beta]2 = 1\/\(x\^2\ y\^2\) - 1\/\(x\ y\) - x\/y;\)\)}], "Input"],

Cell[BoxData[
    \(\(VK = \[Alpha]1\ \[Alpha]2\ \((x + 
                y)\)\  + \[Alpha]1\ \[Beta]2\  + \[Beta]1\ \[Alpha]2\  + \ \
\[Beta]1\ \[Beta]2\ \((1/x - y \((x + y)\)/x)\);\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Expand[VK]\)], "Input"],

Cell[BoxData[
    \(7 - 3\/x\^2 + 1\/y\^4 - 1\/\(x\^2\ y\^4\) - 1\/\(x\^3\ y\^3\) + 
      6\/\(x\ y\^3\) - \(3\ x\)\/y\^3 - 11\/y\^2 + 
      6\/\(x\^2\ y\^2\) + \(2\ x\^2\)\/y\^2 + 1\/\(x\^3\ y\) - 
      11\/\(x\ y\) + \(6\ x\)\/y + \(2\ y\)\/x\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Expand[x^3\ y^4\ %]\)], "Input"],

Cell[BoxData[
    \(\(-x\) + x\^3 - y + 6\ x\^2\ y - 3\ x\^4\ y + 6\ x\ y\^2 - 
      11\ x\^3\ y\^2 + 2\ x\^5\ y\^2 + y\^3 - 11\ x\^2\ y\^3 + 
      6\ x\^4\ y\^3 - 3\ x\ y\^4 + 7\ x\^3\ y\^4 + 2\ x\^2\ y\^5\)], "Output"]
}, Open  ]],

Cell["You can execute the tangle program as a standalone one.", "Text"],

Cell[BoxData[
    \(TangleResolution[1]\)], "Input"],

Cell[BoxData[{
    \(\(tt1 = {{0, 
            2 + 1\/\(x\ y\^3\) - 2\/y\^2 - 1\/\(x\ y\) + 
              x\/y}, {4, \(-\(1\/y\^3\)\) + 
              x\/y\^2}};\)\), "\[IndentingNewLine]", 
    \(\(tt2 = {{4, 1\/\(x\^2\ y\^2\) - 1\/\(x\ y\) - x\/y}, {0, 
            1\/x - 1\/\(x\ y\^2\) + 2\/y - 1\/\(x\^2\ y\)}};\)\)}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(HOMFLYbyTangleDecomposition[tt1, tt2]\)], "Input"],

Cell[BoxData[
    \(\(\(1\/\(h\ x\^3\ y\^5\)\)\((x\ \((\(-1\) + y\^2)\)\ \((1 - 2\ x\ y - 
              x\^3\ y + x\^2\ y\^2 + x\^4\ y\^2)\) + 
        h\^2\ \((2\ x\^4\ y\^3 + y\ \((\(-1\) + y\^2)\) + 
              5\ x\^3\ y\^2\ \((\(-1\) + y\^2)\) + 
              x\ \((\(-1\) + 4\ y\^2 - 3\ y\^4)\) + 
              x\^2\ y\ \((4 - 7\ y\^2 + 2\ y\^4)\))\) + 
        h\ \((3\ x\^4\ y\^2 + \((\(-1\) + y\^2)\)\^2 + 
              x\^3\ y\ \((\(-4\) - 3\ y\^2 + 5\ y\^4)\) + 
              x\ \((\(-2\)\ y + 7\ y\^3 - 3\ y\^5)\) + 
              x\^2\ \((1 + 3\ y\^2 - 9\ y\^4 + 2\ y\^6)\))\))\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(HOMFLYbyTangleDecomposition[tt2, tt1]\)], "Input"],

Cell[BoxData[
    \(\(\(1\/\(h\ x\^3\ y\^5\)\)\((x\ \((\(-1\) + y\^2)\)\ \((1 - 2\ x\ y - 
              x\^3\ y + x\^2\ y\^2 + x\^4\ y\^2)\) + 
        h\^2\ \((2\ x\^4\ y\^3 + y\ \((\(-1\) + y\^2)\) + 
              5\ x\^3\ y\^2\ \((\(-1\) + y\^2)\) + 
              x\ \((\(-1\) + 4\ y\^2 - 3\ y\^4)\) + 
              x\^2\ y\ \((4 - 7\ y\^2 + 2\ y\^4)\))\) + 
        h\ \((3\ x\^4\ y\^2 + \((\(-1\) + y\^2)\)\^2 + 
              x\^3\ y\ \((\(-4\) - 3\ y\^2 + 5\ y\^4)\) + 
              x\ \((\(-2\)\ y + 7\ y\^3 - 3\ y\^5)\) + 
              x\^2\ \((1 + 3\ y\^2 - 9\ y\^4 + 2\ y\^6)\))\))\)\)\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Bug reports", "Section"],

Cell["\<\
(1) ReductionKnotLink[] fail to simplify links in this version.
(2) GetBraidRep[] fail to convert alternating twist knots of about 15 or more \
crossings.
\
\>", "Text"]
}, Closed]],

Cell["\<\

\
\>", "Subsubtitle"],

Cell[TextData[{
  "\t",
  StyleBox["***",
    FontSize->36,
    FontWeight->"Bold"],
  StyleBox["LinKnot",
    FontSize->36,
    FontWeight->"Bold",
    FontSlant->"Italic"],
  StyleBox[" ***",
    FontSize->36,
    FontWeight->"Bold"]
}], "Title"],

Cell[TextData[StyleBox["Slavik Jablan: jablans@mi.sanu.ac.yu\nRadmila \
Sazdanovic: radmilas@gmail.com",
  FontSize->18,
  FontWeight->"Plain",
  FontVariations->{"CompatibilityType"->0}]], "Subtitle",
  Background->GrayLevel[0.666667]],

Cell[TextData[StyleBox["The Mathematical Institute \nKnez Mihailova 35\nP.O. \
Box 367\n11001 Belgrade, Serbia and Montenegro",
  FontSize->18,
  FontVariations->{"CompatibilityType"->0}]], "Subsubtitle"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["All functions & external programs",
  FontSize->18,
  FontWeight->"Bold"]], "Section",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[TextData[{
  "This table confirms the names of functions and the corresponding external \
programs. All of these external programs need to be placed in ",
  StyleBox["K2K",
    FontWeight->"Bold"],
  StyleBox[" ",
    FontVariations->{"CompatibilityType"->0}],
  "(http://amadeus.ics.nara-wu.ac.jp/~ochiai/freesoft.html) directory. \n",
  Cell[BoxData[GridBox[{
          {
            StyleBox[\(Functions\ in\ Mathematica\),
              FontWeight->"Bold"], 
            StyleBox[\(External\ Programs\),
              FontWeight->"Bold"]},
          {
            RowBox[{
              StyleBox["AllStatesRational",
                FontWeight->"Bold"], "[", 
              StyleBox["Conway_String",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["AmphiAltKL",
                FontWeight->"Bold"], "[", 
              StyleBox["Conway_String",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["AmphiProjAltKL",
                FontWeight->"Bold"], "[", 
              StyleBox["Ul_",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["BreakCoAll",
                FontWeight->"Bold"], "[", 
              StyleBox["Ul_",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["CuttNo",
                FontWeight->"Bold"], "[", 
              StyleBox["Ul_",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["Dow",
                FontWeight->"Bold"], "[", 
              StyleBox["Conway_String",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["DrawPlanarEmbKL",
                FontWeight->"Bold"], "[", 
              StyleBox["Ul_",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["DrawPlanarEmbGraph",
                FontWeight->"Bold"], "[", 
              StyleBox["Ul_List",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["GetKnotLink",
                FontWeight->"Bold"], "[", 
              StyleBox[\(Str_String, No_Integer\),
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["LiangPoly",
                FontWeight->"Bold"], "[", 
              StyleBox["Conway_String",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["LinkingNo",
                FontWeight->"Bold"], "[", 
              StyleBox["Ul_",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["MSigRat",
                FontWeight->"Bold"], "[", 
              StyleBox["Conway_String",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["MaxSymmProjAltKL",
                FontWeight->"Bold"], "[", 
              StyleBox["Conway_String",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["MinDowAltKL",
                FontWeight->"Bold"], "[", 
              StyleBox["Conway_String",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["MinDowProjAltKL",
                FontWeight->"Bold"], "[", 
              StyleBox["Ul_",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["NMoveRat",
                FontWeight->"Bold"], "[", 
              StyleBox[\(n_Integer, Conway_String\),
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["NoSelfCrossNo",
                FontWeight->"Bold"], "[", 
              StyleBox["Ul_",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["NumberOfKL",
                FontWeight->"Bold"], "[", 
              StyleBox["Str_String",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["PeriodAltKL",
                FontWeight->"Bold"], "[", 
              StyleBox["Conway_String",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["PeriodProjAltKL",
                FontWeight->"Bold"], "[", 
              StyleBox["Ul_",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["RatGenSourKL",
                FontWeight->"Bold"], "[", 
              StyleBox[\(n_Integer, \ m_Integer\),
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["RatKnotGenU0",
                FontWeight->"Bold"], "[", 
              StyleBox["n_Integer",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["RatKnotGenU1",
                FontWeight->"Bold"], "[", 
              StyleBox["n_Integer",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["RatLinkU0",
                FontWeight->"Bold"], "[", 
              StyleBox["n_Integer",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["RatLinkU1",
                FontWeight->"Bold"], "[", 
              StyleBox["n_Integer",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["RatReduce",
                FontWeight->"Bold"], "[", 
              StyleBox["Conway_String",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["RatSourceKLNo",
                FontWeight->"Bold"], "[", 
              StyleBox["n_Integer",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["RationalKL",
                FontWeight->"Bold"], "[", 
              StyleBox["n_Integer",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["RationalAmphiK",
                FontWeight->"Bold"], "[", 
              StyleBox["n_Integer",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["RationalAmphiL",
                FontWeight->"Bold"], "[", 
              StyleBox["n_Integer",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["SameAltConKL",
                FontWeight->"Bold"], "[", 
              StyleBox[\(Con1_String, Con2_String\),
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["SameAltProjKL",
                FontWeight->"Bold"], "[", 
              StyleBox[\(Con1_String, Con2_String\),
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["SplittNo",
                FontWeight->"Bold"], "[", 
              StyleBox["PData_",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["Symm",
                FontWeight->"Bold"], "[", 
              StyleBox["Ul_",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["UnKnotLink",
                FontWeight->"Bold"], "[", 
              StyleBox["Conway_String",
                FontSlant->"Italic"], "]"}], 
            RowBox[{\(KnotLinkReduction . exe\), " ", 
              StyleBox["1",
                FontWeight->"Bold"], 
              StyleBox["*",
                FontWeight->"Bold"]}]},
          {
            RowBox[{
              StyleBox["UnR",
                FontWeight->"Bold"], "[", 
              StyleBox["Conway_String",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fAddDig",
                FontWeight->"Bold"], "[", 
              StyleBox["GL_List",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fAlexPoly",
                FontWeight->"Bold"], "[", 
              StyleBox["Conway_String",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fAllStatesProj",
                FontWeight->"Bold"], "[", 
              StyleBox["UL_",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fAutoKL",
                FontWeight->"Bold"], "[", 
              StyleBox["Ul_List",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fAutoSigInp",
                FontWeight->"Bold"], "[", 
              StyleBox["Gr_List",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fBalanced",
                FontWeight->"Bold"], "[", 
              StyleBox[\(Diff_List, redBr_Integer\),
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fBasicPoly",
                FontWeight->"Bold"], "[", 
              StyleBox["Ul_List",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fBoolean",
                FontWeight->"Bold"], "[", 
              StyleBox["LL_",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fBreakComp",
                FontWeight->"Bold"], "[", 
              StyleBox[\(Ul_, k_Integer\),
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fColTest",
                FontWeight->"Bold"], "[", 
              StyleBox[\(Ul_, cNo_Integer\),
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fComponentNo",
                FontWeight->"Bold"], "[", 
              StyleBox["Ul_",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fCompsitePoly",
                FontWeight->"Bold"], "[", 
              StyleBox["Conway_String",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fCreateGraphics",
                FontWeight->"Bold"], "[", 
              StyleBox["Conway_String",
                FontSlant->"Italic"], "]"}], 
            RowBox[{\(DrawKnot . exe\), " ", 
              StyleBox["2",
                FontWeight->"Bold"], 
              StyleBox["*",
                FontWeight->"Bold"]}]},
          {
            RowBox[{
              StyleBox["fCreatePData",
                FontWeight->"Bold"], "[", 
              StyleBox["Conway_String",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fCuttRealKL",
                FontWeight->"Bold"], "[", 
              StyleBox["UL_",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fDToDDirect",
                FontWeight->"Bold"], "[", 
              StyleBox["Conway_String",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fDiffProjectionsAltKL",
                FontWeight->"Bold"], "[", 
              StyleBox["Conway_String",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fDiffSeq",
                FontWeight->"Bold"], "[", 
              StyleBox[\(n_Integer, p_Integer\),
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fDowCodes",
                FontWeight->"Bold"], "[", 
              StyleBox["n_Integer",
                FontSlant->"Italic"], "]"}], 
            RowBox[{\(plantri . exe\), " ", 
              StyleBox["3",
                FontWeight->"Bold"], 
              StyleBox["*",
                FontWeight->"Bold"]}]},
          {
            RowBox[{
              StyleBox["fDowfromPD",
                FontWeight->"Bold"], "[", 
              StyleBox["pdata_List",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fEdmonds",
                FontWeight->"Bold"], "[", 
              StyleBox["UlL_List",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fFindCon",
                FontWeight->"Bold"], "[", 
              StyleBox["Ul_",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fGap",
                FontWeight->"Bold"], "[", 
              StyleBox["Conway_String",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fGapRat",
                FontWeight->"Bold"], "[", 
              StyleBox["Conway_String",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fGaussExtSigns",
                FontWeight->"Bold"], "[", 
              StyleBox["Ulaz_",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fGenKL",
                FontWeight->"Bold"], "[", 
              StyleBox[\(b_Integer, pp_String\),
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fGenSign",
                FontWeight->"Bold"], "[", 
              StyleBox["Conway_String",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fGenSignDirProd",
                FontWeight->"Bold"], "[", 
              StyleBox["Conway_String",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fGenerators",
                FontWeight->"Bold"], "[", 
              StyleBox["Ul_",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fGraphInc",
                FontWeight->"Bold"], "[", 
              StyleBox["Ul_",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fGraphKL",
                FontWeight->"Bold"], "[", 
              StyleBox["Ulaz_",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fJablanPoly",
                FontWeight->"Bold"], "[", 
              StyleBox["Conway_String",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fKLfromGraph",
                FontWeight->"Bold"], "[", 
              StyleBox["L_List",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fKLinGraph",
                FontWeight->"Bold"], "[", 
              StyleBox["UOPair_List",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fKnotscapeDow",
                FontWeight->"Bold"], "[", 
              StyleBox["Con_String",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fMidEdgeGraph",
                FontWeight->"Bold"], "[", 
              StyleBox["L_List",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fMillett",
                FontWeight->"Bold"], "[", 
              StyleBox["Conway_String",
                FontSlant->"Italic"], "]"}], 
            RowBox[{\(lmp . exe\), " ", 
              StyleBox["4",
                FontWeight->"Bold"], 
              StyleBox["*",
                FontWeight->"Bold"]}]},
          {
            RowBox[{
              StyleBox["fOrientedLink",
                FontWeight->"Bold"], "[", 
              StyleBox["Ul_",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fPDataFromDow",
                FontWeight->"Bold"], "[", 
              StyleBox["Dow_List",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fPDataFromDowker",
                FontWeight->"Bold"], "[", 
              StyleBox["Dow_List",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fPlanarEmb",
                FontWeight->"Bold"], "[", 
              StyleBox["Ul_",
                FontSlant->"Italic"], "]"}], 
            RowBox[{\(planarity . exe\), " ", 
              StyleBox["5",
                FontWeight->"Bold"], 
              StyleBox["*",
                FontWeight->"Bold"]}]},
          {
            RowBox[{
              StyleBox["fPlanarEmbGraph",
                FontWeight->"Bold"], "[", 
              StyleBox["LP_",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fPolyFlype",
                FontWeight->"Bold"], "[", 
              StyleBox["Conway_String",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fPrimeGraph",
                FontWeight->"Bold"], "[", 
              StyleBox["GG_List",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fProdTangles",
                FontWeight->"Bold"], "[", 
              StyleBox[\(s1_String, s2_String, tt_String\),
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fPrimeKL",
                FontWeight->"Bold"], "[", 
              StyleBox["Ul_",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fProjections",
                FontWeight->"Bold"], "[", 
              StyleBox["Con_String",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fSeifert",
                FontWeight->"Bold"], "[", 
              StyleBox["Ul_",
                FontSlant->"Italic"], "]"}], 
            RowBox[{\(BraidFromSc2 . exe\), ",", " ", 
              RowBox[{\(braids . exe\), " ", 
                StyleBox["6",
                  FontWeight->"Bold"], 
                StyleBox["*",
                  FontWeight->"Bold"]}]}]},
          {
            RowBox[{
              StyleBox["fSignat",
                FontWeight->"Bold"], "[", 
              StyleBox["Ul_",
                FontSlant->"Italic"], "]"}], 
            RowBox[{\(BraidFromSc2 . exe\), ",", " ", 
              RowBox[{\(braids . exe\), " ", 
                StyleBox["6",
                  FontWeight->"Bold"], 
                StyleBox["*",
                  FontWeight->"Bold"]}]}]},
          {
            RowBox[{
              StyleBox["fSignsKL",
                FontWeight->"Bold"], "[", 
              StyleBox["Dow_List",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fStellarBasic",
                FontWeight->"Bold"], "[", 
              StyleBox["n_Integer",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fStellar",
                FontWeight->"Bold"], "[", 
              StyleBox["n_Integer",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fStellarPlus",
                FontWeight->"Bold"], "[", 
              StyleBox["n_Integer",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fStellarNalt",
                FontWeight->"Bold"], "[", 
              StyleBox["n_Integer",
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fSumTangles",
                FontWeight->"Bold"], "[", 
              StyleBox[\(s1_String, s2_String, tt_String\),
                FontSlant->"Italic"], "]"}], "None"},
          {
            RowBox[{
              StyleBox["fTorusKL",
                FontWeight->"Bold"], "[", 
              StyleBox[\(a_Integer, b_Integer\),
                FontSlant->"Italic"], "]"}], "None"}
          },
        GridFrame->True,
        RowLines->True,
        ColumnLines->True]]],
  "\n",
  StyleBox["(Notice)\n*1",
    FontWeight->"Bold"],
  "; ",
  StyleBox["UnKnotLink",
    FontWeight->"Bold"],
  " uses ",
  StyleBox["ReductionKnotLink",
    FontWeight->"Bold"],
  " which needs KnotLinkReduction.exe as an external program.",
  StyleBox["\n*2",
    FontWeight->"Bold"],
  "; Using the external program",
  StyleBox[" DrawKnot.exe",
    FontVariations->{"CompatibilityType"->0}],
  ", ",
  StyleBox["fCreateGraphics ",
    FontWeight->"Bold"],
  "writes a file ",
  StyleBox["c:\\Program Files\\KnotPlot\\graphics.txt",
    FontWeight->"Bold"],
  " that can be opened in ",
  StyleBox["KnotPlot",
    FontWeight->"Bold"],
  " (http://www.pims.math.ca/knotplot/download.html) by writing ",
  StyleBox["load graphics.txt",
    FontWeight->"Bold"],
  " in ",
  StyleBox["KnotPlot ",
    FontWeight->"Bold"],
  "command line.\n",
  StyleBox["*3",
    FontWeight->"Bold"],
  "; ",
  StyleBox["fDowCodes",
    FontWeight->"Bold"],
  " uses the  external MS DOS program plantri.exe written by B.McKay and \
G.Brinkmann.\n",
  StyleBox["*4",
    FontWeight->"Bold"],
  "; ",
  StyleBox["fMillett",
    FontWeight->"Bold"],
  " writes a file",
  StyleBox[" ",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["izlaz11.txt",
    FontWeight->"Bold",
    FontVariations->{"CompatibilityType"->0}],
  "  which needs ",
  StyleBox["lmp1.exe as an external program for calculating polynomial \
invariants. ",
    FontVariations->{"CompatibilityType"->0}],
  "Make sure that lmp1.exe is also placed in ",
  StyleBox["K2K",
    FontWeight->"Bold"],
  ".\n",
  StyleBox["*5",
    FontWeight->"Bold"],
  "; ",
  StyleBox["fPlanarEmb ",
    FontWeight->"Bold"],
  StyleBox["and ",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["nfPlanarEmbGraph",
    FontWeight->"Bold"],
  " use the external program planarity.exe written by J.Boyer.\n",
  StyleBox["*6",
    FontWeight->"Bold"],
  "; ",
  StyleBox["fSeifert ",
    FontWeight->"Bold"],
  StyleBox["and ",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["fSignat ",
    FontWeight->"Bold"],
  "use the external program BraidFromSc2.exe from ",
  StyleBox["K2K",
    FontWeight->"Bold"],
  " and braid.exe from the program",
  StyleBox[" Braid-9.0",
    FontWeight->"Bold"],
  " written by A.Bartholomew."
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Usages",
  FontSize->18,
  FontWeight->"Bold"]], "Section",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[TextData[{
  "Before using functions, please see their usages. Detailed information \
about all functions can be found in ",
  StyleBox["\"ManualK2KL.nb\"",
    FontWeight->"Bold"],
  "."
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[BoxData[
    \(\(?AllStatesRational\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?AmphiAltKL\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?AmphiProjAltKL\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?BreakCoAll\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?CuttNo\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?Dow\)\)], "Input",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[BoxData[
    \(\(?DrawPlanarEmbKL\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?DrawPlanarEmbGraph\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?GetKnotLink\)\)], "Input",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[BoxData[
    \(\(?LiangPoly\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?LinkingNo\ \ \ \ \ \ \ \)\)], "Input",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[BoxData[
    \(\(?MSigRat\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?MaxSymmProjAltKL\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?MinDowAltKL\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?MinDowProjAltKL\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?NMoveRat\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?NoSelfCrossNo\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?NumberOfKL\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?PeriodAltKL\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?PeriodProjAltKL\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?RatGenSourKL\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?RatKnotGenU0\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?RatKnotGenU1\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?RatLinkU0\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?RatLinkU1\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?RatReduce\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?RatSourceKLNo\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?RationalKL\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?RationalAmphiK\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?RationalAmphiL\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?SameAltConKL\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?SameAltProjKL\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?SplittNo\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?Symm\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?UnKnotLink\)\)], "Input",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[BoxData[
    \(\(?UnR\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fAddDig\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fAlexPoly\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fAllStatesProj\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fAutoKL\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fAutoSigInp\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fBalanced\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fBasicPoly\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fBoolean\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fBreakComp\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fColTest\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fComponentNo\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fCompositePoly\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    StyleBox[\(?fConwayToPD\),
      FontColor->RGBColor[0.501961, 0, 0]]], "Input"],

Cell[BoxData[
    \(\(?fCreateGraphics\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fCreatePData\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fCuttRealKL\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fDToDDirect\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fDiffProjectionsAltKL\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fDiffSeq\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fDowCodes\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fDowfromPD\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fEdmonds\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fFindCon\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fGap\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fGapRat\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fGaussExtSigns\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fGenKL\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fGenSign\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fGenSignDirProd\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fGenerators\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fGraphInc\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fGraphKL\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fJablanPoly\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fKLfromGraph\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fKLinGraph\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fKnotscapeDow\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fMidEdgeGraph\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fMillett\)\)], "Input",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[BoxData[
    \(\(?fOrientedLink\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fPDataFromDow\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fPDataFromDowker\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    StyleBox[\(?fPDfromBW\),
      FontColor->RGBColor[0.501961, 0, 0]]], "Input"],

Cell[BoxData[
    \(\(?fPlanarEmb\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fPlanarEmbGraph\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fPolyFlype\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fPrimeGraph\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fPrimeKL\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fProdTangles\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fProjections\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fSeifert\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fSignat\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fSignsKL\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fStellarBasic\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fStellar\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fStellarPlus\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fStellarNalt\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fSumTangles\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]],

Cell[BoxData[
    \(\(?fTorusKL\)\)], "Input",
  FontColor->RGBColor[0.501961, 0, 0]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Input knots and links in Conway notation",
  FontSize->18,
  FontWeight->"Bold",
  FontColor->RGBColor[0.500008, 0, 0]]], "Section",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[TextData[{
  StyleBox["Instead of the graphical input, you can use ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["Conway notation",
    FontFamily->"Arial",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" of ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["s (Rolfsen D.: ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["Knots and Links.",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" Publish and Perish, Berkeley, 1976) represented as a \"",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["Mathematica\"",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" string. For example, the knot 4_1 is denoted by \"2 2\", knot \
9_5 by \"5 1 3\",  link 5_1^2 is denoted by \"2 1 2\" , link 9_21^2 by \"3 \
1,3,2\" (all of them contain spaces between tangles), ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["etc",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[". A sequence of ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["k",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" pluses at the end of Conway symbol is denoted by +",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["k",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[", and the sequence of ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["k",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" minuses by +-",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["k",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" (e.g., knot 10_76 given in Conway notation as 3,3,2++ is denoted \
by \"3,3,2+2\", and the link 9_17^3 given in Conway notation as 3,2,2,2-- by \
\"3,2,2,2+-2\"). The space is used in the same way in all other symbols. For \
example, the knot 10_133 is denoted by \"2 3,2 1,2+-1\", and the knot 10_154 \
by \"(2 1,2) -(2 1,2)\" (with spaces). For the basic polyhedra with ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["N",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["<10 crossings  the standard notation is used (.1 , 6*, 8*,  9*, \
where the symbol for 6* can be ommitted). For example, the knot 10_95 is \
denoted by \".2 1 0.2.2\", and 10_101 by \"2 1..2..2\". For higher values of \
",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["N",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["  it is used notation in which the first number is the number of \
crossings,  and the next is the ordering number of polyhedron  (e.g., 101*, \
102*, 103* for ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["N",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["=10 denoting 10*, 10**, 10***, respectively, and 111*, 112*, 113* \
for ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["N",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["=11 denoting 11*, 11**, 11***, respectively, ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["etc",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[".). The order of  basic polyhedra for ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["N",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["=12 corresponds to their list made by A.Caudron (Caudron A.: ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["Classification des noeuds et des enlancements.",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" Public. Math. d'Orsay 82. Orsay: Univ. Paris Sud, Dept. Math., \
1982. ), so as 121* till 1212* are denoted the basic polyhedra originally \
titled as 12A-12L. For ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["N",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[">12  the database of basic polyhedra is produced from the list of \
",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  "simple 4-regular 4-edge-connected but not 3-connected plane graphs",
  StyleBox[" generated by Brendan McKay using the program \"plantri\" written \
by Gunnar Brinkmann and Brendan McKay (http://cs.anu.edu.au/~bdm/plantri/).  \
One can work directly with the basic polyhedra with maximum 16 crossings from \
the file ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["PolyBase.m",
    FontFamily->"Arial",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" that is automatically downloaded.  For ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["N",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["=12 it contains 12 basic polyhedra beginning from 121* to 1212*, \
for ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["N",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["=13 it contains 19 basic polyhedra from 131* to 1319*, for ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["N",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["=14  it contains 64 basic polyhedra from 141* to 1464, for ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["N",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["=15 it contains 155 basic polyhedra from 151* to 15155*, and for \
",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["N",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["=16 it contains  510 basic polyhedra, begining from 161* to \
16510*. In order to work with the basic polyhedra from ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["N",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["=17 to ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["N",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["=20 vertices, one needs to open an additional database ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["PolyBase",
    FontFamily->"Arial",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["N",
    FontFamily->"Arial",
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[".m",
    FontFamily->"Arial",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[", for ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["N",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["=17 to ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["N",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["=20 (by writing, e.g.  ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["<<PolyBase17.m ",
    FontFamily->"Arial",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["or ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["Needs[\"PolyBase17.m\"]",
    FontFamily->"Arial",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["  for ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["N",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["=17). They  containin, respectively, 1514 basic polyhedra for ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["N",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["=17 from 171* to 171514*, 5146 basic polyhedra for ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["N",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["=18 from 181* to 185146*, 16966 basic polyhedra for ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["N",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["=19 from 191* to 1916966*, and 58782 basic polyhedra for ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["N",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["=20 from 201* to 2058782*. In the symbols of polyhedral ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["s omitted vertices are denoted by series of single dots (without \
using multiple dots as :, :. or ::), and with zeros separated by a space. For \
example, the knot 10_156 is denoted by \"-3..2..2 0\" (with a series of \
single dots and 0 separated by space). \n",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  Cell[BoxData[
      StyleBox[GridBox[{
            {
              StyleBox[\(No . \ of\ crossings\),
                FontWeight->"Bold"], 
              StyleBox[\(File\ name\),
                FontWeight->"Bold"], 
              StyleBox["Range",
                FontWeight->"Bold"]},
            {GridBox[{
                  {"6"},
                  {"8"},
                  {"9"},
                  {"10"},
                  {"11"},
                  {"12"},
                  {"13"},
                  {"14"},
                  {"15"},
                  {"16"}
                  }], \(Polybase . m\), GridBox[{
                  {\( .1, \(\(6\)\(*\)\)\)},
                  {\(\(8\)\(*\)\)},
                  {\(\(9\)\(*\)\)},
                  {\(from\ \ 101*\ to\ 103*\)},
                  {\(from\ 111*\ to\ 113*\)},
                  {\(from\ 121*\ to\ 1212*\)},
                  {\(\(from\)\(\ \ \)\(131\)\(*\)\(to\)\(\ \)\(1319\)\(*\)\(\ \
\)\)},
                  {\(from\ 141*to\ 1464*\)},
                  {\(from\ 151*\ to\ 15155*\)},
                  {\(from\ 161*\ to\ 16510*\)}
                  }]},
            {"17", \(PolyBase17 . m\), \(from\ 171*to\ 171514*\)},
            {"18", \(PolyBase18 . m\), \(from\ 181*to\ 185146*\)},
            {"19", \(PolyBase19 . m\), \(from\ 191*to\ 1916966*\)},
            {"20", \(PolyBase20 . m\), \(from\ 201*to\ 2058782*\)}
            },
          GridFrame->True,
          RowLines->True,
          ColumnLines->True],
        FontFamily->"Arial"]]],
  StyleBox["\n",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["fCreatePData",
    FontFamily->"Arial",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" produces ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["P",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["-data of a ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" given in Conway notation,  written as a \"",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["Mathematica",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["\" string.",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    StyleBox[\(K = "\<6,4,2\>";\),
      FontColor->RGBColor[0.500008, 0, 0]], "\[IndentingNewLine]", \(pdata = 
      fCreatePData[K]\)}], "Input",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[BoxData[
    \({{4, 5, 3}, {18, 10, 12, 22, 2, 4, 
        6, \(-20\), \(-24\), \(-16\), \(-14\), 8}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["Dow",
    FontFamily->"Arial",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" produces Dowker code of ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" given in Conway notation, written as a \"",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["Mathematica",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["\" string.",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    StyleBox[\(K = "\<6,4,2\>";\),
      FontColor->RGBColor[0.500008, 0, 0]], "\[IndentingNewLine]", \(Dow[
      K]\)}], "Input",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[BoxData[
    \("Dowker code: {{4, 5, 3},{-18, -10, -12, -22, -2, -4, -6, 20, 24, 16, \
14, -8}}"\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fDtoD",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["calculates Dowker code of a ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" given in Conway notation. ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<3.2.2.2\>";\)\), "\[IndentingNewLine]", 
    \(res = fDToD[K]\)}], "Input"],

Cell[BoxData[
    \({{5, 6}, {22, 12, \(-18\), 14, \(-20\), 2, 6, 
        10, \(-4\), \(-8\), \(-16\)}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["fGenSign ",
    FontFamily->"Arial",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["calculates  vertex signs of ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" given in Conway notation, written as a \"",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["Mathematica",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["\" string.",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    StyleBox[\(K = "\<6,4,2\>";\),
      FontColor->RGBColor[0.500008, 0, 0]], "\[IndentingNewLine]", 
    StyleBox[\(fGenSign[K]\),
      FontColor->RGBColor[0.500008, 0, 0]]}], "Input",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[BoxData[
    \({\(-1\), \(-1\), \(-1\), \(-1\), \(-1\), \(-1\), \(-1\), 1, 1, 1, 
      1, \(-1\)}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["fDToDDirect ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["computes Dowker code of a direct product of ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["s given in Conway notation.",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<2#2\>";\)\), "\[IndentingNewLine]", 
    \(res = fDToDDirect[K]\)}], "Input"],

Cell[BoxData[
    \({{1, 2, 1}, {6, 2, 8, 4}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["fGenSignDirProd ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["computes signs of a direct product of ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["s given in Conway notation.",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<3#8*2.1#2\>";\)\), "\[IndentingNewLine]", 
    \(fGenSignDirProd[K]\)}], "Input"],

Cell[BoxData[
    \({1, 1, 1, 1, 1, \(-1\), 1, \(-1\), 1, \(-1\), 1, \(-1\), 1, 
      1}\)], "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Polynomial invariants",
  FontColor->RGBColor[0.500008, 0, 0]]], "Section",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fAlexPoly ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["calculates multi-variable Alexander polynomial of a ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" from its Conway symbol by using Writinger presentation \
(generators of ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["). ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(fAlexPoly["\<2 2\>"]\)], "Input"],

Cell[BoxData[
    \(1 - 3\ "a" + "a"\^2\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[TextData[{
  StyleBox[" The function ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["fMillett",
    FontFamily->"Arial",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" uses as an input Conway symbol a ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["  link given as a \"",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["Mathematica\"",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" string. Output is  Millet code written in the file ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["izlaz11.txt",
    FontFamily->"Arial",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[", compatible with ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["Knotscape ",
    FontFamily->"Arial",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["(http://www.math.utk.edu/~morwen/knotscape.html). ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" Furthermore, file  ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["izlaz11.txt",
    FontFamily->"Arial",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" is used as an input for the external program ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["lmp1.exe",
    FontFamily->"Arial",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" written by K. Millett  and B. Ewing that calculates polynomial \
invariants of a ",
    FontFamily->"Arial",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontFamily->"Arial",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[",  including Homfly polynomial.",
    FontFamily->"Arial",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<9*5 1 2.1.-1.-1.2.-1.-1.1.-5 -1 -2\>";\)\), "\
\[IndentingNewLine]", 
    \(fMillett[K]\)}], "Input",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[BoxData[
    \("-3 0 -15 0 -31 [0] -31 0 -15 0 -3\n[[0]]\n13 0 80 0 175 [0] 175 0 80 0 \
13\n[0]\n-16 0 -148 0 -376 [0] -376 0 -148 0 -16\n[0]\n7 0 128 0 404 [0] 404 \
0 128 0 7\n[0]\n-1 0 -56 0 -240 [0] -240 0 -56 0 -1\n[0]\n12 0 80 [0] 80 0 12\
\n[0]\n-1 0 -14 [0] -14 0 -1\n[0]\n1 [0] 1\n\nH-polynomial\nJones    : 1 [0] \
-1\nAlexander: [0]\nvals:      2   0   0   0   -1   -2   \n\n"\)], "Output"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Data base of knots and links",
  FontSize->18,
  FontWeight->"Bold",
  FontColor->RGBColor[0.500008, 0, 0]]], "Section",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[TextData[{
  StyleBox["K2KC ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["includes the data base ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KnotLinkBase.m",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" of ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["s (given in Conway notation as \"",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["Mathematica",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["\" strings) . This data base contains the complete lists of \
alternating ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["s with ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["N",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" \[LessEqual]12 crossings, and lists of non-alternating ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["s with ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["N",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" \[LessEqual] 10 crossings, as well as the list of \
non-alternating knots with ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["N",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["=11 and ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["N",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["=12 crossings.",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[TextData[{
  StyleBox["Two functions ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["NumberOfKL",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" and ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["GetKnotLink",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" are dealing with particular ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["s or their lists in ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KnotLinkBase.m",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[".",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["\n",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["In order to obtain a list of alternating ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["s with ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["N",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" crossings one should use function ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["NumberOfKL",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" and \"",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["Mathematica",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["\" string ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["L=\"",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["aN\"",
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["as an input.",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" ",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["Here ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["a",
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" ",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["stands for alternating ",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["s, and ",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["N",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" is a number of crossings",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[". ",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["For a list of non-alternating ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["s with ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["N",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" crossings  write",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" L=\"",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["nN\"",
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[". The  lists  \"",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["n",
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["11\" and  \"",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["n",
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["12\" contain only non-alternating knots with ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["N",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["=11 and ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["N",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["=12 crossings, respectively. The output of  ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["NumberOfKL",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" is",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" the",
    FontVariations->{"CompatibilityType"->0}],
  " number of alternating  (non-alternating) ",
  StyleBox["KL",
    FontSlant->"Italic"],
  "s with the specified number of crossings ",
  StyleBox["N",
    FontSlant->"Italic"],
  "."
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(L = "\<a11\>";\)\), "\[IndentingNewLine]", 
    \(NumberOfKL[L]\)}], "Input",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[BoxData[
    \("There are 915 alternating knots with 11 crossings."\)], "Output"],

Cell[TextData[{
  StyleBox["Input of the function",
    FontColor->RGBColor[0.500008, 0, 0]],
  " ",
  StyleBox["GetKnotLink ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["consists of ",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["L=\"",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["aN\"",
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" ",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["or ",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" L=\"",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["nN\" ",
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" and an integer that represents the number of desired knot or \
link in the list. As the result, ",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["GetKnotLink",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" ",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["returns its Conway symbol that can be used for further \
calculations.",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    StyleBox[\(K = GetKnotLink[L, 1]\),
      FontColor->RGBColor[0.500008, 0, 0]]], "Input"],

Cell[BoxData[
    \("Conway symbol: 11"\)], "Print"],

Cell[BoxData[
    \("11"\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[TextData[{
  StyleBox["The structure of the database ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KnotLinkBase.m",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" corresponds to the classification of ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["s proposed by A.Caudron (Caudron A.: ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["Classification des noeuds et des enlancements.",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" Public. Math. d'Orsay 82. Orsay: Univ. Paris Sud, Dept. Math., \
1982.) and can be better followed from the file ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KnotLinkBase.nb",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[", where the \"worlds\" or  their \"subworlds\" (e.g., rational, \
stellar, arborescent, polyhedral, ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["etc",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[".) are denoted by different colors. In each particular list ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["aN",
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" or ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["nN",
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[", so called \"source\" ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["s (Jablan S.:  ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["Ordering Knots",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[", http://members.tripod.com/vismath/sl/), whose Conway symbols \
contain only single vertices and chains of 2 or 3 digons,",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" are marked with a different color and",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" given in the second part of each particular list ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["aN",
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" ",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["or ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["nN",
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" (",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["N",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["=1,2,...10). ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["Each of them, generates a ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["family",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" ",
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["of ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["s simply by adding 2 to the chains of digons  ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["(Jablan S.: ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["New Knot Tables",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[", http://members.tripod.com/modularity/knotab/). For example, \
from the generating link \"3 1 2\" with ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["N",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["=6 we obtain \"5 1 2\", \"3 1 4\" for ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["N",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["=8, then \"7 1 2\", \"5 1 4\" for ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["N",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["=10, ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["etc",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[".  All the important properties of ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["s (including their Dowker codes, polynomial invariants, \
signature, unknotting numbers, linking numbers, symmetry properties, ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["etc",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[".)  are well ordered according to families.",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Projections and minimal Dowker codes",
  FontSize->18,
  FontWeight->"Bold",
  FontColor->RGBColor[0.500008, 0, 0]]], "Section",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fProjections",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["calculates Conway symbols of all projections of a ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" given by its Conway symbol. ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<(3,2) 1 (3,2)\>";\)\), "\[IndentingNewLine]", 
    \(fProjections[K]\)}], "Input"],

Cell[BoxData[
    \({"((3,2),1) (3,2)", "(1,(2,3)) (3,2)"}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fDiffProjectionsAltKL",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["calculates Conway symbols and minimal Dowker codes of all \
non-isomorphic projections of a ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" given by its Conway symbol.",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    StyleBox[\(\(\ \)\(K = fDiffProjectionsAltKL["\<(3,2) 1 (3,2)\>"]\)\),
      FontWeight->"Bold",
      FontColor->RGBColor[0.501961, 0, 0]]], "Input"],

Cell[BoxData[
    \({{"((3,2),1) (3,2)", {{11}, {6, 8, 12, 2, 18, 22, 4, 20, 10, 14, 
            16}}}, {"(1,(2,3)) (3,2)", {{11}, {6, 8, 12, 2, 14, 18, 4, 20, 
            22, 10, 16}}}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["MinDowProjAltKL",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" calculates minimal Dowker code",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" of an arbitrary ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["alternating ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" projection given by its Conway symbol, Dowker code, or P-data",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" .",
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<(2 1,2) 1 (2,2 1)\>";\)\), "\[IndentingNewLine]", 
    \(MinDowProjAltKL[K]\)}], "Input"],

Cell[BoxData[
    \({{11}, {4, 8, \(-18\), 2, 14, \(-20\), 16, 
        10, \(-22\), \(-6\), \(-12\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{11}, {6, \(-12\), 8, 2, \(-14\), \(-20\), \(-4\), 18, 
            22, \(-10\), 16}};\)\), "\[IndentingNewLine]", 
    \(MinDowProjAltKL[DD]\)}], "Input"],

Cell[BoxData[
    \({{11}, {4, 8, \(-18\), 2, 14, \(-20\), 16, 
        10, \(-22\), \(-6\), \(-12\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata = {{11}, {\(-6\), 12, \(-8\), \(-2\), 14, 20, 
            4, \(-18\), \(-22\), 10, \(-16\)}};\)\), "\[IndentingNewLine]", 
    \(MinDowProjAltKL[pdata]\)}], "Input"],

Cell[BoxData[
    \({{11}, {\(-4\), \(-8\), 18, \(-2\), \(-14\), 20, \(-16\), \(-10\), 22, 
        6, 12}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["MinDowAltKL",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" calculates minimal Dowker code of any alternating ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" given by its Conway symbol.  ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<2,2,2\>";\)\), "\[IndentingNewLine]", 
    \(MinDowAltKL[K]\)}], "Input"],

Cell[BoxData[
    \({{2, 2, 2}, {6, \(-10\), 2, \(-12\), \(-4\), \(-8\)}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["SameAltProjKL",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["compares two alternating ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" projections given by Conway symbols, Dowker codes, or P-data. \
The result is 1 for equal, and 0 for non-equal projections.",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K1 = "\<..2..2 0\>";\)\), "\[IndentingNewLine]", 
    \(\(K2 = "\<.2..2 0\>";\)\), "\[IndentingNewLine]", 
    \(SameAltProjKL[K1, K2]\)}], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD1 = {{3, 2, 3}, {10, \(-12\), 14, 4, \(-16\), \(-2\), \(-8\), 
            6}};\)\), "\[IndentingNewLine]", 
    \(\(DD2 = {{3, 3, 2}, {12, 14, \(-10\), 2, \(-4\), \(-16\), \(-8\), 
            6}};\)\), "\[IndentingNewLine]", 
    \(SameAltProjKL[DD1, DD2]\)}], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata1 = {{3, 2, 3}, {\(-10\), 12, \(-14\), \(-4\), 16, 2, 
            8, \(-6\)}};\)\), "\[IndentingNewLine]", 
    \(\(pdata2 = {{3, 3, 2}, {\(-12\), \(-14\), 10, \(-2\), 4, 16, 
            8, \(-6\)}};\)\), "\[IndentingNewLine]", 
    \(SameAltProjKL[pdata1, pdata2]\)}], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["SameAltConKL",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" compares two alternating ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["s given by Conway symbols. The result is 1 for equal, and 0 for \
non-equal ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[".",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K1 = "\<(2 1,2) 1 (2 1,2)\>";\)\), "\[IndentingNewLine]", 
    \(\(K2 = "\<(2 1,2) 1 (2,2 1)\>";\)\), "\[IndentingNewLine]", 
    \(SameAltConKL[K1, K2]\)}], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Gauss codes",
  FontSize->18,
  FontWeight->"Bold",
  FontColor->RGBColor[0.500008, 0, 0]]], "Section",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fGaussExtSigns",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["calculates Gauss code with signs of a ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" projection given by its Conway symbol, Dowker code, or P-data. ",
    
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<2,3,4+-1\>";\)\), "\[IndentingNewLine]", 
    \(fGaussExtSigns[K]\)}], "Input"],

Cell[BoxData[
    \({{\(-1\), \(-2\), 3, \(-4\), \(-5\), \(-6\), \(-7\), 
        3}, {\(-2\), \(-8\), \(-9\), \(-10\), \(-4\), \(-5\), \(-6\), \(-7\), \
\(-8\), \(-9\), \(-10\), \(-1\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{4, 6}, {\(-20\), 
            8, \(-14\), \(-16\), \(-2\), \(-18\), \(-4\), \(-6\), \(-10\), \
\(-12\)}};\)\), "\[IndentingNewLine]", 
    \(fGaussExtSigns[DD]\)}], "Input"],

Cell[BoxData[
    \({{\(-1\), \(-2\), 3, \(-4\), \(-5\), \(-6\), \(-7\), 
        3}, {\(-2\), \(-8\), \(-9\), \(-10\), \(-4\), \(-5\), \(-6\), \(-7\), \
\(-8\), \(-9\), \(-10\), \(-1\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata = {{4, 6}, {\(-9\), 
            8, \(-13\), \(-15\), \(-17\), \(-19\), \(-5\), \(-7\), \(-11\), \
\(-1\)}};\)\), "\[IndentingNewLine]", 
    \(fGaussExtSigns[pdata]\)}], "Input"],

Cell[BoxData[
    \({{\(-1\), \(-2\), 3, \(-4\), \(-5\), \(-6\), \(-7\), 
        3}, {\(-2\), \(-8\), \(-9\), \(-10\), \(-4\), \(-5\), \(-6\), \(-7\), \
\(-8\), \(-9\), \(-10\), \(-1\)}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fOrientedLink",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["calculates Gauss codes of a link projection given by Conway \
symbol, Dowker code, or P-data. The Gauss codes obtained correspond to \
different orientations of components (the first part of data obtained). The \
second part represents the orientations of components (where + is denoted by \
1, and - by 0), and the third part is the (signed) linking number of the \
corrsponding oriented link.",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" ",
    FontColor->RGBColor[1, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<2,3,-2\>";\)\), "\[IndentingNewLine]", 
    \(fOrientedLink[K]\)}], "Input"],

Cell[BoxData[
    \({{{{\(-1\), \(-2\), \(-3\), \(-4\)}, {\(-2\), \(-5\), \(-6\), \(-7\), \
\(-4\), \(-3\), \(-5\), \(-6\), \(-7\), \(-1\)}}, {0, 
          0}, \(-2\)}, {{{1, 2, 3, 4}, {\(-7\), \(-6\), \(-5\), 3, 
            4, \(-7\), \(-6\), \(-5\), 2, 1}}, {0, 1}, 
        2}, {{{4, 3, 2, 1}, {\(-5\), \(-6\), \(-7\), 4, 
            3, \(-5\), \(-6\), \(-7\), 1, 2}}, {1, 0}, 
        2}, {{{\(-4\), \(-3\), \(-2\), \(-1\)}, {\(-1\), \(-7\), \(-6\), \(-5\
\), \(-3\), \(-4\), \(-7\), \(-6\), \(-5\), \(-2\)}}, {1, 
          1}, \(-2\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{2, 
            5}, {\(-14\), \(-10\), \(-2\), \(-12\), \(-4\), \(-6\), \(-8\)}};\
\)\), "\[IndentingNewLine]", 
    \(fOrientedLink[DD]\)}], "Input"],

Cell[BoxData[
    \({{{{\(-1\), \(-2\), \(-3\), \(-4\)}, {\(-2\), \(-5\), \(-6\), \(-7\), \
\(-4\), \(-3\), \(-5\), \(-6\), \(-7\), \(-1\)}}, {0, 
          0}, \(-2\)}, {{{1, 2, 3, 4}, {\(-7\), \(-6\), \(-5\), 3, 
            4, \(-7\), \(-6\), \(-5\), 2, 1}}, {0, 1}, 
        2}, {{{4, 3, 2, 1}, {\(-5\), \(-6\), \(-7\), 4, 
            3, \(-5\), \(-6\), \(-7\), 1, 2}}, {1, 0}, 
        2}, {{{\(-4\), \(-3\), \(-2\), \(-1\)}, {\(-1\), \(-7\), \(-6\), \(-5\
\), \(-3\), \(-4\), \(-7\), \(-6\), \(-5\), \(-2\)}}, {1, 
          1}, \(-2\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata = {{2, 
            5}, {\(-5\), \(-10\), \(-11\), \(-13\), \(-4\), \(-7\), \(-1\)}};\
\)\), "\[IndentingNewLine]", 
    \(fOrientedLink[pdata]\)}], "Input"],

Cell[BoxData[
    \({{{{\(-1\), \(-2\), \(-3\), \(-4\)}, {\(-2\), \(-5\), \(-6\), \(-7\), \
\(-4\), \(-3\), \(-5\), \(-6\), \(-7\), \(-1\)}}, {0, 
          0}, \(-2\)}, {{{1, 2, 3, 4}, {\(-7\), \(-6\), \(-5\), 3, 
            4, \(-7\), \(-6\), \(-5\), 2, 1}}, {0, 1}, 
        2}, {{{4, 3, 2, 1}, {\(-5\), \(-6\), \(-7\), 4, 
            3, \(-5\), \(-6\), \(-7\), 1, 2}}, {1, 0}, 
        2}, {{{\(-4\), \(-3\), \(-2\), \(-1\)}, {\(-1\), \(-7\), \(-6\), \(-5\
\), \(-3\), \(-4\), \(-7\), \(-6\), \(-5\), \(-2\)}}, {1, 
          1}, \(-2\)}}\)], "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Component number and linking number",
  FontSize->18,
  FontWeight->"Bold",
  FontColor->RGBColor[0.500008, 0, 0]]], "Section",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fComponentNo",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["calculates the number of components of a ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" given by Conway symbol, Dowker code, or P-data. ",
    FontColor->RGBColor[0.501961, 0, 0]]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<2,2,-2\>";\)\), "\[IndentingNewLine]", 
    \(fComponentNo[K]\)}], "Input"],

Cell[BoxData[
    \(3\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{2, 2, 2}, {\(-8\), 10, \(-2\), 12, 6, 
            4}};\)\), "\[IndentingNewLine]", 
    \(fComponentNo[DD]\)}], "Input"],

Cell[BoxData[
    \(3\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata = {{2, 2, 2}, {8, \(-11\), 
            2, \(-12\), \(-6\), \(-3\)}};\)\), "\[IndentingNewLine]", 
    \(fComponentNo[pdata]\)}], "Input"],

Cell[BoxData[
    \(3\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["LinkingNo",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" calculates the linking number of a link from its ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["Conway symbol, Dowker code, or P-data. ",
    FontColor->RGBColor[0.501961, 0, 0]]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[BoxData[{\(K = "\<6*2.-(2,2)\>";\), "\[IndentingNewLine]", 
    RowBox[{"LinkingNo", 
      StyleBox["[",
        FontColor->RGBColor[0.500008, 0, 0]], 
      StyleBox["K",
        FontColor->RGBColor[0.500008, 0, 0]], 
      StyleBox["]",
        FontColor->RGBColor[0.500008, 0, 0]]}]}], "Input",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[BoxData[
    \("Linking number: 0"\)], "Output"],

Cell[BoxData[{\(K = {{8, 2}, {6, \(-12\), 10, 2, 
            20, \(-16\), \(-18\), \(-4\), 
            8, \(-14\)}};\), "\[IndentingNewLine]", 
    RowBox[{"LinkingNo", 
      StyleBox["[",
        FontColor->RGBColor[0.500008, 0, 0]], 
      StyleBox["K",
        FontColor->RGBColor[0.500008, 0, 0]], 
      StyleBox["]",
        FontColor->RGBColor[0.500008, 0, 0]]}]}], "Input",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[BoxData[
    \("Linking number: 0"\)], "Output"],

Cell[BoxData[{
    StyleBox[\(K = {{8, 2}, {\(-6\), 12, \(-10\), \(-2\), \(-17\), 16, 19, 4, 
              13, \(-9\)}};\),
      FontColor->RGBColor[0.501961, 0, 0]], "\[IndentingNewLine]", 
    RowBox[{
      StyleBox["LinkingNo",
        FontColor->RGBColor[0.501961, 0, 0]], 
      StyleBox["[",
        FontColor->RGBColor[0.500008, 0, 0]], 
      StyleBox["K",
        FontColor->RGBColor[0.500008, 0, 0]], 
      StyleBox["]",
        FontColor->RGBColor[0.500008, 0, 0]]}]}], "Input"],

Cell[BoxData[
    \("Linking number: 0"\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Unknotting or unlinking number of a ",
    FontSize->18,
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSize->18,
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Section",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Conway notation of a ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" as a \"",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["Mathematica",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["\" string, Dowker code or P-data is an input  for the function ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["UnKnotLink",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[". The function ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["UnKnotLink (",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["together with the internal function",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["ReductionKnotLink",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[") computes",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["the (estimated) unknotting or unlinking number of a",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" KL ",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["(computed according to ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["Bernhard-Jablan Conjecture",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[": http://members.tripod.com/vismath/sl/index.html). For ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["s with the unknotting or unlinking number 1 the result is the \
exact unknotting or unlinking number ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["U",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[". The same holds for knots whose estimated unknotting number \
equals the half-value of signature, and for links whose estimated unlinking \
number coincides with the (signature+1)/2. Otherwise, the result is an ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["estimated unknotting or unlinking number",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" that is the maximum value in the list obtained.  ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["All known unknotting or unlinking numbers (please look at: \
Kawauchi A.: ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["A Survey of Knot Theory",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[". Appendix F. Basel, Boston, Berlin: Birkh\[ADoubleDot]user, \
1996; Kohn P.: Unlinking Two Component Links. ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["Osaka J. Math.",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" 30 (1993), 741-752. ) coincide with the results obtained with ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["UnKnotLink",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[", according to ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["Bernhard-Jablan Conjecture",
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["(http://members.tripod.com/vismath/sl/index.html or \
http://www.mi.sanu.ac.yu/vismath/sl/index.html) .",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["\n",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["Remark: ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" because it is not possible to write an algorithm that works in \
all cases, the reduction to a ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" with a minimum number of crossings produced by ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["ReductionKnotLink",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" sometimes is not complete (e.g., ",
    FontColor->RGBColor[0.500008, 0, 0]],
  "in the case of ",
  StyleBox[" \"(3,-2) (3,-2)\"= \".2.2\"). ",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    StyleBox[\(K = "\<2,2,-2\>";\),
      FontColor->RGBColor[0.500008, 0, 0]], "\[IndentingNewLine]", 
    StyleBox[\(UnKnotLink[K]\),
      FontColor->RGBColor[0.500008, 0, 0]]}], "Input"],

Cell[BoxData[
    \({1, 2, 3}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    StyleBox[\(DD = {{2, 2, 2}, {\(-8\), 10, \(-2\), 12, 6, 4}};\),
      FontColor->RGBColor[0.500008, 0, 0]], "\n", 
    StyleBox[\(UnKnotLink[DD]\),
      FontColor->RGBColor[0.500008, 0, 0]]}], "Input"],

Cell[BoxData[
    \({1, 2, 3}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    StyleBox[\(pdata = {{2, 2, 2}, {8, \(-11\), 
              2, \(-12\), \(-6\), \(-3\)}};\),
      FontColor->RGBColor[0.500008, 0, 0]], "\n", 
    StyleBox[\(UnKnotLink[K]\),
      FontColor->RGBColor[0.500008, 0, 0]]}], "Input"],

Cell[BoxData[
    \({1, 2, 3}\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fGap",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["finds ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["s with the unlinking gap. The first part of a result is 1 for ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["s with an unlinking gap, and 0 otherwise, and second part is \
unlinking number.",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[BoxData[{
    \(\(K = "\<7 1 6\>";\)\), "\[IndentingNewLine]", 
    \(fGap[K]\)}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["fAllStatesProj ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["calculates all states of a given alternating ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[", i.e., all different variations of signs in a given ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" projection. Projection can be given by its Conway symbol, Dowker \
code, or P-data. The result is the list of reduced ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KLs ",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["obtained by all sign-changes. The first datum is the list of \
crossing changes, and the second the list of all ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["s",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" obtained.",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<2,2,-2\>";\)\), "\[IndentingNewLine]", 
    \(fAllStatesProj[K]\)}], "Input"],

Cell[BoxData[
    \({3, {{1, "pd: {{1, 1, 2}, {-7, -8, -3, -1}}"}, {1, 
          "pd: {{1, 2, 1}, {6, 2, -8, -4}}"}, {1, 
          "pd: {{2, 1, 1}, {6, -8, 2, -3}}"}, {2, 
          "pd: {{1, 1}, {-4, -1}}"}, {2, "pd: {{1, 1}, {4, 2}}"}, {2, 
          "pd: {{2, 2, 2}, {-5, -11, -12, -1, -6, -3}}"}, {2, 
          "pd: {{2, 2, 2}, {8, 10, 2, -12, -6, 4}}"}, {2, 
          "pd: {{2, 2, 2}, {8, -11, 2, 9, -3, 7}}"}, {3, "pd: {{},{}}"}, {3, 
          "pd: {{1, 1, 2}, {6, -8, -3, 2}}"}, {3, 
          "pd: {{1, 1, 2}, {-7, 5, -1, 4}}"}, {3, 
          "pd: {{1, 2, 1}, {-3, -8, -1, -4}}"}, {3, 
          "pd: {{1, 2, 1}, {6, 2, 7, 5}}"}, {3, 
          "pd: {{2, 1, 1}, {-5, -8, -1, -3}}"}, {3, 
          "pd: {{2, 1, 1}, {6, 7, 2, 4}}"}, {4, 
          "pd: {{1, 1}, {-3, -1}}"}, {4, "pd: {{1, 1}, {3, 2}}"}, {4, 
          "pd: {{2, 2, 2}, {-5, 10, -12, -1, -6, 4}}"}, {4, 
          "pd: {{2, 2, 2}, {-5, -11, 9, -1, -3, 7}}"}, {4, 
          "pd: {{2, 2, 2}, {8, 10, 2, 9, 4, 7}}"}, {5, 
          "pd: {{1, 1, 2}, {6, 5, 2, 4}}"}, {5, 
          "pd: {{1, 2, 1}, {-3, 7, -1, 5}}"}, {5, 
          "pd: {{2, 1, 1}, {-5, 7, -1, 4}}"}, {6, 
          "pd: {{2, 2, 2}, {-5, 10, 9, -1, 4, 7}}"}}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{2, 2, 2}, {\(-8\), 10, \(-2\), 12, 6, 
            4}};\)\), "\[IndentingNewLine]", 
    \(fAllStatesProj[DD]\)}], "Input"],

Cell[BoxData[
    \({3, {{1, "pd: {{1, 1, 2}, {6, 8, 3, 2}}"}, {1, 
          "pd: {{1, 2, 1}, {-6, -2, 8, 4}}"}, {1, 
          "pd: {{2, 1, 1}, {-6, 7, -2, 4}}"}, {2, 
          "pd: {{1, 1}, {3, 2}}"}, {2, "pd: {{1, 1}, {4, 1}}"}, {2, 
          "pd: {{1, 1}, {-4, -2}}"}, {2, 
          "pd: {{2, 2, 2}, {-8, -11, -2, 12, 6, -3}}"}, {3, 
          "pd: {{},{}}"}, {3, "pd: {{1, 1, 2}, {6, -5, 2, -4}}"}, {3, 
          "pd: {{1, 1, 2}, {-7, 8, 3, -1}}"}, {3, 
          "pd: {{1, 2, 1}, {3, 8, 1, 4}}"}, {3, 
          "pd: {{1, 2, 1}, {-6, -2, -7, -5}}"}, {3, 
          "pd: {{2, 1, 1}, {5, 7, 1, 4}}"}, {3, 
          "pd: {{2, 1, 1}, {-6, -8, -2, -3}}"}, {4, 
          "pd: {{1, 1}, {3, 1}}"}, {4, "pd: {{1, 1}, {-3, -2}}"}, {4, 
          "pd: {{1, 1}, {-4, -1}}"}, {4, 
          "pd: {{2, 2, 2}, {5, 10, -9, 1, 4, -7}}"}, {5, 
          "pd: {{1, 1, 2}, {-7, -5, -1, -4}}"}, {5, 
          "pd: {{1, 2, 1}, {3, -7, 1, -5}}"}, {5, 
          "pd: {{2, 1, 1}, {5, -8, 1, -3}}"}, {6, 
          "pd: {{2, 2, 2}, {5, -11, -9, 1, -3, -7}}"}}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata = {{2, 2, 2}, {8, \(-11\), 
            2, \(-12\), \(-6\), \(-3\)}};\)\), "\[IndentingNewLine]", 
    \(fAllStatesProj[pdata]\)}], "Input"],

Cell[BoxData[
    \({3, {{1, "pd: {{1, 1, 2}, {-7, -8, -3, -1}}"}, {1, 
          "pd: {{1, 2, 1}, {6, 2, -8, -4}}"}, {1, 
          "pd: {{2, 1, 1}, {6, -8, 2, -3}}"}, {2, 
          "pd: {{1, 1}, {-4, -1}}"}, {2, "pd: {{1, 1}, {4, 2}}"}, {2, 
          "pd: {{2, 2, 2}, {-5, -11, -12, -1, -6, -3}}"}, {2, 
          "pd: {{2, 2, 2}, {8, 10, 2, -12, -6, 4}}"}, {2, 
          "pd: {{2, 2, 2}, {8, -11, 2, 9, -3, 7}}"}, {3, "pd: {{},{}}"}, {3, 
          "pd: {{1, 1, 2}, {6, -8, -3, 2}}"}, {3, 
          "pd: {{1, 1, 2}, {-7, 5, -1, 4}}"}, {3, 
          "pd: {{1, 2, 1}, {-3, -8, -1, -4}}"}, {3, 
          "pd: {{1, 2, 1}, {6, 2, 7, 5}}"}, {3, 
          "pd: {{2, 1, 1}, {-5, -8, -1, -3}}"}, {3, 
          "pd: {{2, 1, 1}, {6, 7, 2, 4}}"}, {4, 
          "pd: {{1, 1}, {-3, -1}}"}, {4, "pd: {{1, 1}, {3, 2}}"}, {4, 
          "pd: {{2, 2, 2}, {-5, 10, -12, -1, -6, 4}}"}, {4, 
          "pd: {{2, 2, 2}, {-5, -11, 9, -1, -3, 7}}"}, {4, 
          "pd: {{2, 2, 2}, {8, 10, 2, 9, 4, 7}}"}, {5, 
          "pd: {{1, 1, 2}, {6, 5, 2, 4}}"}, {5, 
          "pd: {{1, 2, 1}, {-3, 7, -1, 5}}"}, {5, 
          "pd: {{2, 1, 1}, {-5, 7, -1, 4}}"}, {6, 
          "pd: {{2, 2, 2}, {-5, 10, 9, -1, 4, 7}}"}}}\)], "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Cutting and splitting",
  FontSize->18,
  FontWeight->"Bold",
  FontColor->RGBColor[0.500008, 0, 0]]], "Section",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fBreakComp",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" for a link given by Conway symbol, Dowker code, or P-data, and \
by ordering number ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["k",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" of a cutted component calculates the P-data of a link with ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["k",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["-th component cutted. ",
    FontColor->RGBColor[0.501961, 0, 0]]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<2,2,-2\>";\)\), "\[IndentingNewLine]", 
    \(fBreakComp[K, 1]\)}], "Input"],

Cell[BoxData[
    \({{1, 1}, {\(-4\), \(-2\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{2, 2, 2}, {8, \(-10\), 
            2, \(-12\), \(-6\), \(-4\)}};\)\), "\[IndentingNewLine]", 
    \(fBreakComp[DD, 1]\)}], "Input"],

Cell[BoxData[
    \({{1, 1}, {\(-4\), \(-2\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata = {{2, 2, 2}, {8, \(-11\), 
            2, \(-12\), \(-6\), \(-3\)}};\)\), "\[IndentingNewLine]", 
    \(fBreakComp[pdata, 1]\)}], "Input"],

Cell[BoxData[
    \({{1, 1}, {\(-4\), \(-2\)}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" BreakCoAll ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["from a link given by its Conway symbol, Dowker code, or P-data \
produces all different ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KLs",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" obtainined by cutting all components, where for unknot (unlink) \
the result is {0}.",
    FontColor->RGBColor[0.501961, 0, 0]]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<6*2.-(2,2)\>";\)\), "\[IndentingNewLine]", 
    \(BreakCoAll[K]\)}], "Input"],

Cell[BoxData[
    \({0}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{8, 2}, {6, \(-12\), 10, 2, 20, \(-16\), \(-18\), \(-4\), 
            8, \(-14\)}};\)\), "\[IndentingNewLine]", 
    \(BreakCoAll[DD]\)}], "Input"],

Cell[BoxData[
    \({0}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata = {{8, 2}, {\(-6\), 12, \(-10\), \(-2\), \(-17\), 16, 19, 4, 
            13, \(-9\)}};\)\), "\[IndentingNewLine]", 
    \(BreakCoAll[pdata]\)}], "Input"],

Cell[BoxData[
    \({0}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["CuttNo",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" calculates the cutting number of a link given by its Conway \
symbol, Dowker code, or P-data.  ",
    FontColor->RGBColor[0.501961, 0, 0]]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<123*-2\>";\)\), "\[IndentingNewLine]", 
    \(CuttNo[K]\)}], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{7, 3, 3}, {\(-8\), 16, 12, \(-24\), \(-2\), 
            26, \(-18\), \(-10\), 22, 6, \(-4\), 14, 
            20}};\)\), "\[IndentingNewLine]", 
    \(CuttNo[DD]\)}], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata = {{7, 3, 3}, {9, \(-16\), \(-12\), 24, 1, \(-26\), 18, 
            10, \(-22\), \(-6\), 
            4, \(-14\), \(-20\)}};\)\), "\[IndentingNewLine]", 
    \(CuttNo[pdata]\)}], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["U",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["-infinity number is the minimum number of cuts made in \
self-crossing points of a ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" necessary to obtain unknot, or a link without self-crossings. \
The function ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["NoSelfCrossNo",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" calculates the ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["U",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["-infinity number (see: Jablan S.:",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["Unknotting number and Infty-Unknotting Number of a Knot",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[", Filomat (Nis), 12:1 (1998), 113-120) of a  ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" given by its Conway symbol, Dowker code, or P-data.  ",
    FontColor->RGBColor[0.501961, 0, 0]]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<2,2 1,-2\>";\)\), "\[IndentingNewLine]", 
    \(NoSelfCrossNo[K]\)}], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{2, 5}, {\(-14\), 10, \(-2\), 12, 6, 4, 
            8}};\)\), "\[IndentingNewLine]", 
    \(NoSelfCrossNo[DD]\)}], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata = {{2, 5}, {\(-14\), 10, \(-2\), 12, 6, 4, 
            8}};\)\), "\[IndentingNewLine]", 
    \(NoSelfCrossNo[pdata]\)}], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["SplittNo ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["calculates splitting number of a link given by its Conway symbol, \
Dowker code, or P-data, i.e., the minimum number of crossing changes \
necessary to obtain a splitted link. It can be illustrated by the example \
from Adams (see: Adams C:",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" Splitting Versus Unlinking",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[", Journal of Knot Theory and Ramifications, Vol.5, No. 3 (1996) \
295-299). ",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<2,2,-2\>";\)\), "\[IndentingNewLine]", 
    \(SplittNo[K]\)}], "Input"],

Cell[BoxData[
    \(3\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{2, 2, 2}, {\(-8\), 10, \(-2\), 12, 6, 
            4}};\)\), "\[IndentingNewLine]", 
    \(SplittNo[DD]\)}], "Input"],

Cell[BoxData[
    \(3\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata = {{2, 2, 2}, {8, \(-11\), 
            2, \(-12\), \(-6\), \(-3\)}};\)\), "\[IndentingNewLine]", 
    \(SplittNo[pdata]\)}], "Input"],

Cell[BoxData[
    \(3\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["fCuttRealKL ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["calculates the number of \"real\" cuttings of a given projection \
of ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" given by its Conway symbol, Dowker code, or P-data, i.e., the \
number of cuttings with a different cutting point in the projection. The \
result is the number of different \"real\" cutting classes with preserved \
signs, or with preserved or reversed signs. ",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<2,2,-2\>";\)\), "\[IndentingNewLine]", 
    \(fCuttRealKL[K]\)}], "Input"],

Cell[BoxData[
    InterpretationBox[\("No of classes under sign-preserving isomorphisms: "\
\[InvisibleSpace]257\),
      SequenceForm[ 
      "No of classes under sign-preserving isomorphisms: ", 257],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("No of classes: "\[InvisibleSpace]257\),
      SequenceForm[ "No of classes: ", 257],
      Editable->False]], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{2, 2, 2}, {\(-8\), 10, \(-2\), 12, 6, 
            4}};\)\), "\[IndentingNewLine]", 
    \(fCuttRealKL[DD]\)}], "Input"],

Cell[BoxData[
    InterpretationBox[\("No of classes under sign-preserving isomorphisms: "\
\[InvisibleSpace]257\),
      SequenceForm[ 
      "No of classes under sign-preserving isomorphisms: ", 257],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("No of classes: "\[InvisibleSpace]257\),
      SequenceForm[ "No of classes: ", 257],
      Editable->False]], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata = {{2, 2, 2}, {8, \(-11\), 
            2, \(-12\), \(-6\), \(-3\)}};\)\), "\[IndentingNewLine]", 
    \(fCuttRealKL[pdata]\)}], "Input"],

Cell[BoxData[
    InterpretationBox[\("No of classes under sign-preserving isomorphisms: "\
\[InvisibleSpace]257\),
      SequenceForm[ 
      "No of classes under sign-preserving isomorphisms: ", 257],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("No of classes: "\[InvisibleSpace]257\),
      SequenceForm[ "No of classes: ", 257],
      Editable->False]], "Print"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Chirality and symmetries",
  FontSize->18,
  FontWeight->"Bold",
  FontColor->RGBColor[0.500008, 0, 0]]], "Section",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["AmphiProjAltKL ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["tests the amphicheirality of a given projection of an alternating \
",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" given by its Conway symbol, Dowker code, or P-data. The function \
gives 1 for an amphichiral, and 0 for a chiral projection.",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<(2,2) 2 2 (2,2)\>";\)\), "\[IndentingNewLine]", 
    \(AmphiProjAltKL[K]\)}], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{8, 2, 2}, {20, \(-10\), \(-24\), 14, \(-4\), 18, 8, \(-22\), 
            2, 12, \(-6\), \(-16\)}};\)\), "\[IndentingNewLine]", 
    \(AmphiProjAltKL[DD]\)}], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata = {{8, 2, 2}, {\(-20\), 10, 24, \(-14\), 4, \(-18\), \(-8\), 
            22, \(-2\), \(-12\), 6, 16}};\)\), "\[IndentingNewLine]", 
    \(AmphiProjAltKL[pdata]\)}], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["AmphiAltKL ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["tests the amphicheirality of an alternating ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" given by its Conway symbol.",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<(2 1 1,2) (2 1 1,2)\>";\)\), "\[IndentingNewLine]", 
    \(AmphiAltKL[K]\)}], "Input"],

Cell[BoxData[
    InterpretationBox[\("Amphicheiral   "\[InvisibleSpace]"((1,(2,1)),2) \
(((2,1),1),2)"\),
      SequenceForm[ "Amphicheiral   ", "((1,(2,1)),2) (((2,1),1),2)"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Amphicheiral projection: \
"\[InvisibleSpace]"((1,(2,1)),2) (((2,1),1),2)"\),
      SequenceForm[ 
      "Amphicheiral projection: ", "((1,(2,1)),2) (((2,1),1),2)"],
      Editable->False]], "Print"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function  ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["fJablanPoly",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["calculates multivariable Jablan polynomial for a projection of ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" given by its Conway symbol.",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<152*.2 0\>";\)\), "\[IndentingNewLine]", 
    \(fJablanPoly[K]\)}], "Input"],

Cell[BoxData[
    \(6\ "a" + 8\ "a"\^2 + 2\ "a"\^5 - 2\ "a"\^6 - 5\ "a"\^7 + 6\ "a"\^8 + 
      3\ "a"\^9 - 2\ "a"\^10 - "a"\^11 - "a"\^12 - 2\ "a"\^13 - "a"\^14 + 
      "a"\^16\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["LiangPoly",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["calculates Liang polynomial of a ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" projection given by its Conway symbol and distinguishes \
amphicheiral ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" projections with a Liang polynomial satisfying the relationship \
",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["L",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["(",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["t",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[")=",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["L",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["(1/",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["t",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[").",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(LiangPoly["\<6*\>"]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Amphicheiral "\[InvisibleSpace]True\),
      SequenceForm[ "Amphicheiral ", True],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\(-5\) + 2\/h\^3 - 3\/h\^2 + 6\/h + 6\ h - 3\ h\^2 + 
      2\ h\^3\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["PeriodProjAltKL ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["calculates the period of a given projection of an alternating ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" given by its Conway symbol, Dowker code, or P-data. ",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<6*\>";\)\), "\[IndentingNewLine]", 
    \(PeriodProjAltKL[K]\)}], "Input"],

Cell[BoxData[
    \({2, 3}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{2, 2, 2}, {8, \(-6\), 10, \(-12\), \(-2\), 
            4}};\)\), "\[IndentingNewLine]", 
    \(PeriodProjAltKL[DD]\)}], "Input"],

Cell[BoxData[
    \({2, 3}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata = {{2, 2, 2}, {\(-8\), 6, \(-10\), 12, 
            2, \(-4\)}};\)\), "\[IndentingNewLine]", 
    \(PeriodProjAltKL[pdata]\)}], "Input"],

Cell[BoxData[
    \({2, 3}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["PeriodAltKL ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["calculates the period of a given alternating ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" given by its Conway symbol. ",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<9\>";\)\), "\[IndentingNewLine]", 
    \(PeriodAltKL[K]\)}], "Input"],

Cell[BoxData[
    InterpretationBox[\("Period: "\[InvisibleSpace]{2, 3, 9}\),
      SequenceForm[ "Period: ", {2, 3, 9}],
      Editable->False]], "Print"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["Symm ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["calculates all automorphisms of an alternating ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" given by its Conway symbol, Dowker code, or P-data. The first \
part of the result is the list of automorphisms given by permutations, and \
the other is the list of the corresponding cycles.",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<6*\>";\)\), "\[IndentingNewLine]", 
    \(Symm[K]\)}], "Input"],

Cell[BoxData[
    \({{{1, 2, 3, 4, 5, 6}, {1, 2, 3, 4, 6, 5}, {1, 4, 3, 2, 5, 6}, {1, 4, 3, 
          2, 6, 5}, {1, 5, 3, 6, 2, 4}, {1, 5, 3, 6, 4, 2}, {1, 6, 3, 5, 2, 
          4}, {1, 6, 3, 5, 4, 2}, {2, 1, 4, 3, 5, 6}, {2, 1, 4, 3, 6, 5}, {2, 
          3, 4, 1, 5, 6}, {2, 3, 4, 1, 6, 5}, {2, 5, 4, 6, 1, 3}, {2, 5, 4, 
          6, 3, 1}, {2, 6, 4, 5, 1, 3}, {2, 6, 4, 5, 3, 1}, {3, 2, 1, 4, 5, 
          6}, {3, 2, 1, 4, 6, 5}, {3, 4, 1, 2, 5, 6}, {3, 4, 1, 2, 6, 5}, {3, 
          5, 1, 6, 2, 4}, {3, 5, 1, 6, 4, 2}, {3, 6, 1, 5, 2, 4}, {3, 6, 1, 
          5, 4, 2}, {4, 1, 2, 3, 5, 6}, {4, 1, 2, 3, 6, 5}, {4, 3, 2, 1, 5, 
          6}, {4, 3, 2, 1, 6, 5}, {4, 5, 2, 6, 1, 3}, {4, 5, 2, 6, 3, 1}, {4, 
          6, 2, 5, 1, 3}, {4, 6, 2, 5, 3, 1}, {5, 1, 6, 3, 2, 4}, {5, 1, 6, 
          3, 4, 2}, {5, 2, 6, 4, 1, 3}, {5, 2, 6, 4, 3, 1}, {5, 3, 6, 1, 2, 
          4}, {5, 3, 6, 1, 4, 2}, {5, 4, 6, 2, 1, 3}, {5, 4, 6, 2, 3, 1}, {6, 
          1, 5, 3, 2, 4}, {6, 1, 5, 3, 4, 2}, {6, 2, 5, 4, 1, 3}, {6, 2, 5, 
          4, 3, 1}, {6, 3, 5, 1, 2, 4}, {6, 3, 5, 1, 4, 2}, {6, 4, 5, 2, 1, 
          3}, {6, 4, 5, 2, 3, 
          1}}, {{{1}, {2}, {3}, {4}, {5}, {6}}, {{1}, {2}, {3}, {4}, {6, 
            5}}, {{1}, {4, 2}, {3}, {5}, {6}}, {{1}, {4, 2}, {3}, {6, 
            5}}, {{1}, {5, 2}, {3}, {6, 4}}, {{1}, {5, 4, 6, 
            2}, {3}}, {{1}, {6, 4, 5, 2}, {3}}, {{1}, {6, 2}, {3}, {5, 
            4}}, {{2, 1}, {4, 3}, {5}, {6}}, {{2, 1}, {4, 3}, {6, 5}}, {{2, 
            3, 4, 1}, {5}, {6}}, {{2, 3, 4, 1}, {6, 5}}, {{2, 5, 1}, {4, 6, 
            3}}, {{2, 5, 3, 4, 6, 1}}, {{2, 6, 3, 4, 5, 1}}, {{2, 6, 1}, {4, 
            5, 3}}, {{3, 1}, {2}, {4}, {5}, {6}}, {{3, 1}, {2}, {4}, {6, 
            5}}, {{3, 1}, {4, 2}, {5}, {6}}, {{3, 1}, {4, 2}, {6, 5}}, {{3, 
            1}, {5, 2}, {6, 4}}, {{3, 1}, {5, 4, 6, 2}}, {{3, 1}, {6, 4, 5, 
            2}}, {{3, 1}, {6, 2}, {5, 4}}, {{4, 3, 2, 1}, {5}, {6}}, {{4, 3, 
            2, 1}, {6, 5}}, {{4, 1}, {3, 2}, {5}, {6}}, {{4, 1}, {3, 2}, {6, 
            5}}, {{4, 6, 3, 2, 5, 1}}, {{4, 6, 1}, {5, 3, 2}}, {{4, 5, 
            1}, {6, 3, 2}}, {{4, 5, 3, 2, 6, 1}}, {{5, 2, 1}, {6, 4, 
            3}}, {{5, 4, 3, 6, 2, 1}}, {{5, 1}, {2}, {6, 3}, {4}}, {{5, 3, 6, 
            1}, {2}, {4}}, {{5, 2, 3, 6, 4, 1}}, {{5, 4, 1}, {3, 6, 2}}, {{5, 
            1}, {4, 2}, {6, 3}}, {{5, 3, 6, 1}, {4, 2}}, {{6, 4, 3, 5, 2, 
            1}}, {{6, 2, 1}, {5, 4, 3}}, {{6, 3, 5, 1}, {2}, {4}}, {{6, 
            1}, {2}, {5, 3}, {4}}, {{6, 4, 1}, {3, 5, 2}}, {{6, 2, 3, 5, 4, 
            1}}, {{6, 3, 5, 1}, {4, 2}}, {{6, 1}, {4, 2}, {5, 3}}}, 
      48}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{2, 2, 2}, {8, \(-6\), 10, \(-12\), \(-2\), 
            4}};\)\), "\[IndentingNewLine]", 
    \(Symm[DD]\)}], "Input"],

Cell[BoxData[
    \({{{1, 2, 3, 4, 5, 6}, {1, 2, 3, 4, 6, 5}, {1, 4, 3, 2, 5, 6}, {1, 4, 3, 
          2, 6, 5}, {1, 5, 3, 6, 2, 4}, {1, 5, 3, 6, 4, 2}, {1, 6, 3, 5, 2, 
          4}, {1, 6, 3, 5, 4, 2}, {2, 1, 4, 3, 5, 6}, {2, 1, 4, 3, 6, 5}, {2, 
          3, 4, 1, 5, 6}, {2, 3, 4, 1, 6, 5}, {2, 5, 4, 6, 1, 3}, {2, 5, 4, 
          6, 3, 1}, {2, 6, 4, 5, 1, 3}, {2, 6, 4, 5, 3, 1}, {3, 2, 1, 4, 5, 
          6}, {3, 2, 1, 4, 6, 5}, {3, 4, 1, 2, 5, 6}, {3, 4, 1, 2, 6, 5}, {3, 
          5, 1, 6, 2, 4}, {3, 5, 1, 6, 4, 2}, {3, 6, 1, 5, 2, 4}, {3, 6, 1, 
          5, 4, 2}, {4, 1, 2, 3, 5, 6}, {4, 1, 2, 3, 6, 5}, {4, 3, 2, 1, 5, 
          6}, {4, 3, 2, 1, 6, 5}, {4, 5, 2, 6, 1, 3}, {4, 5, 2, 6, 3, 1}, {4, 
          6, 2, 5, 1, 3}, {4, 6, 2, 5, 3, 1}, {5, 1, 6, 3, 2, 4}, {5, 1, 6, 
          3, 4, 2}, {5, 2, 6, 4, 1, 3}, {5, 2, 6, 4, 3, 1}, {5, 3, 6, 1, 2, 
          4}, {5, 3, 6, 1, 4, 2}, {5, 4, 6, 2, 1, 3}, {5, 4, 6, 2, 3, 1}, {6, 
          1, 5, 3, 2, 4}, {6, 1, 5, 3, 4, 2}, {6, 2, 5, 4, 1, 3}, {6, 2, 5, 
          4, 3, 1}, {6, 3, 5, 1, 2, 4}, {6, 3, 5, 1, 4, 2}, {6, 4, 5, 2, 1, 
          3}, {6, 4, 5, 2, 3, 
          1}}, {{{1}, {2}, {3}, {4}, {5}, {6}}, {{1}, {2}, {3}, {4}, {6, 
            5}}, {{1}, {4, 2}, {3}, {5}, {6}}, {{1}, {4, 2}, {3}, {6, 
            5}}, {{1}, {5, 2}, {3}, {6, 4}}, {{1}, {5, 4, 6, 
            2}, {3}}, {{1}, {6, 4, 5, 2}, {3}}, {{1}, {6, 2}, {3}, {5, 
            4}}, {{2, 1}, {4, 3}, {5}, {6}}, {{2, 1}, {4, 3}, {6, 5}}, {{2, 
            3, 4, 1}, {5}, {6}}, {{2, 3, 4, 1}, {6, 5}}, {{2, 5, 1}, {4, 6, 
            3}}, {{2, 5, 3, 4, 6, 1}}, {{2, 6, 3, 4, 5, 1}}, {{2, 6, 1}, {4, 
            5, 3}}, {{3, 1}, {2}, {4}, {5}, {6}}, {{3, 1}, {2}, {4}, {6, 
            5}}, {{3, 1}, {4, 2}, {5}, {6}}, {{3, 1}, {4, 2}, {6, 5}}, {{3, 
            1}, {5, 2}, {6, 4}}, {{3, 1}, {5, 4, 6, 2}}, {{3, 1}, {6, 4, 5, 
            2}}, {{3, 1}, {6, 2}, {5, 4}}, {{4, 3, 2, 1}, {5}, {6}}, {{4, 3, 
            2, 1}, {6, 5}}, {{4, 1}, {3, 2}, {5}, {6}}, {{4, 1}, {3, 2}, {6, 
            5}}, {{4, 6, 3, 2, 5, 1}}, {{4, 6, 1}, {5, 3, 2}}, {{4, 5, 
            1}, {6, 3, 2}}, {{4, 5, 3, 2, 6, 1}}, {{5, 2, 1}, {6, 4, 
            3}}, {{5, 4, 3, 6, 2, 1}}, {{5, 1}, {2}, {6, 3}, {4}}, {{5, 3, 6, 
            1}, {2}, {4}}, {{5, 2, 3, 6, 4, 1}}, {{5, 4, 1}, {3, 6, 2}}, {{5, 
            1}, {4, 2}, {6, 3}}, {{5, 3, 6, 1}, {4, 2}}, {{6, 4, 3, 5, 2, 
            1}}, {{6, 2, 1}, {5, 4, 3}}, {{6, 3, 5, 1}, {2}, {4}}, {{6, 
            1}, {2}, {5, 3}, {4}}, {{6, 4, 1}, {3, 5, 2}}, {{6, 2, 3, 5, 4, 
            1}}, {{6, 3, 5, 1}, {4, 2}}, {{6, 1}, {4, 2}, {5, 3}}}, 
      48}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata = {{2, 2, 2}, {\(-8\), 6, \(-10\), 12, 
            2, \(-4\)}};\)\), "\[IndentingNewLine]", 
    \(Symm[K]\)}], "Input"],

Cell[BoxData[
    \({{{1, 2, 3, 4, 5, 6}, {1, 2, 3, 4, 6, 5}, {1, 4, 3, 2, 5, 6}, {1, 4, 3, 
          2, 6, 5}, {1, 5, 3, 6, 2, 4}, {1, 5, 3, 6, 4, 2}, {1, 6, 3, 5, 2, 
          4}, {1, 6, 3, 5, 4, 2}, {2, 1, 4, 3, 5, 6}, {2, 1, 4, 3, 6, 5}, {2, 
          3, 4, 1, 5, 6}, {2, 3, 4, 1, 6, 5}, {2, 5, 4, 6, 1, 3}, {2, 5, 4, 
          6, 3, 1}, {2, 6, 4, 5, 1, 3}, {2, 6, 4, 5, 3, 1}, {3, 2, 1, 4, 5, 
          6}, {3, 2, 1, 4, 6, 5}, {3, 4, 1, 2, 5, 6}, {3, 4, 1, 2, 6, 5}, {3, 
          5, 1, 6, 2, 4}, {3, 5, 1, 6, 4, 2}, {3, 6, 1, 5, 2, 4}, {3, 6, 1, 
          5, 4, 2}, {4, 1, 2, 3, 5, 6}, {4, 1, 2, 3, 6, 5}, {4, 3, 2, 1, 5, 
          6}, {4, 3, 2, 1, 6, 5}, {4, 5, 2, 6, 1, 3}, {4, 5, 2, 6, 3, 1}, {4, 
          6, 2, 5, 1, 3}, {4, 6, 2, 5, 3, 1}, {5, 1, 6, 3, 2, 4}, {5, 1, 6, 
          3, 4, 2}, {5, 2, 6, 4, 1, 3}, {5, 2, 6, 4, 3, 1}, {5, 3, 6, 1, 2, 
          4}, {5, 3, 6, 1, 4, 2}, {5, 4, 6, 2, 1, 3}, {5, 4, 6, 2, 3, 1}, {6, 
          1, 5, 3, 2, 4}, {6, 1, 5, 3, 4, 2}, {6, 2, 5, 4, 1, 3}, {6, 2, 5, 
          4, 3, 1}, {6, 3, 5, 1, 2, 4}, {6, 3, 5, 1, 4, 2}, {6, 4, 5, 2, 1, 
          3}, {6, 4, 5, 2, 3, 
          1}}, {{{1}, {2}, {3}, {4}, {5}, {6}}, {{1}, {2}, {3}, {4}, {6, 
            5}}, {{1}, {4, 2}, {3}, {5}, {6}}, {{1}, {4, 2}, {3}, {6, 
            5}}, {{1}, {5, 2}, {3}, {6, 4}}, {{1}, {5, 4, 6, 
            2}, {3}}, {{1}, {6, 4, 5, 2}, {3}}, {{1}, {6, 2}, {3}, {5, 
            4}}, {{2, 1}, {4, 3}, {5}, {6}}, {{2, 1}, {4, 3}, {6, 5}}, {{2, 
            3, 4, 1}, {5}, {6}}, {{2, 3, 4, 1}, {6, 5}}, {{2, 5, 1}, {4, 6, 
            3}}, {{2, 5, 3, 4, 6, 1}}, {{2, 6, 3, 4, 5, 1}}, {{2, 6, 1}, {4, 
            5, 3}}, {{3, 1}, {2}, {4}, {5}, {6}}, {{3, 1}, {2}, {4}, {6, 
            5}}, {{3, 1}, {4, 2}, {5}, {6}}, {{3, 1}, {4, 2}, {6, 5}}, {{3, 
            1}, {5, 2}, {6, 4}}, {{3, 1}, {5, 4, 6, 2}}, {{3, 1}, {6, 4, 5, 
            2}}, {{3, 1}, {6, 2}, {5, 4}}, {{4, 3, 2, 1}, {5}, {6}}, {{4, 3, 
            2, 1}, {6, 5}}, {{4, 1}, {3, 2}, {5}, {6}}, {{4, 1}, {3, 2}, {6, 
            5}}, {{4, 6, 3, 2, 5, 1}}, {{4, 6, 1}, {5, 3, 2}}, {{4, 5, 
            1}, {6, 3, 2}}, {{4, 5, 3, 2, 6, 1}}, {{5, 2, 1}, {6, 4, 
            3}}, {{5, 4, 3, 6, 2, 1}}, {{5, 1}, {2}, {6, 3}, {4}}, {{5, 3, 6, 
            1}, {2}, {4}}, {{5, 2, 3, 6, 4, 1}}, {{5, 4, 1}, {3, 6, 2}}, {{5, 
            1}, {4, 2}, {6, 3}}, {{5, 3, 6, 1}, {4, 2}}, {{6, 4, 3, 5, 2, 
            1}}, {{6, 2, 1}, {5, 4, 3}}, {{6, 3, 5, 1}, {2}, {4}}, {{6, 
            1}, {2}, {5, 3}, {4}}, {{6, 4, 1}, {3, 5, 2}}, {{6, 2, 3, 5, 4, 
            1}}, {{6, 3, 5, 1}, {4, 2}}, {{6, 1}, {4, 2}, {5, 3}}}, 
      48}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["MaxSymmProjAltKL ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["finds maximum symmetrical projection of an alternating ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" given by its Conway symbol .",
    FontColor->RGBColor[0.501961, 0, 0]]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<6*.2\>";\)\), "\[IndentingNewLine]", 
    \(MaxSymmProjAltKL[K]\)}], "Input"],

Cell[BoxData[
    InterpretationBox[\("Number of automorphisms: "\[InvisibleSpace]4\),
      SequenceForm[ "Number of automorphisms: ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Max symmetric projection: "\[InvisibleSpace]"6*.2"\),
      
      SequenceForm[ "Max symmetric projection: ", "6*.2"],
      Editable->False]], "Print"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .97279 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics3D
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0 1 -0.0136044 1 [
[ 0 0 0 0 ]
[ 1 .97279 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .97279 L
0 .97279 L
closepath
clip
newpath
.5 Mabswid
[ ] 0 setdash
.601 .235 .321 r
.28624 .25994 m .28389 .25102 L p .29557 .25837 L F P
0 g
s
.601 .235 .321 r
.28389 .25102 m .30327 .2509 L .29989 .25768 L p F P
0 g
s
.601 .235 .321 r
.29989 .25768 m .2986 .26028 L p .29557 .25837 L F P
0 g
s
.601 .235 .321 r
.28389 .25102 m .29989 .25768 L .29557 .25837 L F
.59 .232 .33 r
.24002 .25944 m .28389 .25102 L .28624 .25994 L p F P
0 g
s
.59 .232 .33 r
.24422 .26748 m .24002 .25944 L p .27221 .25979 L F P
0 g
s
.59 .232 .33 r
.28624 .25994 m .24422 .26748 L p .27221 .25979 L F P
0 g
s
.719 .585 .705 r
.28389 .25102 m .24002 .25944 L .23175 .24032 L p F P
0 g
s
.521 .186 .34 r
.19854 .27716 m .24002 .25944 L .24422 .26748 L p F P
0 g
s
.718 .583 .702 r
.24002 .25944 m .19854 .27716 L .18689 .25987 L p F P
0 g
s
.718 .583 .702 r
.18689 .25987 m .23175 .24032 L .24002 .25944 L p F P
0 g
s
.521 .186 .34 r
.20412 .28415 m .19854 .27716 L p .23169 .27013 L F P
0 g
s
.521 .186 .34 r
.24422 .26748 m .20412 .28415 L p .23169 .27013 L F P
0 g
s
.465 .157 .359 r
.16073 .30236 m .19854 .27716 L .20412 .28415 L p F P
0 g
s
.717 .58 .7 r
.19854 .27716 m .16073 .30236 L .14606 .28751 L p F P
0 g
s
.717 .58 .7 r
.14606 .28751 m .18689 .25987 L .19854 .27716 L p F P
0 g
s
.465 .157 .359 r
.16749 .30804 m .16073 .30236 L p .1919 .28928 L F P
0 g
s
.465 .157 .359 r
.20412 .28415 m .16749 .30804 L p .1919 .28928 L F P
0 g
s
.412 .142 .391 r
.12733 .33502 m .16073 .30236 L .16749 .30804 L p F P
0 g
s
.716 .577 .698 r
.16073 .30236 m .12733 .33502 L .11108 .32189 L p F P
0 g
s
.716 .577 .698 r
.11108 .32189 m .14606 .28751 L .16073 .30236 L p F P
0 g
s
.412 .142 .391 r
.13467 .33983 m .12733 .33502 L p .15971 .31327 L F P
0 g
s
.412 .142 .391 r
.16749 .30804 m .13467 .33983 L p .15971 .31327 L F P
0 g
s
.385 .138 .412 r
.10019 .3682 m .12733 .33502 L .13467 .33983 L p F P
0 g
s
.715 .576 .697 r
.12733 .33502 m .10019 .3682 L .08176 .35832 L p F P
0 g
s
.715 .576 .697 r
.08176 .35832 m .11108 .32189 L .12733 .33502 L p F P
0 g
s
.385 .138 .412 r
.10829 .37136 m .10019 .3682 L p .12546 .3474 L F P
0 g
s
.385 .138 .412 r
.13467 .33983 m .10829 .37136 L p .12546 .3474 L F P
0 g
s
.344 .143 .458 r
.07991 .40549 m .10019 .3682 L .10829 .37136 L p F P
0 g
s
.713 .573 .695 r
.10019 .3682 m .07991 .40549 L .05992 .39929 L p F P
0 g
s
.713 .573 .695 r
.05992 .39929 m .08176 .35832 L .10019 .3682 L p F P
0 g
s
.344 .143 .458 r
.08844 .40685 m .07991 .40549 L p .10071 .38047 L F P
0 g
s
.344 .143 .458 r
.10829 .37136 m .08844 .40685 L p .10071 .38047 L F P
0 g
s
.313 .163 .512 r
.0673 .44514 m .07991 .40549 L .08844 .40685 L p F P
0 g
s
.711 .57 .694 r
.07991 .40549 m .0673 .44514 L .04643 .44328 L p F P
0 g
s
.711 .57 .694 r
.04643 .44328 m .05992 .39929 L .07991 .40549 L p F P
0 g
s
.313 .163 .512 r
.07591 .44444 m .0673 .44514 L p .08241 .41777 L F P
0 g
s
.313 .163 .512 r
.08844 .40685 m .07591 .44444 L p .08241 .41777 L F P
0 g
s
.293 .203 .579 r
.06328 .48691 m .0673 .44514 L .07591 .44444 L p F P
0 g
s
.708 .567 .694 r
.0673 .44514 m .06328 .48691 L .04239 .48878 L p F P
0 g
s
.708 .567 .694 r
.04239 .48878 m .04643 .44328 L .0673 .44514 L p F P
0 g
s
.293 .203 .579 r
.07163 .48454 m .06328 .48691 L p .07276 .45506 L F P
0 g
s
.293 .203 .579 r
.07591 .44444 m .07163 .48454 L p .07276 .45506 L F P
0 g
s
.29 .248 .637 r
.06666 .52839 m .06328 .48691 L .07163 .48454 L p F P
0 g
s
.706 .565 .694 r
.06328 .48691 m .06666 .52839 L .04661 .53461 L p F P
0 g
s
.706 .565 .694 r
.04661 .53461 m .04239 .48878 L .06328 .48691 L p F P
0 g
s
.29 .248 .637 r
.0743 .52408 m .06666 .52839 L p .07021 .49701 L F P
0 g
s
.29 .248 .637 r
.07163 .48454 m .0743 .52408 L p .07021 .49701 L F P
0 g
s
.301 .314 .708 r
.07874 .5684 m .06666 .52839 L .0743 .52408 L p F P
0 g
s
.703 .563 .694 r
.06666 .52839 m .07874 .5684 L .06023 .57832 L p F P
0 g
s
.703 .563 .694 r
.06023 .57832 m .04661 .53461 L .06666 .52839 L p F P
0 g
s
.301 .314 .708 r
.08543 .56254 m .07874 .5684 L p .07548 .53581 L F P
0 g
s
.301 .314 .708 r
.0743 .52408 m .08543 .56254 L p .07548 .53581 L F P
0 g
s
.326 .383 .768 r
.09854 .60596 m .07874 .5684 L .08543 .56254 L p F P
0 g
s
.701 .563 .695 r
.07874 .5684 m .09854 .60596 L .08219 .61918 L p F P
0 g
s
.701 .563 .695 r
.08219 .61918 m .06023 .57832 L .07874 .5684 L p F P
0 g
s
.326 .383 .768 r
.10401 .59878 m .09854 .60596 L p .08895 .57422 L F P
0 g
s
.326 .383 .768 r
.08543 .56254 m .10401 .59878 L p .08895 .57422 L F P
0 g
s
.362 .455 .821 r
.12573 .64003 m .09854 .60596 L .10401 .59878 L p F P
0 g
s
.699 .562 .697 r
.09854 .60596 m .12573 .64003 L .11094 .655 L p F P
0 g
s
.699 .562 .697 r
.11094 .655 m .08219 .61918 L .09854 .60596 L p F P
0 g
s
.362 .455 .821 r
.13048 .63229 m .12573 .64003 L p .10782 .60602 L F P
0 g
s
.362 .455 .821 r
.10401 .59878 m .13048 .63229 L p .10782 .60602 L F P
0 g
s
.388 .498 .85 r
.15826 .67254 m .12573 .64003 L .13048 .63229 L p F P
0 g
s
.698 .563 .698 r
.12573 .64003 m .15826 .67254 L .14649 .69 L p F P
0 g
s
.698 .563 .698 r
.14649 .69 m .11094 .655 L .12573 .64003 L p F P
0 g
s
.388 .498 .85 r
.16147 .66387 m .15826 .67254 L p .13826 .64356 L F P
0 g
s
.388 .498 .85 r
.13048 .63229 m .16147 .66387 L p .13826 .64356 L F P
0 g
s
.437 .569 .889 r
.19597 .69824 m .15826 .67254 L .16147 .66387 L p F P
0 g
s
.697 .563 .7 r
.15826 .67254 m .19597 .69824 L .1876 .71758 L p F P
0 g
s
.697 .563 .7 r
.1876 .71758 m .14649 .69 L .15826 .67254 L p F P
0 g
s
.437 .569 .889 r
.19753 .68896 m .19597 .69824 L p .17093 .67329 L F P
0 g
s
.437 .569 .889 r
.16147 .66387 m .19753 .68896 L p .17093 .67329 L F P
0 g
s
.491 .636 .918 r
.2372 .71633 m .19597 .69824 L .19753 .68896 L p F P
0 g
s
.695 .564 .702 r
.19597 .69824 m .2372 .71633 L .23313 .73703 L p F P
0 g
s
.695 .564 .702 r
.23313 .73703 m .1876 .71758 L .19597 .69824 L p F P
0 g
s
.491 .636 .918 r
.23669 .70674 m .2372 .71633 L p .20954 .69726 L F P
0 g
s
.491 .636 .918 r
.19753 .68896 m .23669 .70674 L p .20954 .69726 L F P
0 g
s
.91 .705 .614 r
.26269 .7409 m .2549 .711 L .2656 .70536 L p F P
0 g
s
.91 .705 .614 r
.2656 .70536 m .274 .73735 L .26269 .7409 L p F P
0 g
s
.33 .349 .729 r
.2549 .711 m .26269 .7409 L .27088 .73694 L p F P
0 g
s
.33 .349 .729 r
.27088 .73694 m .26451 .71166 L .2549 .711 L p F P
0 g
s
.711 .596 .725 r
.274 .73735 m .2656 .70536 L .28583 .70038 L p F P
0 g
s
.711 .596 .725 r
.28583 .70038 m .29343 .72988 L .274 .73735 L p F P
0 g
s
.713 .602 .732 r
.26451 .71166 m .27088 .73694 L .29049 .7294 L p F P
0 g
s
.546 .696 .938 r
.27627 .72527 m .2372 .71633 L .23669 .70674 L p F P
0 g
s
.702 .563 .694 r
.29033 .77948 m .274 .73735 L .29343 .72988 L p F P
0 g
s
.89 .644 .56 r
.274 .73735 m .29033 .77948 L .27962 .7849 L p F P
0 g
s
.89 .644 .56 r
.27962 .7849 m .26269 .7409 L .274 .73735 L p F P
0 g
s
.333 .353 .732 r
.28691 .77966 m .27088 .73694 L .26269 .7409 L p F P
0 g
s
.702 .563 .694 r
.29343 .72988 m .30826 .76887 L .29033 .77948 L p F P
0 g
s
.702 .562 .693 r
.30501 .76895 m .29049 .7294 L .27088 .73694 L p F P
0 g
s
.702 .562 .693 r
.27088 .73694 m .28691 .77966 L .30501 .76895 L p F P
0 g
s
.692 .562 .704 r
.2372 .71633 m .27627 .72527 L .27645 .74639 L p F P
0 g
s
.333 .353 .732 r
.26269 .7409 m .27962 .7849 L .28691 .77966 L p F P
0 g
s
.692 .562 .704 r
.27645 .74639 m .23313 .73703 L .2372 .71633 L p F P
0 g
s
.915 .738 .648 r
.26258 .67577 m .2656 .70536 L .2549 .711 L p F P
0 g
s
.915 .738 .648 r
.2549 .711 m .2513 .67988 L .26258 .67577 L p F P
0 g
s
.323 .31 .69 r
.2513 .67988 m .2549 .711 L .26451 .71166 L p F P
0 g
s
.713 .602 .732 r
.29049 .7294 m .28493 .70664 L .26451 .71166 L p F P
0 g
s
.546 .696 .938 r
.23669 .70674 m .27891 .71572 L .27627 .72527 L p F P
0 g
s
.699 .362 .403 r
.23669 .70674 m .23207 .71795 L p .26438 .71641 L F P
0 g
s
.699 .362 .403 r
.27891 .71572 m .23669 .70674 L p .26438 .71641 L F P
0 g
s
.752 .421 .423 r
.19753 .68896 m .19065 .69913 L p .22418 .70467 L F P
0 g
s
.752 .421 .423 r
.23669 .70674 m .19753 .68896 L p .22418 .70467 L F P
0 g
s
.793 .473 .447 r
.16147 .66387 m .15284 .67276 L p .18492 .68439 L F P
0 g
s
.793 .473 .447 r
.19753 .68896 m .16147 .66387 L p .18492 .68439 L F P
0 g
s
.83 .528 .478 r
.13048 .63229 m .12035 .63957 L p .15383 .65936 L F P
0 g
s
.83 .528 .478 r
.16147 .66387 m .13048 .63229 L p .15383 .65936 L F P
0 g
s
.848 .558 .498 r
.10401 .59878 m .09302 .60485 L p .11971 .6244 L F P
0 g
s
.848 .558 .498 r
.13048 .63229 m .10401 .59878 L p .11971 .6244 L F P
0 g
s
.875 .612 .538 r
.08543 .56254 m .07348 .56663 L p .09563 .58996 L F P
0 g
s
.875 .612 .538 r
.10401 .59878 m .08543 .56254 L p .09563 .58996 L F P
0 g
s
.894 .663 .582 r
.0743 .52408 m .06178 .526 L p .07848 .55181 L F P
0 g
s
.894 .663 .582 r
.08543 .56254 m .0743 .52408 L p .07848 .55181 L F P
0 g
s
.905 .714 .633 r
.07163 .48454 m .05898 .48402 L p .07049 .51413 L F P
0 g
s
.905 .714 .633 r
.0743 .52408 m .07163 .48454 L p .07049 .51413 L F P
0 g
s
.907 .75 .676 r
.07591 .44444 m .06356 .44186 L p .06923 .47188 L F P
0 g
s
.907 .75 .676 r
.07163 .48454 m .07591 .44444 L p .06923 .47188 L F P
0 g
s
.899 .785 .727 r
.08844 .40685 m .07689 .40196 L p .07617 .43324 L F P
0 g
s
.899 .785 .727 r
.07591 .44444 m .08844 .40685 L p .07617 .43324 L F P
0 g
s
.883 .808 .77 r
.10829 .37136 m .09786 .36458 L p .09097 .39552 L F P
0 g
s
.883 .808 .77 r
.08844 .40685 m .10829 .37136 L p .09097 .39552 L F P
0 g
s
.86 .822 .81 r
.13467 .33983 m .12568 .33142 L p .11116 .36476 L F P
0 g
s
.86 .822 .81 r
.10829 .37136 m .13467 .33983 L p .11116 .36476 L F P
0 g
s
.843 .826 .831 r
.16749 .30804 m .1595 .2988 L p .14209 .32756 L F P
0 g
s
.843 .826 .831 r
.13467 .33983 m .16749 .30804 L p .14209 .32756 L F P
0 g
s
.809 .824 .863 r
.20412 .28415 m .19799 .27374 L p .17604 .29842 L F P
0 g
s
.809 .824 .863 r
.16749 .30804 m .20412 .28415 L p .17604 .29842 L F P
0 g
s
.769 .813 .888 r
.24422 .26748 m .2401 .25629 L p .21545 .27538 L F P
0 g
s
.769 .813 .888 r
.20412 .28415 m .24422 .26748 L p .21545 .27538 L F P
0 g
s
.718 .788 .907 r
.28624 .25994 m .28623 .25987 L p .24573 .26676 L F P
0 g
s
.678 .554 .706 r
.30327 .2509 m .28389 .25102 L .27988 .23059 L p F P
0 g
s
.719 .585 .705 r
.23175 .24032 m .27988 .23059 L .28389 .25102 L p F P
0 g
s
.718 .788 .907 r
.28623 .25987 m .28455 .24833 L p .24699 .26616 L F P
0 g
s
.718 .788 .907 r
.24573 .26676 m .28623 .25987 L .24699 .26616 L F
.24422 .26748 m .28624 .25994 L p .24573 .26676 L F P
0 g
s
.601 .235 .321 r
.2986 .26028 m .28624 .25994 L p .29557 .25837 L F P
0 g
s
.678 .554 .706 r
.27988 .23059 m .30344 .23006 L .30327 .2509 L p F P
0 g
s
.637 .73 .915 r
.30344 .23006 m .27988 .23059 L .27817 .2189 L p F P
0 g
s
.721 .788 .905 r
.27988 .23059 m .23175 .24032 L .22759 .22906 L p F P
0 g
s
.721 .788 .905 r
.22759 .22906 m .27817 .2189 L .27988 .23059 L p F P
0 g
s
.93 .661 .507 r
.75222 .26655 m .74908 .25525 L .75724 .25141 L p F P
0 g
s
.93 .661 .507 r
.75724 .25141 m .76231 .26916 L .7541 .26703 L p F P
0 g
s
.93 .661 .507 r
.75724 .25141 m .7541 .26703 L .75298 .26427 L F
.934 .685 .538 r
.74291 .21144 m .75724 .25141 L .74908 .25525 L p F P
0 g
s
.698 .543 .673 r
.76231 .26916 m .75724 .25141 L .77681 .2443 L p F P
0 g
s
.712 .591 .719 r
.75724 .25141 m .74291 .21144 L .76116 .2014 L p F P
0 g
s
.712 .591 .719 r
.76116 .2014 m .77681 .2443 L .75724 .25141 L p F P
0 g
s
.934 .685 .538 r
.73554 .21649 m .74291 .21144 L p .74765 .24514 L F P
0 g
s
.934 .685 .538 r
.74908 .25525 m .73554 .21649 L p .74765 .24514 L F P
0 g
s
.917 .634 .49 r
.72277 .17443 m .74291 .21144 L .73554 .21649 L p F P
0 g
s
.713 .592 .719 r
.74291 .21144 m .72277 .17443 L .7392 .16157 L p F P
0 g
s
.713 .592 .719 r
.7392 .16157 m .76116 .2014 L .74291 .21144 L p F P
0 g
s
.917 .634 .49 r
.71644 .1806 m .72277 .17443 L p .73252 .20654 L F P
0 g
s
.917 .634 .49 r
.73554 .21649 m .71644 .1806 L p .73252 .20654 L F P
0 g
s
.892 .576 .443 r
.69747 .14172 m .72277 .17443 L .71644 .1806 L p F P
0 g
s
.715 .593 .718 r
.72277 .17443 m .69747 .14172 L .71147 .12623 L p F P
0 g
s
.715 .593 .718 r
.71147 .12623 m .7392 .16157 L .72277 .17443 L p F P
0 g
s
.892 .576 .443 r
.69243 .1489 m .69747 .14172 L p .71176 .171 L F P
0 g
s
.892 .576 .443 r
.71644 .1806 m .69243 .1489 L p .71176 .171 L F P
0 g
s
.857 .511 .396 r
.66645 .11338 m .69747 .14172 L .69243 .1489 L p F P
0 g
s
.717 .593 .716 r
.69747 .14172 m .66645 .11338 L .67837 .09622 L p F P
0 g
s
.717 .593 .716 r
.67837 .09622 m .71147 .12623 L .69747 .14172 L p F P
0 g
s
.857 .511 .396 r
.66252 .12119 m .66645 .11338 L p .68726 .14183 L F P
0 g
s
.857 .511 .396 r
.69243 .1489 m .66252 .12119 L p .68726 .14183 L F P
0 g
s
.827 .463 .367 r
.63508 .0913 m .66645 .11338 L .66252 .12119 L p F P
0 g
s
.719 .594 .715 r
.66645 .11338 m .63508 .0913 L .64373 .07227 L p F P
0 g
s
.719 .594 .715 r
.64373 .07227 m .67837 .09622 L .66645 .11338 L p F P
0 g
s
.827 .463 .367 r
.63278 .0997 m .63508 .0913 L p .65598 .11407 L F P
0 g
s
.827 .463 .367 r
.66252 .12119 m .63278 .0997 L p .65598 .11407 L F P
0 g
s
.777 .395 .332 r
.60038 .07524 m .63508 .0913 L .63278 .0997 L p F P
0 g
s
.72 .593 .713 r
.63508 .0913 m .60038 .07524 L .6056 .05498 L p F P
0 g
s
.72 .593 .713 r
.6056 .05498 m .64373 .07227 L .63508 .0913 L p F P
0 g
s
.777 .395 .332 r
.59976 .08393 m .60038 .07524 L p .62527 .09403 L F P
0 g
s
.777 .395 .332 r
.63278 .0997 m .59976 .08393 L p .62527 .09403 L F P
0 g
s
.723 .332 .308 r
.56357 .0655 m .60038 .07524 L .59976 .08393 L p F P
0 g
s
.721 .592 .711 r
.60038 .07524 m .56357 .0655 L .56508 .04461 L p F P
0 g
s
.721 .592 .711 r
.56508 .04461 m .6056 .05498 L .60038 .07524 L p F P
0 g
s
.723 .332 .308 r
.56468 .07418 m .56357 .0655 L p .59111 .07953 L F P
0 g
s
.723 .332 .308 r
.59976 .08393 m .56468 .07418 L p .59111 .07953 L F P
0 g
s
.664 .273 .294 r
.52477 .06245 m .56357 .0655 L .56468 .07418 L p F P
0 g
s
.722 .59 .708 r
.56357 .0655 m .52477 .06245 L .5237 .04151 L p F P
0 g
s
.722 .59 .708 r
.5237 .04151 m .56508 .04461 L .56357 .0655 L p F P
0 g
s
.664 .273 .294 r
.52704 .07093 m .52477 .06245 L p .55756 .07208 L F P
0 g
s
.664 .273 .294 r
.56468 .07418 m .52704 .07093 L p .55756 .07208 L F P
0 g
s
.624 .238 .292 r
.48746 .06411 m .52477 .06245 L .52704 .07093 L p F P
0 g
s
.722 .589 .706 r
.52477 .06245 m .48746 .06411 L .48266 .04368 L p F P
0 g
s
.722 .589 .706 r
.48266 .04368 m .5237 .04151 L .52477 .06245 L p F P
0 g
s
.624 .238 .292 r
.49139 .07205 m .48746 .06411 L p .51785 .06935 L F P
0 g
s
.624 .238 .292 r
.52704 .07093 m .49139 .07205 L p .51785 .06935 L F P
0 g
s
.565 .195 .298 r
.45119 .07237 m .48746 .06411 L .49139 .07205 L p F P
0 g
s
.722 .586 .703 r
.48746 .06411 m .45119 .07237 L .4429 .05307 L p F P
0 g
s
.722 .586 .703 r
.4429 .05307 m .48266 .04368 L .48746 .06411 L p F P
0 g
s
.565 .195 .298 r
.45661 .07952 m .45119 .07237 L p .48228 .07212 L F P
0 g
s
.565 .195 .298 r
.49139 .07205 m .45661 .07952 L p .48228 .07212 L F P
0 g
s
.51 .164 .315 r
.41682 .08687 m .45119 .07237 L .45661 .07952 L p F P
0 g
s
.721 .584 .701 r
.45119 .07237 m .41682 .08687 L .40525 .06932 L p F P
0 g
s
.721 .584 .701 r
.40525 .06932 m .4429 .05307 L .45119 .07237 L p F P
0 g
s
.51 .164 .315 r
.4236 .09295 m .41682 .08687 L p .44736 .08123 L F P
0 g
s
.51 .164 .315 r
.45661 .07952 m .4236 .09295 L p .44736 .08123 L F P
0 g
s
.46 .145 .344 r
.38499 .10758 m .41682 .08687 L .4236 .09295 L p F P
0 g
s
.72 .581 .699 r
.41682 .08687 m .38499 .10758 L .37137 .09154 L p F P
0 g
s
.72 .581 .699 r
.37137 .09154 m .40525 .06932 L .41682 .08687 L p F P
0 g
s
.46 .145 .344 r
.39242 .11293 m .38499 .10758 L p .41719 .09538 L F P
0 g
s
.46 .145 .344 r
.4236 .09295 m .39242 .11293 L p .41719 .09538 L F P
0 g
s
.429 .139 .37 r
.35337 .13412 m .38499 .10758 L .39242 .11293 L p F P
0 g
s
.718 .579 .698 r
.38499 .10758 m .35337 .13412 L .33721 .12062 L p F P
0 g
s
.718 .579 .698 r
.33721 .12062 m .37137 .09154 L .38499 .10758 L p F P
0 g
s
.429 .139 .37 r
.36176 .13813 m .35337 .13412 L p .38291 .11809 L F P
0 g
s
.429 .139 .37 r
.39242 .11293 m .36176 .13813 L p .38291 .11809 L F P
0 g
s
.391 .141 .411 r
.32678 .16565 m .35337 .13412 L .36176 .13813 L p F P
0 g
s
.716 .576 .696 r
.35337 .13412 m .32678 .16565 L .30864 .15491 L p F P
0 g
s
.716 .576 .696 r
.30864 .15491 m .33721 .12062 L .35337 .13412 L p F P
0 g
s
.391 .141 .411 r
.33584 .16829 m .32678 .16565 L p .35367 .14449 L F P
0 g
s
.391 .141 .411 r
.36176 .13813 m .33584 .16829 L p .35367 .14449 L F P
0 g
s
.363 .154 .455 r
.30537 .20147 m .32678 .16565 L .33584 .16829 L p F P
0 g
s
.714 .573 .695 r
.32678 .16565 m .30537 .20147 L .28568 .19389 L p F P
0 g
s
.714 .573 .695 r
.28568 .19389 m .30864 .15491 L .32678 .16565 L p F P
0 g
s
.363 .154 .455 r
.31488 .20258 m .30537 .20147 L p .32844 .17634 L F P
0 g
s
.363 .154 .455 r
.33584 .16829 m .31488 .20258 L p .32844 .17634 L F P
0 g
s
.585 .683 .909 r
.32169 .2341 m .30344 .23006 L .29896 .21842 L p F P
0 g
s
.637 .73 .915 r
.27817 .2189 m .29896 .21842 L .30344 .23006 L p F P
0 g
s
.585 .683 .909 r
.29896 .21842 m .31939 .22197 L .32169 .2341 L p F P
0 g
s
.646 .266 .309 r
.31939 .22197 m .29896 .21842 L .29425 .22769 L p F P
0 g
s
.646 .266 .309 r
.29425 .22769 m .31287 .23036 L .31939 .22197 L p F P
0 g
s
.675 .546 .7 r
.31754 .25454 m .30327 .2509 L .30344 .23006 L p F P
0 g
s
.675 .546 .7 r
.30344 .23006 m .32169 .2341 L .31754 .25454 L p F P
0 g
s
.665 .536 .698 r
.31287 .23036 m .29425 .22769 L .29407 .24871 L p F P
0 g
s
.593 .223 .31 r
.29896 .21842 m .27817 .2189 L .2805 .22772 L p F P
0 g
s
.593 .223 .31 r
.2805 .22772 m .29425 .22769 L .29896 .21842 L p F P
0 g
s
.646 .527 .704 r
.28455 .24833 m .29407 .24871 L .29425 .22769 L p F P
0 g
s
.343 .172 .5 r
.29089 .2374 m .30537 .20147 L .31488 .20258 L p F P
0 g
s
.586 .224 .322 r
.23175 .23699 m .2805 .22772 L .27817 .2189 L p F P
0 g
s
.646 .527 .704 r
.29425 .22769 m .2805 .22772 L .28455 .24833 L p F P
0 g
s
.72 .586 .704 r
.2401 .25629 m .28455 .24833 L .2805 .22772 L p F P
0 g
s
.72 .586 .704 r
.2805 .22772 m .23175 .23699 L .2401 .25629 L p F P
0 g
s
.712 .57 .693 r
.30537 .20147 m .29089 .2374 L .27038 .23235 L p F P
0 g
s
.586 .224 .322 r
.27817 .2189 m .22759 .22906 L .23175 .23699 L p F P
0 g
s
.712 .57 .693 r
.27038 .23235 m .28568 .19389 L .30537 .20147 L p F P
0 g
s
.343 .172 .5 r
.31488 .20258 m .29968 .24095 L .29089 .2374 L p F P
0 g
s
.903 .804 .74 r
.31488 .20258 m .30461 .19606 L p .30093 .22957 L F P
0 g
s
.903 .804 .74 r
.29968 .24095 m .31488 .20258 L p .30093 .22957 L F P
0 g
s
.884 .82 .78 r
.33584 .16829 m .32667 .16012 L p .31768 .19252 L F P
0 g
s
.884 .82 .78 r
.31488 .20258 m .33584 .16829 L p .31768 .19252 L F P
0 g
s
.861 .828 .814 r
.36176 .13813 m .35392 .12855 L p .34031 .15845 L F P
0 g
s
.861 .828 .814 r
.33584 .16829 m .36176 .13813 L p .34031 .15845 L F P
0 g
s
.831 .829 .845 r
.39242 .11293 m .38619 .10214 L p .3663 .13144 L F P
0 g
s
.831 .829 .845 r
.36176 .13813 m .39242 .11293 L p .3663 .13144 L F P
0 g
s
.809 .825 .863 r
.4236 .09295 m .41876 .08138 L p .39894 .10513 L F P
0 g
s
.809 .825 .863 r
.39242 .11293 m .4236 .09295 L p .39894 .10513 L F P
0 g
s
.771 .81 .885 r
.45661 .07952 m .45373 .06725 L p .43056 .08702 L F P
0 g
s
.771 .81 .885 r
.4236 .09295 m .45661 .07952 L p .43056 .08702 L F P
0 g
s
.731 .789 .899 r
.49139 .07205 m .49053 .05946 L p .4646 .07479 L F P
0 g
s
.731 .789 .899 r
.45661 .07952 m .49139 .07205 L p .4646 .07479 L F P
0 g
s
.688 .76 .907 r
.52704 .07093 m .52825 .05836 L p .49743 .06981 L F P
0 g
s
.688 .76 .907 r
.49139 .07205 m .52704 .07093 L p .49743 .06981 L F P
0 g
s
.658 .737 .908 r
.56468 .07418 m .56732 .06185 L p .53726 .06863 L F P
0 g
s
.658 .737 .908 r
.52704 .07093 m .56468 .07418 L p .53726 .06863 L F P
0 g
s
.614 .696 .902 r
.59976 .08393 m .60439 .07225 L p .57397 .07373 L F P
0 g
s
.614 .696 .902 r
.56468 .07418 m .59976 .08393 L p .57397 .07373 L F P
0 g
s
.573 .653 .89 r
.63278 .0997 m .63921 .08897 L p .60928 .08515 L F P
0 g
s
.573 .653 .89 r
.59976 .08393 m .63278 .0997 L p .60928 .08515 L F P
0 g
s
.533 .604 .871 r
.66252 .12119 m .67057 .11175 L p .63924 .10176 L F P
0 g
s
.533 .604 .871 r
.63278 .0997 m .66252 .12119 L p .63924 .10176 L F P
0 g
s
.507 .569 .853 r
.69243 .1489 m .70147 .14051 L p .67255 .12616 L F P
0 g
s
.507 .569 .853 r
.66252 .12119 m .69243 .1489 L p .67255 .12616 L F P
0 g
s
.475 .519 .823 r
.71644 .1806 m .72663 .17387 L p .7004 .15471 L F P
0 g
s
.475 .519 .823 r
.69243 .1489 m .71644 .1806 L p .7004 .15471 L F P
0 g
s
.45 .472 .791 r
.73554 .21649 m .74653 .21145 L p .72337 .1877 L F P
0 g
s
.45 .472 .791 r
.71644 .1806 m .73554 .21649 L p .72337 .1877 L F P
0 g
s
.43 .429 .757 r
.73554 .21649 m .74756 .25091 L p .76058 .25195 L F P
0 g
s
.43 .429 .757 r
.74756 .25091 m .74908 .25525 L .7493 .25519 L p F P
0 g
s
.43 .429 .757 r
.7493 .25519 m .76058 .25195 L p .74756 .25091 L F P
0 g
s
.93 .661 .507 r
.7541 .26703 m .75222 .26655 L p .75298 .26427 L F P
0 g
s
.698 .543 .673 r
.77681 .2443 m .78246 .26387 L .76231 .26916 L p F P
0 g
s
.407 .361 .694 r
.78246 .26387 m .77681 .2443 L .78839 .24096 L p F P
0 g
s
.435 .433 .758 r
.77681 .2443 m .76116 .2014 L .77222 .19631 L p F P
0 g
s
.435 .433 .758 r
.77222 .19631 m .78839 .24096 L .77681 .2443 L p F P
0 g
s
.338 .354 .73 r
.29554 .701 m .30172 .72589 L .29343 .72988 L p F P
0 g
s
.341 .358 .733 r
.30826 .76887 m .29343 .72988 L .30172 .72589 L p F P
0 g
s
.341 .358 .733 r
.31565 .76358 m .30826 .76887 L p .30331 .7363 L F P
0 g
s
.341 .358 .733 r
.30172 .72589 m .31565 .76358 L p .30331 .7363 L F P
0 g
s
.356 .411 .781 r
.32931 .80479 m .30826 .76887 L .31565 .76358 L p F P
0 g
s
.7 .562 .695 r
.30826 .76887 m .32931 .80479 L .31331 .81815 L p F P
0 g
s
.7 .562 .695 r
.31331 .81815 m .29033 .77948 L .30826 .76887 L p F P
0 g
s
.356 .411 .781 r
.33563 .7984 m .32931 .80479 L p .31885 .77325 L F P
0 g
s
.356 .411 .781 r
.31565 .76358 m .33563 .7984 L p .31885 .77325 L F P
0 g
s
.378 .466 .824 r
.35546 .8364 m .32931 .80479 L .33563 .7984 L p F P
0 g
s
.698 .562 .696 r
.32931 .80479 m .35546 .8364 L .34195 .85232 L p F P
0 g
s
.698 .562 .696 r
.34195 .85232 m .31331 .81815 L .32931 .80479 L p F P
0 g
s
.378 .466 .824 r
.36046 .82906 m .35546 .8364 L p .34048 .8077 L F P
0 g
s
.378 .466 .824 r
.33563 .7984 m .36046 .82906 L p .34048 .8077 L F P
0 g
s
.411 .528 .865 r
.38724 .86364 m .35546 .8364 L .36046 .82906 L p F P
0 g
s
.696 .561 .698 r
.35546 .8364 m .38724 .86364 L .37574 .88108 L p F P
0 g
s
.696 .561 .698 r
.37574 .88108 m .34195 .85232 L .35546 .8364 L p F P
0 g
s
.411 .528 .865 r
.39116 .85572 m .38724 .86364 L p .36556 .83565 L F P
0 g
s
.411 .528 .865 r
.36046 .82906 m .39116 .85572 L p .36556 .83565 L F P
0 g
s
.436 .57 .89 r
.41845 .88447 m .38724 .86364 L .39116 .85572 L p F P
0 g
s
.695 .56 .699 r
.38724 .86364 m .41845 .88447 L .4102 .90368 L p F P
0 g
s
.695 .56 .699 r
.4102 .90368 m .37574 .88108 L .38724 .86364 L p F P
0 g
s
.436 .57 .89 r
.42073 .87601 m .41845 .88447 L p .39746 .86236 L F P
0 g
s
.436 .57 .89 r
.39116 .85572 m .42073 .87601 L p .39746 .86236 L F P
0 g
s
.482 .634 .921 r
.45267 .89942 m .41845 .88447 L .42073 .87601 L p F P
0 g
s
.693 .561 .701 r
.41845 .88447 m .45267 .89942 L .44789 .91979 L p F P
0 g
s
.693 .561 .701 r
.44789 .91979 m .4102 .90368 L .41845 .88447 L p F P
0 g
s
.482 .634 .921 r
.45328 .89071 m .45267 .89942 L p .428 .88133 L F P
0 g
s
.482 .634 .921 r
.42073 .87601 m .45328 .89071 L p .428 .88133 L F P
0 g
s
.534 .695 .942 r
.4888 .90815 m .45267 .89942 L .45328 .89071 L p F P
0 g
s
.692 .563 .704 r
.45267 .89942 m .4888 .90815 L .48773 .92907 L p F P
0 g
s
.692 .563 .704 r
.48773 .92907 m .44789 .91979 L .45267 .89942 L p F P
0 g
s
.534 .695 .942 r
.48768 .8995 m .4888 .90815 L p .46158 .89479 L F P
0 g
s
.534 .695 .942 r
.45328 .89071 m .48768 .8995 L p .46158 .89479 L F P
0 g
s
.591 .752 .955 r
.52666 .91035 m .4888 .90815 L .48768 .8995 L p F P
0 g
s
.692 .564 .706 r
.4888 .90815 m .52666 .91035 L .52817 .93126 L p F P
0 g
s
.692 .564 .706 r
.52817 .93126 m .48773 .92907 L .4888 .90815 L p F P
0 g
s
.591 .752 .955 r
.52445 .90191 m .52666 .91035 L p .49437 .90136 L F P
0 g
s
.591 .752 .955 r
.48768 .8995 m .52445 .90191 L p .49437 .90136 L F P
0 g
s
.632 .787 .956 r
.56492 .90786 m .52666 .91035 L .52445 .90191 L p F P
0 g
s
.692 .566 .708 r
.52666 .91035 m .56492 .90786 L .57015 .92818 L p F P
0 g
s
.692 .566 .708 r
.57015 .92818 m .52817 .93126 L .52666 .91035 L p F P
0 g
s
.632 .787 .956 r
.56106 .89998 m .56492 .90786 L p .53406 .90333 L F P
0 g
s
.632 .787 .956 r
.52445 .90191 m .56106 .89998 L p .53406 .90333 L F P
0 g
s
.691 .83 .95 r
.60198 .89859 m .56492 .90786 L .56106 .89998 L p F P
0 g
s
.693 .569 .711 r
.56492 .90786 m .60198 .89859 L .61067 .91771 L p F P
0 g
s
.693 .569 .711 r
.61067 .91771 m .57015 .92818 L .56492 .90786 L p F P
0 g
s
.691 .83 .95 r
.59663 .89155 m .60198 .89859 L p .57052 .89966 L F P
0 g
s
.691 .83 .95 r
.56106 .89998 m .59663 .89155 L p .57052 .89966 L F P
0 g
s
.747 .862 .933 r
.63688 .883 m .60198 .89859 L .59663 .89155 L p F P
0 g
s
.694 .571 .713 r
.60198 .89859 m .63688 .883 L .64887 .90027 L p F P
0 g
s
.694 .571 .713 r
.64887 .90027 m .61067 .91771 L .60198 .89859 L p F P
0 g
s
.747 .862 .933 r
.63019 .87706 m .63688 .883 L p .60627 .8895 L F P
0 g
s
.747 .862 .933 r
.59663 .89155 m .63019 .87706 L p .60627 .8895 L F P
0 g
s
.8 .883 .906 r
.66896 .86104 m .63688 .883 L .63019 .87706 L p F P
0 g
s
.695 .574 .715 r
.63688 .883 m .66896 .86104 L .68306 .87665 L p F P
0 g
s
.695 .574 .715 r
.68306 .87665 m .64887 .90027 L .63688 .883 L p F P
0 g
s
.8 .883 .906 r
.66156 .85592 m .66896 .86104 L p .63713 .87419 L F P
0 g
s
.8 .883 .906 r
.63019 .87706 m .66156 .85592 L p .63713 .87419 L F P
0 g
s
.835 .889 .88 r
.69999 .83334 m .66896 .86104 L .66156 .85592 L p F P
0 g
s
.697 .576 .716 r
.66896 .86104 m .69999 .83334 L .71657 .84632 L p F P
0 g
s
.697 .576 .716 r
.71657 .84632 m .68306 .87665 L .66896 .86104 L p F P
0 g
s
.835 .889 .88 r
.69167 .82959 m .69999 .83334 L p .671 .85037 L F P
0 g
s
.835 .889 .88 r
.66156 .85592 m .69167 .82959 L p .671 .85037 L F P
0 g
s
.875 .888 .84 r
.72582 .80071 m .69999 .83334 L .69167 .82959 L p F P
0 g
s
.698 .579 .718 r
.69999 .83334 m .72582 .80071 L .74429 .81087 L p F P
0 g
s
.698 .579 .718 r
.74429 .81087 m .71657 .84632 L .69999 .83334 L p F P
0 g
s
.875 .888 .84 r
.71689 .79833 m .72582 .80071 L p .69964 .82285 L F P
0 g
s
.875 .888 .84 r
.69167 .82959 m .71689 .79833 L p .69964 .82285 L F P
0 g
s
.905 .877 .797 r
.74645 .76366 m .72582 .80071 L .71689 .79833 L p F P
0 g
s
.7 .582 .719 r
.72582 .80071 m .74645 .76366 L .76628 .77087 L p F P
0 g
s
.7 .582 .719 r
.76628 .77087 m .74429 .81087 L .72582 .80071 L p F P
0 g
s
.905 .877 .797 r
.73714 .76268 m .74645 .76366 L p .72375 .79028 L F P
0 g
s
.905 .877 .797 r
.71689 .79833 m .73714 .76268 L p .72375 .79028 L F P
0 g
s
.749 .612 .706 r
.73864 .71546 m .74905 .71643 L .75247 .73699 L p F P
0 g
s
.749 .612 .706 r
.75247 .73699 m .73836 .73631 L .73864 .71546 L p F P
0 g
s
.687 .35 .398 r
.73836 .73631 m .75247 .73699 L .76013 .74761 L p F P
0 g
s
.687 .35 .398 r
.76013 .74761 m .74416 .74796 L .73836 .73631 L p F P
0 g
s
.644 .316 .401 r
.75247 .73699 m .77224 .73303 L .77526 .74458 L p F P
0 g
s
.644 .316 .401 r
.77526 .74458 m .76013 .74761 L .75247 .73699 L p F P
0 g
s
.684 .831 .954 r
.74416 .74796 m .76013 .74761 L .7644 .7376 L p F P
0 g
s
.727 .384 .399 r
.72456 .73362 m .73836 .73631 L .74416 .74796 L p F P
0 g
s
.727 .384 .399 r
.74416 .74796 m .72856 .74583 L .72456 .73362 L p F P
0 g
s
.633 .788 .956 r
.72856 .74583 m .74416 .74796 L .75029 .73867 L p F P
0 g
s
.684 .831 .954 r
.7644 .7376 m .75029 .73867 L .74416 .74796 L p F P
0 g
s
.633 .788 .956 r
.75029 .73867 m .736 .73737 L .72856 .74583 L p F P
0 g
s
.741 .6 .7 r
.74905 .71643 m .76574 .71325 L .77224 .73303 L p F P
0 g
s
.741 .6 .7 r
.77224 .73303 m .75247 .73699 L .74905 .71643 L p F P
0 g
s
.764 .625 .705 r
.75029 .73867 m .7644 .7376 L .76095 .71686 L p F P
0 g
s
.764 .625 .705 r
.76095 .71686 m .75057 .71763 L .75029 .73867 L p F P
0 g
s
.748 .616 .713 r
.72795 .71302 m .73864 .71546 L .73836 .73631 L p F P
0 g
s
.748 .616 .713 r
.73836 .73631 m .72456 .73362 L .72795 .71302 L p F P
0 g
s
.76 .628 .714 r
.736 .73737 m .75029 .73867 L .75057 .71763 L p F P
0 g
s
.924 .863 .761 r
.76001 .7287 m .74645 .76366 L .73714 .76268 L p F P
0 g
s
.693 .57 .711 r
.81227 .71967 m .77224 .73303 L .76574 .71325 L p F P
0 g
s
.572 .277 .43 r
.77224 .73303 m .81227 .71967 L .81742 .73064 L p F P
0 g
s
.572 .277 .43 r
.81742 .73064 m .77526 .74458 L .77224 .73303 L p F P
0 g
s
.738 .864 .939 r
.76013 .74761 m .77526 .74458 L .77175 .73627 L p F P
0 g
s
.716 .835 .938 r
.81238 .72335 m .77175 .73627 L .77526 .74458 L p F P
0 g
s
.738 .864 .939 r
.77175 .73627 m .7644 .7376 L .76013 .74761 L p F P
0 g
s
.813 .648 .678 r
.7644 .7376 m .77175 .73627 L .7652 .71631 L p F P
0 g
s
.813 .648 .678 r
.7652 .71631 m .76095 .71686 L .7644 .7376 L p F P
0 g
s
.693 .57 .711 r
.76574 .71325 m .80211 .70147 L .81227 .71967 L p F P
0 g
s
.692 .569 .712 r
.80214 .70499 m .7652 .71631 L .77175 .73627 L p F P
0 g
s
.692 .569 .712 r
.77175 .73627 m .81238 .72335 L .80214 .70499 L p F P
0 g
s
.701 .586 .724 r
.74645 .76366 m .76001 .7287 L .78043 .73405 L p F P
0 g
s
.716 .835 .938 r
.77526 .74458 m .81742 .73064 L .81238 .72335 L p F P
0 g
s
.701 .586 .724 r
.78043 .73405 m .76628 .77087 L .74645 .76366 L p F P
0 g
s
.924 .863 .761 r
.73714 .76268 m .75206 .72274 L .76001 .7287 L p F P
0 g
s
.417 .279 .584 r
.73714 .76268 m .74775 .76897 L p .751 .7341 L F P
0 g
s
.417 .279 .584 r
.75206 .72274 m .73714 .76268 L p .751 .7341 L F P
0 g
s
.435 .264 .549 r
.71689 .79833 m .72651 .80619 L p .73457 .77321 L F P
0 g
s
.435 .264 .549 r
.73714 .76268 m .71689 .79833 L p .73457 .77321 L F P
0 g
s
.458 .256 .516 r
.69167 .82959 m .70002 .8389 L p .71267 .80848 L F P
0 g
s
.458 .256 .516 r
.71689 .79833 m .69167 .82959 L p .71267 .80848 L F P
0 g
s
.488 .255 .486 r
.66156 .85592 m .66833 .8665 L p .68711 .83681 L F P
0 g
s
.488 .255 .486 r
.69167 .82959 m .66156 .85592 L p .68711 .83681 L F P
0 g
s
.512 .258 .467 r
.63019 .87706 m .63554 .88849 L p .65497 .86417 L F P
0 g
s
.512 .258 .467 r
.66156 .85592 m .63019 .87706 L p .65497 .86417 L F P
0 g
s
.552 .272 .445 r
.59663 .89155 m .60002 .90373 L p .62311 .88332 L F P
0 g
s
.552 .272 .445 r
.63019 .87706 m .59663 .89155 L p .62311 .88332 L F P
0 g
s
.592 .292 .43 r
.56106 .89998 m .56243 .91255 L p .58841 .8966 L F P
0 g
s
.592 .292 .43 r
.59663 .89155 m .56106 .89998 L p .58841 .8966 L F P
0 g
s
.635 .321 .421 r
.52445 .90191 m .52374 .9145 L p .55467 .90247 L F P
0 g
s
.635 .321 .421 r
.56106 .89998 m .52445 .90191 L p .55467 .90247 L F P
0 g
s
.664 .343 .419 r
.48768 .8995 m .48546 .91188 L p .51476 .90439 L F P
0 g
s
.664 .343 .419 r
.52445 .90191 m .48768 .8995 L p .51476 .90439 L F P
0 g
s
.708 .382 .423 r
.45328 .89071 m .44906 .90248 L p .47882 .90018 L F P
0 g
s
.708 .382 .423 r
.48768 .8995 m .45328 .89071 L p .47882 .90018 L F P
0 g
s
.749 .424 .433 r
.42073 .87601 m .41471 .88686 L p .44427 .88981 L F P
0 g
s
.749 .424 .433 r
.45328 .89071 m .42073 .87601 L p .44427 .88981 L F P
0 g
s
.789 .471 .451 r
.39116 .85572 m .38351 .86533 L p .41489 .87433 L F P
0 g
s
.789 .471 .451 r
.42073 .87601 m .39116 .85572 L p .41489 .87433 L F P
0 g
s
.814 .504 .466 r
.36046 .82906 m .35188 .83771 L p .38107 .8511 L F P
0 g
s
.814 .504 .466 r
.39116 .85572 m .36046 .82906 L p .38107 .8511 L F P
0 g
s
.846 .554 .493 r
.33563 .7984 m .32585 .80544 L p .35243 .82358 L F P
0 g
s
.846 .554 .493 r
.36046 .82906 m .33563 .7984 L p .35243 .82358 L F P
0 g
s
.872 .599 .523 r
.31565 .76358 m .30501 .76895 L p .32813 .79119 L F P
0 g
s
.872 .599 .523 r
.33563 .7984 m .31565 .76358 L p .32813 .79119 L F P
0 g
s
.893 .646 .559 r
.31565 .76358 m .30172 .72589 L .3017 .7259 L p F P
0 g
s
.338 .354 .73 r
.29343 .72988 m .28583 .70038 L .29242 .7008 L p F P
0 g
s
.338 .354 .73 r
.29343 .72988 m .29242 .7008 L .29504 .70788 L F
.893 .646 .559 r
.3017 .7259 m .29049 .7294 L p .31564 .76357 L F P
0 g
s
.893 .646 .559 r
.31565 .76358 m .3017 .7259 L .31564 .76357 L F
.338 .354 .73 r
.29242 .7008 m .29554 .701 L p .29504 .70788 L F P
0 g
s
.725 .844 .937 r
.75325 .70632 m .76221 .70484 L .76574 .71325 L p F P
0 g
s
.717 .832 .936 r
.80211 .70147 m .76574 .71325 L .76221 .70484 L p F P
0 g
s
.717 .832 .936 r
.79703 .69408 m .80211 .70147 L p .77215 .704 L F P
0 g
s
.717 .832 .936 r
.76221 .70484 m .79703 .69408 L p .77215 .704 L F P
0 g
s
.773 .863 .916 r
.83563 .68298 m .80211 .70147 L .79703 .69408 L p F P
0 g
s
.694 .573 .714 r
.80211 .70147 m .83563 .68298 L .84885 .69911 L p F P
0 g
s
.694 .573 .714 r
.84885 .69911 m .81227 .71967 L .80211 .70147 L p F P
0 g
s
.773 .863 .916 r
.82931 .67678 m .83563 .68298 L p .80608 .69148 L F P
0 g
s
.773 .863 .916 r
.79703 .69408 m .82931 .67678 L p .80608 .69148 L F P
0 g
s
.821 .882 .888 r
.86532 .65891 m .83563 .68298 L .82931 .67678 L p F P
0 g
s
.696 .576 .716 r
.83563 .68298 m .86532 .65891 L .8813 .67235 L p F P
0 g
s
.696 .576 .716 r
.8813 .67235 m .84885 .69911 L .83563 .68298 L p F P
0 g
s
.821 .882 .888 r
.85797 .65415 m .86532 .65891 L p .83812 .67241 L F P
0 g
s
.821 .882 .888 r
.82931 .67678 m .85797 .65415 L p .83812 .67241 L F P
0 g
s
.866 .888 .849 r
.89064 .62917 m .86532 .65891 L .85797 .65415 L p F P
0 g
s
.698 .579 .718 r
.86532 .65891 m .89064 .62917 L .90822 .64045 L p F P
0 g
s
.698 .579 .718 r
.90822 .64045 m .8813 .67235 L .86532 .65891 L p F P
0 g
s
.866 .888 .849 r
.88274 .62548 m .89064 .62917 L p .864 .64954 L F P
0 g
s
.866 .888 .849 r
.85797 .65415 m .88274 .62548 L p .864 .64954 L F P
0 g
s
.893 .885 .817 r
.91142 .59724 m .89064 .62917 L .88274 .62548 L p F P
0 g
s
.699 .581 .719 r
.89064 .62917 m .91142 .59724 L .93076 .6052 L p F P
0 g
s
.699 .581 .719 r
.93076 .6052 m .90822 .64045 L .89064 .62917 L p F P
0 g
s
.893 .885 .817 r
.90299 .59523 m .91142 .59724 L p .88954 .61879 L F P
0 g
s
.893 .885 .817 r
.88274 .62548 m .90299 .59523 L p .88954 .61879 L F P
0 g
s
.924 .87 .766 r
.9261 .56221 m .91142 .59724 L .90299 .59523 L p F P
0 g
s
.701 .584 .721 r
.91142 .59724 m .9261 .56221 L .94655 .56667 L p F P
0 g
s
.701 .584 .721 r
.94655 .56667 m .93076 .6052 L .91142 .59724 L p F P
0 g
s
.924 .87 .766 r
.91745 .56186 m .9261 .56221 L p .90834 .58758 L F P
0 g
s
.924 .87 .766 r
.90299 .59523 m .91745 .56186 L p .90834 .58758 L F P
0 g
s
.945 .843 .711 r
.93454 .52476 m .9261 .56221 L .91745 .56186 L p F P
0 g
s
.704 .586 .721 r
.9261 .56221 m .93454 .52476 L .95546 .52575 L p F P
0 g
s
.704 .586 .721 r
.95546 .52575 m .94655 .56667 L .9261 .56221 L p F P
0 g
s
.945 .843 .711 r
.92595 .526 m .93454 .52476 L p .92136 .55338 L F P
0 g
s
.945 .843 .711 r
.91745 .56186 m .92595 .526 L p .92136 .55338 L F P
0 g
s
.956 .806 .655 r
.93669 .48534 m .93454 .52476 L .92595 .526 L p F P
0 g
s
.706 .589 .722 r
.93454 .52476 m .93669 .48534 L .95763 .48435 L p F P
0 g
s
.706 .589 .722 r
.95763 .48435 m .95546 .52575 L .93454 .52476 L p F P
0 g
s
.956 .806 .655 r
.92825 .4874 m .93669 .48534 L p .92749 .52018 L F P
0 g
s
.956 .806 .655 r
.92595 .526 m .92825 .4874 L p .92749 .52018 L F P
0 g
s
.957 .782 .624 r
.93513 .44663 m .93669 .48534 L .92825 .4874 L p F P
0 g
s
.708 .59 .722 r
.93669 .48534 m .93513 .44663 L .95563 .44216 L p F P
0 g
s
.708 .59 .722 r
.95563 .44216 m .95763 .48435 L .93669 .48534 L p F P
0 g
s
.957 .782 .624 r
.92717 .45024 m .93513 .44663 L p .92981 .47816 L F P
0 g
s
.957 .782 .624 r
.92825 .4874 m .92717 .45024 L p .92981 .47816 L F P
0 g
s
.953 .733 .568 r
.92722 .40909 m .93513 .44663 L .92717 .45024 L p F P
0 g
s
.71 .591 .721 r
.93513 .44663 m .92722 .40909 L .94665 .4011 L p F P
0 g
s
.71 .591 .721 r
.94665 .4011 m .95563 .44216 L .93513 .44663 L p F P
0 g
s
.953 .733 .568 r
.92004 .41422 m .92722 .40909 L p .92718 .44065 L F P
0 g
s
.953 .733 .568 r
.92717 .45024 m .92004 .41422 L p .92718 .44065 L F P
0 g
s
.938 .675 .512 r
.91302 .37386 m .92722 .40909 L .92004 .41422 L p F P
0 g
s
.713 .593 .721 r
.92722 .40909 m .91302 .37386 L .93071 .36251 L p F P
0 g
s
.713 .593 .721 r
.93071 .36251 m .94665 .4011 L .92722 .40909 L p F P
0 g
s
.938 .675 .512 r
.9069 .38039 m .91302 .37386 L p .91836 .40458 L F P
0 g
s
.938 .675 .512 r
.92004 .41422 m .9069 .38039 L p .91836 .40458 L F P
0 g
s
.912 .61 .459 r
.89235 .34119 m .91302 .37386 L .9069 .38039 L p F P
0 g
s
.715 .594 .72 r
.91302 .37386 m .89235 .34119 L .90845 .32765 L p F P
0 g
s
.715 .594 .72 r
.90845 .32765 m .93071 .36251 L .91302 .37386 L p F P
0 g
s
.912 .61 .459 r
.88709 .34853 m .89235 .34119 L p .90427 .37329 L F P
0 g
s
.912 .61 .459 r
.9069 .38039 m .88709 .34853 L p .90427 .37329 L F P
0 g
s
.888 .562 .426 r
.86772 .31154 m .89235 .34119 L .88709 .34853 L p F P
0 g
s
.716 .594 .718 r
.89235 .34119 m .86772 .31154 L .88107 .29525 L p F P
0 g
s
.716 .594 .718 r
.88107 .29525 m .90845 .32765 L .89235 .34119 L p F P
0 g
s
.888 .562 .426 r
.86394 .31991 m .86772 .31154 L p .88237 .33953 L F P
0 g
s
.888 .562 .426 r
.88709 .34853 m .86394 .31991 L p .88237 .33953 L F P
0 g
s
.847 .493 .385 r
.83815 .28702 m .86772 .31154 L .86394 .31991 L p F P
0 g
s
.718 .594 .716 r
.86772 .31154 m .83815 .28702 L .84842 .26861 L p F P
0 g
s
.718 .594 .716 r
.84842 .26861 m .88107 .29525 L .86772 .31154 L p F P
0 g
s
.847 .493 .385 r
.83594 .29612 m .83815 .28702 L p .8579 .31221 L F P
0 g
s
.847 .493 .385 r
.86394 .31991 m .83594 .29612 L p .8579 .31221 L F P
0 g
s
.8 .429 .355 r
.80485 .26821 m .83815 .28702 L .83594 .29612 L p F P
0 g
s
.72 .594 .714 r
.83815 .28702 m .80485 .26821 L .81143 .24817 L p F P
0 g
s
.72 .594 .714 r
.81143 .24817 m .84842 .26861 L .83815 .28702 L p F P
0 g
s
.8 .429 .355 r
.80446 .27776 m .80485 .26821 L p .82817 .28914 L F P
0 g
s
.8 .429 .355 r
.83594 .29612 m .80446 .27776 L p .82817 .28914 L F P
0 g
s
.701 .54 .666 r
.76333 .28132 m .76231 .26916 L .78246 .26387 L p F P
0 g
s
.701 .54 .666 r
.78246 .26387 m .78403 .27881 L .76333 .28132 L p F P
0 g
s
.403 .332 .662 r
.78403 .27881 m .78246 .26387 L .79271 .25593 L p F P
0 g
s
.401 .304 .629 r
.78375 .29387 m .78403 .27881 L .79516 .27221 L p F P
0 g
s
.403 .332 .662 r
.79271 .25593 m .79516 .27221 L .78403 .27881 L p F P
0 g
s
.401 .304 .629 r
.79516 .27221 m .79552 .28867 L .78375 .29387 L p F P
0 g
s
.407 .361 .694 r
.78839 .24096 m .79271 .25593 L .78246 .26387 L p F P
0 g
s
.945 .692 .524 r
.79516 .27221 m .79271 .25593 L .78272 .25325 L p F P
0 g
s
.953 .734 .569 r
.79552 .28867 m .79516 .27221 L .7855 .26807 L p F P
0 g
s
.945 .692 .524 r
.78272 .25325 m .7855 .26807 L .79516 .27221 L p F P
0 g
s
.953 .734 .569 r
.7855 .26807 m .78633 .28334 L .79552 .28867 L p F P
0 g
s
.699 .53 .655 r
.7855 .26807 m .78272 .25325 L .76239 .25858 L p F P
0 g
s
.699 .53 .655 r
.76239 .25858 m .76461 .2706 L .7855 .26807 L p F P
0 g
s
.706 .544 .666 r
.76288 .29379 m .76333 .28132 L .78403 .27881 L p F P
0 g
s
.706 .544 .666 r
.78403 .27881 m .78375 .29387 L .76288 .29379 L p F P
0 g
s
.706 .536 .656 r
.78633 .28334 m .7855 .26807 L .76461 .2706 L p F P
0 g
s
.759 .378 .333 r
.7745 .257 m .80485 .26821 L .80446 .27776 L p F P
0 g
s
.929 .643 .477 r
.79271 .25593 m .78839 .24096 L .78033 .24477 L p F P
0 g
s
.937 .686 .534 r
.76495 .20131 m .78033 .24477 L .78839 .24096 L p F P
0 g
s
.929 .643 .477 r
.78033 .24477 m .78272 .25325 L .79271 .25593 L p F P
0 g
s
.683 .498 .629 r
.78272 .25325 m .78033 .24477 L .76058 .25195 L p F P
0 g
s
.683 .498 .629 r
.76058 .25195 m .76239 .25858 L .78272 .25325 L p F P
0 g
s
.712 .592 .721 r
.78033 .24477 m .76495 .20131 L .74653 .21145 L p F P
0 g
s
.712 .592 .721 r
.74653 .21145 m .76058 .25195 L .78033 .24477 L p F P
0 g
s
.726 .598 .713 r
.80485 .26821 m .7745 .257 L .77797 .23617 L p F P
0 g
s
.937 .686 .534 r
.78839 .24096 m .77222 .19631 L .76495 .20131 L p F P
0 g
s
.726 .598 .713 r
.77797 .23617 m .81143 .24817 L .80485 .26821 L p F P
0 g
s
.759 .378 .333 r
.80446 .27776 m .76909 .26562 L .7745 .257 L p F P
0 g
s
.591 .684 .906 r
.80446 .27776 m .81071 .26718 L p .78 .26603 L F P
0 g
s
.591 .684 .906 r
.76909 .26562 m .80446 .27776 L p .78 .26603 L F P
0 g
s
.547 .631 .887 r
.83594 .29612 m .84408 .28672 L p .81379 .27987 L F P
0 g
s
.547 .631 .887 r
.80446 .27776 m .83594 .29612 L p .81379 .27987 L F P
0 g
s
.512 .582 .862 r
.86394 .31991 m .8736 .31193 L p .84525 .30002 L F P
0 g
s
.512 .582 .862 r
.83594 .29612 m .86394 .31991 L p .84525 .30002 L F P
0 g
s
.48 .529 .83 r
.88709 .34853 m .89802 .34227 L p .86997 .32387 L F P
0 g
s
.48 .529 .83 r
.86394 .31991 m .88709 .34853 L p .86997 .32387 L F P
0 g
s
.462 .494 .806 r
.9069 .38039 m .91858 .37551 L p .89504 .35534 L F P
0 g
s
.462 .494 .806 r
.88709 .34853 m .9069 .38039 L p .89504 .35534 L F P
0 g
s
.442 .445 .767 r
.92004 .41422 m .9324 .41134 L p .91285 .3876 L F P
0 g
s
.442 .445 .767 r
.9069 .38039 m .92004 .41422 L p .91285 .3876 L F P
0 g
s
.428 .401 .727 r
.92717 .45024 m .93983 .44937 L p .92452 .42217 L F P
0 g
s
.428 .401 .727 r
.92004 .41422 m .92717 .45024 L p .92452 .42217 L F P
0 g
s
.422 .363 .687 r
.92825 .4874 m .94087 .48848 L p .929 .45533 L F P
0 g
s
.422 .363 .687 r
.92717 .45024 m .92825 .4874 L p .929 .45533 L F P
0 g
s
.421 .344 .665 r
.92595 .526 m .9384 .52826 L p .93075 .49744 L F P
0 g
s
.421 .344 .665 r
.92825 .4874 m .92595 .526 L p .93075 .49744 L F P
0 g
s
.425 .314 .623 r
.91745 .56186 m .92936 .56601 L p .92677 .53557 L F P
0 g
s
.425 .314 .623 r
.92595 .526 m .91745 .56186 L p .92677 .53557 L F P
0 g
s
.435 .288 .582 r
.90299 .59523 m .914 .60122 L p .91662 .57134 L F P
0 g
s
.435 .288 .582 r
.91745 .56186 m .90299 .59523 L p .91662 .57134 L F P
0 g
s
.452 .269 .541 r
.88274 .62548 m .89252 .63316 L p .90116 .60185 L F P
0 g
s
.452 .269 .541 r
.90299 .59523 m .88274 .62548 L p .90116 .60185 L F P
0 g
s
.468 .261 .514 r
.85797 .65415 m .86666 .6629 L p .87857 .6352 L F P
0 g
s
.468 .261 .514 r
.88274 .62548 m .85797 .65415 L p .87857 .6352 L F P
0 g
s
.497 .256 .479 r
.82931 .67678 m .83627 .68679 L p .85282 .6619 L F P
0 g
s
.497 .256 .479 r
.85797 .65415 m .82931 .67678 L p .85282 .6619 L F P
0 g
s
.53 .26 .45 r
.79703 .69408 m .80214 .70499 L p .82237 .68397 L F P
0 g
s
.53 .26 .45 r
.82931 .67678 m .79703 .69408 L p .82237 .68397 L F P
0 g
s
.571 .274 .425 r
.79703 .69408 m .77016 .70239 L p .7652 .71631 L F P
0 g
s
.571 .274 .425 r
.77016 .70239 m .76221 .70484 L .76227 .70507 L p F P
0 g
s
.725 .844 .937 r
.76574 .71325 m .74905 .71643 L .75237 .70845 L p F P
0 g
s
.725 .844 .937 r
.76574 .71325 m .75237 .70845 L .75529 .70745 L F
.571 .274 .425 r
.76227 .70507 m .7652 .71631 L p .77016 .70239 L F P
0 g
s
.725 .844 .937 r
.75237 .70845 m .75325 .70632 L p .75529 .70745 L F P
0 g
s
.885 .582 .469 r
.70068 .51083 m .69264 .49755 L .69787 .48761 L p F P
0 g
s
.885 .582 .469 r
.69787 .48761 m .71071 .50871 L .70333 .51027 L p F P
0 g
s
.885 .582 .469 r
.69787 .48761 m .70333 .51027 L .70013 .50627 L F
.919 .649 .511 r
.6919 .47842 m .69787 .48761 L .69264 .49755 L p F P
0 g
s
.696 .553 .688 r
.71071 .50871 m .69787 .48761 L .71549 .47652 L p F P
0 g
s
.919 .649 .511 r
.68726 .48869 m .6919 .47842 L p .69261 .49697 L F P
0 g
s
.919 .649 .511 r
.69264 .49755 m .68726 .48869 L p .69261 .49697 L F P
0 g
s
.732 .632 .747 r
.69787 .48761 m .6919 .47842 L .70882 .46625 L p F P
0 g
s
.732 .632 .747 r
.70882 .46625 m .71549 .47652 L .69787 .48761 L p F P
0 g
s
.911 .628 .494 r
.68539 .46968 m .6919 .47842 L .68726 .48869 L p F P
0 g
s
.911 .628 .494 r
.68143 .48026 m .68539 .46968 L p .6872 .48807 L F P
0 g
s
.911 .628 .494 r
.68726 .48869 m .68143 .48026 L p .6872 .48807 L F P
0 g
s
.734 .632 .745 r
.6919 .47842 m .68539 .46968 L .70147 .45639 L p F P
0 g
s
.734 .632 .745 r
.70147 .45639 m .70882 .46625 L .6919 .47842 L p F P
0 g
s
.9 .604 .476 r
.67833 .46148 m .68539 .46968 L .68143 .48026 L p F P
0 g
s
.9 .604 .476 r
.67514 .47236 m .67833 .46148 L p .68132 .47963 L F P
0 g
s
.9 .604 .476 r
.68143 .48026 m .67514 .47236 L p .68132 .47963 L F P
0 g
s
.737 .632 .743 r
.68539 .46968 m .67833 .46148 L .6934 .44702 L p F P
0 g
s
.737 .632 .743 r
.6934 .44702 m .70147 .45639 L .68539 .46968 L p F P
0 g
s
.888 .579 .458 r
.67071 .45378 m .67833 .46148 L .67514 .47236 L p F P
0 g
s
.888 .579 .458 r
.66812 .46481 m .67071 .45378 L p .67501 .47183 L F P
0 g
s
.888 .579 .458 r
.67514 .47236 m .66812 .46481 L p .67501 .47183 L F P
0 g
s
.74 .633 .741 r
.67833 .46148 m .67071 .45378 L .68481 .43837 L p F P
0 g
s
.74 .633 .741 r
.68481 .43837 m .6934 .44702 L .67833 .46148 L p F P
0 g
s
.875 .556 .443 r
.6623 .44631 m .67071 .45378 L .66812 .46481 L p F P
0 g
s
.875 .556 .443 r
.66035 .45749 m .6623 .44631 L p .66796 .4643 L F P
0 g
s
.875 .556 .443 r
.66812 .46481 m .66035 .45749 L p .66796 .4643 L F P
0 g
s
.741 .632 .738 r
.67071 .45378 m .6623 .44631 L .67548 .43007 L p F P
0 g
s
.741 .632 .738 r
.67548 .43007 m .68481 .43837 L .67071 .45378 L p F P
0 g
s
.864 .536 .43 r
.65339 .4392 m .6623 .44631 L .66035 .45749 L p F P
0 g
s
.864 .536 .43 r
.65187 .45044 m .65339 .4392 L p .66022 .45714 L F P
0 g
s
.864 .536 .43 r
.66035 .45749 m .65187 .45044 L p .66022 .45714 L F P
0 g
s
.744 .633 .736 r
.6623 .44631 m .65339 .4392 L .66583 .42237 L p F P
0 g
s
.744 .633 .736 r
.66583 .42237 m .67548 .43007 L .6623 .44631 L p F P
0 g
s
.856 .522 .42 r
.64389 .43213 m .65339 .4392 L .65187 .45044 L p F P
0 g
s
.856 .522 .42 r
.64251 .44338 m .64389 .43213 L p .65187 .45044 L F P
0 g
s
.856 .522 .42 r
.65187 .45044 m .64251 .44338 L p .65187 .45044 L F P
0 g
s
.746 .633 .735 r
.65339 .4392 m .64389 .43213 L .65608 .41509 L p F P
0 g
s
.856 .52 .416 r
.63402 .42468 m .64389 .43213 L .64251 .44338 L p F P
0 g
s
.856 .52 .416 r
.64251 .44338 m .6321 .43578 L .63402 .42468 L p F P
0 g
s
.521 .63 .899 r
.64251 .44338 m .65342 .43755 L p .63247 .43581 L F P
0 g
s
.521 .63 .899 r
.6321 .43578 m .64251 .44338 L p .63247 .43581 L F P
0 g
s
.519 .629 .9 r
.65187 .45044 m .66291 .44481 L p .64314 .44343 L F P
0 g
s
.519 .629 .9 r
.64251 .44338 m .65187 .45044 L p .64314 .44343 L F P
0 g
s
.509 .617 .895 r
.66035 .45749 m .67167 .45238 L p .65255 .45051 L F P
0 g
s
.509 .617 .895 r
.65187 .45044 m .66035 .45749 L p .65255 .45051 L F P
0 g
s
.495 .6 .887 r
.66812 .46481 m .67975 .46039 L p .66104 .45759 L F P
0 g
s
.495 .6 .887 r
.66035 .45749 m .66812 .46481 L p .66104 .45759 L F P
0 g
s
.481 .58 .877 r
.67514 .47236 m .68711 .46876 L p .66884 .46496 L F P
0 g
s
.481 .58 .877 r
.66812 .46481 m .67514 .47236 L p .66884 .46496 L F P
0 g
s
.466 .557 .864 r
.68143 .48026 m .69365 .47754 L p .67569 .47251 L F P
0 g
s
.466 .557 .864 r
.67514 .47236 m .68143 .48026 L p .67569 .47251 L F P
0 g
s
.453 .535 .851 r
.68726 .48869 m .69965 .48677 L p .68194 .48045 L F P
0 g
s
.453 .535 .851 r
.68143 .48026 m .68726 .48869 L p .68194 .48045 L F P
0 g
s
.442 .515 .838 r
.68726 .48869 m .69101 .49488 L p .70513 .49639 L F P
0 g
s
.442 .515 .838 r
.69101 .49488 m .69264 .49755 L .69312 .49751 L p F P
0 g
s
.442 .515 .838 r
.69312 .49751 m .70513 .49639 L p .69101 .49488 L F P
0 g
s
.885 .582 .469 r
.70333 .51027 m .70068 .51083 L p .70013 .50627 L F P
0 g
s
.696 .553 .688 r
.71549 .47652 m .72862 .49806 L .71071 .50871 L p F P
0 g
s
.414 .426 .763 r
.72862 .49806 m .71549 .47652 L .72803 .47527 L p F P
0 g
s
.447 .51 .831 r
.71549 .47652 m .70882 .46625 L .72125 .46424 L p F P
0 g
s
.447 .51 .831 r
.72125 .46424 m .72803 .47527 L .71549 .47652 L p F P
0 g
s
.41 .22 .51 r
.58757 .36504 m .57875 .37832 L .56563 .37969 L p F P
0 g
s
.41 .22 .51 r
.56563 .37969 m .58056 .35673 L .58509 .3621 L p F P
0 g
s
.41 .22 .51 r
.56563 .37969 m .58509 .3621 L .58236 .36853 L F
.413 .154 .409 r
.56033 .38892 m .56563 .37969 L .57875 .37832 L p F P
0 g
s
.699 .58 .719 r
.58056 .35673 m .56563 .37969 L .54789 .36878 L p F P
0 g
s
.413 .154 .409 r
.57875 .37832 m .57178 .38952 L .56033 .38892 L p F P
0 g
s
.937 .841 .723 r
.57178 .38952 m .577 .38114 L p .57409 .36594 L F P
0 g
s
.937 .841 .723 r
.577 .38114 m .57875 .37832 L .57849 .37763 L p F P
0 g
s
.937 .841 .723 r
.57849 .37763 m .57409 .36594 L p .577 .38114 L F P
0 g
s
.41 .22 .51 r
.58509 .3621 m .58757 .36504 L p .58236 .36853 L F P
0 g
s
.745 .552 .634 r
.56563 .37969 m .56033 .38892 L .54166 .37964 L p F P
0 g
s
.745 .552 .634 r
.54166 .37964 m .54789 .36878 L .56563 .37969 L p F P
0 g
s
.699 .58 .719 r
.54789 .36878 m .56319 .34521 L .58056 .35673 L p F P
0 g
s
.864 .852 .829 r
.56319 .34521 m .54789 .36878 L .54312 .35641 L p F P
0 g
s
.926 .837 .738 r
.54789 .36878 m .54166 .37964 L .53426 .37087 L p F P
0 g
s
.926 .837 .738 r
.53426 .37087 m .54312 .35641 L .54789 .36878 L p F P
0 g
s
.779 .846 .902 r
.53468 .59511 m .55176 .58666 L .56409 .59173 L p F P
0 g
s
.779 .846 .902 r
.56409 .59173 m .53618 .60541 L .53528 .5992 L p F P
0 g
s
.779 .846 .902 r
.56409 .59173 m .53528 .5992 L .54231 .59423 L F
.67 .827 .959 r
.57143 .58822 m .56409 .59173 L .55176 .58666 L p F P
0 g
s
.714 .58 .704 r
.53618 .60541 m .56409 .59173 L .57323 .61045 L p F P
0 g
s
.67 .827 .959 r
.55176 .58666 m .56257 .58161 L .57143 .58822 L p F P
0 g
s
.425 .159 .404 r
.56257 .58161 m .5555 .58491 L p .54854 .60042 L F P
0 g
s
.425 .159 .404 r
.5555 .58491 m .55176 .58666 L .55151 .58773 L p F P
0 g
s
.425 .159 .404 r
.55151 .58773 m .54854 .60042 L p .5555 .58491 L F P
0 g
s
.779 .846 .902 r
.53528 .5992 m .53468 .59511 L p .54231 .59423 L F P
0 g
s
.603 .531 .746 r
.56409 .59173 m .57143 .58822 L .58097 .60676 L p F P
0 g
s
.603 .531 .746 r
.58097 .60676 m .57323 .61045 L .56409 .59173 L p F P
0 g
s
.714 .58 .704 r
.57323 .61045 m .54532 .62413 L .53618 .60541 L p F P
0 g
s
.562 .252 .401 r
.54532 .62413 m .57323 .61045 L .57011 .62424 L p F P
0 g
s
.44 .175 .414 r
.57323 .61045 m .58097 .60676 L .58174 .61886 L p F P
0 g
s
.44 .175 .414 r
.58174 .61886 m .57011 .62424 L .57323 .61045 L p F P
0 g
s
.771 .811 .885 r
.23175 .24032 m .18689 .25987 L .18071 .2494 L p F P
0 g
s
.771 .811 .885 r
.18071 .2494 m .22759 .22906 L .23175 .24032 L p F P
0 g
s
.454 .476 .792 r
.76116 .2014 m .7392 .16157 L .74944 .15478 L p F P
0 g
s
.454 .476 .792 r
.74944 .15478 m .77222 .19631 L .76116 .2014 L p F P
0 g
s
.869 .598 .525 r
.29033 .77948 m .31331 .81815 L .30347 .82525 L p F P
0 g
s
.869 .598 .525 r
.30347 .82525 m .27962 .7849 L .29033 .77948 L p F P
0 g
s
.532 .264 .455 r
.81227 .71967 m .84885 .69911 L .85587 .70918 L p F P
0 g
s
.532 .264 .455 r
.85587 .70918 m .81742 .73064 L .81227 .71967 L p F P
0 g
s
.333 .312 .685 r
.29299 .67566 m .29554 .701 L .28583 .70038 L p F P
0 g
s
.333 .312 .685 r
.28583 .70038 m .28333 .67367 L .29275 .67561 L p F P
0 g
s
.333 .312 .685 r
.28583 .70038 m .29275 .67561 L .29281 .67625 L F
.709 .595 .727 r
.28333 .67367 m .28583 .70038 L .2656 .70536 L p F P
0 g
s
.919 .747 .653 r
.28179 .67978 m .28493 .70664 L .29539 .70108 L p F P
0 g
s
.919 .747 .653 r
.29539 .70108 m .29554 .701 L p .29536 .70071 L F P
0 g
s
.919 .747 .653 r
.29536 .70071 m .28179 .67978 L .29539 .70108 L F
.333 .312 .685 r
.29275 .67561 m .29299 .67566 L p .29281 .67625 L F P
0 g
s
.709 .595 .727 r
.2656 .70536 m .26258 .67577 L .28333 .67367 L p F P
0 g
s
.795 .857 .896 r
.51772 .60322 m .53468 .59511 L .53618 .60541 L p F P
0 g
s
.795 .857 .896 r
.53618 .60541 m .51915 .61351 L .51772 .60325 L p F P
0 g
s
.795 .857 .896 r
.53618 .60541 m .51772 .60325 L .51777 .60323 L F
.735 .589 .693 r
.51915 .61351 m .53618 .60541 L .54532 .62413 L p F P
0 g
s
.562 .249 .394 r
.52526 .61187 m .5424 .60361 L .5347 .59513 L p F P
0 g
s
.562 .249 .394 r
.5347 .59513 m .53468 .59511 L p .53466 .59515 L F P
0 g
s
.562 .249 .394 r
.53466 .59515 m .52526 .61187 L .5347 .59513 L F
.795 .857 .896 r
.51772 .60325 m .51772 .60322 L p .51777 .60323 L F P
0 g
s
.735 .589 .693 r
.54532 .62413 m .52805 .63237 L .51915 .61351 L p F P
0 g
s
.565 .254 .401 r
.52805 .63237 m .54532 .62413 L .55305 .63272 L p F P
0 g
s
.562 .252 .401 r
.57011 .62424 m .55305 .63272 L .54532 .62413 L p F P
0 g
s
.677 .307 .337 r
.31105 .26303 m .2986 .26028 L .30327 .2509 L p F P
0 g
s
.677 .307 .337 r
.30327 .2509 m .31754 .25454 L .31139 .26258 L p F P
0 g
s
.677 .307 .337 r
.30327 .2509 m .31139 .26258 L .31066 .26242 L F
.547 .658 .909 r
.30868 .25098 m .29407 .24871 L .29845 .2599 L p F P
0 g
s
.547 .658 .909 r
.29845 .2599 m .2986 .26028 L p .29891 .25999 L F P
0 g
s
.547 .658 .909 r
.29891 .25999 m .30868 .25098 L .29845 .2599 L F
.677 .307 .337 r
.31139 .26258 m .31105 .26303 L p .31066 .26242 L F P
0 g
s
.409 .209 .495 r
.59686 .35352 m .58757 .36504 L .58056 .35673 L p F P
0 g
s
.409 .209 .495 r
.58056 .35673 m .59061 .34469 L .59672 .35332 L p F P
0 g
s
.409 .209 .495 r
.58056 .35673 m .59672 .35332 L .59651 .35359 L F
.685 .581 .733 r
.59061 .34469 m .58056 .35673 L .56319 .34521 L p F P
0 g
s
.844 .858 .854 r
.58672 .3493 m .57713 .36182 L .58738 .36498 L p F P
0 g
s
.844 .858 .854 r
.58738 .36498 m .58757 .36504 L p .58756 .36476 L F P
0 g
s
.844 .858 .854 r
.58756 .36476 m .58672 .3493 L .58738 .36498 L F
.409 .209 .495 r
.59672 .35332 m .59686 .35352 L p .59651 .35359 L F P
0 g
s
.685 .581 .733 r
.56319 .34521 m .5743 .33168 L .59061 .34469 L p F P
0 g
s
.848 .852 .845 r
.5743 .33168 m .56319 .34521 L .55269 .34191 L p F P
0 g
s
.864 .852 .829 r
.54312 .35641 m .55269 .34191 L .56319 .34521 L p F P
0 g
s
.891 .59 .471 r
.70756 .52393 m .70068 .51083 L .71071 .50871 L p F P
0 g
s
.891 .59 .471 r
.71071 .50871 m .71767 .52242 L .70772 .52391 L p F P
0 g
s
.891 .59 .471 r
.71071 .50871 m .70772 .52391 L .70761 .5237 L F
.689 .536 .674 r
.71767 .52242 m .71071 .50871 L .72862 .49806 L p F P
0 g
s
.399 .4 .744 r
.71606 .51582 m .70864 .50223 L .70079 .51071 L p F P
0 g
s
.399 .4 .744 r
.70079 .51071 m .70068 .51083 L p .70089 .5109 L F P
0 g
s
.399 .4 .744 r
.70089 .5109 m .71606 .51582 L .70079 .51071 L F
.891 .59 .471 r
.70772 .52391 m .70756 .52393 L p .70761 .5237 L F P
0 g
s
.689 .536 .674 r
.72862 .49806 m .73621 .51286 L .71767 .52242 L p F P
0 g
s
.41 .411 .75 r
.73621 .51286 m .72862 .49806 L .73667 .48944 L p F P
0 g
s
.414 .426 .763 r
.72803 .47527 m .73667 .48944 L .72862 .49806 L p F P
0 g
s
.942 .711 .56 r
.75356 .27724 m .75222 .26655 L .76231 .26916 L p F P
0 g
s
.942 .711 .56 r
.76231 .26916 m .76333 .28132 L .75398 .27741 L p F P
0 g
s
.942 .711 .56 r
.76231 .26916 m .75398 .27741 L .75392 .27691 L F
.382 .296 .634 r
.76461 .2706 m .76239 .25858 L .75255 .26629 L p F P
0 g
s
.382 .296 .634 r
.75255 .26629 m .75222 .26655 L p .7526 .26667 L F P
0 g
s
.382 .296 .634 r
.7526 .26667 m .76461 .2706 L .75255 .26629 L F
.942 .711 .56 r
.75398 .27741 m .75356 .27724 L p .75392 .27691 L F P
0 g
s
.66 .79 .944 r
.74472 .70607 m .75325 .70632 L .74905 .71643 L p F P
0 g
s
.66 .79 .944 r
.74905 .71643 m .73864 .71546 L .74472 .70607 L p F P
0 g
s
.458 .529 .843 r
.70882 .46625 m .70147 .45639 L .71372 .45358 L p F P
0 g
s
.458 .529 .843 r
.71372 .45358 m .72125 .46424 L .70882 .46625 L p F P
0 g
s
.81 .822 .86 r
.18689 .25987 m .14606 .28751 L .13802 .27821 L p F P
0 g
s
.81 .822 .86 r
.13802 .27821 m .18071 .2494 L .18689 .25987 L p F P
0 g
s
.479 .522 .823 r
.7392 .16157 m .71147 .12623 L .72055 .11778 L p F P
0 g
s
.479 .522 .823 r
.72055 .11778 m .74944 .15478 L .7392 .16157 L p F P
0 g
s
.844 .553 .496 r
.31331 .81815 m .34195 .85232 L .33333 .86104 L p F P
0 g
s
.844 .553 .496 r
.33333 .86104 m .30347 .82525 L .31331 .81815 L p F P
0 g
s
.499 .26 .484 r
.84885 .69911 m .8813 .67235 L .89006 .68114 L p F P
0 g
s
.499 .26 .484 r
.89006 .68114 m .85587 .70918 L .84885 .69911 L p F P
0 g
s
.332 .285 .654 r
.29306 .64855 m .29299 .67566 L .28333 .67367 L p F P
0 g
s
.332 .285 .654 r
.28333 .67367 m .28358 .64563 L .29289 .6485 L p F P
0 g
s
.332 .285 .654 r
.28333 .67367 m .29289 .6485 L .29289 .64898 L F
.707 .593 .727 r
.28358 .64563 m .28333 .67367 L .26258 .67577 L p F P
0 g
s
.919 .768 .678 r
.28157 .65139 m .28179 .67978 L .29286 .67571 L p F P
0 g
s
.919 .768 .678 r
.29286 .67571 m .29299 .67566 L p .29286 .67538 L F P
0 g
s
.919 .768 .678 r
.29286 .67538 m .28157 .65139 L .29286 .67571 L F
.332 .285 .654 r
.29289 .6485 m .29306 .64855 L p .29289 .64898 L F P
0 g
s
.707 .593 .727 r
.26258 .67577 m .2627 .64553 L .28358 .64563 L p F P
0 g
s
.916 .762 .675 r
.2627 .64553 m .26258 .67577 L .2513 .67988 L p F P
0 g
s
.792 .856 .898 r
.5006 .61115 m .51772 .60322 L .51915 .61351 L p F P
0 g
s
.792 .856 .898 r
.51915 .61351 m .50198 .62143 L .50061 .61117 L p F P
0 g
s
.792 .856 .898 r
.51915 .61351 m .50061 .61117 L .50065 .61115 L F
.735 .59 .693 r
.50198 .62143 m .51915 .61351 L .52805 .63237 L p F P
0 g
s
.565 .25 .393 r
.50797 .61993 m .52526 .61187 L .51774 .60324 L p F P
0 g
s
.565 .25 .393 r
.51774 .60324 m .51772 .60322 L p .51769 .60326 L F P
0 g
s
.565 .25 .393 r
.51769 .60326 m .50797 .61993 L .51774 .60324 L F
.792 .856 .898 r
.50061 .61117 m .5006 .61115 L p .50065 .61115 L F P
0 g
s
.735 .59 .693 r
.52805 .63237 m .51065 .64042 L .50198 .62143 L p F P
0 g
s
.568 .256 .399 r
.51065 .64042 m .52805 .63237 L .5356 .64111 L p F P
0 g
s
.565 .254 .401 r
.55305 .63272 m .5356 .64111 L .52805 .63237 L p F P
0 g
s
.715 .346 .347 r
.32493 .26799 m .31105 .26303 L .31754 .25454 L p F P
0 g
s
.715 .346 .347 r
.31754 .25454 m .33245 .26028 L .3252 .26772 L p F P
0 g
s
.715 .346 .347 r
.31754 .25454 m .3252 .26772 L .32467 .26753 L F
.676 .543 .696 r
.33245 .26028 m .31754 .25454 L .32169 .2341 L p F P
0 g
s
.522 .627 .896 r
.32432 .25591 m .30868 .25098 L .31098 .26272 L p F P
0 g
s
.522 .627 .896 r
.31098 .26272 m .31105 .26303 L p .31137 .26286 L F P
0 g
s
.522 .627 .896 r
.31137 .26286 m .32432 .25591 L .31098 .26272 L F
.715 .346 .347 r
.3252 .26772 m .32493 .26799 L p .32467 .26753 L F P
0 g
s
.676 .543 .696 r
.32169 .2341 m .33939 .24059 L .33245 .26028 L p F P
0 g
s
.545 .643 .898 r
.33939 .24059 m .32169 .2341 L .31939 .22197 L p F P
0 g
s
.423 .201 .471 r
.60712 .34298 m .59686 .35352 L .59061 .34469 L p F P
0 g
s
.423 .201 .471 r
.59061 .34469 m .60172 .33369 L .60699 .34275 L p F P
0 g
s
.423 .201 .471 r
.59061 .34469 m .60699 .34275 L .60673 .34302 L F
.682 .577 .731 r
.60172 .33369 m .59061 .34469 L .5743 .33168 L p F P
0 g
s
.823 .855 .871 r
.5974 .33774 m .58672 .3493 L .59666 .35343 L p F P
0 g
s
.823 .855 .871 r
.59666 .35343 m .59686 .35352 L p .59687 .35322 L F P
0 g
s
.823 .855 .871 r
.59687 .35322 m .5974 .33774 L .59666 .35343 L F
.423 .201 .471 r
.60699 .34275 m .60712 .34298 L p .60673 .34302 L F P
0 g
s
.682 .577 .731 r
.5743 .33168 m .58669 .3192 L .60172 .33369 L p F P
0 g
s
.829 .849 .862 r
.58669 .3192 m .5743 .33168 L .56411 .32739 L p F P
0 g
s
.848 .852 .845 r
.55269 .34191 m .56411 .32739 L .5743 .33168 L p F P
0 g
s
.901 .612 .486 r
.71361 .53743 m .70756 .52393 L .71767 .52242 L p F P
0 g
s
.901 .612 .486 r
.71767 .52242 m .72376 .53654 L .71377 .53741 L p F P
0 g
s
.901 .612 .486 r
.71767 .52242 m .71377 .53741 L .71367 .53719 L F
.692 .537 .673 r
.72376 .53654 m .71767 .52242 L .73621 .51286 L p F P
0 g
s
.395 .383 .728 r
.72265 .52986 m .71606 .51582 L .70768 .52382 L p F P
0 g
s
.395 .383 .728 r
.70768 .52382 m .70756 .52393 L p .70777 .52401 L F P
0 g
s
.395 .383 .728 r
.70777 .52401 m .72265 .52986 L .70768 .52382 L F
.901 .612 .486 r
.71377 .53741 m .71361 .53743 L p .71367 .53719 L F P
0 g
s
.692 .537 .673 r
.73621 .51286 m .74287 .52815 L .72376 .53654 L p F P
0 g
s
.405 .395 .735 r
.74287 .52815 m .73621 .51286 L .7448 .50474 L p F P
0 g
s
.41 .411 .75 r
.73667 .48944 m .7448 .50474 L .73621 .51286 L p F P
0 g
s
.408 .206 .492 r
.5544 .40166 m .56033 .38892 L .57178 .38952 L p F P
0 g
s
.723 .563 .672 r
.56033 .38892 m .5544 .40166 L .53488 .39427 L p F P
0 g
s
.723 .563 .672 r
.53488 .39427 m .54166 .37964 L .56033 .38892 L p F P
0 g
s
.916 .826 .743 r
.54166 .37964 m .53488 .39427 L .52667 .38635 L p F P
0 g
s
.916 .826 .743 r
.52667 .38635 m .53426 .37087 L .54166 .37964 L p F P
0 g
s
.947 .747 .6 r
.75358 .2885 m .75356 .27724 L .76333 .28132 L p F P
0 g
s
.947 .747 .6 r
.76333 .28132 m .76288 .29379 L .75394 .2887 L p F P
0 g
s
.947 .747 .6 r
.76333 .28132 m .75394 .2887 L .75393 .28824 L F
.384 .273 .602 r
.76527 .28326 m .76461 .2706 L .7539 .27704 L p F P
0 g
s
.384 .273 .602 r
.7539 .27704 m .75356 .27724 L p .7539 .27741 L F P
0 g
s
.384 .273 .602 r
.7539 .27741 m .76527 .28326 L .7539 .27704 L F
.947 .747 .6 r
.75394 .2887 m .75358 .2885 L p .75393 .28824 L F P
0 g
s
.618 .755 .943 r
.73535 .70445 m .74472 .70607 L .73864 .71546 L p F P
0 g
s
.618 .755 .943 r
.73864 .71546 m .72795 .71302 L .73535 .70445 L p F P
0 g
s
.736 .836 .926 r
.58213 .58268 m .57143 .58822 L .56257 .58161 L p F P
0 g
s
.663 .559 .727 r
.57143 .58822 m .58213 .58268 L .5922 .60097 L p F P
0 g
s
.663 .559 .727 r
.5922 .60097 m .58097 .60676 L .57143 .58822 L p F P
0 g
s
.491 .219 .429 r
.58097 .60676 m .5922 .60097 L .59334 .61304 L p F P
0 g
s
.491 .219 .429 r
.59334 .61304 m .58174 .61886 L .58097 .60676 L p F P
0 g
s
.47 .55 .856 r
.70147 .45639 m .6934 .44702 L .7054 .44333 L p F P
0 g
s
.47 .55 .856 r
.7054 .44333 m .71372 .45358 L .70147 .45639 L p F P
0 g
s
.842 .823 .83 r
.14606 .28751 m .11108 .32189 L .10202 .31345 L p F P
0 g
s
.842 .823 .83 r
.10202 .31345 m .13802 .27821 L .14606 .28751 L p F P
0 g
s
.511 .57 .852 r
.71147 .12623 m .67837 .09622 L .68646 .08671 L p F P
0 g
s
.511 .57 .852 r
.68646 .08671 m .72055 .11778 L .71147 .12623 L p F P
0 g
s
.813 .505 .47 r
.34195 .85232 m .37574 .88108 L .36805 .89076 L p F P
0 g
s
.813 .505 .47 r
.36805 .89076 m .33333 .86104 L .34195 .85232 L p F P
0 g
s
.471 .265 .518 r
.8813 .67235 m .90822 .64045 L .91807 .64816 L p F P
0 g
s
.471 .265 .518 r
.91807 .64816 m .89006 .68114 L .8813 .67235 L p F P
0 g
s
.335 .261 .623 r
.29605 .62147 m .29306 .64855 L .28358 .64563 L p F P
0 g
s
.335 .261 .623 r
.28358 .64563 m .28683 .61759 L .29589 .6214 L p F P
0 g
s
.335 .261 .623 r
.28358 .64563 m .29589 .6214 L .29584 .62188 L F
.705 .592 .727 r
.28683 .61759 m .28358 .64563 L .2627 .64553 L p F P
0 g
s
.916 .789 .705 r
.2844 .62304 m .28157 .65139 L .29293 .64858 L p F P
0 g
s
.916 .789 .705 r
.29293 .64858 m .29306 .64855 L p .29297 .64827 L F P
0 g
s
.916 .789 .705 r
.29297 .64827 m .2844 .62304 L .29293 .64858 L F
.335 .261 .623 r
.29589 .6214 m .29605 .62147 L p .29584 .62188 L F P
0 g
s
.705 .592 .727 r
.2627 .64553 m .26607 .61526 L .28683 .61759 L p F P
0 g
s
.914 .782 .702 r
.26607 .61526 m .2627 .64553 L .25113 .64834 L p F P
0 g
s
.916 .762 .675 r
.2513 .67988 m .25113 .64834 L .2627 .64553 L p F P
0 g
s
.786 .854 .901 r
.48348 .61862 m .5006 .61115 L .50198 .62143 L p F P
0 g
s
.786 .854 .901 r
.50198 .62143 m .48469 .6289 L .48349 .61867 L p F P
0 g
s
.786 .854 .901 r
.50198 .62143 m .48349 .61867 L .48357 .61863 L F
.735 .59 .694 r
.48469 .6289 m .50198 .62143 L .51065 .64042 L p F P
0 g
s
.572 .254 .391 r
.49059 .6276 m .50797 .61993 L .50064 .61119 L p F P
0 g
s
.572 .254 .391 r
.50064 .61119 m .5006 .61115 L p .50056 .61122 L F P
0 g
s
.572 .254 .391 r
.50056 .61122 m .49059 .6276 L .50064 .61119 L F
.786 .854 .901 r
.48349 .61867 m .48348 .61862 L p .48357 .61863 L F P
0 g
s
.735 .59 .694 r
.51065 .64042 m .49294 .6481 L .48469 .6289 L p F P
0 g
s
.573 .259 .398 r
.49294 .6481 m .51065 .64042 L .51803 .64929 L p F P
0 g
s
.568 .256 .399 r
.5356 .64111 m .51803 .64929 L .51065 .64042 L p F P
0 g
s
.752 .388 .364 r
.33834 .27486 m .32493 .26799 L .33245 .26028 L p F P
0 g
s
.752 .388 .364 r
.33245 .26028 m .34686 .26805 L .33862 .27464 L p F P
0 g
s
.752 .388 .364 r
.33245 .26028 m .33862 .27464 L .33815 .27441 L F
.678 .542 .692 r
.34686 .26805 m .33245 .26028 L .33939 .24059 L p F P
0 g
s
.489 .587 .879 r
.33926 .26293 m .32432 .25591 L .32491 .26771 L p F P
0 g
s
.489 .587 .879 r
.32491 .26771 m .32493 .26799 L p .32525 .26788 L F P
0 g
s
.489 .587 .879 r
.32525 .26788 m .33926 .26293 L .32491 .26771 L F
.752 .388 .364 r
.33862 .27464 m .33834 .27486 L p .33815 .27441 L F P
0 g
s
.678 .542 .692 r
.33939 .24059 m .35629 .24941 L .34686 .26805 L p F P
0 g
s
.511 .604 .883 r
.35629 .24941 m .33939 .24059 L .33885 .22844 L p F P
0 g
s
.545 .643 .898 r
.31939 .22197 m .33885 .22844 L .33939 .24059 L p F P
0 g
s
.442 .196 .444 r
.61823 .33386 m .60712 .34298 L .60172 .33369 L p F P
0 g
s
.442 .196 .444 r
.60172 .33369 m .6139 .32412 L .6181 .33358 L p F P
0 g
s
.442 .196 .444 r
.60172 .33369 m .6181 .33358 L .61777 .33386 L F
.68 .573 .728 r
.6139 .32412 m .60172 .33369 L .58669 .3192 L p F P
0 g
s
.795 .847 .89 r
.60912 .32748 m .5974 .33774 L .6069 .34286 L p F P
0 g
s
.795 .847 .89 r
.6069 .34286 m .60712 .34298 L p .60716 .34265 L F P
0 g
s
.795 .847 .89 r
.60716 .34265 m .60912 .32748 L .6069 .34286 L F
.442 .196 .444 r
.6181 .33358 m .61823 .33386 L p .61777 .33386 L F P
0 g
s
.68 .573 .728 r
.58669 .3192 m .60055 .30805 L .6139 .32412 L p F P
0 g
s
.805 .843 .879 r
.60055 .30805 m .58669 .3192 L .57693 .31388 L p F P
0 g
s
.829 .849 .862 r
.56411 .32739 m .57693 .31388 L .58669 .3192 L p F P
0 g
s
.913 .638 .506 r
.71852 .55109 m .71361 .53743 L .72376 .53654 L p F P
0 g
s
.913 .638 .506 r
.72376 .53654 m .72868 .55098 L .71872 .55108 L p F P
0 g
s
.913 .638 .506 r
.72376 .53654 m .71872 .55108 L .71862 .5508 L F
.694 .539 .672 r
.72868 .55098 m .72376 .53654 L .74287 .52815 L p F P
0 g
s
.39 .362 .707 r
.72816 .5442 m .72265 .52986 L .71376 .5373 L p F P
0 g
s
.39 .362 .707 r
.71376 .5373 m .71361 .53743 L p .71384 .53754 L F P
0 g
s
.39 .362 .707 r
.71384 .53754 m .72816 .5442 L .71376 .5373 L F
.913 .638 .506 r
.71872 .55108 m .71852 .55109 L p .71862 .5508 L F P
0 g
s
.694 .539 .672 r
.74287 .52815 m .74839 .54405 L .72868 .55098 L p F P
0 g
s
.402 .376 .716 r
.74839 .54405 m .74287 .52815 L .752 .52057 L p F P
0 g
s
.405 .395 .735 r
.7448 .50474 m .752 .52057 L .74287 .52815 L p F P
0 g
s
.408 .206 .492 r
.56589 .4012 m .5544 .40166 L p .57076 .39024 L F P
0 g
s
.395 .217 .518 r
.54988 .41477 m .5544 .40166 L .56589 .4012 L p F P
0 g
s
.395 .217 .518 r
.56127 .41307 m .54988 .41477 L p .56485 .40208 L F P
0 g
s
.395 .217 .518 r
.56589 .4012 m .56127 .41307 L p .56485 .40208 L F P
0 g
s
.719 .559 .671 r
.5544 .40166 m .54988 .41477 L .52962 .40966 L p F P
0 g
s
.383 .231 .548 r
.54688 .42825 m .54988 .41477 L .56127 .41307 L p F P
0 g
s
.383 .231 .548 r
.55803 .42555 m .54688 .42825 L p .56043 .41396 L F P
0 g
s
.383 .231 .548 r
.56127 .41307 m .55803 .42555 L p .56043 .41396 L F P
0 g
s
.715 .554 .67 r
.54988 .41477 m .54688 .42825 L .52617 .42535 L p F P
0 g
s
.375 .249 .578 r
.54519 .44283 m .54688 .42825 L .55803 .42555 L p F P
0 g
s
.375 .249 .578 r
.55607 .4392 m .54519 .44283 L p .55731 .42653 L F P
0 g
s
.375 .249 .578 r
.55803 .42555 m .55607 .4392 L p .55731 .42653 L F P
0 g
s
.711 .551 .67 r
.54688 .42825 m .54519 .44283 L .52428 .44189 L p F P
0 g
s
.37 .266 .604 r
.5448 .45781 m .54519 .44283 L .55607 .4392 L p F P
0 g
s
.37 .266 .604 r
.55542 .45354 m .5448 .45781 L p .55562 .43995 L F P
0 g
s
.37 .266 .604 r
.55607 .4392 m .55542 .45354 L p .55562 .43995 L F P
0 g
s
.708 .548 .669 r
.54519 .44283 m .5448 .45781 L .52386 .45834 L p F P
0 g
s
.367 .278 .622 r
.54531 .4737 m .5448 .45781 L .55542 .45354 L p F P
0 g
s
.367 .278 .622 r
.55542 .45354 m .55587 .46934 L .54531 .4737 L p F P
0 g
s
.934 .727 .599 r
.55542 .45354 m .54501 .44978 L p .55521 .46815 L F P
0 g
s
.934 .727 .599 r
.55587 .46934 m .55542 .45354 L p .55521 .46815 L F P
0 g
s
.937 .744 .616 r
.55607 .4392 m .54596 .43457 L p .5548 .4523 L F P
0 g
s
.937 .744 .616 r
.55542 .45354 m .55607 .4392 L p .5548 .4523 L F P
0 g
s
.938 .767 .644 r
.55803 .42555 m .5484 .4199 L p .55551 .43777 L F P
0 g
s
.938 .767 .644 r
.55607 .4392 m .55803 .42555 L p .55551 .43777 L F P
0 g
s
.936 .79 .674 r
.56127 .41307 m .55233 .4062 L p .55764 .42423 L F P
0 g
s
.936 .79 .674 r
.55803 .42555 m .56127 .41307 L p .55764 .42423 L F P
0 g
s
.93 .812 .707 r
.56589 .4012 m .55778 .39327 L p .56108 .412 L F P
0 g
s
.93 .812 .707 r
.56127 .41307 m .56589 .4012 L p .56108 .412 L F P
0 g
s
.408 .206 .492 r
.57178 .38952 m .56589 .4012 L p .57076 .39024 L F P
0 g
s
.719 .559 .671 r
.52962 .40966 m .53488 .39427 L .5544 .40166 L p F P
0 g
s
.925 .811 .715 r
.53488 .39427 m .52962 .40966 L .52058 .4028 L p F P
0 g
s
.925 .811 .715 r
.52058 .4028 m .52667 .38635 L .53488 .39427 L p F P
0 g
s
.947 .781 .643 r
.75212 .29961 m .75358 .2885 L .76288 .29379 L p F P
0 g
s
.947 .781 .643 r
.76288 .29379 m .76078 .30614 L .75246 .29987 L p F P
0 g
s
.947 .781 .643 r
.76288 .29379 m .75246 .29987 L .75252 .29939 L F
.711 .548 .666 r
.76078 .30614 m .76288 .29379 L .78375 .29387 L p F P
0 g
s
.388 .247 .565 r
.76428 .29581 m .76527 .28326 L .75394 .28834 L p F P
0 g
s
.388 .247 .565 r
.75394 .28834 m .75358 .2885 L p .75389 .28871 L F P
0 g
s
.388 .247 .565 r
.75389 .28871 m .76428 .29581 L .75394 .28834 L F
.947 .781 .643 r
.75246 .29987 m .75212 .29961 L p .75252 .29939 L F P
0 g
s
.711 .548 .666 r
.78375 .29387 m .78149 .30891 L .76078 .30614 L p F P
0 g
s
.403 .278 .595 r
.78149 .30891 m .78375 .29387 L .79552 .28867 L p F P
0 g
s
.574 .71 .934 r
.7264 .70137 m .73535 .70445 L .72795 .71302 L p F P
0 g
s
.574 .71 .934 r
.72795 .71302 m .71766 .70887 L .7264 .70137 L p F P
0 g
s
.746 .62 .719 r
.71766 .70887 m .72795 .71302 L .72456 .73362 L p F P
0 g
s
.746 .62 .719 r
.72456 .73362 m .71114 .72872 L .71766 .70887 L p F P
0 g
s
.765 .423 .407 r
.71114 .72872 m .72456 .73362 L .72856 .74583 L p F P
0 g
s
.736 .836 .926 r
.5731 .57631 m .58213 .58268 L p .56291 .58163 L F P
0 g
s
.745 .84 .923 r
.59254 .57686 m .58213 .58268 L .5731 .57631 L p F P
0 g
s
.745 .84 .923 r
.58329 .57083 m .59254 .57686 L p .57352 .57632 L F P
0 g
s
.745 .84 .923 r
.5731 .57631 m .58329 .57083 L p .57352 .57632 L F P
0 g
s
.664 .561 .729 r
.58213 .58268 m .59254 .57686 L .60332 .59476 L p F P
0 g
s
.756 .846 .919 r
.6027 .57063 m .59254 .57686 L .58329 .57083 L p F P
0 g
s
.756 .846 .919 r
.5932 .565 m .6027 .57063 L p .58373 .57082 L F P
0 g
s
.756 .846 .919 r
.58329 .57083 m .5932 .565 L p .58373 .57082 L F P
0 g
s
.665 .563 .73 r
.59254 .57686 m .6027 .57063 L .61425 .58806 L p F P
0 g
s
.767 .851 .914 r
.61258 .56401 m .6027 .57063 L .5932 .565 L p F P
0 g
s
.767 .851 .914 r
.60291 .55871 m .61258 .56401 L p .59357 .56498 L F P
0 g
s
.767 .851 .914 r
.5932 .565 m .60291 .55871 L p .59357 .56498 L F P
0 g
s
.665 .565 .732 r
.6027 .57063 m .61258 .56401 L .62478 .58102 L p F P
0 g
s
.777 .856 .909 r
.62231 .55699 m .61258 .56401 L .60291 .55871 L p F P
0 g
s
.777 .856 .909 r
.61251 .55197 m .62231 .55699 L p .60316 .55869 L F P
0 g
s
.777 .856 .909 r
.60291 .55871 m .61251 .55197 L p .60316 .55869 L F P
0 g
s
.666 .567 .734 r
.61258 .56401 m .62231 .55699 L .63502 .57364 L p F P
0 g
s
.783 .859 .906 r
.63212 .5496 m .62231 .55699 L .61251 .55197 L p F P
0 g
s
.783 .859 .906 r
.61251 .55197 m .62232 .54461 L .63212 .5496 L p F P
0 g
s
.447 .207 .457 r
.61251 .55197 m .61545 .56369 L p .62217 .54502 L F P
0 g
s
.447 .207 .457 r
.62232 .54461 m .61251 .55197 L p .62217 .54502 L F P
0 g
s
.451 .206 .451 r
.60291 .55871 m .60545 .57053 L p .61236 .55236 L F P
0 g
s
.451 .206 .451 r
.61251 .55197 m .60291 .55871 L p .61236 .55236 L F P
0 g
s
.457 .206 .443 r
.5932 .565 m .59527 .5769 L p .60273 .55914 L F P
0 g
s
.457 .206 .443 r
.60291 .55871 m .5932 .565 L p .60273 .55914 L F P
0 g
s
.466 .206 .435 r
.58329 .57083 m .58484 .5828 L p .59304 .56535 L F P
0 g
s
.466 .206 .435 r
.5932 .565 m .58329 .57083 L p .59304 .56535 L F P
0 g
s
.475 .208 .428 r
.5731 .57631 m .57416 .58833 L p .58317 .57106 L F P
0 g
s
.475 .208 .428 r
.58329 .57083 m .5731 .57631 L p .58317 .57106 L F P
0 g
s
.736 .836 .926 r
.56257 .58161 m .5731 .57631 L p .56291 .58163 L F P
0 g
s
.664 .561 .729 r
.60332 .59476 m .5922 .60097 L .58213 .58268 L p F P
0 g
s
.485 .218 .434 r
.5922 .60097 m .60332 .59476 L .60496 .60678 L p F P
0 g
s
.485 .218 .434 r
.60496 .60678 m .59334 .61304 L .5922 .60097 L p F P
0 g
s
.484 .573 .869 r
.6934 .44702 m .68481 .43837 L .69646 .43385 L p F P
0 g
s
.484 .573 .869 r
.69646 .43385 m .7054 .44333 L .6934 .44702 L p F P
0 g
s
.86 .819 .807 r
.11108 .32189 m .08176 .35832 L .07126 .35152 L p F P
0 g
s
.86 .819 .807 r
.07126 .35152 m .10202 .31345 L .11108 .32189 L p F P
0 g
s
.537 .607 .87 r
.67837 .09622 m .64373 .07227 L .65018 .06146 L p F P
0 g
s
.537 .607 .87 r
.65018 .06146 m .68646 .08671 L .67837 .09622 L p F P
0 g
s
.455 .274 .545 r
.90822 .64045 m .93076 .6052 L .94184 .6112 L p F P
0 g
s
.455 .274 .545 r
.94184 .6112 m .91807 .64816 L .90822 .64045 L p F P
0 g
s
.787 .471 .454 r
.37574 .88108 m .4102 .90368 L .40416 .91461 L p F P
0 g
s
.787 .471 .454 r
.40416 .91461 m .36805 .89076 L .37574 .88108 L p F P
0 g
s
.341 .243 .596 r
.30226 .59001 m .29605 .62147 L .28683 .61759 L p F P
0 g
s
.341 .243 .596 r
.28683 .61759 m .29327 .58567 L .30214 .58995 L p F P
0 g
s
.341 .243 .596 r
.28683 .61759 m .30214 .58995 L .30206 .59036 L F
.703 .588 .724 r
.29327 .58567 m .28683 .61759 L .26607 .61526 L p F P
0 g
s
.912 .801 .724 r
.29064 .59025 m .2844 .62304 L .29594 .62148 L p F P
0 g
s
.912 .801 .724 r
.29594 .62148 m .29605 .62147 L p .296 .62118 L F P
0 g
s
.912 .801 .724 r
.296 .62118 m .29064 .59025 L .29594 .62148 L F
.341 .243 .596 r
.30214 .58995 m .30226 .59001 L p .30206 .59036 L F P
0 g
s
.703 .588 .724 r
.26607 .61526 m .27277 .58157 L .29327 .58567 L p F P
0 g
s
.91 .796 .722 r
.27277 .58157 m .26607 .61526 L .25434 .6168 L p F P
0 g
s
.914 .782 .702 r
.25113 .64834 m .25434 .6168 L .26607 .61526 L p F P
0 g
s
.775 .85 .907 r
.46624 .62535 m .48348 .61862 L .48469 .6289 L p F P
0 g
s
.775 .85 .907 r
.48469 .6289 m .46713 .63565 L .46625 .62544 L p F P
0 g
s
.775 .85 .907 r
.48469 .6289 m .46625 .62544 L .46639 .62538 L F
.735 .591 .695 r
.46713 .63565 m .48469 .6289 L .49294 .6481 L p F P
0 g
s
.582 .26 .388 r
.47293 .63466 m .49059 .6276 L .48353 .61868 L p F P
0 g
s
.582 .26 .388 r
.48353 .61868 m .48348 .61862 L p .4834 .61873 L F P
0 g
s
.582 .26 .388 r
.4834 .61873 m .47293 .63466 L .48353 .61868 L F
.775 .85 .907 r
.46625 .62544 m .46624 .62535 L p .46639 .62538 L F P
0 g
s
.735 .591 .695 r
.49294 .6481 m .47465 .65516 L .46713 .63565 L p F P
0 g
s
.583 .265 .396 r
.47465 .65516 m .49294 .6481 L .50006 .65717 L p F P
0 g
s
.573 .259 .398 r
.51803 .64929 m .50006 .65717 L .49294 .6481 L p F P
0 g
s
.776 .418 .378 r
.35548 .28529 m .33834 .27486 L .34686 .26805 L p F P
0 g
s
.776 .418 .378 r
.34686 .26805 m .36401 .27875 L .35563 .28517 L p F P
0 g
s
.776 .418 .378 r
.34686 .26805 m .35563 .28517 L .35533 .28499 L F
.683 .547 .692 r
.36401 .27875 m .34686 .26805 L .35629 .24941 L p F P
0 g
s
.483 .575 .872 r
.35785 .27386 m .33926 .26293 L .33835 .27468 L p F P
0 g
s
.483 .575 .872 r
.33835 .27468 m .33834 .27486 L p .33863 .27485 L F P
0 g
s
.483 .575 .872 r
.33863 .27485 m .35785 .27386 L .33835 .27468 L F
.776 .418 .378 r
.35563 .28517 m .35548 .28529 L p .35533 .28499 L F P
0 g
s
.683 .547 .692 r
.35629 .24941 m .37489 .2609 L .36401 .27875 L p F P
0 g
s
.493 .582 .872 r
.37489 .2609 m .35629 .24941 L .35729 .23741 L p F P
0 g
s
.511 .604 .883 r
.33885 .22844 m .35729 .23741 L .35629 .24941 L p F P
0 g
s
.464 .195 .42 r
.63098 .32551 m .61823 .33386 L .6139 .32412 L p F P
0 g
s
.464 .195 .42 r
.6139 .32412 m .62761 .31554 L .63088 .32523 L p F P
0 g
s
.464 .195 .42 r
.6139 .32412 m .63088 .32523 L .63051 .32547 L F
.679 .569 .724 r
.62761 .31554 m .6139 .32412 L .60055 .30805 L p F P
0 g
s
.77 .835 .902 r
.62274 .31798 m .60912 .32748 L .61803 .33372 L p F P
0 g
s
.77 .835 .902 r
.61803 .33372 m .61823 .33386 L p .61833 .33352 L F P
0 g
s
.77 .835 .902 r
.61833 .33352 m .62274 .31798 L .61803 .33372 L F
.464 .195 .42 r
.63088 .32523 m .63098 .32551 L p .63051 .32547 L F P
0 g
s
.679 .569 .724 r
.60055 .30805 m .61607 .2981 L .62761 .31554 L p F P
0 g
s
.781 .833 .893 r
.61607 .2981 m .60055 .30805 L .5914 .30159 L p F P
0 g
s
.805 .843 .879 r
.57693 .31388 m .5914 .30159 L .60055 .30805 L p F P
0 g
s
.923 .665 .528 r
.72243 .56542 m .71852 .55109 L .72868 .55098 L p F P
0 g
s
.923 .665 .528 r
.72868 .55098 m .73251 .56603 L .72264 .56543 L p F P
0 g
s
.923 .665 .528 r
.72868 .55098 m .72264 .56543 L .72255 .56512 L F
.697 .541 .672 r
.73251 .56603 m .72868 .55098 L .74839 .54405 L p F P
0 g
s
.389 .344 .687 r
.73266 .55938 m .72816 .5442 L .71869 .55097 L p F P
0 g
s
.389 .344 .687 r
.71869 .55097 m .71852 .55109 L p .71876 .55123 L F P
0 g
s
.389 .344 .687 r
.71876 .55123 m .73266 .55938 L .71869 .55097 L F
.923 .665 .528 r
.72264 .56543 m .72243 .56542 L p .72255 .56512 L F P
0 g
s
.697 .541 .672 r
.74839 .54405 m .75272 .56068 L .73251 .56603 L p F P
0 g
s
.399 .358 .697 r
.75272 .56068 m .74839 .54405 L .75812 .53716 L p F P
0 g
s
.402 .376 .716 r
.752 .52057 m .75812 .53716 L .74839 .54405 L p F P
0 g
s
.715 .554 .67 r
.52617 .42535 m .52962 .40966 L .54988 .41477 L p F P
0 g
s
.932 .791 .682 r
.52962 .40966 m .52617 .42535 L .51643 .41973 L p F P
0 g
s
.932 .791 .682 r
.51643 .41973 m .52058 .4028 L .52962 .40966 L p F P
0 g
s
.942 .805 .68 r
.74893 .31297 m .75212 .29961 L .76078 .30614 L p F P
0 g
s
.942 .805 .68 r
.76078 .30614 m .75707 .31995 L .74918 .31319 L p F P
0 g
s
.942 .805 .68 r
.76078 .30614 m .74918 .31319 L .74928 .31278 L F
.715 .555 .672 r
.75707 .31995 m .76078 .30614 L .78149 .30891 L p F P
0 g
s
.399 .241 .549 r
.76122 .31093 m .76428 .29581 L .75244 .29951 L p F P
0 g
s
.399 .241 .549 r
.75244 .29951 m .75212 .29961 L p .75235 .29989 L F P
0 g
s
.399 .241 .549 r
.75235 .29989 m .76122 .31093 L .75244 .29951 L F
.942 .805 .68 r
.74918 .31319 m .74893 .31297 L p .74928 .31278 L F P
0 g
s
.715 .555 .672 r
.78149 .30891 m .77739 .32489 L .75707 .31995 L p F P
0 g
s
.408 .261 .568 r
.77739 .32489 m .78149 .30891 L .79372 .30517 L p F P
0 g
s
.403 .278 .595 r
.79552 .28867 m .79372 .30517 L .78149 .30891 L p F P
0 g
s
.541 .671 .922 r
.71492 .69595 m .7264 .70137 L .71766 .70887 L p F P
0 g
s
.541 .671 .922 r
.71766 .70887 m .70591 .7028 L .71459 .6962 L p F P
0 g
s
.541 .671 .922 r
.71766 .70887 m .71459 .6962 L .71501 .6964 L F
.74 .617 .722 r
.70591 .7028 m .71766 .70887 L .71114 .72872 L p F P
0 g
s
.807 .465 .409 r
.71509 .70817 m .72865 .71383 L .72647 .70176 L p F P
0 g
s
.807 .465 .409 r
.72647 .70176 m .7264 .70137 L p .72607 .70157 L F P
0 g
s
.807 .465 .409 r
.72607 .70157 m .71509 .70817 L .72647 .70176 L F
.541 .671 .922 r
.71459 .6962 m .71492 .69595 L p .71501 .6964 L F P
0 g
s
.74 .617 .722 r
.71114 .72872 m .69708 .72176 L .70591 .7028 L p F P
0 g
s
.792 .455 .417 r
.69708 .72176 m .71114 .72872 L .71331 .74125 L p F P
0 g
s
.765 .423 .407 r
.72856 .74583 m .71331 .74125 L .71114 .72872 L p F P
0 g
s
.665 .563 .73 r
.61425 .58806 m .60332 .59476 L .59254 .57686 L p F P
0 g
s
.477 .217 .44 r
.60332 .59476 m .61425 .58806 L .6164 .60002 L p F P
0 g
s
.477 .217 .44 r
.6164 .60002 m .60496 .60678 L .60332 .59476 L p F P
0 g
s
.498 .593 .88 r
.68481 .43837 m .67548 .43007 L .68682 .42487 L p F P
0 g
s
.498 .593 .88 r
.68682 .42487 m .69646 .43385 L .68481 .43837 L p F P
0 g
s
.883 .805 .768 r
.08176 .35832 m .05992 .39929 L .04828 .3944 L p F P
0 g
s
.883 .805 .768 r
.04828 .3944 m .07126 .35152 L .08176 .35832 L p F P
0 g
s
.577 .654 .889 r
.64373 .07227 m .6056 .05498 L .61023 .04321 L p F P
0 g
s
.577 .654 .889 r
.61023 .04321 m .65018 .06146 L .64373 .07227 L p F P
0 g
s
.438 .293 .586 r
.93076 .6052 m .94655 .56667 L .95854 .57082 L p F P
0 g
s
.438 .293 .586 r
.95854 .57082 m .94184 .6112 L .93076 .6052 L p F P
0 g
s
.748 .425 .437 r
.4102 .90368 m .44789 .91979 L .44367 .93164 L p F P
0 g
s
.748 .425 .437 r
.44367 .93164 m .40416 .91461 L .4102 .90368 L p F P
0 g
s
.342 .237 .588 r
.30971 .5575 m .30226 .59001 L .29327 .58567 L p F P
0 g
s
.342 .237 .588 r
.29327 .58567 m .30081 .55299 L .30967 .55748 L p F P
0 g
s
.342 .237 .588 r
.29327 .58567 m .30967 .55748 L .30964 .55761 L F
.703 .588 .724 r
.30081 .55299 m .29327 .58567 L .27277 .58157 L p F P
0 g
s
.91 .805 .731 r
.29812 .55724 m .29064 .59025 L .30222 .59001 L p F P
0 g
s
.91 .805 .731 r
.30222 .59001 m .30226 .59001 L p .30224 .58989 L F P
0 g
s
.91 .805 .731 r
.30224 .58989 m .29812 .55724 L .30222 .59001 L F
.342 .237 .588 r
.30967 .55748 m .30971 .5575 L p .30964 .55761 L F P
0 g
s
.703 .588 .724 r
.27277 .58157 m .28043 .54823 L .30081 .55299 L p F P
0 g
s
.908 .802 .731 r
.28043 .54823 m .27277 .58157 L .26106 .58177 L p F P
0 g
s
.91 .796 .722 r
.25434 .6168 m .26106 .58177 L .27277 .58157 L p F P
0 g
s
.79 .436 .387 r
.37244 .29699 m .35548 .28529 L .36401 .27875 L p F P
0 g
s
.79 .436 .387 r
.36401 .27875 m .38132 .29087 L .37254 .29692 L p F P
0 g
s
.79 .436 .387 r
.36401 .27875 m .37254 .29692 L .37235 .29679 L F
.684 .546 .691 r
.38132 .29087 m .36401 .27875 L .37489 .2609 L p F P
0 g
s
.47 .557 .862 r
.37551 .28581 m .35785 .27386 L .3555 .28518 L p F P
0 g
s
.47 .557 .862 r
.3555 .28518 m .35548 .28529 L p .35567 .28529 L F P
0 g
s
.47 .557 .862 r
.35567 .28529 m .37551 .28581 L .3555 .28518 L F
.79 .436 .387 r
.37254 .29692 m .37244 .29699 L p .37235 .29679 L F P
0 g
s
.684 .546 .691 r
.37489 .2609 m .39324 .27366 L .38132 .29087 L p F P
0 g
s
.478 .563 .863 r
.39324 .27366 m .37489 .2609 L .37734 .24941 L p F P
0 g
s
.493 .582 .872 r
.35729 .23741 m .37734 .24941 L .37489 .2609 L p F P
0 g
s
.776 .85 .907 r
.44824 .6324 m .46624 .62535 L .46713 .63565 L p F P
0 g
s
.776 .85 .907 r
.46713 .63565 m .4492 .64267 L .44824 .6324 L p F P
0 g
s
.776 .85 .907 r
.46713 .63565 m .44824 .6324 L .44824 .6324 L F
.736 .592 .695 r
.4492 .64267 m .46713 .63565 L .47465 .65516 L p F P
0 g
s
.581 .26 .389 r
.45485 .64174 m .47293 .63466 L .46624 .62536 L p F P
0 g
s
.581 .26 .389 r
.46624 .62536 m .46624 .62535 L p .46624 .62536 L F P
0 g
s
.581 .26 .389 r
.46624 .62536 m .45485 .64174 L .46624 .62536 L F
.776 .85 .907 r
.44824 .6324 m .44824 .6324 L p .44824 .6324 L F P
0 g
s
.736 .592 .695 r
.47465 .65516 m .45672 .6622 L .4492 .64267 L p F P
0 g
s
.584 .265 .395 r
.45672 .6622 m .47465 .65516 L .48135 .66455 L p F P
0 g
s
.583 .265 .396 r
.50006 .65717 m .48135 .66455 L .47465 .65516 L p F P
0 g
s
.479 .195 .404 r
.64494 .31782 m .63098 .32551 L .62761 .31554 L p F P
0 g
s
.479 .195 .404 r
.62761 .31554 m .64236 .30769 L .64489 .31762 L p F P
0 g
s
.479 .195 .404 r
.62761 .31554 m .64489 .31762 L .6446 .31777 L F
.677 .566 .722 r
.64236 .30769 m .62761 .31554 L .61607 .2981 L p F P
0 g
s
.752 .825 .909 r
.63735 .30954 m .62274 .31798 L .63084 .32539 L p F P
0 g
s
.752 .825 .909 r
.63084 .32539 m .63098 .32551 L p .63108 .32526 L F P
0 g
s
.752 .825 .909 r
.63108 .32526 m .63735 .30954 L .63084 .32539 L F
.479 .195 .404 r
.64489 .31762 m .64494 .31782 L p .6446 .31777 L F P
0 g
s
.677 .566 .722 r
.61607 .2981 m .63226 .28936 L .64236 .30769 L p F P
0 g
s
.76 .824 .902 r
.63226 .28936 m .61607 .2981 L .6078 .29047 L p F P
0 g
s
.781 .833 .893 r
.5914 .30159 m .6078 .29047 L .61607 .2981 L p F P
0 g
s
.929 .679 .539 r
.72582 .58058 m .72243 .56542 L .73251 .56603 L p F P
0 g
s
.929 .679 .539 r
.73251 .56603 m .73582 .58167 L .72594 .58059 L p F P
0 g
s
.929 .679 .539 r
.73251 .56603 m .72594 .58059 L .7259 .5804 L F
.699 .542 .671 r
.73582 .58167 m .73251 .56603 L .75272 .56068 L p F P
0 g
s
.389 .335 .677 r
.73637 .57508 m .73266 .55938 L .72254 .56535 L p F P
0 g
s
.389 .335 .677 r
.72254 .56535 m .72243 .56542 L p .72258 .56552 L F P
0 g
s
.389 .335 .677 r
.72258 .56552 m .73637 .57508 L .72254 .56535 L F
.929 .679 .539 r
.72594 .58059 m .72582 .58058 L p .7259 .5804 L F P
0 g
s
.699 .542 .671 r
.75272 .56068 m .75629 .57731 L .73582 .58167 L p F P
0 g
s
.397 .345 .683 r
.75629 .57731 m .75272 .56068 L .76304 .55465 L p F P
0 g
s
.399 .358 .697 r
.75812 .53716 m .76304 .55465 L .75272 .56068 L p F P
0 g
s
.938 .819 .701 r
.74452 .32665 m .74893 .31297 L .75707 .31995 L p F P
0 g
s
.938 .819 .701 r
.75707 .31995 m .75216 .33427 L .74468 .32681 L p F P
0 g
s
.938 .819 .701 r
.75707 .31995 m .74468 .32681 L .74477 .32651 L F
.718 .558 .672 r
.75216 .33427 m .75707 .31995 L .77739 .32489 L p F P
0 g
s
.406 .232 .531 r
.75686 .32558 m .76122 .31093 L .74915 .31294 L p F P
0 g
s
.406 .232 .531 r
.74915 .31294 m .74893 .31297 L p .74907 .31319 L F P
0 g
s
.406 .232 .531 r
.74907 .31319 m .75686 .32558 L .74915 .31294 L F
.938 .819 .701 r
.74468 .32681 m .74452 .32665 L p .74477 .32651 L F P
0 g
s
.718 .558 .672 r
.77739 .32489 m .77204 .34083 L .75216 .33427 L p F P
0 g
s
.413 .247 .545 r
.77204 .34083 m .77739 .32489 L .78975 .3229 L p F P
0 g
s
.408 .261 .568 r
.79372 .30517 m .78975 .3229 L .77739 .32489 L p F P
0 g
s
.711 .551 .67 r
.52428 .44189 m .52617 .42535 L .54688 .42825 L p F P
0 g
s
.934 .768 .652 r
.52617 .42535 m .52428 .44189 L .51407 .4373 L p F P
0 g
s
.934 .768 .652 r
.51407 .4373 m .51643 .41973 L .52617 .42535 L p F P
0 g
s
.518 .643 .911 r
.7036 .68917 m .71492 .69595 L .70591 .7028 L p F P
0 g
s
.518 .643 .911 r
.70591 .7028 m .69392 .69521 L .70333 .68933 L p F P
0 g
s
.518 .643 .911 r
.70591 .7028 m .70333 .68933 L .70367 .68953 L F
.738 .618 .725 r
.69392 .69521 m .70591 .7028 L .69708 .72176 L p F P
0 g
s
.829 .495 .423 r
.70257 .70121 m .71509 .70817 L .71492 .69623 L p F P
0 g
s
.829 .495 .423 r
.71492 .69623 m .71492 .69595 L p .71465 .69607 L F P
0 g
s
.829 .495 .423 r
.71465 .69607 m .70257 .70121 L .71492 .69623 L F
.518 .643 .911 r
.70333 .68933 m .7036 .68917 L p .70367 .68953 L F P
0 g
s
.738 .618 .725 r
.69708 .72176 m .68321 .7132 L .69392 .69521 L p F P
0 g
s
.817 .486 .429 r
.68321 .7132 m .69708 .72176 L .69717 .73403 L p F P
0 g
s
.792 .455 .417 r
.71331 .74125 m .69717 .73403 L .69708 .72176 L p F P
0 g
s
.665 .314 .369 r
.76095 .71686 m .7652 .71631 L .76221 .70484 L p F P
0 g
s
.665 .314 .369 r
.76221 .70484 m .75325 .70632 L .76095 .71686 L p F P
0 g
s
.863 .857 .833 r
.57713 .36182 m .57409 .36594 L .57875 .37832 L p F P
0 g
s
.863 .857 .833 r
.57875 .37832 m .58757 .36504 L .57713 .36182 L p F P
0 g
s
.391 .338 .679 r
.76239 .25858 m .76058 .25195 L .74908 .25525 L p F P
0 g
s
.391 .338 .679 r
.74908 .25525 m .75222 .26655 L .76239 .25858 L p F P
0 g
s
.914 .713 .617 r
.28493 .70664 m .29049 .7294 L .30172 .72589 L p F P
0 g
s
.914 .713 .617 r
.30172 .72589 m .29554 .701 L .28493 .70664 L p F P
0 g
s
.406 .419 .761 r
.70864 .50223 m .70513 .49639 L .69264 .49755 L p F P
0 g
s
.406 .419 .761 r
.69264 .49755 m .70068 .51083 L .70864 .50223 L p F P
0 g
s
.598 .709 .921 r
.29407 .24871 m .28455 .24833 L .28624 .25994 L p F P
0 g
s
.598 .709 .921 r
.28624 .25994 m .2986 .26028 L .29407 .24871 L p F P
0 g
s
.559 .247 .396 r
.5424 .60361 m .54854 .60042 L .55176 .58666 L p F P
0 g
s
.559 .247 .396 r
.55176 .58666 m .53468 .59511 L .5424 .60361 L p F P
0 g
s
.311 .196 .557 r
.55269 .34191 m .54312 .35641 L .5562 .35494 L p F P
0 g
s
.409 .153 .411 r
.54312 .35641 m .53426 .37087 L .54565 .37139 L p F P
0 g
s
.409 .153 .411 r
.54565 .37139 m .5562 .35494 L .54312 .35641 L p F P
0 g
s
.856 .508 .392 r
.73667 .48944 m .72803 .47527 L .72291 .48519 L p F P
0 g
s
.928 .659 .509 r
.72803 .47527 m .72125 .46424 L .71672 .47449 L p F P
0 g
s
.928 .659 .509 r
.71672 .47449 m .72291 .48519 L .72803 .47527 L p F P
0 g
s
.876 .904 .847 r
.55305 .63272 m .57011 .62424 L .55775 .61928 L p F P
0 g
s
.684 .831 .954 r
.57011 .62424 m .58174 .61886 L .57288 .61236 L p F P
0 g
s
.684 .831 .954 r
.57288 .61236 m .55775 .61928 L .57011 .62424 L p F P
0 g
s
.665 .565 .732 r
.62478 .58102 m .61425 .58806 L .6027 .57063 L p F P
0 g
s
.468 .216 .448 r
.61425 .58806 m .62478 .58102 L .62741 .59288 L p F P
0 g
s
.468 .216 .448 r
.62741 .59288 m .6164 .60002 L .61425 .58806 L p F P
0 g
s
.511 .612 .889 r
.67548 .43007 m .66583 .42237 L .67688 .41664 L p F P
0 g
s
.511 .612 .889 r
.67688 .41664 m .68682 .42487 L .67548 .43007 L p F P
0 g
s
.898 .781 .724 r
.05992 .39929 m .04643 .44328 L .034 .44071 L p F P
0 g
s
.898 .781 .724 r
.034 .44071 m .04828 .3944 L .05992 .39929 L p F P
0 g
s
.428 .318 .627 r
.94655 .56667 m .95546 .52575 L .96799 .52799 L p F P
0 g
s
.428 .318 .627 r
.96799 .52799 m .95854 .57082 L .94655 .56667 L p F P
0 g
s
.618 .697 .901 r
.6056 .05498 m .56508 .04461 L .56771 .0322 L p F P
0 g
s
.618 .697 .901 r
.56771 .0322 m .61023 .04321 L .6056 .05498 L p F P
0 g
s
.707 .383 .427 r
.44789 .91979 m .48773 .92907 L .48552 .94153 L p F P
0 g
s
.707 .383 .427 r
.48552 .94153 m .44367 .93164 L .44789 .91979 L p F P
0 g
s
.342 .238 .589 r
.3172 .52436 m .30971 .5575 L .30081 .55299 L p F P
0 g
s
.342 .238 .589 r
.30081 .55299 m .30824 .52002 L .3172 .52436 L p F P
0 g
s
.703 .588 .725 r
.30824 .52002 m .30081 .55299 L .28043 .54823 L p F P
0 g
s
.703 .588 .725 r
.28043 .54823 m .28783 .51531 L .30824 .52002 L p F P
0 g
s
.908 .802 .731 r
.28783 .51531 m .28043 .54823 L .26876 .54794 L p F P
0 g
s
.908 .802 .731 r
.26876 .54794 m .28043 .54823 L p .26119 .58156 L F P
0 g
s
.908 .802 .731 r
.27619 .5149 m .28783 .51531 L p .27177 .54278 L F P
0 g
s
.908 .802 .731 r
.26876 .54794 m .27619 .5149 L p .27177 .54278 L F P
0 g
s
.914 .785 .704 r
.29127 .48327 m .28783 .51531 L .27619 .5149 L p F P
0 g
s
.914 .785 .704 r
.27963 .48388 m .29127 .48327 L p .28055 .50574 L F P
0 g
s
.914 .785 .704 r
.27619 .5149 m .27963 .48388 L p .28055 .50574 L F P
0 g
s
.917 .734 .639 r
.28662 .45267 m .29127 .48327 L .27963 .48388 L p F P
0 g
s
.917 .734 .639 r
.2754 .45567 m .28662 .45267 L p .28033 .48076 L F P
0 g
s
.917 .734 .639 r
.27963 .48388 m .2754 .45567 L p .28033 .48076 L F P
0 g
s
.915 .712 .613 r
.2788 .42071 m .28662 .45267 L .2754 .45567 L p F P
0 g
s
.915 .712 .613 r
.2754 .45567 m .26792 .42461 L .2788 .42071 L p F P
0 g
s
.344 .35 .723 r
.2754 .45567 m .28511 .45615 L p .27008 .42857 L F P
0 g
s
.344 .35 .723 r
.26792 .42461 m .2754 .45567 L p .27008 .42857 L F P
0 g
s
.335 .318 .692 r
.27963 .48388 m .28889 .48703 L p .27877 .46351 L F P
0 g
s
.335 .318 .692 r
.2754 .45567 m .27963 .48388 L p .27877 .46351 L F P
0 g
s
.33 .254 .618 r
.27619 .5149 m .28503 .51923 L p .28035 .48859 L F P
0 g
s
.33 .254 .618 r
.27963 .48388 m .27619 .5149 L p .28035 .48859 L F P
0 g
s
.335 .231 .586 r
.26876 .54794 m .27755 .55244 L p .27619 .51495 L F P
0 g
s
.335 .231 .586 r
.27619 .5149 m .26876 .54794 L p .27619 .51495 L F P
0 g
s
.908 .802 .731 r
.26106 .58177 m .26876 .54794 L p .26119 .58156 L F P
0 g
s
.797 .446 .392 r
.38974 .30971 m .37244 .29699 L .38132 .29087 L p F P
0 g
s
.797 .446 .392 r
.38132 .29087 m .39873 .30376 L .38979 .30967 L p F P
0 g
s
.797 .446 .392 r
.38132 .29087 m .38979 .30967 L .38969 .3096 L F
.685 .546 .69 r
.39873 .30376 m .38132 .29087 L .39324 .27366 L p F P
0 g
s
.464 .549 .858 r
.39323 .29871 m .37551 .28581 L .37246 .29693 L p F P
0 g
s
.464 .549 .858 r
.37246 .29693 m .37244 .29699 L p .37255 .297 L F P
0 g
s
.464 .549 .858 r
.37255 .297 m .39323 .29871 L .37246 .29693 L F
.797 .446 .392 r
.38979 .30967 m .38974 .30971 L p .38969 .3096 L F P
0 g
s
.685 .546 .69 r
.39324 .27366 m .41118 .28692 L .39873 .30376 L p F P
0 g
s
.471 .552 .857 r
.41118 .28692 m .39324 .27366 L .39639 .26243 L p F P
0 g
s
.478 .563 .863 r
.37734 .24941 m .39639 .26243 L .39324 .27366 L p F P
0 g
s
.78 .852 .905 r
.43006 .6398 m .44824 .6324 L .4492 .64267 L p F P
0 g
s
.78 .852 .905 r
.4492 .64267 m .43126 .65003 L .43006 .6398 L p F P
0 g
s
.736 .591 .694 r
.43126 .65003 m .4492 .64267 L .45672 .6622 L p F P
0 g
s
.736 .591 .694 r
.45672 .6622 m .43905 .66948 L .43126 .65003 L p F P
0 g
s
.581 .263 .395 r
.43905 .66948 m .45672 .6622 L .46334 .67164 L p F P
0 g
s
.584 .265 .395 r
.46334 .67164 m .45672 .6622 L p .48099 .66452 L F P
0 g
s
.581 .263 .395 r
.44573 .67885 m .43905 .66948 L p .46173 .67149 L F P
0 g
s
.581 .263 .395 r
.46334 .67164 m .44573 .67885 L p .46173 .67149 L F P
0 g
s
.563 .252 .399 r
.42256 .67785 m .43905 .66948 L .44573 .67885 L p F P
0 g
s
.563 .252 .399 r
.42975 .68677 m .42256 .67785 L p .44321 .67875 L F P
0 g
s
.563 .252 .399 r
.44573 .67885 m .42975 .68677 L p .44321 .67875 L F P
0 g
s
.524 .234 .416 r
.40602 .68978 m .42256 .67785 L .42975 .68677 L p F P
0 g
s
.524 .234 .416 r
.41384 .69787 m .40602 .68978 L p .42923 .68684 L F P
0 g
s
.524 .234 .416 r
.42975 .68677 m .41384 .69787 L p .42923 .68684 L F P
0 g
s
.512 .229 .421 r
.3885 .70302 m .40602 .68978 L .41384 .69787 L p F P
0 g
s
.512 .229 .421 r
.41384 .69787 m .39655 .71081 L .3885 .70302 L p F P
0 g
s
.838 .865 .864 r
.41384 .69787 m .40991 .68845 L p .39713 .70984 L F P
0 g
s
.838 .865 .864 r
.39655 .71081 m .41384 .69787 L p .39713 .70984 L F P
0 g
s
.827 .864 .874 r
.42975 .68677 m .4278 .67673 L p .41559 .69522 L F P
0 g
s
.827 .864 .874 r
.41384 .69787 m .42975 .68677 L p .41559 .69522 L F P
0 g
s
.796 .86 .897 r
.44573 .67885 m .44459 .6687 L p .4305 .68586 L F P
0 g
s
.796 .86 .897 r
.42975 .68677 m .44573 .67885 L p .4305 .68586 L F P
0 g
s
.78 .855 .907 r
.46334 .67164 m .46243 .66145 L p .44591 .67867 L F P
0 g
s
.78 .855 .907 r
.44573 .67885 m .46334 .67164 L p .44591 .67867 L F P
0 g
s
.584 .265 .395 r
.48135 .66455 m .46334 .67164 L p .48099 .66452 L F P
0 g
s
.49 .196 .394 r
.66003 .31049 m .64494 .31782 L .64236 .30769 L p F P
0 g
s
.49 .196 .394 r
.64236 .30769 m .65793 .30032 L .66 .31036 L p F P
0 g
s
.49 .196 .394 r
.64236 .30769 m .66 .31036 L .6598 .31046 L F
.676 .564 .721 r
.65793 .30032 m .64236 .30769 L .63226 .28936 L p F P
0 g
s
.74 .817 .912 r
.65297 .30171 m .63735 .30954 L .64485 .31772 L p F P
0 g
s
.74 .817 .912 r
.64485 .31772 m .64494 .31782 L p .64503 .31764 L F P
0 g
s
.74 .817 .912 r
.64503 .31764 m .65297 .30171 L .64485 .31772 L F
.49 .196 .394 r
.66 .31036 m .66003 .31049 L p .6598 .31046 L F P
0 g
s
.676 .564 .721 r
.63226 .28936 m .64883 .28145 L .65793 .30032 L p F P
0 g
s
.745 .816 .908 r
.64883 .28145 m .63226 .28936 L .62464 .28099 L p F P
0 g
s
.76 .824 .902 r
.6078 .29047 m .62464 .28099 L .63226 .28936 L p F P
0 g
s
.931 .687 .546 r
.7289 .59638 m .72582 .58058 L .73582 .58167 L p F P
0 g
s
.931 .687 .546 r
.73582 .58167 m .73885 .59769 L .72897 .59639 L p F P
0 g
s
.931 .687 .546 r
.73582 .58167 m .72897 .59639 L .72894 .59628 L F
.7 .542 .671 r
.73885 .59769 m .73582 .58167 L .75629 .57731 L p F P
0 g
s
.39 .331 .671 r
.73964 .59125 m .73637 .57508 L .72588 .58054 L p F P
0 g
s
.39 .331 .671 r
.72588 .58054 m .72582 .58058 L p .7259 .58065 L F P
0 g
s
.39 .331 .671 r
.7259 .58065 m .73964 .59125 L .72588 .58054 L F
.931 .687 .546 r
.72897 .59639 m .7289 .59638 L p .72894 .59628 L F P
0 g
s
.7 .542 .671 r
.75629 .57731 m .75945 .59391 L .73885 .59769 L p F P
0 g
s
.397 .338 .675 r
.75945 .59391 m .75629 .57731 L .76694 .57182 L p F P
0 g
s
.397 .345 .683 r
.76304 .55465 m .76694 .57182 L .75629 .57731 L p F P
0 g
s
.935 .828 .715 r
.73912 .34097 m .74452 .32665 L .75216 .33427 L p F P
0 g
s
.935 .828 .715 r
.75216 .33427 m .74646 .3489 L .73921 .34107 L p F P
0 g
s
.935 .828 .715 r
.75216 .33427 m .73921 .34107 L .73928 .34089 L F
.719 .56 .672 r
.74646 .3489 m .75216 .33427 L .77204 .34083 L p F P
0 g
s
.411 .229 .521 r
.75143 .34059 m .75686 .32558 L .74466 .32664 L p F P
0 g
s
.411 .229 .521 r
.74466 .32664 m .74452 .32665 L p .7446 .32681 L F P
0 g
s
.411 .229 .521 r
.7446 .32681 m .75143 .34059 L .74466 .32664 L F
.935 .828 .715 r
.73921 .34107 m .73912 .34097 L p .73928 .34089 L F P
0 g
s
.719 .56 .672 r
.77204 .34083 m .766 .35646 L .74646 .3489 L p F P
0 g
s
.417 .239 .531 r
.766 .35646 m .77204 .34083 L .78445 .33983 L p F P
0 g
s
.413 .247 .545 r
.78975 .3229 m .78445 .33983 L .77204 .34083 L p F P
0 g
s
.708 .548 .669 r
.52386 .45834 m .52428 .44189 L .54519 .44283 L p F P
0 g
s
.934 .745 .625 r
.52428 .44189 m .52386 .45834 L .51335 .45463 L p F P
0 g
s
.934 .745 .625 r
.51335 .45463 m .51407 .4373 L .52428 .44189 L p F P
0 g
s
.501 .621 .902 r
.69193 .68101 m .7036 .68917 L .69392 .69521 L p F P
0 g
s
.501 .621 .902 r
.69392 .69521 m .68189 .68651 L .69174 .68112 L p F P
0 g
s
.501 .621 .902 r
.69392 .69521 m .69174 .68112 L .69197 .68128 L F
.737 .619 .727 r
.68189 .68651 m .69392 .69521 L .68321 .7132 L p F P
0 g
s
.842 .514 .434 r
.68997 .69281 m .70257 .70121 L .70359 .68937 L p F P
0 g
s
.842 .514 .434 r
.70359 .68937 m .7036 .68917 L p .70339 .68922 L F P
0 g
s
.842 .514 .434 r
.70339 .68922 m .68997 .69281 L .70359 .68937 L F
.501 .621 .902 r
.69174 .68112 m .69193 .68101 L p .69197 .68128 L F P
0 g
s
.737 .619 .727 r
.68321 .7132 m .66991 .70369 L .68189 .68651 L p F P
0 g
s
.834 .509 .439 r
.66991 .70369 m .68321 .7132 L .6821 .7253 L p F P
0 g
s
.817 .486 .429 r
.69717 .73403 m .6821 .7253 L .68321 .7132 L p F P
0 g
s
.719 .358 .364 r
.75057 .71763 m .76095 .71686 L .75325 .70632 L p F P
0 g
s
.719 .358 .364 r
.75325 .70632 m .74472 .70607 L .75057 .71763 L p F P
0 g
s
.844 .858 .854 r
.58757 .36504 m .59686 .35352 L .58672 .3493 L p F P
0 g
s
.382 .296 .634 r
.75222 .26655 m .75356 .27724 L .76461 .2706 L p F P
0 g
s
.919 .747 .653 r
.29554 .701 m .29299 .67566 L .28179 .67978 L p F P
0 g
s
.399 .4 .744 r
.70068 .51083 m .70756 .52393 L .71606 .51582 L p F P
0 g
s
.547 .658 .909 r
.2986 .26028 m .31105 .26303 L .30868 .25098 L p F P
0 g
s
.562 .249 .394 r
.53468 .59511 m .51772 .60322 L .52526 .61187 L p F P
0 g
s
.395 .2 .495 r
.56411 .32739 m .55269 .34191 L .55961 .3502 L p F P
0 g
s
.311 .196 .557 r
.5562 .35494 m .55961 .3502 L .55269 .34191 L p F P
0 g
s
.571 .274 .425 r
.7652 .71631 m .80214 .70499 L .79703 .69408 L p F P
0 g
s
.89 .582 .458 r
.7448 .50474 m .73667 .48944 L .72671 .49149 L p F P
0 g
s
.856 .508 .392 r
.72291 .48519 m .72671 .49149 L .73667 .48944 L p F P
0 g
s
.796 .861 .897 r
.5356 .64111 m .55305 .63272 L .55162 .6225 L p F P
0 g
s
.876 .904 .847 r
.55775 .61928 m .55162 .6225 L .55305 .63272 L p F P
0 g
s
.43 .429 .757 r
.76058 .25195 m .74653 .21145 L .73554 .21649 L p F P
0 g
s
.893 .646 .559 r
.29049 .7294 m .30501 .76895 L .31565 .76358 L p F P
0 g
s
.442 .515 .838 r
.70513 .49639 m .69965 .48677 L .68726 .48869 L p F P
0 g
s
.718 .788 .907 r
.28455 .24833 m .2401 .25629 L .24422 .26748 L p F P
0 g
s
.772 .867 .919 r
.81742 .73064 m .85587 .70918 L .84962 .70307 L p F P
0 g
s
.772 .867 .919 r
.84962 .70307 m .81238 .72335 L .81742 .73064 L p F P
0 g
s
.92 .634 .485 r
.77222 .19631 m .74944 .15478 L .74321 .1609 L p F P
0 g
s
.92 .634 .485 r
.74321 .1609 m .76495 .20131 L .77222 .19631 L p F P
0 g
s
.348 .407 .781 r
.27962 .7849 m .30347 .82525 L .30969 .81893 L p F P
0 g
s
.348 .407 .781 r
.30969 .81893 m .28691 .77966 L .27962 .7849 L p F P
0 g
s
.92 .638 .491 r
.72125 .46424 m .71372 .45358 L .70987 .46414 L p F P
0 g
s
.92 .638 .491 r
.70987 .46414 m .71672 .47449 L .72125 .46424 L p F P
0 g
s
.516 .178 .332 r
.22759 .22906 m .18071 .2494 L .18623 .25629 L p F P
0 g
s
.516 .178 .332 r
.18623 .25629 m .23175 .23699 L .22759 .22906 L p F P
0 g
s
.666 .567 .734 r
.63502 .57364 m .62478 .58102 L .61258 .56401 L p F P
0 g
s
.46 .215 .455 r
.62478 .58102 m .63502 .57364 L .63805 .58541 L p F P
0 g
s
.46 .215 .455 r
.63805 .58541 m .62741 .59288 L .62478 .58102 L p F P
0 g
s
.746 .633 .735 r
.65608 .41509 m .66583 .42237 L .65339 .4392 L p F P
0 g
s
.522 .627 .896 r
.66583 .42237 m .65608 .41509 L .667 .40916 L p F P
0 g
s
.522 .627 .896 r
.667 .40916 m .67688 .41664 L .66583 .42237 L p F P
0 g
s
.905 .747 .675 r
.04643 .44328 m .04239 .48878 L .02967 .48828 L p F P
0 g
s
.905 .747 .675 r
.02967 .48828 m .034 .44071 L .04643 .44328 L p F P
0 g
s
.425 .348 .666 r
.95546 .52575 m .95763 .48435 L .97033 .48541 L p F P
0 g
s
.425 .348 .666 r
.97033 .48541 m .96799 .52799 L .95546 .52575 L p F P
0 g
s
.66 .735 .906 r
.56508 .04461 m .5237 .04151 L .52488 .02886 L p F P
0 g
s
.66 .735 .906 r
.52488 .02886 m .56771 .0322 L .56508 .04461 L p F P
0 g
s
.665 .346 .424 r
.48773 .92907 m .52817 .93126 L .52748 .94393 L p F P
0 g
s
.665 .346 .424 r
.52748 .94393 m .48552 .94153 L .48773 .92907 L p F P
0 g
s
.337 .261 .621 r
.32145 .48894 m .3172 .52436 L .30824 .52002 L p F P
0 g
s
.337 .261 .621 r
.30824 .52002 m .31209 .48579 L .32145 .48894 L p F P
0 g
s
.705 .591 .726 r
.31209 .48579 m .30824 .52002 L .28783 .51531 L p F P
0 g
s
.705 .591 .726 r
.28783 .51531 m .29127 .48327 L .31209 .48579 L p F P
0 g
s
.784 .428 .382 r
.40884 .32249 m .38974 .30971 L .39873 .30376 L p F P
0 g
s
.784 .428 .382 r
.39873 .30376 m .41745 .31611 L .40884 .32249 L p F P
0 g
s
.683 .544 .691 r
.41745 .31611 m .39873 .30376 L .41118 .28692 L p F P
0 g
s
.683 .544 .691 r
.41118 .28692 m .42915 .29872 L .41745 .31611 L p F P
0 g
s
.479 .564 .864 r
.42915 .29872 m .41118 .28692 L .41476 .27587 L p F P
0 g
s
.471 .552 .857 r
.41476 .27587 m .41118 .28692 L p .39719 .26375 L F P
0 g
s
.479 .564 .864 r
.43234 .28753 m .42915 .29872 L p .41703 .27948 L F P
0 g
s
.479 .564 .864 r
.41476 .27587 m .43234 .28753 L p .41703 .27948 L F P
0 g
s
.507 .603 .884 r
.44558 .30595 m .42915 .29872 L .43234 .28753 L p F P
0 g
s
.507 .603 .884 r
.44695 .2942 m .44558 .30595 L p .43281 .28818 L F P
0 g
s
.507 .603 .884 r
.43234 .28753 m .44695 .2942 L p .43281 .28818 L F P
0 g
s
.525 .624 .893 r
.46277 .31243 m .44558 .30595 L .44695 .2942 L p F P
0 g
s
.525 .624 .893 r
.46348 .30063 m .46277 .31243 L p .44701 .29427 L F P
0 g
s
.525 .624 .893 r
.44695 .2942 m .46348 .30063 L p .44701 .29427 L F P
0 g
s
.53 .63 .895 r
.48059 .3191 m .46277 .31243 L .46348 .30063 L p F P
0 g
s
.53 .63 .895 r
.46348 .30063 m .48124 .30731 L .48059 .3191 L p F P
0 g
s
.718 .345 .343 r
.46348 .30063 m .45632 .30839 L p .48084 .30733 L F P
0 g
s
.718 .345 .343 r
.48124 .30731 m .46348 .30063 L p .48084 .30733 L F P
0 g
s
.724 .352 .345 r
.44695 .2942 m .43913 .30142 L p .46214 .30067 L F P
0 g
s
.724 .352 .345 r
.46348 .30063 m .44695 .2942 L p .46214 .30067 L F P
0 g
s
.744 .374 .353 r
.43234 .28753 m .42376 .2938 L p .44496 .29417 L F P
0 g
s
.744 .374 .353 r
.44695 .2942 m .43234 .28753 L p .44496 .29417 L F P
0 g
s
.786 .427 .377 r
.41476 .27587 m .4058 .28171 L p .43137 .28732 L F P
0 g
s
.786 .427 .377 r
.43234 .28753 m .41476 .27587 L p .43137 .28732 L F P
0 g
s
.471 .552 .857 r
.39639 .26243 m .41476 .27587 L p .39719 .26375 L F P
0 g
s
.799 .858 .893 r
.41143 .64884 m .43006 .6398 L .43126 .65003 L p F P
0 g
s
.799 .858 .893 r
.43126 .65003 m .41344 .65897 L .41143 .64884 L p F P
0 g
s
.736 .589 .692 r
.41344 .65897 m .43126 .65003 L .43905 .66948 L p F P
0 g
s
.736 .589 .692 r
.43905 .66948 m .42256 .67785 L .41344 .65897 L p F P
0 g
s
.482 .193 .398 r
.67632 .30221 m .66003 .31049 L .65793 .30032 L p F P
0 g
s
.482 .193 .398 r
.65793 .30032 m .67397 .29209 L .67632 .30221 L p F P
0 g
s
.675 .564 .722 r
.67397 .29209 m .65793 .30032 L .64883 .28145 L p F P
0 g
s
.675 .564 .722 r
.64883 .28145 m .66455 .27336 L .67397 .29209 L p F P
0 g
s
.747 .818 .908 r
.66455 .27336 m .64883 .28145 L .64176 .27258 L p F P
0 g
s
.745 .816 .908 r
.64176 .27258 m .64883 .28145 L p .62517 .281 L F P
0 g
s
.747 .818 .908 r
.6574 .26458 m .66455 .27336 L p .6448 .27269 L F P
0 g
s
.747 .818 .908 r
.64176 .27258 m .6574 .26458 L p .6448 .27269 L F P
0 g
s
.775 .835 .898 r
.67669 .26426 m .66455 .27336 L .6574 .26458 L p F P
0 g
s
.775 .835 .898 r
.6574 .26458 m .6683 .25678 L .67669 .26426 L p F P
0 g
s
.451 .186 .42 r
.6574 .26458 m .65968 .27463 L p .66774 .25793 L F P
0 g
s
.451 .186 .42 r
.6683 .25678 m .6574 .26458 L p .66774 .25793 L F P
0 g
s
.479 .187 .391 r
.64176 .27258 m .64379 .28267 L p .65733 .26467 L F P
0 g
s
.479 .187 .391 r
.6574 .26458 m .64176 .27258 L p .65733 .26467 L F P
0 g
s
.745 .816 .908 r
.62464 .28099 m .64176 .27258 L p .62517 .281 L F P
0 g
s
.927 .673 .533 r
.73278 .61334 m .7289 .59638 L .73885 .59769 L p F P
0 g
s
.927 .673 .533 r
.73885 .59769 m .74278 .61421 L .73278 .61334 L p F P
0 g
s
.698 .54 .669 r
.74278 .61421 m .73885 .59769 L .75945 .59391 L p F P
0 g
s
.698 .54 .669 r
.75945 .59391 m .76326 .60972 L .74278 .61421 L p F P
0 g
s
.395 .343 .681 r
.76326 .60972 m .75945 .59391 L .77029 .58878 L p F P
0 g
s
.397 .338 .675 r
.77029 .58878 m .75945 .59391 L p .76668 .57259 L F P
0 g
s
.395 .343 .681 r
.77393 .60432 m .76326 .60972 L p .76952 .59107 L F P
0 g
s
.395 .343 .681 r
.77029 .58878 m .77393 .60432 L p .76952 .59107 L F P
0 g
s
.397 .371 .713 r
.76919 .62387 m .76326 .60972 L .77393 .60432 L p F P
0 g
s
.397 .371 .713 r
.77393 .60432 m .77903 .61734 L .76919 .62387 L p F P
0 g
s
.914 .636 .502 r
.77393 .60432 m .76402 .6034 L p .77792 .61631 L F P
0 g
s
.914 .636 .502 r
.77903 .61734 m .77393 .60432 L p .77792 .61631 L F P
0 g
s
.93 .676 .532 r
.77029 .58878 m .76043 .58743 L p .77369 .60401 L F P
0 g
s
.93 .676 .532 r
.77393 .60432 m .77029 .58878 L p .77369 .60401 L F P
0 g
s
.397 .338 .675 r
.76694 .57182 m .77029 .58878 L p .76668 .57259 L F P
0 g
s
.938 .823 .704 r
.73355 .35683 m .73912 .34097 L .74646 .3489 L p F P
0 g
s
.938 .823 .704 r
.74646 .3489 m .74108 .36452 L .73355 .35683 L p F P
0 g
s
.719 .558 .67 r
.74108 .36452 m .74646 .3489 L .766 .35646 L p F P
0 g
s
.719 .558 .67 r
.766 .35646 m .7608 .37165 L .74108 .36452 L p F P
0 g
s
.414 .239 .533 r
.7608 .37165 m .766 .35646 L .77837 .35614 L p F P
0 g
s
.417 .239 .531 r
.77837 .35614 m .766 .35646 L p .78397 .34026 L F P
0 g
s
.414 .239 .533 r
.77316 .37114 m .7608 .37165 L p .7764 .35788 L F P
0 g
s
.414 .239 .533 r
.77837 .35614 m .77316 .37114 L p .7764 .35788 L F P
0 g
s
.404 .256 .564 r
.75835 .38646 m .7608 .37165 L .77316 .37114 L p F P
0 g
s
.404 .256 .564 r
.77063 .38456 m .75835 .38646 L p .77313 .37118 L F P
0 g
s
.404 .256 .564 r
.77316 .37114 m .77063 .38456 L p .77313 .37118 L F P
0 g
s
.402 .263 .576 r
.75579 .40231 m .75835 .38646 L .77063 .38456 L p F P
0 g
s
.402 .263 .576 r
.77063 .38456 m .76801 .40011 L .75579 .40231 L p F P
0 g
s
.949 .793 .653 r
.77063 .38456 m .76233 .37811 L p .76784 .39946 L F P
0 g
s
.949 .793 .653 r
.76801 .40011 m .77063 .38456 L p .76784 .39946 L F P
0 g
s
.947 .802 .667 r
.77316 .37114 m .76575 .36345 L p .77027 .38301 L F P
0 g
s
.947 .802 .667 r
.77063 .38456 m .77316 .37114 L p .77027 .38301 L F P
0 g
s
.94 .826 .705 r
.77837 .35614 m .77114 .34821 L p .77315 .37097 L F P
0 g
s
.94 .826 .705 r
.77316 .37114 m .77837 .35614 L p .77315 .37097 L F P
0 g
s
.417 .239 .531 r
.78445 .33983 m .77837 .35614 L p .78397 .34026 L F P
0 g
s
.705 .545 .668 r
.5448 .45781 m .54531 .4737 L .52436 .47458 L p F P
0 g
s
.705 .545 .668 r
.52436 .47458 m .52386 .45834 L .5448 .45781 L p F P
0 g
s
.932 .726 .603 r
.52386 .45834 m .52436 .47458 L .51379 .47111 L p F P
0 g
s
.932 .726 .603 r
.51379 .47111 m .51335 .45463 L .52386 .45834 L p F P
0 g
s
.505 .628 .906 r
.67877 .67205 m .69193 .68101 L .68189 .68651 L p F P
0 g
s
.505 .628 .906 r
.68189 .68651 m .66883 .67766 L .67877 .67205 L p F P
0 g
s
.738 .621 .728 r
.66883 .67766 m .68189 .68651 L .66991 .70369 L p F P
0 g
s
.738 .621 .728 r
.66991 .70369 m .65697 .69495 L .66883 .67766 L p F P
0 g
s
.835 .51 .437 r
.65697 .69495 m .66991 .70369 L .66786 .71554 L p F P
0 g
s
.834 .509 .439 r
.6821 .7253 m .66786 .71554 L .66991 .70369 L p F P
0 g
s
.752 .395 .377 r
.73941 .71659 m .75057 .71763 L .74472 .70607 L p F P
0 g
s
.752 .395 .377 r
.74472 .70607 m .73535 .70445 L .73941 .71659 L p F P
0 g
s
.53 .26 .45 r
.80214 .70499 m .83627 .68679 L .82931 .67678 L p F P
0 g
s
.823 .855 .871 r
.59686 .35352 m .60712 .34298 L .5974 .33774 L p F P
0 g
s
.937 .841 .723 r
.57409 .36594 m .56449 .38076 L .57178 .38952 L p F P
0 g
s
.922 .828 .736 r
.56589 .4012 m .57178 .38952 L .56449 .38076 L p F P
0 g
s
.384 .273 .602 r
.75356 .27724 m .75358 .2885 L .76527 .28326 L p F P
0 g
s
.45 .472 .791 r
.74653 .21145 m .72663 .17387 L .71644 .1806 L p F P
0 g
s
.919 .768 .678 r
.29299 .67566 m .29306 .64855 L .28157 .65139 L p F P
0 g
s
.872 .599 .523 r
.30501 .76895 m .32585 .80544 L .33563 .7984 L p F P
0 g
s
.395 .383 .728 r
.70756 .52393 m .71361 .53743 L .72265 .52986 L p F P
0 g
s
.453 .535 .851 r
.69965 .48677 m .69365 .47754 L .68143 .48026 L p F P
0 g
s
.522 .627 .896 r
.31105 .26303 m .32493 .26799 L .32432 .25591 L p F P
0 g
s
.769 .813 .888 r
.2401 .25629 m .19799 .27374 L .20412 .28415 L p F P
0 g
s
.565 .25 .393 r
.51772 .60322 m .5006 .61115 L .50797 .61993 L p F P
0 g
s
.425 .159 .404 r
.54854 .60042 m .56326 .59365 L .56257 .58161 L p F P
0 g
s
.482 .21 .424 r
.5731 .57631 m .56257 .58161 L .56326 .59365 L p F P
0 g
s
.821 .886 .89 r
.85587 .70918 m .89006 .68114 L .88279 .67646 L p F P
0 g
s
.821 .886 .89 r
.88279 .67646 m .84962 .70307 L .85587 .70918 L p F P
0 g
s
.407 .191 .47 r
.57693 .31388 m .56411 .32739 L .57027 .33618 L p F P
0 g
s
.395 .2 .495 r
.55961 .3502 m .57027 .33618 L .56411 .32739 L p F P
0 g
s
.401 .192 .477 r
.53426 .37087 m .52667 .38635 L .53808 .38581 L p F P
0 g
s
.401 .192 .477 r
.53808 .38581 m .54565 .37139 L .53426 .37087 L p F P
0 g
s
.894 .575 .436 r
.74944 .15478 m .72055 .11778 L .71559 .12489 L p F P
0 g
s
.894 .575 .436 r
.71559 .12489 m .74321 .1609 L .74944 .15478 L p F P
0 g
s
.323 .281 .656 r
.25113 .64834 m .2513 .67988 L .26085 .68191 L p F P
0 g
s
.323 .31 .69 r
.26451 .71166 m .26085 .68191 L .2513 .67988 L p F P
0 g
s
.371 .462 .824 r
.30347 .82525 m .33333 .86104 L .33825 .85378 L p F P
0 g
s
.371 .462 .824 r
.33825 .85378 m .30969 .81893 L .30347 .82525 L p F P
0 g
s
.901 .603 .473 r
.752 .52057 m .7448 .50474 L .73477 .50618 L p F P
0 g
s
.89 .582 .458 r
.72671 .49149 m .73477 .50618 L .7448 .50474 L p F P
0 g
s
.91 .615 .473 r
.71372 .45358 m .7054 .44333 L .70231 .45418 L p F P
0 g
s
.91 .615 .473 r
.70231 .45418 m .70987 .46414 L .71372 .45358 L p F P
0 g
s
.698 .319 .326 r
.33885 .22844 m .31939 .22197 L .31287 .23036 L p F P
0 g
s
.459 .149 .352 r
.18071 .2494 m .13802 .27821 L .14469 .28381 L p F P
0 g
s
.459 .149 .352 r
.14469 .28381 m .18623 .25629 L .18071 .2494 L p F P
0 g
s
.793 .86 .899 r
.51803 .64929 m .5356 .64111 L .53424 .6309 L p F P
0 g
s
.796 .861 .897 r
.55162 .6225 m .53424 .6309 L .5356 .64111 L p F P
0 g
s
.731 .838 .931 r
.58174 .61886 m .59334 .61304 L .58432 .60677 L p F P
0 g
s
.731 .838 .931 r
.58432 .60677 m .57288 .61236 L .58174 .61886 L p F P
0 g
s
.666 .568 .735 r
.62231 .55699 m .63212 .5496 L .64496 .56618 L p F P
0 g
s
.666 .568 .735 r
.64496 .56618 m .63502 .57364 L .62231 .55699 L p F P
0 g
s
.453 .215 .461 r
.63502 .57364 m .64496 .56618 L .64812 .57791 L p F P
0 g
s
.453 .215 .461 r
.64812 .57791 m .63805 .58541 L .63502 .57364 L p F P
0 g
s
.748 .636 .736 r
.64389 .43213 m .63402 .42468 L .64686 .40811 L p F P
0 g
s
.748 .636 .736 r
.64686 .40811 m .65608 .41509 L .64389 .43213 L p F P
0 g
s
.527 .636 .901 r
.65608 .41509 m .64686 .40811 L .65777 .40255 L p F P
0 g
s
.527 .636 .901 r
.65788 .40263 m .65608 .41509 L .65777 .40255 L F
.6579 .40249 m .667 .40916 L .65608 .41509 L p F P
0 g
s
.852 .512 .411 r
.65608 .41354 m .66572 .42036 L .66699 .4093 L p F P
0 g
s
.852 .512 .411 r
.66699 .4093 m .667 .40916 L p .66687 .40921 L F P
0 g
s
.852 .512 .411 r
.65608 .41354 m .66699 .4093 L .66687 .40921 L F
.527 .636 .901 r
.65777 .40255 m .6579 .40249 L p .65788 .40263 L F P
0 g
s
.903 .71 .632 r
.04239 .48878 m .04661 .53461 L .03403 .53656 L p F P
0 g
s
.903 .71 .632 r
.03403 .53656 m .02967 .48828 L .04239 .48878 L p F P
0 g
s
.426 .368 .689 r
.95763 .48435 m .95563 .44216 L .96836 .44126 L p F P
0 g
s
.426 .368 .689 r
.96836 .44126 m .97033 .48541 L .95763 .48435 L p F P
0 g
s
.635 .323 .426 r
.52817 .93126 m .57015 .92818 L .57156 .94081 L p F P
0 g
s
.635 .323 .426 r
.57156 .94081 m .52748 .94393 L .52817 .93126 L p F P
0 g
s
.69 .759 .905 r
.5237 .04151 m .48266 .04368 L .48176 .03101 L p F P
0 g
s
.69 .759 .905 r
.48176 .03101 m .52488 .02886 L .5237 .04151 L p F P
0 g
s
.342 .324 .694 r
.31726 .4506 m .32145 .48894 L .31209 .48579 L p F P
0 g
s
.342 .324 .694 r
.31209 .48579 m .30745 .45014 L .31726 .4506 L p F P
0 g
s
.709 .595 .727 r
.30745 .45014 m .31209 .48579 L .29127 .48327 L p F P
0 g
s
.709 .595 .727 r
.29127 .48327 m .28662 .45267 L .30745 .45014 L p F P
0 g
s
.74 .373 .357 r
.42862 .33217 m .40884 .32249 L .41745 .31611 L p F P
0 g
s
.74 .373 .357 r
.41745 .31611 m .43645 .32484 L .42862 .33217 L p F P
0 g
s
.675 .538 .691 r
.43645 .32484 m .41745 .31611 L .42915 .29872 L p F P
0 g
s
.675 .538 .691 r
.42915 .29872 m .44558 .30595 L .43645 .32484 L p F P
0 g
s
.83 .862 .869 r
.39031 .66288 m .41143 .64884 L .41344 .65897 L p F P
0 g
s
.83 .862 .869 r
.41344 .65897 m .39431 .67237 L .39031 .66288 L p F P
0 g
s
.731 .583 .69 r
.39431 .67237 m .41344 .65897 L .42256 .67785 L p F P
0 g
s
.731 .583 .69 r
.42256 .67785 m .40602 .68978 L .39431 .67237 L p F P
0 g
s
.449 .19 .428 r
.69213 .29155 m .67632 .30221 L .67397 .29209 L p F P
0 g
s
.449 .19 .428 r
.67397 .29209 m .68855 .28157 L .69213 .29155 L p F P
0 g
s
.672 .568 .729 r
.68855 .28157 m .67397 .29209 L .66455 .27336 L p F P
0 g
s
.672 .568 .729 r
.66455 .27336 m .67669 .26426 L .68855 .28157 L p F P
0 g
s
.947 .795 .659 r
.72945 .37553 m .73355 .35683 L .74108 .36452 L p F P
0 g
s
.947 .795 .659 r
.74108 .36452 m .73785 .38196 L .72945 .37553 L p F P
0 g
s
.715 .551 .666 r
.73785 .38196 m .74108 .36452 L .7608 .37165 L p F P
0 g
s
.715 .551 .666 r
.7608 .37165 m .75835 .38646 L .73785 .38196 L p F P
0 g
s
.909 .627 .496 r
.73938 .63167 m .73278 .61334 L .74278 .61421 L p F P
0 g
s
.909 .627 .496 r
.74278 .61421 m .74945 .631 L .73938 .63167 L p F P
0 g
s
.692 .535 .668 r
.74945 .631 m .74278 .61421 L .76326 .60972 L p F P
0 g
s
.692 .535 .668 r
.76326 .60972 m .76919 .62387 L .74945 .631 L p F P
0 g
s
.365 .276 .621 r
.5457 .49069 m .54531 .4737 L .55587 .46934 L p F P
0 g
s
.704 .542 .666 r
.54531 .4737 m .5457 .49069 L .52474 .48981 L p F P
0 g
s
.704 .542 .666 r
.52474 .48981 m .52436 .47458 L .54531 .4737 L p F P
0 g
s
.931 .717 .591 r
.52436 .47458 m .52474 .48981 L .51467 .4856 L p F P
0 g
s
.931 .717 .591 r
.51466 .48533 m .52436 .47458 L .51467 .4856 L F
.51448 .48553 m .51379 .47111 L .52436 .47458 L p F P
0 g
s
.363 .281 .629 r
.52529 .48209 m .52426 .46672 L .51402 .47101 L p F P
0 g
s
.363 .281 .629 r
.51402 .47101 m .51379 .47111 L p .51403 .47134 L F P
0 g
s
.363 .281 .629 r
.52529 .48209 m .51402 .47101 L .51403 .47134 L F
.931 .717 .591 r
.51467 .4856 m .51448 .48553 L p .51466 .48533 L F P
0 g
s
.539 .672 .924 r
.66063 .6628 m .67877 .67205 L .66883 .67766 L p F P
0 g
s
.539 .672 .924 r
.66883 .67766 m .65204 .66979 L .66063 .6628 L p F P
0 g
s
.74 .618 .723 r
.65204 .66979 m .66883 .67766 L .65697 .69495 L p F P
0 g
s
.74 .618 .723 r
.65697 .69495 m .64261 .68853 L .65204 .66979 L p F P
0 g
s
.804 .467 .419 r
.64261 .68853 m .65697 .69495 L .65495 .70679 L p F P
0 g
s
.835 .51 .437 r
.65495 .70679 m .65697 .69495 L p .66671 .71335 L F P
0 g
s
.804 .467 .419 r
.65495 .70679 m .64169 .70046 L .64261 .68853 L p F P
0 g
s
.53 .663 .921 r
.65495 .70679 m .66487 .70128 L p .64374 .70053 L F P
0 g
s
.53 .663 .921 r
.64169 .70046 m .65495 .70679 L p .64374 .70053 L F P
0 g
s
.835 .51 .437 r
.66786 .71554 m .65495 .70679 L p .66671 .71335 L F P
0 g
s
.793 .44 .389 r
.72865 .71383 m .73941 .71659 L .73535 .70445 L p F P
0 g
s
.793 .44 .389 r
.73535 .70445 m .7264 .70137 L .72865 .71383 L p F P
0 g
s
.497 .256 .479 r
.83627 .68679 m .86666 .6629 L .85797 .65415 L p F P
0 g
s
.795 .847 .89 r
.60712 .34298 m .61823 .33386 L .60912 .32748 L p F P
0 g
s
.922 .828 .736 r
.56449 .38076 m .55778 .39327 L .56589 .4012 L p F P
0 g
s
.388 .247 .565 r
.75358 .2885 m .75212 .29961 L .76428 .29581 L p F P
0 g
s
.475 .519 .823 r
.72663 .17387 m .70147 .14051 L .69243 .1489 L p F P
0 g
s
.916 .789 .705 r
.29306 .64855 m .29605 .62147 L .2844 .62304 L p F P
0 g
s
.846 .554 .493 r
.32585 .80544 m .35188 .83771 L .36046 .82906 L p F P
0 g
s
.39 .362 .707 r
.71361 .53743 m .71852 .55109 L .72816 .5442 L p F P
0 g
s
.466 .557 .864 r
.69365 .47754 m .68711 .46876 L .67514 .47236 L p F P
0 g
s
.489 .587 .879 r
.32493 .26799 m .33834 .27486 L .33926 .26293 L p F P
0 g
s
.809 .824 .863 r
.19799 .27374 m .1595 .2988 L .16749 .30804 L p F P
0 g
s
.572 .254 .391 r
.5006 .61115 m .48348 .61862 L .49059 .6276 L p F P
0 g
s
.482 .21 .424 r
.56326 .59365 m .57416 .58833 L .5731 .57631 L p F P
0 g
s
.586 .742 .951 r
.71331 .74125 m .72856 .74583 L .736 .73737 L p F P
0 g
s
.867 .893 .851 r
.89006 .68114 m .91807 .64816 L .91026 .64454 L p F P
0 g
s
.867 .893 .851 r
.91026 .64454 m .88279 .67646 L .89006 .68114 L p F P
0 g
s
.424 .183 .443 r
.5914 .30159 m .57693 .31388 L .58224 .32312 L p F P
0 g
s
.407 .191 .47 r
.57027 .33618 m .58224 .32312 L .57693 .31388 L p F P
0 g
s
.388 .201 .502 r
.52667 .38635 m .52058 .4028 L .53189 .40104 L p F P
0 g
s
.388 .201 .502 r
.53189 .40104 m .53808 .38581 L .52667 .38635 L p F P
0 g
s
.956 .771 .614 r
.79372 .30517 m .79552 .28867 L .78633 .28334 L p F P
0 g
s
.858 .509 .39 r
.72055 .11778 m .68646 .08671 L .6826 .09443 L p F P
0 g
s
.858 .509 .39 r
.6826 .09443 m .71559 .12489 L .72055 .11778 L p F P
0 g
s
.325 .256 .624 r
.25434 .6168 m .25113 .64834 L .26051 .65128 L p F P
0 g
s
.323 .281 .656 r
.26085 .68191 m .26051 .65128 L .25113 .64834 L p F P
0 g
s
.403 .525 .866 r
.33333 .86104 m .36805 .89076 L .3719 .88294 L p F P
0 g
s
.403 .525 .866 r
.3719 .88294 m .33825 .85378 L .33333 .86104 L p F P
0 g
s
.913 .629 .491 r
.75812 .53716 m .752 .52057 L .74193 .52139 L p F P
0 g
s
.901 .603 .473 r
.73477 .50618 m .74193 .52139 L .752 .52057 L p F P
0 g
s
.897 .587 .454 r
.7054 .44333 m .69646 .43385 L .69398 .44484 L p F P
0 g
s
.897 .587 .454 r
.69398 .44484 m .70231 .45418 L .7054 .44333 L p F P
0 g
s
.739 .365 .343 r
.35729 .23741 m .33885 .22844 L .33132 .23604 L p F P
0 g
s
.698 .319 .326 r
.31287 .23036 m .33132 .23604 L .33885 .22844 L p F P
0 g
s
.406 .133 .383 r
.13802 .27821 m .10202 .31345 L .10928 .31817 L p F P
0 g
s
.406 .133 .383 r
.10928 .31817 m .14469 .28381 L .13802 .27821 L p F P
0 g
s
.787 .858 .903 r
.50006 .65717 m .51803 .64929 L .51672 .63909 L p F P
0 g
s
.793 .86 .899 r
.53424 .6309 m .51672 .63909 L .51803 .64929 L p F P
0 g
s
.738 .843 .928 r
.59334 .61304 m .60496 .60678 L .59573 .60085 L p F P
0 g
s
.738 .843 .928 r
.59573 .60085 m .58432 .60677 L .59334 .61304 L p F P
0 g
s
.782 .86 .908 r
.64247 .54198 m .63212 .5496 L .62232 .54461 L p F P
0 g
s
.665 .568 .737 r
.63212 .5496 m .64247 .54198 L .65469 .55905 L p F P
0 g
s
.665 .568 .737 r
.65469 .55905 m .64496 .56618 L .63212 .5496 L p F P
0 g
s
.86 .53 .425 r
.62443 .41715 m .63402 .42468 L .6321 .43578 L p F P
0 g
s
.745 .633 .736 r
.63402 .42468 m .62443 .41715 L .63717 .40047 L p F P
0 g
s
.745 .633 .736 r
.63717 .40047 m .64686 .40811 L .63402 .42468 L p F P
0 g
s
.447 .212 .463 r
.64496 .56618 m .65469 .55905 L .65736 .57074 L p F P
0 g
s
.447 .212 .463 r
.65725 .57083 m .64496 .56618 L .65736 .57074 L F
.65739 .57088 m .64812 .57791 L .64496 .56618 L p F P
0 g
s
.788 .863 .905 r
.6478 .56561 m .63835 .57302 L .648 .57785 L p F P
0 g
s
.788 .863 .905 r
.648 .57785 m .64812 .57791 L p .64812 .57776 L F P
0 g
s
.788 .863 .905 r
.6478 .56561 m .648 .57785 L .64812 .57776 L F
.447 .212 .463 r
.65736 .57074 m .65739 .57088 L p .65725 .57083 L F P
0 g
s
.517 .62 .893 r
.64686 .40811 m .63717 .40047 L .64813 .39474 L p F P
0 g
s
.517 .62 .893 r
.64813 .39474 m .6579 .40249 L .64686 .40811 L p F P
0 g
s
.891 .66 .582 r
.04661 .53461 m .06023 .57832 L .04823 .58246 L p F P
0 g
s
.891 .66 .582 r
.04823 .58246 m .03403 .53656 L .04661 .53461 L p F P
0 g
s
.433 .405 .729 r
.95563 .44216 m .94665 .4011 L .95907 .39817 L p F P
0 g
s
.433 .405 .729 r
.95907 .39817 m .96836 .44126 L .95563 .44216 L p F P
0 g
s
.592 .296 .434 r
.57015 .92818 m .61067 .91771 L .6141 .92996 L p F P
0 g
s
.592 .296 .434 r
.6141 .92996 m .57156 .94081 L .57015 .92818 L p F P
0 g
s
.732 .788 .897 r
.48266 .04368 m .4429 .05307 L .43996 .04074 L p F P
0 g
s
.732 .788 .897 r
.43996 .04074 m .48176 .03101 L .48266 .04368 L p F P
0 g
s
.351 .356 .725 r
.30904 .41512 m .31726 .4506 L .30745 .45014 L p F P
0 g
s
.351 .356 .725 r
.30745 .45014 m .29926 .41599 L .30904 .41512 L p F P
0 g
s
.711 .595 .725 r
.29926 .41599 m .30745 .45014 L .28662 .45267 L p F P
0 g
s
.711 .595 .725 r
.28662 .45267 m .2788 .42071 L .29926 .41599 L p F P
0 g
s
.838 .862 .862 r
.37146 .67688 m .39031 .66288 L .39431 .67237 L p F P
0 g
s
.838 .862 .862 r
.39431 .67237 m .37602 .68614 L .37146 .67688 L p F P
0 g
s
.729 .582 .69 r
.37602 .68614 m .39431 .67237 L .40602 .68978 L p F P
0 g
s
.729 .582 .69 r
.40602 .68978 m .3885 .70302 L .37602 .68614 L p F P
0 g
s
.721 .351 .349 r
.44778 .33979 m .42862 .33217 L .43645 .32484 L p F P
0 g
s
.721 .351 .349 r
.43645 .32484 m .45495 .33193 L .44778 .33979 L p F P
0 g
s
.675 .541 .694 r
.45495 .33193 m .43645 .32484 L .44558 .30595 L p F P
0 g
s
.675 .541 .694 r
.44558 .30595 m .46277 .31243 L .45495 .33193 L p F P
0 g
s
.541 .673 .924 r
.64443 .65507 m .66063 .6628 L .65204 .66979 L p F P
0 g
s
.541 .673 .924 r
.65204 .66979 m .63604 .66224 L .64443 .65507 L p F P
0 g
s
.738 .615 .722 r
.63604 .66224 m .65204 .66979 L .64261 .68853 L p F P
0 g
s
.738 .615 .722 r
.64261 .68853 m .62692 .68116 L .63604 .66224 L p F P
0 g
s
.798 .461 .417 r
.62692 .68116 m .64261 .68853 L .64169 .70046 L p F P
0 g
s
.907 .623 .494 r
.74574 .64773 m .73938 .63167 L .74945 .631 L p F P
0 g
s
.907 .623 .494 r
.74945 .631 m .75579 .64673 L .74574 .64773 L p F P
0 g
s
.693 .537 .671 r
.75579 .64673 m .74945 .631 L .76919 .62387 L p F P
0 g
s
.693 .537 .671 r
.76919 .62387 m .77538 .63916 L .75579 .64673 L p F P
0 g
s
.399 .379 .72 r
.77538 .63916 m .76919 .62387 L .77903 .61734 L p F P
0 g
s
.947 .789 .652 r
.7265 .39249 m .72945 .37553 L .73785 .38196 L p F P
0 g
s
.947 .789 .652 r
.73785 .38196 m .73513 .39851 L .7265 .39249 L p F P
0 g
s
.713 .551 .668 r
.73513 .39851 m .73785 .38196 L .75835 .38646 L p F P
0 g
s
.713 .551 .668 r
.75835 .38646 m .75579 .40231 L .73513 .39851 L p F P
0 g
s
.365 .276 .621 r
.55587 .46934 m .5566 .48729 L .5457 .49069 L p F P
0 g
s
.37 .265 .603 r
.54514 .50668 m .5457 .49069 L .5566 .48729 L p F P
0 g
s
.708 .547 .668 r
.5457 .49069 m .54514 .50668 L .52414 .50614 L p F P
0 g
s
.708 .547 .668 r
.52414 .50614 m .52474 .48981 L .5457 .49069 L p F P
0 g
s
.934 .744 .623 r
.52474 .48981 m .52414 .50614 L .5138 .50208 L p F P
0 g
s
.934 .744 .623 r
.5138 .50208 m .51448 .48553 L .52474 .48981 L p F P
0 g
s
.45 .191 .429 r
.7056 .28211 m .69213 .29155 L .68855 .28157 L p F P
0 g
s
.45 .191 .429 r
.68855 .28157 m .70187 .27218 L .7056 .28211 L p F P
0 g
s
.675 .569 .728 r
.70187 .27218 m .68855 .28157 L .67669 .26426 L p F P
0 g
s
.675 .569 .728 r
.67669 .26426 m .68985 .25496 L .70187 .27218 L p F P
0 g
s
.78 .836 .895 r
.68985 .25496 m .67669 .26426 L .6683 .25678 L p F P
0 g
s
.468 .261 .514 r
.86666 .6629 m .89252 .63316 L .88274 .62548 L p F P
0 g
s
.93 .812 .707 r
.55778 .39327 m .55233 .4062 L .56127 .41307 L p F P
0 g
s
.507 .569 .853 r
.70147 .14051 m .67057 .11175 L .66252 .12119 L p F P
0 g
s
.814 .504 .466 r
.35188 .83771 m .38351 .86533 L .39116 .85572 L p F P
0 g
s
.481 .58 .877 r
.68711 .46876 m .67975 .46039 L .66812 .46481 L p F P
0 g
s
.843 .826 .831 r
.1595 .2988 m .12568 .33142 L .13467 .33983 L p F P
0 g
s
.475 .208 .428 r
.57416 .58833 m .58484 .5828 L .58329 .57083 L p F P
0 g
s
.895 .89 .818 r
.91807 .64816 m .94184 .6112 L .93351 .60924 L p F P
0 g
s
.895 .89 .818 r
.93351 .60924 m .91026 .64454 L .91807 .64816 L p F P
0 g
s
.375 .216 .534 r
.52058 .4028 m .51643 .41973 L .5275 .41697 L p F P
0 g
s
.375 .216 .534 r
.5275 .41697 m .53189 .40104 L .52058 .4028 L p F P
0 g
s
.827 .46 .359 r
.68646 .08671 m .65018 .06146 L .64795 .06977 L p F P
0 g
s
.827 .46 .359 r
.64795 .06977 m .6826 .09443 L .68646 .08671 L p F P
0 g
s
.43 .568 .891 r
.36805 .89076 m .40416 .91461 L .40639 .90625 L p F P
0 g
s
.43 .568 .891 r
.40639 .90625 m .3719 .88294 L .36805 .89076 L p F P
0 g
s
.883 .563 .437 r
.69646 .43385 m .68682 .42487 L .68496 .436 L p F P
0 g
s
.883 .563 .437 r
.68496 .436 m .69398 .44484 L .69646 .43385 L p F P
0 g
s
.377 .129 .406 r
.10202 .31345 m .07126 .35152 L .07926 .35462 L p F P
0 g
s
.377 .129 .406 r
.07926 .35462 m .10928 .31817 L .10202 .31345 L p F P
0 g
s
.749 .849 .925 r
.60496 .60678 m .6164 .60002 L .60693 .59449 L p F P
0 g
s
.749 .849 .925 r
.60693 .59449 m .59573 .60085 L .60496 .60678 L p F P
0 g
s
.807 .465 .409 r
.7264 .70137 m .71492 .69595 L .71509 .70817 L p F P
0 g
s
.77 .835 .902 r
.61823 .33386 m .63098 .32551 L .62274 .31798 L p F P
0 g
s
.399 .241 .549 r
.75212 .29961 m .74893 .31297 L .76122 .31093 L p F P
0 g
s
.912 .801 .724 r
.29605 .62147 m .30226 .59001 L .29064 .59025 L p F P
0 g
s
.389 .344 .687 r
.71852 .55109 m .72243 .56542 L .73266 .55938 L p F P
0 g
s
.483 .575 .872 r
.33834 .27486 m .35548 .28529 L .35785 .27386 L p F P
0 g
s
.582 .26 .388 r
.48348 .61862 m .46624 .62535 L .47293 .63466 L p F P
0 g
s
.546 .692 .935 r
.69717 .73403 m .71331 .74125 L .72207 .73386 L p F P
0 g
s
.586 .742 .951 r
.736 .73737 m .72207 .73386 L .71331 .74125 L p F P
0 g
s
.446 .181 .417 r
.6078 .29047 m .5914 .30159 L .59564 .31127 L p F P
0 g
s
.424 .183 .443 r
.58224 .32312 m .59564 .31127 L .5914 .30159 L p F P
0 g
s
.951 .802 .66 r
.78975 .3229 m .79372 .30517 L .78518 .29861 L p F P
0 g
s
.956 .771 .614 r
.78633 .28334 m .78518 .29861 L .79372 .30517 L p F P
0 g
s
.332 .237 .596 r
.26106 .58177 m .25434 .6168 L .26345 .6207 L p F P
0 g
s
.325 .256 .624 r
.26051 .65128 m .26345 .6207 L .25434 .6168 L p F P
0 g
s
.924 .656 .513 r
.76304 .55465 m .75812 .53716 L .74804 .53721 L p F P
0 g
s
.913 .629 .491 r
.74193 .52139 m .74804 .53721 L .75812 .53716 L p F P
0 g
s
.77 .405 .365 r
.37734 .24941 m .35729 .23741 L .34878 .24412 L p F P
0 g
s
.739 .365 .343 r
.33132 .23604 m .34878 .24412 L .35729 .23741 L p F P
0 g
s
.778 .855 .908 r
.48135 .66455 m .50006 .65717 L .49892 .64697 L p F P
0 g
s
.787 .858 .903 r
.51672 .63909 m .49892 .64697 L .50006 .65717 L p F P
0 g
s
.86 .53 .425 r
.6321 .43578 m .62255 .42825 L .62443 .41715 L p F P
0 g
s
.858 .526 .423 r
.6149 .40991 m .62443 .41715 L .62255 .42825 L p F P
0 g
s
.744 .632 .735 r
.62443 .41715 m .6149 .40991 L .62714 .39284 L p F P
0 g
s
.744 .632 .735 r
.62714 .39284 m .63717 .40047 L .62443 .41715 L p F P
0 g
s
.518 .621 .893 r
.63717 .40047 m .62714 .39284 L .63791 .38676 L p F P
0 g
s
.518 .621 .893 r
.63791 .38676 m .64813 .39474 L .63717 .40047 L p F P
0 g
s
.782 .86 .908 r
.62232 .54461 m .63286 .5366 L .64247 .54198 L p F P
0 g
s
.775 .856 .91 r
.65229 .535 m .64247 .54198 L .63286 .5366 L p F P
0 g
s
.665 .567 .734 r
.64247 .54198 m .65229 .535 L .66478 .55188 L p F P
0 g
s
.665 .567 .734 r
.66478 .55188 m .65469 .55905 L .64247 .54198 L p F P
0 g
s
.459 .214 .455 r
.65469 .55905 m .66478 .55188 L .66771 .56367 L p F P
0 g
s
.459 .214 .455 r
.66771 .56367 m .65739 .57088 L .65469 .55905 L p F P
0 g
s
.818 .618 .632 r
.55162 .6225 m .55775 .61928 L .54854 .60042 L p F P
0 g
s
.818 .618 .632 r
.54854 .60042 m .5424 .60361 L .55162 .6225 L p F P
0 g
s
.617 .537 .742 r
.56326 .59365 m .54854 .60042 L .55775 .61928 L p F P
0 g
s
.617 .537 .742 r
.55775 .61928 m .57288 .61236 L .56326 .59365 L p F P
0 g
s
.601 .599 .822 r
.55961 .3502 m .5562 .35494 L .57409 .36594 L p F P
0 g
s
.601 .599 .822 r
.57409 .36594 m .57713 .36182 L .55961 .3502 L p F P
0 g
s
.745 .552 .633 r
.56449 .38076 m .57409 .36594 L .5562 .35494 L p F P
0 g
s
.745 .552 .633 r
.5562 .35494 m .54565 .37139 L .56449 .38076 L p F P
0 g
s
.872 .61 .539 r
.06023 .57832 m .08219 .61918 L .07116 .62532 L p F P
0 g
s
.872 .61 .539 r
.07116 .62532 m .04823 .58246 L .06023 .57832 L p F P
0 g
s
.552 .276 .45 r
.61067 .91771 m .64887 .90027 L .65428 .91175 L p F P
0 g
s
.552 .276 .45 r
.65428 .91175 m .6141 .92996 L .61067 .91771 L p F P
0 g
s
.446 .449 .768 r
.94665 .4011 m .93071 .36251 L .94244 .35757 L p F P
0 g
s
.446 .449 .768 r
.94244 .35757 m .95907 .39817 L .94665 .4011 L p F P
0 g
s
.772 .809 .882 r
.4429 .05307 m .40525 .06932 L .40035 .05769 L p F P
0 g
s
.772 .809 .882 r
.40035 .05769 m .43996 .04074 L .4429 .05307 L p F P
0 g
s
.351 .357 .725 r
.30106 .38159 m .30904 .41512 L .29926 .41599 L p F P
0 g
s
.351 .357 .725 r
.29926 .41599 m .29131 .38266 L .30106 .38159 L p F P
0 g
s
.711 .595 .724 r
.29131 .38266 m .29926 .41599 L .2788 .42071 L p F P
0 g
s
.711 .595 .724 r
.2788 .42071 m .27084 .38744 L .29131 .38266 L p F P
0 g
s
.915 .711 .612 r
.27084 .38744 m .2788 .42071 L .26792 .42461 L p F P
0 g
s
.831 .862 .869 r
.35367 .68928 m .37146 .67688 L .37602 .68614 L p F P
0 g
s
.831 .862 .869 r
.37602 .68614 m .35797 .69862 L .3537 .68933 L p F P
0 g
s
.831 .862 .869 r
.37602 .68614 m .3537 .68933 L .3538 .68926 L F
.729 .583 .691 r
.35797 .69862 m .37602 .68614 L .3885 .70302 L p F P
0 g
s
.517 .226 .412 r
.36141 .69729 m .37946 .68458 L .3715 .67692 L p F P
0 g
s
.517 .226 .412 r
.3715 .67692 m .37146 .67688 L p .37141 .67699 L F P
0 g
s
.517 .226 .412 r
.37141 .67699 m .36141 .69729 L .3715 .67692 L F
.831 .862 .869 r
.3537 .68933 m .35367 .68928 L p .3538 .68926 L F P
0 g
s
.729 .583 .691 r
.3885 .70302 m .36994 .7159 L .35797 .69862 L p F P
0 g
s
.519 .232 .418 r
.36994 .7159 m .3885 .70302 L .39655 .71081 L p F P
0 g
s
.718 .349 .349 r
.46607 .34672 m .44778 .33979 L .45495 .33193 L p F P
0 g
s
.718 .349 .349 r
.45495 .33193 m .47304 .33872 L .46607 .34672 L p F P
0 g
s
.676 .543 .695 r
.47304 .33872 m .45495 .33193 L .46277 .31243 L p F P
0 g
s
.676 .543 .695 r
.46277 .31243 m .48059 .3191 L .47304 .33872 L p F P
0 g
s
.526 .653 .916 r
.63022 .64728 m .64443 .65507 L .63604 .66224 L p F P
0 g
s
.526 .653 .916 r
.63604 .66224 m .62142 .65403 L .63011 .64737 L p F P
0 g
s
.526 .653 .916 r
.63604 .66224 m .63011 .64737 L .63029 .64747 L F
.737 .615 .723 r
.62142 .65403 m .63604 .66224 L .62692 .68116 L p F P
0 g
s
.814 .477 .419 r
.62886 .65905 m .64369 .66693 L .64442 .65521 L p F P
0 g
s
.814 .477 .419 r
.64442 .65521 m .64443 .65507 L p .64426 .65512 L F P
0 g
s
.814 .477 .419 r
.64426 .65512 m .62886 .65905 L .64442 .65521 L F
.526 .653 .916 r
.63011 .64737 m .63022 .64728 L p .63029 .64747 L F P
0 g
s
.737 .615 .723 r
.62692 .68116 m .61128 .67245 L .62142 .65403 L p F P
0 g
s
.809 .475 .424 r
.61128 .67245 m .62692 .68116 L .62611 .69308 L p F P
0 g
s
.798 .461 .417 r
.64169 .70046 m .62611 .69308 L .62692 .68116 L p F P
0 g
s
.946 .796 .664 r
.72338 .40799 m .7265 .39249 L .73513 .39851 L p F P
0 g
s
.946 .796 .664 r
.73513 .39851 m .73186 .41424 L .72344 .40804 L p F P
0 g
s
.946 .796 .664 r
.73513 .39851 m .72344 .40804 L .72346 .40793 L F
.714 .553 .67 r
.73186 .41424 m .73513 .39851 L .75579 .40231 L p F P
0 g
s
.398 .253 .565 r
.73556 .40611 m .73864 .39024 L .72658 .39247 L p F P
0 g
s
.398 .253 .565 r
.72658 .39247 m .7265 .39249 L p .72656 .39258 L F P
0 g
s
.398 .253 .565 r
.72656 .39258 m .73556 .40611 L .72658 .39247 L F
.946 .796 .664 r
.72344 .40804 m .72338 .40799 L p .72346 .40793 L F P
0 g
s
.714 .553 .67 r
.75579 .40231 m .75242 .41862 L .73186 .41424 L p F P
0 g
s
.404 .261 .571 r
.75242 .41862 m .75579 .40231 L .76801 .40011 L p F P
0 g
s
.915 .643 .51 r
.75073 .6624 m .74574 .64773 L .75579 .64673 L p F P
0 g
s
.915 .643 .51 r
.75579 .64673 m .76078 .66195 L .75086 .66239 L p F P
0 g
s
.915 .643 .51 r
.75579 .64673 m .75086 .66239 L .75079 .6622 L F
.695 .539 .672 r
.76078 .66195 m .75579 .64673 L .77538 .63916 L p F P
0 g
s
.391 .36 .704 r
.76073 .6562 m .75538 .6411 L .74585 .64766 L p F P
0 g
s
.391 .36 .704 r
.74585 .64766 m .74574 .64773 L p .74591 .64782 L F P
0 g
s
.391 .36 .704 r
.74591 .64782 m .76073 .6562 L .74585 .64766 L F
.915 .643 .51 r
.75086 .66239 m .75073 .6624 L p .75079 .6622 L F P
0 g
s
.695 .539 .672 r
.77538 .63916 m .78075 .65536 L .76078 .66195 L p F P
0 g
s
.399 .37 .71 r
.78075 .65536 m .77538 .63916 L .7851 .63252 L p F P
0 g
s
.399 .379 .72 r
.77903 .61734 m .7851 .63252 L .77538 .63916 L p F P
0 g
s
.37 .265 .603 r
.55599 .50317 m .54514 .50668 L p .55641 .48762 L F P
0 g
s
.37 .271 .61 r
.54503 .52215 m .54514 .50668 L .55599 .50317 L p F P
0 g
s
.37 .271 .61 r
.5556 .5179 m .54503 .52215 L p .55544 .50411 L F P
0 g
s
.37 .271 .61 r
.55599 .50317 m .5556 .5179 L p .55544 .50411 L F P
0 g
s
.707 .548 .67 r
.54514 .50668 m .54503 .52215 L .52403 .5231 L p F P
0 g
s
.368 .285 .63 r
.54607 .53706 m .54503 .52215 L .5556 .5179 L p F P
0 g
s
.368 .285 .63 r
.55619 .5319 m .54607 .53706 L p .55504 .51903 L F P
0 g
s
.368 .285 .63 r
.5556 .5179 m .55619 .5319 L p .55504 .51903 L F P
0 g
s
.705 .545 .67 r
.54503 .52215 m .54607 .53706 L .52523 .53997 L p F P
0 g
s
.367 .306 .657 r
.54854 .55173 m .54607 .53706 L .55619 .5319 L p F P
0 g
s
.367 .306 .657 r
.55801 .54546 m .54854 .55173 L p .55567 .53325 L F P
0 g
s
.367 .306 .657 r
.55619 .5319 m .55801 .54546 L p .55567 .53325 L F P
0 g
s
.701 .543 .67 r
.54607 .53706 m .54854 .55173 L .52812 .55689 L p F P
0 g
s
.368 .331 .686 r
.55241 .56532 m .54854 .55173 L .55801 .54546 L p F P
0 g
s
.368 .331 .686 r
.56109 .55809 m .55241 .56532 L p .55765 .54674 L F P
0 g
s
.368 .331 .686 r
.55801 .54546 m .56109 .55809 L p .55765 .54674 L F P
0 g
s
.697 .539 .67 r
.54854 .55173 m .55241 .56532 L .5327 .57278 L p F P
0 g
s
.372 .361 .717 r
.55782 .57858 m .55241 .56532 L .56109 .55809 L p F P
0 g
s
.372 .361 .717 r
.56575 .57061 m .55782 .57858 L p .5609 .55927 L F P
0 g
s
.372 .361 .717 r
.56109 .55809 m .56575 .57061 L p .5609 .55927 L F P
0 g
s
.693 .537 .671 r
.55241 .56532 m .55782 .57858 L .53893 .58796 L p F P
0 g
s
.365 .367 .729 r
.56243 .58793 m .55782 .57858 L .56575 .57061 L p F P
0 g
s
.365 .367 .729 r
.56575 .57061 m .57176 .58284 L .56243 .58793 L p F P
0 g
s
.885 .588 .478 r
.56575 .57061 m .55469 .57205 L p .57069 .58217 L F P
0 g
s
.885 .588 .478 r
.57176 .58284 m .56575 .57061 L p .57069 .58217 L F P
0 g
s
.901 .62 .502 r
.56109 .55809 m .54996 .55832 L p .56463 .56973 L F P
0 g
s
.901 .62 .502 r
.56575 .57061 m .56109 .55809 L p .56463 .56973 L F P
0 g
s
.916 .656 .531 r
.55801 .54546 m .54696 .54433 L p .56028 .55729 L F P
0 g
s
.916 .656 .531 r
.56109 .55809 m .55801 .54546 L p .56028 .55729 L F P
0 g
s
.927 .691 .562 r
.55619 .5319 m .54538 .52964 L p .55733 .54461 L F P
0 g
s
.927 .691 .562 r
.55801 .54546 m .55619 .5319 L p .55733 .54461 L F P
0 g
s
.933 .719 .589 r
.5556 .5179 m .54508 .51456 L p .55576 .53123 L F P
0 g
s
.933 .719 .589 r
.55619 .5319 m .5556 .5179 L p .55576 .53123 L F P
0 g
s
.936 .739 .612 r
.55599 .50317 m .54575 .49908 L p .55558 .51786 L F P
0 g
s
.936 .739 .612 r
.5556 .5179 m .55599 .50317 L p .55558 .51786 L F P
0 g
s
.37 .265 .603 r
.5566 .48729 m .55599 .50317 L p .55641 .48762 L F P
0 g
s
.707 .548 .67 r
.52403 .5231 m .52414 .50614 L .54514 .50668 L p F P
0 g
s
.933 .741 .62 r
.52414 .50614 m .52403 .5231 L .51341 .5198 L p F P
0 g
s
.933 .741 .62 r
.51341 .5198 m .5138 .50208 L .52414 .50614 L p F P
0 g
s
.468 .192 .412 r
.71795 .27475 m .7056 .28211 L .70187 .27218 L p F P
0 g
s
.468 .192 .412 r
.70187 .27218 m .71503 .26463 L .71789 .27456 L p F P
0 g
s
.468 .192 .412 r
.70187 .27218 m .71789 .27456 L .71765 .2747 L F
.674 .566 .725 r
.71503 .26463 m .70187 .27218 L .68985 .25496 L p F P
0 g
s
.757 .829 .908 r
.71004 .26674 m .69725 .27474 L .70547 .28199 L p F P
0 g
s
.757 .829 .908 r
.70547 .28199 m .7056 .28211 L p .70567 .28187 L F P
0 g
s
.757 .829 .908 r
.70567 .28187 m .71004 .26674 L .70547 .28199 L F
.468 .192 .412 r
.71789 .27456 m .71795 .27475 L p .71765 .2747 L F P
0 g
s
.674 .566 .725 r
.68985 .25496 m .70427 .24656 L .71503 .26463 L p F P
0 g
s
.765 .827 .901 r
.70427 .24656 m .68985 .25496 L .68147 .24749 L p F P
0 g
s
.78 .836 .895 r
.6683 .25678 m .68147 .24749 L .68985 .25496 L p F P
0 g
s
.65 .462 .616 r
.72671 .49149 m .72291 .48519 L .70513 .49639 L p F P
0 g
s
.65 .462 .616 r
.70513 .49639 m .70864 .50223 L .72671 .49149 L p F P
0 g
s
.735 .638 .752 r
.69965 .48677 m .70513 .49639 L .72291 .48519 L p F P
0 g
s
.735 .638 .752 r
.72291 .48519 m .71672 .47449 L .69965 .48677 L p F P
0 g
s
.829 .495 .423 r
.71492 .69595 m .7036 .68917 L .70257 .70121 L p F P
0 g
s
.452 .269 .541 r
.89252 .63316 m .914 .60122 L .90299 .59523 L p F P
0 g
s
.752 .825 .909 r
.63098 .32551 m .64494 .31782 L .63735 .30954 L p F P
0 g
s
.936 .79 .674 r
.55233 .4062 m .5484 .4199 L .55803 .42555 L p F P
0 g
s
.406 .232 .531 r
.74893 .31297 m .74452 .32665 L .75686 .32558 L p F P
0 g
s
.533 .604 .871 r
.67057 .11175 m .63921 .08897 L .63278 .0997 L p F P
0 g
s
.91 .805 .731 r
.30226 .59001 m .30971 .5575 L .29812 .55724 L p F P
0 g
s
.789 .471 .451 r
.38351 .86533 m .41471 .88686 L .42073 .87601 L p F P
0 g
s
.389 .335 .677 r
.72243 .56542 m .72582 .58058 L .73637 .57508 L p F P
0 g
s
.495 .6 .887 r
.67975 .46039 m .67167 .45238 L .66035 .45749 L p F P
0 g
s
.47 .557 .862 r
.35548 .28529 m .37244 .29699 L .37551 .28581 L p F P
0 g
s
.86 .822 .81 r
.12568 .33142 m .09786 .36458 L .10829 .37136 L p F P
0 g
s
.581 .26 .389 r
.46624 .62535 m .44824 .6324 L .45485 .64174 L p F P
0 g
s
.466 .206 .435 r
.58484 .5828 m .59527 .5769 L .5932 .565 L p F P
0 g
s
.518 .656 .921 r
.6821 .7253 m .69717 .73403 L .70618 .72729 L p F P
0 g
s
.546 .692 .935 r
.72207 .73386 m .70618 .72729 L .69717 .73403 L p F P
0 g
s
.926 .874 .765 r
.94184 .6112 m .95854 .57082 L .95 .5705 L p F P
0 g
s
.926 .874 .765 r
.95 .5705 m .93351 .60924 L .94184 .6112 L p F P
0 g
s
.465 .183 .399 r
.62464 .28099 m .6078 .29047 L .6111 .30038 L p F P
0 g
s
.446 .181 .417 r
.59564 .31127 m .6111 .30038 L .6078 .29047 L p F P
0 g
s
.366 .235 .567 r
.51643 .41973 m .51407 .4373 L .52486 .43362 L p F P
0 g
s
.366 .235 .567 r
.52486 .43362 m .5275 .41697 L .51643 .41973 L p F P
0 g
s
.945 .819 .689 r
.78445 .33983 m .78975 .3229 L .78173 .31591 L p F P
0 g
s
.951 .802 .66 r
.78518 .29861 m .78173 .31591 L .78975 .3229 L p F P
0 g
s
.777 .39 .324 r
.65018 .06146 m .61023 .04321 L .60965 .05179 L p F P
0 g
s
.777 .39 .324 r
.60965 .05179 m .64795 .06977 L .65018 .06146 L p F P
0 g
s
.335 .231 .585 r
.26876 .54794 m .26106 .58177 L .26994 .58611 L p F P
0 g
s
.332 .237 .596 r
.26345 .6207 m .26994 .58611 L .26106 .58177 L p F P
0 g
s
.476 .633 .923 r
.40416 .91461 m .44367 .93164 L .44424 .92304 L p F P
0 g
s
.476 .633 .923 r
.44424 .92304 m .40639 .90625 L .40416 .91461 L p F P
0 g
s
.93 .675 .529 r
.76694 .57182 m .76304 .55465 L .75305 .55397 L p F P
0 g
s
.924 .656 .513 r
.74804 .53721 m .75305 .55397 L .76304 .55465 L p F P
0 g
s
.87 .54 .424 r
.68682 .42487 m .67688 .41664 L .67546 .42783 L p F P
0 g
s
.87 .54 .424 r
.67546 .42783 m .68496 .436 L .68682 .42487 L p F P
0 g
s
.787 .428 .377 r
.39639 .26243 m .37734 .24941 L .36883 .25584 L p F P
0 g
s
.77 .405 .365 r
.34878 .24412 m .36883 .25584 L .37734 .24941 L p F P
0 g
s
.335 .134 .452 r
.07126 .35152 m .04828 .3944 L .05671 .39571 L p F P
0 g
s
.335 .134 .452 r
.05671 .39571 m .07926 .35462 L .07126 .35152 L p F P
0 g
s
.776 .854 .909 r
.46334 .67164 m .48135 .66455 L .48052 .65434 L p F P
0 g
s
.778 .855 .908 r
.49892 .64697 m .48052 .65434 L .48135 .66455 L p F P
0 g
s
.762 .855 .919 r
.6164 .60002 m .62741 .59288 L .61776 .58769 L p F P
0 g
s
.762 .855 .919 r
.61776 .58769 m .60693 .59449 L .6164 .60002 L p F P
0 g
s
.858 .526 .423 r
.61332 .42106 m .6149 .40991 L p .62241 .42793 L F P
0 g
s
.851 .515 .417 r
.6052 .40303 m .6149 .40991 L .61332 .42106 L p F P
0 g
s
.851 .515 .417 r
.60401 .41423 m .6052 .40303 L p .61315 .42068 L F P
0 g
s
.851 .515 .417 r
.61332 .42106 m .60401 .41423 L p .61315 .42068 L F P
0 g
s
.745 .631 .734 r
.6149 .40991 m .6052 .40303 L .61681 .38551 L p F P
0 g
s
.842 .501 .409 r
.59531 .39659 m .6052 .40303 L .60401 .41423 L p F P
0 g
s
.842 .501 .409 r
.59455 .40781 m .59531 .39659 L p .60382 .41385 L F P
0 g
s
.842 .501 .409 r
.60401 .41423 m .59455 .40781 L p .60382 .41385 L F P
0 g
s
.746 .631 .732 r
.6052 .40303 m .59531 .39659 L .60617 .37857 L p F P
0 g
s
.832 .486 .401 r
.58503 .39048 m .59531 .39659 L .59455 .40781 L p F P
0 g
s
.832 .486 .401 r
.58467 .40172 m .58503 .39048 L p .59436 .40747 L F P
0 g
s
.832 .486 .401 r
.59455 .40781 m .58467 .40172 L p .59436 .40747 L F P
0 g
s
.747 .63 .73 r
.59531 .39659 m .58503 .39048 L .59519 .37203 L p F P
0 g
s
.823 .473 .393 r
.57443 .38467 m .58503 .39048 L .58467 .40172 L p F P
0 g
s
.823 .473 .393 r
.57435 .39591 m .57443 .38467 L p .58452 .40147 L F P
0 g
s
.823 .473 .393 r
.58467 .40172 m .57435 .39591 L p .58452 .40147 L F P
0 g
s
.748 .63 .729 r
.58503 .39048 m .57443 .38467 L .58408 .36592 L p F P
0 g
s
.817 .464 .388 r
.56358 .37907 m .57443 .38467 L .57435 .39591 L p F P
0 g
s
.725 .56 .667 r
.55778 .39327 m .56449 .38076 L .54565 .37139 L p F P
0 g
s
.817 .464 .388 r
.5637 .3903 m .56358 .37907 L p .57426 .39576 L F P
0 g
s
.817 .464 .388 r
.57435 .39591 m .5637 .3903 L p .57426 .39576 L F P
0 g
s
.725 .56 .667 r
.54565 .37139 m .53808 .38581 L .55778 .39327 L p F P
0 g
s
.749 .63 .728 r
.57443 .38467 m .56358 .37907 L .57284 .36011 L p F P
0 g
s
.868 .509 .369 r
.55985 .37714 m .56358 .37907 L .5637 .3903 L p F P
0 g
s
.868 .509 .369 r
.5637 .3903 m .5525 .38472 L .55985 .37714 L p F P
0 g
s
.565 .682 .918 r
.5637 .3903 m .57315 .38251 L p .55283 .38469 L F P
0 g
s
.565 .682 .918 r
.5525 .38472 m .5637 .3903 L p .55283 .38469 L F P
0 g
s
.56 .677 .917 r
.57435 .39591 m .584 .38834 L p .56405 .39027 L F P
0 g
s
.56 .677 .917 r
.5637 .3903 m .57435 .39591 L p .56405 .39027 L F P
0 g
s
.553 .67 .915 r
.58467 .40172 m .59457 .39445 L p .57482 .39587 L F P
0 g
s
.553 .67 .915 r
.57435 .39591 m .58467 .40172 L p .57482 .39587 L F P
0 g
s
.543 .659 .911 r
.59455 .40781 m .60474 .40095 L p .58516 .4017 L F P
0 g
s
.543 .659 .911 r
.58467 .40172 m .59455 .40781 L p .58516 .4017 L F P
0 g
s
.532 .646 .907 r
.60401 .41423 m .61452 .40784 L p .59492 .40781 L F P
0 g
s
.532 .646 .907 r
.59455 .40781 m .60401 .41423 L p .59492 .40781 L F P
0 g
s
.523 .634 .902 r
.61332 .42106 m .62408 .41508 L p .60431 .41424 L F P
0 g
s
.523 .634 .902 r
.60401 .41423 m .61332 .42106 L p .60431 .41424 L F P
0 g
s
.858 .526 .423 r
.62255 .42825 m .61332 .42106 L p .62241 .42793 L F P
0 g
s
.745 .631 .734 r
.61681 .38551 m .62714 .39284 L .6149 .40991 L p F P
0 g
s
.525 .63 .897 r
.62714 .39284 m .61681 .38551 L .62734 .37902 L p F P
0 g
s
.525 .63 .897 r
.62734 .37902 m .63791 .38676 L .62714 .39284 L p F P
0 g
s
.775 .856 .91 r
.64262 .52974 m .65229 .535 L p .63311 .53658 L F P
0 g
s
.781 .857 .907 r
.6617 .52791 m .65229 .535 L .64262 .52974 L p F P
0 g
s
.781 .857 .907 r
.6518 .52312 m .6617 .52791 L p .64311 .5297 L F P
0 g
s
.781 .857 .907 r
.64262 .52974 m .6518 .52312 L p .64311 .5297 L F P
0 g
s
.666 .568 .734 r
.65229 .535 m .6617 .52791 L .67495 .54424 L p F P
0 g
s
.794 .862 .9 r
.67054 .52052 m .6617 .52791 L .6518 .52312 L p F P
0 g
s
.794 .862 .9 r
.66039 .51633 m .67054 .52052 L p .65237 .52304 L F P
0 g
s
.794 .862 .9 r
.6518 .52312 m .66039 .51633 L p .65237 .52304 L F P
0 g
s
.668 .57 .736 r
.6617 .52791 m .67054 .52052 L .68475 .53604 L p F P
0 g
s
.809 .867 .89 r
.67894 .51258 m .67054 .52052 L .66039 .51633 L p F P
0 g
s
.809 .867 .89 r
.66849 .50914 m .67894 .51258 L p .66104 .5162 L F P
0 g
s
.809 .867 .89 r
.66039 .51633 m .66849 .50914 L p .66104 .5162 L F P
0 g
s
.67 .574 .738 r
.67054 .52052 m .67894 .51258 L .69414 .52716 L p F P
0 g
s
.825 .871 .879 r
.68647 .5044 m .67894 .51258 L .66849 .50914 L p F P
0 g
s
.825 .871 .879 r
.67581 .50177 m .68647 .5044 L p .6691 .50898 L F P
0 g
s
.825 .871 .879 r
.66849 .50914 m .67581 .50177 L p .6691 .50898 L F P
0 g
s
.672 .577 .741 r
.67894 .51258 m .68647 .5044 L .70272 .51783 L p F P
0 g
s
.843 .875 .865 r
.69346 .49565 m .68647 .5044 L .67581 .50177 L p F P
0 g
s
.843 .875 .865 r
.68267 .49375 m .69346 .49565 L p .67636 .50158 L F P
0 g
s
.843 .875 .865 r
.67581 .50177 m .68267 .49375 L p .67636 .50158 L F P
0 g
s
.674 .581 .743 r
.68647 .5044 m .69346 .49565 L .71059 .50797 L p F P
0 g
s
.839 .888 .876 r
.69711 .49082 m .69346 .49565 L .68267 .49375 L p F P
0 g
s
.839 .888 .876 r
.68267 .49375 m .68905 .48519 L .69711 .49082 L p F P
0 g
s
.396 .225 .528 r
.68267 .49375 m .68906 .50426 L p .68905 .48583 L F P
0 g
s
.396 .225 .528 r
.68905 .48519 m .68267 .49375 L p .68905 .48583 L F P
0 g
s
.404 .218 .511 r
.67581 .50177 m .68145 .51266 L p .68262 .49445 L F P
0 g
s
.404 .218 .511 r
.68267 .49375 m .67581 .50177 L p .68262 .49445 L F P
0 g
s
.414 .211 .493 r
.66849 .50914 m .67328 .52038 L p .67575 .50226 L F P
0 g
s
.414 .211 .493 r
.67581 .50177 m .66849 .50914 L p .67575 .50226 L F P
0 g
s
.426 .208 .477 r
.66039 .51633 m .66449 .52777 L p .66838 .50966 L F P
0 g
s
.426 .208 .477 r
.66849 .50914 m .66039 .51633 L p .66838 .50966 L F P
0 g
s
.436 .205 .464 r
.6518 .52312 m .65518 .53475 L p .66029 .51668 L F P
0 g
s
.436 .205 .464 r
.66039 .51633 m .6518 .52312 L p .66029 .51668 L F P
0 g
s
.446 .205 .454 r
.64262 .52974 m .64547 .54148 L p .65179 .52316 L F P
0 g
s
.446 .205 .454 r
.6518 .52312 m .64262 .52974 L p .65179 .52316 L F P
0 g
s
.775 .856 .91 r
.63286 .5366 m .64262 .52974 L p .63311 .53658 L F P
0 g
s
.666 .568 .734 r
.67495 .54424 m .66478 .55188 L .65229 .535 L p F P
0 g
s
.458 .215 .458 r
.66478 .55188 m .67495 .54424 L .67841 .55591 L p F P
0 g
s
.458 .215 .458 r
.67841 .55591 m .66771 .56367 L .66478 .55188 L p F P
0 g
s
.847 .559 .501 r
.08219 .61918 m .11094 .655 L .10077 .66236 L p F P
0 g
s
.847 .559 .501 r
.10077 .66236 m .07116 .62532 L .08219 .61918 L p F P
0 g
s
.515 .263 .471 r
.64887 .90027 m .68306 .87665 L .6899 .88728 L p F P
0 g
s
.515 .263 .471 r
.6899 .88728 m .65428 .91175 L .64887 .90027 L p F P
0 g
s
.466 .496 .806 r
.93071 .36251 m .90845 .32765 L .91944 .32132 L p F P
0 g
s
.466 .496 .806 r
.91944 .32132 m .94244 .35757 L .93071 .36251 L p F P
0 g
s
.809 .822 .861 r
.40525 .06932 m .37137 .09154 L .36507 .0807 L p F P
0 g
s
.809 .822 .861 r
.36507 .0807 m .40035 .05769 L .40525 .06932 L p F P
0 g
s
.348 .346 .716 r
.29431 .3486 m .30106 .38159 L .29131 .38266 L p F P
0 g
s
.348 .346 .716 r
.29131 .38266 m .28458 .34946 L .29427 .3486 L p F P
0 g
s
.348 .346 .716 r
.29131 .38266 m .29427 .3486 L .2943 .34873 L F
.71 .594 .724 r
.28458 .34946 m .29131 .38266 L .27084 .38744 L p F P
0 g
s
.71 .594 .724 r
.27084 .38744 m .26395 .35358 L .28458 .34946 L p F P
0 g
s
.918 .72 .619 r
.28332 .35188 m .29023 .38535 L .30102 .38161 L p F P
0 g
s
.918 .72 .619 r
.30102 .38161 m .30106 .38159 L p .301 .38149 L F P
0 g
s
.918 .72 .619 r
.301 .38149 m .28332 .35188 L .30102 .38161 L F
.348 .346 .716 r
.29427 .3486 m .29431 .3486 L p .2943 .34873 L F P
0 g
s
.916 .718 .621 r
.26395 .35358 m .27084 .38744 L .25993 .3912 L p F P
0 g
s
.915 .711 .612 r
.26792 .42461 m .25993 .3912 L .27084 .38744 L p F P
0 g
s
.817 .86 .88 r
.33573 .70027 m .35367 .68928 L .35797 .69862 L p F P
0 g
s
.817 .86 .88 r
.35797 .69862 m .3395 .70978 L .33577 .70038 L p F P
0 g
s
.817 .86 .88 r
.35797 .69862 m .33577 .70038 L .33598 .70026 L F
.73 .584 .692 r
.3395 .70978 m .35797 .69862 L .36994 .7159 L p F P
0 g
s
.533 .234 .405 r
.34297 .70881 m .36141 .69729 L .35375 .68936 L p F P
0 g
s
.533 .234 .405 r
.35375 .68936 m .35367 .68928 L p .35357 .68946 L F P
0 g
s
.533 .234 .405 r
.35357 .68946 m .34297 .70881 L .35375 .68936 L F
.817 .86 .88 r
.33577 .70038 m .33573 .70027 L p .33598 .70026 L F P
0 g
s
.73 .584 .692 r
.36994 .7159 m .35045 .72774 L .3395 .70978 L p F P
0 g
s
.534 .239 .413 r
.35045 .72774 m .36994 .7159 L .37772 .724 L p F P
0 g
s
.519 .232 .418 r
.39655 .71081 m .37772 .724 L .36994 .7159 L p F P
0 g
s
.719 .35 .35 r
.48411 .35356 m .46607 .34672 L .47304 .33872 L p F P
0 g
s
.719 .35 .35 r
.47304 .33872 m .49101 .34552 L .48411 .35356 L p F P
0 g
s
.719 .35 .35 r
.47304 .33872 m .48411 .35356 L .48411 .35356 L F
.676 .543 .695 r
.49101 .34552 m .47304 .33872 L .48059 .3191 L p F P
0 g
s
.526 .63 .897 r
.48479 .34187 m .46666 .33501 L .46607 .34672 L p F P
0 g
s
.526 .63 .897 r
.46607 .34672 m .46607 .34672 L p .46607 .34672 L F P
0 g
s
.526 .63 .897 r
.46607 .34672 m .48479 .34187 L .46607 .34672 L F
.719 .35 .35 r
.48411 .35356 m .48411 .35356 L p .48411 .35356 L F P
0 g
s
.676 .543 .695 r
.48059 .3191 m .49857 .32589 L .49101 .34552 L p F P
0 g
s
.53 .63 .895 r
.49857 .32589 m .48059 .3191 L .48124 .30731 L p F P
0 g
s
.505 .626 .904 r
.61722 .63867 m .63022 .64728 L .62142 .65403 L p F P
0 g
s
.505 .626 .904 r
.62142 .65403 m .60788 .64477 L .61704 .63879 L p F P
0 g
s
.505 .626 .904 r
.62142 .65403 m .61704 .63879 L .6173 .63897 L F
.735 .615 .725 r
.60788 .64477 m .62142 .65403 L .61128 .67245 L p F P
0 g
s
.834 .504 .431 r
.61493 .65022 m .62886 .65905 L .6302 .64748 L p F P
0 g
s
.834 .504 .431 r
.6302 .64748 m .63022 .64728 L p .62998 .64733 L F P
0 g
s
.834 .504 .431 r
.62998 .64733 m .61493 .65022 L .6302 .64748 L F
.505 .626 .904 r
.61704 .63879 m .61722 .63867 L p .6173 .63897 L F P
0 g
s
.735 .615 .725 r
.61128 .67245 m .59628 .66232 L .60788 .64477 L p F P
0 g
s
.826 .499 .435 r
.59628 .66232 m .61128 .67245 L .60983 .68427 L p F P
0 g
s
.809 .475 .424 r
.62611 .69308 m .60983 .68427 L .61128 .67245 L p F P
0 g
s
.943 .808 .68 r
.71959 .42287 m .72338 .40799 L .73186 .41424 L p F P
0 g
s
.943 .808 .68 r
.73186 .41424 m .72779 .42952 L .71969 .42295 L p F P
0 g
s
.943 .808 .68 r
.73186 .41424 m .71969 .42295 L .71974 .42276 L F
.716 .555 .671 r
.72779 .42952 m .73186 .41424 L .75242 .41862 L p F P
0 g
s
.402 .244 .55 r
.73183 .42159 m .73556 .40611 L .72351 .40797 L p F P
0 g
s
.402 .244 .55 r
.72351 .40797 m .72338 .40799 L p .72347 .40814 L F P
0 g
s
.402 .244 .55 r
.72347 .40814 m .73183 .42159 L .72351 .40797 L F
.943 .808 .68 r
.71969 .42295 m .71959 .42287 L p .71974 .42276 L F P
0 g
s
.716 .555 .671 r
.75242 .41862 m .74813 .43492 L .72779 .42952 L p F P
0 g
s
.408 .255 .559 r
.74813 .43492 m .75242 .41862 L .76468 .41679 L p F P
0 g
s
.404 .261 .571 r
.76801 .40011 m .76468 .41679 L .75242 .41862 L p F P
0 g
s
.926 .671 .533 r
.75433 .67674 m .75073 .6624 L .76078 .66195 L p F P
0 g
s
.926 .671 .533 r
.76078 .66195 m .76432 .67714 L .75454 .67674 L p F P
0 g
s
.926 .671 .533 r
.76078 .66195 m .75454 .67674 L .75446 .67644 L F
.698 .541 .671 r
.76432 .67714 m .76078 .66195 L .78075 .65536 L p F P
0 g
s
.389 .339 .681 r
.76489 .67131 m .76073 .6562 L .7509 .66229 L p F P
0 g
s
.389 .339 .681 r
.7509 .66229 m .75073 .6624 L p .75097 .66255 L F P
0 g
s
.389 .339 .681 r
.75097 .66255 m .76489 .67131 L .7509 .66229 L F
.926 .671 .533 r
.75454 .67674 m .75433 .67674 L p .75446 .67644 L F P
0 g
s
.698 .541 .671 r
.78075 .65536 m .78476 .67217 L .76432 .67714 L p F P
0 g
s
.399 .353 .691 r
.78476 .67217 m .78075 .65536 L .79084 .64916 L p F P
0 g
s
.399 .37 .71 r
.7851 .63252 m .79084 .64916 L .78075 .65536 L p F P
0 g
s
.705 .545 .67 r
.52523 .53997 m .52403 .5231 L .54503 .52215 L p F P
0 g
s
.931 .722 .599 r
.52403 .5231 m .52523 .53997 L .51433 .53776 L p F P
0 g
s
.931 .722 .599 r
.51433 .53776 m .51341 .5198 L .52403 .5231 L p F P
0 g
s
.491 .195 .391 r
.73035 .26899 m .71795 .27475 L .71503 .26463 L p F P
0 g
s
.491 .195 .391 r
.71503 .26463 m .72852 .25873 L .7303 .26871 L p F P
0 g
s
.491 .195 .391 r
.71503 .26463 m .7303 .26871 L .72994 .26887 L F
.673 .562 .722 r
.72852 .25873 m .71503 .26463 L .70427 .24656 L p F P
0 g
s
.728 .812 .917 r
.72323 .2601 m .71004 .26674 L .71777 .27457 L p F P
0 g
s
.728 .812 .917 r
.71777 .27457 m .71795 .27475 L p .71806 .27444 L F P
0 g
s
.728 .812 .917 r
.71806 .27444 m .72323 .2601 L .71777 .27457 L F
.491 .195 .391 r
.7303 .26871 m .73035 .26899 L p .72994 .26887 L F P
0 g
s
.673 .562 .722 r
.70427 .24656 m .71963 .23966 L .72852 .25873 L p F P
0 g
s
.741 .813 .909 r
.71963 .23966 m .70427 .24656 L .69634 .23846 L p F P
0 g
s
.765 .827 .901 r
.68147 .24749 m .69634 .23846 L .70427 .24656 L p F P
0 g
s
.738 .639 .75 r
.69365 .47754 m .69965 .48677 L .71672 .47449 L p F P
0 g
s
.738 .639 .75 r
.71672 .47449 m .70987 .46414 L .69365 .47754 L p F P
0 g
s
.842 .514 .434 r
.7036 .68917 m .69193 .68101 L .68997 .69281 L p F P
0 g
s
.435 .288 .582 r
.914 .60122 m .92936 .56601 L .91745 .56186 L p F P
0 g
s
.74 .817 .912 r
.64494 .31782 m .66003 .31049 L .65297 .30171 L p F P
0 g
s
.938 .767 .644 r
.5484 .4199 m .54596 .43457 L .55607 .4392 L p F P
0 g
s
.411 .229 .521 r
.74452 .32665 m .73912 .34097 L .75143 .34059 L p F P
0 g
s
.573 .653 .89 r
.63921 .08897 m .60439 .07225 L .59976 .08393 L p F P
0 g
s
.91 .805 .73 r
.30563 .52399 m .29812 .55724 L .30971 .5575 L p F P
0 g
s
.91 .805 .73 r
.30971 .5575 m .3172 .52436 L .30563 .52399 L p F P
0 g
s
.749 .424 .433 r
.41471 .88686 m .44906 .90248 L .45328 .89071 L p F P
0 g
s
.39 .331 .671 r
.72582 .58058 m .7289 .59638 L .73964 .59125 L p F P
0 g
s
.509 .617 .895 r
.67167 .45238 m .66291 .44481 L .65187 .45044 L p F P
0 g
s
.464 .549 .858 r
.37244 .29699 m .38974 .30971 L .39323 .29871 L p F P
0 g
s
.883 .808 .77 r
.09786 .36458 m .07689 .40196 L .08844 .40685 L p F P
0 g
s
.577 .257 .39 r
.43672 .64908 m .45485 .64174 L .44824 .6324 L p F P
0 g
s
.577 .257 .39 r
.44824 .6324 m .43006 .6398 L .43672 .64908 L p F P
0 g
s
.457 .206 .443 r
.59527 .5769 m .60545 .57053 L .60291 .55871 L p F P
0 g
s
.499 .629 .909 r
.66786 .71554 m .6821 .7253 L .69177 .71936 L p F P
0 g
s
.518 .656 .921 r
.70618 .72729 m .69177 .71936 L .6821 .7253 L p F P
0 g
s
.948 .846 .709 r
.95854 .57082 m .96799 .52799 L .95952 .52926 L p F P
0 g
s
.948 .846 .709 r
.95952 .52926 m .95 .5705 L .95854 .57082 L p F P
0 g
s
.48 .186 .388 r
.64176 .27258 m .62464 .28099 L .62715 .29105 L p F P
0 g
s
.465 .183 .399 r
.6111 .30038 m .62715 .29105 L .62464 .28099 L p F P
0 g
s
.362 .254 .595 r
.51407 .4373 m .51335 .45463 L .52388 .45033 L p F P
0 g
s
.362 .254 .595 r
.52388 .45033 m .52486 .43362 L .51407 .4373 L p F P
0 g
s
.94 .829 .708 r
.77837 .35614 m .78445 .33983 L .77691 .3322 L p F P
0 g
s
.945 .819 .689 r
.78173 .31591 m .77691 .3322 L .78445 .33983 L p F P
0 g
s
.722 .326 .299 r
.61023 .04321 m .56771 .0322 L .56884 .04076 L p F P
0 g
s
.722 .326 .299 r
.56884 .04076 m .60965 .05179 L .61023 .04321 L p F P
0 g
s
.335 .231 .585 r
.26994 .58611 m .27755 .55244 L .26876 .54794 L p F P
0 g
s
.528 .695 .945 r
.44367 .93164 m .48552 .94153 L .48438 .93299 L p F P
0 g
s
.528 .695 .945 r
.48438 .93299 m .44424 .92304 L .44367 .93164 L p F P
0 g
s
.933 .685 .539 r
.77029 .58878 m .76694 .57182 L .75703 .57068 L p F P
0 g
s
.93 .675 .529 r
.75305 .55397 m .75703 .57068 L .76694 .57182 L p F P
0 g
s
.859 .522 .414 r
.67688 .41664 m .667 .40916 L .66572 .42036 L p F P
0 g
s
.859 .522 .414 r
.66572 .42036 m .67546 .42783 L .67688 .41664 L p F P
0 g
s
.796 .44 .384 r
.41476 .27587 m .39639 .26243 L .38754 .26845 L p F P
0 g
s
.787 .428 .377 r
.36883 .25584 m .38754 .26845 L .39639 .26243 L p F P
0 g
s
.304 .155 .507 r
.04828 .3944 m .034 .44071 L .0425 .43998 L p F P
0 g
s
.304 .155 .507 r
.0425 .43998 m .05671 .39571 L .04828 .3944 L p F P
0 g
s
.776 .854 .909 r
.48052 .65434 m .46243 .66145 L .46334 .67164 L p F P
0 g
s
.773 .859 .914 r
.62741 .59288 m .63805 .58541 L .62828 .58049 L p F P
0 g
s
.773 .859 .914 r
.62828 .58049 m .61776 .58769 L .62741 .59288 L p F P
0 g
s
.746 .631 .732 r
.60617 .37857 m .61681 .38551 L .6052 .40303 L p F P
0 g
s
.534 .64 .901 r
.61681 .38551 m .60617 .37857 L .61637 .37161 L p F P
0 g
s
.534 .64 .901 r
.61637 .37161 m .62734 .37902 L .61681 .38551 L p F P
0 g
s
.668 .57 .736 r
.68475 .53604 m .67495 .54424 L .6617 .52791 L p F P
0 g
s
.45 .216 .467 r
.67495 .54424 m .68475 .53604 L .68894 .54751 L p F P
0 g
s
.45 .216 .467 r
.68894 .54751 m .67841 .55591 L .67495 .54424 L p F P
0 g
s
.688 .533 .671 r
.73477 .50618 m .72671 .49149 L .70864 .50223 L p F P
0 g
s
.688 .533 .671 r
.70864 .50223 m .71606 .51582 L .73477 .50618 L p F P
0 g
s
.682 .582 .737 r
.57027 .33618 m .55961 .3502 L .57713 .36182 L p F P
0 g
s
.682 .582 .737 r
.57713 .36182 m .58672 .3493 L .57027 .33618 L p F P
0 g
s
.665 .536 .698 r
.29407 .24871 m .30868 .25098 L .31287 .23036 L p F P
0 g
s
.736 .589 .692 r
.53424 .6309 m .55162 .6225 L .5424 .60361 L p F P
0 g
s
.736 .589 .692 r
.5424 .60361 m .52526 .61187 L .53424 .6309 L p F P
0 g
s
.709 .598 .73 r
.26085 .68191 m .26451 .71166 L .28493 .70664 L p F P
0 g
s
.709 .598 .73 r
.28493 .70664 m .28179 .67978 L .26085 .68191 L p F P
0 g
s
.693 .572 .715 r
.83627 .68679 m .80214 .70499 L .81238 .72335 L p F P
0 g
s
.693 .572 .715 r
.81238 .72335 m .84962 .70307 L .83627 .68679 L p F P
0 g
s
.699 .561 .694 r
.32585 .80544 m .30501 .76895 L .28691 .77966 L p F P
0 g
s
.699 .561 .694 r
.28691 .77966 m .30969 .81893 L .32585 .80544 L p F P
0 g
s
.714 .593 .72 r
.76495 .20131 m .74321 .1609 L .72663 .17387 L p F P
0 g
s
.714 .593 .72 r
.72663 .17387 m .74653 .21145 L .76495 .20131 L p F P
0 g
s
.719 .583 .702 r
.19799 .27374 m .2401 .25629 L .23175 .23699 L p F P
0 g
s
.719 .583 .702 r
.23175 .23699 m .18623 .25629 L .19799 .27374 L p F P
0 g
s
.828 .526 .48 r
.11094 .655 m .14649 .69 L .13783 .69896 L p F P
0 g
s
.828 .526 .48 r
.13783 .69896 m .10077 .66236 L .11094 .655 L p F P
0 g
s
.491 .259 .49 r
.68306 .87665 m .71657 .84632 L .72499 .85566 L p F P
0 g
s
.491 .259 .49 r
.72499 .85566 m .6899 .88728 L .68306 .87665 L p F P
0 g
s
.832 .826 .843 r
.37137 .09154 m .33721 .12062 L .32929 .11101 L p F P
0 g
s
.832 .826 .843 r
.32929 .11101 m .36507 .0807 L .37137 .09154 L p F P
0 g
s
.485 .532 .831 r
.90845 .32765 m .88107 .29525 L .89076 .2872 L p F P
0 g
s
.485 .532 .831 r
.89076 .2872 m .91944 .32132 L .90845 .32765 L p F P
0 g
s
.339 .32 .691 r
.29108 .32057 m .29431 .3486 L .28458 .34946 L p F P
0 g
s
.339 .32 .691 r
.28458 .34946 m .28134 .32038 L .29096 .32057 L p F P
0 g
s
.339 .32 .691 r
.28458 .34946 m .29096 .32057 L .291 .32092 L F
.709 .595 .727 r
.28134 .32038 m .28458 .34946 L .26395 .35358 L p F P
0 g
s
.709 .595 .727 r
.26395 .35358 m .26041 .32273 L .28134 .32038 L p F P
0 g
s
.92 .743 .646 r
.2798 .32313 m .28332 .35188 L .29422 .34862 L p F P
0 g
s
.92 .743 .646 r
.29422 .34862 m .29431 .3486 L p .29419 .34838 L F P
0 g
s
.92 .743 .646 r
.29419 .34838 m .2798 .32313 L .29422 .34862 L F
.339 .32 .691 r
.29096 .32057 m .29108 .32057 L p .291 .32092 L F P
0 g
s
.917 .738 .644 r
.26041 .32273 m .26395 .35358 L .25286 .35688 L p F P
0 g
s
.916 .718 .621 r
.25993 .3912 m .25286 .35688 L .26395 .35358 L p F P
0 g
s
.802 .859 .892 r
.32084 .70785 m .33573 .70027 L .3395 .70978 L p F P
0 g
s
.802 .859 .892 r
.3395 .70978 m .3233 .71781 L .32088 .70802 L p F P
0 g
s
.802 .859 .892 r
.3395 .70978 m .32088 .70802 L .32114 .70788 L F
.735 .588 .692 r
.3233 .71781 m .3395 .70978 L .35045 .72774 L p F P
0 g
s
.559 .246 .394 r
.32795 .71676 m .34297 .70881 L .33582 .70039 L p F P
0 g
s
.559 .246 .394 r
.33582 .70039 m .33573 .70027 L p .33563 .70049 L F P
0 g
s
.559 .246 .394 r
.33563 .70049 m .32795 .71676 L .33582 .70039 L F
.802 .859 .892 r
.32088 .70802 m .32084 .70785 L p .32114 .70788 L F P
0 g
s
.735 .588 .692 r
.35045 .72774 m .33281 .7366 L .3233 .71781 L p F P
0 g
s
.557 .251 .404 r
.33281 .7366 m .35045 .72774 L .35773 .73637 L p F P
0 g
s
.534 .239 .413 r
.37772 .724 m .35773 .73637 L .35045 .72774 L p F P
0 g
s
.731 .363 .354 r
.50104 .36075 m .48411 .35356 L .49101 .34552 L p F P
0 g
s
.731 .363 .354 r
.49101 .34552 m .50821 .35294 L .5011 .36068 L p F P
0 g
s
.731 .363 .354 r
.49101 .34552 m .5011 .36068 L .50096 .36062 L F
.677 .543 .694 r
.50821 .35294 m .49101 .34552 L .49857 .32589 L p F P
0 g
s
.515 .617 .891 r
.5022 .3491 m .48479 .34187 L .48412 .35348 L p F P
0 g
s
.515 .617 .891 r
.48412 .35348 m .48411 .35356 L p .48424 .35353 L F P
0 g
s
.515 .617 .891 r
.48424 .35353 m .5022 .3491 L .48412 .35348 L F
.731 .363 .354 r
.5011 .36068 m .50104 .36075 L p .50096 .36062 L F P
0 g
s
.677 .543 .694 r
.49857 .32589 m .51653 .3336 L .50821 .35294 L p F P
0 g
s
.522 .62 .89 r
.51653 .3336 m .49857 .32589 L .49931 .31412 L p F P
0 g
s
.53 .63 .895 r
.48124 .30731 m .49931 .31412 L .49857 .32589 L p F P
0 g
s
.479 .59 .886 r
.60637 .62953 m .61722 .63867 L .60788 .64477 L p F P
0 g
s
.479 .59 .886 r
.60788 .64477 m .59625 .63457 L .60609 .62967 L p F P
0 g
s
.479 .59 .886 r
.60788 .64477 m .60609 .62967 L .60641 .62994 L F
.733 .617 .729 r
.59625 .63457 m .60788 .64477 L .59628 .66232 L p F P
0 g
s
.861 .544 .451 r
.60299 .64079 m .61493 .65022 L .61717 .63892 L p F P
0 g
s
.861 .544 .451 r
.61717 .63892 m .61722 .63867 L p .61693 .63871 L F P
0 g
s
.861 .544 .451 r
.61693 .63871 m .60299 .64079 L .61717 .63892 L F
.479 .59 .886 r
.60609 .62967 m .60637 .62953 L p .60641 .62994 L F P
0 g
s
.733 .617 .729 r
.59628 .66232 m .58279 .65076 L .59625 .63457 L p F P
0 g
s
.849 .533 .453 r
.58279 .65076 m .59628 .66232 L .5939 .67393 L p F P
0 g
s
.826 .499 .435 r
.60983 .68427 m .5939 .67393 L .59628 .66232 L p F P
0 g
s
.938 .823 .706 r
.71493 .43642 m .71959 .42287 L .72779 .42952 L p F P
0 g
s
.938 .823 .706 r
.72779 .42952 m .7226 .44382 L .71508 .43658 L p F P
0 g
s
.938 .823 .706 r
.72779 .42952 m .71508 .43658 L .71518 .43629 L F
.718 .558 .671 r
.7226 .44382 m .72779 .42952 L .74813 .43492 L p F P
0 g
s
.408 .23 .526 r
.72723 .43601 m .73183 .42159 L .7198 .42284 L p F P
0 g
s
.408 .23 .526 r
.7198 .42284 m .71959 .42287 L p .71971 .42308 L F P
0 g
s
.408 .23 .526 r
.71971 .42308 m .72723 .43601 L .7198 .42284 L F
.938 .823 .706 r
.71508 .43658 m .71493 .43642 L p .71518 .43629 L F P
0 g
s
.718 .558 .671 r
.74813 .43492 m .74246 .4508 L .7226 .44382 L p F P
0 g
s
.415 .245 .54 r
.74246 .4508 m .74813 .43492 L .76045 .4337 L p F P
0 g
s
.408 .255 .559 r
.76468 .41679 m .76045 .4337 L .74813 .43492 L p F P
0 g
s
.937 .702 .558 r
.75603 .6888 m .75433 .67674 L .76432 .67714 L p F P
0 g
s
.937 .702 .558 r
.76432 .67714 m .7659 .69085 L .75632 .68886 L p F P
0 g
s
.937 .702 .558 r
.76432 .67714 m .75632 .68886 L .75627 .68847 L F
.701 .54 .666 r
.7659 .69085 m .76432 .67714 L .78476 .67217 L p F P
0 g
s
.385 .306 .644 r
.76713 .68392 m .76489 .67131 L .75457 .67661 L p F P
0 g
s
.385 .306 .644 r
.75457 .67661 m .75433 .67674 L p .75461 .67689 L F P
0 g
s
.385 .306 .644 r
.75461 .67689 m .76713 .68392 L .75457 .67661 L F
.937 .702 .558 r
.75632 .68886 m .75603 .6888 L p .75627 .68847 L F P
0 g
s
.701 .54 .666 r
.78476 .67217 m .78678 .68806 L .7659 .69085 L p F P
0 g
s
.399 .33 .663 r
.78678 .68806 m .78476 .67217 L .79541 .66675 L p F P
0 g
s
.399 .353 .691 r
.79084 .64916 m .79541 .66675 L .78476 .67217 L p F P
0 g
s
.701 .543 .67 r
.52812 .55689 m .52523 .53997 L .54607 .53706 L p F P
0 g
s
.925 .696 .573 r
.52523 .53997 m .52812 .55689 L .51699 .55582 L p F P
0 g
s
.925 .696 .573 r
.51699 .55582 m .51433 .53776 L .52523 .53997 L p F P
0 g
s
.513 .197 .369 r
.74062 .26565 m .73035 .26899 L .72852 .25873 L p F P
0 g
s
.513 .197 .369 r
.72852 .25873 m .74079 .25514 L .74063 .26528 L p F P
0 g
s
.513 .197 .369 r
.72852 .25873 m .74063 .26528 L .74022 .26542 L F
.665 .554 .719 r
.74079 .25514 m .72852 .25873 L .71963 .23966 L p F P
0 g
s
.684 .785 .927 r
.73383 .25606 m .72323 .2601 L .73016 .26876 L p F P
0 g
s
.684 .785 .927 r
.73016 .26876 m .73035 .26899 L p .73044 .26866 L F P
0 g
s
.684 .785 .927 r
.73044 .26866 m .73383 .25606 L .73016 .26876 L F
.513 .197 .369 r
.74063 .26528 m .74062 .26565 L p .74022 .26542 L F P
0 g
s
.665 .554 .719 r
.71963 .23966 m .73421 .23513 L .74079 .25514 L p F P
0 g
s
.708 .792 .917 r
.73421 .23513 m .71963 .23966 L .7125 .23067 L p F P
0 g
s
.741 .813 .909 r
.69634 .23846 m .7125 .23067 L .71963 .23966 L p F P
0 g
s
.741 .64 .748 r
.68711 .46876 m .69365 .47754 L .70987 .46414 L p F P
0 g
s
.741 .64 .748 r
.70987 .46414 m .70231 .45418 L .68711 .46876 L p F P
0 g
s
.836 .507 .432 r
.67683 .68383 m .68997 .69281 L .69193 .68101 L p F P
0 g
s
.836 .507 .432 r
.69193 .68101 m .67877 .67205 L .67683 .68383 L p F P
0 g
s
.425 .314 .623 r
.92936 .56601 m .9384 .52826 L .92595 .526 L p F P
0 g
s
.747 .821 .909 r
.66919 .29353 m .65297 .30171 L .66003 .31049 L p F P
0 g
s
.747 .821 .909 r
.66003 .31049 m .67632 .30221 L .66919 .29353 L p F P
0 g
s
.937 .744 .616 r
.54596 .43457 m .54501 .44978 L .55542 .45354 L p F P
0 g
s
.409 .235 .531 r
.74585 .35626 m .75143 .34059 L .73912 .34097 L p F P
0 g
s
.409 .235 .531 r
.73912 .34097 m .73355 .35683 L .74585 .35626 L p F P
0 g
s
.614 .696 .902 r
.60439 .07225 m .56732 .06185 L .56468 .07418 L p F P
0 g
s
.916 .787 .703 r
.30989 .48958 m .30563 .52399 L .3172 .52436 L p F P
0 g
s
.916 .787 .703 r
.3172 .52436 m .32145 .48894 L .30989 .48958 L p F P
0 g
s
.708 .382 .423 r
.44906 .90248 m .48546 .91188 L .48768 .8995 L p F P
0 g
s
.391 .341 .682 r
.74336 .60793 m .73964 .59125 L .7289 .59638 L p F P
0 g
s
.391 .341 .682 r
.7289 .59638 m .73278 .61334 L .74336 .60793 L p F P
0 g
s
.519 .629 .9 r
.66291 .44481 m .65342 .43755 L .64251 .44338 L p F P
0 g
s
.476 .565 .866 r
.41195 .31136 m .39323 .29871 L .38974 .30971 L p F P
0 g
s
.476 .565 .866 r
.38974 .30971 m .40884 .32249 L .41195 .31136 L p F P
0 g
s
.899 .785 .727 r
.07689 .40196 m .06356 .44186 L .07591 .44444 L p F P
0 g
s
.558 .246 .396 r
.4186 .65767 m .43672 .64908 L .43006 .6398 L p F P
0 g
s
.558 .246 .396 r
.43006 .6398 m .41143 .64884 L .4186 .65767 L p F P
0 g
s
.451 .206 .451 r
.60545 .57053 m .61545 .56369 L .61251 .55197 L p F P
0 g
s
.5 .627 .908 r
.65495 .70679 m .66786 .71554 L .67788 .71014 L p F P
0 g
s
.499 .629 .909 r
.69177 .71936 m .67788 .71014 L .66786 .71554 L p F P
0 g
s
.958 .81 .653 r
.96799 .52799 m .97033 .48541 L .96201 .48748 L p F P
0 g
s
.958 .81 .653 r
.96201 .48748 m .95952 .52926 L .96799 .52799 L p F P
0 g
s
.48 .186 .388 r
.62715 .29105 m .64379 .28267 L .64176 .27258 L p F P
0 g
s
.36 .271 .618 r
.51335 .45463 m .51379 .47111 L .52426 .46672 L p F P
0 g
s
.36 .271 .618 r
.52426 .46672 m .52388 .45033 L .51335 .45463 L p F P
0 g
s
.94 .829 .708 r
.77691 .3322 m .77114 .34821 L .77837 .35614 L p F P
0 g
s
.662 .267 .285 r
.56771 .0322 m .52488 .02886 L .52716 .03723 L p F P
0 g
s
.662 .267 .285 r
.52716 .03723 m .56884 .04076 L .56771 .0322 L p F P
0 g
s
.335 .231 .586 r
.27755 .55244 m .28503 .51923 L .27619 .5149 L p F P
0 g
s
.586 .753 .957 r
.48552 .94153 m .52748 .94393 L .52526 .9356 L p F P
0 g
s
.586 .753 .957 r
.52526 .9356 m .48438 .93299 L .48552 .94153 L p F P
0 g
s
.933 .685 .539 r
.75703 .57068 m .76043 .58743 L .77029 .58878 L p F P
0 g
s
.852 .512 .411 r
.667 .40916 m .6579 .40249 L .65608 .41354 L p F P
0 g
s
.796 .44 .384 r
.38754 .26845 m .4058 .28171 L .41476 .27587 L p F P
0 g
s
.284 .195 .575 r
.034 .44071 m .02967 .48828 L .03791 .4859 L p F P
0 g
s
.284 .195 .575 r
.03791 .4859 m .0425 .43998 L .034 .44071 L p F P
0 g
s
.78 .855 .907 r
.46243 .66145 m .44459 .6687 L .44573 .67885 L p F P
0 g
s
.783 .863 .909 r
.63805 .58541 m .64812 .57791 L .63835 .57302 L p F P
0 g
s
.783 .863 .909 r
.63835 .57302 m .62828 .58049 L .63805 .58541 L p F P
0 g
s
.747 .63 .73 r
.59519 .37203 m .60617 .37857 L .59531 .39659 L p F P
0 g
s
.544 .653 .906 r
.60617 .37857 m .59519 .37203 L .60509 .36466 L p F P
0 g
s
.544 .653 .906 r
.60509 .36466 m .61637 .37161 L .60617 .37857 L p F P
0 g
s
.66 .558 .729 r
.57416 .58833 m .56326 .59365 L .57288 .61236 L p F P
0 g
s
.66 .558 .729 r
.57288 .61236 m .58432 .60677 L .57416 .58833 L p F P
0 g
s
.76 .628 .714 r
.75057 .71763 m .73941 .71659 L .736 .73737 L p F P
0 g
s
.67 .574 .738 r
.69414 .52716 m .68475 .53604 L .67054 .52052 L p F P
0 g
s
.44 .219 .48 r
.68475 .53604 m .69414 .52716 L .69902 .53843 L p F P
0 g
s
.44 .219 .48 r
.69902 .53843 m .68894 .54751 L .68475 .53604 L p F P
0 g
s
.706 .536 .656 r
.76461 .2706 m .76527 .28326 L .78633 .28334 L p F P
0 g
s
.69 .533 .669 r
.74193 .52139 m .73477 .50618 L .71606 .51582 L p F P
0 g
s
.69 .533 .669 r
.71606 .51582 m .72265 .52986 L .74193 .52139 L p F P
0 g
s
.679 .577 .734 r
.58224 .32312 m .57027 .33618 L .58672 .3493 L p F P
0 g
s
.679 .577 .734 r
.58672 .3493 m .5974 .33774 L .58224 .32312 L p F P
0 g
s
.67 .537 .693 r
.33132 .23604 m .31287 .23036 L .30868 .25098 L p F P
0 g
s
.67 .537 .693 r
.30868 .25098 m .32432 .25591 L .33132 .23604 L p F P
0 g
s
.736 .59 .693 r
.51672 .63909 m .53424 .6309 L .52526 .61187 L p F P
0 g
s
.736 .59 .693 r
.52526 .61187 m .50797 .61993 L .51672 .63909 L p F P
0 g
s
.707 .595 .729 r
.26051 .65128 m .26085 .68191 L .28179 .67978 L p F P
0 g
s
.707 .595 .729 r
.28179 .67978 m .28157 .65139 L .26051 .65128 L p F P
0 g
s
.695 .575 .717 r
.86666 .6629 m .83627 .68679 L .84962 .70307 L p F P
0 g
s
.695 .575 .717 r
.84962 .70307 m .88279 .67646 L .86666 .6629 L p F P
0 g
s
.697 .56 .695 r
.30969 .81893 m .33825 .85378 L .35188 .83771 L p F P
0 g
s
.697 .56 .695 r
.35188 .83771 m .32585 .80544 L .30969 .81893 L p F P
0 g
s
.716 .594 .719 r
.74321 .1609 m .71559 .12489 L .70147 .14051 L p F P
0 g
s
.716 .594 .719 r
.70147 .14051 m .72663 .17387 L .74321 .1609 L p F P
0 g
s
.718 .58 .699 r
.1595 .2988 m .19799 .27374 L .18623 .25629 L p F P
0 g
s
.718 .58 .699 r
.18623 .25629 m .14469 .28381 L .1595 .2988 L p F P
0 g
s
.791 .473 .45 r
.14649 .69 m .1876 .71758 L .18071 .72783 L p F P
0 g
s
.791 .473 .45 r
.18071 .72783 m .13783 .69896 L .14649 .69 L p F P
0 g
s
.461 .261 .52 r
.71657 .84632 m .74429 .81087 L .75399 .81875 L p F P
0 g
s
.461 .261 .52 r
.75399 .81875 m .72499 .85566 L .71657 .84632 L p F P
0 g
s
.861 .825 .812 r
.33721 .12062 m .30864 .15491 L .29939 .14672 L p F P
0 g
s
.861 .825 .812 r
.29939 .14672 m .32929 .11101 L .33721 .12062 L p F P
0 g
s
.516 .584 .862 r
.88107 .29525 m .84842 .26861 L .85658 .25914 L p F P
0 g
s
.516 .584 .862 r
.85658 .25914 m .89076 .2872 L .88107 .29525 L p F P
0 g
s
.332 .288 .658 r
.29087 .29289 m .29108 .32057 L .28134 .32038 L p F P
0 g
s
.332 .288 .658 r
.28134 .32038 m .28128 .29168 L .29071 .29287 L p F P
0 g
s
.332 .288 .658 r
.28134 .32038 m .29071 .29287 L .29071 .29335 L F
.707 .594 .727 r
.28128 .29168 m .28134 .32038 L .26041 .32273 L p F P
0 g
s
.707 .594 .727 r
.26041 .32273 m .26021 .29179 L .28128 .29168 L p F P
0 g
s
.919 .766 .675 r
.27928 .29422 m .2798 .32313 L .29096 .3206 L p F P
0 g
s
.919 .766 .675 r
.29096 .3206 m .29108 .32057 L p .29095 .32028 L F P
0 g
s
.919 .766 .675 r
.29095 .32028 m .27928 .29422 L .29096 .3206 L F
.332 .288 .658 r
.29071 .29287 m .29087 .29289 L p .29071 .29335 L F P
0 g
s
.916 .76 .672 r
.26021 .29179 m .26041 .32273 L .24904 .32528 L p F P
0 g
s
.917 .738 .644 r
.25286 .35688 m .24904 .32528 L .26041 .32273 L p F P
0 g
s
.737 .369 .356 r
.51815 .36846 m .50104 .36075 L .50821 .35294 L p F P
0 g
s
.737 .369 .356 r
.50821 .35294 m .52543 .36077 L .51818 .36842 L p F P
0 g
s
.737 .369 .356 r
.50821 .35294 m .51818 .36842 L .5181 .36838 L F
.677 .542 .693 r
.52543 .36077 m .50821 .35294 L .51653 .3336 L p F P
0 g
s
.51 .611 .889 r
.51963 .35686 m .5022 .3491 L .50105 .3607 L p F P
0 g
s
.51 .611 .889 r
.50105 .3607 m .50104 .36075 L p .50112 .36073 L F P
0 g
s
.51 .611 .889 r
.50112 .36073 m .51963 .35686 L .50105 .3607 L F
.737 .369 .356 r
.51818 .36842 m .51815 .36846 L p .5181 .36838 L F P
0 g
s
.677 .542 .693 r
.51653 .3336 m .53419 .3416 L .52543 .36077 L p F P
0 g
s
.516 .612 .887 r
.53419 .3416 m .51653 .3336 L .51776 .32188 L p F P
0 g
s
.522 .62 .89 r
.49931 .31412 m .51776 .32188 L .51653 .3336 L p F P
0 g
s
.764 .847 .913 r
.3062 .71296 m .32084 .70785 L .3233 .71781 L p F P
0 g
s
.764 .847 .913 r
.3233 .71781 m .30727 .72304 L .30624 .71329 L p F P
0 g
s
.764 .847 .913 r
.3233 .71781 m .30624 .71329 L .30674 .71311 L F
.736 .593 .696 r
.30727 .72304 m .3233 .71781 L .33281 .7366 L p F P
0 g
s
.599 .271 .385 r
.31219 .72285 m .32795 .71676 L .321 .70806 L p F P
0 g
s
.599 .271 .385 r
.321 .70806 m .32084 .70785 L p .32064 .70819 L F P
0 g
s
.599 .271 .385 r
.32064 .70819 m .31219 .72285 L .321 .70806 L F
.764 .847 .913 r
.30624 .71329 m .3062 .71296 L p .30674 .71311 L F P
0 g
s
.736 .593 .696 r
.33281 .7366 m .31427 .74292 L .30727 .72304 L p F P
0 g
s
.59 .273 .399 r
.31427 .74292 m .33281 .7366 L .33994 .7456 L p F P
0 g
s
.557 .251 .404 r
.35773 .73637 m .33994 .7456 L .33281 .7366 L p F P
0 g
s
.456 .553 .866 r
.59659 .61923 m .60637 .62953 L .59625 .63457 L p F P
0 g
s
.456 .553 .866 r
.59625 .63457 m .58595 .62323 L .59628 .61935 L p F P
0 g
s
.456 .553 .866 r
.59625 .63457 m .59628 .61935 L .59658 .61966 L F
.731 .617 .732 r
.58595 .62323 m .59625 .63457 L .58279 .65076 L p F P
0 g
s
.882 .581 .473 r
.59202 .62997 m .60299 .64079 L .60629 .62979 L p F P
0 g
s
.882 .581 .473 r
.60629 .62979 m .60637 .62953 L p .60606 .62954 L F P
0 g
s
.882 .581 .473 r
.60606 .62954 m .59202 .62997 L .60629 .62979 L F
.456 .553 .866 r
.59628 .61935 m .59659 .61923 L p .59658 .61966 L F P
0 g
s
.731 .617 .732 r
.58279 .65076 m .57077 .63786 L .58595 .62323 L p F P
0 g
s
.87 .568 .474 r
.57077 .63786 m .58279 .65076 L .57932 .66207 L p F P
0 g
s
.849 .533 .453 r
.5939 .67393 m .57932 .66207 L .58279 .65076 L p F P
0 g
s
.931 .836 .729 r
.70922 .44967 m .71493 .43642 L .7226 .44382 L p F P
0 g
s
.931 .836 .729 r
.7226 .44382 m .71636 .45765 L .70936 .44983 L p F P
0 g
s
.931 .836 .729 r
.7226 .44382 m .70936 .44983 L .70947 .44956 L F
.721 .561 .672 r
.71636 .45765 m .7226 .44382 L .74246 .4508 L p F P
0 g
s
.417 .223 .507 r
.72149 .45018 m .72723 .43601 L .71513 .43642 L p F P
0 g
s
.417 .223 .507 r
.71513 .43642 m .71493 .43642 L p .71503 .43665 L F P
0 g
s
.417 .223 .507 r
.71503 .43665 m .72149 .45018 L .71513 .43642 L F
.931 .836 .729 r
.70936 .44983 m .70922 .44967 L p .70947 .44956 L F P
0 g
s
.721 .561 .672 r
.74246 .4508 m .73566 .46612 L .71636 .45765 L p F P
0 g
s
.423 .236 .521 r
.73566 .46612 m .74246 .4508 L .75484 .45046 L p F P
0 g
s
.415 .245 .54 r
.76045 .4337 m .75484 .45046 L .74246 .4508 L p F P
0 g
s
.697 .539 .67 r
.5327 .57278 m .52812 .55689 L .54854 .55173 L p F P
0 g
s
.915 .663 .543 r
.52812 .55689 m .5327 .57278 L .52149 .57308 L p F P
0 g
s
.915 .663 .543 r
.52149 .57308 m .51699 .55582 L .52812 .55689 L p F P
0 g
s
.946 .744 .599 r
.75613 .70045 m .75603 .6888 L .7659 .69085 L p F P
0 g
s
.946 .744 .599 r
.7659 .69085 m .76554 .70385 L .7565 .70058 L p F P
0 g
s
.946 .744 .599 r
.7659 .69085 m .7565 .70058 L .75649 .70009 L F
.706 .544 .666 r
.76554 .70385 m .7659 .69085 L .78678 .68806 L p F P
0 g
s
.39 .28 .607 r
.76791 .69693 m .76713 .68392 L .75637 .68865 L p F P
0 g
s
.39 .28 .607 r
.75637 .68865 m .75603 .6888 L p .75637 .68903 L F P
0 g
s
.39 .28 .607 r
.75637 .68903 m .76791 .69693 L .75637 .68865 L F
.946 .744 .599 r
.7565 .70058 m .75613 .70045 L p .75649 .70009 L F P
0 g
s
.706 .544 .666 r
.78678 .68806 m .78662 .70377 L .76554 .70385 L p F P
0 g
s
.404 .308 .632 r
.78662 .70377 m .78678 .68806 L .79797 .68319 L p F P
0 g
s
.399 .33 .663 r
.79541 .66675 m .79797 .68319 L .78678 .68806 L p F P
0 g
s
.744 .64 .745 r
.67975 .46039 m .68711 .46876 L .70231 .45418 L p F P
0 g
s
.744 .64 .745 r
.70231 .45418 m .69398 .44484 L .67975 .46039 L p F P
0 g
s
.56 .218 .346 r
.75049 .26412 m .74062 .26565 L .74079 .25514 L p F P
0 g
s
.56 .218 .346 r
.74079 .25514 m .75238 .25394 L .75059 .2636 L p F P
0 g
s
.56 .218 .346 r
.74079 .25514 m .75059 .2636 L .75002 .26369 L F
.665 .548 .713 r
.75238 .25394 m .74079 .25514 L .73421 .23513 L p F P
0 g
s
.634 .746 .928 r
.74513 .25341 m .73383 .25606 L .74037 .26528 L p F P
0 g
s
.634 .746 .928 r
.74037 .26528 m .74062 .26565 L p .74078 .26522 L F P
0 g
s
.634 .746 .928 r
.74078 .26522 m .74513 .25341 L .74037 .26528 L F
.56 .218 .346 r
.75059 .2636 m .75049 .26412 L p .75002 .26369 L F P
0 g
s
.665 .548 .713 r
.73421 .23513 m .74897 .23314 L .75238 .25394 L p F P
0 g
s
.671 .762 .919 r
.74897 .23314 m .73421 .23513 L .72742 .22545 L p F P
0 g
s
.708 .792 .917 r
.7125 .23067 m .72742 .22545 L .73421 .23513 L p F P
0 g
s
.66 .559 .73 r
.58484 .5828 m .57416 .58833 L .58432 .60677 L p F P
0 g
s
.66 .559 .73 r
.58432 .60677 m .59573 .60085 L .58484 .5828 L p F P
0 g
s
.801 .462 .414 r
.65979 .67466 m .67683 .68383 L .67877 .67205 L p F P
0 g
s
.801 .462 .414 r
.67877 .67205 m .66063 .6628 L .65979 .67466 L p F P
0 g
s
.421 .344 .665 r
.9384 .52826 m .94087 .48848 L .92825 .4874 L p F P
0 g
s
.78 .838 .896 r
.68378 .28416 m .66919 .29353 L .67632 .30221 L p F P
0 g
s
.78 .838 .896 r
.67632 .30221 m .69213 .29155 L .68378 .28416 L p F P
0 g
s
.934 .727 .599 r
.54501 .44978 m .5454 .46583 L .55587 .46934 L p F P
0 g
s
.933 .727 .6 r
.5566 .48729 m .55587 .46934 L .5454 .46583 L p F P
0 g
s
.4 .256 .567 r
.74164 .37358 m .74585 .35626 L .73355 .35683 L p F P
0 g
s
.4 .256 .567 r
.73355 .35683 m .72945 .37553 L .74164 .37358 L p F P
0 g
s
.658 .737 .908 r
.56732 .06185 m .52825 .05836 L .52704 .07093 L p F P
0 g
s
.92 .74 .641 r
.30613 .4536 m .30989 .48958 L .32145 .48894 L p F P
0 g
s
.92 .74 .641 r
.32145 .48894 m .31726 .4506 L .30613 .4536 L p F P
0 g
s
.664 .343 .419 r
.48546 .91188 m .52374 .9145 L .52445 .90191 L p F P
0 g
s
.395 .373 .717 r
.74913 .62515 m .74336 .60793 L .73278 .61334 L p F P
0 g
s
.395 .373 .717 r
.73278 .61334 m .73938 .63167 L .74913 .62515 L p F P
0 g
s
.521 .63 .899 r
.65342 .43755 m .64312 .43026 L .6321 .43578 L p F P
0 g
s
.513 .621 .896 r
.62255 .42825 m .6321 .43578 L .64312 .43026 L p F P
0 g
s
.507 .606 .886 r
.42992 .32049 m .41195 .31136 L .40884 .32249 L p F P
0 g
s
.507 .606 .886 r
.40884 .32249 m .42862 .33217 L .42992 .32049 L p F P
0 g
s
.907 .75 .676 r
.06356 .44186 m .05898 .48402 L .07163 .48454 L p F P
0 g
s
.519 .228 .411 r
.39809 .67088 m .4186 .65767 L .41143 .64884 L p F P
0 g
s
.519 .228 .411 r
.41143 .64884 m .39031 .66288 L .39809 .67088 L p F P
0 g
s
.447 .207 .457 r
.61545 .56369 m .62539 .55629 L .62232 .54461 L p F P
0 g
s
.45 .21 .458 r
.63286 .5366 m .62232 .54461 L .62539 .55629 L p F P
0 g
s
.863 .529 .419 r
.6579 .40249 m .64813 .39474 L .64635 .40578 L p F P
0 g
s
.863 .529 .419 r
.64635 .40578 m .65608 .41354 L .6579 .40249 L p F P
0 g
s
.788 .863 .905 r
.64812 .57791 m .65739 .57088 L .6478 .56561 L p F P
0 g
s
.5 .627 .908 r
.67788 .71014 m .66487 .70128 L .65495 .70679 L p F P
0 g
s
.363 .281 .629 r
.51379 .47111 m .51448 .48553 L .52529 .48209 L p F P
0 g
s
.94 .826 .705 r
.77114 .34821 m .76575 .36345 L .77316 .37114 L p F P
0 g
s
.93 .676 .532 r
.76043 .58743 m .76402 .6034 L .77393 .60432 L p F P
0 g
s
.479 .187 .391 r
.64379 .28267 m .65968 .27463 L .6574 .26458 L p F P
0 g
s
.796 .86 .897 r
.44459 .6687 m .4278 .67673 L .42975 .68677 L p F P
0 g
s
.786 .427 .377 r
.4058 .28171 m .42376 .2938 L .43234 .28753 L p F P
0 g
s
.33 .254 .618 r
.28503 .51923 m .28889 .48703 L .27963 .48388 L p F P
0 g
s
.96 .785 .621 r
.97033 .48541 m .96836 .44126 L .96052 .44486 L p F P
0 g
s
.96 .785 .621 r
.96052 .44486 m .96201 .48748 L .97033 .48541 L p F P
0 g
s
.621 .231 .282 r
.52488 .02886 m .48176 .03101 L .48569 .03884 L p F P
0 g
s
.621 .231 .282 r
.48569 .03884 m .52716 .03723 L .52488 .02886 L p F P
0 g
s
.628 .789 .959 r
.52748 .94393 m .57156 .94081 L .56771 .93306 L p F P
0 g
s
.628 .789 .959 r
.56771 .93306 m .52526 .9356 L .52748 .94393 L p F P
0 g
s
.28 .241 .635 r
.02967 .48828 m .03403 .53656 L .04156 .53227 L p F P
0 g
s
.28 .241 .635 r
.04156 .53227 m .03791 .4859 L .02967 .48828 L p F P
0 g
s
.748 .63 .729 r
.58408 .36592 m .59519 .37203 L .58503 .39048 L p F P
0 g
s
.554 .665 .911 r
.59519 .37203 m .58408 .36592 L .59373 .35825 L p F P
0 g
s
.554 .665 .911 r
.59373 .35825 m .60509 .36466 L .59519 .37203 L p F P
0 g
s
.758 .633 .722 r
.72207 .73386 m .736 .73737 L .73941 .71659 L p F P
0 g
s
.758 .633 .722 r
.73941 .71659 m .72865 .71383 L .72207 .73386 L p F P
0 g
s
.672 .577 .741 r
.70272 .51783 m .69414 .52716 L .67894 .51258 L p F P
0 g
s
.429 .222 .495 r
.69414 .52716 m .70272 .51783 L .70846 .52874 L p F P
0 g
s
.429 .222 .495 r
.70846 .52874 m .69902 .53843 L .69414 .52716 L p F P
0 g
s
.712 .541 .657 r
.78518 .29861 m .78633 .28334 L .76527 .28326 L p F P
0 g
s
.712 .541 .657 r
.76527 .28326 m .76428 .29581 L .78518 .29861 L p F P
0 g
s
.721 .555 .664 r
.55233 .4062 m .55778 .39327 L .53808 .38581 L p F P
0 g
s
.721 .555 .664 r
.53808 .38581 m .53189 .40104 L .55233 .4062 L p F P
0 g
s
.693 .534 .668 r
.74804 .53721 m .74193 .52139 L .72265 .52986 L p F P
0 g
s
.693 .534 .668 r
.72265 .52986 m .72816 .5442 L .74804 .53721 L p F P
0 g
s
.675 .572 .731 r
.59564 .31127 m .58224 .32312 L .5974 .33774 L p F P
0 g
s
.675 .572 .731 r
.5974 .33774 m .60912 .32748 L .59564 .31127 L p F P
0 g
s
.672 .535 .689 r
.34878 .24412 m .33132 .23604 L .32432 .25591 L p F P
0 g
s
.672 .535 .689 r
.32432 .25591 m .33926 .26293 L .34878 .24412 L p F P
0 g
s
.736 .591 .693 r
.49892 .64697 m .51672 .63909 L .50797 .61993 L p F P
0 g
s
.736 .591 .693 r
.50797 .61993 m .49059 .6276 L .49892 .64697 L p F P
0 g
s
.704 .593 .728 r
.26345 .6207 m .26051 .65128 L .28157 .65139 L p F P
0 g
s
.704 .593 .728 r
.28157 .65139 m .2844 .62304 L .26345 .6207 L p F P
0 g
s
.697 .579 .719 r
.89252 .63316 m .86666 .6629 L .88279 .67646 L p F P
0 g
s
.697 .579 .719 r
.88279 .67646 m .91026 .64454 L .89252 .63316 L p F P
0 g
s
.696 .56 .697 r
.33825 .85378 m .3719 .88294 L .38351 .86533 L p F P
0 g
s
.696 .56 .697 r
.38351 .86533 m .35188 .83771 L .33825 .85378 L p F P
0 g
s
.718 .594 .717 r
.67057 .11175 m .70147 .14051 L .71559 .12489 L p F P
0 g
s
.718 .594 .717 r
.71559 .12489 m .6826 .09443 L .67057 .11175 L p F P
0 g
s
.716 .577 .698 r
.12568 .33142 m .1595 .2988 L .14469 .28381 L p F P
0 g
s
.716 .577 .698 r
.14469 .28381 m .10928 .31817 L .12568 .33142 L p F P
0 g
s
.75 .42 .425 r
.1876 .71758 m .23313 .73703 L .22851 .74833 L p F P
0 g
s
.75 .42 .425 r
.22851 .74833 m .18071 .72783 L .1876 .71758 L p F P
0 g
s
.439 .269 .553 r
.74429 .81087 m .76628 .77087 L .77697 .77716 L p F P
0 g
s
.439 .269 .553 r
.77697 .77716 m .75399 .81875 L .74429 .81087 L p F P
0 g
s
.883 .817 .778 r
.30864 .15491 m .28568 .19389 L .27532 .18737 L p F P
0 g
s
.883 .817 .778 r
.27532 .18737 m .29939 .14672 L .30864 .15491 L p F P
0 g
s
.552 .634 .886 r
.84842 .26861 m .81143 .24817 L .81768 .23749 L p F P
0 g
s
.552 .634 .886 r
.81768 .23749 m .85658 .25914 L .84842 .26861 L p F P
0 g
s
.328 .258 .624 r
.29349 .26621 m .29087 .29289 L .28128 .29168 L p F P
0 g
s
.328 .258 .624 r
.28128 .29168 m .28417 .26395 L .29333 .26617 L p F P
0 g
s
.328 .258 .624 r
.28128 .29168 m .29333 .26617 L .29328 .26664 L F
.705 .592 .727 r
.28417 .26395 m .28128 .29168 L .26021 .29179 L p F P
0 g
s
.705 .592 .727 r
.26021 .29179 m .26318 .26183 L .28417 .26395 L p F P
0 g
s
.914 .785 .704 r
.28172 .26634 m .27928 .29422 L .29074 .2929 L p F P
0 g
s
.914 .785 .704 r
.29074 .2929 m .29087 .29289 L p .29077 .29259 L F P
0 g
s
.914 .785 .704 r
.29077 .29259 m .28172 .26634 L .29074 .2929 L F
.328 .258 .624 r
.29333 .26617 m .29349 .26621 L p .29328 .26664 L F P
0 g
s
.912 .779 .7 r
.26318 .26183 m .26021 .29179 L .24853 .29311 L p F P
0 g
s
.916 .76 .672 r
.24904 .32528 m .24853 .29311 L .26021 .29179 L p F P
0 g
s
.74 .373 .357 r
.53537 .37647 m .51815 .36846 L .52543 .36077 L p F P
0 g
s
.74 .373 .357 r
.52543 .36077 m .54269 .36884 L .53539 .37645 L p F P
0 g
s
.74 .373 .357 r
.52543 .36077 m .53539 .37645 L .53534 .37643 L F
.677 .542 .693 r
.54269 .36884 m .52543 .36077 L .53419 .3416 L p F P
0 g
s
.508 .607 .887 r
.53707 .36492 m .51963 .35686 L .51815 .36843 L p F P
0 g
s
.508 .607 .887 r
.51815 .36843 m .51815 .36846 L p .5182 .36845 L F P
0 g
s
.508 .607 .887 r
.5182 .36845 m .53707 .36492 L .51815 .36843 L F
.74 .373 .357 r
.53539 .37645 m .53537 .37647 L p .53534 .37643 L F P
0 g
s
.677 .542 .693 r
.53419 .3416 m .55169 .34976 L .54269 .36884 L p F P
0 g
s
.512 .608 .885 r
.55169 .34976 m .53419 .3416 L .53574 .32994 L p F P
0 g
s
.516 .612 .887 r
.51776 .32188 m .53574 .32994 L .53419 .3416 L p F P
0 g
s
.726 .83 .93 r
.29204 .7158 m .3062 .71296 L .30727 .72304 L p F P
0 g
s
.726 .83 .93 r
.30727 .72304 m .29147 .72583 L .29202 .71615 L p F P
0 g
s
.726 .83 .93 r
.30727 .72304 m .29202 .71615 L .29256 .71604 L F
.739 .598 .7 r
.29147 .72583 m .30727 .72304 L .31427 .74292 L p F P
0 g
s
.64 .302 .383 r
.29685 .72654 m .31219 .72285 L .30635 .7132 L p F P
0 g
s
.64 .302 .383 r
.30635 .7132 m .3062 .71296 L p .30598 .71328 L F P
0 g
s
.64 .302 .383 r
.30598 .71328 m .29685 .72654 L .30635 .7132 L F
.726 .83 .93 r
.29202 .71615 m .29204 .7158 L p .29256 .71604 L F P
0 g
s
.739 .598 .7 r
.31427 .74292 m .29567 .7465 L .29147 .72583 L p F P
0 g
s
.628 .3 .397 r
.29567 .7465 m .31427 .74292 L .32027 .7529 L p F P
0 g
s
.59 .273 .399 r
.33994 .7456 m .32027 .7529 L .31427 .74292 L p F P
0 g
s
.438 .523 .848 r
.58758 .60779 m .59659 .61923 L .58595 .62323 L p F P
0 g
s
.438 .523 .848 r
.58595 .62323 m .57658 .61086 L .58731 .60787 L p F P
0 g
s
.438 .523 .848 r
.58595 .62323 m .58731 .60787 L .58754 .60816 L F
.896 .61 .494 r
.58203 .61797 m .59202 .62997 L .5965 .61945 L p F P
0 g
s
.896 .61 .494 r
.5965 .61945 m .59659 .61923 L p .59632 .61921 L F P
0 g
s
.896 .61 .494 r
.59632 .61921 m .58203 .61797 L .5965 .61945 L F
.438 .523 .848 r
.58731 .60787 m .58758 .60779 L p .58754 .60816 L F P
0 g
s
.728 .617 .734 r
.57658 .61086 m .58595 .62323 L .57077 .63786 L p F P
0 g
s
.728 .617 .734 r
.57077 .63786 m .56008 .62402 L .57658 .61086 L p F P
0 g
s
.886 .598 .494 r
.56008 .62402 m .57077 .63786 L .5661 .64862 L p F P
0 g
s
.87 .568 .474 r
.57932 .66207 m .5661 .64862 L .57077 .63786 L p F P
0 g
s
.925 .845 .746 r
.70257 .4628 m .70922 .44967 L .71636 .45765 L p F P
0 g
s
.925 .845 .746 r
.71636 .45765 m .70925 .47121 L .70268 .46294 L p F P
0 g
s
.925 .845 .746 r
.71636 .45765 m .70268 .46294 L .70279 .46272 L F
.723 .563 .673 r
.70925 .47121 m .71636 .45765 L .73566 .46612 L p F P
0 g
s
.426 .218 .493 r
.71476 .46407 m .72149 .45018 L .70939 .44968 L p F P
0 g
s
.426 .218 .493 r
.70939 .44968 m .70922 .44967 L p .70929 .44987 L F P
0 g
s
.426 .218 .493 r
.70929 .44987 m .71476 .46407 L .70939 .44968 L F
.925 .845 .746 r
.70268 .46294 m .70257 .4628 L p .70279 .46272 L F P
0 g
s
.723 .563 .673 r
.73566 .46612 m .728 .48088 L .70925 .47121 L p F P
0 g
s
.431 .23 .505 r
.728 .48088 m .73566 .46612 L .74799 .4667 L p F P
0 g
s
.423 .236 .521 r
.75484 .45046 m .74799 .4667 L .73566 .46612 L p F P
0 g
s
.693 .537 .671 r
.53893 .58796 m .5327 .57278 L .55241 .56532 L p F P
0 g
s
.901 .627 .513 r
.5327 .57278 m .53893 .58796 L .5278 .58947 L p F P
0 g
s
.901 .627 .513 r
.5278 .58947 m .52149 .57308 L .5327 .57278 L p F P
0 g
s
.95 .778 .635 r
.75484 .71186 m .75613 .70045 L .76554 .70385 L p F P
0 g
s
.95 .778 .635 r
.76554 .70385 m .76363 .71657 L .75517 .71204 L p F P
0 g
s
.95 .778 .635 r
.76554 .70385 m .75517 .71204 L .75523 .71157 L F
.711 .548 .666 r
.76363 .71657 m .76554 .70385 L .78662 .70377 L p F P
0 g
s
.401 .262 .575 r
.7671 .70966 m .76791 .69693 L .75648 .70034 L p F P
0 g
s
.401 .262 .575 r
.75648 .70034 m .75613 .70045 L p .75644 .7007 L F P
0 g
s
.401 .262 .575 r
.75644 .7007 m .7671 .70966 L .75648 .70034 L F
.95 .778 .635 r
.75517 .71204 m .75484 .71186 L p .75523 .71157 L F P
0 g
s
.711 .548 .666 r
.78662 .70377 m .78458 .7191 L .76363 .71657 L p F P
0 g
s
.411 .288 .601 r
.78458 .7191 m .78662 .70377 L .79848 .70028 L p F P
0 g
s
.404 .308 .632 r
.79797 .68319 m .79848 .70028 L .78662 .70377 L p F P
0 g
s
.599 .239 .33 r
.76019 .26403 m .75049 .26412 L .75238 .25394 L p F P
0 g
s
.599 .239 .33 r
.75238 .25394 m .76381 .25441 L .76037 .26355 L p F P
0 g
s
.599 .239 .33 r
.75238 .25394 m .76037 .26355 L .75982 .26356 L F
.663 .542 .706 r
.76381 .25441 m .75238 .25394 L .74897 .23314 L p F P
0 g
s
.594 .706 .921 r
.75625 .25246 m .74513 .25341 L .75029 .26372 L p F P
0 g
s
.594 .706 .921 r
.75029 .26372 m .75049 .26412 L p .75069 .26372 L F P
0 g
s
.594 .706 .921 r
.75069 .26372 m .75625 .25246 L .75029 .26372 L F
.599 .239 .33 r
.76037 .26355 m .76019 .26403 L p .75982 .26356 L F P
0 g
s
.663 .542 .706 r
.74897 .23314 m .76353 .23331 L .76381 .25441 L p F P
0 g
s
.632 .727 .916 r
.76353 .23331 m .74897 .23314 L .74363 .22233 L p F P
0 g
s
.671 .762 .919 r
.72742 .22545 m .74363 .22233 L .74897 .23314 L p F P
0 g
s
.745 .639 .742 r
.67167 .45238 m .67975 .46039 L .69398 .44484 L p F P
0 g
s
.745 .639 .742 r
.69398 .44484 m .68496 .436 L .67167 .45238 L p F P
0 g
s
.749 .63 .728 r
.57284 .36011 m .58408 .36592 L .57443 .38467 L p F P
0 g
s
.562 .674 .913 r
.58408 .36592 m .57284 .36011 L .58229 .35222 L p F P
0 g
s
.562 .674 .913 r
.58229 .35222 m .59373 .35825 L .58408 .36592 L p F P
0 g
s
.661 .561 .732 r
.59527 .5769 m .58484 .5828 L .59573 .60085 L p F P
0 g
s
.661 .561 .732 r
.59573 .60085 m .60693 .59449 L .59527 .5769 L p F P
0 g
s
.798 .457 .412 r
.64369 .66693 m .65979 .67466 L .66063 .6628 L p F P
0 g
s
.798 .457 .412 r
.66063 .6628 m .64443 .65507 L .64369 .66693 L p F P
0 g
s
.422 .363 .687 r
.94087 .48848 m .93983 .44937 L .92717 .45024 L p F P
0 g
s
.78 .839 .897 r
.69725 .27474 m .68378 .28416 L .69213 .29155 L p F P
0 g
s
.78 .839 .897 r
.69213 .29155 m .7056 .28211 L .69725 .27474 L p F P
0 g
s
.933 .727 .6 r
.5454 .46583 m .54644 .48297 L .5566 .48729 L p F P
0 g
s
.937 .745 .618 r
.55599 .50317 m .5566 .48729 L .54644 .48297 L p F P
0 g
s
.397 .26 .576 r
.73864 .39024 m .74164 .37358 L .72945 .37553 L p F P
0 g
s
.397 .26 .576 r
.72945 .37553 m .7265 .39249 L .73864 .39024 L p F P
0 g
s
.688 .76 .907 r
.52825 .05836 m .49053 .05946 L .49139 .07205 L p F P
0 g
s
.917 .713 .611 r
.29826 .41901 m .30613 .4536 L .31726 .4506 L p F P
0 g
s
.917 .713 .611 r
.31726 .4506 m .30904 .41512 L .29826 .41901 L p F P
0 g
s
.635 .321 .421 r
.52374 .9145 m .56243 .91255 L .56106 .89998 L p F P
0 g
s
.395 .377 .721 r
.75538 .6411 m .74913 .62515 L .73938 .63167 L p F P
0 g
s
.395 .377 .721 r
.73938 .63167 m .74574 .64773 L .75538 .6411 L p F P
0 g
s
.513 .621 .896 r
.64312 .43026 m .6335 .42261 L .62255 .42825 L p F P
0 g
s
.515 .625 .898 r
.61332 .42106 m .62255 .42825 L .6335 .42261 L p F P
0 g
s
.524 .627 .895 r
.44843 .32806 m .42992 .32049 L .42862 .33217 L p F P
0 g
s
.524 .627 .895 r
.42862 .33217 m .44778 .33979 L .44843 .32806 L p F P
0 g
s
.905 .714 .633 r
.05898 .48402 m .06178 .526 L .0743 .52408 L p F P
0 g
s
.508 .223 .417 r
.37946 .68458 m .39809 .67088 L .39031 .66288 L p F P
0 g
s
.508 .223 .417 r
.39031 .66288 m .37146 .67688 L .37946 .68458 L p F P
0 g
s
.45 .21 .458 r
.62539 .55629 m .63548 .54839 L .63286 .5366 L p F P
0 g
s
.451 .206 .45 r
.64262 .52974 m .63286 .5366 L .63548 .54839 L p F P
0 g
s
.537 .673 .925 r
.62611 .69308 m .64169 .70046 L .65027 .69358 L p F P
0 g
s
.53 .663 .921 r
.66487 .70128 m .65027 .69358 L .64169 .70046 L p F P
0 g
s
.956 .735 .564 r
.96836 .44126 m .95907 .39817 L .952 .40328 L p F P
0 g
s
.956 .735 .564 r
.952 .40328 m .96052 .44486 L .96836 .44126 L p F P
0 g
s
.446 .185 .423 r
.68147 .24749 m .6683 .25678 L .67181 .26669 L p F P
0 g
s
.451 .186 .42 r
.65968 .27463 m .67181 .26669 L .6683 .25678 L p F P
0 g
s
.363 .258 .599 r
.51448 .48553 m .5138 .50208 L .52456 .49853 L p F P
0 g
s
.363 .258 .599 r
.52456 .49853 m .52529 .48209 L .51448 .48553 L p F P
0 g
s
.947 .802 .667 r
.76575 .36345 m .76233 .37811 L .77063 .38456 L p F P
0 g
s
.561 .187 .289 r
.48176 .03101 m .43996 .04074 L .44537 .04778 L p F P
0 g
s
.561 .187 .289 r
.44537 .04778 m .48569 .03884 L .48176 .03101 L p F P
0 g
s
.335 .318 .692 r
.28889 .48703 m .28511 .45615 L .2754 .45567 L p F P
0 g
s
.688 .833 .953 r
.57156 .94081 m .6141 .92996 L .60879 .92302 L p F P
0 g
s
.688 .833 .953 r
.60879 .92302 m .56771 .93306 L .57156 .94081 L p F P
0 g
s
.909 .625 .492 r
.7851 .63252 m .77903 .61734 L .76905 .61796 L p F P
0 g
s
.914 .636 .502 r
.76402 .6034 m .76905 .61796 L .77903 .61734 L p F P
0 g
s
.862 .528 .417 r
.64813 .39474 m .63791 .38676 L .63643 .39786 L p F P
0 g
s
.862 .528 .417 r
.63643 .39786 m .64635 .40578 L .64813 .39474 L p F P
0 g
s
.744 .374 .353 r
.42376 .2938 m .43913 .30142 L .44695 .2942 L p F P
0 g
s
.292 .308 .706 r
.03403 .53656 m .04823 .58246 L .0548 .57664 L p F P
0 g
s
.292 .308 .706 r
.0548 .57664 m .04156 .53227 L .03403 .53656 L p F P
0 g
s
.827 .864 .874 r
.4278 .67673 m .40991 .68845 L .41384 .69787 L p F P
0 g
s
.773 .859 .914 r
.65739 .57088 m .66771 .56367 L .65807 .55852 L p F P
0 g
s
.773 .859 .914 r
.65807 .55852 m .6478 .56561 L .65739 .57088 L p F P
0 g
s
.746 .624 .724 r
.70618 .72729 m .72207 .73386 L .72865 .71383 L p F P
0 g
s
.746 .624 .724 r
.72865 .71383 m .71509 .70817 L .70618 .72729 L p F P
0 g
s
.674 .581 .743 r
.71059 .50797 m .70272 .51783 L .68647 .5044 L p F P
0 g
s
.419 .227 .512 r
.70272 .51783 m .71059 .50797 L .71707 .5185 L p F P
0 g
s
.419 .227 .512 r
.71707 .5185 m .70846 .52874 L .70272 .51783 L p F P
0 g
s
.716 .551 .665 r
.78173 .31591 m .78518 .29861 L .76428 .29581 L p F P
0 g
s
.716 .551 .665 r
.76428 .29581 m .76122 .31093 L .78173 .31591 L p F P
0 g
s
.717 .55 .663 r
.5484 .4199 m .55233 .4062 L .53189 .40104 L p F P
0 g
s
.717 .55 .663 r
.53189 .40104 m .5275 .41697 L .5484 .4199 L p F P
0 g
s
.696 .537 .668 r
.75305 .55397 m .74804 .53721 L .72816 .5442 L p F P
0 g
s
.696 .537 .668 r
.72816 .5442 m .73266 .55938 L .75305 .55397 L p F P
0 g
s
.675 .568 .727 r
.6111 .30038 m .59564 .31127 L .60912 .32748 L p F P
0 g
s
.675 .568 .727 r
.60912 .32748 m .62274 .31798 L .6111 .30038 L p F P
0 g
s
.681 .544 .691 r
.36883 .25584 m .34878 .24412 L .33926 .26293 L p F P
0 g
s
.681 .544 .691 r
.33926 .26293 m .35785 .27386 L .36883 .25584 L p F P
0 g
s
.737 .592 .695 r
.48052 .65434 m .49892 .64697 L .49059 .6276 L p F P
0 g
s
.737 .592 .695 r
.49059 .6276 m .47293 .63466 L .48052 .65434 L p F P
0 g
s
.703 .589 .725 r
.26994 .58611 m .26345 .6207 L .2844 .62304 L p F P
0 g
s
.703 .589 .725 r
.2844 .62304 m .29064 .59025 L .26994 .58611 L p F P
0 g
s
.693 .559 .698 r
.41471 .88686 m .38351 .86533 L .3719 .88294 L p F P
0 g
s
.693 .559 .698 r
.3719 .88294 m .40639 .90625 L .41471 .88686 L p F P
0 g
s
.698 .581 .721 r
.914 .60122 m .89252 .63316 L .91026 .64454 L p F P
0 g
s
.698 .581 .721 r
.91026 .64454 m .93351 .60924 L .914 .60122 L p F P
0 g
s
.72 .595 .716 r
.6826 .09443 m .64795 .06977 L .63921 .08897 L p F P
0 g
s
.72 .595 .716 r
.63921 .08897 m .67057 .11175 L .6826 .09443 L p F P
0 g
s
.716 .575 .696 r
.09786 .36458 m .12568 .33142 L .10928 .31817 L p F P
0 g
s
.716 .575 .696 r
.10928 .31817 m .07926 .35462 L .09786 .36458 L p F P
0 g
s
.697 .363 .407 r
.23313 .73703 m .27645 .74639 L .27916 .75768 L p F P
0 g
s
.697 .363 .407 r
.27763 .75739 m .23313 .73703 L .27916 .75768 L F
.27927 .75814 m .22851 .74833 L .23313 .73703 L p F P
0 g
s
.676 .343 .402 r
.27645 .74639 m .29567 .7465 L .30048 .75733 L p F P
0 g
s
.676 .343 .402 r
.30048 .75733 m .27927 .75814 L .27645 .74639 L p F P
0 g
s
.565 .716 .943 r
.28193 .7487 m .22796 .73884 L .2285 .74808 L p F P
0 g
s
.565 .716 .943 r
.2285 .74808 m .22851 .74833 L p .22983 .74834 L F P
0 g
s
.565 .716 .943 r
.28193 .7487 m .2285 .74808 L .22983 .74834 L F
.697 .363 .407 r
.27916 .75768 m .27927 .75814 L p .27763 .75739 L F P
0 g
s
.422 .284 .586 r
.76628 .77087 m .78043 .73405 L .7931 .7335 L p F P
0 g
s
.422 .284 .586 r
.7931 .7335 m .77697 .77716 L .76628 .77087 L p F P
0 g
s
.901 .801 .74 r
.28568 .19389 m .27038 .23235 L .25867 .23084 L p F P
0 g
s
.901 .801 .74 r
.2589 .23027 m .28568 .19389 L .25867 .23084 L F
.25849 .23082 m .27532 .18737 L .28568 .19389 L p F P
0 g
s
.903 .799 .735 r
.25132 .26194 m .25849 .23082 L .27038 .23235 L p F P
0 g
s
.335 .171 .505 r
.26718 .23436 m .28474 .18842 L .27536 .18737 L p F P
0 g
s
.335 .171 .505 r
.27536 .18737 m .27532 .18737 L p .27528 .18758 L F P
0 g
s
.335 .171 .505 r
.26718 .23436 m .27536 .18737 L .27528 .18758 L F
.901 .801 .74 r
.25867 .23084 m .25849 .23082 L p .2589 .23027 L F P
0 g
s
.594 .684 .905 r
.81143 .24817 m .77797 .23617 L .77617 .22444 L p F P
0 g
s
.594 .684 .905 r
.77777 .22495 m .81143 .24817 L .77617 .22444 L F
.77607 .22377 m .81768 .23749 L .81143 .24817 L p F P
0 g
s
.592 .684 .906 r
.77797 .23617 m .76353 .23331 L .75962 .22165 L p F P
0 g
s
.592 .684 .906 r
.75962 .22165 m .77607 .22377 L .77797 .23617 L p F P
0 g
s
.735 .352 .326 r
.77065 .23228 m .81735 .24695 L .81768 .23756 L p F P
0 g
s
.735 .352 .326 r
.81768 .23756 m .81768 .23749 L p .81738 .23746 L F P
0 g
s
.735 .352 .326 r
.77065 .23228 m .81768 .23756 L .81738 .23746 L F
.594 .684 .905 r
.77617 .22444 m .77607 .22377 L p .77777 .22495 L F P
0 g
s
.328 .222 .578 r
.29968 .24095 m .29349 .26621 L .28417 .26395 L p F P
0 g
s
.328 .222 .578 r
.28417 .26395 m .29089 .2374 L .29947 .24086 L p F P
0 g
s
.328 .222 .578 r
.28417 .26395 m .29947 .24086 L .29931 .2415 L F
.702 .589 .727 r
.29089 .2374 m .28417 .26395 L .26318 .26183 L p F P
0 g
s
.702 .589 .727 r
.26318 .26183 m .27038 .23235 L .29089 .2374 L p F P
0 g
s
.904 .806 .741 r
.28787 .23945 m .28172 .26634 L .29333 .26621 L p F P
0 g
s
.904 .806 .741 r
.29333 .26621 m .29349 .26621 L p .29341 .26584 L F P
0 g
s
.904 .806 .741 r
.29341 .26584 m .28787 .23945 L .29333 .26621 L F
.328 .222 .578 r
.29947 .24086 m .29968 .24095 L p .29931 .2415 L F P
0 g
s
.903 .799 .735 r
.27038 .23235 m .26318 .26183 L .25132 .26194 L p F P
0 g
s
.912 .779 .7 r
.24853 .29311 m .25132 .26194 L .26318 .26183 L p F P
0 g
s
.744 .377 .358 r
.5525 .38472 m .53537 .37647 L .54269 .36884 L p F P
0 g
s
.744 .377 .358 r
.54269 .36884 m .55985 .37714 L .55252 .3847 L p F P
0 g
s
.744 .377 .358 r
.54269 .36884 m .55252 .3847 L .55247 .38468 L F
.677 .542 .692 r
.55985 .37714 m .54269 .36884 L .55169 .34976 L p F P
0 g
s
.504 .603 .885 r
.55443 .37322 m .53707 .36492 L .53537 .37644 L p F P
0 g
s
.504 .603 .885 r
.53537 .37644 m .53537 .37647 L p .53542 .37646 L F P
0 g
s
.504 .603 .885 r
.53542 .37646 m .55443 .37322 L .53537 .37644 L F
.744 .377 .358 r
.55252 .3847 m .5525 .38472 L p .55247 .38468 L F P
0 g
s
.677 .542 .692 r
.55169 .34976 m .56912 .35817 L .55985 .37714 L p F P
0 g
s
.509 .604 .884 r
.56912 .35817 m .55169 .34976 L .55346 .33814 L p F P
0 g
s
.512 .608 .885 r
.53574 .32994 m .55346 .33814 L .55169 .34976 L p F P
0 g
s
.662 .792 .944 r
.27891 .71572 m .29204 .7158 L .29147 .72583 L p F P
0 g
s
.662 .792 .944 r
.29147 .72583 m .27627 .72527 L .27877 .71623 L p F P
0 g
s
.662 .792 .944 r
.29147 .72583 m .27877 .71623 L .27953 .71623 L F
.739 .603 .706 r
.27627 .72527 m .29147 .72583 L .29567 .7465 L p F P
0 g
s
.699 .354 .388 r
.28175 .72739 m .29685 .72654 L .2922 .71614 L p F P
0 g
s
.699 .354 .388 r
.2922 .71614 m .29204 .7158 L p .29173 .71615 L F P
0 g
s
.699 .354 .388 r
.29173 .71615 m .28175 .72739 L .2922 .71614 L F
.662 .792 .944 r
.27877 .71623 m .27891 .71572 L p .27953 .71623 L F P
0 g
s
.739 .603 .706 r
.29567 .7465 m .27645 .74639 L .27627 .72527 L p F P
0 g
s
.628 .3 .397 r
.32027 .7529 m .30048 .75733 L .29567 .7465 L p F P
0 g
s
.423 .495 .829 r
.57948 .59543 m .58758 .60779 L .57658 .61086 L p F P
0 g
s
.423 .495 .829 r
.57658 .61086 m .56824 .59763 L .57923 .59548 L p F P
0 g
s
.423 .495 .829 r
.57658 .61086 m .57923 .59548 L .57942 .59577 L F
.908 .637 .515 r
.57307 .60499 m .58203 .61797 L .58747 .60798 L p F P
0 g
s
.908 .637 .515 r
.58747 .60798 m .58758 .60779 L p .58732 .60774 L F P
0 g
s
.908 .637 .515 r
.58732 .60774 m .57307 .60499 L .58747 .60798 L F
.423 .495 .829 r
.57923 .59548 m .57948 .59543 L p .57942 .59577 L F P
0 g
s
.726 .617 .736 r
.56824 .59763 m .57658 .61086 L .56008 .62402 L p F P
0 g
s
.726 .617 .736 r
.56008 .62402 m .55064 .6093 L .56824 .59763 L p F P
0 g
s
.9 .627 .515 r
.55064 .6093 m .56008 .62402 L .55444 .63422 L p F P
0 g
s
.886 .598 .494 r
.5661 .64862 m .55444 .63422 L .56008 .62402 L p F P
0 g
s
.917 .853 .763 r
.69511 .47557 m .70257 .4628 L .70925 .47121 L p F P
0 g
s
.917 .853 .763 r
.70925 .47121 m .70131 .48437 L .69521 .47571 L p F P
0 g
s
.917 .853 .763 r
.70925 .47121 m .69521 .47571 L .69533 .47551 L F
.725 .566 .674 r
.70131 .48437 m .70925 .47121 L .728 .48088 L p F P
0 g
s
.435 .215 .479 r
.70717 .47758 m .71476 .46407 L .70274 .46282 L p F P
0 g
s
.435 .215 .479 r
.70274 .46282 m .70257 .4628 L p .70264 .463 L F P
0 g
s
.435 .215 .479 r
.70264 .463 m .70717 .47758 L .70274 .46282 L F
.917 .853 .763 r
.69521 .47571 m .69511 .47557 L p .69533 .47551 L F P
0 g
s
.725 .566 .674 r
.728 .48088 m .71946 .49516 L .70131 .48437 L p F P
0 g
s
.439 .226 .491 r
.71946 .49516 m .728 .48088 L .74025 .48222 L p F P
0 g
s
.431 .23 .505 r
.74799 .4667 m .74025 .48222 L .728 .48088 L p F P
0 g
s
.686 .528 .666 r
.55782 .57858 m .56243 .58793 L .54445 .59899 L p F P
0 g
s
.686 .528 .666 r
.54445 .59899 m .53893 .58796 L .55782 .57858 L p F P
0 g
s
.886 .595 .49 r
.53893 .58796 m .54445 .59899 L .53562 .60506 L p F P
0 g
s
.886 .595 .49 r
.53562 .60506 m .5278 .58947 L .53893 .58796 L p F P
0 g
s
.947 .814 .679 r
.75206 .72274 m .75484 .71186 L .76363 .71657 L p F P
0 g
s
.947 .814 .679 r
.76363 .71657 m .76001 .7287 L .7524 .72299 L p F P
0 g
s
.947 .814 .679 r
.76363 .71657 m .7524 .72299 L .75253 .72249 L F
.716 .553 .667 r
.76001 .7287 m .76363 .71657 L .78458 .7191 L p F P
0 g
s
.415 .245 .54 r
.76466 .72214 m .7671 .70966 L .75523 .71179 L p F P
0 g
s
.415 .245 .54 r
.75523 .71179 m .75484 .71186 L p .75514 .71217 L F P
0 g
s
.415 .245 .54 r
.75514 .71217 m .76466 .72214 L .75523 .71179 L F
.947 .814 .679 r
.7524 .72299 m .75206 .72274 L p .75253 .72249 L F P
0 g
s
.716 .553 .667 r
.78458 .7191 m .78043 .73405 L .76001 .7287 L p F P
0 g
s
.424 .272 .57 r
.78043 .73405 m .78458 .7191 L .79692 .71694 L p F P
0 g
s
.411 .288 .601 r
.79848 .70028 m .79692 .71694 L .78458 .7191 L p F P
0 g
s
.747 .638 .739 r
.66291 .44481 m .67167 .45238 L .68496 .436 L p F P
0 g
s
.747 .638 .739 r
.68496 .436 m .67546 .42783 L .66291 .44481 L p F P
0 g
s
.658 .282 .323 r
.76909 .26562 m .76019 .26403 L .76381 .25441 L p F P
0 g
s
.658 .282 .323 r
.76381 .25441 m .7745 .257 L .76943 .26509 L p F P
0 g
s
.658 .282 .323 r
.76381 .25441 m .76943 .26509 L .76879 .26498 L F
.664 .537 .699 r
.7745 .257 m .76381 .25441 L .76353 .23331 L p F P
0 g
s
.54 .648 .904 r
.76714 .2533 m .75625 .25246 L .76002 .26353 L p F P
0 g
s
.54 .648 .904 r
.76002 .26353 m .76019 .26403 L p .76047 .2636 L F P
0 g
s
.54 .648 .904 r
.76047 .2636 m .76714 .2533 L .76002 .26353 L F
.658 .282 .323 r
.76943 .26509 m .76909 .26562 L p .76879 .26498 L F P
0 g
s
.664 .537 .699 r
.76353 .23331 m .77797 .23617 L .7745 .257 L p F P
0 g
s
.632 .727 .916 r
.74363 .22233 m .75962 .22165 L .76353 .23331 L p F P
0 g
s
.662 .564 .734 r
.60545 .57053 m .59527 .5769 L .60693 .59449 L p F P
0 g
s
.662 .564 .734 r
.60693 .59449 m .61776 .58769 L .60545 .57053 L p F P
0 g
s
.812 .709 .752 r
.56358 .37907 m .55985 .37714 L .56912 .35817 L p F P
0 g
s
.812 .709 .752 r
.56912 .35817 m .57284 .36011 L .56358 .37907 L p F P
0 g
s
.568 .681 .916 r
.57284 .36011 m .56912 .35817 L .57111 .3466 L p F P
0 g
s
.568 .681 .916 r
.57111 .3466 m .58229 .35222 L .57284 .36011 L p F P
0 g
s
.814 .477 .419 r
.64443 .65507 m .63022 .64728 L .62886 .65905 L p F P
0 g
s
.428 .401 .727 r
.93983 .44937 m .9324 .41134 L .92004 .41422 L p F P
0 g
s
.757 .829 .908 r
.7056 .28211 m .71795 .27475 L .71004 .26674 L p F P
0 g
s
.937 .745 .618 r
.54644 .48297 m .54575 .49908 L .55599 .50317 L p F P
0 g
s
.398 .253 .565 r
.7265 .39249 m .72338 .40799 L .73556 .40611 L p F P
0 g
s
.731 .789 .899 r
.49053 .05946 m .45373 .06725 L .45661 .07952 L p F P
0 g
s
.917 .712 .61 r
.29023 .38535 m .29826 .41901 L .30904 .41512 L p F P
0 g
s
.917 .712 .61 r
.30904 .41512 m .30106 .38159 L .29023 .38535 L p F P
0 g
s
.592 .292 .43 r
.56243 .91255 m .60002 .90373 L .59663 .89155 L p F P
0 g
s
.391 .36 .704 r
.74574 .64773 m .75073 .6624 L .76073 .6562 L p F P
0 g
s
.515 .625 .898 r
.6335 .42261 m .62408 .41508 L .61332 .42106 L p F P
0 g
s
.527 .631 .897 r
.46666 .33501 m .44843 .32806 L .44778 .33979 L p F P
0 g
s
.527 .631 .897 r
.44778 .33979 m .46607 .34672 L .46666 .33501 L p F P
0 g
s
.894 .663 .582 r
.06178 .526 m .07348 .56663 L .08543 .56254 L p F P
0 g
s
.517 .226 .412 r
.37146 .67688 m .35367 .68928 L .36141 .69729 L p F P
0 g
s
.451 .206 .45 r
.63548 .54839 m .64547 .54148 L .64262 .52974 L p F P
0 g
s
.524 .659 .921 r
.60983 .68427 m .62611 .69308 L .63449 .68603 L p F P
0 g
s
.537 .673 .925 r
.65027 .69358 m .63449 .68603 L .62611 .69308 L p F P
0 g
s
.94 .676 .507 r
.95907 .39817 m .94244 .35757 L .93643 .36405 L p F P
0 g
s
.94 .676 .507 r
.93643 .36405 m .952 .40328 L .95907 .39817 L p F P
0 g
s
.454 .18 .407 r
.69634 .23846 m .68147 .24749 L .68513 .25735 L p F P
0 g
s
.446 .185 .423 r
.67181 .26669 m .68513 .25735 L .68147 .24749 L p F P
0 g
s
.361 .258 .601 r
.5138 .50208 m .51341 .5198 L .52389 .51552 L p F P
0 g
s
.361 .258 .601 r
.52389 .51552 m .52456 .49853 L .5138 .50208 L p F P
0 g
s
.949 .798 .658 r
.76468 .41679 m .76801 .40011 L .75949 .39407 L p F P
0 g
s
.949 .793 .653 r
.76233 .37811 m .75949 .39407 L .76801 .40011 L p F P
0 g
s
.505 .155 .307 r
.43996 .04074 m .40035 .05769 L .40709 .06367 L p F P
0 g
s
.505 .155 .307 r
.40709 .06367 m .44537 .04778 L .43996 .04074 L p F P
0 g
s
.344 .352 .724 r
.25993 .3912 m .26792 .42461 L .2776 .42377 L p F P
0 g
s
.344 .35 .723 r
.28511 .45615 m .2776 .42377 L .26792 .42461 L p F P
0 g
s
.745 .866 .936 r
.6141 .92996 m .65428 .91175 L .64764 .90591 L p F P
0 g
s
.745 .866 .936 r
.64764 .90591 m .60879 .92302 L .6141 .92996 L p F P
0 g
s
.916 .638 .499 r
.79084 .64916 m .7851 .63252 L .77514 .63346 L p F P
0 g
s
.909 .625 .492 r
.76905 .61796 m .77514 .63346 L .7851 .63252 L p F P
0 g
s
.856 .517 .41 r
.63791 .38676 m .62734 .37902 L .62624 .39016 L p F P
0 g
s
.856 .517 .41 r
.62624 .39016 m .63643 .39786 L .63791 .38676 L p F P
0 g
s
.724 .352 .345 r
.43913 .30142 m .45632 .30839 L .46348 .30063 L p F P
0 g
s
.317 .378 .767 r
.04823 .58246 m .07116 .62532 L .07652 .61819 L p F P
0 g
s
.317 .378 .767 r
.07652 .61819 m .0548 .57664 L .04823 .58246 L p F P
0 g
s
.833 .866 .869 r
.37772 .724 m .39655 .71081 L .39206 .70162 L p F P
0 g
s
.838 .865 .864 r
.40991 .68845 m .39206 .70162 L .39655 .71081 L p F P
0 g
s
.775 .861 .913 r
.66771 .56367 m .67841 .55591 L .66855 .55122 L p F P
0 g
s
.775 .861 .913 r
.66855 .55122 m .65807 .55852 L .66771 .56367 L p F P
0 g
s
.665 .587 .758 r
.69346 .49565 m .69711 .49082 L .71497 .50207 L p F P
0 g
s
.665 .587 .758 r
.71497 .50207 m .71059 .50797 L .69346 .49565 L p F P
0 g
s
.41 .234 .529 r
.71059 .50797 m .71497 .50207 L .72495 .50779 L p F P
0 g
s
.41 .234 .529 r
.72495 .50779 m .71707 .5185 L .71059 .50797 L p F P
0 g
s
.743 .625 .728 r
.69177 .71936 m .70618 .72729 L .71509 .70817 L p F P
0 g
s
.743 .625 .728 r
.71509 .70817 m .70257 .70121 L .69177 .71936 L p F P
0 g
s
.712 .547 .664 r
.5275 .41697 m .52486 .43362 L .54596 .43457 L p F P
0 g
s
.712 .547 .664 r
.54596 .43457 m .5484 .4199 L .5275 .41697 L p F P
0 g
s
.719 .555 .667 r
.77691 .3322 m .78173 .31591 L .76122 .31093 L p F P
0 g
s
.719 .555 .667 r
.76122 .31093 m .75686 .32558 L .77691 .3322 L p F P
0 g
s
.698 .539 .668 r
.75703 .57068 m .75305 .55397 L .73266 .55938 L p F P
0 g
s
.698 .539 .668 r
.73266 .55938 m .73637 .57508 L .75703 .57068 L p F P
0 g
s
.674 .565 .724 r
.62715 .29105 m .6111 .30038 L .62274 .31798 L p F P
0 g
s
.674 .565 .724 r
.62274 .31798 m .63735 .30954 L .62715 .29105 L p F P
0 g
s
.736 .592 .695 r
.46243 .66145 m .48052 .65434 L .47293 .63466 L p F P
0 g
s
.736 .592 .695 r
.47293 .63466 m .45485 .64174 L .46243 .66145 L p F P
0 g
s
.682 .544 .69 r
.38754 .26845 m .36883 .25584 L .35785 .27386 L p F P
0 g
s
.682 .544 .69 r
.35785 .27386 m .37551 .28581 L .38754 .26845 L p F P
0 g
s
.703 .588 .725 r
.27755 .55244 m .26994 .58611 L .29064 .59025 L p F P
0 g
s
.703 .588 .725 r
.29064 .59025 m .29812 .55724 L .27755 .55244 L p F P
0 g
s
.692 .559 .7 r
.40639 .90625 m .44424 .92304 L .44906 .90248 L p F P
0 g
s
.692 .559 .7 r
.44906 .90248 m .41471 .88686 L .40639 .90625 L p F P
0 g
s
.701 .584 .722 r
.93351 .60924 m .95 .5705 L .92936 .56601 L p F P
0 g
s
.701 .584 .722 r
.92936 .56601 m .914 .60122 L .93351 .60924 L p F P
0 g
s
.722 .595 .714 r
.60439 .07225 m .63921 .08897 L .64795 .06977 L p F P
0 g
s
.722 .595 .714 r
.64795 .06977 m .60965 .05179 L .60439 .07225 L p F P
0 g
s
.714 .572 .694 r
.07926 .35462 m .05671 .39571 L .07689 .40196 L p F P
0 g
s
.714 .572 .694 r
.07689 .40196 m .09786 .36458 L .07926 .35462 L p F P
0 g
s
.405 .444 .788 r
.56824 .59763 m .56243 .58793 L .57176 .58284 L p F P
0 g
s
.704 .571 .702 r
.56243 .58793 m .56824 .59763 L .55064 .6093 L p F P
0 g
s
.704 .571 .702 r
.55064 .6093 m .54445 .59899 L .56243 .58793 L p F P
0 g
s
.887 .864 .811 r
.70131 .48437 m .69711 .49082 L .68905 .48519 L p F P
0 g
s
.702 .58 .715 r
.69711 .49082 m .70131 .48437 L .71946 .49516 L p F P
0 g
s
.702 .58 .715 r
.71946 .49516 m .71497 .50207 L .69711 .49082 L p F P
0 g
s
.434 .24 .516 r
.71497 .50207 m .71946 .49516 L .73158 .49725 L p F P
0 g
s
.434 .24 .516 r
.73158 .49725 m .7254 .50706 L p .71497 .50207 L F P
0 g
s
.434 .24 .516 r
.72486 .50774 m .71497 .50207 L p .7254 .50706 L F P
0 g
s
.861 .878 .849 r
.71698 .50221 m .70634 .51669 L .71644 .51839 L p F P
0 g
s
.861 .878 .849 r
.71644 .51839 m .71707 .5185 L p .71707 .51759 L F P
0 g
s
.861 .878 .849 r
.71698 .50221 m .71644 .51839 L .71707 .51759 L F
.434 .24 .516 r
.7254 .50706 m .72495 .50779 L .72486 .50774 L p F P
0 g
s
.887 .605 .503 r
.54445 .59899 m .55064 .6093 L .54413 .61888 L p F P
0 g
s
.887 .605 .503 r
.54413 .61888 m .53571 .60522 L p .54445 .59899 L F P
0 g
s
.887 .605 .503 r
.53563 .60505 m .54445 .59899 L p .53571 .60522 L F P
0 g
s
.374 .387 .745 r
.54486 .60004 m .53562 .58152 L .528 .58927 L p F P
0 g
s
.374 .387 .745 r
.528 .58927 m .5278 .58947 L p .52823 .58974 L F P
0 g
s
.374 .387 .745 r
.54486 .60004 m .528 .58927 L .52823 .58974 L F
.887 .605 .503 r
.53571 .60522 m .53562 .60506 L .53563 .60505 L p F P
0 g
s
.509 .604 .884 r
.55346 .33814 m .56824 .34523 L p .56912 .35817 L F P
0 g
s
.509 .604 .884 r
.57105 .34698 m .56912 .35817 L p .56824 .34523 L F P
0 g
s
.8 .443 .38 r
.56378 .35408 m .58249 .36338 L .58232 .35403 L p F P
0 g
s
.8 .443 .38 r
.58232 .35403 m .58229 .35222 L p .57982 .35246 L F P
0 g
s
.8 .443 .38 r
.56378 .35408 m .58232 .35403 L .57982 .35246 L F
.509 .604 .884 r
.56824 .34523 m .57111 .3466 L .57105 .34698 L p F P
0 g
s
.405 .444 .788 r
.57176 .58284 m .57948 .59543 L .56824 .59763 L p F P
0 g
s
.9 .627 .515 r
.55444 .63422 m .54536 .62071 L p .55064 .6093 L F P
0 g
s
.9 .627 .515 r
.54422 .61875 m .55064 .6093 L p .54536 .62071 L F P
0 g
s
.406 .457 .801 r
.55531 .61677 m .54486 .60004 L .53611 .6048 L p F P
0 g
s
.406 .457 .801 r
.53611 .6048 m .53562 .60506 L p .53661 .60566 L F P
0 g
s
.406 .457 .801 r
.55531 .61677 m .53611 .6048 L .53661 .60566 L F
.9 .627 .515 r
.54536 .62071 m .54413 .61888 L .54422 .61875 L p F P
0 g
s
.887 .864 .811 r
.68905 .48519 m .69511 .47557 L .70131 .48437 L p F P
0 g
s
.439 .226 .491 r
.74025 .48222 m .73264 .49541 L p .71946 .49516 L F P
0 g
s
.439 .226 .491 r
.73142 .49722 m .71946 .49516 L p .73264 .49541 L F P
0 g
s
.9 .863 .795 r
.72549 .48847 m .71698 .50221 L .72454 .5075 L p F P
0 g
s
.9 .863 .795 r
.72454 .5075 m .72495 .50779 L p .72497 .50685 L F P
0 g
s
.9 .863 .795 r
.72549 .48847 m .72454 .5075 L .72497 .50685 L F
.439 .226 .491 r
.73264 .49541 m .73158 .49725 L .73142 .49722 L p F P
0 g
s
.424 .272 .57 r
.79692 .71694 m .79381 .73041 L p .78043 .73405 L F P
0 g
s
.424 .272 .57 r
.79261 .73352 m .78043 .73405 L p .79381 .73041 L F P
0 g
s
.931 .857 .747 r
.78527 .72754 m .76776 .77624 L .77576 .77704 L p F P
0 g
s
.931 .857 .747 r
.77576 .77704 m .77697 .77716 L p .77794 .77141 L F P
0 g
s
.931 .857 .747 r
.78527 .72754 m .77576 .77704 L .77794 .77141 L F
.424 .272 .57 r
.79381 .73041 m .7931 .7335 L .79261 .73352 L p F P
0 g
s
.747 .635 .736 r
.65342 .43755 m .66291 .44481 L .67546 .42783 L p F P
0 g
s
.747 .635 .736 r
.67546 .42783 m .66572 .42036 L .65342 .43755 L p F P
0 g
s
.663 .566 .735 r
.61545 .56369 m .60545 .57053 L .61776 .58769 L p F P
0 g
s
.663 .566 .735 r
.61776 .58769 m .62828 .58049 L .61545 .56369 L p F P
0 g
s
.834 .504 .431 r
.63022 .64728 m .61722 .63867 L .61493 .65022 L p F P
0 g
s
.442 .445 .767 r
.9324 .41134 m .91858 .37551 L .9069 .38039 L p F P
0 g
s
.728 .812 .917 r
.71795 .27475 m .73035 .26899 L .72323 .2601 L p F P
0 g
s
.936 .739 .612 r
.54575 .49908 m .54508 .51456 L .5556 .5179 L p F P
0 g
s
.402 .244 .55 r
.72338 .40799 m .71959 .42287 L .73183 .42159 L p F P
0 g
s
.771 .81 .885 r
.45373 .06725 m .41876 .08138 L .4236 .09295 L p F P
0 g
s
.918 .72 .619 r
.30106 .38159 m .29431 .3486 L .28332 .35188 L p F P
0 g
s
.552 .272 .445 r
.60002 .90373 m .63554 .88849 L .63019 .87706 L p F P
0 g
s
.389 .339 .681 r
.75073 .6624 m .75433 .67674 L .76489 .67131 L p F P
0 g
s
.523 .634 .902 r
.62408 .41508 m .61452 .40784 L .60401 .41423 L p F P
0 g
s
.526 .63 .897 r
.46607 .34672 m .48411 .35356 L .48479 .34187 L p F P
0 g
s
.875 .612 .538 r
.07348 .56663 m .09302 .60485 L .10401 .59878 L p F P
0 g
s
.533 .234 .405 r
.35367 .68928 m .33573 .70027 L .34297 .70881 L p F P
0 g
s
.446 .205 .454 r
.64547 .54148 m .65518 .53475 L .6518 .52312 L p F P
0 g
s
.504 .634 .911 r
.5939 .67393 m .60983 .68427 L .61862 .67763 L p F P
0 g
s
.524 .659 .921 r
.63449 .68603 m .61862 .67763 L .60983 .68427 L p F P
0 g
s
.914 .61 .454 r
.94244 .35757 m .91944 .32132 L .91428 .3286 L p F P
0 g
s
.914 .61 .454 r
.91428 .3286 m .93643 .36405 L .94244 .35757 L p F P
0 g
s
.472 .179 .385 r
.7125 .23067 m .69634 .23846 L .69919 .24851 L p F P
0 g
s
.454 .18 .407 r
.68513 .25735 m .69919 .24851 L .69634 .23846 L p F P
0 g
s
.358 .271 .62 r
.51341 .5198 m .51433 .53776 L .52436 .53258 L p F P
0 g
s
.358 .271 .62 r
.52436 .53258 m .52389 .51552 L .51341 .5198 L p F P
0 g
s
.948 .808 .673 r
.76045 .4337 m .76468 .41679 L .75631 .41053 L p F P
0 g
s
.949 .798 .658 r
.75949 .39407 m .75631 .41053 L .76468 .41679 L p F P
0 g
s
.454 .136 .335 r
.40035 .05769 m .36507 .0807 L .37245 .08595 L p F P
0 g
s
.454 .136 .335 r
.37245 .08595 m .40709 .06367 L .40035 .05769 L p F P
0 g
s
.34 .342 .715 r
.25286 .35688 m .25993 .3912 L .26957 .39017 L p F P
0 g
s
.344 .352 .724 r
.2776 .42377 m .26957 .39017 L .25993 .3912 L p F P
0 g
s
.8 .887 .908 r
.65428 .91175 m .6899 .88728 L .68257 .88225 L p F P
0 g
s
.8 .887 .908 r
.68257 .88225 m .64764 .90591 L .65428 .91175 L p F P
0 g
s
.927 .663 .518 r
.79541 .66675 m .79084 .64916 L .78087 .64955 L p F P
0 g
s
.916 .638 .499 r
.77514 .63346 m .78087 .64955 L .79084 .64916 L p F P
0 g
s
.848 .504 .402 r
.62734 .37902 m .61637 .37161 L .6157 .38277 L p F P
0 g
s
.848 .504 .402 r
.6157 .38277 m .62624 .39016 L .62734 .37902 L p F P
0 g
s
.718 .345 .342 r
.49931 .31412 m .48124 .30731 L .47428 .31521 L p F P
0 g
s
.718 .345 .343 r
.45632 .30839 m .47428 .31521 L .48124 .30731 L p F P
0 g
s
.353 .45 .821 r
.07116 .62532 m .10077 .66236 L .10543 .65468 L p F P
0 g
s
.353 .45 .821 r
.10543 .65468 m .07652 .61819 L .07116 .62532 L p F P
0 g
s
.82 .865 .88 r
.35773 .73637 m .37772 .724 L .37349 .71473 L p F P
0 g
s
.833 .866 .869 r
.39206 .70162 m .37349 .71473 L .37772 .724 L p F P
0 g
s
.787 .866 .908 r
.67841 .55591 m .68894 .54751 L .67882 .54343 L p F P
0 g
s
.787 .866 .908 r
.67882 .54343 m .66855 .55122 L .67841 .55591 L p F P
0 g
s
.74 .623 .73 r
.67788 .71014 m .69177 .71936 L .70257 .70121 L p F P
0 g
s
.74 .623 .73 r
.70257 .70121 m .68997 .69281 L .67788 .71014 L p F P
0 g
s
.708 .544 .665 r
.52486 .43362 m .52388 .45033 L .54501 .44978 L p F P
0 g
s
.708 .544 .665 r
.54501 .44978 m .54596 .43457 L .52486 .43362 L p F P
0 g
s
.72 .558 .669 r
.77114 .34821 m .77691 .3322 L .75686 .32558 L p F P
0 g
s
.72 .558 .669 r
.75686 .32558 m .75143 .34059 L .77114 .34821 L p F P
0 g
s
.699 .541 .669 r
.76043 .58743 m .75703 .57068 L .73637 .57508 L p F P
0 g
s
.699 .541 .669 r
.73637 .57508 m .73964 .59125 L .76043 .58743 L p F P
0 g
s
.674 .563 .722 r
.64379 .28267 m .62715 .29105 L .63735 .30954 L p F P
0 g
s
.674 .563 .722 r
.63735 .30954 m .65297 .30171 L .64379 .28267 L p F P
0 g
s
.736 .591 .695 r
.44459 .6687 m .46243 .66145 L .45485 .64174 L p F P
0 g
s
.736 .591 .695 r
.45485 .64174 m .43672 .64908 L .44459 .6687 L p F P
0 g
s
.684 .544 .69 r
.4058 .28171 m .38754 .26845 L .37551 .28581 L p F P
0 g
s
.684 .544 .69 r
.37551 .28581 m .39323 .29871 L .4058 .28171 L p F P
0 g
s
.703 .588 .725 r
.28503 .51923 m .27755 .55244 L .29812 .55724 L p F P
0 g
s
.703 .588 .725 r
.29812 .55724 m .30563 .52399 L .28503 .51923 L p F P
0 g
s
.691 .561 .703 r
.44424 .92304 m .48438 .93299 L .48546 .91188 L p F P
0 g
s
.691 .561 .703 r
.48546 .91188 m .44906 .90248 L .44424 .92304 L p F P
0 g
s
.723 .593 .711 r
.56732 .06185 m .60439 .07225 L .60965 .05179 L p F P
0 g
s
.723 .593 .711 r
.60965 .05179 m .56884 .04076 L .56732 .06185 L p F P
0 g
s
.703 .587 .723 r
.95 .5705 m .95952 .52926 L .9384 .52826 L p F P
0 g
s
.703 .587 .723 r
.9384 .52826 m .92936 .56601 L .95 .5705 L p F P
0 g
s
.711 .569 .693 r
.05671 .39571 m .0425 .43998 L .06356 .44186 L p F P
0 g
s
.711 .569 .693 r
.06356 .44186 m .07689 .40196 L .05671 .39571 L p F P
0 g
s
.746 .633 .734 r
.64312 .43026 m .65342 .43755 L .66572 .42036 L p F P
0 g
s
.746 .633 .734 r
.66572 .42036 m .65608 .41354 L .64312 .43026 L p F P
0 g
s
.665 .568 .736 r
.62539 .55629 m .61545 .56369 L .62828 .58049 L p F P
0 g
s
.665 .568 .736 r
.62828 .58049 m .63835 .57302 L .62539 .55629 L p F P
0 g
s
.462 .494 .806 r
.91858 .37551 m .89802 .34227 L .88709 .34853 L p F P
0 g
s
.933 .719 .589 r
.54508 .51456 m .54538 .52964 L .55619 .5319 L p F P
0 g
s
.809 .825 .863 r
.41876 .08138 m .38619 .10214 L .39242 .11293 L p F P
0 g
s
.512 .258 .467 r
.63554 .88849 m .66833 .8665 L .66156 .85592 L p F P
0 g
s
.532 .646 .907 r
.61452 .40784 m .60474 .40095 L .59455 .40781 L p F P
0 g
s
.848 .558 .498 r
.09302 .60485 m .12035 .63957 L .13048 .63229 L p F P
0 g
s
.436 .205 .464 r
.65518 .53475 m .66449 .52777 L .66039 .51633 L p F P
0 g
s
.89 .561 .419 r
.91944 .32132 m .89076 .2872 L .88707 .2955 L p F P
0 g
s
.89 .561 .419 r
.88707 .2955 m .91428 .3286 L .91944 .32132 L p F P
0 g
s
.356 .291 .646 r
.51433 .53776 m .51699 .55582 L .52636 .54953 L p F P
0 g
s
.356 .291 .646 r
.52636 .54953 m .52436 .53258 L .51433 .53776 L p F P
0 g
s
.422 .13 .362 r
.36507 .0807 m .32929 .11101 L .33761 .11493 L p F P
0 g
s
.422 .13 .362 r
.33761 .11493 m .37245 .08595 L .36507 .0807 L p F P
0 g
s
.836 .894 .882 r
.6899 .88728 m .72499 .85566 L .71675 .852 L p F P
0 g
s
.836 .894 .882 r
.71675 .852 m .68257 .88225 L .6899 .88728 L p F P
0 g
s
.838 .488 .394 r
.61637 .37161 m .60509 .36466 L .60482 .37584 L p F P
0 g
s
.838 .488 .394 r
.60482 .37584 m .6157 .38277 L .61637 .37161 L p F P
0 g
s
.381 .496 .851 r
.10077 .66236 m .13783 .69896 L .14097 .69038 L p F P
0 g
s
.381 .496 .851 r
.14097 .69038 m .10543 .65468 L .10077 .66236 L p F P
0 g
s
.802 .872 .899 r
.68894 .54751 m .69902 .53843 L .68861 .53509 L p F P
0 g
s
.802 .872 .899 r
.68861 .53509 m .67882 .54343 L .68894 .54751 L p F P
0 g
s
.861 .544 .451 r
.61722 .63867 m .60637 .62953 L .60299 .64079 L p F P
0 g
s
.684 .785 .927 r
.73035 .26899 m .74062 .26565 L .73383 .25606 L p F P
0 g
s
.408 .23 .526 r
.71959 .42287 m .71493 .43642 L .72723 .43601 L p F P
0 g
s
.92 .743 .646 r
.29431 .3486 m .29108 .32057 L .2798 .32313 L p F P
0 g
s
.385 .306 .644 r
.75433 .67674 m .75603 .6888 L .76713 .68392 L p F P
0 g
s
.515 .617 .891 r
.48411 .35356 m .50104 .36075 L .5022 .3491 L p F P
0 g
s
.559 .246 .394 r
.33573 .70027 m .32084 .70785 L .32795 .71676 L p F P
0 g
s
.478 .601 .896 r
.57932 .66207 m .5939 .67393 L .60322 .66793 L p F P
0 g
s
.504 .634 .911 r
.61862 .67763 m .60322 .66793 L .5939 .67393 L p F P
0 g
s
.487 .173 .36 r
.72742 .22545 m .7125 .23067 L .71426 .24085 L p F P
0 g
s
.472 .179 .385 r
.69919 .24851 m .71426 .24085 L .7125 .23067 L p F P
0 g
s
.944 .823 .695 r
.75484 .45046 m .76045 .4337 L .75235 .42703 L p F P
0 g
s
.948 .808 .673 r
.75631 .41053 m .75235 .42703 L .76045 .4337 L p F P
0 g
s
.332 .317 .692 r
.24904 .32528 m .25286 .35688 L .2625 .35605 L p F P
0 g
s
.34 .342 .715 r
.26957 .39017 m .2625 .35605 L .25286 .35688 L p F P
0 g
s
.938 .69 .537 r
.79797 .68319 m .79541 .66675 L .78552 .66629 L p F P
0 g
s
.927 .663 .518 r
.78087 .64955 m .78552 .66629 L .79541 .66675 L p F P
0 g
s
.727 .355 .345 r
.51776 .32188 m .49931 .31412 L .49242 .32206 L p F P
0 g
s
.718 .345 .342 r
.47428 .31521 m .49242 .32206 L .49931 .31412 L p F P
0 g
s
.807 .865 .891 r
.33994 .7456 m .35773 .73637 L .35402 .72695 L p F P
0 g
s
.82 .865 .88 r
.37349 .71473 m .35402 .72695 L .35773 .73637 L p F P
0 g
s
.738 .621 .728 r
.66487 .70128 m .67788 .71014 L .68997 .69281 L p F P
0 g
s
.738 .621 .728 r
.68997 .69281 m .67683 .68383 L .66487 .70128 L p F P
0 g
s
.705 .544 .667 r
.5454 .46583 m .54501 .44978 L .52388 .45033 L p F P
0 g
s
.705 .544 .667 r
.52388 .45033 m .52426 .46672 L .5454 .46583 L p F P
0 g
s
.719 .558 .671 r
.76575 .36345 m .77114 .34821 L .75143 .34059 L p F P
0 g
s
.719 .558 .671 r
.75143 .34059 m .74585 .35626 L .76575 .36345 L p F P
0 g
s
.698 .541 .67 r
.76402 .6034 m .76043 .58743 L .73964 .59125 L p F P
0 g
s
.698 .541 .67 r
.73964 .59125 m .74336 .60793 L .76402 .6034 L p F P
0 g
s
.676 .564 .722 r
.65968 .27463 m .64379 .28267 L .65297 .30171 L p F P
0 g
s
.676 .564 .722 r
.65297 .30171 m .66919 .29353 L .65968 .27463 L p F P
0 g
s
.734 .589 .693 r
.4278 .67673 m .44459 .6687 L .43672 .64908 L p F P
0 g
s
.734 .589 .693 r
.43672 .64908 m .4186 .65767 L .4278 .67673 L p F P
0 g
s
.684 .546 .691 r
.42376 .2938 m .4058 .28171 L .39323 .29871 L p F P
0 g
s
.684 .546 .691 r
.39323 .29871 m .41195 .31136 L .42376 .2938 L p F P
0 g
s
.705 .59 .725 r
.28889 .48703 m .28503 .51923 L .30563 .52399 L p F P
0 g
s
.705 .59 .725 r
.30563 .52399 m .30989 .48958 L .28889 .48703 L p F P
0 g
s
.691 .563 .706 r
.52374 .9145 m .48546 .91188 L .48438 .93299 L p F P
0 g
s
.691 .563 .706 r
.48438 .93299 m .52526 .9356 L .52374 .9145 L p F P
0 g
s
.723 .591 .708 r
.52825 .05836 m .56732 .06185 L .56884 .04076 L p F P
0 g
s
.723 .591 .708 r
.56884 .04076 m .52716 .03723 L .52825 .05836 L p F P
0 g
s
.706 .589 .723 r
.94087 .48848 m .9384 .52826 L .95952 .52926 L p F P
0 g
s
.706 .589 .723 r
.95952 .52926 m .96201 .48748 L .94087 .48848 L p F P
0 g
s
.708 .566 .692 r
.05898 .48402 m .06356 .44186 L .0425 .43998 L p F P
0 g
s
.708 .566 .692 r
.0425 .43998 m .03791 .4859 L .05898 .48402 L p F P
0 g
s
.745 .634 .736 r
.6335 .42261 m .64312 .43026 L .65608 .41354 L p F P
0 g
s
.745 .634 .736 r
.65608 .41354 m .64635 .40578 L .6335 .42261 L p F P
0 g
s
.667 .569 .735 r
.63835 .57302 m .6478 .56561 L .63548 .54839 L p F P
0 g
s
.667 .569 .735 r
.63548 .54839 m .62539 .55629 L .63835 .57302 L p F P
0 g
s
.882 .581 .473 r
.60637 .62953 m .59659 .61923 L .59202 .62997 L p F P
0 g
s
.48 .529 .83 r
.89802 .34227 m .8736 .31193 L .86394 .31991 L p F P
0 g
s
.634 .746 .928 r
.74062 .26565 m .75049 .26412 L .74513 .25341 L p F P
0 g
s
.927 .691 .562 r
.54538 .52964 m .54696 .54433 L .55801 .54546 L p F P
0 g
s
.417 .223 .507 r
.71493 .43642 m .70922 .44967 L .72149 .45018 L p F P
0 g
s
.831 .829 .845 r
.38619 .10214 m .35392 .12855 L .36176 .13813 L p F P
0 g
s
.919 .766 .675 r
.29108 .32057 m .29087 .29289 L .27928 .29422 L p F P
0 g
s
.488 .255 .486 r
.66833 .8665 m .70002 .8389 L .69167 .82959 L p F P
0 g
s
.39 .28 .607 r
.75603 .6888 m .75613 .70045 L .76791 .69693 L p F P
0 g
s
.543 .659 .911 r
.60474 .40095 m .59457 .39445 L .58467 .40172 L p F P
0 g
s
.51 .611 .889 r
.50104 .36075 m .51815 .36846 L .51963 .35686 L p F P
0 g
s
.83 .528 .478 r
.12035 .63957 m .15284 .67276 L .16147 .66387 L p F P
0 g
s
.599 .271 .385 r
.32084 .70785 m .3062 .71296 L .31219 .72285 L p F P
0 g
s
.426 .208 .477 r
.66449 .52777 m .67328 .52038 L .66849 .50914 L p F P
0 g
s
.453 .564 .876 r
.5661 .64862 m .57932 .66207 L .58941 .65713 L p F P
0 g
s
.478 .601 .896 r
.60322 .66793 m .58941 .65713 L .57932 .66207 L p F P
0 g
s
.848 .491 .377 r
.89076 .2872 m .85658 .25914 L .85444 .26814 L p F P
0 g
s
.848 .491 .377 r
.85444 .26814 m .88707 .2955 L .89076 .2872 L p F P
0 g
s
.52 .179 .33 r
.74363 .22233 m .72742 .22545 L .7272 .23587 L p F P
0 g
s
.487 .173 .36 r
.71426 .24085 m .7272 .23587 L .72742 .22545 L p F P
0 g
s
.355 .315 .675 r
.51699 .55582 m .52149 .57308 L .53007 .56586 L p F P
0 g
s
.355 .315 .675 r
.53007 .56586 m .52636 .54953 L .51699 .55582 L p F P
0 g
s
.938 .837 .719 r
.74799 .4667 m .75484 .45046 L .74728 .44306 L p F P
0 g
s
.944 .823 .695 r
.75235 .42703 m .74728 .44306 L .75484 .45046 L p F P
0 g
s
.384 .132 .404 r
.32929 .11101 m .29939 .14672 L .30837 .14929 L p F P
0 g
s
.384 .132 .404 r
.30837 .14929 m .33761 .11493 L .32929 .11101 L p F P
0 g
s
.324 .285 .659 r
.24853 .29311 m .24904 .32528 L .25868 .3255 L p F P
0 g
s
.332 .317 .692 r
.2625 .35605 m .25868 .3255 L .24904 .32528 L p F P
0 g
s
.876 .893 .841 r
.72499 .85566 m .75399 .81875 L .74515 .81645 L p F P
0 g
s
.876 .893 .841 r
.74515 .81645 m .71675 .852 L .72499 .85566 L p F P
0 g
s
.95 .73 .571 r
.79848 .70028 m .79797 .68319 L .7882 .6811 L p F P
0 g
s
.938 .69 .537 r
.78552 .66629 m .7882 .6811 L .79797 .68319 L p F P
0 g
s
.828 .474 .386 r
.60509 .36466 m .59373 .35825 L .59373 .36942 L p F P
0 g
s
.828 .474 .386 r
.59373 .36942 m .60482 .37584 L .60509 .36466 L p F P
0 g
s
.734 .363 .347 r
.53574 .32994 m .51776 .32188 L .5106 .32958 L p F P
0 g
s
.727 .355 .345 r
.49242 .32206 m .5106 .32958 L .51776 .32188 L p F P
0 g
s
.431 .568 .891 r
.13783 .69896 m .18071 .72783 L .1822 .71865 L p F P
0 g
s
.431 .568 .891 r
.1822 .71865 m .14097 .69038 L .13783 .69896 L p F P
0 g
s
.776 .858 .912 r
.32027 .7529 m .33994 .7456 L .33754 .73572 L p F P
0 g
s
.807 .865 .891 r
.35402 .72695 m .33754 .73572 L .33994 .7456 L p F P
0 g
s
.818 .878 .889 r
.69902 .53843 m .70846 .52874 L .69785 .5262 L p F P
0 g
s
.818 .878 .889 r
.69785 .5262 m .68861 .53509 L .69902 .53843 L p F P
0 g
s
.736 .613 .721 r
.65027 .69358 m .66487 .70128 L .67683 .68383 L p F P
0 g
s
.736 .613 .721 r
.67683 .68383 m .65979 .67466 L .65027 .69358 L p F P
0 g
s
.705 .546 .67 r
.54644 .48297 m .5454 .46583 L .52426 .46672 L p F P
0 g
s
.705 .546 .67 r
.52426 .46672 m .52529 .48209 L .54644 .48297 L p F P
0 g
s
.695 .541 .674 r
.76905 .61796 m .76402 .6034 L .74336 .60793 L p F P
0 g
s
.695 .541 .674 r
.74336 .60793 m .74913 .62515 L .76905 .61796 L p F P
0 g
s
.714 .555 .672 r
.76233 .37811 m .76575 .36345 L .74585 .35626 L p F P
0 g
s
.714 .555 .672 r
.74585 .35626 m .74164 .37358 L .76233 .37811 L p F P
0 g
s
.677 .569 .726 r
.67181 .26669 m .65968 .27463 L .66919 .29353 L p F P
0 g
s
.677 .569 .726 r
.66919 .29353 m .68378 .28416 L .67181 .26669 L p F P
0 g
s
.728 .583 .692 r
.40991 .68845 m .4278 .67673 L .4186 .65767 L p F P
0 g
s
.728 .583 .692 r
.4186 .65767 m .39809 .67088 L .40991 .68845 L p F P
0 g
s
.679 .544 .693 r
.43913 .30142 m .42376 .2938 L .41195 .31136 L p F P
0 g
s
.679 .544 .693 r
.41195 .31136 m .42992 .32049 L .43913 .30142 L p F P
0 g
s
.709 .593 .724 r
.28511 .45615 m .28889 .48703 L .30989 .48958 L p F P
0 g
s
.709 .593 .724 r
.30989 .48958 m .30613 .4536 L .28511 .45615 L p F P
0 g
s
.723 .59 .706 r
.49053 .05946 m .52825 .05836 L .52716 .03723 L p F P
0 g
s
.723 .59 .706 r
.52716 .03723 m .48569 .03884 L .49053 .05946 L p F P
0 g
s
.691 .565 .708 r
.56243 .91255 m .52374 .9145 L .52526 .9356 L p F P
0 g
s
.691 .565 .708 r
.52526 .9356 m .56771 .93306 L .56243 .91255 L p F P
0 g
s
.708 .591 .723 r
.93983 .44937 m .94087 .48848 L .96201 .48748 L p F P
0 g
s
.708 .591 .723 r
.96201 .48748 m .96052 .44486 L .93983 .44937 L p F P
0 g
s
.706 .564 .692 r
.06178 .526 m .05898 .48402 L .03791 .4859 L p F P
0 g
s
.706 .564 .692 r
.03791 .4859 m .04156 .53227 L .06178 .526 L p F P
0 g
s
.663 .566 .735 r
.6478 .56561 m .65807 .55852 L .64547 .54148 L p F P
0 g
s
.663 .566 .735 r
.64547 .54148 m .63548 .54839 L .6478 .56561 L p F P
0 g
s
.746 .635 .737 r
.64635 .40578 m .63643 .39786 L .62408 .41508 L p F P
0 g
s
.746 .635 .737 r
.62408 .41508 m .6335 .42261 L .64635 .40578 L p F P
0 g
s
.896 .61 .494 r
.59659 .61923 m .58758 .60779 L .58203 .61797 L p F P
0 g
s
.512 .582 .862 r
.8736 .31193 m .84408 .28672 L .83594 .29612 L p F P
0 g
s
.594 .706 .921 r
.75049 .26412 m .76019 .26403 L .75625 .25246 L p F P
0 g
s
.916 .656 .531 r
.54696 .54433 m .54996 .55832 L .56109 .55809 L p F P
0 g
s
.426 .218 .493 r
.70922 .44967 m .70257 .4628 L .71476 .46407 L p F P
0 g
s
.861 .828 .814 r
.35392 .12855 m .32667 .16012 L .33584 .16829 L p F P
0 g
s
.914 .785 .704 r
.29087 .29289 m .29349 .26621 L .28172 .26634 L p F P
0 g
s
.458 .256 .516 r
.70002 .8389 m .72651 .80619 L .71689 .79833 L p F P
0 g
s
.401 .262 .575 r
.75613 .70045 m .75484 .71186 L .7671 .70966 L p F P
0 g
s
.553 .67 .915 r
.59457 .39445 m .584 .38834 L .57435 .39591 L p F P
0 g
s
.508 .607 .887 r
.51815 .36846 m .53537 .37647 L .53707 .36492 L p F P
0 g
s
.793 .473 .447 r
.15284 .67276 m .19065 .69913 L .19753 .68896 L p F P
0 g
s
.64 .302 .383 r
.3062 .71296 m .29204 .7158 L .29685 .72654 L p F P
0 g
s
.414 .211 .493 r
.67328 .52038 m .68145 .51266 L .67581 .50177 L p F P
0 g
s
.434 .531 .857 r
.55444 .63422 m .5661 .64862 L .57671 .64473 L p F P
0 g
s
.453 .564 .876 r
.58941 .65713 m .57671 .64473 L .5661 .64862 L p F P
0 g
s
.8 .426 .347 r
.85658 .25914 m .81768 .23749 L .81735 .24695 L p F P
0 g
s
.8 .426 .347 r
.81735 .24695 m .85444 .26814 L .85658 .25914 L p F P
0 g
s
.56 .196 .307 r
.75962 .22165 m .74363 .22233 L .74168 .23242 L p F P
0 g
s
.52 .179 .33 r
.7272 .23587 m .74168 .23242 L .74363 .22233 L p F P
0 g
s
.359 .346 .708 r
.52149 .57308 m .5278 .58947 L .53562 .58152 L p F P
0 g
s
.359 .346 .708 r
.53562 .58152 m .53007 .56586 L .52149 .57308 L p F P
0 g
s
.931 .847 .738 r
.74025 .48222 m .74799 .4667 L .74096 .45873 L p F P
0 g
s
.938 .837 .719 r
.74728 .44306 m .74096 .45873 L .74799 .4667 L p F P
0 g
s
.356 .145 .449 r
.29939 .14672 m .27532 .18737 L .28474 .18842 L p F P
0 g
s
.356 .145 .449 r
.28474 .18842 m .30837 .14929 L .29939 .14672 L p F P
0 g
s
.319 .254 .626 r
.25132 .26194 m .24853 .29311 L .25801 .29433 L p F P
0 g
s
.324 .285 .659 r
.25868 .3255 m .25801 .29433 L .24853 .29311 L p F P
0 g
s
.907 .881 .798 r
.75399 .81875 m .77697 .77716 L .76776 .77624 L p F P
0 g
s
.907 .881 .798 r
.76776 .77624 m .74515 .81645 L .75399 .81875 L p F P
0 g
s
.956 .768 .608 r
.79692 .71694 m .79848 .70028 L .78918 .69684 L p F P
0 g
s
.95 .73 .571 r
.7882 .6811 m .78918 .69684 L .79848 .70028 L p F P
0 g
s
.82 .463 .381 r
.59373 .35825 m .58229 .35222 L .58249 .36338 L p F P
0 g
s
.82 .463 .381 r
.58249 .36338 m .59373 .36942 L .59373 .35825 L p F P
0 g
s
.738 .367 .349 r
.55346 .33814 m .53574 .32994 L .52847 .33752 L p F P
0 g
s
.734 .363 .347 r
.5106 .32958 m .52847 .33752 L .53574 .32994 L p F P
0 g
s
.486 .636 .921 r
.18071 .72783 m .22851 .74833 L .22796 .73884 L p F P
0 g
s
.486 .636 .921 r
.22796 .73884 m .1822 .71865 L .18071 .72783 L p F P
0 g
s
.738 .844 .93 r
.30048 .75733 m .32027 .7529 L .31925 .74291 L p F P
0 g
s
.776 .858 .912 r
.33754 .73572 m .31925 .74291 L .32027 .7529 L p F P
0 g
s
.837 .882 .874 r
.70846 .52874 m .71707 .5185 L .70634 .51669 L p F P
0 g
s
.837 .882 .874 r
.70634 .51669 m .69785 .5262 L .70846 .52874 L p F P
0 g
s
.675 .569 .728 r
.68513 .25735 m .67181 .26669 L .68378 .28416 L p F P
0 g
s
.675 .569 .728 r
.68378 .28416 m .69725 .27474 L .68513 .25735 L p F P
0 g
s
.708 .546 .667 r
.54575 .49908 m .54644 .48297 L .52529 .48209 L p F P
0 g
s
.708 .546 .667 r
.52529 .48209 m .52456 .49853 L .54575 .49908 L p F P
0 g
s
.713 .552 .67 r
.75949 .39407 m .76233 .37811 L .74164 .37358 L p F P
0 g
s
.713 .552 .67 r
.74164 .37358 m .73864 .39024 L .75949 .39407 L p F P
0 g
s
.693 .538 .672 r
.77514 .63346 m .76905 .61796 L .74913 .62515 L p F P
0 g
s
.693 .538 .672 r
.74913 .62515 m .75538 .6411 L .77514 .63346 L p F P
0 g
s
.738 .615 .721 r
.63449 .68603 m .65027 .69358 L .65979 .67466 L p F P
0 g
s
.738 .615 .721 r
.65979 .67466 m .64369 .66693 L .63449 .68603 L p F P
0 g
s
.677 .543 .695 r
.45632 .30839 m .43913 .30142 L .42992 .32049 L p F P
0 g
s
.677 .543 .695 r
.42992 .32049 m .44843 .32806 L .45632 .30839 L p F P
0 g
s
.728 .582 .69 r
.39206 .70162 m .40991 .68845 L .39809 .67088 L p F P
0 g
s
.728 .582 .69 r
.39809 .67088 m .37946 .68458 L .39206 .70162 L p F P
0 g
s
.711 .595 .724 r
.2776 .42377 m .28511 .45615 L .30613 .4536 L p F P
0 g
s
.711 .595 .724 r
.30613 .4536 m .29826 .41901 L .2776 .42377 L p F P
0 g
s
.723 .587 .703 r
.48569 .03884 m .44537 .04778 L .45373 .06725 L p F P
0 g
s
.723 .587 .703 r
.45373 .06725 m .49053 .05946 L .48569 .03884 L p F P
0 g
s
.691 .568 .711 r
.60002 .90373 m .56243 .91255 L .56771 .93306 L p F P
0 g
s
.691 .568 .711 r
.56771 .93306 m .60879 .92302 L .60002 .90373 L p F P
0 g
s
.71 .593 .723 r
.96052 .44486 m .952 .40328 L .9324 .41134 L p F P
0 g
s
.71 .593 .723 r
.9324 .41134 m .93983 .44937 L .96052 .44486 L p F P
0 g
s
.703 .562 .693 r
.04156 .53227 m .0548 .57664 L .07348 .56663 L p F P
0 g
s
.703 .562 .693 r
.07348 .56663 m .06178 .526 L .04156 .53227 L p F P
0 g
s
.663 .567 .737 r
.65807 .55852 m .66855 .55122 L .65518 .53475 L p F P
0 g
s
.663 .567 .737 r
.65518 .53475 m .64547 .54148 L .65807 .55852 L p F P
0 g
s
.748 .635 .736 r
.63643 .39786 m .62624 .39016 L .61452 .40784 L p F P
0 g
s
.748 .635 .736 r
.61452 .40784 m .62408 .41508 L .63643 .39786 L p F P
0 g
s
.908 .637 .515 r
.58758 .60779 m .57948 .59543 L .57307 .60499 L p F P
0 g
s
.54 .648 .904 r
.76019 .26403 m .76909 .26562 L .76714 .2533 L p F P
0 g
s
.435 .215 .479 r
.70257 .4628 m .69511 .47557 L .70717 .47758 L p F P
0 g
s
.904 .806 .741 r
.29349 .26621 m .29968 .24095 L .28787 .23945 L p F P
0 g
s
.415 .245 .54 r
.75484 .71186 m .75206 .72274 L .76466 .72214 L p F P
0 g
s
.504 .603 .885 r
.53537 .37647 m .5525 .38472 L .55443 .37322 L p F P
0 g
s
.699 .354 .388 r
.29204 .7158 m .27891 .71572 L .28175 .72739 L p F P
0 g
s
.418 .501 .837 r
.54413 .61888 m .55444 .63422 L .56539 .63124 L p F P
0 g
s
.434 .531 .857 r
.57671 .64473 m .56539 .63124 L .55444 .63422 L p F P
0 g
s
.61 .224 .287 r
.77607 .22377 m .75962 .22165 L .75596 .23117 L p F P
0 g
s
.56 .196 .307 r
.74168 .23242 m .75596 .23117 L .75962 .22165 L p F P
0 g
s
.547 .631 .887 r
.84408 .28672 m .81071 .26718 L .80446 .27776 L p F P
0 g
s
.901 .62 .502 r
.54996 .55832 m .55469 .57205 L .56575 .57061 L p F P
0 g
s
.924 .856 .757 r
.73158 .49725 m .74025 .48222 L .73369 .47382 L p F P
0 g
s
.931 .847 .738 r
.74096 .45873 m .73369 .47382 L .74025 .48222 L p F P
0 g
s
.317 .217 .58 r
.25849 .23082 m .25132 .26194 L .26054 .2642 L p F P
0 g
s
.319 .254 .626 r
.25801 .29433 m .26054 .2642 L .25132 .26194 L p F P
0 g
s
.957 .805 .65 r
.7931 .7335 m .79692 .71694 L .78824 .71221 L p F P
0 g
s
.956 .768 .608 r
.78918 .69684 m .78824 .71221 L .79692 .71694 L p F P
0 g
s
.742 .371 .35 r
.57111 .3466 m .55346 .33814 L .54616 .34567 L p F P
0 g
s
.738 .367 .349 r
.52847 .33752 m .54616 .34567 L .55346 .33814 L p F P
0 g
s
.681 .815 .947 r
.27927 .75814 m .30048 .75733 L .30109 .7474 L p F P
0 g
s
.738 .844 .93 r
.31925 .74291 m .30109 .7474 L .30048 .75733 L p F P
0 g
s
.884 .82 .78 r
.32667 .16012 m .30461 .19606 L .31488 .20258 L p F P
0 g
s
.435 .264 .549 r
.72651 .80619 m .74775 .76897 L .73714 .76268 L p F P
0 g
s
.56 .677 .917 r
.584 .38834 m .57315 .38251 L .5637 .3903 L p F P
0 g
s
.752 .421 .423 r
.19065 .69913 m .23207 .71795 L .23669 .70674 L p F P
0 g
s
.404 .218 .511 r
.68145 .51266 m .68906 .50426 L .68267 .49375 L p F P
0 g
s
.374 .387 .745 r
.5278 .58947 m .53562 .60506 L .54486 .60004 L p F P
0 g
s
.735 .352 .326 r
.81768 .23749 m .77607 .22377 L .77065 .23228 L p F P
0 g
s
.861 .878 .849 r
.71707 .5185 m .72495 .50779 L .71698 .50221 L p F P
0 g
s
.335 .171 .505 r
.27532 .18737 m .25849 .23082 L .26718 .23436 L p F P
0 g
s
.931 .857 .747 r
.77697 .77716 m .7931 .7335 L .78527 .72754 L p F P
0 g
s
.8 .443 .38 r
.58229 .35222 m .57111 .3466 L .56378 .35408 L p F P
0 g
s
.565 .716 .943 r
.22851 .74833 m .27927 .75814 L .28193 .7487 L p F P
0 g
s
.67 .565 .727 r
.69919 .24851 m .68513 .25735 L .69725 .27474 L p F P
0 g
s
.67 .565 .727 r
.69725 .27474 m .71004 .26674 L .69919 .24851 L p F P
0 g
s
.707 .544 .666 r
.54508 .51456 m .54575 .49908 L .52456 .49853 L p F P
0 g
s
.707 .544 .666 r
.52456 .49853 m .52389 .51552 L .54508 .51456 L p F P
0 g
s
.694 .536 .669 r
.78087 .64955 m .77514 .63346 L .75538 .6411 L p F P
0 g
s
.694 .536 .669 r
.75538 .6411 m .76073 .6562 L .78087 .64955 L p F P
0 g
s
.714 .552 .668 r
.75631 .41053 m .75949 .39407 L .73864 .39024 L p F P
0 g
s
.714 .552 .668 r
.73864 .39024 m .73556 .40611 L .75631 .41053 L p F P
0 g
s
.739 .618 .724 r
.61862 .67763 m .63449 .68603 L .64369 .66693 L p F P
0 g
s
.739 .618 .724 r
.64369 .66693 m .62886 .65905 L .61862 .67763 L p F P
0 g
s
.676 .543 .695 r
.47428 .31521 m .45632 .30839 L .44843 .32806 L p F P
0 g
s
.676 .543 .695 r
.44843 .32806 m .46666 .33501 L .47428 .31521 L p F P
0 g
s
.73 .583 .69 r
.37349 .71473 m .39206 .70162 L .37946 .68458 L p F P
0 g
s
.73 .583 .69 r
.37946 .68458 m .36141 .69729 L .37349 .71473 L p F P
0 g
s
.711 .595 .725 r
.26957 .39017 m .2776 .42377 L .29826 .41901 L p F P
0 g
s
.711 .595 .725 r
.29826 .41901 m .29023 .38535 L .26957 .39017 L p F P
0 g
s
.722 .584 .7 r
.44537 .04778 m .40709 .06367 L .41876 .08138 L p F P
0 g
s
.722 .584 .7 r
.41876 .08138 m .45373 .06725 L .44537 .04778 L p F P
0 g
s
.713 .595 .722 r
.952 .40328 m .93643 .36405 L .91858 .37551 L p F P
0 g
s
.713 .595 .722 r
.91858 .37551 m .9324 .41134 L .952 .40328 L p F P
0 g
s
.692 .571 .714 r
.63554 .88849 m .60002 .90373 L .60879 .92302 L p F P
0 g
s
.692 .571 .714 r
.60879 .92302 m .64764 .90591 L .63554 .88849 L p F P
0 g
s
.7 .561 .694 r
.0548 .57664 m .07652 .61819 L .09302 .60485 L p F P
0 g
s
.7 .561 .694 r
.09302 .60485 m .07348 .56663 L .0548 .57664 L p F P
0 g
s
.663 .569 .739 r
.66449 .52777 m .65518 .53475 L .66855 .55122 L p F P
0 g
s
.663 .569 .739 r
.66855 .55122 m .67882 .54343 L .66449 .52777 L p F P
0 g
s
.749 .635 .734 r
.62624 .39016 m .6157 .38277 L .60474 .40095 L p F P
0 g
s
.749 .635 .734 r
.60474 .40095 m .61452 .40784 L .62624 .39016 L p F P
0 g
s
.885 .588 .478 r
.55469 .57205 m .56302 .58888 L .57176 .58284 L p F P
0 g
s
.89 .605 .499 r
.56302 .58888 m .57307 .60499 L .57948 .59543 L p F P
0 g
s
.89 .605 .499 r
.57948 .59543 m .57176 .58284 L .56302 .58888 L p F P
0 g
s
.591 .684 .906 r
.81071 .26718 m .76714 .2533 L .76909 .26562 L p F P
0 g
s
.396 .225 .528 r
.68906 .50426 m .69895 .49086 L .68905 .48519 L p F P
0 g
s
.429 .234 .512 r
.69895 .49086 m .70717 .47758 L .69511 .47557 L p F P
0 g
s
.429 .234 .512 r
.69511 .47557 m .68905 .48519 L .69895 .49086 L p F P
0 g
s
.903 .804 .74 r
.30461 .19606 m .28787 .23945 L .29968 .24095 L p F P
0 g
s
.417 .279 .584 r
.74775 .76897 m .76466 .72214 L .75206 .72274 L p F P
0 g
s
.565 .682 .918 r
.57315 .38251 m .55443 .37322 L .5525 .38472 L p F P
0 g
s
.699 .362 .403 r
.23207 .71795 m .28175 .72739 L .27891 .71572 L p F P
0 g
s
.406 .457 .801 r
.53562 .60506 m .54413 .61888 L .55531 .61677 L p F P
0 g
s
.418 .501 .837 r
.56539 .63124 m .55531 .61677 L .54413 .61888 L p F P
0 g
s
.61 .224 .287 r
.75596 .23117 m .77065 .23228 L .77607 .22377 L p F P
0 g
s
.9 .863 .795 r
.72495 .50779 m .73158 .49725 L .72549 .48847 L p F P
0 g
s
.924 .856 .757 r
.73369 .47382 m .72549 .48847 L .73158 .49725 L p F P
0 g
s
.317 .217 .58 r
.26054 .2642 m .26718 .23436 L .25849 .23082 L p F P
0 g
s
.957 .805 .65 r
.78824 .71221 m .78527 .72754 L .7931 .7335 L p F P
0 g
s
.742 .371 .35 r
.54616 .34567 m .56378 .35408 L .57111 .3466 L p F P
0 g
s
.681 .815 .947 r
.30109 .7474 m .28193 .7487 L .27927 .75814 L p F P
0 g
s
.667 .559 .724 r
.71426 .24085 m .69919 .24851 L .71004 .26674 L p F P
0 g
s
.667 .559 .724 r
.71004 .26674 m .72323 .2601 L .71426 .24085 L p F P
0 g
s
.704 .541 .664 r
.52389 .51552 m .52436 .53258 L .54538 .52964 L p F P
0 g
s
.704 .541 .664 r
.54538 .52964 m .54508 .51456 L .52389 .51552 L p F P
0 g
s
.696 .537 .667 r
.78552 .66629 m .78087 .64955 L .76073 .6562 L p F P
0 g
s
.696 .537 .667 r
.76073 .6562 m .76489 .67131 L .78552 .66629 L p F P
0 g
s
.716 .554 .668 r
.75235 .42703 m .75631 .41053 L .73556 .40611 L p F P
0 g
s
.716 .554 .668 r
.73556 .40611 m .73183 .42159 L .75235 .42703 L p F P
0 g
s
.738 .62 .727 r
.60322 .66793 m .61862 .67763 L .62886 .65905 L p F P
0 g
s
.738 .62 .727 r
.62886 .65905 m .61493 .65022 L .60322 .66793 L p F P
0 g
s
.676 .542 .695 r
.49242 .32206 m .47428 .31521 L .46666 .33501 L p F P
0 g
s
.676 .542 .695 r
.46666 .33501 m .48479 .34187 L .49242 .32206 L p F P
0 g
s
.731 .585 .691 r
.35402 .72695 m .37349 .71473 L .36141 .69729 L p F P
0 g
s
.731 .585 .691 r
.36141 .69729 m .34297 .70881 L .35402 .72695 L p F P
0 g
s
.71 .595 .725 r
.2625 .35605 m .26957 .39017 L .29023 .38535 L p F P
0 g
s
.71 .595 .725 r
.29023 .38535 m .28332 .35188 L .2625 .35605 L p F P
0 g
s
.721 .581 .698 r
.38619 .10214 m .41876 .08138 L .40709 .06367 L p F P
0 g
s
.721 .581 .698 r
.40709 .06367 m .37245 .08595 L .38619 .10214 L p F P
0 g
s
.716 .595 .72 r
.89802 .34227 m .91858 .37551 L .93643 .36405 L p F P
0 g
s
.716 .595 .72 r
.93643 .36405 m .91428 .3286 L .89802 .34227 L p F P
0 g
s
.694 .574 .716 r
.66833 .8665 m .63554 .88849 L .64764 .90591 L p F P
0 g
s
.694 .574 .716 r
.64764 .90591 m .68257 .88225 L .66833 .8665 L p F P
0 g
s
.698 .561 .696 r
.07652 .61819 m .10543 .65468 L .12035 .63957 L p F P
0 g
s
.698 .561 .696 r
.12035 .63957 m .09302 .60485 L .07652 .61819 L p F P
0 g
s
.665 .573 .742 r
.67882 .54343 m .68861 .53509 L .67328 .52038 L p F P
0 g
s
.665 .573 .742 r
.67328 .52038 m .66449 .52777 L .67882 .54343 L p F P
0 g
s
.75 .634 .732 r
.59457 .39445 m .60474 .40095 L .6157 .38277 L p F P
0 g
s
.75 .634 .732 r
.6157 .38277 m .60482 .37584 L .59457 .39445 L p F P
0 g
s
.655 .548 .722 r
.7272 .23587 m .71426 .24085 L .72323 .2601 L p F P
0 g
s
.655 .548 .722 r
.72323 .2601 m .73383 .25606 L .7272 .23587 L p F P
0 g
s
.7 .537 .664 r
.54696 .54433 m .54538 .52964 L .52436 .53258 L p F P
0 g
s
.7 .537 .664 r
.52436 .53258 m .52636 .54953 L .54696 .54433 L p F P
0 g
s
.699 .532 .658 r
.7882 .6811 m .78552 .66629 L .76489 .67131 L p F P
0 g
s
.699 .532 .658 r
.76489 .67131 m .76713 .68392 L .7882 .6811 L p F P
0 g
s
.72 .556 .667 r
.74728 .44306 m .75235 .42703 L .73183 .42159 L p F P
0 g
s
.72 .556 .667 r
.73183 .42159 m .72723 .43601 L .74728 .44306 L p F P
0 g
s
.737 .624 .732 r
.58941 .65713 m .60322 .66793 L .61493 .65022 L p F P
0 g
s
.737 .624 .732 r
.61493 .65022 m .60299 .64079 L .58941 .65713 L p F P
0 g
s
.676 .541 .693 r
.5106 .32958 m .49242 .32206 L .48479 .34187 L p F P
0 g
s
.676 .541 .693 r
.48479 .34187 m .5022 .3491 L .5106 .32958 L p F P
0 g
s
.738 .59 .69 r
.33754 .73572 m .35402 .72695 L .34297 .70881 L p F P
0 g
s
.738 .59 .69 r
.34297 .70881 m .32795 .71676 L .33754 .73572 L p F P
0 g
s
.709 .597 .728 r
.25868 .3255 m .2625 .35605 L .28332 .35188 L p F P
0 g
s
.709 .597 .728 r
.28332 .35188 m .2798 .32313 L .25868 .3255 L p F P
0 g
s
.717 .596 .719 r
.91428 .3286 m .88707 .2955 L .8736 .31193 L p F P
0 g
s
.717 .596 .719 r
.8736 .31193 m .89802 .34227 L .91428 .3286 L p F P
0 g
s
.718 .579 .697 r
.37245 .08595 m .33761 .11493 L .35392 .12855 L p F P
0 g
s
.718 .579 .697 r
.35392 .12855 m .38619 .10214 L .37245 .08595 L p F P
0 g
s
.696 .576 .717 r
.68257 .88225 m .71675 .852 L .70002 .8389 L p F P
0 g
s
.696 .576 .717 r
.70002 .8389 m .66833 .8665 L .68257 .88225 L p F P
0 g
s
.697 .562 .697 r
.10543 .65468 m .14097 .69038 L .15284 .67276 L p F P
0 g
s
.697 .562 .697 r
.15284 .67276 m .12035 .63957 L .10543 .65468 L p F P
0 g
s
.666 .577 .745 r
.68861 .53509 m .69785 .5262 L .68145 .51266 L p F P
0 g
s
.666 .577 .745 r
.68145 .51266 m .67328 .52038 L .68861 .53509 L p F P
0 g
s
.75 .633 .73 r
.60482 .37584 m .59373 .36942 L .584 .38834 L p F P
0 g
s
.75 .633 .73 r
.584 .38834 m .59457 .39445 L .60482 .37584 L p F P
0 g
s
.651 .539 .714 r
.74168 .23242 m .7272 .23587 L .73383 .25606 L p F P
0 g
s
.651 .539 .714 r
.73383 .25606 m .74513 .25341 L .74168 .23242 L p F P
0 g
s
.705 .536 .657 r
.78918 .69684 m .7882 .6811 L .76713 .68392 L p F P
0 g
s
.705 .536 .657 r
.76713 .68392 m .76791 .69693 L .78918 .69684 L p F P
0 g
s
.695 .532 .663 r
.52636 .54953 m .53007 .56586 L .54996 .55832 L p F P
0 g
s
.695 .532 .663 r
.54996 .55832 m .54696 .54433 L .52636 .54953 L p F P
0 g
s
.723 .559 .668 r
.74096 .45873 m .74728 .44306 L .72723 .43601 L p F P
0 g
s
.723 .559 .668 r
.72723 .43601 m .72149 .45018 L .74096 .45873 L p F P
0 g
s
.734 .624 .735 r
.57671 .64473 m .58941 .65713 L .60299 .64079 L p F P
0 g
s
.734 .624 .735 r
.60299 .64079 m .59202 .62997 L .57671 .64473 L p F P
0 g
s
.741 .595 .694 r
.31925 .74291 m .33754 .73572 L .32795 .71676 L p F P
0 g
s
.741 .595 .694 r
.32795 .71676 m .31219 .72285 L .31925 .74291 L p F P
0 g
s
.676 .541 .693 r
.52847 .33752 m .5106 .32958 L .5022 .3491 L p F P
0 g
s
.676 .541 .693 r
.5022 .3491 m .51963 .35686 L .52847 .33752 L p F P
0 g
s
.707 .595 .729 r
.25801 .29433 m .25868 .3255 L .2798 .32313 L p F P
0 g
s
.707 .595 .729 r
.2798 .32313 m .27928 .29422 L .25801 .29433 L p F P
0 g
s
.72 .596 .717 r
.84408 .28672 m .8736 .31193 L .88707 .2955 L p F P
0 g
s
.72 .596 .717 r
.88707 .2955 m .85444 .26814 L .84408 .28672 L p F P
0 g
s
.717 .576 .695 r
.33761 .11493 m .30837 .14929 L .32667 .16012 L p F P
0 g
s
.717 .576 .695 r
.32667 .16012 m .35392 .12855 L .33761 .11493 L p F P
0 g
s
.698 .579 .719 r
.71675 .852 m .74515 .81645 L .72651 .80619 L p F P
0 g
s
.698 .579 .719 r
.72651 .80619 m .70002 .8389 L .71675 .852 L p F P
0 g
s
.696 .562 .699 r
.14097 .69038 m .1822 .71865 L .19065 .69913 L p F P
0 g
s
.696 .562 .699 r
.19065 .69913 m .15284 .67276 L .14097 .69038 L p F P
0 g
s
.669 .582 .748 r
.69785 .5262 m .70634 .51669 L .68906 .50426 L p F P
0 g
s
.669 .582 .748 r
.68906 .50426 m .68145 .51266 L .69785 .5262 L p F P
0 g
s
.751 .632 .729 r
.57315 .38251 m .584 .38834 L .59373 .36942 L p F P
0 g
s
.751 .632 .729 r
.59373 .36942 m .58249 .36338 L .57315 .38251 L p F P
0 g
s
.649 .53 .706 r
.75596 .23117 m .74168 .23242 L .74513 .25341 L p F P
0 g
s
.649 .53 .706 r
.74513 .25341 m .75625 .25246 L .75596 .23117 L p F P
0 g
s
.711 .541 .656 r
.78824 .71221 m .78918 .69684 L .76791 .69693 L p F P
0 g
s
.711 .541 .656 r
.76791 .69693 m .7671 .70966 L .78824 .71221 L p F P
0 g
s
.69 .53 .665 r
.53007 .56586 m .53562 .58152 L .55469 .57205 L p F P
0 g
s
.69 .53 .665 r
.55469 .57205 m .54996 .55832 L .53007 .56586 L p F P
0 g
s
.725 .562 .669 r
.73369 .47382 m .74096 .45873 L .72149 .45018 L p F P
0 g
s
.725 .562 .669 r
.72149 .45018 m .71476 .46407 L .73369 .47382 L p F P
0 g
s
.731 .623 .738 r
.56539 .63124 m .57671 .64473 L .59202 .62997 L p F P
0 g
s
.731 .623 .738 r
.59202 .62997 m .58203 .61797 L .56539 .63124 L p F P
0 g
s
.745 .602 .698 r
.30109 .7474 m .31925 .74291 L .31219 .72285 L p F P
0 g
s
.745 .602 .698 r
.31219 .72285 m .29685 .72654 L .30109 .7474 L p F P
0 g
s
.677 .541 .692 r
.54616 .34567 m .52847 .33752 L .51963 .35686 L p F P
0 g
s
.677 .541 .692 r
.51963 .35686 m .53707 .36492 L .54616 .34567 L p F P
0 g
s
.704 .594 .729 r
.26054 .2642 m .25801 .29433 L .27928 .29422 L p F P
0 g
s
.704 .594 .729 r
.27928 .29422 m .28172 .26634 L .26054 .2642 L p F P
0 g
s
.721 .595 .715 r
.85444 .26814 m .81735 .24695 L .81071 .26718 L p F P
0 g
s
.721 .595 .715 r
.81071 .26718 m .84408 .28672 L .85444 .26814 L p F P
0 g
s
.715 .573 .694 r
.30461 .19606 m .32667 .16012 L .30837 .14929 L p F P
0 g
s
.715 .573 .694 r
.30837 .14929 m .28474 .18842 L .30461 .19606 L p F P
0 g
s
.7 .582 .72 r
.74515 .81645 m .76776 .77624 L .74775 .76897 L p F P
0 g
s
.7 .582 .72 r
.74775 .76897 m .72651 .80619 L .74515 .81645 L p F P
0 g
s
.694 .562 .701 r
.1822 .71865 m .22796 .73884 L .23207 .71795 L p F P
0 g
s
.694 .562 .701 r
.23207 .71795 m .19065 .69913 L .1822 .71865 L p F P
0 g
s
.679 .585 .743 r
.70634 .51669 m .71698 .50221 L .69895 .49086 L p F P
0 g
s
.679 .585 .743 r
.69895 .49086 m .68906 .50426 L .70634 .51669 L p F P
0 g
s
.737 .613 .721 r
.58249 .36338 m .56378 .35408 L .55443 .37322 L p F P
0 g
s
.737 .613 .721 r
.55443 .37322 m .57315 .38251 L .58249 .36338 L p F P
0 g
s
.647 .521 .695 r
.77065 .23228 m .75596 .23117 L .75625 .25246 L p F P
0 g
s
.647 .521 .695 r
.75625 .25246 m .76714 .2533 L .77065 .23228 L p F P
0 g
s
.718 .547 .657 r
.78527 .72754 m .78824 .71221 L .7671 .70966 L p F P
0 g
s
.718 .547 .657 r
.7671 .70966 m .76466 .72214 L .78527 .72754 L p F P
0 g
s
.689 .535 .672 r
.53562 .58152 m .54486 .60004 L .56302 .58888 L p F P
0 g
s
.689 .535 .672 r
.56302 .58888 m .55469 .57205 L .53562 .58152 L p F P
0 g
s
.727 .565 .671 r
.72549 .48847 m .73369 .47382 L .71476 .46407 L p F P
0 g
s
.727 .565 .671 r
.71476 .46407 m .70717 .47758 L .72549 .48847 L p F P
0 g
s
.728 .622 .739 r
.55531 .61677 m .56539 .63124 L .58203 .61797 L p F P
0 g
s
.728 .622 .739 r
.58203 .61797 m .57307 .60499 L .55531 .61677 L p F P
0 g
s
.748 .61 .706 r
.28193 .7487 m .30109 .7474 L .29685 .72654 L p F P
0 g
s
.748 .61 .706 r
.29685 .72654 m .28175 .72739 L .28193 .7487 L p F P
0 g
s
.677 .541 .692 r
.56378 .35408 m .54616 .34567 L .53707 .36492 L p F P
0 g
s
.677 .541 .692 r
.53707 .36492 m .55443 .37322 L .56378 .35408 L p F P
0 g
s
.701 .591 .729 r
.26718 .23436 m .26054 .2642 L .28172 .26634 L p F P
0 g
s
.701 .591 .729 r
.28172 .26634 m .28787 .23945 L .26718 .23436 L p F P
0 g
s
.718 .589 .711 r
.76714 .2533 m .81071 .26718 L .81735 .24695 L p F P
0 g
s
.718 .589 .711 r
.81735 .24695 m .77065 .23228 L .76714 .2533 L p F P
0 g
s
.712 .571 .695 r
.28787 .23945 m .30461 .19606 L .28474 .18842 L p F P
0 g
s
.712 .571 .695 r
.28474 .18842 m .26718 .23436 L .28787 .23945 L p F P
0 g
s
.703 .583 .717 r
.76776 .77624 m .78527 .72754 L .76466 .72214 L p F P
0 g
s
.703 .583 .717 r
.76466 .72214 m .74775 .76897 L .76776 .77624 L p F P
0 g
s
.696 .566 .705 r
.28175 .72739 m .23207 .71795 L .22796 .73884 L p F P
0 g
s
.696 .566 .705 r
.22796 .73884 m .28193 .7487 L .28175 .72739 L p F P
0 g
s
.71 .576 .703 r
.71698 .50221 m .72549 .48847 L .70717 .47758 L p F P
0 g
s
.71 .576 .703 r
.70717 .47758 m .69895 .49086 L .71698 .50221 L p F P
0 g
s
.709 .582 .71 r
.54486 .60004 m .55531 .61677 L .57307 .60499 L p F P
0 g
s
.709 .582 .71 r
.57307 .60499 m .56302 .58888 L .54486 .60004 L p F P
0 g
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{161.5, 157.063},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40002Q0000WB000`400?l00000o`00003oX@3oool0
0:40oooo002Q0?ooo`00X@3oool00:40oooo001<0?ooo``00000B@3oool004P0oooo0`00000208l_
B@040000002N>dP0WS]809hkB0d00000@`3oool004H0oooo0P00000308l_B@H000000`2iUk@01000
0000^INe0;VG]@2iUkD5000000030;QCC0000000000000<00000?P3oool004@0oooo00<00000084W
CP219dh0100000020;VF/`030000002iUk@0^INd00@0^INd00<000000;VG]@2iUkD0102iUkD00`00
0000^INf00000002000000030;QCC0000000aV=B00800000?03oool00480oooo0P00000010219dh0
00000000000000060;VF/`030000002iUk@0^INd00<0^INd00<000000;VG]@2iUkD0102iUkD00`00
0000^INf0;VG]P020;VG]P8000000`36He82000003X0oooo00100?ooo`80000000<0PBM>00000000
00000`2hUK<010000000^IJc0;VF/`2iU[<A000000@0^INf0`0000040<ISDP030000003oool0oooo
03H0oooo000n0?ooo`030000001d8UD0M29E00800000102hUK<500000080^lWV00@000000;32j02`
`^P000000P2``^P00`000000Z;cX0:Rlj0030:Rlj0030000002M/^H0WK;V0080000000<0^INf0000
002hV;H00P2hV;H2000000030<ISDP000000dgEK00800000=P3oool003`0oooo0P0000001@1d8UD0
00000000002hU;8000000080^9Fc0P0000000`35cn8000000;_9iP020;_9iPl00000102M/^H20000
00D0^9Rf0P0000030==eF`030000003oool0oooo03<0oooo000j0?ooo`80000000<0M29E00000000
0000102hU;82000000<0aLoR1000000@0?ooo`<0000000@0WK;V0000000000000000102hV;H30000
0080dgEK0P00000c0?ooo`00>@3oool010000000K25L0000000000040;RD/P<0000000@0aLoR0000
0000000000005`3oool200000080TZOS0P0000000`2hV;H000000;RH]`020;RH]`050000003CME/0
dgEK0==eF`000000<P3oool003P0oooo00D0000006`QG0000000]iBb000000030;RD/P030000003?
dm`0cm?L008000007@3oool20000000309:Wh`000000000000@0^9Rg0`0000000`3KPV<000000?oo
o`0`0?ooo`00=P3oool20000000606`QG0000000]iBb0;ND/P000000^9Bb0P0000020<oCg0030000
003oool0oooo01l0oooo0P0000000`28V]h00000000000040;RH]`040000003KPV<0fh9S00000300
oooo000e0?ooo`040000001/8E`0K25L000000@0]iBb00<000000<oCg03?dm`00P00000T0?ooo`80
000000L0R9[N000000000000^9Rg0000002gV;L000000080fh9S00<000000?ooo`3oool0;@3oool0
03@0oooo00@0000006`QG01/8E`00000102gU;82000000030<oCg0000000oooo02H0oooo0P000002
08RJgP040000002gV;L0]iRg0;NH]`80000000<0fh9S0000003oool0;@3oool003<0oooo00@00000
068QI`00000000000`2gU;8200000080e=CH00<000000?ooo`3oool0:03oool200000003086AfP00
0000]iRg00<0]iRg00<000000=^2H`000000;@3oool003<0oooo0P1R8FL01@000000]i>a0000002g
U;80000000<0e=CH00<000000?ooo`3oool0:P3oool010000000PI7J086AfP0000040;NH]`030000
003TTfl0000002`0oooo000b0?ooo`030000001R8FL0000000<0]i>a00D000000=CDf03De=P0e=CH
0000000^0?ooo`0400000021TMX0PI7J00000080]iRg00D000000;NH^0000000i9=_0000000[0?oo
o`00<@3oool00`000000HR5W000000030;NC/@050000003Ldm0000000=CDf0000000<03oool20000
0004086AfP000000]iRg00000080]iRh0P00000[0?ooo`00<@3oool2000000<0]i>a0P0000020=cC
d0030000003oool0oooo0340oooo00<00000086AfP0000000`2gV;P00`000000i9=_0000000Z0?oo
o`00<03oool2000000@0]i>a00@000000=cCd03Ldm000000=@3oool00`000000NHCB000000030;NH
^0030000003TTfl0000002T0oooo000_0?ooo`80000000@0]i:a000000000000]i>a1000000g0?oo
o`030000001iQ=80000000<0]iRh00<000000>BCK`000000:03oool002l0oooo0P0000030;NB/@03
0000003Ldm00000003T0oooo00<0000007V4dP000000102gV;P2000002P0oooo000^0?ooo`800000
0`2gT[400`000000h]770000000k0?ooo`040000001iQ=8000000;NH^0<0000000<0jj9l0000003o
ool09P3oool002d0oooo00<0000005/ULP0000000`2gT[42000003`0oooo00@0000007V4dP1iQ=80
00000`2fUkP2000002L0oooo000]0?ooo`8000000`2gT[400`000000h]770000000m0?ooo`<00000
0`2fUkP00`000000jj9l0000000V0?ooo`00;03oool00`000000FbEb000000020;NB/@030000003R
dLL0000003l0oooo0P1cN<X010000000]YNh0;JG^02fUkP2000002H0oooo000/0?ooo`<000000P2g
T[400`000000h]770000000o0?ooo`030000001cN<X0000000<0]YNh00<000000>^RO00000009@3o
ool002/0oooo00@0000005D[P@000000]Y:a0P0000020>;Aad40oooo00<0000007=hbP0000000`2f
UkP2000002D0oooo000[0?ooo`8000000`2fT[4300000480oooo0P0000020;JG^0<000009@3oool0
02X0oooo00<0000005D[P@0000000P2fT[4010000000ilfm0>O=_@0000120?ooo`080000001cN<X0
00000000002fUkP000000>n_R000000T0?ooo`00:P3oool2000000<0]Y:a00<000000>O=_@000000
A03oool2000000<0]YNh0P00000T0?ooo`00:@3oool00`000000EB^1000000030;JB/@030000003W
cKd0000000<00000@@3oool8000002<0oooo000S0?ooo`P00000102fT[400`000000ilfm00000002
000000030;9AD`000000000003/0oooo100000001P25;E@0000008lbCP000000W3U900000080_5YC
0P00000Q0?ooo`008@3oool200000080Q2eD100000000`1A=i@00000000000020;JB/@060000003W
cKd000000:Z9/P000000ZhVa0P0000000`2mGEL000000000000g0?ooo`<0000000<0O2aL00000000
00001`0000030;aJD`80000000<0oooo0000003oool0703oool001l0oooo0P00000208@]E0<00000
0`2hU[@00`1A=i@000000;>G^P06000000<0ZhVa0P0000020;eME`800000=03oool00`000000N2eR
07P]HP0300000080YXVf00H000000:J7]0000000YHFa0000002gU[H4000000030;aJD`0000000000
01d0oooo000M0?ooo`8000000P24;E@200000080^9Fc00H000000;RF]02hU[@00000054gU0000003
0;>G^P040000003Wc[d0000000000080ZhVa00<000000:b8/02/R;000P0000020<EWG@800000<03o
ool20000000407@^J000000000000:Z?^@8000000P2VRKH01@000000YXNd0000002UQK40000000D0
]iJf1@00000K0?ooo`006`3oool010000000MBIJ00000024;E@2000000D0^9Fc00@000000;RF]000
000000000`2cUkX00`000000iljm0000000500000080[8R`00<000000:j;/00000000P0000000`39
KF0000000?ooo`0]0?ooo`D000000P2ZSkT010000000Yhbh0000002VRKH6000000H0]iJf1@00000I
0?ooo`006P3oool00`000000MBIJ07DVFP02000000H0^9Fc1@0000030;>G^P050000003Wc[d00000
08bXj00000000P25X>D3000000<0[X^`00D000000:j;/0000000bFeP0000000/0?ooo`030000001b
;f`0000000<0Zi2j00<000000:Z?^@000000100000001@2H]>/0000008ZUi`000000UjoW00@00000
00<0]iJf0000002hV;L00P2hV;L2000000030<a]F0000000oooo01H0oooo000I0?ooo`060000001e
9UX000000000002gU;8000000P2hUK<4000000030<C@h`000000000000d0000000<0OIKQ00000000
00000P2^Rk001P000000[X^`0:j;/0000000bFeP000002P0oooo0P0000001@1c;f/000000000002/
TKX000000080Zi2j0P0000000`2jcnX000000:o8k@06000000D0UjoW0P0000050;RH]`<000005P3o
ool001L0oooo0P0000000`1e9UX000000;ND/P030;ND/P8000000P34d><00`3oool0000000000002
0?ooo`8000000`2dV;X00`000000jLRd000000050?ooo`80000000<0Ni?O000000000000102^Rk00
10000000bg1R00000000000T0?ooo`80000000X0NRmT000000000000[I6i0000002/TKX000000:^@
^P000000`MCX0P0000001P2jcnX000000?ooo`3oool00000065;XPH0000000<0UjoW0000002<XN<0
0P0000030;RH]`040000002hV;L00000000001D0oooo000F0?ooo`040000001e9UX00000000000<0
]iBb0`0000020<C@h`8000000`3oool00`000000DD6P000000030;BH^P8000001`3oool200000007
07^Cg`00000000000000002^Rk0000000:n;/002000000030<]`HP000000oooo0240oooo0P000000
0`1j;f@00000000000020:fA^@040000002/TKX0[96j000000<0`MCX0P0000030?ooo`<000000`2d
RJL4000000<0S:7S0P000000102hV;L000000;RH]`2hV;L2000001@0oooo000E0?ooo`030000001W
8V80000000@0]iBb00@000000<oBg03?d]`0cm;L0P0000050?ooo`030000001A@J0000000080]9Rj
00<000000>W8]00000002@3oool200000080N8kL00<000000:n;/02_Rk000P2_Rk0010000000bFeP
00000000000N0?ooo`80000000<0NRmS0000000000000P2]T;P00`000000[I6i0:fA^@0200000004
0<OFi@0000000000000000D0oooo00<000000695VP0000001@0000020?ooo`8000000`2<XN<00`00
0000^9Rg0;RH]`020;RH]`8000004`3oool001@0oooo00H0000006LRHP000000]i>b0000002gU;82
00000080cm;L0P0000070?ooo`030000001A@J0000000080]9Rj00<000000>W8]00000002`3oool2
0000000607J<f`00000000000:n;/0000000[h^`0P0000000`39KF0000000?ooo`0J0?ooo`800000
00D0MbiV000000000000[92h000000020:f@^0040000002]TKT000000<OFi@<000001`3oool30000
00<0]XZX0P0000040?ooo`<0000000<0PiCL0000002hV;L00`2hV;L200000180oooo000C0?ooo`03
0000001W8V80000000<0]i>b00D000000<oBg03?d]`0cm;L000000090?ooo`P00000303oool01@00
0000MXcK07J<f`1fS=/0000000@0[h^`00<000000;iOFP0000000P00000F0?ooo`<0000000@0MbiV
0000002/T;T000000P2/T;P01@000000[I2h000000000000amKU008000002@3oool00`000000Hcn@
00000005000000H0oooo00<0000008>Dg023U=`00P0000030;RH]`8000004@3oool00180oooo0`00
00030;NC/P80000000<0cm;L0000000000002P3oool00`000000DTRX000000020;BH^P030000003[
a:`0000000d0oooo0`0000001P1iT=d000000000002_Rk0000000:f;/@<0000000@0^EYH00000000
000000004P3oool00`000000LRiZ078^JP0200000080[92i00<000000:b@^02/T;P00P0000000`2o
d^P000000000000;0?ooo`<000000`2gSJX2000000L0oooo00P000000=QnHP23U=`0PiCL0000002h
V;L000000;NH^0800000403oool00140oooo0P0000040;NC/P040000003Gdm@0em?D000000`0oooo
00<000000598Z00000000P2dV;X00`000000jlB/0000000?0?ooo`050000001iT=d0NI3M07V@g@00
00000`2]Rk400`000000[H^a00000002000000040;MHE`0000000000000000h0oooo00H0000006`^
L@00000000000:bA^P0000020:b@^@<0000000<0_M7Y0000000000003@3oool020000000ISf<0000
00000000]hfZ0000003ccJP00000203oool01@000000PiCL08>Dg023U=`0000000<0]iRh0P00000?
0?ooo`00403oool2000000@0]i>b00@000000=OCe03Gdm@000003@3oool00`000000DTRX00000002
0;BH^P030000003[a:`000000100oooo0`0000001021Vn8000000000000000020:f;/@030000002]
Rk40[H^a00<0000000@0]eQG00000000000000002P3oool01@000000K2ia0000002/T[/000000080
[96j0P0000020<3Cj08000003`3oool3000000040;R>ZP0000000000000000X0oooo00D0000008>D
g0000000NXOD000000020;NH^0030000003SSf/0000000h0oooo000?0?ooo`80000000<0]i>b0000
002gTk800P2gTk800`000000em?D0000000>0?ooo`040000001BB:P000000;BH^P@000004P3oool0
1@000000PI_R086KhP21Vn8000000080[H^a00@000000:f;/@2]Rk4000000P2]R[4200000080^UYH
0P0000070?ooo`030000001X<7P000000080[9:k00L000000:bA^P000000aMGV00000030dnP00000
0100oooo00<0000006LkQ`0000000`2hSZX2000000/0oooo00D0000007Z7e01jQm@0NXOD00000002
0;NH^0030000003SSf/0000000d0oooo000>0?ooo`8000000`2gTk801@000000]i>b0000003Gdm@0
000000l0oooo10000000102eV;X000000>^nY@00000C0?ooo`<0000000@0QZ3U0000000000000000
0P2]Rk401@000000[HZa0:f:/@000000[HZa00<0000000<0^eaH000000000000103oool01@000000
J31h0000002]Tk/000000080[9:k00D000000<GEiP35eNH0aMGV0000000A0?ooo`@0000000@0^8jZ
0000003adK000000303oool010000000NXOD07Z7e00000030;NH^0030000003YW7@0000000`0oooo
000=0?ooo`8000001@2gTk800`000000em?D0000000@0?ooo`030000001DDK4000000080]IRj00<0
00000>^nY@0000005@3oool20000000308JPi@000000QZ7U00<000000P2]R[400`000000[HZa0:f:
/@04000000070;aMF@00000000000?ooo`000000IC=n000000020:fC^`040000002/T[/000000<_H
h`<000004@3oool00`000000JCZ5000000020;R>Z`<000003P3oool01`000000NXOD07Z7e0000000
]iRh0000002gV;P00P00000<0?ooo`003@3oool2000000@0]i>b00<000000=cBc`0000004@3oool0
0`000000E56a000000030;FH^P030000003[_ZD0000001H0oooo0`0000000`26XND0000008JQi@03
000000030:f:/@000000[HZa0080[HZa0P0000020;aMF@<0000000@0[YBl000000000000[I>k1000
000C0?ooo`@0000000@0^8j[0000003`e;D000003`3oool010000000NXOD07Z7e00000020;NH^003
0000003YW7@0000000/0oooo000<0?ooo`800000102gTk800`000000g=;?0000000C0?ooo`030000
001DDK4000000080]IRj00<000000>^nY@0000006@3oool30000000308JQi@000000PigT00800000
0`2]R[400`000000[HZa00000002000000030;eNF@00000000000080[YBl00<000000=;JgP000000
5@3oool010000000J3b70000002hSZ/2000000030?3D]@000000oooo00l0oooo0`0000030;NH^003
0000003YW7@0000000X0oooo000;0?ooo`800000102gTk800`000000g=;?0000000D0?ooo`040000
001DDK4000000;FH^P@00000703oool30000000308>Mi00000000000008000000`2]R[401@000000
[HZa000000000000c75Q0080000000<0f=_J000000000000503oool00`000000J3b7000000030;R>
Z`8000004P3oool207IncP040000002gV;P0]iRh0;NH^08000002P3oool000X0oooo00<0000005DR
L`2fT[400P0000001@2gTk8000000=cBc`3Ld/l0000001@0oooo10000000102eV;T000000>^hWP00
000O0?ooo`8000000P22W><2000000060:f:/@000000[HZa0:f:/@000000_9bh1@00000E0?ooo`@0
000000@0^8j[0000003`dk@000004P3oool00`000000MWk>000000030;NH^0030000003YW7@00000
00T0oooo000:0?ooo`8000000`2fT[4010000000g=;?0=cBc`00000E0?ooo`030000001GEkL00000
0080]IRi00<000000>^hWP0000008@3oool30000000308:Kh`00000000000080[HZa00H000000;bL
^02lW;P0_9bh0000003AMV43000001<0oooo00@0000006I1T@000000]Xj/0P0000000`3`dk@00000
0?ooo`0B0?ooo`030000001fO/h0000000<0]iRh0P0000090?ooo`002@3oool00`000000EB9c0000
00020;JB/@040000003Rc/D00000000001H0oooo00<0000005MG]`0000000`2eV;T00`000000jkRN
0000000R0?ooo`0400000022Vn<00000086JhP8000000`2lW;P01@000000`:6j000000000000dgUR
008000004P3oool01@000000IT6A000000000000]Xj/00<000004`3oool010000000MWk>0000002g
V;P3000000030?2]P@000000oooo00L0oooo00090?ooo`8000000`2fT[400`000000h/k50000000H
0?ooo`030000001GEkL000000080]IRi00<000000>^hWP0000008`3oool300000009086JhP000000
00000000002lW;P000000<2Q^P000000_j:j00D00000403oool3000000040;J=Z`00000000000000
01D0oooo0`0000030;JH^0800000203oool000P0oooo00<0000005DRL`0000000P2fT[4010000000
h/k50>;>a@00000H0?ooo`040000001GEkL000000;FH^@@000008`3oool500000080T:k[00T00000
0<2Q^P30XKX000000;nR^P000000_j:k0000003IPFH00`00000=0?ooo`030000001U@Y<0000000<0
]Xf[0P00000E0?ooo`030000001aLL@0000000<0]YRh0P0000080?ooo`00203oool2000000<0]Y:a
00<000000>;>a@0000006@3oool4000000040;JH^@000000j[JL000002<0oooo00<0000006<cP000
0000100000000`2?[NX00000000000020;nR^P030000002oX[/000000080000000<0fhAX00000000
0000303oool4000000040;J=Z`000000l/^W000001H0oooo00<00000075aa00000000P2fV;P00`00
0000l:f1000000070?ooo`001`3oool4000000050;JB/@000000h/k50>;>a@0000006@3oool00`00
0000F5Zi000000020;JH^@030000003Z]Y`000000280oooo00<0000006<cP00000000`2hSZT40000
000808f[jP00000000000;nR^`000000_j:k0000002oX[`2000000030=b7JP000000oooo00X0oooo
00@0000006E0T0000000]Xf[0P0000000`3bbjL000000?ooo`0E0?ooo`<000000`2fV;P2000000L0
oooo00070?ooo`80CBN100@000000;JA/@00000000000P3Rc/DK0?ooo`8000000P2fV;T010000000
j[JL0>ZfW000000Q0?ooo`@0000000@0^8jY0000003^ck@000000P3oool20000000608^Xj@000000
00000;nR^`000000_j:l0`0000000`3LQf/000000?ooo`090?ooo`030000001U@90000000080]Xf[
0`00000F0?ooo`050000001aLL@000000000002fV;P00`0000070?ooo`001P3oool00`000000CBN1
000000030;JA/@<000006`3oool00`000000F5Zi000000020;JH^@030000003Z]Y`000000240oooo
0P0000020;N<Z@80000000<0k/nd0000003oool00P3oool30000000808RUj0000000_j:l0;nR_000
0000_Z:l0000003LQf/3000000P0oooo1`00000H0?ooo`080000001aLL@000000000002eUkT00000
0?BlT00000060?ooo`001P3oool00`000000CBN1000000020;JA/@040000003Vb;X0i/Rj000001/0
oooo00<0000005QJ^@0000000P2fV;T00`000000j[JL0000000P0?ooo`040000001O=hP000000000
0080]hbY0`0000050?ooo`80000000H0QJ;V000000000000_Z:l0000002nX[`3000000030=^5J@00
0000oooo00D0oooo00<0000006HnS00000000`2gSJ/2000001P0oooo0`0000030;FG^@8000001P3o
ool000H0oooo0P0000030;JA/@030000003Vb;X0000001d0oooo1`00000P0?ooo`<0000000<0]XbY
0000000000000P0000070?ooo`<0000000P0PioU0000002nX[`0_Z:l0000002nX[/000000=^5J@80
00001@3oool4000000040;N=Z`000000l/j/000001P0oooo00<0000006eV^P0000000`2eUkT20000
00H0oooo00060?ooo`8000000`2fTK400`000000i/Rj0000000M0?ooo`8000000P2fV;T00`000000
j[JL0000000P0?ooo`030000001M?94000000080]XbY00<000000?34Y00000002@3oool200000006
08>Ni@00000000000;jR^`000000_j:l0P0000000`3NRV`000000?ooo`020?ooo`030000001X>XH0
00000080^8jZ0P0000000`3bcZ`000000?ooo`0G0?ooo`030000001]I[X0000000<0]INi0P000006
0?ooo`001@3oool2000000<0]Y6a00@000000>K8^P3Vb;X000007@3oool2000000<0]YRi0P00000P
0?ooo`030000001M?940000000<0000000<0l<BT0000003oool02@3oool4000000080;jR^`000000
_j:l0000002oXkd000000>:@K`0000020?ooo`<000000`2hSZX3000001P0oooo00@0000006eV^P1]
I[X000000P2eUkT00`000000m;b@000000050?ooo`001@3oool6000000030>K8^P000000oooo01d0
oooo0P0000030;JH^@030000003Z]Y`0000001l0oooo0`0000020;F;ZP<00000303oool00`000000
QJ7V000000020;nR_080000000L0_Z>m00000000000000000?ooo`000000JSV100@000000P3ad[40
0`000000oooo0?ooo`0G0?ooo`030000001]I[X0000000<0]INi0P0000050?ooo`001@3oool20000
00<0]I2a0`00000O0?ooo`8000000`2fV;T2000001l0oooo00<0000005a1V00000000P2eRjX00`00
0000kkjM0000000=0?ooo`0600000024XNH000000000002oXkd000000P2nXkd01@000000iIId0000
001Z>H40000000<0^Hn[00<000000?7B/@0000006P3oool00`000000KFJj000000020;FG^@<00000
1@3oool000D0oooo0P0000030;F@/@030000003X_jd0000001l0oooo0P0000020;JH^@<000007`3o
ool8000000h0oooo0P0000001P22WND000000;jS_@2nXkd000000;jS_PD0000000<0^Hn[0000003`
e[P00P00000J0?ooo`D0000000<0]INi0000000000001@3oool000D0oooo0P0000030;F@/@030000
003X_jd0000001l0oooo100000000`2eUkT000000000000O0?ooo`030000001LAIh000000080]8^Z
00<000000>njV@0000003`3oool20000000407jIh`00000000000;jS_P80000000@0KCMn0000002i
Sj/0^Hn[0P0000000`3`e[P000000?ooo`0J0?ooo`030000001/G:l0000000<0]INi0P0000050?oo
o`00103oool00`000000B36C000000020;F@/@030000003X_jd000000200oooo0P0000030;FG^@80
00007`3oool00`000000G4FN00000003000000030>njV@000000oooo00l0oooo100000000`2nXkh0
000000000003000000030;V?Z`000000k]Rl008000006`3oool00`000000K5b_000000030;FG^@80
00001@3oool000@0oooo00<0000004PaT`0000000P2eT;400`000000j;n]0000000P0?ooo`800000
0`2eUkT2000001l0oooo0`0000020;B;Z`<000004P3oool40000000406lgNP000000^Y2[0;Z@Z`80
000000<0k]Rl0000003oool06`3oool00`000000K5b_000000030;FG^@8000001@3oool000@0oooo
00<0000004PaT`0000000P2eT;400`000000j;n]0000000P0?ooo`030000003Z^j<000000080]INi
00<000000>^mY00000007P3oool00`000000G4NQ000000020;B;Z`030000003^^YT0000001<0oooo
1@0000030;Z@Z`030000003^f;`0000001`0oooo00<0000006aL[`0000000`2eUkT2000000D0oooo
00040?ooo`0300000018<I<0000000D00000803oool00`000000EE6a000000020;FG^@030000003[
_J@0000001h0oooo1P0000000`3^^YT000000?ooo`0B0?ooo`80000000<0KC^30000002eTk<00`00
00000`3/fl4000000?ooo`0L0?ooo`030000001/G:l0000000<0]INi0P0000050?ooo`00103oool3
00000080]92a00<000000>NfXP000000803oool8000001h0oooo00<0000005a2V@0000000P2eRjX3
000001<0oooo00@0000006DiQ`00000000000`2eTk<3000001d0oooo200000050?ooo`00103oool0
0`000000AcfR000000020;B@/@030000003W]Z8000000200oooo00<0000005A1WP0000000P2dUkT0
0`000000j/Vc0000000N0?ooo`080000001L@YT000000000002eRjX000000>nnWP00000C0?ooo`04
0000001U>HL000000:fE_P<0000000<0i]c;0000000000007@3oool00`000000JeRZ000000030;BF
^@8000001@3oool000@0oooo00<0000004LmXP0000000P2dT;4300000200oooo00<0000005A1WP00
00000P2dUkT00`000000j/Vc0000000N0?ooo`<0000000<0]8^Z0000000000000P00000B0?ooo`03
0000001W=h80000000@0[IFn0`0000000`3SU7D000000?ooo`0K0?ooo`030000001[F:X0000000<0
]9Ji0P0000050?ooo`00103oool00`000000AcfR000000020;B@/@030000003W]Z8000000200oooo
0P0000030;BG^@8000007`3oool00`000000G4:I000000020;B;ZP030000003__I`000000140oooo
0`0000001P2[U;l000000000002]UKh000000=cPf@@00000703oool00`000000JeRZ000000020;BF
^@030000003ecjL0000000D0oooo00040?ooo`0300000017?J8000000080]92a00<000000>NfXP00
0000803oool2000000<0]9Ni0P00000O0?ooo`030000001L@YT0000000<0000000<0kkfL0000003o
ool03P3oool30000000306TfOP000000ZiBo0080ZiBo00<000000=cPf@0000000P2`R:/00`000000
iYYi0000000K0?ooo`030000001[F:X000000080]9Ji00<000000?G?Y`0000001@3oool000D0oooo
0P0000020;B@/@030000003W]Z8000000200oooo00<0EC^F0000000000001000000O0?ooo`<00000
0P2dRZT3000000h0oooo0P00000206deNP060000002ZTkh000000:^D_`000000e^7O0P0000020;28
Z`<000006`3oool00`000000JeRZ000000020;BF^@030000003ecjL0000000D0oooo00050?ooo`80
000000<0]92a0000000000000P00000P0?ooo`0305DkUP000000/iJi0080/iJi0P00000O0?ooo`04
0000001KAIh000000;B:Z@80000000<0k[RF0000003oool0303oool20000000606ldMP0000000000
0:ZB_@000000ZY>n1`0000000`2aR:/000000000000K0?ooo`P000001@3oool000D0oooo0`000000
102cSk4000000>BYU000000O0?ooo`030000001E>iH000000080/iJi00<000000>S>^P0000007`3o
ool01@000000FdFN000000000000/hVY00<00000303oool200000004078dM0000000ZI6m00000080
ZY:m00@000000=7Ph`000000oooo0P0000040;68Z`8000006P3oool00`000000K52O000000020;>F
^@030000003bf;D0000000D0oooo00050?ooo`8000000`2cSk400`000000i:VD0000000N0?ooo`80
00000`2cU[T00`000000j<jj0000000O0?ooo`<000000P2cRJT00`000000kK2?0000000;0?ooo`05
0000001c=7<000000000002YTK`00P0000000`2ZT[d000000<gOiP02000000040?ooo`000000Hebd
00000080/HR[0`00000J0?ooo`030000001/D9l000000080/iJi0P0000060?ooo`001@3oool00`00
0000BTjd000000020;>?/@<000007P3oool2000000<0/iJi0P00000P0?ooo`040000001KBZD00000
0;>9Z@@000002@3oool4000000050:V@_0000000ZI6l0000002YTKd0100000020?ooo`030000001S
G;@000000080000000<0/XV[0000000000006@3oool00`000000K52O000000030;>F^@8000001P3o
ool000H0oooo00L0BTjd0000002cSk40/hna0000003TZI@0000001h0oooo00L0EC^E000000000000
/iJi0000003Xc[X000000200oooo00P0000005]:Y@00000000000;68Z@000000jZN7000000P0oooo
0`000000102ZTK`000000:V@_00000020:VA_00300000039gNP0000000D0oooo0P0000020;:9Z`@0
0000603oool00`000000K52O000000020;>F^@030000003bf;D0000000H0oooo00060?ooo`800000
0`2cSk400`000000i:VD0000000L0?ooo`040000001E>iD000000;>F^@@00000803oool300000080
/HRY100000050?ooo`<0000000@0LSAd0000002ZTK`000000P2YT;`2000000030<KLj@000000oooo
00D0oooo00P0000006=H[`00000000000;:9Z`000000kZb7000001P0oooo00<0000006a@W`000000
0P2cU[T00`000000l]Re000000060?ooo`001P3oool2000000<0/hna0`00000L0?ooo`030000001E
>iD000000080/iJi00<000000>S>^`000000803oool00`000000FU2/05Y@[002000000040;27ZP00
0000iYj0000000@0oooo0P0000001P1c=7<000000000002ZTK`000000:ZA_080000000<0aM_Y0000
000000001`3oool3000000<0/XV[00<000000>j/Q`0000005`3oool4000000030;>F^@0000000000
00L0oooo00060?ooo`030000001:C[@0000000<000000P3OW8T00`000000oooo0?ooo`0I0?ooo`80
00000`2cU[T00`000000j<jk0000000Q0?ooo`<000000`2`QjX200000080oooo0`000000101d=740
00000:V@_00000020:ZA_00300000039g>L0000000800000203oool01@000000HeF]06=E[@000000
/XV[00@000005P3oool00`000000KdVD000000020;>E^0<000001`3oool000L0oooo0P0000030;>?
/@030000003OW8T0000001X0oooo00<0000005DkU@0000000P2cU[T00`000000j<jk0000000R0?oo
o`040000001KF;D000000;27ZPL0000000@0McA_000000000000ZI2k0P0000000`2ZTK`000000<SL
j002000000/0oooo00P0000006=E[@00000000000;::Z`000000kZn9000001H0oooo00<0000006m9
U00000000P2cUKP00`000000kMo3000000070?ooo`001`3oool00`000000DF34000000020;>?/@04
0000003OW8T0gib9000001T0oooo10000000102cU[T000000>S>^`00000S0?ooo`<000000`2`R:`2
0000000807TeK@00000000000:V?^`000000ZI2k0000002YT;`4000000`0oooo0`0000030;::Z`80
00005@3oool00`000000KdVD000000030;>E^0800000203oool000P0oooo00<0DF340000002cSk40
0P2cSk400`000000gib90000000I0?ooo`040000001D?9P000000;>F^@@000008`3oool00`000000
Gf>n000000030;28[0070000003SVWl000000:R?^P000000ZHnk000000020:V@^`0300000035fnT0
000000h0oooo00<0000006=DZ`0000001@00000E0?ooo`030000001_BI@000000080/iFh00<00000
0>gO``000000203oool000P0oooo00<00000055Pa00000000P2cSk4010000000gib90=nLR@00000H
0?ooo`030000001D?9P000000080/iJi00<000000>W=^@0000008`3oool010000000Gf>n0000002`
R:`300000080hiYo0P0000020:V?^`80000000<0`m[[0000003oool03P3oool3000000<0/XZ[0P00
000D0?ooo`030000001_BI@0000000<0/iFh00<000000>gO``000000203oool000T0oooo0P000003
0;>?/@80000000<0fHio0000003oool05@3oool00`000000E3bH000000030;>F^@030000003YcKT0
00000240oooo100000000`1OHkh000000;FD]@020;FD]@<0000000@0Z8nj000000000000_mW/0P00
000@0?ooo`050000001TEjh0I5N^0000002bRZ/01000000B0?ooo`030000001cA8X0000000800000
00@0/iFh0000003]gl<0kMo32@3oool000T0oooo00T00000055Pa0000000/hna0000002bSk800000
0=V>O`0000005P3oool00`000000E3bH000000020;>F^@030000003YcKT000000200oooo0P000000
0`2@?f@0000008loI0020000000906Mdc@000000]IBe0000002jWkd000000>RSP`000000_=O]0080
00004`3oool020000000I5N^000000000000/HZ/0000003YXX0000004P3oool00`000000LdB:0000
00020;:D^0@000002@3oool000X0oooo0P0000001`2cSk4000000;:?/P2bSk8000000=V>O`000000
5@3oool00`000000E3bH000000020;>F^@030000003YcKT0000001d0oooo10000002090oI0800000
00D0_9Ja0000001WM<d0IgC=000000020;ZO_@D00000503oool3000000<0/HZ/00<000000>VRP000
0000403oool010000000LdB:07=4RP0000020;:D^0030000003Uhm40000000X0oooo000:0?ooo`03
0000001AH<@0000000<0/Xnb00@000000=V>O`3ISWl00000503oool8000001`0oooo0P0000020991
I0<0000000@0_9Na0000002lU[40_9Ja0`0000030;ZO_@030000003UW7h0000001D0oooo00D00000
06EO]`1UGkL000000;6:[00400000100oooo00<0000007=4RP0000000`2bU;P00`000000iN?A0000
000:0?ooo`002`3oool00`000000FW?B000000030;:?/P030000003ISWl0000001@0oooo00<00000
05=1W`0000000P2dUkX00`000000j/Vd0000000I0?ooo`<0000000H0U49S00000000000000000;bG
/@0000030;bG/@<000000P1[P=H3000000030;^O_0000000000000800000503oool020000000IEng
000000000000/HV/0000003XWgd000003`3oool010000000LdB:07=4RP0000020;:D^0030000003U
hm40000000/0oooo000<0?ooo`030000001JLm80000000<0/Xnb00<000000=V>O`0000004`3oool0
0`000000Dd6O000000020;BG^P030000003ZbK@0000001L0oooo0P00000209A2H`8000000P2lUk40
1@000000_9Na0;bG/@000000_9Na0080000000<0bmcU0000000000000P0000030;^O_0<0000000<0
g8]c0000003oool04P3oool300000080/HV/0`00000>0?ooo`040000001g@X<00000000000<0/YBh
0P00000<0?ooo`003@3oool2000000@0/Xnb00<000000=B7NP0000004P3oool2000000<0]9Nj00<0
00000>[9]00000005@3oool20000000609=1H`00000000000000002lUk4000000P2lUk400`000000
_9Na0;bG/@02000000030<_LiP00000000000080oooo00D0000006n7f`000000^inl000000020;^O
_0040000003LRg<0g8]c00000180oooo00<0000006EP^01UH;P00P0000000`2aRJ/000000000000=
0?ooo`80000000<0Md:30000002bU;P00`0000000`3Uhm4000000?ooo`0;0?ooo`003@3oool01000
0000FW?B0000002bSk82000000040;:?/P000000e8Mj00000140oooo0P0000030;BG^P030000003Z
bK@0000001<0oooo0`000000102C@F<000000000000000020;bG/@030000002lUk40_9Na00@00000
00<0bmcV0000003oool0103oool300000080^inl00D000000;bO^`00000000000=F1KP0200000140
oooo0`0000030;69Z`8000002`3oool010000000Md:307M2P`0000040;:D^08000003@3oool000h0
oooo00<0000005YcdP000000102bSk8300000100oooo2000000B0?ooo`030000002>?VD0SSiU0080
00000P2lUk4010000000_9Na0;bG/@2lUk42000000030<OJj0000000bM_W008000001`3oool01@00
0000Li3P0000002kWk`000000080_9nk00@000000=F1KP000000d7Y[0P00000?0?ooo`050000001T
G;@0I5bd0000002aRJ/00`00000:0?ooo`050000001g@X<0Md:307M2P`0000000`2bU;P2000000h0
oooo000?0?ooo`<00000102bSk800`000000e8Mj0000000?0?ooo`8000000`2dV;X00`000000jlB]
0000000@0?ooo`80000000D0Q3YY000000000000^iJa000000030;bG/@@0000000@0am[X00000000
000000002@3oool010000000Li3P07>@h00000020;bO^`030000002lW[X000000080000000<0d7Y[
0000000000003`3oool01@000000I5bd000000000000/XVZ008000002@3oool01@000000Od5j0000
001g@X<0000000<0/YBh0P00000?0?ooo`00403oool00`000000HGkI000000040;:?/P030000003D
QgX0000000h0oooo0P0000030;BH^P030000003[a:d0000000h0oooo0P0000001024>VT000000000
000000030;^F/@050000002lUk40000000000036f^P00`00000=0?ooo`80000000@0NYWU0000002l
Wk/000000P2lW[X01@000000_Iji000000000000c7AY008000003@3oool300000080/XVZ0`000007
0?ooo`050000001o@GX0Od5j07m1NP0000000`2bU;P200000100oooo000A0?ooo`030000001QO]T0
000000@0/Xnb00@000000<]iLP0000000000303oool2000000<0]9Rj00<000000>_4[@000000303o
ool200000003088iJP000000000000<0^YFa00<000000;^F/@0000001@00000A0?ooo`80000000D0
NYWU000000000000_9jj000000020;fN^@050000002lWKP000000000003=MVT00P00000;0?ooo`03
0000001SEZh000000080000000<0/XRX0000000000001P3oool02`000000Od5j07m1NP1o@GX00000
0;6C]`000000/YBh0000003Mi=T000000100oooo000B0?ooo`030000001QO]T000000080/Xnb00<0
00000;:?/P0000000P3;NG800`000000oooo0?ooo`090?ooo`8000000P2dV;X4000000/0oooo00H0
0000088iJP00000000000;ZD/00000030;ZE/@80000000<0bmcU0000000000005P3oool00`000000
PJ;Y086Rj@0200000080_Iji00<000000;bM^02lWKP00P0000000`3=MVT0000000000002000000T0
oooo0P0000030;:8Z0030000003`/8T0000000@0oooo00<0000007m1NP1o@GX00P0000030;6C]`03
0000003Mi=T000000140oooo000C0?ooo`050000001QO]T000000;:?/P0000000P2bSk800`000000
bgUb0<]iLP02000000T0oooo10000000102eVKX000000>^oY`0000090?ooo`80000000<0Q3UY0000
002jU;000P2jU;000`000000^YFa00000004000001T0oooo0`0000000`26Z>/00000000000030;bM
^0040000002lW;P0000000000080eX5^00<000000?ooo`3oool01`3oool00`000000HTjT00000005
00000080oooo00D0000008M2L`000000Od5j000000040;6C]`030000003Bh^<000000180oooo000D
0?ooo`030000001QO]T0000000@0/Xnb0P0000020<]iLP8000001`3oool2000000<0]IVj00<00000
0>^oY`000000203oool01P000000Q3UY08@iJ@000000^YF`000000<0^YB`00@000000=?Mg`3CgMl0
00007@3oool30000000408V/k0000000000000000080_9bh00H000000;bN^P00000000000=N3K`00
00080?ooo`<000000P2dRJP00`000000lkZB00000002000000<0Qd9c00@000000;6C]`2aTkL0/I>g
0P0000000`3Bh^<000000?ooo`0B0?ooo`005@3oool4000000@0/Xnb0P0000020<1[K08000001@3o
ool2000000<0]IVj00<000000>^oY`0000001P3oool20000000308PkI`00000000000080^YF`00D0
00000;ZD/000000000000=KMg@0200000200oooo00D0000008V/k029[>`0RJc/000000020;bL^005
0000002lW[X0_9jj0000003GPfl00`0000060?ooo`030000001SAi/0000000<0000000<0lkZB0000
0027@W<00P27@W<2000000050;6B]`000000/I>g0000003Bh^<00P00000D0?ooo`005P3oool01000
0000KY7T06jAi00000040;:?/P8000000`30Jf`2000000<0oooo00<00000059?/00000000P2eVKX0
0`000000jknW000000050?ooo`0300000028>fL0R3]W00<000000`2jUK0010000000e]gM00000000
000S0?ooo`<0000000<0QjW[0000000000000P2lW[X01@000000_Inj000000000000e7i/00D00000
0P3oool300000080]XZW0`0000000`27@W<00000000000040;6B]`030000003Bh^<0000001H0oooo
000G0?ooo`80000000<0KY7T0000002bSk800P2bSk8010000000/Hnc0000000000040<1[K0<00000
00<0DTn`0000002eVKX0100000030?ooo`80000000<0SciT0000000000000`2kUK03000000030=GM
gP000000oooo02L0oooo0P0000000`1oX>P00000000000030;fO^P<0000000<0cWMX0000003;L6<0
10000000101V@i<000000000002fRZL4000000@0/I:g0P0000000`35gN/000000?ooo`0F0?ooo`00
6@3oool5000000@0/Hnc0P0000000`30Jf`000000;9LI`020;9LI`X0000000D0VDER000000000000
_9N`000000030;^E/0040000003EgMh0eMgN000002/0oooo0P000000101oXNP00000000000000002
0;jO^PH0000000<0^5]M0000000000000P2gS:P3000000040;6A]P000000/I:g0;6B]`80000000<0
aMg[000000000000603oool001/0oooo0`0000060;6?/`D000000`2bG6L00`000000/UYS00000002
0:==HP<0000000@0_IRa0000002lUk00_9N`100000000`3EgMh000000?ooo`0]0?ooo`060000001o
XNP0Oj7X0000002nWkX000000P2nWkT00`000000`Z:h0000000500000080]hbX0P000000102aTKH0
00000000000000020<GMj`030000003oool0oooo01P0oooo000M0?ooo`040000001lX^/000000000
00@0/Hnc00@000000;:@]02bT;@0/Y2d200000001@2nV[8000000;fH/@2mV;4000000080_9N`00D0
00000=7Mh@3AgN40dMgQ0000000`0?ooo`80000000D0Q:O[000000000000_Yni000000020<:R^006
00000032X;H0JTNE06Y7U@000000/iFg1@0000000`2geO0000000<GMj`02000001/0oooo000O0?oo
o`@0000000<0/Hnc0000002bT;@01`2bT;@00`000000_ibd000000020;jJ/P040000002mV;40_IRa
0;fH/@<0000000<0dMgQ000000000000<P3oool30000000508^ak`000000000000000032X[P00P00
00000`1ZAiD000000;>E]`030;>E]`8000000P2geO02000001d0oooo000Q0?ooo`H000001P2bT;@0
10000000_ibd0;nL]00000020;jJ/P@0000000<0c]gT000000000000=`3oool200000080U[gc0`00
00000`1ZAiD000000;>E]`020;>E]`030000003^fkl00000008000007`3oool002<0oooo0`000000
0`2@]o4000000000000200000080/Y2d00<000000;nL]0000000100000001036fnT0000000000000
000k0?ooo`H00000102cUKL200000280oooo000V0?ooo`@0000000<0T;Oa0000000000000P000000
0`2^d?8000000;cHkP0300000480oooo0P0000030;>E]`030000003^fkl000000280oooo000Z0?oo
o`T00000@`3oool00`000000JTNE000000030;>E]`8000008`3oool002/0oooo00<0000005EJ^`00
00000P2cSk400`000000i:F?000000130?ooo`800000102cUKL2000002<0oooo000[0?ooo`030000
001EF[/000000080/hna0`0000120?ooo`040000001_@h`0000000000080/iFg0P00000T0?ooo`00
;03oool020000000EEZk000000000000/Xna0000003OVHD00000@@3oool200000080/iBh1000000T
0?ooo`00;03oool300000080/Xna0`0000100?ooo`<000000`2cU;P2000002D0oooo000]0?ooo`03
05UXa`000000/Xna0080/Xna00<0000005]Ya`000000?`3oool2000000@0/iBh0P00000U0?ooo`00
;@3oool00`000000FFS7000000030;:?/@800000?P3oool00`000000Kd><000000030;>D^0800000
9P3oool002h0oooo0P0000030;:?/@030000003OVHD0000003d0oooo0P0000030;>D^0030000003X
hL`0000002H0oooo000^0?ooo`030000001IJ<L0000000<0/Xna00<000000=R=OP000000>`3oool0
10000000MD640000000000020;>D^08000009`3oool002l0oooo0P0000001`2bSk4000000000002b
Sk4000000=R=OP000000>@3oool00`000000MD64000000020;:D^080000000<0j>7<0000003oool0
9P3oool002l0oooo00<0000005UXa`000000102bSk400`000000f8en0000000g0?ooo`030=oSe`00
0000000000<0/YBh00<000000>3Te`000000:03oool00300oooo00<0000005ifdP0000000`2bSk40
10000000f8en0=R=OP00000f0?ooo`030000001e@H@0000000<0/YBh0P00000Y0?ooo`00<@3oool0
0`000000GWKB000000030;:?/@80000000<0d85g0000003oool0<`3oool00`000000MD6400000003
0;:D^0030000003Pi=L0000002T0oooo000b0?ooo`030000001NM]80000000<0/Xna00@000000=21
M`3@PGL00000<P3oool00`000000O45l000000030;:D^0030000003Pi=L0000002X0oooo000b0?oo
o`070000001NM]80GWKB0000002bSk4000000;:?/P02000000030=21M`000000oooo02h0oooo0P00
00000`1l@G`000000;:C]`02000000030;:D^0000000000002/0oooo000c0?ooo`040000001NM]80
GWKB000000<0/Xnb1000000]0?ooo`040000001l@G`00000000000@0/Y>g00<000000>3Te`000000
:`3oool003@0oooo0P0000000`1WQ]d000000;:?/P030;:?/P030000003@PGL0000002/0oooo00<0
000007a1O00000001@2bTkL00`000000e^CQ0000000/0?ooo`00=@3oool010000000IhKM06N6g@00
00040;:?/P0400000039N7<00000000002L0oooo00@0000008=2M`23@WL000001@2bTkL00`000000
e^CQ0000000]0?ooo`00=P3oool010000000IhKM06N6g@0000020;:?/P030000002aSk8000000080
bGQc0P00000S0?ooo`80000000D0Pd9g000000000000/I:g000000020;:C]`80000000<0e^CQ0000
003oool0;@3oool003P0oooo00D0000006N6g@000000/Xnb000000020;6?/P8000000P39N7<20000
01l0oooo0P00000208=2M`080000002aT[L0/I:g0;6B]`000000/Y>g0000003Fi>42000002l0oooo
000i0?ooo`<000001@2aSk8200000080_fa^0P00000J0?ooo`<0000000@0SDEa0000000000000000
1@2aT[L00`000000e^CQ0000000a0?ooo`00>`3oool3000000@0/Hnb0P0000030;m/KP<00000503o
ool3000000<0SDEa0P0000050;6B]`80000000<0c>?X0000003oool0<@3oool003`0oooo00<00000
06jAi00000000`2aSk800`000000/Hnc00000002000000030;m/KP000000]F5/00<000003`3oool2
0000000409M:KP000000SDEa08e5L@8000000P2aT[H01@000000/I:g0;6B]`2aT[L000000080c>?X
00<000000?ooo`3oool0<@3oool003d0oooo1@0000050;6?/`<000000`2eHF`?000000<0UdY^0`00
00040;6B]P050000002aT[L000000000003<hnP00P00000d0?ooo`00?`3oool00`000000KY7T0000
00060;6?/`060000002`Sk<000000000002eHF`000001P2YEf/00`000000XU9[0:9BJ`030:9BJ`03
0000002GBVh000000080000000<0/96f0000002aT[H01@2aT[H010000000c>?X0<cSj000000f0?oo
o`00@03oool010000000NJ;/0000000000030;6?/`030000002`Sk<0/8nc0080/8nc400000040;2A
]P030000002aT[H0/I:f0080/I:f0P0000000`2ngNl000000000000g0?ooo`00@P3oool400000003
0;6?/`000000/8nc00@0/8nc00<000000;2@]02`T;@0102`T;@00`000000/92e0;2@]@030;2@]@03
0000002`TKH0/96f00@0/96f00D000000;6B]P00000000000;kMk`02000003T0oooo00140?ooo`H0
00000`2`Sk<00`000000/92d0;2@]0040;2@]0030000002`T;D0/92e00@0/92e00@000000;2A]P2`
TKH0/96f100000000`2ngNl000000000000k0?ooo`00AP3oool200000080Qk7a1`0000030;2@]004
0000002`T;D0/92e0;2@]@`00000?@3oool004X0oooo1000000309K0m0h00000@P3oool00540oooo
1`0000190?ooo`00X@3oool00:40oooo002Q0?ooo`00X@3oool00001\
\>"],
  ImageRangeCache->{{{0, 160.5}, {156.063, 0}} -> {-0.000230217, 0.0135995, \
0.0062334, 0.0062334}}]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Generators and colorability",
  FontSize->18,
  FontWeight->"Bold",
  FontColor->RGBColor[0.500008, 0, 0]]], "Section",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["From ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["given by Conway symbol, Dowker code, or P-data, t",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["he function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fGenerators",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["calculates generators of ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["  and the list of the signs corresponding to crossing points. The \
first generator incommes to a vertex, the seccond is a the passing generator, \
and the third is the outgoing generator (",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["IPO",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["=",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["Incomming-Passing-Outgoing",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["). The result is divided according to the components of ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[".",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<2,3,-4\>";\)\), "\[IndentingNewLine]", 
    \(fGenerators[K]\)}], "Input"],

Cell[BoxData[
    \({{{5, 3, 4, 7, 5, 6, 9, 2, 6}, {3, 9, 8, 4, 6, 5, 1, 4, 3, 2, 8, 3, 8, 
          7, 9, 6, 1, 
          2}}, {\(-1\), \(-1\), \(-1\), \(-1\), \(-1\), \(-1\), \(-1\), \
\(-1\), \(-1\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{3, 
            6}, {\(-18\), \(-14\), \(-12\), \(-2\), \(-16\), \(-6\), \(-4\), \
\(-8\), \(-10\)}};\)\), "\[IndentingNewLine]", 
    \(fGenerators[DD]\)}], "Input"],

Cell[BoxData[
    \({{{4, 7, 3, 6, 4, 5, 9, 2, 1}, {7, 9, 8, 5, 1, 6, 3, 5, 4, 2, 8, 7, 8, 
          6, 9, 1, 3, 
          2}}, {\(-1\), \(-1\), \(-1\), \(-1\), \(-1\), \(-1\), \(-1\), \
\(-1\), \(-1\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata = {{3, 6}, {18, 13, 11, 2, 16, 5, 3, 8, 
            10}};\)\), "\[IndentingNewLine]", 
    \(fGenerators[pdata]\)}], "Input"],

Cell[BoxData[
    \({{{4, 7, 3, 6, 4, 5, 9, 2, 1}, {7, 9, 8, 5, 1, 6, 3, 5, 4, 2, 8, 7, 8, 
          6, 9, 1, 3, 2}}, {1, 1, 1, 1, 1, 1, 1, 1, 1}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fColTest",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["calculates a",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" ",
    FontColor->RGBColor[1, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["coloring of ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL ",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["given by its Conway symbol, Dowker code, or  P-data with a fixed \
number of colors (greater then 2). The result is the list of colored \
generators according to the generator list given by  ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["fGenerators",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[". The result may be:\n\t1.Perfect coloring- ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["all generators meeting at each vertex have different colors",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["\n\t2.Standard coloring- all generators have different colors or \
the same color\n\t3. Kauffman coloring - the only forbiden case is when \
incomming and passing generator, or outgoing and passing generator have the \
same color, different from the third generator color.",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<2,2 1,-2\>";\)\), "\[IndentingNewLine]", 
    \(\(i = 4;\)\), "\[IndentingNewLine]", 
    \(fColTest[K, i]\)}], "Input"],

Cell[BoxData[
    InterpretationBox[\("First found perfect coloring: "\[InvisibleSpace]{{4, 
            2, 3}, {2, 3, 4}, {1, 3, 4}, {2, 4, 1}, {3, 4, 1}, {3, 2, 4}, {4, 
            1, 2}}\),
      SequenceForm[ 
      "First found perfect coloring: ", {{4, 2, 3}, {2, 3, 4}, {1, 3, 4}, {2, 
        4, 1}, {3, 4, 1}, {3, 2, 4}, {4, 1, 2}}],
      Editable->False]], "Print"],

Cell[BoxData[
    \({{1, 3}, {2, 4}, {3, 4}, {4, 1}, {5, 1}, {6, 4}, {7, 2}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{2, 5}, {\(-14\), 10, \(-2\), 12, 6, 4, 
            8}};\)\), "\[IndentingNewLine]", 
    \(\(i = 4;\)\), "\[IndentingNewLine]", 
    \(fColTest[DD, i]\)}], "Input"],

Cell[BoxData[
    InterpretationBox[\("First found perfect coloring: "\[InvisibleSpace]{{4, 
            3, 2}, {2, 4, 3}, {1, 3, 4}, {4, 2, 3}, {3, 2, 1}, {3, 4, 2}, {2, 
            1, 4}}\),
      SequenceForm[ 
      "First found perfect coloring: ", {{4, 3, 2}, {2, 4, 3}, {1, 3, 4}, {4, 
        2, 3}, {3, 2, 1}, {3, 4, 2}, {2, 1, 4}}],
      Editable->False]], "Print"],

Cell[BoxData[
    \({{1, 2}, {2, 3}, {3, 4}, {4, 3}, {5, 1}, {6, 2}, {7, 4}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata = {{2, 5}, {14, \(-11\), 
            2, \(-12\), \(-6\), \(-3\), \(-8\)}};\)\), "\[IndentingNewLine]", \

    \(\(i = 4;\)\), "\[IndentingNewLine]", 
    \(fColTest[pdata, i]\)}], "Input"],

Cell[BoxData[
    InterpretationBox[\("First found perfect coloring: "\[InvisibleSpace]{{4, 
            3, 2}, {2, 4, 3}, {1, 3, 4}, {4, 2, 3}, {3, 2, 1}, {3, 4, 2}, {2, 
            1, 4}}\),
      SequenceForm[ 
      "First found perfect coloring: ", {{4, 3, 2}, {2, 4, 3}, {1, 3, 4}, {4, 
        2, 3}, {3, 2, 1}, {3, 4, 2}, {2, 1, 4}}],
      Editable->False]], "Print"],

Cell[BoxData[
    \({{1, 2}, {2, 3}, {3, 4}, {4, 3}, {5, 1}, {6, 2}, {7, 4}}\)], "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Seifert matrix and signature",
  FontSize->18,
  FontWeight->"Bold",
  FontColor->RGBColor[0.500008, 0, 0]]], "Section",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fSeifert",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["calculates Seifert matrix of a ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" given by its Conway symbol, Dowker code, or P-data. Its basic \
function ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["SeifertMatrix  ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["is written by Stepan Orevkov. ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<2,2 1,-2\>";\)\), "\[IndentingNewLine]", 
    \(fSeifert[K]\)}], "Input"],

Cell[BoxData[
    \({{0, \(-1\), 1, 0, 0}, {\(-1\), \(-2\), 0, 1, 1}, {1, 0, \(-2\), 1, 
        0}, {0, 1, 1, 0, 0}, {0, 1, 0, 0, \(-2\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{2, 5}, {\(-14\), 10, \(-2\), 12, 6, 4, 
            8}};\)\), "\[IndentingNewLine]", 
    \(fSeifert[DD]\)}], "Input"],

Cell[BoxData[
    \({{0, \(-1\), 1, 0, 0}, {\(-1\), \(-2\), 0, 1, 1}, {1, 0, \(-2\), 1, 
        0}, {0, 1, 1, 0, 0}, {0, 1, 0, 0, \(-2\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata = {{2, 5}, {14, \(-11\), 
            2, \(-12\), \(-6\), \(-3\), \(-8\)}};\)\), "\[IndentingNewLine]", \

    \(fSeifert[K]\)}], "Input"],

Cell[BoxData[
    \({{0, \(-1\), 1, 0, 0}, {\(-1\), \(-2\), 0, 1, 1}, {1, 0, \(-2\), 1, 
        0}, {0, 1, 1, 0, 0}, {0, 1, 0, 0, \(-2\)}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fSignat ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["calculates signature of a KL given by its Conway symbol, Dowker \
code, or P-data. Its basic function ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["ssmW",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["  is written by Stepan Orevkov. ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<2,2,2,-2\>";\)\), "\[IndentingNewLine]", 
    \(fSignat[K]\)}], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{2, 2, 2, 2}, {\(-8\), 14, \(-2\), 12, 6, 16, 10, 
            4}};\)\), "\[IndentingNewLine]", 
    \(fSignat[DD]\)}], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata = {{2, 2, 2, 2}, {8, \(-15\), 
            2, \(-12\), \(-6\), \(-16\), \(-10\), \(-3\)}};\)\), "\
\[IndentingNewLine]", 
    \(fSignat[pdata]\)}], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Prime ",
    FontSize->18,
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSize->18,
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["s",
    FontSize->18,
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Section",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fPrimeKL",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["checks whether ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" given by  Dowker code, or P-data is a prime or composite ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[", i.e. a direct product of some prime ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL-",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["s",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[".",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" The result is 1 for a prime ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[", and 0 for a composite ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[". ",
    FontColor->RGBColor[0.501961, 0, 0]]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{1, 6}, {14, 2, 10, 12, \(-4\), 
            8, \(-6\)}};\)\), "\[IndentingNewLine]", 
    \(fPrimeKL[DD]\)}], "Input"],

Cell[BoxData[
    \(0\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata = {{12, 2}, {25, \(-27\), 12, 6, 9, \(-1\), 3, \(-5\), \(-10\), 
            13, 8, \(-15\), \(-17\), 19}};\)\), "\[IndentingNewLine]", 
    \(fPrimeKL[pdata]\)}], "Input"],

Cell[BoxData[
    \(0\)], "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Torus ",
    FontSize->18,
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSize->18,
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["s",
    FontSize->18,
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Section",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fTorusKL",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["calculates for a torus ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" [",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["a",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[",",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["b",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["] its braid word, minimal number of crossings, unknotting number, \
number of components, bridge number, Alexander polynomial, and (Murasugi) \
signature (see: Murasugi K., ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["Knot Theory and its Applications,",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" Birkhauser, Boston, Basel, Berlin, 1996). ",
    FontColor->RGBColor[0.501961, 0, 0]]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(m = 5\), "\[IndentingNewLine]", 
    \(\(n = 3;\)\), "\[IndentingNewLine]", 
    \(fTorusKL[m, n]\)}], "Input"],

Cell[BoxData[
    \(5\)], "Output"],

Cell[BoxData[
    InterpretationBox[\("Braid word: "\[InvisibleSpace]"ababababab"\),
      SequenceForm[ "Braid word: ", "ababababab"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Pdata: "\[InvisibleSpace]{{10}, {8, 15, 12, 19, 16, 
            3, 20, 7, 4, 11}}\),
      SequenceForm[ "Pdata: ", {{10}, {8, 15, 12, 19, 16, 3, 20, 7, 4, 11}}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Braid word: "\[InvisibleSpace]"ababababab"\),
      SequenceForm[ "Braid word: ", "ababababab"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Crossings: "\[InvisibleSpace]10\),
      SequenceForm[ "Crossings: ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Number of components: "\[InvisibleSpace]1\),
      SequenceForm[ "Number of components: ", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Unknotting number: "\[InvisibleSpace]4\),
      SequenceForm[ "Unknotting number: ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Bridge number: "\[InvisibleSpace]3\),
      SequenceForm[ "Bridge number: ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Alexander polynomial: "\[InvisibleSpace]\(1 - x + 
          x\^3 - x\^4 + x\^5 - x\^7 + x\^8\)\),
      SequenceForm[ "Alexander polynomial: ", 
        Plus[ 1, 
          Times[ -1, x], 
          Power[ x, 3], 
          Times[ -1, 
            Power[ x, 4]], 
          Power[ x, 5], 
          Times[ -1, 
            Power[ x, 7]], 
          Power[ x, 8]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Signature: "\[InvisibleSpace]8\),
      SequenceForm[ "Signature: ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Murasugi signature: "\[InvisibleSpace]8\),
      SequenceForm[ "Murasugi signature: ", 8],
      Editable->False]], "Print"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .97743 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics3D
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0 1 -0.0112848 1 [
[ 0 0 0 0 ]
[ 1 .97743 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .97743 L
0 .97743 L
closepath
clip
newpath
.5 Mabswid
[ ] 0 setdash
.484 .606 .898 r
.49948 .6618 m .51167 .67094 L .5058 .67822 L p F P
0 g
s
.484 .606 .898 r
.5058 .67822 m .49062 .66684 L .49948 .6618 L p F P
0 g
s
.47 .579 .882 r
.51928 .68794 m .5058 .67822 L .51167 .67094 L p F P
0 g
s
.534 .201 .348 r
.18422 .34374 m .17385 .34734 L .17074 .3391 L p F P
0 g
s
.534 .201 .348 r
.17074 .3391 m .18221 .33502 L .18422 .34374 L p F P
0 g
s
.496 .178 .358 r
.15987 .34458 m .17074 .3391 L .17385 .34734 L p F P
0 g
s
.841 .866 .861 r
.80152 .41878 m .81227 .40903 L .818 .41636 L p F P
0 g
s
.841 .866 .861 r
.818 .41636 m .8069 .42644 L .80152 .41878 L p F P
0 g
s
.853 .867 .851 r
.82817 .40609 m .818 .41636 L .81227 .40903 L p F P
0 g
s
.87 .868 .833 r
.82193 .39932 m .8305 .38919 L .83731 .3952 L p F P
0 g
s
.87 .868 .833 r
.83731 .3952 m .82817 .40609 L .82193 .39932 L p F P
0 g
s
.889 .866 .81 r
.8305 .38919 m .83678 .38018 L .84419 .38516 L p F P
0 g
s
.889 .866 .81 r
.84419 .38516 m .83731 .3952 L .8305 .38919 L p F P
0 g
s
.91 .858 .778 r
.84976 .37434 m .84419 .38516 L .83678 .38018 L p F P
0 g
s
.342 .253 .608 r
.29218 .65709 m .29011 .67595 L .28127 .67316 L p F P
0 g
s
.342 .253 .608 r
.28127 .67316 m .28319 .65531 L .29218 .65709 L p F P
0 g
s
.349 .237 .582 r
.27818 .68842 m .28127 .67316 L .29011 .67595 L p F P
0 g
s
.335 .342 .719 r
.28275 .75418 m .28554 .76449 L .27734 .76724 L p F P
0 g
s
.335 .342 .719 r
.27734 .76724 m .27413 .75577 L .28275 .75418 L p F P
0 g
s
.345 .385 .759 r
.28297 .78001 m .27734 .76724 L .28488 .76471 L p F P
0 g
s
.345 .385 .759 r
.28297 .78001 m .28488 .76471 L .28535 .76564 L F
.707 .576 .706 r
.27734 .76724 m .28297 .78001 L .26541 .78938 L p F P
0 g
s
.345 .385 .759 r
.29011 .7752 m .28297 .78001 L p .28535 .76564 L F P
0 g
s
.345 .385 .759 r
.28554 .76449 m .29011 .7752 L p .28535 .76564 L F P
0 g
s
.345 .392 .767 r
.29939 .81111 m .28297 .78001 L .29011 .7752 L p F P
0 g
s
.7 .56 .693 r
.28297 .78001 m .29939 .81111 L .28335 .82293 L p F P
0 g
s
.7 .56 .693 r
.28335 .82293 m .26541 .78938 L .28297 .78001 L p F P
0 g
s
.345 .392 .767 r
.30563 .80532 m .29939 .81111 L p .29192 .78222 L F P
0 g
s
.345 .392 .767 r
.29011 .7752 m .30563 .80532 L p .29192 .78222 L F P
0 g
s
.363 .441 .807 r
.31993 .8393 m .29939 .81111 L .30563 .80532 L p F P
0 g
s
.698 .56 .695 r
.29939 .81111 m .31993 .8393 L .30586 .85342 L p F P
0 g
s
.698 .56 .695 r
.30586 .85342 m .28335 .82293 L .29939 .81111 L p F P
0 g
s
.363 .441 .807 r
.32508 .8326 m .31993 .8393 L p .30851 .81216 L F P
0 g
s
.363 .441 .807 r
.30563 .80532 m .32508 .8326 L p .30851 .81216 L F P
0 g
s
.388 .494 .846 r
.34404 .86358 m .31993 .8393 L .32508 .8326 L p F P
0 g
s
.696 .559 .696 r
.31993 .8393 m .34404 .86358 L .33251 .87987 L p F P
0 g
s
.696 .559 .696 r
.33251 .87987 m .30586 .85342 L .31993 .8393 L p F P
0 g
s
.388 .494 .846 r
.34785 .85612 m .34404 .86358 L p .32915 .83926 L F P
0 g
s
.388 .494 .846 r
.32508 .8326 m .34785 .85612 L p .32915 .83926 L F P
0 g
s
.425 .556 .884 r
.37219 .88377 m .34404 .86358 L .34785 .85612 L p F P
0 g
s
.694 .559 .698 r
.34404 .86358 m .37219 .88377 L .36293 .90146 L p F P
0 g
s
.694 .559 .698 r
.36293 .90146 m .33251 .87987 L .34404 .86358 L p F P
0 g
s
.425 .556 .884 r
.37481 .87584 m .37219 .88377 L p .35227 .86115 L F P
0 g
s
.425 .556 .884 r
.34785 .85612 m .37481 .87584 L p .35227 .86115 L F P
0 g
s
.458 .605 .909 r
.40143 .8993 m .37219 .88377 L .37481 .87584 L p F P
0 g
s
.693 .56 .699 r
.37219 .88377 m .40143 .8993 L .39523 .9183 L p F P
0 g
s
.693 .56 .699 r
.39523 .9183 m .36293 .90146 L .37219 .88377 L p F P
0 g
s
.458 .605 .909 r
.40253 .89104 m .40143 .8993 L p .38032 .8807 L F P
0 g
s
.458 .605 .909 r
.37481 .87584 m .40253 .89104 L p .38032 .8807 L F P
0 g
s
.505 .665 .934 r
.43291 .9098 m .40143 .8993 L .40253 .89104 L p F P
0 g
s
.692 .561 .702 r
.40143 .8993 m .43291 .9098 L .42972 .92955 L p F P
0 g
s
.692 .561 .702 r
.42972 .92955 m .39523 .9183 L .40143 .8993 L p F P
0 g
s
.505 .665 .934 r
.43259 .90147 m .43291 .9098 L p .40851 .89474 L F P
0 g
s
.505 .665 .934 r
.40253 .89104 m .43259 .90147 L p .40851 .89474 L F P
0 g
s
.554 .718 .949 r
.46631 .91543 m .43291 .9098 L .43259 .90147 L p F P
0 g
s
.691 .562 .704 r
.43291 .9098 m .46631 .91543 L .46582 .93544 L p F P
0 g
s
.691 .562 .704 r
.46582 .93544 m .42972 .92955 L .43291 .9098 L p F P
0 g
s
.554 .718 .949 r
.46479 .90721 m .46631 .91543 L p .4387 .904 L F P
0 g
s
.554 .718 .949 r
.43259 .90147 m .46479 .90721 L p .4387 .904 L F P
0 g
s
.598 .759 .956 r
.50135 .91659 m .46631 .91543 L .46479 .90721 L p F P
0 g
s
.691 .564 .707 r
.46631 .91543 m .50135 .91659 L .50185 .93662 L p F P
0 g
s
.691 .564 .707 r
.50185 .93662 m .46582 .93544 L .46631 .91543 L p F P
0 g
s
.598 .759 .956 r
.49948 .90845 m .50135 .91659 L p .46757 .90792 L F P
0 g
s
.598 .759 .956 r
.46479 .90721 m .49948 .90845 L p .46757 .90792 L F P
0 g
s
.615 .774 .957 r
.53559 .91597 m .50135 .91659 L .49948 .90845 L p F P
0 g
s
.691 .565 .707 r
.50135 .91659 m .53559 .91597 L .53879 .93577 L p F P
0 g
s
.691 .565 .707 r
.53879 .93577 m .50185 .93662 L .50135 .91659 L p F P
0 g
s
.615 .774 .957 r
.53252 .90817 m .53559 .91597 L p .50599 .9098 L F P
0 g
s
.615 .774 .957 r
.49948 .90845 m .53252 .90817 L p .50599 .9098 L F P
0 g
s
.659 .809 .955 r
.56896 .91082 m .53559 .91597 L .53252 .90817 L p F P
0 g
s
.691 .566 .709 r
.53559 .91597 m .56896 .91082 L .57519 .9299 L p F P
0 g
s
.691 .566 .709 r
.57519 .9299 m .53879 .93577 L .53559 .91597 L p F P
0 g
s
.659 .809 .955 r
.56455 .90361 m .56896 .91082 L p .53977 .9087 L F P
0 g
s
.659 .809 .955 r
.53252 .90817 m .56455 .90361 L p .53977 .9087 L F P
0 g
s
.71 .842 .946 r
.60054 .90075 m .56896 .91082 L .56455 .90361 L p F P
0 g
s
.692 .569 .712 r
.56896 .91082 m .60054 .90075 L .60985 .91855 L p F P
0 g
s
.692 .569 .712 r
.60985 .91855 m .57519 .9299 L .56896 .91082 L p F P
0 g
s
.71 .842 .946 r
.59483 .8944 m .60054 .90075 L p .57205 .90302 L F P
0 g
s
.71 .842 .946 r
.56455 .90361 m .59483 .8944 L p .57205 .90302 L F P
0 g
s
.762 .869 .926 r
.63028 .88545 m .60054 .90075 L .59483 .8944 L p F P
0 g
s
.692 .572 .714 r
.60054 .90075 m .63028 .88545 L .6419 .90186 L p F P
0 g
s
.692 .572 .714 r
.6419 .90186 m .60985 .91855 L .60054 .90075 L p F P
0 g
s
.762 .869 .926 r
.62369 .87989 m .63028 .88545 L p .60095 .89286 L F P
0 g
s
.762 .869 .926 r
.59483 .8944 m .62369 .87989 L p .60095 .89286 L F P
0 g
s
.802 .883 .905 r
.65841 .86578 m .63028 .88545 L .62369 .87989 L p F P
0 g
s
.694 .574 .716 r
.63028 .88545 m .65841 .86578 L .67261 .88003 L p F P
0 g
s
.694 .574 .716 r
.67261 .88003 m .6419 .90186 L .63028 .88545 L p F P
0 g
s
.802 .883 .905 r
.65083 .86142 m .65841 .86578 L p .63112 .87687 L F P
0 g
s
.802 .883 .905 r
.62369 .87989 m .65083 .86142 L p .63112 .87687 L F P
0 g
s
.846 .89 .871 r
.68295 .84161 m .65841 .86578 L .65083 .86142 L p F P
0 g
s
.696 .577 .718 r
.65841 .86578 m .68295 .84161 L .69916 .85355 L p F P
0 g
s
.696 .577 .718 r
.69916 .85355 m .67261 .88003 L .65841 .86578 L p F P
0 g
s
.846 .89 .871 r
.67466 .83846 m .68295 .84161 L p .65722 .85748 L F P
0 g
s
.846 .89 .871 r
.65083 .86142 m .67466 .83846 L p .65722 .85748 L F P
0 g
s
.88 .887 .834 r
.70387 .8135 m .68295 .84161 L .67466 .83846 L p F P
0 g
s
.698 .58 .72 r
.68295 .84161 m .70387 .8135 L .72166 .82299 L p F P
0 g
s
.698 .58 .72 r
.72166 .82299 m .69916 .85355 L .68295 .84161 L p F P
0 g
s
.88 .887 .834 r
.69509 .81158 m .70387 .8135 L p .6804 .83355 L F P
0 g
s
.88 .887 .834 r
.67466 .83846 m .69509 .81158 L p .6804 .83355 L F P
0 g
s
.707 .577 .707 r
.71429 .79447 m .69983 .79405 L .70051 .77416 L p F P
0 g
s
.697 .365 .411 r
.68542 .79187 m .69983 .79405 L .70036 .80538 L p F P
0 g
s
.667 .341 .411 r
.69983 .79405 m .71429 .79447 L .71617 .80576 L p F P
0 g
s
.667 .341 .411 r
.71617 .80576 m .70036 .80538 L .69983 .79405 L p F P
0 g
s
.697 .365 .411 r
.70036 .80538 m .68468 .80307 L .68542 .79187 L p F P
0 g
s
.588 .732 .943 r
.68468 .80307 m .70036 .80538 L .70159 .79674 L p F P
0 g
s
.638 .319 .415 r
.73099 .80429 m .71617 .80576 L .71429 .79447 L p F P
0 g
s
.624 .767 .948 r
.70036 .80538 m .71617 .80576 L .71617 .79716 L p F P
0 g
s
.624 .767 .948 r
.71617 .79716 m .70159 .79674 L .70036 .80538 L p F P
0 g
s
.707 .577 .707 r
.70051 .77416 m .71241 .77465 L .71429 .79447 L p F P
0 g
s
.706 .577 .707 r
.72978 .79284 m .71429 .79447 L .71241 .77465 L p F P
0 g
s
.638 .319 .415 r
.71429 .79447 m .72978 .79284 L .73099 .80429 L p F P
0 g
s
.707 .577 .707 r
.70159 .79674 m .71617 .79716 L .71428 .77717 L p F P
0 g
s
.706 .577 .707 r
.71241 .77465 m .7263 .77325 L .72978 .79284 L p F P
0 g
s
.708 .578 .707 r
.72518 .77629 m .71428 .77717 L .71617 .79716 L p F P
0 g
s
.905 .876 .797 r
.72033 .78332 m .70387 .8135 L .69509 .81158 L p F P
0 g
s
.692 .567 .71 r
.76724 .78614 m .72978 .79284 L .7263 .77325 L p F P
0 g
s
.606 .298 .422 r
.72978 .79284 m .76724 .78614 L .77006 .79743 L p F P
0 g
s
.606 .298 .422 r
.77006 .79743 m .73099 .80429 L .72978 .79284 L p F P
0 g
s
.66 .798 .948 r
.71617 .80576 m .73099 .80429 L .72869 .79606 L p F P
0 g
s
.66 .798 .948 r
.72869 .79606 m .71617 .79716 L .71617 .80576 L p F P
0 g
s
.669 .806 .949 r
.76657 .78975 m .72869 .79606 L .73099 .80429 L p F P
0 g
s
.708 .578 .707 r
.71617 .79716 m .72869 .79606 L .72518 .77629 L p F P
0 g
s
.692 .567 .71 r
.7263 .77325 m .76096 .76724 L .76724 .78614 L p F P
0 g
s
.691 .566 .71 r
.76024 .77068 m .72518 .77629 L .72869 .79606 L p F P
0 g
s
.691 .566 .71 r
.72869 .79606 m .76657 .78975 L .76024 .77068 L p F P
0 g
s
.699 .583 .721 r
.70387 .8135 m .72033 .78332 L .73884 .79133 L p F P
0 g
s
.669 .806 .949 r
.73099 .80429 m .77006 .79743 L .76657 .78975 L p F P
0 g
s
.699 .583 .721 r
.73884 .79133 m .72166 .82299 L .70387 .8135 L p F P
0 g
s
.707 .577 .707 r
.71428 .77717 m .70227 .77667 L .70159 .79674 L p F P
0 g
s
.905 .876 .797 r
.71201 .7806 m .72033 .78332 L p .69565 .81096 L F P
0 g
s
.905 .876 .797 r
.69509 .81158 m .71201 .7806 L p .69565 .81096 L F P
0 g
s
.665 .797 .946 r
.7263 .77325 m .71241 .77465 L .7124 .76666 L p F P
0 g
s
.665 .797 .946 r
.7124 .76666 m .7124 .76595 L p .71343 .7665 L F P
0 g
s
.665 .797 .946 r
.7263 .77325 m .7124 .76666 L .71343 .7665 L F
.72399 .76492 m .7263 .77325 L p .71343 .7665 L F P
0 g
s
.665 .797 .946 r
.7124 .76595 m .72399 .76492 L p .71343 .7665 L F P
0 g
s
.672 .804 .946 r
.76096 .76724 m .7263 .77325 L .72399 .76492 L p F P
0 g
s
.672 .804 .946 r
.75745 .75946 m .76096 .76724 L p .73122 .76538 L F P
0 g
s
.672 .804 .946 r
.72399 .76492 m .75745 .75946 L p .73122 .76538 L F P
0 g
s
.716 .836 .939 r
.79413 .75639 m .76096 .76724 L .75745 .75946 L p F P
0 g
s
.692 .569 .712 r
.76096 .76724 m .79413 .75639 L .80321 .77414 L p F P
0 g
s
.692 .569 .712 r
.80321 .77414 m .76724 .78614 L .76096 .76724 L p F P
0 g
s
.716 .836 .939 r
.78943 .74938 m .79413 .75639 L p .76484 .75884 L F P
0 g
s
.716 .836 .939 r
.75745 .75946 m .78943 .74938 L p .76484 .75884 L F P
0 g
s
.761 .862 .924 r
.82469 .74096 m .79413 .75639 L .78943 .74938 L p F P
0 g
s
.693 .572 .714 r
.79413 .75639 m .82469 .74096 L .83661 .75696 L p F P
0 g
s
.693 .572 .714 r
.83661 .75696 m .80321 .77414 L .79413 .75639 L p F P
0 g
s
.761 .862 .924 r
.81884 .73499 m .82469 .74096 L p .797 .74757 L F P
0 g
s
.761 .862 .924 r
.78943 .74938 m .81884 .73499 L p .797 .74757 L F P
0 g
s
.809 .882 .899 r
.8526 .72042 m .82469 .74096 L .81884 .73499 L p F P
0 g
s
.694 .575 .716 r
.82469 .74096 m .8526 .72042 L .86657 .73469 L p F P
0 g
s
.694 .575 .716 r
.86657 .73469 m .83661 .75696 L .82469 .74096 L p F P
0 g
s
.809 .882 .899 r
.84594 .71543 m .8526 .72042 L p .82498 .73234 L F P
0 g
s
.809 .882 .899 r
.81884 .73499 m .84594 .71543 L p .82498 .73234 L F P
0 g
s
.843 .89 .873 r
.87642 .6974 m .8526 .72042 L .84594 .71543 L p F P
0 g
s
.695 .577 .718 r
.8526 .72042 m .87642 .6974 L .89258 .70917 L p F P
0 g
s
.695 .577 .718 r
.89258 .70917 m .86657 .73469 L .8526 .72042 L p F P
0 g
s
.843 .89 .873 r
.86898 .69375 m .87642 .6974 L p .85226 .71169 L F P
0 g
s
.843 .89 .873 r
.84594 .71543 m .86898 .69375 L p .85226 .71169 L F P
0 g
s
.882 .891 .834 r
.89615 .6707 m .87642 .6974 L .86898 .69375 L p F P
0 g
s
.697 .58 .72 r
.87642 .6974 m .89615 .6707 L .91395 .67983 L p F P
0 g
s
.697 .58 .72 r
.91395 .67983 m .89258 .70917 L .87642 .6974 L p F P
0 g
s
.882 .891 .834 r
.8882 .66837 m .89615 .6707 L p .87433 .68921 L F P
0 g
s
.882 .891 .834 r
.86898 .69375 m .8882 .66837 L p .87433 .68921 L F P
0 g
s
.912 .881 .791 r
.91184 .64065 m .89615 .6707 L .8882 .66837 L p F P
0 g
s
.7 .583 .721 r
.89615 .6707 m .91184 .64065 L .93072 .64731 L p F P
0 g
s
.7 .583 .721 r
.93072 .64731 m .91395 .67983 L .89615 .6707 L p F P
0 g
s
.912 .881 .791 r
.90362 .63951 m .91184 .64065 L p .89248 .66335 L F P
0 g
s
.912 .881 .791 r
.8882 .66837 m .90362 .63951 L p .89248 .66335 L F P
0 g
s
.932 .865 .751 r
.92378 .60768 m .91184 .64065 L .90362 .63951 L p F P
0 g
s
.702 .585 .722 r
.91184 .64065 m .92378 .60768 L .94299 .6134 L p F P
0 g
s
.702 .585 .722 r
.94299 .6134 m .93072 .64731 L .91184 .64065 L p F P
0 g
s
.932 .865 .751 r
.91553 .60689 m .92378 .60768 L p .90515 .63709 L F P
0 g
s
.932 .865 .751 r
.90362 .63951 m .91553 .60689 L p .90515 .63709 L F P
0 g
s
.938 .858 .735 r
.93379 .57491 m .92378 .60768 L .91553 .60689 L p F P
0 g
s
.702 .586 .722 r
.92378 .60768 m .93379 .57491 L .95361 .578 L p F P
0 g
s
.702 .586 .722 r
.95361 .578 m .94299 .6134 L .92378 .60768 L p F P
0 g
s
.938 .858 .735 r
.92549 .57537 m .93379 .57491 L p .91882 .60113 L F P
0 g
s
.938 .858 .735 r
.91553 .60689 m .92549 .57537 L p .91882 .60113 L F P
0 g
s
.951 .833 .691 r
.93922 .54158 m .93379 .57491 L .92549 .57537 L p F P
0 g
s
.704 .588 .723 r
.93379 .57491 m .93922 .54158 L .95929 .54155 L p F P
0 g
s
.704 .588 .723 r
.95929 .54155 m .95361 .578 L .93379 .57491 L p F P
0 g
s
.951 .833 .691 r
.93107 .54349 m .93922 .54158 L p .92822 .56865 L F P
0 g
s
.951 .833 .691 r
.92549 .57537 m .93107 .54349 L p .92822 .56865 L F P
0 g
s
.958 .796 .64 r
.93942 .50842 m .93922 .54158 L .93107 .54349 L p F P
0 g
s
.707 .59 .723 r
.93922 .54158 m .93942 .50842 L .95922 .50506 L p F P
0 g
s
.707 .59 .723 r
.95922 .50506 m .95929 .54155 L .93922 .54158 L p F P
0 g
s
.958 .796 .64 r
.93168 .51184 m .93942 .50842 L p .93281 .53618 L F P
0 g
s
.958 .796 .64 r
.93107 .54349 m .93168 .51184 L p .93281 .53618 L F P
0 g
s
.955 .749 .585 r
.93407 .4754 m .93942 .50842 L .93168 .51184 L p F P
0 g
s
.71 .593 .723 r
.93942 .50842 m .93407 .4754 L .95326 .46942 L p F P
0 g
s
.71 .593 .723 r
.95326 .46942 m .95922 .50506 L .93942 .50842 L p F P
0 g
s
.955 .749 .585 r
.92682 .47989 m .93407 .4754 L p .93209 .50555 L F P
0 g
s
.955 .749 .585 r
.93168 .51184 m .92682 .47989 L p .93209 .50555 L F P
0 g
s
.947 .706 .541 r
.92406 .44256 m .93407 .4754 L .92682 .47989 L p F P
0 g
s
.712 .593 .722 r
.93407 .4754 m .92406 .44256 L .94201 .43345 L p F P
0 g
s
.712 .593 .722 r
.94201 .43345 m .95326 .46942 L .93407 .4754 L p F P
0 g
s
.947 .706 .541 r
.91765 .44837 m .92406 .44256 L p .92623 .4719 L F P
0 g
s
.947 .706 .541 r
.92682 .47989 m .91765 .44837 L p .92623 .4719 L F P
0 g
s
.928 .648 .49 r
.90867 .41174 m .92406 .44256 L .91765 .44837 L p F P
0 g
s
.714 .595 .721 r
.92406 .44256 m .90867 .41174 L .92504 .40001 L p F P
0 g
s
.714 .595 .721 r
.92504 .40001 m .94201 .43345 L .92406 .44256 L p F P
0 g
s
.928 .648 .49 r
.90319 .41859 m .90867 .41174 L p .91587 .44108 L F P
0 g
s
.928 .648 .49 r
.91765 .44837 m .90319 .41859 L p .91587 .44108 L F P
0 g
s
.903 .592 .449 r
.88842 .38315 m .90867 .41174 L .90319 .41859 L p F P
0 g
s
.716 .595 .72 r
.90867 .41174 m .88842 .38315 L .90294 .36916 L p F P
0 g
s
.716 .595 .72 r
.90294 .36916 m .92504 .40001 L .90867 .41174 L p F P
0 g
s
.903 .592 .449 r
.88395 .39085 m .88842 .38315 L p .90029 .41163 L F P
0 g
s
.903 .592 .449 r
.90319 .41859 m .88395 .39085 L p .90029 .41163 L F P
0 g
s
.707 .577 .707 r
.84976 .37434 m .8539 .36317 L .87333 .36751 L p F P
0 g
s
.707 .577 .707 r
.87333 .36751 m .86847 .38113 L .84976 .37434 L p F P
0 g
s
.435 .264 .549 r
.86194 .39417 m .86847 .38113 L .87948 .38407 L p F P
0 g
s
.435 .264 .549 r
.87948 .38407 m .87243 .39827 L .86194 .39417 L p F P
0 g
s
.427 .281 .579 r
.86847 .38113 m .87333 .36751 L .88472 .36916 L p F P
0 g
s
.427 .281 .579 r
.88472 .36916 m .87948 .38407 L .86847 .38113 L p F P
0 g
s
.914 .861 .774 r
.87243 .39827 m .87948 .38407 L .87171 .38019 L p F P
0 g
s
.421 .301 .61 r
.8879 .35461 m .88472 .36916 L .87333 .36751 L p F P
0 g
s
.93 .847 .739 r
.87948 .38407 m .88472 .36916 L .87661 .36644 L p F P
0 g
s
.93 .847 .739 r
.87661 .36644 m .87171 .38019 L .87948 .38407 L p F P
0 g
s
.707 .578 .708 r
.87657 .35227 m .87333 .36751 L .8539 .36317 L p F P
0 g
s
.421 .301 .61 r
.87333 .36751 m .87657 .35227 L .8879 .35461 L p F P
0 g
s
.707 .577 .707 r
.87171 .38019 m .87661 .36644 L .85702 .36207 L p F P
0 g
s
.707 .578 .708 r
.8539 .36317 m .85686 .34953 L .87657 .35227 L p F P
0 g
s
.707 .577 .706 r
.85955 .35143 m .85702 .36207 L .87661 .36644 L p F P
0 g
s
.874 .54 .415 r
.86481 .35816 m .88842 .38315 L .88395 .39085 L p F P
0 g
s
.705 .588 .722 r
.88179 .31456 m .87657 .35227 L .85686 .34953 L p F P
0 g
s
.418 .324 .642 r
.87657 .35227 m .88179 .31456 L .89347 .31532 L p F P
0 g
s
.418 .324 .642 r
.89347 .31532 m .8879 .35461 L .87657 .35227 L p F P
0 g
s
.943 .828 .702 r
.88472 .36916 m .8879 .35461 L .87944 .3542 L p F P
0 g
s
.943 .828 .702 r
.87944 .3542 m .87661 .36644 L .88472 .36916 L p F P
0 g
s
.946 .823 .691 r
.88516 .31621 m .87944 .3542 L .8879 .35461 L p F P
0 g
s
.707 .577 .706 r
.87661 .36644 m .87944 .3542 L .85955 .35143 L p F P
0 g
s
.705 .588 .722 r
.85686 .34953 m .86187 .31469 L .88179 .31456 L p F P
0 g
s
.705 .589 .723 r
.87944 .3542 m .88516 .31621 L .86506 .31634 L p F P
0 g
s
.705 .589 .723 r
.86506 .31634 m .85955 .35143 L .87944 .3542 L p F P
0 g
s
.718 .596 .719 r
.88842 .38315 m .86481 .35816 L .87816 .34303 L p F P
0 g
s
.946 .823 .691 r
.8879 .35461 m .89347 .31532 L .88516 .31621 L p F P
0 g
s
.718 .596 .719 r
.87816 .34303 m .90294 .36916 L .88842 .38315 L p F P
0 g
s
.874 .54 .415 r
.85973 .36518 m .86481 .35816 L p .88353 .39013 L F P
0 g
s
.874 .54 .415 r
.88395 .39085 m .85973 .36518 L p .88353 .39013 L F P
0 g
s
.941 .823 .701 r
.85686 .34953 m .8539 .36317 L .84636 .36067 L p F P
0 g
s
.941 .823 .701 r
.84636 .36067 m .8457 .36044 L p .84653 .35963 L F P
0 g
s
.941 .823 .701 r
.85686 .34953 m .84636 .36067 L .84653 .35963 L F
.8483 .3491 m .85686 .34953 L p .84653 .35963 L F P
0 g
s
.941 .823 .701 r
.8457 .36044 m .8483 .3491 L p .84653 .35963 L F P
0 g
s
.944 .819 .692 r
.86187 .31469 m .85686 .34953 L .8483 .3491 L p F P
0 g
s
.944 .819 .692 r
.85346 .31558 m .86187 .31469 L p .85096 .34237 L F P
0 g
s
.944 .819 .692 r
.8483 .3491 m .85346 .31558 L p .85096 .34237 L F P
0 g
s
.951 .788 .644 r
.86182 .27979 m .86187 .31469 L .85346 .31558 L p F P
0 g
s
.707 .59 .722 r
.86187 .31469 m .86182 .27979 L .88151 .27663 L p F P
0 g
s
.707 .59 .722 r
.88151 .27663 m .88179 .31456 L .86187 .31469 L p F P
0 g
s
.951 .788 .644 r
.85377 .28204 m .86182 .27979 L p .85514 .30837 L F P
0 g
s
.951 .788 .644 r
.85346 .31558 m .85377 .28204 L p .85514 .30837 L F P
0 g
s
.951 .749 .593 r
.8566 .24594 m .86182 .27979 L .85377 .28204 L p F P
0 g
s
.709 .592 .722 r
.86182 .27979 m .8566 .24594 L .8755 .23955 L p F P
0 g
s
.709 .592 .722 r
.8755 .23955 m .88151 .27663 L .86182 .27979 L p F P
0 g
s
.951 .749 .593 r
.84918 .24961 m .8566 .24594 L p .85438 .27429 L F P
0 g
s
.951 .749 .593 r
.85377 .28204 m .84918 .24961 L p .85438 .27429 L F P
0 g
s
.943 .697 .536 r
.84571 .21304 m .8566 .24594 L .84918 .24961 L p F P
0 g
s
.712 .593 .722 r
.8566 .24594 m .84571 .21304 L .8636 .20417 L p F P
0 g
s
.712 .593 .722 r
.8636 .20417 m .8755 .23955 L .8566 .24594 L p F P
0 g
s
.943 .697 .536 r
.83897 .21778 m .84571 .21304 L p .84855 .24296 L F P
0 g
s
.943 .697 .536 r
.84918 .24961 m .83897 .21778 L p .84855 .24296 L F P
0 g
s
.929 .651 .493 r
.83119 .18326 m .84571 .21304 L .83897 .21778 L p F P
0 g
s
.714 .595 .721 r
.84571 .21304 m .83119 .18326 L .84737 .17153 L p F P
0 g
s
.714 .595 .721 r
.84737 .17153 m .8636 .20417 L .84571 .21304 L p F P
0 g
s
.929 .651 .493 r
.82548 .18916 m .83119 .18326 L p .83736 .21063 L F P
0 g
s
.929 .651 .493 r
.83897 .21778 m .82548 .18916 L p .83736 .21063 L F P
0 g
s
.904 .59 .441 r
.8119 .15624 m .83119 .18326 L .82548 .18916 L p F P
0 g
s
.716 .596 .72 r
.83119 .18326 m .8119 .15624 L .82609 .14213 L p F P
0 g
s
.716 .596 .72 r
.82609 .14213 m .84737 .17153 L .83119 .18326 L p F P
0 g
s
.904 .59 .441 r
.8073 .16303 m .8119 .15624 L p .82281 .18268 L F P
0 g
s
.904 .59 .441 r
.82548 .18916 m .8073 .16303 L p .82281 .18268 L F P
0 g
s
.873 .529 .398 r
.78819 .13203 m .8119 .15624 L .8073 .16303 L p F P
0 g
s
.718 .596 .718 r
.8119 .15624 m .78819 .13203 L .80035 .11613 L p F P
0 g
s
.718 .596 .718 r
.80035 .11613 m .82609 .14213 L .8119 .15624 L p F P
0 g
s
.873 .529 .398 r
.78464 .13944 m .78819 .13203 L p .80384 .15741 L F P
0 g
s
.873 .529 .398 r
.8073 .16303 m .78464 .13944 L p .80384 .15741 L F P
0 g
s
.84 .476 .365 r
.76053 .11047 m .78819 .13203 L .78464 .13944 L p F P
0 g
s
.72 .596 .717 r
.78819 .13203 m .76053 .11047 L .7719 .09397 L p F P
0 g
s
.72 .596 .717 r
.7719 .09397 m .80035 .11613 L .78819 .13203 L p F P
0 g
s
.84 .476 .365 r
.7573 .11801 m .76053 .11047 L p .7828 .13724 L F P
0 g
s
.84 .476 .365 r
.78464 .13944 m .7573 .11801 L p .7828 .13724 L F P
0 g
s
.827 .457 .354 r
.73248 .09081 m .76053 .11047 L .7573 .11801 L p F P
0 g
s
.72 .595 .716 r
.76053 .11047 m .73248 .09081 L .74153 .07292 L p F P
0 g
s
.72 .595 .716 r
.74153 .07292 m .7719 .09397 L .76053 .11047 L p F P
0 g
s
.827 .457 .354 r
.73042 .09879 m .73248 .09081 L p .75283 .11311 L F P
0 g
s
.827 .457 .354 r
.7573 .11801 m .73042 .09879 L p .75283 .11311 L F P
0 g
s
.789 .405 .328 r
.70246 .07534 m .73248 .09081 L .73042 .09879 L p F P
0 g
s
.721 .595 .714 r
.73248 .09081 m .70246 .07534 L .70864 .05624 L p F P
0 g
s
.721 .595 .714 r
.70864 .05624 m .74153 .07292 L .73248 .09081 L p F P
0 g
s
.789 .405 .328 r
.70184 .08363 m .70246 .07534 L p .72486 .09413 L F P
0 g
s
.789 .405 .328 r
.73042 .09879 m .70184 .08363 L p .72486 .09413 L F P
0 g
s
.742 .348 .305 r
.671 .06489 m .70246 .07534 L .70184 .08363 L p F P
0 g
s
.722 .594 .712 r
.70246 .07534 m .671 .06489 L .67393 .04502 L p F P
0 g
s
.722 .594 .712 r
.67393 .04502 m .70864 .05624 L .70246 .07534 L p F P
0 g
s
.742 .348 .305 r
.67193 .07325 m .671 .06489 L p .69541 .07972 L F P
0 g
s
.742 .348 .305 r
.70184 .08363 m .67193 .07325 L p .69541 .07972 L F P
0 g
s
.689 .293 .291 r
.63796 .05977 m .671 .06489 L .67193 .07325 L p F P
0 g
s
.723 .592 .709 r
.671 .06489 m .63796 .05977 L .6382 .03967 L p F P
0 g
s
.723 .592 .709 r
.6382 .03967 m .67393 .04502 L .671 .06489 L p F P
0 g
s
.689 .293 .291 r
.64007 .068 m .63796 .05977 L p .66607 .07093 L F P
0 g
s
.689 .293 .291 r
.67193 .07325 m .64007 .068 L p .66607 .07093 L F P
0 g
s
.644 .253 .288 r
.60365 .05912 m .63796 .05977 L .64007 .068 L p F P
0 g
s
.723 .59 .707 r
.63796 .05977 m .60365 .05912 L .60054 .03924 L p F P
0 g
s
.723 .59 .707 r
.60054 .03924 m .6382 .03967 L .63796 .05977 L p F P
0 g
s
.644 .253 .288 r
.60727 .06696 m .60365 .05912 L p .63227 .0661 L F P
0 g
s
.644 .253 .288 r
.64007 .068 m .60727 .06696 L p .63227 .0661 L F P
0 g
s
.59 .211 .293 r
.5696 .06423 m .60365 .05912 L .60727 .06696 L p F P
0 g
s
.723 .588 .704 r
.60365 .05912 m .5696 .06423 L .5635 .04503 L p F P
0 g
s
.723 .588 .704 r
.5635 .04503 m .60054 .03924 L .60365 .05912 L p F P
0 g
s
.59 .211 .293 r
.57449 .07151 m .5696 .06423 L p .59977 .06642 L F P
0 g
s
.59 .211 .293 r
.60727 .06696 m .57449 .07151 L p .59977 .06642 L F P
0 g
s
.542 .182 .307 r
.53616 .07464 m .5696 .06423 L .57449 .07151 L p F P
0 g
s
.722 .586 .702 r
.5696 .06423 m .53616 .07464 L .52735 .05651 L p F P
0 g
s
.722 .586 .702 r
.52735 .05651 m .5635 .04503 L .5696 .06423 L p F P
0 g
s
.542 .182 .307 r
.54218 .08122 m .53616 .07464 L p .56696 .07212 L F P
0 g
s
.542 .182 .307 r
.57449 .07151 m .54218 .08122 L p .56696 .07212 L F P
0 g
s
.707 .577 .707 r
.51642 .08432 m .52787 .09315 L .51563 .10884 L p F P
0 g
s
.486 .543 .84 r
.53825 .10339 m .52787 .09315 L .53414 .08353 L p F P
0 g
s
.486 .543 .84 r
.53414 .08353 m .54547 .09462 L .53825 .10339 L p F P
0 g
s
.512 .579 .859 r
.52787 .09315 m .51642 .08432 L .52157 .07394 L p F P
0 g
s
.512 .579 .859 r
.52157 .07394 m .53414 .08353 L .52787 .09315 L p F P
0 g
s
.854 .514 .408 r
.54547 .09462 m .53414 .08353 L .52811 .08967 L p F P
0 g
s
.539 .613 .875 r
.50872 .06642 m .52157 .07394 L .51642 .08432 L p F P
0 g
s
.826 .468 .378 r
.53414 .08353 m .52157 .07394 L .51656 .08076 L p F P
0 g
s
.826 .468 .378 r
.51656 .08076 m .52811 .08967 L .53414 .08353 L p F P
0 g
s
.707 .577 .707 r
.51563 .10884 m .50629 .10145 L .51642 .08432 L p F P
0 g
s
.71 .581 .709 r
.50155 .07583 m .51642 .08432 L .50629 .10145 L p F P
0 g
s
.539 .613 .875 r
.51642 .08432 m .50155 .07583 L .50872 .06642 L p F P
0 g
s
.707 .577 .707 r
.52811 .08967 m .51656 .08076 L .50634 .09804 L p F P
0 g
s
.71 .581 .709 r
.50629 .10145 m .49285 .09373 L .50155 .07583 L p F P
0 g
s
.703 .571 .704 r
.49839 .09304 m .50634 .09804 L .51656 .08076 L p F P
0 g
s
.501 .163 .326 r
.50511 .08936 m .53616 .07464 L .54218 .08122 L p F P
0 g
s
.734 .61 .72 r
.46866 .05954 m .50155 .07583 L .49285 .09373 L p F P
0 g
s
.578 .661 .894 r
.50155 .07583 m .46866 .05954 L .47306 .0486 L p F P
0 g
s
.578 .661 .894 r
.47306 .0486 m .50872 .06642 L .50155 .07583 L p F P
0 g
s
.795 .423 .352 r
.52157 .07394 m .50872 .06642 L .50717 .07498 L p F P
0 g
s
.795 .423 .352 r
.50717 .07498 m .51656 .08076 L .52157 .07394 L p F P
0 g
s
.799 .424 .347 r
.47142 .05673 m .50717 .07498 L .50872 .06642 L p F P
0 g
s
.703 .571 .704 r
.51656 .08076 m .50717 .07498 L .49839 .09304 L p F P
0 g
s
.734 .61 .72 r
.49285 .09373 m .46263 .07854 L .46866 .05954 L p F P
0 g
s
.736 .612 .721 r
.46533 .0759 m .49839 .09304 L .50717 .07498 L p F P
0 g
s
.736 .612 .721 r
.50717 .07498 m .47142 .05673 L .46533 .0759 L p F P
0 g
s
.721 .583 .7 r
.53616 .07464 m .50511 .08936 L .49485 .072 L p F P
0 g
s
.799 .424 .347 r
.50872 .06642 m .47306 .0486 L .47142 .05673 L p F P
0 g
s
.721 .583 .7 r
.49485 .072 m .52735 .05651 L .53616 .07464 L p F P
0 g
s
.501 .163 .326 r
.51029 .09631 m .50511 .08936 L p .54136 .0814 L F P
0 g
s
.501 .163 .326 r
.54218 .08122 m .51029 .09631 L p .54136 .0814 L F P
0 g
s
.792 .423 .358 r
.49285 .09373 m .50629 .10145 L .50123 .10836 L p F P
0 g
s
.828 .476 .388 r
.50955 .11505 m .50123 .10836 L .50629 .10145 L p F P
0 g
s
.828 .476 .388 r
.50629 .10145 m .51563 .10884 L .50955 .11505 L p F P
0 g
s
.503 .571 .857 r
.51576 .1055 m .50634 .09804 L .50123 .10836 L p F P
0 g
s
.792 .423 .358 r
.50123 .10836 m .49124 .10237 L .49285 .09373 L p F P
0 g
s
.534 .61 .875 r
.50634 .09804 m .49839 .09304 L .49124 .10237 L p F P
0 g
s
.534 .61 .875 r
.49124 .10237 m .50123 .10836 L .50634 .09804 L p F P
0 g
s
.707 .577 .707 r
.50634 .09804 m .51576 .1055 L .52811 .08967 L p F P
0 g
s
.8 .429 .354 r
.46263 .07854 m .49285 .09373 L .49124 .10237 L p F P
0 g
s
.8 .429 .354 r
.46094 .08677 m .46263 .07854 L p .48758 .09932 L F P
0 g
s
.8 .429 .354 r
.49124 .10237 m .46094 .08677 L p .48758 .09932 L F P
0 g
s
.742 .358 .325 r
.4294 .06778 m .46263 .07854 L .46094 .08677 L p F P
0 g
s
.722 .593 .712 r
.46263 .07854 m .4294 .06778 L .43248 .04807 L p F P
0 g
s
.722 .593 .712 r
.43248 .04807 m .46866 .05954 L .46263 .07854 L p F P
0 g
s
.742 .358 .325 r
.42913 .07609 m .4294 .06778 L p .45458 .08294 L F P
0 g
s
.742 .358 .325 r
.46094 .08677 m .42913 .07609 L p .45458 .08294 L F P
0 g
s
.694 .305 .306 r
.39558 .06227 m .4294 .06778 L .42913 .07609 L p F P
0 g
s
.722 .592 .709 r
.4294 .06778 m .39558 .06227 L .39534 .0423 L p F P
0 g
s
.722 .592 .709 r
.39534 .0423 m .43248 .04807 L .4294 .06778 L p F P
0 g
s
.694 .305 .306 r
.39685 .07041 m .39558 .06227 L p .42192 .07312 L F P
0 g
s
.694 .305 .306 r
.42913 .07609 m .39685 .07041 L p .42192 .07312 L F P
0 g
s
.638 .25 .293 r
.36091 .06246 m .39558 .06227 L .39685 .07041 L p F P
0 g
s
.723 .59 .707 r
.39558 .06227 m .36091 .06246 L .358 .04268 L p F P
0 g
s
.723 .59 .707 r
.358 .04268 m .39534 .0423 L .39558 .06227 L p F P
0 g
s
.638 .25 .293 r
.36341 .07028 m .36091 .06246 L p .39031 .06897 L F P
0 g
s
.638 .25 .293 r
.39685 .07041 m .36341 .07028 L p .39031 .06897 L F P
0 g
s
.592 .212 .291 r
.32809 .06705 m .36091 .06246 L .36341 .07028 L p F P
0 g
s
.723 .588 .705 r
.36091 .06246 m .32809 .06705 L .32193 .04802 L p F P
0 g
s
.723 .588 .705 r
.32193 .04802 m .358 .04268 L .36091 .06246 L p F P
0 g
s
.592 .212 .291 r
.33201 .07425 m .32809 .06705 L p .35609 .06961 L F P
0 g
s
.592 .212 .291 r
.36341 .07028 m .33201 .07425 L p .35609 .06961 L F P
0 g
s
.536 .172 .297 r
.29641 .07704 m .32809 .06705 L .33201 .07425 L p F P
0 g
s
.722 .586 .702 r
.32809 .06705 m .29641 .07704 L .28737 .05918 L p F P
0 g
s
.722 .586 .702 r
.28737 .05918 m .32193 .04802 L .32809 .06705 L p F P
0 g
s
.536 .172 .297 r
.30152 .08347 m .29641 .07704 L p .325 .0748 L F P
0 g
s
.536 .172 .297 r
.33201 .07425 m .30152 .08347 L p .325 .0748 L F P
0 g
s
.485 .144 .313 r
.26605 .09212 m .29641 .07704 L .30152 .08347 L p F P
0 g
s
.721 .583 .7 r
.29641 .07704 m .26605 .09212 L .25467 .07562 L p F P
0 g
s
.721 .583 .7 r
.25467 .07562 m .28737 .05918 L .29641 .07704 L p F P
0 g
s
.485 .144 .313 r
.27207 .09773 m .26605 .09212 L p .2951 .08503 L F P
0 g
s
.485 .144 .313 r
.30152 .08347 m .27207 .09773 L p .2951 .08503 L F P
0 g
s
.444 .128 .333 r
.23698 .11176 m .26605 .09212 L .27207 .09773 L p F P
0 g
s
.72 .581 .698 r
.26605 .09212 m .23698 .11176 L .2248 .09583 L p F P
0 g
s
.72 .581 .698 r
.2248 .09583 m .25467 .07562 L .26605 .09212 L p F P
0 g
s
.444 .128 .333 r
.24324 .11711 m .23698 .11176 L p .26941 .0988 L F P
0 g
s
.444 .128 .333 r
.27207 .09773 m .24324 .11711 L p .26941 .0988 L F P
0 g
s
.43 .124 .342 r
.20961 .13238 m .23698 .11176 L .24324 .11711 L p F P
0 g
s
.72 .58 .697 r
.23698 .11176 m .20961 .13238 L .19538 .11822 L p F P
0 g
s
.72 .58 .697 r
.19538 .11822 m .2248 .09583 L .23698 .11176 L p F P
0 g
s
.43 .124 .342 r
.21664 .13675 m .20961 .13238 L p .23718 .11986 L F P
0 g
s
.43 .124 .342 r
.24324 .11711 m .21664 .13675 L p .23718 .11986 L F P
0 g
s
.394 .117 .37 r
.18562 .15615 m .20961 .13238 L .21664 .13675 L p F P
0 g
s
.718 .577 .696 r
.20961 .13238 m .18562 .15615 L .16935 .14436 L p F P
0 g
s
.718 .577 .696 r
.16935 .14436 m .19538 .11822 L .20961 .13238 L p F P
0 g
s
.394 .117 .37 r
.19338 .15926 m .18562 .15615 L p .21047 .14061 L F P
0 g
s
.394 .117 .37 r
.21664 .13675 m .19338 .15926 L p .21047 .14061 L F P
0 g
s
.359 .12 .409 r
.16596 .18286 m .18562 .15615 L .19338 .15926 L p F P
0 g
s
.716 .574 .694 r
.18562 .15615 m .16596 .18286 L .14795 .17392 L p F P
0 g
s
.716 .574 .694 r
.14795 .17392 m .16935 .14436 L .18562 .15615 L p F P
0 g
s
.359 .12 .409 r
.17427 .1845 m .16596 .18286 L p .18767 .16417 L F P
0 g
s
.359 .12 .409 r
.19338 .15926 m .17427 .1845 L p .18767 .16417 L F P
0 g
s
.33 .134 .457 r
.15088 .21271 m .16596 .18286 L .17427 .1845 L p F P
0 g
s
.714 .571 .692 r
.16596 .18286 m .15088 .21271 L .13182 .20626 L p F P
0 g
s
.714 .571 .692 r
.13182 .20626 m .14795 .17392 L .16596 .18286 L p F P
0 g
s
.33 .134 .457 r
.15943 .2132 m .15088 .21271 L p .17024 .18937 L F P
0 g
s
.33 .134 .457 r
.17427 .1845 m .15943 .2132 L p .17024 .18937 L F P
0 g
s
.313 .155 .5 r
.13966 .24516 m .15088 .21271 L .15943 .2132 L p F P
0 g
s
.712 .569 .692 r
.15088 .21271 m .13966 .24516 L .11977 .24198 L p F P
0 g
s
.712 .569 .692 r
.11977 .24198 m .13182 .20626 L .15088 .21271 L p F P
0 g
s
.313 .155 .5 r
.14831 .24409 m .13966 .24516 L p .1552 .22004 L F P
0 g
s
.313 .155 .5 r
.15943 .2132 m .14831 .24409 L p .1552 .22004 L F P
0 g
s
.301 .189 .555 r
.134 .27914 m .13966 .24516 L .14831 .24409 L p F P
0 g
s
.709 .566 .691 r
.13966 .24516 m .134 .27914 L .11385 .27901 L p F P
0 g
s
.709 .566 .691 r
.11385 .27901 m .11977 .24198 L .13966 .24516 L p F P
0 g
s
.301 .189 .555 r
.14252 .27668 m .134 .27914 L p .14547 .25106 L F P
0 g
s
.301 .189 .555 r
.14831 .24409 m .14252 .27668 L p .14547 .25106 L F P
0 g
s
.299 .226 .605 r
.13337 .31261 m .134 .27914 L .14252 .27668 L p F P
0 g
s
.707 .564 .691 r
.134 .27914 m .13337 .31261 L .11339 .3154 L p F P
0 g
s
.707 .564 .691 r
.11339 .3154 m .11385 .27901 L .134 .27914 L p F P
0 g
s
.299 .226 .605 r
.14178 .31043 m .13337 .31261 L p .1413 .28146 L F P
0 g
s
.299 .226 .605 r
.14252 .27668 m .14178 .31043 L p .1413 .28146 L F P
0 g
s
.707 .577 .707 r
.13679 .33625 m .14873 .32808 L .15987 .34458 L p F P
0 g
s
.777 .815 .883 r
.16167 .32138 m .14873 .32808 L .14159 .3191 L p F P
0 g
s
.777 .815 .883 r
.14159 .3191 m .15564 .31175 L .16167 .32138 L p F P
0 g
s
.803 .822 .866 r
.14873 .32808 m .13679 .33625 L .12859 .32808 L p F P
0 g
s
.803 .822 .866 r
.12859 .32808 m .14159 .3191 L .14873 .32808 L p F P
0 g
s
.487 .169 .352 r
.15564 .31175 m .14159 .3191 L .14564 .32667 L p F P
0 g
s
.826 .825 .847 r
.11746 .33798 m .12859 .32808 L .13679 .33625 L p F P
0 g
s
.451 .153 .367 r
.14159 .3191 m .12859 .32808 L .13359 .33491 L p F P
0 g
s
.451 .153 .367 r
.13359 .33491 m .14564 .32667 L .14159 .3191 L p F P
0 g
s
.707 .577 .707 r
.15987 .34458 m .14995 .35117 L .13679 .33625 L p F P
0 g
s
.708 .577 .707 r
.12521 .34667 m .13679 .33625 L .14995 .35117 L p F P
0 g
s
.826 .825 .847 r
.13679 .33625 m .12521 .34667 L .11746 .33798 L p F P
0 g
s
.707 .577 .707 r
.14564 .32667 m .13359 .33491 L .14687 .34996 L p F P
0 g
s
.708 .577 .707 r
.14995 .35117 m .13954 .36048 L .12521 .34667 L p F P
0 g
s
.706 .577 .708 r
.13857 .35708 m .14687 .34996 L .13359 .33491 L p F P
0 g
s
.312 .291 .674 r
.1466 .34556 m .13832 .3484 L p .14141 .31448 L F P
0 g
s
.312 .291 .674 r
.14178 .31043 m .1466 .34556 L p .14141 .31448 L F P
0 g
s
.421 .15 .395 r
.13954 .36048 m .14995 .35117 L .15462 .35751 L p F P
0 g
s
.421 .15 .395 r
.15462 .35751 m .15503 .35807 L p .15388 .35825 L F P
0 g
s
.421 .15 .395 r
.13954 .36048 m .15462 .35751 L .15388 .35825 L F
.14626 .36572 m .13954 .36048 L p .15388 .35825 L F P
0 g
s
.421 .15 .395 r
.15503 .35807 m .14626 .36572 L p .15388 .35825 L F P
0 g
s
.412 .146 .398 r
.11502 .38569 m .13954 .36048 L .14626 .36572 L p F P
0 g
s
.718 .577 .696 r
.13954 .36048 m .11502 .38569 L .09883 .37408 L p F P
0 g
s
.718 .577 .696 r
.09883 .37408 m .12521 .34667 L .13954 .36048 L p F P
0 g
s
.412 .146 .398 r
.12239 .38978 m .11502 .38569 L p .14015 .36962 L F P
0 g
s
.412 .146 .398 r
.14626 .36572 m .12239 .38978 L p .14015 .36962 L F P
0 g
s
.376 .143 .428 r
.09456 .41393 m .11502 .38569 L .12239 .38978 L p F P
0 g
s
.716 .574 .694 r
.11502 .38569 m .09456 .41393 L .07677 .40491 L p F P
0 g
s
.716 .574 .694 r
.07677 .40491 m .09883 .37408 L .11502 .38569 L p F P
0 g
s
.376 .143 .428 r
.10244 .4167 m .09456 .41393 L p .11678 .39465 L F P
0 g
s
.376 .143 .428 r
.12239 .38978 m .10244 .4167 L p .11678 .39465 L F P
0 g
s
.344 .148 .465 r
.07889 .44435 m .09456 .41393 L .10244 .4167 L p F P
0 g
s
.714 .572 .693 r
.09456 .41393 m .07889 .44435 L .05984 .43841 L p F P
0 g
s
.714 .572 .693 r
.05984 .43841 m .07677 .40491 L .09456 .41393 L p F P
0 g
s
.344 .148 .465 r
.0871 .44561 m .07889 .44435 L p .09738 .42264 L F P
0 g
s
.344 .148 .465 r
.10244 .4167 m .0871 .44561 L p .09738 .42264 L F P
0 g
s
.316 .165 .511 r
.06838 .47734 m .07889 .44435 L .0871 .44561 L p F P
0 g
s
.712 .569 .692 r
.07889 .44435 m .06838 .47734 L .04869 .47401 L p F P
0 g
s
.712 .569 .692 r
.04869 .47401 m .05984 .43841 L .07889 .44435 L p F P
0 g
s
.316 .165 .511 r
.07666 .47733 m .06838 .47734 L p .08369 .45138 L F P
0 g
s
.316 .165 .511 r
.0871 .44561 m .07666 .47733 L p .08369 .45138 L F P
0 g
s
.301 .186 .552 r
.06263 .50995 m .06838 .47734 L .07666 .47733 L p F P
0 g
s
.71 .566 .691 r
.06838 .47734 m .06263 .50995 L .04264 .50992 L p F P
0 g
s
.71 .566 .691 r
.04264 .50992 m .04869 .47401 L .06838 .47734 L p F P
0 g
s
.301 .186 .552 r
.07075 .50839 m .06263 .50995 L p .07375 .48409 L F P
0 g
s
.301 .186 .552 r
.07666 .47733 m .07075 .50839 L p .07375 .48409 L F P
0 g
s
.29 .222 .605 r
.06235 .54312 m .06263 .50995 L .07075 .50839 L p F P
0 g
s
.707 .564 .691 r
.06263 .50995 m .06235 .54312 L .04259 .54619 L p F P
0 g
s
.707 .564 .691 r
.04259 .54619 m .04264 .50992 L .06263 .50995 L p F P
0 g
s
.29 .222 .605 r
.07011 .54019 m .06235 .54312 L p .0691 .51523 L F P
0 g
s
.29 .222 .605 r
.07075 .50839 m .07011 .54019 L p .0691 .51523 L F P
0 g
s
.29 .264 .657 r
.06732 .57662 m .06235 .54312 L .07011 .54019 L p F P
0 g
s
.704 .562 .691 r
.06235 .54312 m .06732 .57662 L .04813 .58233 L p F P
0 g
s
.704 .562 .691 r
.04813 .58233 m .04259 .54619 L .06235 .54312 L p F P
0 g
s
.29 .264 .657 r
.07459 .57257 m .06732 .57662 L p .0696 .54679 L F P
0 g
s
.29 .264 .657 r
.07011 .54019 m .07459 .57257 L p .0696 .54679 L F P
0 g
s
.297 .307 .701 r
.07703 .61029 m .06732 .57662 L .07459 .57257 L p F P
0 g
s
.702 .561 .691 r
.06732 .57662 m .07703 .61029 L .05813 .61695 L p F P
0 g
s
.702 .561 .691 r
.05813 .61695 m .04813 .58233 L .06732 .57662 L p F P
0 g
s
.297 .307 .701 r
.08412 .60594 m .07703 .61029 L p .07477 .57544 L F P
0 g
s
.297 .307 .701 r
.07459 .57257 m .08412 .60594 L p .07477 .57544 L F P
0 g
s
.302 .323 .717 r
.08818 .64266 m .07703 .61029 L .08412 .60594 L p F P
0 g
s
.702 .561 .692 r
.07703 .61029 m .08818 .64266 L .07033 .65181 L p F P
0 g
s
.702 .561 .692 r
.07033 .65181 m .05813 .61695 L .07703 .61029 L p F P
0 g
s
.302 .323 .717 r
.09458 .63727 m .08818 .64266 L p .08485 .61256 L F P
0 g
s
.302 .323 .717 r
.08412 .60594 m .09458 .63727 L p .08485 .61256 L F P
0 g
s
.317 .371 .76 r
.10337 .67279 m .08818 .64266 L .09458 .63727 L p F P
0 g
s
.7 .56 .693 r
.08818 .64266 m .10337 .67279 L .08715 .6846 L p F P
0 g
s
.7 .56 .693 r
.08715 .6846 m .07033 .65181 L .08818 .64266 L p F P
0 g
s
.317 .371 .76 r
.1088 .66631 m .10337 .67279 L p .09633 .64434 L F P
0 g
s
.317 .371 .76 r
.09458 .63727 m .1088 .66631 L p .09633 .64434 L F P
0 g
s
.342 .428 .805 r
.1227 .6997 m .10337 .67279 L .1088 .66631 L p F P
0 g
s
.697 .559 .694 r
.10337 .67279 m .1227 .6997 L .10864 .71406 L p F P
0 g
s
.697 .559 .694 r
.10864 .71406 m .08715 .6846 L .10337 .67279 L p F P
0 g
s
.342 .428 .805 r
.1269 .69225 m .1227 .6997 L p .11169 .67327 L F P
0 g
s
.342 .428 .805 r
.1088 .66631 m .1269 .69225 L p .11169 .67327 L F P
0 g
s
.379 .493 .849 r
.14642 .72324 m .1227 .6997 L .1269 .69225 L p F P
0 g
s
.695 .558 .695 r
.1227 .6997 m .14642 .72324 L .13441 .73936 L p F P
0 g
s
.695 .558 .695 r
.13441 .73936 m .10864 .71406 L .1227 .6997 L p F P
0 g
s
.379 .493 .849 r
.1496 .71521 m .14642 .72324 L p .13027 .6976 L F P
0 g
s
.379 .493 .849 r
.1269 .69225 m .1496 .71521 L p .13027 .6976 L F P
0 g
s
.413 .546 .88 r
.17381 .74391 m .14642 .72324 L .1496 .71521 L p F P
0 g
s
.694 .559 .698 r
.14642 .72324 m .17381 .74391 L .16464 .76182 L p F P
0 g
s
.694 .559 .698 r
.16464 .76182 m .13441 .73936 L .14642 .72324 L p F P
0 g
s
.413 .546 .88 r
.17554 .7353 m .17381 .74391 L p .15478 .72135 L F P
0 g
s
.413 .546 .88 r
.1496 .71521 m .17554 .7353 L p .15478 .72135 L F P
0 g
s
.462 .609 .91 r
.20436 .75977 m .17381 .74391 L .17554 .7353 L p F P
0 g
s
.693 .56 .7 r
.17381 .74391 m .20436 .75977 L .19802 .77888 L p F P
0 g
s
.693 .56 .7 r
.19802 .77888 m .16464 .76182 L .17381 .74391 L p F P
0 g
s
.462 .609 .91 r
.20473 .75086 m .20436 .75977 L p .18127 .74017 L F P
0 g
s
.462 .609 .91 r
.17554 .7353 m .20473 .75086 L p .18127 .74017 L F P
0 g
s
.51 .664 .931 r
.23755 .77097 m .20436 .75977 L .20473 .75086 L p F P
0 g
s
.692 .561 .702 r
.20436 .75977 m .23755 .77097 L .23402 .79082 L p F P
0 g
s
.692 .561 .702 r
.23402 .79082 m .19802 .77888 L .20436 .75977 L p F P
0 g
s
.51 .664 .931 r
.23659 .76197 m .23755 .77097 L p .21118 .75481 L F P
0 g
s
.51 .664 .931 r
.20473 .75086 m .23659 .76197 L p .21118 .75481 L F P
0 g
s
.707 .577 .707 r
.25908 .77515 m .255 .76127 L .27413 .75577 L p F P
0 g
s
.901 .677 .59 r
.255 .76127 m .25908 .77515 L .24885 .78037 L p F P
0 g
s
.909 .708 .619 r
.25263 .74688 m .255 .76127 L .24433 .76522 L p F P
0 g
s
.909 .708 .619 r
.24433 .76522 m .24168 .74959 L .25263 .74688 L p F P
0 g
s
.901 .677 .59 r
.24885 .78037 m .24433 .76522 L .255 .76127 L p F P
0 g
s
.325 .307 .685 r
.24168 .74959 m .24433 .76522 L .25285 .76367 L p F P
0 g
s
.889 .645 .563 r
.25483 .79401 m .24885 .78037 L .25908 .77515 L p F P
0 g
s
.328 .341 .721 r
.24433 .76522 m .24885 .78037 L .25696 .77767 L p F P
0 g
s
.328 .341 .721 r
.25696 .77767 m .25285 .76367 L .24433 .76522 L p F P
0 g
s
.707 .577 .707 r
.27413 .75577 m .27734 .76724 L .25908 .77515 L p F P
0 g
s
.707 .576 .706 r
.26541 .78938 m .25908 .77515 L .27734 .76724 L p F P
0 g
s
.889 .645 .563 r
.25908 .77515 m .26541 .78938 L .25483 .79401 L p F P
0 g
s
.707 .577 .707 r
.25285 .76367 m .25696 .77767 L .27538 .76969 L p F P
0 g
s
.708 .579 .708 r
.27959 .77979 m .27538 .76969 L .25696 .77767 L p F P
0 g
s
.555 .71 .943 r
.27133 .77728 m .23755 .77097 L .23659 .76197 L p F P
0 g
s
.874 .609 .535 r
.26541 .78938 m .28335 .82293 L .27341 .82905 L p F P
0 g
s
.874 .609 .535 r
.27341 .82905 m .25483 .79401 L .26541 .78938 L p F P
0 g
s
.337 .378 .756 r
.24885 .78037 m .25483 .79401 L .26187 .78923 L p F P
0 g
s
.337 .378 .756 r
.26187 .78923 m .25696 .77767 L .24885 .78037 L p F P
0 g
s
.338 .387 .766 r
.27957 .8233 m .26187 .78923 L .25483 .79401 L p F P
0 g
s
.708 .579 .708 r
.25696 .77767 m .26187 .78923 L .27959 .77979 L p F P
0 g
s
.699 .559 .692 r
.26187 .78923 m .27957 .8233 L .29574 .81138 L p F P
0 g
s
.699 .559 .692 r
.29574 .81138 m .27959 .77979 L .26187 .78923 L p F P
0 g
s
.691 .562 .704 r
.23755 .77097 m .27133 .77728 L .26943 .79737 L p F P
0 g
s
.338 .387 .766 r
.25483 .79401 m .27341 .82905 L .27957 .8233 L p F P
0 g
s
.691 .562 .704 r
.26943 .79737 m .23402 .79082 L .23755 .77097 L p F P
0 g
s
.707 .577 .707 r
.27538 .76969 m .27215 .75812 L .25285 .76367 L p F P
0 g
s
.555 .71 .943 r
.27127 .76848 m .27133 .77728 L p .23736 .76231 L F P
0 g
s
.555 .71 .943 r
.23659 .76197 m .27127 .76848 L p .23736 .76231 L F P
0 g
s
.345 .385 .759 r
.28488 .76471 m .28554 .76449 L p .28535 .76564 L F P
0 g
s
.905 .685 .594 r
.27215 .75812 m .27538 .76969 L .28554 .76449 L p F P
0 g
s
.892 .648 .563 r
.27538 .76969 m .27959 .77979 L .29011 .7752 L p F P
0 g
s
.892 .648 .563 r
.29011 .7752 m .28554 .76449 L .27538 .76969 L p F P
0 g
s
.876 .61 .533 r
.29011 .7752 m .27959 .77979 L p .30459 .8043 L F P
0 g
s
.6 .748 .948 r
.28205 .76967 m .28336 .77851 L p .27206 .76913 L F P
0 g
s
.6 .748 .948 r
.27127 .76848 m .28205 .76967 L p .27206 .76913 L F P
0 g
s
.6 .748 .948 r
.28336 .77851 m .27133 .77728 L .27127 .76848 L p F P
0 g
s
.642 .781 .947 r
.29303 .76944 m .2955 .77816 L p .28288 .77019 L F P
0 g
s
.642 .781 .947 r
.28205 .76967 m .29303 .76944 L p .28288 .77019 L F P
0 g
s
.876 .61 .533 r
.30516 .80486 m .29011 .7752 L .30459 .8043 L F
.29367 .7821 m .29011 .7752 L p .30516 .80486 L F P
0 g
s
.642 .781 .947 r
.2955 .77816 m .28336 .77851 L .28205 .76967 L p F P
0 g
s
.681 .807 .942 r
.30402 .7679 m .30767 .77634 L p .29408 .76993 L F P
0 g
s
.681 .807 .942 r
.29408 .76993 m .29303 .76944 L .30402 .7679 L F
.30767 .77634 m .2955 .77816 L .29303 .76944 L p F P
0 g
s
.721 .829 .932 r
.31522 .76477 m .31978 .7729 L p .30495 .76818 L F P
0 g
s
.721 .829 .932 r
.30495 .76818 m .30401 .76788 L .31522 .76477 L F
.31978 .7729 m .30767 .77634 L .30401 .76788 L p F P
0 g
s
.751 .843 .921 r
.32806 .7597 m .33333 .76752 L p .31624 .76491 L F P
0 g
s
.751 .843 .921 r
.31624 .76491 m .31521 .76476 L .32806 .7597 L F
.774 .852 .909 r
.32806 .75969 m .34099 .75327 L .34099 .75327 L p F P
0 g
s
.774 .852 .909 r
.34099 .75327 m .34669 .76086 L p .32879 .75974 L F P
0 g
s
.774 .852 .909 r
.32879 .75974 m .32806 .75969 L .34099 .75327 L F
.34669 .76086 m .33333 .76752 L .32827 .76001 L p F P
0 g
s
.774 .852 .909 r
.32827 .76001 m .32806 .75969 L p .32879 .75974 L F P
0 g
s
.774 .852 .909 r
.34669 .76086 m .32827 .76001 L .32879 .75974 L F
.789 .856 .901 r
.36041 .75303 m .34669 .76086 L .34099 .75327 L p F P
0 g
s
.707 .577 .707 r
.33333 .76752 m .34669 .76086 L .35668 .77838 L p F P
0 g
s
.789 .856 .901 r
.34099 .75327 m .35481 .74538 L .36041 .75303 L p F P
0 g
s
.522 .236 .422 r
.34099 .75327 m .34532 .76328 L p .35442 .74612 L F P
0 g
s
.522 .236 .422 r
.35481 .74538 m .34124 .75312 L p .35442 .74612 L F P
0 g
s
.522 .236 .422 r
.34124 .75312 m .34099 .75327 L p .35442 .74612 L F P
0 g
s
.707 .577 .707 r
.34669 .76086 m .36041 .75303 L .37033 .7706 L p F P
0 g
s
.707 .577 .707 r
.37033 .7706 m .35668 .77838 L .34669 .76086 L p F P
0 g
s
.522 .236 .422 r
.34532 .76328 m .35917 .75539 L .355 .74583 L p F P
0 g
s
.522 .236 .422 r
.355 .74583 m .35481 .74538 L p .3544 .74615 L F P
0 g
s
.522 .236 .422 r
.3544 .74615 m .34532 .76328 L .355 .74583 L F
.751 .843 .921 r
.33333 .76752 m .31978 .7729 L .31521 .76476 L p F P
0 g
s
.707 .577 .707 r
.31978 .7729 m .33333 .76752 L .34234 .78556 L p F P
0 g
s
.537 .243 .417 r
.32806 .75969 m .33184 .77 L p .34046 .75423 L F P
0 g
s
.537 .243 .417 r
.34099 .75327 m .32806 .75969 L p .34046 .75423 L F P
0 g
s
.751 .843 .921 r
.32806 .75969 m .32806 .7597 L p .32789 .75977 L F P
0 g
s
.751 .843 .921 r
.31521 .76476 m .32806 .75969 L p .32789 .75977 L F P
0 g
s
.707 .577 .707 r
.35668 .77838 m .34234 .78556 L .33333 .76752 L p F P
0 g
s
.537 .243 .417 r
.33184 .77 m .34532 .76328 L .34126 .75388 L p F P
0 g
s
.537 .243 .417 r
.34126 .75388 m .34099 .75327 L p .34046 .75423 L F P
0 g
s
.537 .243 .417 r
.34046 .75423 m .33184 .77 L .34126 .75388 L F
.707 .577 .707 r
.30767 .77634 m .31978 .7729 L .32727 .79163 L p F P
0 g
s
.559 .256 .41 r
.31521 .76476 m .31817 .77544 L p .3274 .76073 L F P
0 g
s
.559 .256 .41 r
.32806 .75969 m .31521 .76476 L p .3274 .76073 L F P
0 g
s
.721 .829 .932 r
.31521 .76476 m .31522 .76477 L p .31489 .76486 L F P
0 g
s
.721 .829 .932 r
.30401 .76788 m .31521 .76476 L p .31489 .76486 L F P
0 g
s
.707 .577 .707 r
.34234 .78556 m .32727 .79163 L .31978 .7729 L p F P
0 g
s
.559 .256 .41 r
.31817 .77544 m .33184 .77 L .32833 .76043 L p F P
0 g
s
.559 .256 .41 r
.32833 .76043 m .32806 .75969 L p .3274 .76073 L F P
0 g
s
.559 .256 .41 r
.3274 .76073 m .31817 .77544 L .32833 .76043 L F
.707 .577 .707 r
.2955 .77816 m .30767 .77634 L .31325 .79572 L p F P
0 g
s
.587 .273 .405 r
.30401 .76788 m .30595 .7789 L p .31457 .76574 L F P
0 g
s
.587 .273 .405 r
.31521 .76476 m .30401 .76788 L p .31457 .76574 L F P
0 g
s
.681 .807 .942 r
.30401 .76788 m .30402 .7679 L p .30362 .76796 L F P
0 g
s
.681 .807 .942 r
.29303 .76944 m .30401 .76788 L p .30362 .76796 L F P
0 g
s
.707 .577 .707 r
.32727 .79163 m .31325 .79572 L .30767 .77634 L p F P
0 g
s
.587 .273 .405 r
.30595 .7789 m .31817 .77544 L .31544 .76557 L p F P
0 g
s
.587 .273 .405 r
.31544 .76557 m .31521 .76476 L p .31457 .76574 L F P
0 g
s
.587 .273 .405 r
.31457 .76574 m .30595 .7789 L .31544 .76557 L F
.876 .61 .533 r
.30563 .80532 m .29367 .7821 L p .30516 .80486 L F P
0 g
s
.707 .577 .707 r
.28336 .77851 m .2955 .77816 L .29863 .79809 L p F P
0 g
s
.707 .577 .707 r
.31325 .79572 m .29863 .79809 L .2955 .77816 L p F P
0 g
s
.622 .298 .402 r
.29303 .76944 m .29368 .78074 L p .30337 .76868 L F P
0 g
s
.622 .298 .402 r
.30401 .76788 m .29303 .76944 L p .30337 .76868 L F P
0 g
s
.876 .61 .533 r
.27959 .77979 m .29574 .81138 L .30563 .80532 L p F P
0 g
s
.707 .577 .707 r
.27133 .77728 m .28336 .77851 L .28405 .79867 L p F P
0 g
s
.707 .577 .707 r
.29863 .79809 m .28405 .79867 L .28336 .77851 L p F P
0 g
s
.654 .325 .403 r
.28205 .76967 m .28143 .78109 L p .29226 .77021 L F P
0 g
s
.654 .325 .403 r
.29303 .76944 m .28205 .76967 L p .29226 .77021 L F P
0 g
s
.707 .577 .707 r
.28405 .79867 m .26943 .79737 L .27133 .77728 L p F P
0 g
s
.688 .355 .407 r
.27127 .76848 m .26929 .77986 L p .28127 .77029 L F P
0 g
s
.688 .355 .407 r
.28205 .76967 m .27127 .76848 L p .28127 .77029 L F P
0 g
s
.691 .358 .407 r
.23659 .76197 m .23207 .77292 L p .263 .76941 L F P
0 g
s
.691 .358 .407 r
.27127 .76848 m .23659 .76197 L p .263 .76941 L F P
0 g
s
.728 .396 .418 r
.20473 .75086 m .1987 .76116 L p .22875 .7618 L F P
0 g
s
.728 .396 .418 r
.23659 .76197 m .20473 .75086 L p .22875 .7618 L F P
0 g
s
.764 .438 .434 r
.17554 .7353 m .16803 .74469 L p .19667 .7495 L F P
0 g
s
.764 .438 .434 r
.20473 .75086 m .17554 .7353 L p .19667 .7495 L F P
0 g
s
.8 .485 .457 r
.1496 .71521 m .14069 .72338 L p .16932 .73317 L F P
0 g
s
.8 .485 .457 r
.17554 .7353 m .1496 .71521 L p .16932 .73317 L F P
0 g
s
.825 .523 .478 r
.1269 .69225 m .11696 .69922 L p .14251 .71174 L F P
0 g
s
.825 .523 .478 r
.1496 .71521 m .1269 .69225 L p .14251 .71174 L F P
0 g
s
.853 .571 .509 r
.1088 .66631 m .0979 .67171 L p .12123 .68824 L F P
0 g
s
.853 .571 .509 r
.1269 .69225 m .1088 .66631 L p .12123 .68824 L F P
0 g
s
.874 .614 .541 r
.09458 .63727 m .08303 .64108 L p .10426 .66187 L F P
0 g
s
.874 .614 .541 r
.1088 .66631 m .09458 .63727 L p .10426 .66187 L F P
0 g
s
.889 .65 .571 r
.08412 .60594 m .07221 .60828 L p .09314 .63541 L F P
0 g
s
.889 .65 .571 r
.09458 .63727 m .08412 .60594 L p .09314 .63541 L F P
0 g
s
.893 .662 .582 r
.07459 .57257 m .06257 .57426 L p .07982 .59962 L F P
0 g
s
.893 .662 .582 r
.08412 .60594 m .07459 .57257 L p .07982 .59962 L F P
0 g
s
.902 .695 .614 r
.07011 .54019 m .05799 .54034 L p .07115 .5659 L F P
0 g
s
.902 .695 .614 r
.07459 .57257 m .07011 .54019 L p .07115 .5659 L F P
0 g
s
.906 .73 .652 r
.07075 .50839 m .05879 .5068 L p .06771 .5331 L F P
0 g
s
.906 .73 .652 r
.07011 .54019 m .07075 .50839 L p .06771 .5331 L F P
0 g
s
.905 .762 .692 r
.07666 .47733 m .06514 .47396 L p .06981 .50259 L F P
0 g
s
.905 .762 .692 r
.07075 .50839 m .07666 .47733 L p .06981 .50259 L F P
0 g
s
.9 .784 .724 r
.0871 .44561 m .07615 .44089 L p .07654 .46917 L F P
0 g
s
.9 .784 .724 r
.07666 .47733 m .0871 .44561 L p .07654 .46917 L F P
0 g
s
.887 .806 .763 r
.10244 .4167 m .09245 .4104 L p .08815 .43866 L F P
0 g
s
.887 .806 .763 r
.0871 .44561 m .10244 .4167 L p .08815 .43866 L F P
0 g
s
.87 .819 .796 r
.12239 .38978 m .1135 .3822 L p .10459 .40999 L F P
0 g
s
.87 .819 .796 r
.10244 .4167 m .12239 .38978 L p .10459 .40999 L F P
0 g
s
.849 .827 .825 r
.14626 .36572 m .13857 .35708 L p .12304 .38848 L F P
0 g
s
.849 .827 .825 r
.12269 .38919 m .14626 .36572 L .12304 .38848 L F
.12239 .38978 m .14079 .37124 L p .12269 .38919 L F P
0 g
s
.849 .827 .825 r
.14079 .37124 m .14626 .36572 L p .12269 .38919 L F P
0 g
s
.46 .162 .372 r
.16397 .35223 m .15503 .35807 L .14995 .35117 L p F P
0 g
s
.46 .162 .372 r
.14995 .35117 m .15987 .34458 L .16397 .35223 L p F P
0 g
s
.798 .824 .871 r
.15688 .34331 m .14687 .34996 L .15503 .35807 L p F P
0 g
s
.825 .827 .85 r
.14687 .34996 m .13857 .35708 L .14626 .36572 L p F P
0 g
s
.825 .827 .85 r
.14626 .36572 m .15503 .35807 L .14687 .34996 L p F P
0 g
s
.706 .577 .708 r
.13359 .33491 m .12411 .34315 L .13857 .35708 L p F P
0 g
s
.707 .577 .707 r
.14687 .34996 m .15688 .34331 L .14564 .32667 L p F P
0 g
s
.312 .291 .674 r
.13832 .3484 m .13337 .31261 L .14178 .31043 L p F P
0 g
s
.319 .316 .698 r
.1488 .35619 m .14087 .36022 L p .14623 .34652 L F P
0 g
s
.319 .316 .698 r
.1466 .34556 m .1488 .35619 L p .14623 .34652 L F P
0 g
s
.319 .316 .698 r
.14087 .36022 m .13832 .3484 L .1466 .34556 L p F P
0 g
s
.336 .361 .739 r
.15241 .36656 m .14495 .37166 L p .14857 .35714 L F P
0 g
s
.336 .361 .739 r
.1488 .35619 m .15241 .36656 L p .14857 .35714 L F P
0 g
s
.336 .361 .739 r
.14495 .37166 m .14087 .36022 L .1488 .35619 L p F P
0 g
s
.356 .404 .774 r
.15727 .37654 m .15045 .38266 L p .15227 .36771 L F P
0 g
s
.356 .404 .774 r
.15227 .36771 m .15241 .36656 L .15727 .37654 L F
.15045 .38266 m .14495 .37166 L .15241 .36656 L p F P
0 g
s
.381 .451 .808 r
.16371 .38622 m .15746 .39312 L p .1573 .37751 L F P
0 g
s
.381 .451 .808 r
.1573 .37751 m .15729 .37652 L .16371 .38622 L F
.15746 .39312 m .15045 .38266 L .15729 .37652 L p F P
0 g
s
.404 .489 .833 r
.1725 .39687 m .16676 .40434 L p .16389 .38724 L F P
0 g
s
.404 .489 .833 r
.16389 .38724 m .16372 .38621 L .1725 .39687 L F
.16676 .40434 m .15746 .39312 L .16372 .38621 L p F P
0 g
s
.425 .519 .851 r
.17251 .39686 m .18261 .40717 L .18261 .40717 L p F P
0 g
s
.425 .519 .851 r
.18261 .40717 m .17723 .41499 L p .17269 .39757 L F P
0 g
s
.425 .519 .851 r
.17269 .39757 m .17251 .39686 L .18261 .40717 L F
.17723 .41499 m .16676 .40434 L .17227 .39717 L p F P
0 g
s
.425 .519 .851 r
.17227 .39717 m .17251 .39686 L p .17269 .39757 L F P
0 g
s
.425 .519 .851 r
.17723 .41499 m .17227 .39717 L .17269 .39757 L F
.439 .539 .862 r
.18261 .40717 m .19438 .41788 L .18891 .42563 L p F P
0 g
s
.439 .539 .862 r
.18891 .42563 m .17723 .41499 L .18261 .40717 L p F P
0 g
s
.707 .577 .707 r
.16676 .40434 m .17723 .41499 L .16365 .42991 L p F P
0 g
s
.835 .52 .457 r
.18261 .40717 m .17435 .41434 L p .19355 .41773 L F P
0 g
s
.835 .52 .457 r
.19438 .41788 m .18282 .40736 L p .19355 .41773 L F P
0 g
s
.835 .52 .457 r
.18282 .40736 m .18261 .40717 L p .19355 .41773 L F P
0 g
s
.707 .577 .707 r
.17723 .41499 m .18891 .42563 L .17527 .44049 L p F P
0 g
s
.707 .577 .707 r
.17527 .44049 m .16365 .42991 L .17723 .41499 L p F P
0 g
s
.835 .52 .457 r
.17435 .41434 m .18614 .42506 L .19401 .4182 L p F P
0 g
s
.835 .52 .457 r
.19401 .4182 m .19438 .41788 L p .19352 .41773 L F P
0 g
s
.835 .52 .457 r
.19352 .41773 m .17435 .41434 L .19401 .4182 L F
.707 .577 .707 r
.15746 .39312 m .16676 .40434 L .15239 .41849 L p F P
0 g
s
.845 .538 .469 r
.17251 .39686 m .16379 .40359 L p .18153 .40697 L F P
0 g
s
.845 .538 .469 r
.18261 .40717 m .17251 .39686 L p .18153 .40697 L F P
0 g
s
.404 .489 .833 r
.17251 .39686 m .1725 .39687 L p .17238 .39672 L F P
0 g
s
.404 .489 .833 r
.16372 .38621 m .17251 .39686 L p .17238 .39672 L F P
0 g
s
.707 .577 .707 r
.16365 .42991 m .15239 .41849 L .16676 .40434 L p F P
0 g
s
.845 .538 .469 r
.16379 .40359 m .17435 .41434 L .18211 .40761 L p F P
0 g
s
.845 .538 .469 r
.18211 .40761 m .18261 .40717 L p .18153 .40697 L F P
0 g
s
.845 .538 .469 r
.18153 .40697 m .16379 .40359 L .18211 .40761 L F
.707 .577 .707 r
.15045 .38266 m .15746 .39312 L .14196 .40603 L p F P
0 g
s
.859 .565 .488 r
.16372 .38621 m .1544 .39227 L p .17131 .39656 L F P
0 g
s
.859 .565 .488 r
.17251 .39686 m .16372 .38621 L p .17131 .39656 L F P
0 g
s
.381 .451 .808 r
.16372 .38621 m .16371 .38622 L p .16352 .38593 L F P
0 g
s
.381 .451 .808 r
.15729 .37652 m .16372 .38621 L p .16352 .38593 L F P
0 g
s
.707 .577 .707 r
.15239 .41849 m .14196 .40603 L .15746 .39312 L p F P
0 g
s
.859 .565 .488 r
.1544 .39227 m .16379 .40359 L .17188 .39734 L p F P
0 g
s
.859 .565 .488 r
.17188 .39734 m .17251 .39686 L p .17131 .39656 L F P
0 g
s
.859 .565 .488 r
.17131 .39656 m .1544 .39227 L .17188 .39734 L F
.707 .577 .707 r
.14495 .37166 m .15045 .38266 L .13374 .39396 L p F P
0 g
s
.875 .596 .513 r
.15729 .37652 m .14733 .38172 L p .16257 .38589 L F P
0 g
s
.875 .596 .513 r
.16372 .38621 m .15729 .37652 L p .16257 .38589 L F P
0 g
s
.356 .404 .774 r
.15729 .37652 m .15727 .37654 L p .15709 .37617 L F P
0 g
s
.356 .404 .774 r
.15241 .36656 m .15729 .37652 L p .15709 .37617 L F P
0 g
s
.707 .577 .707 r
.14196 .40603 m .13374 .39396 L .15045 .38266 L p F P
0 g
s
.875 .596 .513 r
.14733 .38172 m .1544 .39227 L .16301 .38667 L p F P
0 g
s
.875 .596 .513 r
.16301 .38667 m .16372 .38621 L p .16257 .38589 L F P
0 g
s
.875 .596 .513 r
.16257 .38589 m .14733 .38172 L .16301 .38667 L F
.707 .577 .707 r
.14087 .36022 m .14495 .37166 L .12696 .38079 L p F P
0 g
s
.707 .577 .707 r
.13374 .39396 m .12696 .38079 L .14495 .37166 L p F P
0 g
s
.89 .634 .545 r
.15241 .36656 m .14179 .37062 L p .15633 .37615 L F P
0 g
s
.89 .634 .545 r
.15729 .37652 m .15241 .36656 L p .15633 .37615 L F P
0 g
s
.849 .827 .825 r
.13857 .35708 m .1135 .3822 L .12239 .38978 L p F P
0 g
s
.849 .824 .824 r
.12521 .34667 m .09883 .37408 L .08987 .36647 L p F P
0 g
s
.849 .824 .824 r
.08987 .36647 m .11746 .33798 L .12521 .34667 L p F P
0 g
s
.718 .577 .695 r
.1135 .3822 m .13857 .35708 L .12411 .34315 L p F P
0 g
s
.707 .577 .707 r
.13832 .3484 m .14087 .36022 L .12191 .36711 L p F P
0 g
s
.707 .577 .707 r
.12696 .38079 m .12191 .36711 L .14087 .36022 L p F P
0 g
s
.901 .667 .576 r
.1488 .35619 m .13767 .35907 L p .15143 .36606 L F P
0 g
s
.901 .667 .576 r
.15241 .36656 m .1488 .35619 L p .15143 .36606 L F P
0 g
s
.417 .143 .387 r
.12859 .32808 m .11746 .33798 L .12411 .34315 L p F P
0 g
s
.417 .143 .387 r
.12411 .34315 m .13359 .33491 L .12859 .32808 L p F P
0 g
s
.407 .138 .391 r
.09716 .3705 m .12411 .34315 L .11746 .33798 L p F P
0 g
s
.718 .577 .695 r
.12411 .34315 m .09716 .3705 L .1135 .3822 L p F P
0 g
s
.707 .577 .707 r
.13337 .31261 m .13832 .3484 L .11863 .35279 L p F P
0 g
s
.707 .577 .707 r
.12191 .36711 m .11863 .35279 L .13832 .3484 L p F P
0 g
s
.908 .699 .609 r
.1466 .34556 m .13509 .34714 L p .14832 .35587 L F P
0 g
s
.908 .699 .609 r
.1488 .35619 m .1466 .34556 L p .14832 .35587 L F P
0 g
s
.407 .138 .391 r
.11746 .33798 m .08987 .36647 L .09716 .3705 L p F P
0 g
s
.707 .577 .707 r
.11863 .35279 m .11339 .3154 L .13337 .31261 L p F P
0 g
s
.91 .715 .627 r
.14178 .31043 m .1301 .31104 L p .14221 .33637 L F P
0 g
s
.91 .715 .627 r
.1466 .34556 m .14178 .31043 L p .14221 .33637 L F P
0 g
s
.912 .735 .65 r
.14252 .27668 m .13078 .27407 L p .1395 .30291 L F P
0 g
s
.912 .735 .65 r
.14178 .31043 m .14252 .27668 L p .1395 .30291 L F P
0 g
s
.909 .764 .689 r
.14831 .24409 m .13698 .23979 L p .1413 .26858 L F P
0 g
s
.909 .764 .689 r
.14252 .27668 m .14831 .24409 L p .1413 .26858 L F P
0 g
s
.9 .789 .73 r
.15943 .2132 m .14883 .20719 L p .14841 .2375 L F P
0 g
s
.9 .789 .73 r
.14831 .24409 m .15943 .2132 L p .14841 .2375 L F P
0 g
s
.888 .804 .76 r
.17427 .1845 m .16449 .17714 L p .16053 .20536 L F P
0 g
s
.888 .804 .76 r
.15943 .2132 m .17427 .1845 L p .16053 .20536 L F P
0 g
s
.868 .817 .796 r
.19338 .15926 m .18481 .1505 L p .17633 .17786 L F P
0 g
s
.868 .817 .796 r
.17427 .1845 m .19338 .15926 L p .17633 .17786 L F P
0 g
s
.845 .822 .826 r
.21664 .13675 m .20938 .12688 L p .1962 .15356 L F P
0 g
s
.845 .822 .826 r
.19338 .15926 m .21664 .13675 L p .1962 .15356 L F P
0 g
s
.821 .821 .848 r
.24324 .11711 m .23726 .10644 L p .21797 .13481 L F P
0 g
s
.821 .821 .848 r
.21664 .13675 m .24324 .11711 L p .21797 .13481 L F P
0 g
s
.812 .819 .856 r
.27207 .09773 m .26668 .08676 L p .24792 .11106 L F P
0 g
s
.812 .819 .856 r
.24324 .11711 m .27207 .09773 L p .24792 .11106 L F P
0 g
s
.785 .812 .874 r
.30152 .08347 m .29756 .07193 L p .27735 .09239 L F P
0 g
s
.785 .812 .874 r
.27207 .09773 m .30152 .08347 L p .27735 .09239 L F P
0 g
s
.751 .797 .89 r
.33201 .07425 m .32975 .06231 L p .30752 .07898 L F P
0 g
s
.751 .797 .89 r
.30152 .08347 m .33201 .07425 L p .30752 .07898 L F P
0 g
s
.712 .775 .902 r
.36341 .07028 m .36299 .05822 L p .33723 .07155 L F P
0 g
s
.712 .775 .902 r
.33201 .07425 m .36341 .07028 L p .33723 .07155 L F P
0 g
s
.68 .753 .906 r
.39685 .07041 m .39789 .05848 L p .37113 .06764 L F P
0 g
s
.68 .753 .906 r
.36341 .07028 m .39685 .07041 L p .37113 .06764 L F P
0 g
s
.638 .719 .906 r
.42913 .07609 m .43197 .06458 L p .40378 .06926 L F P
0 g
s
.638 .719 .906 r
.39685 .07041 m .42913 .07609 L p .40378 .06926 L F P
0 g
s
.6 .684 .901 r
.46094 .08677 m .46533 .0759 L p .43818 .07604 L F P
0 g
s
.6 .684 .901 r
.42913 .07609 m .46094 .08677 L p .43818 .07604 L F P
0 g
s
.576 .663 .897 r
.46094 .08677 m .49124 .10237 L .49839 .09304 L p F P
0 g
s
.468 .155 .352 r
.49466 .09545 m .50511 .08936 L .50993 .09582 L p F P
0 g
s
.468 .155 .352 r
.50993 .09582 m .51029 .09631 L p .50927 .09626 L F P
0 g
s
.468 .155 .352 r
.49466 .09545 m .50993 .09582 L .50927 .09626 L F
.576 .663 .897 r
.49839 .09304 m .46533 .0759 L .46094 .08677 L p F P
0 g
s
.437 .152 .38 r
.49212 .10832 m .48504 .10286 L p .49989 .10176 L F P
0 g
s
.437 .152 .38 r
.50087 .10169 m .49212 .10832 L p .49989 .10176 L F P
0 g
s
.437 .152 .38 r
.48504 .10286 m .49466 .09545 L .50087 .10169 L p F P
0 g
s
.413 .154 .409 r
.47627 .11149 m .48504 .10286 L .49161 .10793 L p F P
0 g
s
.413 .154 .409 r
.49161 .10793 m .49212 .10832 L p .49106 .10853 L F P
0 g
s
.413 .154 .409 r
.47627 .11149 m .49161 .10793 L .49106 .10853 L F
.392 .163 .444 r
.47693 .12515 m .46849 .12138 L p .48327 .11634 L F P
0 g
s
.392 .163 .444 r
.48415 .11604 m .47693 .12515 L p .48327 .11634 L F P
0 g
s
.392 .163 .444 r
.46849 .12138 m .47627 .11149 L .48415 .11604 L p F P
0 g
s
.378 .175 .473 r
.46069 .1337 m .46849 .12138 L .47642 .12492 L p F P
0 g
s
.378 .175 .473 r
.47642 .12492 m .47693 .12515 L p .476 .12564 L F P
0 g
s
.378 .175 .473 r
.46069 .1337 m .47642 .12492 L .476 .12564 L F
.707 .577 .707 r
.46849 .12138 m .46069 .1337 L .44279 .1244 L p F P
0 g
s
.369 .187 .498 r
.46951 .1368 m .46283 .1496 L .46283 .1496 L p F P
0 g
s
.369 .187 .498 r
.46283 .1496 m .4538 .14695 L p .46889 .1372 L F P
0 g
s
.369 .187 .498 r
.46889 .1372 m .46951 .1368 L .46283 .1496 L F
.365 .196 .515 r
.46283 .1496 m .45628 .1641 L .4473 .16134 L p F P
0 g
s
.365 .196 .515 r
.4473 .16134 m .4538 .14695 L .46283 .1496 L p F P
0 g
s
.707 .577 .707 r
.46069 .1337 m .4538 .14695 L .43541 .13864 L p F P
0 g
s
.707 .577 .707 r
.4538 .14695 m .4473 .16134 L .42894 .15297 L p F P
0 g
s
.707 .577 .707 r
.42894 .15297 m .43541 .13864 L .4538 .14695 L p F P
0 g
s
.897 .822 .765 r
.45339 .1439 m .44683 .15842 L .45586 .16384 L p F P
0 g
s
.897 .822 .765 r
.45586 .16384 m .45628 .1641 L p .45616 .16323 L F P
0 g
s
.369 .187 .498 r
.4538 .14695 m .46069 .1337 L .46915 .13667 L p F P
0 g
s
.369 .187 .498 r
.46915 .13667 m .46951 .1368 L p .46889 .1372 L F P
0 g
s
.369 .187 .498 r
.4538 .14695 m .46915 .13667 L .46889 .1372 L F
.897 .822 .765 r
.46283 .1496 m .45339 .1439 L p .45616 .16327 L F P
0 g
s
.897 .822 .765 r
.45628 .1641 m .46271 .14986 L p .45616 .16327 L F P
0 g
s
.897 .822 .765 r
.46271 .14986 m .46283 .1496 L p .45616 .16327 L F P
0 g
s
.897 .822 .765 r
.45616 .16323 m .45339 .1439 L .45586 .16384 L F
.707 .577 .707 r
.43541 .13864 m .44279 .1244 L .46069 .1337 L p F P
0 g
s
.89 .826 .778 r
.46034 .13054 m .45339 .1439 L .46228 .14927 L p F P
0 g
s
.89 .826 .778 r
.46228 .14927 m .46283 .1496 L p .46269 .14857 L F P
0 g
s
.378 .175 .473 r
.46951 .1368 m .46069 .1337 L p .47603 .12562 L F P
0 g
s
.378 .175 .473 r
.47693 .12515 m .46951 .1368 L p .47603 .12562 L F P
0 g
s
.89 .826 .778 r
.46951 .1368 m .46034 .13054 L p .46268 .14851 L F P
0 g
s
.89 .826 .778 r
.46283 .1496 m .46951 .1368 L p .46268 .14851 L F P
0 g
s
.89 .826 .778 r
.46269 .14857 m .46034 .13054 L .46228 .14927 L F
.707 .577 .707 r
.47627 .11149 m .46849 .12138 L .45142 .11064 L p F P
0 g
s
.707 .577 .707 r
.44279 .1244 m .45142 .11064 L .46849 .12138 L p F P
0 g
s
.878 .831 .797 r
.47693 .12515 m .46821 .11811 L p .46942 .13556 L F P
0 g
s
.878 .831 .797 r
.46951 .1368 m .47693 .12515 L p .46942 .13556 L F P
0 g
s
.707 .577 .707 r
.48504 .10286 m .47627 .11149 L .46036 .09909 L p F P
0 g
s
.413 .154 .409 r
.48415 .11604 m .47627 .11149 L p .49106 .10853 L F P
0 g
s
.413 .154 .409 r
.49212 .10832 m .48415 .11604 L p .49106 .10853 L F P
0 g
s
.707 .577 .707 r
.45142 .11064 m .46036 .09909 L .47627 .11149 L p F P
0 g
s
.861 .834 .819 r
.48415 .11604 m .47606 .10812 L p .47687 .12396 L F P
0 g
s
.861 .834 .819 r
.47687 .1241 m .48415 .11604 L .47687 .12396 L F
.47693 .12515 m .48371 .1166 L p .47687 .1241 L F P
0 g
s
.861 .834 .819 r
.48371 .1166 m .48415 .11604 L p .47687 .1241 L F P
0 g
s
.707 .577 .707 r
.49466 .09545 m .48504 .10286 L .47079 .08857 L p F P
0 g
s
.707 .577 .707 r
.46036 .09909 m .47079 .08857 L .48504 .10286 L p F P
0 g
s
.837 .834 .843 r
.49212 .10832 m .4849 .09942 L p .4842 .11501 L F P
0 g
s
.837 .834 .843 r
.48415 .11604 m .49212 .10832 L p .4842 .11501 L F P
0 g
s
.707 .577 .707 r
.50511 .08936 m .49466 .09545 L .48225 .07954 L p F P
0 g
s
.468 .155 .352 r
.50087 .10169 m .49466 .09545 L p .50927 .09626 L F P
0 g
s
.468 .155 .352 r
.51029 .09631 m .50087 .10169 L p .50927 .09626 L F P
0 g
s
.707 .577 .707 r
.47079 .08857 m .48225 .07954 L .49466 .09545 L p F P
0 g
s
.813 .829 .862 r
.50087 .10169 m .49461 .09194 L p .49229 .10724 L F P
0 g
s
.813 .829 .862 r
.49227 .10738 m .50087 .10169 L .49229 .10724 L F
.49212 .10832 m .50026 .10215 L p .49227 .10738 L F P
0 g
s
.813 .829 .862 r
.50026 .10215 m .50087 .10169 L p .49227 .10738 L F P
0 g
s
.707 .577 .707 r
.48225 .07954 m .49485 .072 L .50511 .08936 L p F P
0 g
s
.785 .82 .879 r
.51029 .09631 m .50516 .0858 L p .50113 .10071 L F P
0 g
s
.785 .82 .879 r
.50087 .10169 m .51029 .09631 L p .50113 .10071 L F P
0 g
s
.783 .819 .881 r
.54218 .08122 m .53935 .06957 L p .51642 .09067 L F P
0 g
s
.783 .819 .881 r
.51029 .09631 m .54218 .08122 L p .51642 .09067 L F P
0 g
s
.749 .802 .895 r
.57449 .07151 m .57328 .05949 L p .54861 .07672 L F P
0 g
s
.749 .802 .895 r
.54218 .08122 m .57449 .07151 L p .54861 .07672 L F P
0 g
s
.713 .78 .904 r
.60727 .06696 m .60778 .05482 L p .5818 .06784 L F P
0 g
s
.713 .78 .904 r
.57449 .07151 m .60727 .06696 L p .5818 .06784 L F P
0 g
s
.673 .749 .908 r
.64007 .068 m .64243 .05601 L p .61354 .06501 L F P
0 g
s
.673 .749 .908 r
.60727 .06696 m .64007 .068 L p .61354 .06501 L F P
0 g
s
.641 .722 .906 r
.67193 .07325 m .67583 .06164 L p .64784 .06661 L F P
0 g
s
.641 .722 .906 r
.64007 .068 m .67193 .07325 L p .64784 .06661 L F P
0 g
s
.602 .683 .898 r
.70184 .08363 m .70744 .07272 L p .67887 .07315 L F P
0 g
s
.602 .683 .898 r
.67193 .07325 m .70184 .08363 L p .67887 .07315 L F P
0 g
s
.567 .643 .886 r
.73042 .09879 m .73748 .08879 L p .70811 .08453 L F P
0 g
s
.567 .643 .886 r
.70184 .08363 m .73042 .09879 L p .70811 .08453 L F P
0 g
s
.538 .607 .87 r
.7573 .11801 m .76552 .10899 L p .73267 .09945 L F P
0 g
s
.538 .607 .87 r
.73042 .09879 m .7573 .11801 L p .73267 .09945 L F P
0 g
s
.529 .594 .864 r
.78464 .13944 m .79332 .13087 L p .76449 .12058 L F P
0 g
s
.529 .594 .864 r
.7573 .11801 m .78464 .13944 L p .76449 .12058 L F P
0 g
s
.503 .557 .844 r
.8073 .16303 m .81697 .15565 L p .79134 .1428 L F P
0 g
s
.503 .557 .844 r
.78464 .13944 m .8073 .16303 L p .79134 .1428 L F P
0 g
s
.477 .513 .816 r
.82548 .18916 m .83606 .18328 L p .81341 .16733 L F P
0 g
s
.477 .513 .816 r
.8073 .16303 m .82548 .18916 L p .81341 .16733 L F P
0 g
s
.453 .467 .783 r
.83897 .21778 m .85022 .21361 L p .82965 .19328 L F P
0 g
s
.453 .467 .783 r
.82548 .18916 m .83897 .21778 L p .82965 .19328 L F P
0 g
s
.438 .431 .754 r
.84918 .24961 m .86076 .24686 L p .84385 .22429 L F P
0 g
s
.438 .431 .754 r
.83897 .21778 m .84918 .24961 L p .84385 .22429 L F P
0 g
s
.423 .387 .714 r
.85377 .28204 m .86551 .28114 L p .8524 .25583 L F P
0 g
s
.423 .387 .714 r
.84918 .24961 m .85377 .28204 L p .8524 .25583 L F P
0 g
s
.416 .351 .677 r
.85346 .31558 m .86506 .31634 L p .85596 .28871 L F P
0 g
s
.416 .351 .677 r
.85377 .28204 m .85346 .31558 L p .85596 .28871 L F P
0 g
s
.413 .32 .64 r
.8483 .3491 m .85955 .35143 L p .8537 .317 L F P
0 g
s
.413 .32 .64 r
.85357 .31623 m .8483 .3491 L .8537 .317 L F
.85346 .31558 m .84948 .34141 L p .85357 .31623 L F P
0 g
s
.413 .32 .64 r
.84948 .34141 m .8483 .3491 L p .85357 .31623 L F P
0 g
s
.927 .845 .743 r
.8419 .37042 m .8457 .36044 L .8539 .36317 L p F P
0 g
s
.927 .845 .743 r
.8539 .36317 m .84976 .37434 L .8419 .37042 L p F P
0 g
s
.424 .272 .57 r
.85284 .37333 m .85702 .36207 L .8457 .36044 L p F P
0 g
s
.417 .295 .605 r
.85702 .36207 m .85955 .35143 L .8483 .3491 L p F P
0 g
s
.417 .295 .605 r
.8483 .3491 m .8457 .36044 L .85702 .36207 L p F P
0 g
s
.707 .577 .707 r
.85702 .36207 m .85284 .37333 L .87171 .38019 L p F P
0 g
s
.844 .494 .39 r
.8517 .35788 m .8558 .3501 L p .85947 .36419 L F P
0 g
s
.844 .494 .39 r
.85973 .36518 m .8517 .35788 L p .85947 .36419 L F P
0 g
s
.844 .494 .39 r
.8558 .3501 m .86481 .35816 L .85973 .36518 L p F P
0 g
s
.811 .448 .369 r
.84269 .35161 m .84577 .34324 L p .85134 .35698 L F P
0 g
s
.811 .448 .369 r
.8517 .35788 m .84269 .35161 L p .85134 .35698 L F P
0 g
s
.811 .448 .369 r
.84577 .34324 m .8558 .3501 L .8517 .35788 L p F P
0 g
s
.778 .408 .354 r
.83289 .34642 m .83486 .33756 L p .84217 .35067 L F P
0 g
s
.778 .408 .354 r
.84269 .35161 m .83289 .34642 L p .84217 .35067 L F P
0 g
s
.742 .368 .343 r
.82199 .34236 m .82304 .33323 L p .83233 .34567 L F P
0 g
s
.742 .368 .343 r
.83289 .34642 m .82199 .34236 L p .83233 .34567 L F P
0 g
s
.742 .368 .343 r
.82304 .33323 m .83486 .33756 L .83289 .34642 L p F P
0 g
s
.713 .339 .339 r
.80892 .32962 m .82304 .33323 L .82205 .34182 L p F P
0 g
s
.713 .339 .339 r
.82205 .34182 m .82199 .34236 L p .82127 .34165 L F P
0 g
s
.713 .339 .339 r
.80892 .32962 m .82205 .34182 L .82127 .34165 L F
.707 .577 .707 r
.82304 .33323 m .80892 .32962 L .81223 .30972 L p F P
0 g
s
.713 .339 .339 r
.80862 .3389 m .80892 .32962 L p .82127 .34165 L F P
0 g
s
.713 .339 .339 r
.82199 .34236 m .80862 .3389 L p .82127 .34165 L F P
0 g
s
.688 .317 .338 r
.79438 .3365 m .79419 .32715 L p .80806 .33844 L F P
0 g
s
.688 .317 .338 r
.80862 .3389 m .79438 .3365 L p .80806 .33844 L F P
0 g
s
.688 .317 .338 r
.79419 .32715 m .80892 .32962 L .80862 .3389 L p F P
0 g
s
.672 .303 .338 r
.79438 .3365 m .77857 .33476 L .77849 .32542 L p F P
0 g
s
.672 .303 .338 r
.77849 .32542 m .79419 .32715 L .79438 .3365 L p F P
0 g
s
.707 .577 .707 r
.80892 .32962 m .79419 .32715 L .7964 .3071 L p F P
0 g
s
.707 .577 .707 r
.79419 .32715 m .77849 .32542 L .78079 .30537 L p F P
0 g
s
.707 .577 .707 r
.78079 .30537 m .7964 .3071 L .79419 .32715 L p F P
0 g
s
.627 .726 .919 r
.79438 .3365 m .79681 .32571 L p .77935 .33437 L F P
0 g
s
.627 .726 .919 r
.77857 .33476 m .79438 .3365 L p .77935 .33437 L F P
0 g
s
.707 .577 .707 r
.7964 .3071 m .81223 .30972 L .80892 .32962 L p F P
0 g
s
.613 .712 .916 r
.80862 .3389 m .81167 .3282 L p .79538 .33603 L F P
0 g
s
.613 .712 .916 r
.79532 .33606 m .80862 .3389 L .79538 .33603 L F
.79438 .3365 m .80819 .33883 L p .79532 .33606 L F P
0 g
s
.613 .712 .916 r
.80819 .33883 m .80862 .3389 L p .79532 .33606 L F P
0 g
s
.707 .577 .707 r
.83486 .33756 m .82304 .33323 L .82799 .31367 L p F P
0 g
s
.707 .577 .707 r
.81223 .30972 m .82799 .31367 L .82304 .33323 L p F P
0 g
s
.592 .69 .91 r
.82199 .34236 m .82592 .33184 L p .80977 .33844 L F P
0 g
s
.592 .69 .91 r
.80862 .3389 m .82199 .34236 L p .80977 .33844 L F P
0 g
s
.778 .408 .354 r
.83486 .33756 m .84577 .34324 L .84269 .35161 L p F P
0 g
s
.707 .577 .707 r
.84577 .34324 m .83486 .33756 L .84174 .3186 L p F P
0 g
s
.707 .577 .707 r
.82799 .31367 m .84174 .3186 L .83486 .33756 L p F P
0 g
s
.568 .661 .9 r
.83289 .34642 m .83784 .33622 L p .8231 .34193 L F P
0 g
s
.568 .661 .9 r
.82199 .34236 m .83289 .34642 L p .8231 .34193 L F P
0 g
s
.707 .577 .707 r
.8558 .3501 m .84577 .34324 L .85496 .32528 L p F P
0 g
s
.707 .577 .707 r
.84174 .3186 m .85496 .32528 L .84577 .34324 L p F P
0 g
s
.539 .625 .885 r
.84269 .35161 m .84886 .34194 L p .83388 .34614 L F P
0 g
s
.539 .625 .885 r
.83289 .34642 m .84269 .35161 L p .83388 .34614 L F P
0 g
s
.413 .32 .64 r
.85955 .35143 m .86506 .31634 L .85346 .31558 L p F P
0 g
s
.707 .577 .707 r
.86481 .35816 m .8558 .3501 L .86709 .33338 L p F P
0 g
s
.707 .577 .707 r
.85496 .32528 m .86709 .33338 L .8558 .3501 L p F P
0 g
s
.515 .591 .868 r
.8517 .35788 m .85897 .34886 L p .84377 .35143 L F P
0 g
s
.515 .591 .868 r
.84269 .35161 m .8517 .35788 L p .84377 .35143 L F P
0 g
s
.707 .577 .707 r
.86709 .33338 m .87816 .34303 L .86481 .35816 L p F P
0 g
s
.492 .553 .847 r
.85973 .36518 m .86807 .35699 L p .85271 .35782 L F P
0 g
s
.492 .553 .847 r
.8517 .35788 m .85973 .36518 L p .85271 .35782 L F P
0 g
s
.488 .549 .845 r
.88395 .39085 m .89409 .38451 L p .86698 .36926 L F P
0 g
s
.488 .549 .845 r
.85973 .36518 m .88395 .39085 L p .86698 .36926 L F P
0 g
s
.466 .508 .817 r
.90319 .41859 m .91417 .41367 L p .89021 .39557 L F P
0 g
s
.466 .508 .817 r
.88395 .39085 m .90319 .41859 L p .89021 .39557 L F P
0 g
s
.447 .466 .786 r
.91765 .44837 m .92929 .44505 L p .90892 .4244 L F P
0 g
s
.447 .466 .786 r
.90319 .41859 m .91765 .44837 L p .90892 .4244 L F P
0 g
s
.432 .422 .748 r
.92682 .47989 m .93887 .47839 L p .92144 .45373 L F P
0 g
s
.432 .422 .748 r
.91765 .44837 m .92682 .47989 L p .92144 .45373 L F P
0 g
s
.425 .391 .717 r
.93168 .51184 m .94386 .5119 L p .93052 .48685 L F P
0 g
s
.425 .391 .717 r
.92682 .47989 m .93168 .51184 L p .93052 .48685 L F P
0 g
s
.421 .354 .677 r
.93107 .54349 m .9431 .54539 L p .93391 .51839 L F P
0 g
s
.421 .354 .677 r
.93168 .51184 m .93107 .54349 L p .93391 .51839 L F P
0 g
s
.422 .324 .639 r
.92549 .57537 m .93711 .57894 L p .93214 .54973 L F P
0 g
s
.422 .324 .639 r
.93107 .54349 m .92549 .57537 L p .93214 .54973 L F P
0 g
s
.428 .303 .607 r
.91553 .60689 m .92659 .61186 L p .92556 .57771 L F P
0 g
s
.428 .303 .607 r
.92549 .57537 m .91553 .60689 L p .92556 .57771 L F P
0 g
s
.431 .296 .596 r
.90362 .63951 m .91438 .64508 L p .9153 .61451 L F P
0 g
s
.431 .296 .596 r
.91553 .60689 m .90362 .63951 L p .9153 .61451 L F P
0 g
s
.442 .28 .565 r
.8882 .66837 m .89814 .67523 L p .90248 .64691 L F P
0 g
s
.442 .28 .565 r
.90362 .63951 m .8882 .66837 L p .90248 .64691 L F P
0 g
s
.46 .267 .531 r
.86898 .69375 m .87777 .70193 L p .88599 .6755 L F P
0 g
s
.46 .267 .531 r
.8882 .66837 m .86898 .69375 L p .88599 .6755 L F P
0 g
s
.484 .26 .498 r
.84594 .71543 m .85332 .72479 L p .86634 .69897 L F P
0 g
s
.484 .26 .498 r
.86898 .69375 m .84594 .71543 L p .86634 .69897 L F P
0 g
s
.507 .26 .475 r
.81884 .73499 m .82496 .7451 L p .84125 .72207 L F P
0 g
s
.507 .26 .475 r
.84594 .71543 m .81884 .73499 L p .84125 .72207 L F P
0 g
s
.539 .266 .449 r
.78943 .74938 m .79384 .76021 L p .81391 .73996 L F P
0 g
s
.539 .266 .449 r
.81884 .73499 m .78943 .74938 L p .81391 .73996 L F P
0 g
s
.572 .278 .43 r
.75745 .75946 m .76024 .77068 L p .78375 .75352 L F P
0 g
s
.572 .278 .43 r
.78943 .74938 m .75745 .75946 L p .78375 .75352 L F P
0 g
s
.605 .295 .417 r
.72399 .76492 m .72518 .77629 L p .75617 .76013 L F P
0 g
s
.605 .295 .417 r
.75687 .75976 m .72399 .76492 L .75617 .76013 L F
.75745 .75946 m .73167 .76367 L p .75687 .75976 L F P
0 g
s
.605 .295 .417 r
.73167 .76367 m .72399 .76492 L p .75687 .75976 L F P
0 g
s
.623 .761 .945 r
.70173 .76542 m .7124 .76595 L .71241 .77465 L p F P
0 g
s
.623 .761 .945 r
.71241 .77465 m .70051 .77416 L .70173 .76542 L p F P
0 g
s
.672 .342 .406 r
.70227 .77667 m .71428 .77717 L .7124 .76595 L p F P
0 g
s
.638 .317 .41 r
.71428 .77717 m .72518 .77629 L .72399 .76492 L p F P
0 g
s
.638 .317 .41 r
.72399 .76492 m .7124 .76595 L .71428 .77717 L p F P
0 g
s
.923 .859 .76 r
.71647 .77071 m .72521 .77225 L p .71287 .78005 L F P
0 g
s
.923 .859 .76 r
.71201 .7806 m .71647 .77071 L p .71287 .78005 L F P
0 g
s
.936 .837 .722 r
.71965 .7602 m .72863 .7606 L p .71722 .77009 L F P
0 g
s
.936 .837 .722 r
.71647 .77071 m .71965 .7602 L p .71722 .77009 L F P
0 g
s
.936 .837 .722 r
.72863 .7606 m .72521 .77225 L .71647 .77071 L p F P
0 g
s
.942 .811 .686 r
.73066 .74846 m .72863 .7606 L .72029 .76023 L p F P
0 g
s
.942 .811 .686 r
.72029 .76023 m .71965 .7602 L p .72038 .75942 L F P
0 g
s
.942 .811 .686 r
.73066 .74846 m .72029 .76023 L .72038 .75942 L F
.707 .577 .707 r
.72863 .7606 m .73066 .74846 L .75082 .74914 L p F P
0 g
s
.942 .811 .686 r
.72155 .74927 m .73066 .74846 L p .72038 .75942 L F P
0 g
s
.942 .811 .686 r
.71965 .7602 m .72155 .74927 L p .72038 .75942 L F P
0 g
s
.945 .781 .648 r
.72205 .73766 m .73113 .73589 L p .72209 .74852 L F P
0 g
s
.945 .781 .648 r
.72155 .74927 m .72205 .73766 L p .72209 .74852 L F P
0 g
s
.945 .781 .648 r
.73113 .73589 m .73066 .74846 L .72155 .74927 L p F P
0 g
s
.943 .754 .618 r
.7212 .72387 m .7302 .72134 L p .7225 .73675 L F P
0 g
s
.943 .754 .618 r
.72205 .73766 m .7212 .72387 L p .7225 .73675 L F P
0 g
s
.943 .754 .618 r
.7302 .72134 m .73113 .73589 L .72205 .73766 L p F P
0 g
s
.939 .73 .594 r
.71908 .70959 m .72799 .70657 L p .72147 .7232 L F P
0 g
s
.939 .73 .594 r
.7212 .72387 m .71908 .70959 L p .72147 .7232 L F P
0 g
s
.939 .73 .594 r
.72799 .70657 m .7302 .72134 L .7212 .72387 L p F P
0 g
s
.935 .713 .579 r
.71908 .70959 m .71586 .69401 L .72479 .6911 L p F P
0 g
s
.935 .713 .579 r
.72479 .6911 m .72799 .70657 L .71908 .70959 L p F P
0 g
s
.707 .577 .707 r
.7302 .72134 m .72799 .70657 L .74775 .70248 L p F P
0 g
s
.707 .577 .707 r
.72799 .70657 m .72479 .6911 L .74456 .68709 L p F P
0 g
s
.707 .577 .707 r
.74456 .68709 m .74775 .70248 L .72799 .70657 L p F P
0 g
s
.395 .366 .709 r
.71908 .70959 m .73003 .70851 L p .71647 .69463 L F P
0 g
s
.395 .366 .709 r
.71586 .69401 m .71908 .70959 L p .71647 .69463 L F P
0 g
s
.707 .577 .707 r
.73113 .73589 m .7302 .72134 L .75015 .71834 L p F P
0 g
s
.707 .577 .707 r
.74775 .70248 m .75015 .71834 L .7302 .72134 L p F P
0 g
s
.394 .353 .695 r
.7212 .72387 m .73225 .72341 L p .71984 .71038 L F P
0 g
s
.394 .353 .695 r
.71908 .70959 m .7212 .72387 L p .71984 .71038 L F P
0 g
s
.707 .577 .707 r
.73066 .74846 m .73113 .73589 L .75126 .73455 L p F P
0 g
s
.707 .577 .707 r
.75015 .71834 m .75126 .73455 L .73113 .73589 L p F P
0 g
s
.395 .335 .673 r
.72205 .73766 m .73319 .73809 L p .72199 .72481 L F P
0 g
s
.395 .335 .673 r
.7212 .72387 m .72205 .73766 L p .72199 .72481 L F P
0 g
s
.707 .577 .707 r
.75126 .73455 m .75082 .74914 L .73066 .74846 L p F P
0 g
s
.398 .316 .646 r
.72155 .74927 m .73271 .75078 L p .72279 .73857 L F P
0 g
s
.398 .316 .646 r
.7227 .73846 m .72155 .74927 L .72279 .73857 L F
.72205 .73766 m .72158 .74856 L p .7227 .73846 L F P
0 g
s
.398 .316 .646 r
.72158 .74856 m .72155 .74927 L p .7227 .73846 L F P
0 g
s
.707 .577 .707 r
.72521 .77225 m .72863 .7606 L .74855 .76379 L p F P
0 g
s
.707 .577 .707 r
.75082 .74914 m .74855 .76379 L .72863 .7606 L p F P
0 g
s
.405 .294 .614 r
.71965 .7602 m .73067 .76302 L p .72212 .75013 L F P
0 g
s
.405 .294 .614 r
.72155 .74927 m .71965 .7602 L p .72212 .75013 L F P
0 g
s
.923 .859 .76 r
.72521 .77225 m .72033 .78332 L .71201 .7806 L p F P
0 g
s
.605 .295 .417 r
.72518 .77629 m .76024 .77068 L .75745 .75946 L p F P
0 g
s
.707 .577 .707 r
.72033 .78332 m .72521 .77225 L .7446 .77782 L p F P
0 g
s
.707 .577 .707 r
.74855 .76379 m .7446 .77782 L .72521 .77225 L p F P
0 g
s
.415 .279 .586 r
.71647 .77071 m .72722 .77478 L p .72015 .76117 L F P
0 g
s
.415 .279 .586 r
.71965 .7602 m .71647 .77071 L p .72015 .76117 L F P
0 g
s
.707 .577 .707 r
.7446 .77782 m .73884 .79133 L .72033 .78332 L p F P
0 g
s
.43 .266 .556 r
.71201 .7806 m .72229 .78594 L p .71683 .77165 L F P
0 g
s
.43 .266 .556 r
.71647 .77071 m .71201 .7806 L p .71683 .77165 L F P
0 g
s
.43 .263 .552 r
.69509 .81158 m .70418 .8192 L p .71035 .78875 L F P
0 g
s
.43 .263 .552 r
.71201 .7806 m .69509 .81158 L p .71035 .78875 L F P
0 g
s
.451 .255 .522 r
.67466 .83846 m .68266 .84732 L p .69252 .81898 L F P
0 g
s
.451 .255 .522 r
.69509 .81158 m .67466 .83846 L p .69252 .81898 L F P
0 g
s
.477 .253 .494 r
.65083 .86142 m .65751 .87141 L p .6709 .84569 L F P
0 g
s
.477 .253 .494 r
.67466 .83846 m .65083 .86142 L p .6709 .84569 L F P
0 g
s
.509 .257 .468 r
.62369 .87989 m .62878 .89084 L p .64689 .86667 L F P
0 g
s
.509 .257 .468 r
.65083 .86142 m .62369 .87989 L p .64689 .86667 L F P
0 g
s
.537 .266 .451 r
.59483 .8944 m .59846 .90595 L p .61821 .88556 L F P
0 g
s
.537 .266 .451 r
.62369 .87989 m .59483 .8944 L p .61821 .88556 L F P
0 g
s
.575 .283 .435 r
.56455 .90361 m .56639 .91559 L p .58927 .89854 L F P
0 g
s
.575 .283 .435 r
.59483 .8944 m .56455 .90361 L p .58927 .89854 L F P
0 g
s
.612 .305 .425 r
.53252 .90817 m .53265 .92027 L p .55894 .90654 L F P
0 g
s
.612 .305 .425 r
.56455 .90361 m .53252 .90817 L p .55894 .90654 L F P
0 g
s
.645 .328 .42 r
.49948 .90845 m .49809 .92044 L p .53032 .90896 L F P
0 g
s
.645 .328 .42 r
.53252 .90817 m .49948 .90845 L p .53032 .90896 L F P
0 g
s
.656 .337 .42 r
.46479 .90721 m .46275 .91911 L p .49216 .91057 L F P
0 g
s
.656 .337 .42 r
.49948 .90845 m .46479 .90721 L p .49216 .91057 L F P
0 g
s
.69 .365 .421 r
.43259 .90147 m .42906 .91299 L p .45739 .9084 L F P
0 g
s
.69 .365 .421 r
.46479 .90721 m .43259 .90147 L p .45739 .9084 L F P
0 g
s
.727 .401 .428 r
.40253 .89104 m .39739 .90188 L p .42512 .90156 L F P
0 g
s
.727 .401 .428 r
.43259 .90147 m .40253 .89104 L p .42512 .90156 L F P
0 g
s
.765 .444 .441 r
.37481 .87584 m .36811 .8857 L p .39674 .89014 L F P
0 g
s
.765 .444 .441 r
.40253 .89104 m .37481 .87584 L p .39674 .89014 L F P
0 g
s
.794 .479 .456 r
.34785 .85612 m .34004 .86501 L p .36702 .87342 L F P
0 g
s
.794 .479 .456 r
.37481 .87584 m .34785 .85612 L p .36702 .87342 L F P
0 g
s
.828 .526 .48 r
.32508 .8326 m .31607 .8401 L p .34158 .85296 L F P
0 g
s
.828 .526 .48 r
.34785 .85612 m .32508 .8326 L p .34158 .85296 L F P
0 g
s
.854 .569 .505 r
.30563 .80532 m .29574 .81138 L p .31937 .82848 L F P
0 g
s
.854 .569 .505 r
.32508 .8326 m .30563 .80532 L p .31937 .82848 L F P
0 g
s
.733 .615 .726 r
.49062 .66684 m .5058 .67822 L .49416 .69437 L p F P
0 g
s
.707 .577 .707 r
.5058 .67822 m .51928 .68794 L .50827 .70452 L p F P
0 g
s
.707 .577 .707 r
.50827 .70452 m .49416 .69437 L .5058 .67822 L p F P
0 g
s
.707 .577 .707 r
.18221 .33502 m .17074 .3391 L .16167 .32138 L p F P
0 g
s
.707 .577 .707 r
.17074 .3391 m .15987 .34458 L .14873 .32808 L p F P
0 g
s
.707 .577 .707 r
.14873 .32808 m .16167 .32138 L .17074 .3391 L p F P
0 g
s
.707 .577 .707 r
.8069 .42644 m .818 .41636 L .83219 .43032 L p F P
0 g
s
.707 .577 .707 r
.818 .41636 m .82817 .40609 L .84346 .41883 L p F P
0 g
s
.707 .577 .707 r
.84346 .41883 m .83219 .43032 L .818 .41636 L p F P
0 g
s
.707 .577 .707 r
.82817 .40609 m .83731 .3952 L .85379 .40635 L p F P
0 g
s
.707 .577 .707 r
.83731 .3952 m .84419 .38516 L .86194 .39417 L p F P
0 g
s
.707 .577 .707 r
.86194 .39417 m .85379 .40635 L .83731 .3952 L p F P
0 g
s
.707 .577 .707 r
.84419 .38516 m .84976 .37434 L .86847 .38113 L p F P
0 g
s
.707 .577 .707 r
.86847 .38113 m .86194 .39417 L .84419 .38516 L p F P
0 g
s
.707 .577 .707 r
.28319 .65531 m .28127 .67316 L .26177 .6692 L p F P
0 g
s
.707 .577 .707 r
.28127 .67316 m .27818 .68842 L .25869 .68439 L p F P
0 g
s
.707 .577 .707 r
.25869 .68439 m .26177 .6692 L .28127 .67316 L p F P
0 g
s
.47 .579 .882 r
.51167 .67094 m .52489 .68048 L .51928 .68794 L p F P
0 g
s
.479 .592 .888 r
.52489 .68048 m .53851 .68954 L .53314 .69715 L p F P
0 g
s
.479 .592 .888 r
.53314 .69715 m .51928 .68794 L .52489 .68048 L p F P
0 g
s
.487 .604 .894 r
.53851 .68954 m .55224 .698 L .54721 .7058 L p F P
0 g
s
.487 .604 .894 r
.54721 .7058 m .53314 .69715 L .53851 .68954 L p F P
0 g
s
.499 .619 .902 r
.55224 .698 m .56627 .70576 L .56163 .71376 L p F P
0 g
s
.499 .619 .902 r
.56163 .71376 m .54721 .7058 L .55224 .698 L p F P
0 g
s
.511 .636 .909 r
.56627 .70576 m .58098 .71292 L .57657 .72103 L p F P
0 g
s
.511 .636 .909 r
.57657 .72103 m .56163 .71376 L .56627 .70576 L p F P
0 g
s
.52 .647 .914 r
.58098 .71292 m .59613 .71968 L .59187 .72785 L p F P
0 g
s
.52 .647 .914 r
.59187 .72785 m .57657 .72103 L .58098 .71292 L p F P
0 g
s
.526 .654 .916 r
.59613 .71968 m .61231 .72645 L .60777 .73451 L p F P
0 g
s
.526 .654 .916 r
.60777 .73451 m .59187 .72785 L .59613 .71968 L p F P
0 g
s
.519 .646 .913 r
.61231 .72645 m .62961 .73425 L .62415 .74184 L p F P
0 g
s
.519 .646 .913 r
.62415 .74184 m .60777 .73451 L .61231 .72645 L p F P
0 g
s
.497 .616 .9 r
.62961 .73425 m .64326 .74196 L .63771 .7495 L p F P
0 g
s
.497 .616 .9 r
.63771 .7495 m .62415 .74184 L .62961 .73425 L p F P
0 g
s
.496 .614 .899 r
.64326 .74196 m .65586 .74918 L .65073 .75695 L p F P
0 g
s
.496 .614 .899 r
.65073 .75695 m .63771 .7495 L .64326 .74196 L p F P
0 g
s
.508 .632 .907 r
.65586 .74918 m .66807 .75536 L .66364 .76344 L p F P
0 g
s
.508 .632 .907 r
.66364 .76344 m .65073 .75695 L .65586 .74918 L p F P
0 g
s
.528 .658 .918 r
.66807 .75536 m .68036 .76039 L .67682 .76876 L p F P
0 g
s
.528 .658 .918 r
.67682 .76876 m .66364 .76344 L .66807 .75536 L p F P
0 g
s
.553 .689 .929 r
.68036 .76039 m .69087 .76357 L .6885 .77221 L p F P
0 g
s
.553 .689 .929 r
.6885 .77221 m .67682 .76876 L .68036 .76039 L p F P
0 g
s
.588 .727 .94 r
.69087 .76357 m .70173 .76542 L .70051 .77416 L p F P
0 g
s
.588 .727 .94 r
.70051 .77416 m .6885 .77221 L .69087 .76357 L p F P
0 g
s
.611 .25 .333 r
.3885 .31715 m .37328 .31695 L .37379 .30775 L p F P
0 g
s
.611 .25 .333 r
.37379 .30775 m .39274 .30801 L .3885 .31715 L p F P
0 g
s
.64 .279 .343 r
.37328 .31695 m .35697 .317 L .35717 .30781 L p F P
0 g
s
.64 .279 .343 r
.35717 .30781 m .37379 .30775 L .37328 .31695 L p F P
0 g
s
.628 .269 .342 r
.35697 .317 m .34062 .31768 L .34054 .3085 L p F P
0 g
s
.628 .269 .342 r
.34054 .3085 m .35717 .30781 L .35697 .317 L p F P
0 g
s
.618 .26 .342 r
.34062 .31768 m .32455 .31891 L .32408 .30977 L p F P
0 g
s
.618 .26 .342 r
.32408 .30977 m .34054 .3085 L .34062 .31768 L p F P
0 g
s
.603 .249 .342 r
.32455 .31891 m .30864 .32088 L .30773 .31181 L p F P
0 g
s
.603 .249 .342 r
.30773 .31181 m .32408 .30977 L .32455 .31891 L p F P
0 g
s
.587 .237 .343 r
.30864 .32088 m .29253 .32373 L .29136 .31471 L p F P
0 g
s
.587 .237 .343 r
.29136 .31471 m .30773 .31181 L .30864 .32088 L p F P
0 g
s
.577 .23 .344 r
.29253 .32373 m .2763 .32717 L .27499 .31819 L p F P
0 g
s
.577 .23 .344 r
.27499 .31819 m .29136 .31471 L .29253 .32373 L p F P
0 g
s
.57 .225 .345 r
.2763 .32717 m .25923 .3312 L .25821 .32215 L p F P
0 g
s
.57 .225 .345 r
.25821 .32215 m .27499 .31819 L .2763 .32717 L p F P
0 g
s
.577 .23 .344 r
.25923 .3312 m .24065 .33506 L .24065 .32584 L p F P
0 g
s
.577 .23 .344 r
.24065 .32584 m .25821 .32215 L .25923 .3312 L p F P
0 g
s
.607 .252 .343 r
.24065 .33506 m .22506 .33684 L .22517 .32761 L p F P
0 g
s
.607 .252 .343 r
.22517 .32761 m .24065 .32584 L .24065 .33506 L p F P
0 g
s
.608 .254 .343 r
.22506 .33684 m .21063 .33841 L .21026 .32924 L p F P
0 g
s
.608 .254 .343 r
.21026 .32924 m .22517 .32761 L .22506 .33684 L p F P
0 g
s
.591 .24 .343 r
.21063 .33841 m .19712 .34059 L .196 .33158 L p F P
0 g
s
.591 .24 .343 r
.196 .33158 m .21026 .32924 L .21063 .33841 L p F P
0 g
s
.565 .221 .344 r
.19712 .34059 m .18422 .34374 L .18221 .33502 L p F P
0 g
s
.565 .221 .344 r
.18221 .33502 m .196 .33158 L .19712 .34059 L p F P
0 g
s
.496 .178 .358 r
.17385 .34734 m .16397 .35223 L .15987 .34458 L p F P
0 g
s
.837 .87 .867 r
.68086 .53074 m .69331 .52199 L .69834 .52987 L p F P
0 g
s
.837 .87 .867 r
.69834 .52987 m .68285 .54077 L .68086 .53074 L p F P
0 g
s
.817 .861 .881 r
.69331 .52199 m .70647 .51236 L .71175 .52006 L p F P
0 g
s
.817 .861 .881 r
.71175 .52006 m .69834 .52987 L .69331 .52199 L p F P
0 g
s
.826 .863 .874 r
.70647 .51236 m .7193 .5022 L .7248 .50972 L p F P
0 g
s
.826 .863 .874 r
.7248 .50972 m .71175 .52006 L .70647 .51236 L p F P
0 g
s
.834 .865 .868 r
.7193 .5022 m .73157 .49177 L .73737 .49901 L p F P
0 g
s
.834 .865 .868 r
.73737 .49901 m .7248 .50972 L .7193 .5022 L p F P
0 g
s
.845 .867 .859 r
.73157 .49177 m .74329 .48082 L .7494 .48776 L p F P
0 g
s
.845 .867 .859 r
.7494 .48776 m .73737 .49901 L .73157 .49177 L p F P
0 g
s
.856 .868 .848 r
.74329 .48082 m .75465 .46904 L .76093 .47579 L p F P
0 g
s
.856 .868 .848 r
.76093 .47579 m .7494 .48776 L .74329 .48082 L p F P
0 g
s
.863 .868 .841 r
.75465 .46904 m .76576 .45672 L .77214 .46335 L p F P
0 g
s
.863 .868 .841 r
.77214 .46335 m .76093 .47579 L .75465 .46904 L p F P
0 g
s
.867 .868 .836 r
.76576 .45672 m .7772 .44343 L .78339 .45028 L p F P
0 g
s
.867 .868 .836 r
.78339 .45028 m .77214 .46335 L .76576 .45672 L p F P
0 g
s
.862 .868 .841 r
.7772 .44343 m .78996 .42938 L .79542 .43698 L p F P
0 g
s
.862 .868 .841 r
.79542 .43698 m .78339 .45028 L .7772 .44343 L p F P
0 g
s
.842 .866 .86 r
.78996 .42938 m .80152 .41878 L .8069 .42644 L p F P
0 g
s
.842 .866 .86 r
.8069 .42644 m .79542 .43698 L .78996 .42938 L p F P
0 g
s
.853 .867 .851 r
.81227 .40903 m .82193 .39932 L .82817 .40609 L p F P
0 g
s
.91 .858 .778 r
.83678 .38018 m .8419 .37042 L .84976 .37434 L p F P
0 g
s
.342 .223 .57 r
.31879 .5298 m .31388 .54422 L .30521 .54094 L p F P
0 g
s
.342 .223 .57 r
.30521 .54094 m .31133 .52298 L .31879 .5298 L p F P
0 g
s
.359 .219 .551 r
.31388 .54422 m .30888 .55974 L .30013 .55676 L p F P
0 g
s
.359 .219 .551 r
.30013 .55676 m .30521 .54094 L .31388 .54422 L p F P
0 g
s
.355 .225 .562 r
.30888 .55974 m .30448 .5755 L .29566 .57279 L p F P
0 g
s
.355 .225 .562 r
.29566 .57279 m .30013 .55676 L .30888 .55974 L p F P
0 g
s
.352 .23 .571 r
.30448 .5755 m .30068 .59116 L .29178 .58884 L p F P
0 g
s
.352 .23 .571 r
.29178 .58884 m .29566 .57279 L .30448 .5755 L p F P
0 g
s
.348 .238 .584 r
.30068 .59116 m .29764 .60691 L .28866 .60502 L p F P
0 g
s
.348 .238 .584 r
.28866 .60502 m .29178 .58884 L .30068 .59116 L p F P
0 g
s
.344 .247 .599 r
.29764 .60691 m .29537 .62311 L .28637 .62148 L p F P
0 g
s
.344 .247 .599 r
.28637 .62148 m .28866 .60502 L .29764 .60691 L p F P
0 g
s
.342 .253 .609 r
.29537 .62311 m .29363 .6396 L .28461 .63813 L p F P
0 g
s
.342 .253 .609 r
.28461 .63813 m .28637 .62148 L .29537 .62311 L p F P
0 g
s
.34 .258 .615 r
.29363 .6396 m .29218 .65709 L .28319 .65531 L p F P
0 g
s
.34 .258 .615 r
.28319 .65531 m .28461 .63813 L .29363 .6396 L p F P
0 g
s
.349 .237 .582 r
.29011 .67595 m .28699 .69132 L .27818 .68842 L p F P
0 g
s
.35 .236 .581 r
.28699 .69132 m .28402 .70553 L .27512 .7031 L p F P
0 g
s
.35 .236 .581 r
.27512 .7031 m .27818 .68842 L .28699 .69132 L p F P
0 g
s
.345 .245 .595 r
.28402 .70553 m .28192 .71906 L .27294 .71739 L p F P
0 g
s
.345 .245 .595 r
.27294 .71739 m .27512 .7031 L .28402 .70553 L p F P
0 g
s
.339 .259 .618 r
.28192 .71906 m .28094 .7323 L .27195 .73157 L p F P
0 g
s
.339 .259 .618 r
.27195 .73157 m .27294 .71739 L .28192 .71906 L p F P
0 g
s
.334 .279 .646 r
.28094 .7323 m .28115 .74328 L .27228 .74374 L p F P
0 g
s
.334 .279 .646 r
.27228 .74374 m .27195 .73157 L .28094 .7323 L p F P
0 g
s
.332 .309 .683 r
.28115 .74328 m .28275 .75418 L .27413 .75577 L p F P
0 g
s
.332 .309 .683 r
.27413 .75577 m .27228 .74374 L .28115 .74328 L p F P
0 g
s
.919 .653 .519 r
.61227 .31774 m .60778 .30321 L .61676 .30091 L p F P
0 g
s
.919 .653 .519 r
.61676 .30091 m .62235 .319 L .61227 .31774 L p F P
0 g
s
.924 .679 .549 r
.60778 .30321 m .60269 .28772 L .61157 .28512 L p F P
0 g
s
.924 .679 .549 r
.61157 .28512 m .61676 .30091 L .60778 .30321 L p F P
0 g
s
.92 .667 .538 r
.60269 .28772 m .59699 .27238 L .60576 .26952 L p F P
0 g
s
.92 .667 .538 r
.60576 .26952 m .61157 .28512 L .60269 .28772 L p F P
0 g
s
.917 .656 .527 r
.59699 .27238 m .59086 .25748 L .59947 .25426 L p F P
0 g
s
.917 .656 .527 r
.59947 .25426 m .60576 .26952 L .59699 .27238 L p F P
0 g
s
.912 .641 .514 r
.59086 .25748 m .58407 .24295 L .59248 .23934 L p F P
0 g
s
.912 .641 .514 r
.59248 .23934 m .59947 .25426 L .59086 .25748 L p F P
0 g
s
.905 .624 .499 r
.58407 .24295 m .57638 .22851 L .58466 .22467 L p F P
0 g
s
.905 .624 .499 r
.58466 .22467 m .59248 .23934 L .58407 .24295 L p F P
0 g
s
.901 .613 .489 r
.57638 .22851 m .56809 .21414 L .5763 .21017 L p F P
0 g
s
.901 .613 .489 r
.5763 .21017 m .58466 .22467 L .57638 .22851 L p F P
0 g
s
.897 .605 .483 r
.56809 .21414 m .55898 .19915 L .56734 .19543 L p F P
0 g
s
.897 .605 .483 r
.56734 .19543 m .5763 .21017 L .56809 .21414 L p F P
0 g
s
.901 .613 .49 r
.55898 .19915 m .54957 .18267 L .55841 .17987 L p F P
0 g
s
.901 .613 .49 r
.55841 .17987 m .56734 .19543 L .55898 .19915 L p F P
0 g
s
.912 .644 .517 r
.54957 .18267 m .54306 .1684 L .55194 .1657 L p F P
0 g
s
.912 .644 .517 r
.55194 .1657 m .55841 .17987 L .54957 .18267 L p F P
0 g
s
.913 .646 .519 r
.54306 .1684 m .53711 .15516 L .54578 .15203 L p F P
0 g
s
.913 .646 .519 r
.54578 .15203 m .55194 .1657 L .54306 .1684 L p F P
0 g
s
.907 .628 .503 r
.53711 .15516 m .53086 .14298 L .53915 .13919 L p F P
0 g
s
.907 .628 .503 r
.53915 .13919 m .54578 .15203 L .53711 .15516 L p F P
0 g
s
.896 .6 .479 r
.53086 .14298 m .52387 .13169 L .53162 .12713 L p F P
0 g
s
.896 .6 .479 r
.53162 .12713 m .53915 .13919 L .53086 .14298 L p F P
0 g
s
.88 .566 .451 r
.52387 .13169 m .51725 .12294 L .5242 .11748 L p F P
0 g
s
.88 .566 .451 r
.5242 .11748 m .53162 .12713 L .52387 .13169 L p F P
0 g
s
.856 .52 .417 r
.51725 .12294 m .50955 .11505 L .51563 .10884 L p F P
0 g
s
.856 .52 .417 r
.51563 .10884 m .5242 .11748 L .51725 .12294 L p F P
0 g
s
.733 .615 .726 r
.49416 .69437 m .47856 .68269 L .49062 .66684 L p F P
0 g
s
.707 .577 .707 r
.51928 .68794 m .53314 .69715 L .52272 .71411 L p F P
0 g
s
.707 .577 .707 r
.52272 .71411 m .50827 .70452 L .51928 .68794 L p F P
0 g
s
.707 .577 .707 r
.53314 .69715 m .54721 .7058 L .5376 .72323 L p F P
0 g
s
.707 .577 .707 r
.5376 .72323 m .52272 .71411 L .53314 .69715 L p F P
0 g
s
.707 .577 .707 r
.54721 .7058 m .56163 .71376 L .55293 .73166 L p F P
0 g
s
.707 .577 .707 r
.55293 .73166 m .5376 .72323 L .54721 .7058 L p F P
0 g
s
.707 .577 .707 r
.56163 .71376 m .57657 .72103 L .56847 .73921 L p F P
0 g
s
.707 .577 .707 r
.56847 .73921 m .55293 .73166 L .56163 .71376 L p F P
0 g
s
.707 .577 .707 r
.57657 .72103 m .59187 .72785 L .58418 .74621 L p F P
0 g
s
.707 .577 .707 r
.58418 .74621 m .56847 .73921 L .57657 .72103 L p F P
0 g
s
.707 .577 .707 r
.59187 .72785 m .60777 .73451 L .59968 .75269 L p F P
0 g
s
.707 .577 .707 r
.59968 .75269 m .58418 .74621 L .59187 .72785 L p F P
0 g
s
.707 .577 .707 r
.60777 .73451 m .62415 .74184 L .61436 .75917 L p F P
0 g
s
.707 .577 .707 r
.61436 .75917 m .59968 .75269 L .60777 .73451 L p F P
0 g
s
.707 .577 .707 r
.62415 .74184 m .63771 .7495 L .62785 .76679 L p F P
0 g
s
.707 .577 .707 r
.62785 .76679 m .61436 .75917 L .62415 .74184 L p F P
0 g
s
.707 .577 .707 r
.63771 .7495 m .65073 .75695 L .64183 .77475 L p F P
0 g
s
.707 .577 .707 r
.64183 .77475 m .62785 .76679 L .63771 .7495 L p F P
0 g
s
.707 .577 .707 r
.65073 .75695 m .66364 .76344 L .65625 .78192 L p F P
0 g
s
.707 .577 .707 r
.65625 .78192 m .64183 .77475 L .65073 .75695 L p F P
0 g
s
.707 .577 .707 r
.66364 .76344 m .67682 .76876 L .67131 .78789 L p F P
0 g
s
.707 .577 .707 r
.67131 .78789 m .65625 .78192 L .66364 .76344 L p F P
0 g
s
.707 .577 .707 r
.67682 .76876 m .6885 .77221 L .68542 .79187 L p F P
0 g
s
.707 .577 .707 r
.68542 .79187 m .67131 .78789 L .67682 .76876 L p F P
0 g
s
.707 .577 .707 r
.6885 .77221 m .70051 .77416 L .69983 .79405 L p F P
0 g
s
.707 .577 .707 r
.69983 .79405 m .68542 .79187 L .6885 .77221 L p F P
0 g
s
.673 .549 .706 r
.39274 .30801 m .37379 .30775 L .37371 .28784 L p F P
0 g
s
.707 .577 .707 r
.37379 .30775 m .35717 .30781 L .35633 .28792 L p F P
0 g
s
.707 .577 .707 r
.35633 .28792 m .37371 .28784 L .37379 .30775 L p F P
0 g
s
.707 .577 .707 r
.35717 .30781 m .34054 .3085 L .339 .28866 L p F P
0 g
s
.707 .577 .707 r
.339 .28866 m .35633 .28792 L .35717 .30781 L p F P
0 g
s
.707 .577 .707 r
.34054 .3085 m .32408 .30977 L .3216 .29003 L p F P
0 g
s
.707 .577 .707 r
.3216 .29003 m .339 .28866 L .34054 .3085 L p F P
0 g
s
.707 .577 .707 r
.32408 .30977 m .30773 .31181 L .30425 .29222 L p F P
0 g
s
.707 .577 .707 r
.30425 .29222 m .3216 .29003 L .32408 .30977 L p F P
0 g
s
.707 .577 .707 r
.30773 .31181 m .29136 .31471 L .28723 .29524 L p F P
0 g
s
.707 .577 .707 r
.28723 .29524 m .30425 .29222 L .30773 .31181 L p F P
0 g
s
.707 .577 .707 r
.29136 .31471 m .27499 .31819 L .27041 .29882 L p F P
0 g
s
.707 .577 .707 r
.27041 .29882 m .28723 .29524 L .29136 .31471 L p F P
0 g
s
.707 .577 .707 r
.27499 .31819 m .25821 .32215 L .25406 .30268 L p F P
0 g
s
.707 .577 .707 r
.25406 .30268 m .27041 .29882 L .27499 .31819 L p F P
0 g
s
.707 .577 .707 r
.25821 .32215 m .24065 .32584 L .23838 .30607 L p F P
0 g
s
.707 .577 .707 r
.23838 .30607 m .25406 .30268 L .25821 .32215 L p F P
0 g
s
.707 .577 .707 r
.24065 .32584 m .22517 .32761 L .22298 .30783 L p F P
0 g
s
.707 .577 .707 r
.22298 .30783 m .23838 .30607 L .24065 .32584 L p F P
0 g
s
.707 .577 .707 r
.22517 .32761 m .21026 .32924 L .20699 .30961 L p F P
0 g
s
.707 .577 .707 r
.20699 .30961 m .22298 .30783 L .22517 .32761 L p F P
0 g
s
.707 .577 .707 r
.21026 .32924 m .196 .33158 L .19112 .31229 L p F P
0 g
s
.707 .577 .707 r
.19112 .31229 m .20699 .30961 L .21026 .32924 L p F P
0 g
s
.707 .577 .707 r
.196 .33158 m .18221 .33502 L .17542 .31631 L p F P
0 g
s
.707 .577 .707 r
.17542 .31631 m .19112 .31229 L .196 .33158 L p F P
0 g
s
.707 .577 .707 r
.16167 .32138 m .17542 .31631 L .18221 .33502 L p F P
0 g
s
.734 .584 .687 r
.68285 .54077 m .69834 .52987 L .71011 .54593 L p F P
0 g
s
.707 .577 .707 r
.69834 .52987 m .71175 .52006 L .72412 .53565 L p F P
0 g
s
.707 .577 .707 r
.72412 .53565 m .71011 .54593 L .69834 .52987 L p F P
0 g
s
.707 .577 .707 r
.71175 .52006 m .7248 .50972 L .73771 .52486 L p F P
0 g
s
.707 .577 .707 r
.73771 .52486 m .72412 .53565 L .71175 .52006 L p F P
0 g
s
.707 .577 .707 r
.7248 .50972 m .73737 .49901 L .75098 .51353 L p F P
0 g
s
.707 .577 .707 r
.75098 .51353 m .73771 .52486 L .7248 .50972 L p F P
0 g
s
.707 .577 .707 r
.73737 .49901 m .7494 .48776 L .76373 .50156 L p F P
0 g
s
.707 .577 .707 r
.76373 .50156 m .75098 .51353 L .73737 .49901 L p F P
0 g
s
.707 .577 .707 r
.7494 .48776 m .76093 .47579 L .77572 .48911 L p F P
0 g
s
.707 .577 .707 r
.77572 .48911 m .76373 .50156 L .7494 .48776 L p F P
0 g
s
.707 .577 .707 r
.76093 .47579 m .77214 .46335 L .78723 .47633 L p F P
0 g
s
.707 .577 .707 r
.78723 .47633 m .77572 .48911 L .76093 .47579 L p F P
0 g
s
.707 .577 .707 r
.77214 .46335 m .78339 .45028 L .79818 .4636 L p F P
0 g
s
.707 .577 .707 r
.79818 .4636 m .78723 .47633 L .77214 .46335 L p F P
0 g
s
.707 .577 .707 r
.78339 .45028 m .79542 .43698 L .80888 .45164 L p F P
0 g
s
.707 .577 .707 r
.80888 .45164 m .79818 .4636 L .78339 .45028 L p F P
0 g
s
.707 .577 .707 r
.79542 .43698 m .8069 .42644 L .8203 .44116 L p F P
0 g
s
.707 .577 .707 r
.8203 .44116 m .80888 .45164 L .79542 .43698 L p F P
0 g
s
.707 .577 .707 r
.83219 .43032 m .8203 .44116 L .8069 .42644 L p F P
0 g
s
.707 .577 .707 r
.85379 .40635 m .84346 .41883 L .82817 .40609 L p F P
0 g
s
.695 .593 .738 r
.31133 .52298 m .30521 .54094 L .28626 .53486 L p F P
0 g
s
.707 .577 .707 r
.30521 .54094 m .30013 .55676 L .28096 .55142 L p F P
0 g
s
.707 .577 .707 r
.28096 .55142 m .28626 .53486 L .30521 .54094 L p F P
0 g
s
.707 .577 .707 r
.30013 .55676 m .29566 .57279 L .27631 .56813 L p F P
0 g
s
.707 .577 .707 r
.27631 .56813 m .28096 .55142 L .30013 .55676 L p F P
0 g
s
.707 .577 .707 r
.29566 .57279 m .29178 .58884 L .27223 .5851 L p F P
0 g
s
.707 .577 .707 r
.27223 .5851 m .27631 .56813 L .29566 .57279 L p F P
0 g
s
.707 .577 .707 r
.29178 .58884 m .28866 .60502 L .26895 .60227 L p F P
0 g
s
.707 .577 .707 r
.26895 .60227 m .27223 .5851 L .29178 .58884 L p F P
0 g
s
.707 .577 .707 r
.28866 .60502 m .28637 .62148 L .26657 .61939 L p F P
0 g
s
.707 .577 .707 r
.26657 .61939 m .26895 .60227 L .28866 .60502 L p F P
0 g
s
.707 .577 .707 r
.28637 .62148 m .28461 .63813 L .26477 .6365 L p F P
0 g
s
.707 .577 .707 r
.26477 .6365 m .26657 .61939 L .28637 .62148 L p F P
0 g
s
.707 .577 .707 r
.28461 .63813 m .28319 .65531 L .2634 .65324 L p F P
0 g
s
.707 .577 .707 r
.2634 .65324 m .26477 .6365 L .28461 .63813 L p F P
0 g
s
.707 .577 .707 r
.26177 .6692 m .2634 .65324 L .28319 .65531 L p F P
0 g
s
.707 .577 .707 r
.27818 .68842 m .27512 .7031 L .25544 .70015 L p F P
0 g
s
.707 .577 .707 r
.25544 .70015 m .25869 .68439 L .27818 .68842 L p F P
0 g
s
.707 .577 .707 r
.27512 .7031 m .27294 .71739 L .25308 .71607 L p F P
0 g
s
.707 .577 .707 r
.25308 .71607 m .25544 .70015 L .27512 .7031 L p F P
0 g
s
.707 .577 .707 r
.27294 .71739 m .27195 .73157 L .25206 .73224 L p F P
0 g
s
.707 .577 .707 r
.25206 .73224 m .25308 .71607 L .27294 .71739 L p F P
0 g
s
.707 .577 .707 r
.27195 .73157 m .27228 .74374 L .25263 .74688 L p F P
0 g
s
.707 .577 .707 r
.25263 .74688 m .25206 .73224 L .27195 .73157 L p F P
0 g
s
.707 .577 .707 r
.27228 .74374 m .27413 .75577 L .255 .76127 L p F P
0 g
s
.707 .577 .707 r
.255 .76127 m .25263 .74688 L .27228 .74374 L p F P
0 g
s
.697 .543 .675 r
.62235 .319 m .61676 .30091 L .63566 .29468 L p F P
0 g
s
.707 .577 .707 r
.61676 .30091 m .61157 .28512 L .63022 .27818 L p F P
0 g
s
.707 .577 .707 r
.63022 .27818 m .63566 .29468 L .61676 .30091 L p F P
0 g
s
.707 .577 .707 r
.61157 .28512 m .60576 .26952 L .62416 .26192 L p F P
0 g
s
.707 .577 .707 r
.62416 .26192 m .63022 .27818 L .61157 .28512 L p F P
0 g
s
.707 .577 .707 r
.60576 .26952 m .59947 .25426 L .61748 .2458 L p F P
0 g
s
.707 .577 .707 r
.61748 .2458 m .62416 .26192 L .60576 .26952 L p F P
0 g
s
.707 .577 .707 r
.59947 .25426 m .59248 .23934 L .61004 .22997 L p F P
0 g
s
.707 .577 .707 r
.61004 .22997 m .61748 .2458 L .59947 .25426 L p F P
0 g
s
.707 .577 .707 r
.59248 .23934 m .58466 .22467 L .6019 .21473 L p F P
0 g
s
.707 .577 .707 r
.6019 .21473 m .61004 .22997 L .59248 .23934 L p F P
0 g
s
.707 .577 .707 r
.58466 .22467 m .5763 .21017 L .59331 .19983 L p F P
0 g
s
.707 .577 .707 r
.59331 .19983 m .6019 .21473 L .58466 .22467 L p F P
0 g
s
.707 .577 .707 r
.5763 .21017 m .56734 .19543 L .58458 .18548 L p F P
0 g
s
.707 .577 .707 r
.58458 .18548 m .59331 .19983 L .5763 .21017 L p F P
0 g
s
.707 .577 .707 r
.56734 .19543 m .55841 .17987 L .57651 .17161 L p F P
0 g
s
.707 .577 .707 r
.57651 .17161 m .58458 .18548 L .56734 .19543 L p F P
0 g
s
.707 .577 .707 r
.55841 .17987 m .55194 .1657 L .57008 .15751 L p F P
0 g
s
.707 .577 .707 r
.57008 .15751 m .57651 .17161 L .55841 .17987 L p F P
0 g
s
.707 .577 .707 r
.55194 .1657 m .54578 .15203 L .56344 .14285 L p F P
0 g
s
.707 .577 .707 r
.56344 .14285 m .57008 .15751 L .55194 .1657 L p F P
0 g
s
.707 .577 .707 r
.54578 .15203 m .53915 .13919 L .55599 .12858 L p F P
0 g
s
.707 .577 .707 r
.55599 .12858 m .56344 .14285 L .54578 .15203 L p F P
0 g
s
.707 .577 .707 r
.53915 .13919 m .53162 .12713 L .54732 .1149 L p F P
0 g
s
.707 .577 .707 r
.54732 .1149 m .55599 .12858 L .53915 .13919 L p F P
0 g
s
.707 .577 .707 r
.53162 .12713 m .5242 .11748 L .53825 .10339 L p F P
0 g
s
.707 .577 .707 r
.53825 .10339 m .54732 .1149 L .53162 .12713 L p F P
0 g
s
.707 .577 .707 r
.5242 .11748 m .51563 .10884 L .52787 .09315 L p F P
0 g
s
.707 .577 .707 r
.52787 .09315 m .53825 .10339 L .5242 .11748 L p F P
0 g
s
.84 .528 .46 r
.47856 .68269 m .49416 .69437 L .48829 .70338 L p F P
0 g
s
.81 .488 .444 r
.49416 .69437 m .50827 .70452 L .50278 .71379 L p F P
0 g
s
.81 .488 .444 r
.50278 .71379 m .48829 .70338 L .49416 .69437 L p F P
0 g
s
.749 .805 .897 r
.17542 .31631 m .16167 .32138 L .15564 .31175 L p F P
0 g
s
.481 .236 .465 r
.8203 .44116 m .83219 .43032 L .84077 .43708 L p F P
0 g
s
.472 .238 .477 r
.83219 .43032 m .84346 .41883 L .85264 .42492 L p F P
0 g
s
.472 .238 .477 r
.85264 .42492 m .84077 .43708 L .83219 .43032 L p F P
0 g
s
.46 .242 .495 r
.84346 .41883 m .85379 .40635 L .86362 .41159 L p F P
0 g
s
.447 .25 .519 r
.85379 .40635 m .86194 .39417 L .87243 .39827 L p F P
0 g
s
.447 .25 .519 r
.87243 .39827 m .86362 .41159 L .85379 .40635 L p F P
0 g
s
.915 .767 .684 r
.2634 .65324 m .26177 .6692 L .25093 .668 L p F P
0 g
s
.912 .787 .709 r
.26177 .6692 m .25869 .68439 L .24784 .68322 L p F P
0 g
s
.912 .787 .709 r
.25093 .668 m .26177 .6692 L p .24887 .68219 L F P
0 g
s
.915 .767 .684 r
.25242 .65292 m .2634 .65324 L p .25109 .66782 L F P
0 g
s
.915 .767 .684 r
.25093 .668 m .25242 .65292 L p .25109 .66782 L F P
0 g
s
.915 .764 .68 r
.26477 .6365 m .2634 .65324 L .25242 .65292 L p F P
0 g
s
.915 .764 .68 r
.25242 .65292 m .25378 .63633 L .26477 .6365 L p F P
0 g
s
.333 .252 .613 r
.25242 .65292 m .26131 .65469 L p .25388 .63658 L F P
0 g
s
.333 .252 .613 r
.25378 .63633 m .25242 .65292 L p .25388 .63658 L F P
0 g
s
.334 .248 .607 r
.25093 .668 m .25967 .67079 L p .25294 .65419 L F P
0 g
s
.334 .248 .607 r
.25242 .65292 m .25093 .668 L p .25294 .65419 L F P
0 g
s
.912 .787 .709 r
.24784 .68322 m .25093 .668 L p .24887 .68219 L F P
0 g
s
.673 .549 .706 r
.37371 .28784 m .39319 .28809 L .39274 .30801 L p F P
0 g
s
.734 .584 .687 r
.71011 .54593 m .69419 .55715 L .68285 .54077 L p F P
0 g
s
.695 .593 .738 r
.28626 .53486 m .29253 .5164 L .31133 .52298 L p F P
0 g
s
.697 .543 .675 r
.63566 .29468 m .64143 .31327 L .62235 .319 L p F P
0 g
s
.801 .477 .439 r
.50827 .70452 m .52272 .71411 L .51759 .72361 L p F P
0 g
s
.801 .477 .439 r
.51759 .72361 m .50278 .71379 L .50827 .70452 L p F P
0 g
s
.793 .466 .435 r
.52272 .71411 m .5376 .72323 L .53295 .73301 L p F P
0 g
s
.793 .466 .435 r
.53295 .73301 m .51759 .72361 L .52272 .71411 L p F P
0 g
s
.783 .453 .429 r
.5376 .72323 m .55293 .73166 L .54879 .74171 L p F P
0 g
s
.783 .453 .429 r
.54879 .74171 m .53295 .73301 L .5376 .72323 L p F P
0 g
s
.771 .439 .424 r
.55293 .73166 m .56847 .73921 L .5647 .74944 L p F P
0 g
s
.771 .439 .424 r
.5647 .74944 m .54879 .74171 L .55293 .73166 L p F P
0 g
s
.763 .43 .421 r
.56847 .73921 m .58418 .74621 L .58069 .75656 L p F P
0 g
s
.763 .43 .421 r
.58069 .75656 m .5647 .74944 L .56847 .73921 L p F P
0 g
s
.758 .424 .42 r
.58418 .74621 m .59968 .75269 L .59605 .76298 L p F P
0 g
s
.758 .424 .42 r
.59605 .76298 m .58069 .75656 L .58418 .74621 L p F P
0 g
s
.762 .428 .421 r
.59968 .75269 m .61436 .75917 L .60994 .76906 L p F P
0 g
s
.762 .428 .421 r
.59605 .76298 m .59968 .75269 L p .60981 .76885 L F P
0 g
s
.522 .654 .919 r
.59605 .76298 m .60056 .75501 L p .58097 .75654 L F P
0 g
s
.522 .654 .919 r
.58069 .75656 m .59605 .76298 L p .58097 .75654 L F P
0 g
s
.762 .428 .421 r
.60994 .76906 m .59605 .76298 L p .60981 .76885 L F P
0 g
s
.786 .456 .43 r
.61436 .75917 m .62785 .76679 L .62346 .77669 L p F P
0 g
s
.786 .456 .43 r
.60994 .76906 m .61436 .75917 L p .62279 .7754 L F P
0 g
s
.517 .648 .916 r
.60994 .76906 m .61536 .76155 L p .59743 .76288 L F P
0 g
s
.517 .648 .916 r
.59605 .76298 m .60994 .76906 L p .59743 .76288 L F P
0 g
s
.786 .456 .43 r
.62346 .77669 m .60994 .76906 L p .62279 .7754 L F P
0 g
s
.786 .457 .43 r
.62785 .76679 m .64183 .77475 L .63799 .78494 L p F P
0 g
s
.786 .457 .43 r
.62346 .77669 m .62785 .76679 L p .63797 .78491 L F P
0 g
s
.492 .616 .902 r
.62346 .77669 m .62897 .76924 L p .60998 .76906 L F P
0 g
s
.492 .616 .902 r
.60994 .76906 m .62346 .77669 L p .60998 .76906 L F P
0 g
s
.786 .457 .43 r
.63799 .78494 m .62346 .77669 L p .63797 .78491 L F P
0 g
s
.773 .441 .425 r
.64183 .77475 m .65625 .78192 L .65322 .79248 L p F P
0 g
s
.773 .441 .425 r
.65322 .79248 m .63799 .78494 L .64183 .77475 L p F P
0 g
s
.619 .721 .919 r
.39319 .28809 m .37371 .28784 L .37312 .27697 L p F P
0 g
s
.659 .75 .917 r
.37371 .28784 m .35633 .28792 L .35528 .27706 L p F P
0 g
s
.659 .75 .917 r
.35528 .27706 m .37312 .27697 L .37371 .28784 L p F P
0 g
s
.669 .757 .916 r
.35633 .28792 m .339 .28866 L .33752 .27782 L p F P
0 g
s
.669 .757 .916 r
.33752 .27782 m .35528 .27706 L .35633 .28792 L p F P
0 g
s
.679 .764 .916 r
.339 .28866 m .3216 .29003 L .31957 .27924 L p F P
0 g
s
.679 .764 .916 r
.31957 .27924 m .33752 .27782 L .339 .28866 L p F P
0 g
s
.691 .773 .914 r
.3216 .29003 m .30425 .29222 L .30165 .28151 L p F P
0 g
s
.691 .773 .914 r
.30165 .28151 m .31957 .27924 L .3216 .29003 L p F P
0 g
s
.704 .781 .911 r
.30425 .29222 m .28723 .29524 L .28423 .28462 L p F P
0 g
s
.704 .781 .911 r
.28423 .28462 m .30165 .28151 L .30425 .29222 L p F P
0 g
s
.712 .786 .91 r
.28723 .29524 m .27041 .29882 L .26711 .28826 L p F P
0 g
s
.712 .786 .91 r
.26711 .28826 m .28423 .28462 L .28723 .29524 L p F P
0 g
s
.718 .79 .908 r
.27041 .29882 m .25406 .30268 L .25091 .29209 L p F P
0 g
s
.718 .79 .908 r
.25091 .29209 m .26711 .28826 L .27041 .29882 L p F P
0 g
s
.714 .787 .909 r
.25406 .30268 m .23838 .30607 L .2361 .29534 L p F P
0 g
s
.714 .787 .909 r
.25091 .29209 m .25406 .30268 L p .23632 .29543 L F P
0 g
s
.566 .218 .338 r
.25091 .29209 m .2519 .30105 L p .2669 .28843 L F P
0 g
s
.566 .218 .338 r
.26711 .28826 m .25091 .29209 L p .2669 .28843 L F P
0 g
s
.714 .787 .909 r
.2361 .29534 m .25091 .29209 L p .23632 .29543 L F P
0 g
s
.688 .771 .915 r
.23838 .30607 m .22298 .30783 L .22067 .2971 L p F P
0 g
s
.688 .771 .915 r
.2361 .29534 m .23838 .30607 L p .22198 .29776 L F P
0 g
s
.572 .222 .337 r
.2361 .29534 m .23608 .30446 L p .24985 .29297 L F P
0 g
s
.572 .222 .337 r
.25091 .29209 m .2361 .29534 L p .24985 .29297 L F P
0 g
s
.688 .771 .915 r
.22067 .2971 m .2361 .29534 L p .22198 .29776 L F P
0 g
s
.687 .77 .915 r
.22298 .30783 m .20699 .30961 L .20407 .29897 L p F P
0 g
s
.687 .77 .915 r
.22067 .2971 m .22298 .30783 L p .20411 .29898 L F P
0 g
s
.604 .246 .336 r
.22067 .2971 m .22055 .30624 L p .23607 .29536 L F P
0 g
s
.604 .246 .336 r
.2361 .29534 m .22067 .2971 L p .23607 .29536 L F P
0 g
s
.687 .77 .915 r
.20407 .29897 m .22067 .2971 L p .20411 .29898 L F P
0 g
s
.702 .78 .912 r
.20699 .30961 m .19112 .31229 L .18731 .30183 L p F P
0 g
s
.702 .78 .912 r
.18731 .30183 m .20407 .29897 L .20699 .30961 L p F P
0 g
s
.724 .792 .906 r
.19112 .31229 m .17542 .31631 L .17059 .30616 L p F P
0 g
s
.749 .805 .897 r
.15564 .31175 m .17059 .30616 L .17542 .31631 L p F P
0 g
s
.527 .236 .416 r
.69419 .55715 m .71011 .54593 L .71693 .55424 L p F P
0 g
s
.502 .238 .446 r
.71011 .54593 m .72412 .53565 L .73132 .54369 L p F P
0 g
s
.502 .238 .446 r
.73132 .54369 m .71693 .55424 L .71011 .54593 L p F P
0 g
s
.495 .237 .453 r
.72412 .53565 m .73771 .52486 L .74523 .53263 L p F P
0 g
s
.495 .237 .453 r
.74523 .53263 m .73132 .54369 L .72412 .53565 L p F P
0 g
s
.488 .237 .459 r
.73771 .52486 m .75098 .51353 L .75892 .52093 L p F P
0 g
s
.488 .237 .459 r
.75892 .52093 m .74523 .53263 L .73771 .52486 L p F P
0 g
s
.48 .237 .468 r
.75098 .51353 m .76373 .50156 L .77208 .50856 L p F P
0 g
s
.48 .237 .468 r
.77208 .50856 m .75892 .52093 L .75098 .51353 L p F P
0 g
s
.471 .238 .478 r
.76373 .50156 m .77572 .48911 L .78435 .4958 L p F P
0 g
s
.471 .238 .478 r
.78435 .4958 m .77208 .50856 L .76373 .50156 L p F P
0 g
s
.466 .239 .485 r
.77572 .48911 m .78723 .47633 L .79606 .4828 L p F P
0 g
s
.466 .239 .485 r
.79606 .4828 m .78435 .4958 L .77572 .48911 L p F P
0 g
s
.463 .24 .49 r
.78723 .47633 m .79818 .4636 L .80692 .47017 L p F P
0 g
s
.463 .24 .49 r
.80692 .47017 m .79606 .4828 L .78723 .47633 L p F P
0 g
s
.465 .239 .486 r
.79818 .4636 m .80888 .45164 L .81699 .45884 L p F P
0 g
s
.465 .239 .486 r
.80692 .47017 m .79818 .4636 L p .81675 .4589 L F P
0 g
s
.869 .871 .837 r
.80692 .47017 m .80081 .46338 L p .79613 .48253 L F P
0 g
s
.869 .871 .837 r
.79606 .4828 m .80692 .47017 L p .79613 .48253 L F P
0 g
s
.465 .239 .486 r
.81699 .45884 m .80692 .47017 L p .81675 .4589 L F P
0 g
s
.481 .236 .465 r
.80888 .45164 m .8203 .44116 L .82843 .44835 L p F P
0 g
s
.481 .236 .465 r
.81699 .45884 m .80888 .45164 L p .82699 .44859 L F P
0 g
s
.865 .871 .841 r
.81699 .45884 m .8116 .45132 L p .80725 .46883 L F P
0 g
s
.865 .871 .841 r
.80692 .47017 m .81699 .45884 L p .80725 .46883 L F P
0 g
s
.481 .236 .465 r
.82843 .44835 m .81699 .45884 L p .82699 .44859 L F P
0 g
s
.481 .236 .465 r
.82843 .44835 m .8203 .44116 L p .84073 .43709 L F P
0 g
s
.843 .869 .862 r
.82843 .44835 m .82312 .44075 L p .817 .45881 L F P
0 g
s
.843 .869 .862 r
.81699 .45884 m .82843 .44835 L p .817 .45881 L F P
0 g
s
.481 .236 .465 r
.84077 .43708 m .82843 .44835 L p .84073 .43709 L F P
0 g
s
.895 .826 .771 r
.29253 .5164 m .28626 .53486 L .2758 .53201 L p F P
0 g
s
.905 .804 .737 r
.28626 .53486 m .28096 .55142 L .27037 .54901 L p F P
0 g
s
.905 .804 .737 r
.27037 .54901 m .2758 .53201 L .28626 .53486 L p F P
0 g
s
.908 .798 .727 r
.28096 .55142 m .27631 .56813 L .26561 .56613 L p F P
0 g
s
.908 .798 .727 r
.26561 .56613 m .27037 .54901 L .28096 .55142 L p F P
0 g
s
.91 .792 .718 r
.27631 .56813 m .27223 .5851 L .26142 .58364 L p F P
0 g
s
.91 .792 .718 r
.26142 .58364 m .26561 .56613 L .27631 .56813 L p F P
0 g
s
.912 .784 .706 r
.27223 .5851 m .26895 .60227 L .25804 .60139 L p F P
0 g
s
.912 .784 .706 r
.25804 .60139 m .26142 .58364 L .27223 .5851 L p F P
0 g
s
.914 .775 .694 r
.26895 .60227 m .26657 .61939 L .25561 .61892 L p F P
0 g
s
.914 .775 .694 r
.25561 .61892 m .25804 .60139 L .26895 .60227 L p F P
0 g
s
.915 .769 .686 r
.26657 .61939 m .26477 .6365 L .25378 .63633 L p F P
0 g
s
.915 .769 .686 r
.25378 .63633 m .25561 .61892 L .26657 .61939 L p F P
0 g
s
.912 .787 .71 r
.25869 .68439 m .25544 .70015 L .24449 .69959 L p F P
0 g
s
.912 .787 .71 r
.24784 .68322 m .25869 .68439 L p .24451 .69956 L F P
0 g
s
.343 .231 .579 r
.24784 .68322 m .25657 .68611 L p .25094 .66804 L F P
0 g
s
.343 .231 .579 r
.25093 .668 m .24784 .68322 L p .25094 .66804 L F P
0 g
s
.912 .787 .71 r
.24449 .69959 m .24784 .68322 L p .24451 .69956 L F P
0 g
s
.914 .776 .696 r
.25544 .70015 m .25308 .71607 L .24203 .7164 L p F P
0 g
s
.914 .776 .696 r
.24203 .7164 m .24449 .69959 L .25544 .70015 L p F P
0 g
s
.915 .76 .675 r
.25308 .71607 m .25206 .73224 L .24098 .73365 L p F P
0 g
s
.914 .737 .649 r
.25206 .73224 m .25263 .74688 L .24168 .74959 L p F P
0 g
s
.914 .737 .649 r
.24168 .74959 m .24098 .73365 L .25206 .73224 L p F P
0 g
s
.391 .358 .702 r
.64143 .31327 m .63566 .29468 L .64575 .29071 L p F P
0 g
s
.411 .402 .739 r
.63566 .29468 m .63022 .27818 L .64016 .27377 L p F P
0 g
s
.411 .402 .739 r
.64016 .27377 m .64575 .29071 L .63566 .29468 L p F P
0 g
s
.415 .413 .749 r
.63022 .27818 m .62416 .26192 L .63394 .25711 L p F P
0 g
s
.415 .413 .749 r
.63394 .25711 m .64016 .27377 L .63022 .27818 L p F P
0 g
s
.419 .423 .757 r
.62416 .26192 m .61748 .2458 L .62705 .24049 L p F P
0 g
s
.419 .423 .757 r
.62705 .24049 m .63394 .25711 L .62416 .26192 L p F P
0 g
s
.425 .437 .768 r
.61748 .2458 m .61004 .22997 L .61934 .22414 L p F P
0 g
s
.425 .437 .768 r
.61934 .22414 m .62705 .24049 L .61748 .2458 L p F P
0 g
s
.432 .451 .78 r
.61004 .22997 m .6019 .21473 L .61101 .20853 L p F P
0 g
s
.432 .451 .78 r
.61101 .20853 m .61934 .22414 L .61004 .22997 L p F P
0 g
s
.436 .461 .787 r
.6019 .21473 m .59331 .19983 L .60226 .19337 L p F P
0 g
s
.436 .461 .787 r
.60226 .19337 m .61101 .20853 L .6019 .21473 L p F P
0 g
s
.44 .468 .792 r
.59331 .19983 m .58458 .18548 L .5936 .17915 L p F P
0 g
s
.44 .468 .792 r
.5936 .17915 m .60226 .19337 L .59331 .19983 L p F P
0 g
s
.437 .463 .789 r
.58458 .18548 m .57651 .17161 L .58594 .16607 L p F P
0 g
s
.437 .463 .789 r
.5936 .17915 m .58458 .18548 L p .58592 .16631 L F P
0 g
s
.899 .604 .478 r
.5936 .17915 m .58532 .18281 L p .60202 .19323 L F P
0 g
s
.899 .604 .478 r
.60226 .19337 m .5936 .17915 L p .60202 .19323 L F P
0 g
s
.437 .463 .789 r
.58594 .16607 m .5936 .17915 L p .58592 .16631 L F P
0 g
s
.422 .433 .766 r
.57651 .17161 m .57008 .15751 L .57949 .15195 L p F P
0 g
s
.422 .433 .766 r
.58594 .16607 m .57651 .17161 L p .57927 .15339 L F P
0 g
s
.902 .611 .484 r
.58594 .16607 m .57719 .16882 L p .59244 .17841 L F P
0 g
s
.902 .611 .484 r
.5936 .17915 m .58594 .16607 L p .59244 .17841 L F P
0 g
s
.422 .433 .766 r
.57949 .15195 m .58594 .16607 L p .57927 .15339 L F P
0 g
s
.422 .432 .765 r
.57008 .15751 m .56344 .14285 L .57259 .13673 L p F P
0 g
s
.422 .432 .765 r
.57949 .15195 m .57008 .15751 L p .57259 .13677 L F P
0 g
s
.915 .644 .513 r
.57949 .15195 m .57069 .1546 L p .58591 .16605 L F P
0 g
s
.915 .644 .513 r
.58594 .16607 m .57949 .15195 L p .58591 .16605 L F P
0 g
s
.422 .432 .765 r
.57259 .13673 m .57949 .15195 L p .57259 .13677 L F P
0 g
s
.43 .449 .778 r
.56344 .14285 m .55599 .12858 L .56469 .12168 L p F P
0 g
s
.43 .449 .778 r
.56469 .12168 m .57259 .13673 L .56344 .14285 L p F P
0 g
s
.444 .475 .797 r
.55599 .12858 m .54732 .1149 L .55541 .10711 L p F P
0 g
s
.444 .475 .797 r
.55541 .10711 m .56469 .12168 L .55599 .12858 L p F P
0 g
s
.462 .506 .818 r
.54732 .1149 m .53825 .10339 L .54547 .09462 L p F P
0 g
s
.462 .506 .818 r
.54547 .09462 m .55541 .10711 L .54732 .1149 L p F P
0 g
s
.753 .419 .419 r
.65625 .78192 m .67131 .78789 L .6693 .7988 L p F P
0 g
s
.753 .419 .419 r
.6693 .7988 m .65322 .79248 L .65625 .78192 L p F P
0 g
s
.728 .393 .413 r
.67131 .78789 m .68542 .79187 L .68468 .80307 L p F P
0 g
s
.728 .393 .413 r
.68468 .80307 m .6693 .7988 L .67131 .78789 L p F P
0 g
s
.724 .792 .906 r
.17059 .30616 m .18731 .30183 L .19112 .31229 L p F P
0 g
s
.46 .242 .495 r
.86362 .41159 m .85264 .42492 L .84346 .41883 L p F P
0 g
s
.915 .76 .675 r
.24098 .73365 m .24203 .7164 L .25308 .71607 L p F P
0 g
s
.573 .282 .435 r
.76724 .78614 m .80321 .77414 L .80767 .78503 L p F P
0 g
s
.573 .282 .435 r
.80767 .78503 m .77006 .79743 L .76724 .78614 L p F P
0 g
s
.869 .816 .795 r
.09883 .37408 m .07677 .40491 L .06672 .39858 L p F P
0 g
s
.869 .816 .795 r
.06672 .39858 m .08987 .36647 L .09883 .37408 L p F P
0 g
s
.42 .355 .679 r
.88179 .31456 m .88151 .27663 L .89331 .27571 L p F P
0 g
s
.42 .355 .679 r
.89331 .27571 m .89347 .31532 L .88179 .31456 L p F P
0 g
s
.852 .569 .508 r
.28335 .82293 m .30586 .85342 L .29681 .86097 L p F P
0 g
s
.852 .569 .508 r
.29681 .86097 m .27341 .82905 L .28335 .82293 L p F P
0 g
s
.832 .87 .872 r
.66819 .53913 m .68086 .53074 L .68285 .54077 L p F P
0 g
s
.832 .87 .872 r
.68285 .54077 m .66994 .54921 L .6682 .5392 L p F P
0 g
s
.832 .87 .872 r
.68285 .54077 m .6682 .5392 L .66829 .53914 L F
.737 .585 .686 r
.66994 .54921 m .68285 .54077 L .69419 .55715 L p F P
0 g
s
.531 .232 .405 r
.67741 .54581 m .69031 .53714 L .68093 .53079 L p F P
0 g
s
.531 .232 .405 r
.68093 .53079 m .68086 .53074 L p .68084 .53084 L F P
0 g
s
.531 .232 .405 r
.68084 .53084 m .67741 .54581 L .68093 .53079 L F
.832 .87 .872 r
.6682 .5392 m .66819 .53913 L p .66829 .53914 L F P
0 g
s
.343 .218 .562 r
.3241 .51554 m .31879 .5298 L .31133 .52298 L p F P
0 g
s
.343 .218 .562 r
.31133 .52298 m .31681 .50855 L .32405 .51549 L p F P
0 g
s
.343 .218 .562 r
.31133 .52298 m .32405 .51549 L .32401 .51559 L F
.693 .594 .74 r
.31681 .50855 m .31133 .52298 L .29253 .5164 L p F P
0 g
s
.893 .833 .78 r
.31267 .51541 m .30734 .53004 L .31871 .5298 L p F P
0 g
s
.893 .833 .78 r
.31871 .5298 m .31879 .5298 L p .31875 .5297 L F P
0 g
s
.893 .833 .78 r
.31875 .5297 m .31267 .51541 L .31871 .5298 L F
.343 .218 .562 r
.32405 .51549 m .3241 .51554 L p .32401 .51559 L F P
0 g
s
.921 .661 .526 r
.61634 .33237 m .61227 .31774 L .62235 .319 L p F P
0 g
s
.921 .661 .526 r
.62235 .319 m .6264 .33388 L .61641 .33238 L p F P
0 g
s
.921 .661 .526 r
.62235 .319 m .61641 .33238 L .61638 .33228 L F
.697 .54 .671 r
.6264 .33388 m .62235 .319 L .64143 .31327 L p F P
0 g
s
.382 .343 .691 r
.62562 .32562 m .62135 .31068 L .61233 .31769 L p F P
0 g
s
.382 .343 .691 r
.61233 .31769 m .61227 .31774 L p .61236 .31779 L F P
0 g
s
.382 .343 .691 r
.61236 .31779 m .62562 .32562 L .61233 .31769 L F
.921 .661 .526 r
.61641 .33238 m .61634 .33237 L p .61638 .33228 L F P
0 g
s
.477 .598 .895 r
.48758 .65233 m .49948 .6618 L .49062 .66684 L p F P
0 g
s
.477 .598 .895 r
.49062 .66684 m .4786 .65716 L .48751 .65236 L p F P
0 g
s
.477 .598 .895 r
.49062 .66684 m .48751 .65236 L .4876 .65243 L F
.734 .618 .729 r
.4786 .65716 m .49062 .66684 L .47856 .68269 L p F P
0 g
s
.849 .537 .461 r
.484 .66311 m .49624 .67271 L .49946 .66187 L p F P
0 g
s
.849 .537 .461 r
.49946 .66187 m .49948 .6618 L p .49938 .66181 L F P
0 g
s
.849 .537 .461 r
.49938 .66181 m .484 .66311 L .49946 .66187 L F
.477 .598 .895 r
.48751 .65236 m .48758 .65233 L p .4876 .65243 L F P
0 g
s
.618 .255 .332 r
.40368 .31779 m .3885 .31715 L .39274 .30801 L p F P
0 g
s
.618 .255 .332 r
.39274 .30801 m .40815 .30875 L .40372 .31773 L p F P
0 g
s
.618 .255 .332 r
.39274 .30801 m .40372 .31773 L .40361 .31773 L F
.67 .545 .704 r
.40815 .30875 m .39274 .30801 L .39319 .28809 L p F P
0 g
s
.606 .713 .92 r
.4002 .30683 m .38466 .30629 L .38847 .31708 L p F P
0 g
s
.606 .713 .92 r
.38847 .31708 m .3885 .31715 L p .38857 .31709 L F P
0 g
s
.606 .713 .92 r
.38857 .31709 m .4002 .30683 L .38847 .31708 L F
.618 .255 .332 r
.40372 .31773 m .40368 .31779 L p .40361 .31773 L F P
0 g
s
.737 .585 .686 r
.69419 .55715 m .68083 .56591 L .66994 .54921 L p F P
0 g
s
.693 .594 .74 r
.29253 .5164 m .29818 .50143 L .31681 .50855 L p F P
0 g
s
.697 .54 .671 r
.64143 .31327 m .64565 .32868 L .6264 .33388 L p F P
0 g
s
.533 .238 .412 r
.68083 .56591 m .69419 .55715 L .70366 .56363 L p F P
0 g
s
.527 .236 .416 r
.71693 .55424 m .70366 .56363 L .69419 .55715 L p F P
0 g
s
.892 .829 .778 r
.29818 .50143 m .29253 .5164 L .28102 .51659 L p F P
0 g
s
.895 .826 .771 r
.2758 .53201 m .28102 .51659 L .29253 .5164 L p F P
0 g
s
.389 .351 .694 r
.64565 .32868 m .64143 .31327 L .65059 .30623 L p F P
0 g
s
.391 .358 .702 r
.64575 .29071 m .65059 .30623 L .64143 .31327 L p F P
0 g
s
.734 .618 .729 r
.47856 .68269 m .46608 .67267 L .4786 .65716 L p F P
0 g
s
.67 .545 .704 r
.39319 .28809 m .40916 .28884 L .40815 .30875 L p F P
0 g
s
.846 .536 .465 r
.46608 .67267 m .47856 .68269 L .47525 .69364 L p F P
0 g
s
.84 .528 .46 r
.48829 .70338 m .47525 .69364 L .47856 .68269 L p F P
0 g
s
.611 .714 .918 r
.40916 .28884 m .39319 .28809 L .38939 .27715 L p F P
0 g
s
.619 .721 .919 r
.37312 .27697 m .38939 .27715 L .39319 .28809 L p F P
0 g
s
.603 .685 .899 r
.46866 .05954 m .43248 .04807 L .43532 .03649 L p F P
0 g
s
.603 .685 .899 r
.43532 .03649 m .47306 .0486 L .46866 .05954 L p F P
0 g
s
.541 .27 .453 r
.80321 .77414 m .83661 .75696 L .84279 .76713 L p F P
0 g
s
.541 .27 .453 r
.84279 .76713 m .80767 .78503 L .80321 .77414 L p F P
0 g
s
.886 .803 .762 r
.07677 .40491 m .05984 .43841 L .04883 .43368 L p F P
0 g
s
.886 .803 .762 r
.04883 .43368 m .06672 .39858 L .07677 .40491 L p F P
0 g
s
.428 .391 .716 r
.88151 .27663 m .8755 .23955 L .88715 .23677 L p F P
0 g
s
.428 .391 .716 r
.88715 .23677 m .89331 .27571 L .88151 .27663 L p F P
0 g
s
.826 .526 .482 r
.30586 .85342 m .33251 .87987 L .32468 .88882 L p F P
0 g
s
.826 .526 .482 r
.32468 .88882 m .29681 .86097 L .30586 .85342 L p F P
0 g
s
.473 .592 .892 r
.47567 .64248 m .48758 .65233 L .4786 .65716 L p F P
0 g
s
.473 .592 .892 r
.4786 .65716 m .46664 .64719 L .47563 .6425 L p F P
0 g
s
.473 .592 .892 r
.4786 .65716 m .47563 .6425 L .47568 .64255 L F
.734 .619 .73 r
.46664 .64719 m .4786 .65716 L .46608 .67267 L p F P
0 g
s
.852 .543 .464 r
.47184 .65316 m .484 .66311 L .48756 .65238 L p F P
0 g
s
.852 .543 .464 r
.48756 .65238 m .48758 .65233 L p .48751 .65233 L F P
0 g
s
.852 .543 .464 r
.48751 .65233 m .47184 .65316 L .48756 .65238 L F
.473 .592 .892 r
.47563 .6425 m .47567 .64248 L p .47568 .64255 L F P
0 g
s
.623 .259 .331 r
.4191 .31874 m .40368 .31779 L .40815 .30875 L p F P
0 g
s
.623 .259 .331 r
.40815 .30875 m .42368 .30976 L .41912 .31869 L p F P
0 g
s
.623 .259 .331 r
.40815 .30875 m .41912 .31869 L .41905 .31869 L F
.67 .545 .704 r
.42368 .30976 m .40815 .30875 L .40916 .28884 L p F P
0 g
s
.601 .709 .919 r
.41588 .30771 m .4002 .30683 L .40367 .31774 L p F P
0 g
s
.601 .709 .919 r
.40367 .31774 m .40368 .31779 L p .40374 .31775 L F P
0 g
s
.601 .709 .919 r
.40374 .31775 m .41588 .30771 L .40367 .31774 L F
.623 .259 .331 r
.41912 .31869 m .4191 .31874 L p .41905 .31869 L F P
0 g
s
.828 .869 .876 r
.65516 .5474 m .66819 .53913 L .66994 .54921 L p F P
0 g
s
.828 .869 .876 r
.66994 .54921 m .65677 .55749 L .65517 .54745 L p F P
0 g
s
.828 .869 .876 r
.66994 .54921 m .65517 .54745 L .65523 .54741 L F
.737 .586 .687 r
.65677 .55749 m .66994 .54921 L .68083 .56591 L p F P
0 g
s
.535 .234 .403 r
.6642 .55429 m .67741 .54581 L .66823 .53916 L p F P
0 g
s
.535 .234 .403 r
.66823 .53916 m .66819 .53913 L p .66817 .5392 L F P
0 g
s
.535 .234 .403 r
.66817 .5392 m .6642 .55429 L .66823 .53916 L F
.828 .869 .876 r
.65517 .54745 m .65516 .5474 L p .65523 .54741 L F P
0 g
s
.344 .215 .557 r
.32978 .50116 m .3241 .51554 L .31681 .50855 L p F P
0 g
s
.344 .215 .557 r
.31681 .50855 m .32258 .49408 L .32974 .50113 L p F P
0 g
s
.344 .215 .557 r
.31681 .50855 m .32974 .50113 L .32972 .50119 L F
.693 .593 .74 r
.32258 .49408 m .31681 .50855 L .29818 .50143 L p F P
0 g
s
.891 .835 .784 r
.31837 .50076 m .31267 .51541 L .32405 .51554 L p F P
0 g
s
.891 .835 .784 r
.32405 .51554 m .3241 .51554 L p .32408 .51547 L F P
0 g
s
.891 .835 .784 r
.32408 .51547 m .31837 .50076 L .32405 .51554 L F
.344 .215 .557 r
.32974 .50113 m .32978 .50116 L p .32972 .50119 L F P
0 g
s
.923 .666 .531 r
.6202 .34731 m .61634 .33237 L .6264 .33388 L p F P
0 g
s
.923 .666 .531 r
.6264 .33388 m .63022 .34895 L .62024 .34732 L p F P
0 g
s
.923 .666 .531 r
.6264 .33388 m .62024 .34732 L .62022 .34725 L F
.697 .54 .671 r
.63022 .34895 m .6264 .33388 L .64565 .32868 L p F P
0 g
s
.381 .339 .686 r
.62961 .34079 m .62562 .32562 L .61638 .33234 L p F P
0 g
s
.381 .339 .686 r
.61638 .33234 m .61634 .33237 L p .6164 .33241 L F P
0 g
s
.381 .339 .686 r
.6164 .33241 m .62961 .34079 L .61638 .33234 L F
.923 .666 .531 r
.62024 .34732 m .6202 .34731 L p .62022 .34725 L F P
0 g
s
.734 .619 .73 r
.46608 .67267 m .45382 .66247 L .46664 .64719 L p F P
0 g
s
.67 .545 .704 r
.40916 .28884 m .42507 .28985 L .42368 .30976 L p F P
0 g
s
.737 .586 .687 r
.68083 .56591 m .66735 .57441 L .65677 .55749 L p F P
0 g
s
.693 .593 .74 r
.29818 .50143 m .30408 .4866 L .32258 .49408 L p F P
0 g
s
.697 .54 .671 r
.64565 .32868 m .64958 .34412 L .63022 .34895 L p F P
0 g
s
.85 .542 .468 r
.45382 .66247 m .46608 .67267 L .46243 .68349 L p F P
0 g
s
.846 .536 .465 r
.47525 .69364 m .46243 .68349 L .46608 .67267 L p F P
0 g
s
.606 .709 .917 r
.42507 .28985 m .40916 .28884 L .40572 .2778 L p F P
0 g
s
.611 .714 .918 r
.38939 .27715 m .40572 .2778 L .40916 .28884 L p F P
0 g
s
.538 .24 .409 r
.66735 .57441 m .68083 .56591 L .69006 .57268 L p F P
0 g
s
.533 .238 .412 r
.70366 .56363 m .69006 .57268 L .68083 .56591 L p F P
0 g
s
.89 .831 .783 r
.30408 .4866 m .29818 .50143 L .28669 .50125 L p F P
0 g
s
.892 .829 .778 r
.28102 .51659 m .28669 .50125 L .29818 .50143 L p F P
0 g
s
.388 .345 .689 r
.64958 .34412 m .64565 .32868 L .65501 .32195 L p F P
0 g
s
.389 .351 .694 r
.65059 .30623 m .65501 .32195 L .64565 .32868 L p F P
0 g
s
.51 .264 .479 r
.83661 .75696 m .86657 .73469 L .874 .7441 L p F P
0 g
s
.51 .264 .479 r
.874 .7441 m .84279 .76713 L .83661 .75696 L p F P
0 g
s
.898 .782 .724 r
.05984 .43841 m .04869 .47401 L .0371 .47063 L p F P
0 g
s
.898 .782 .724 r
.0371 .47063 m .04883 .43368 L .05984 .43841 L p F P
0 g
s
.442 .434 .754 r
.8755 .23955 m .8636 .20417 L .87491 .19995 L p F P
0 g
s
.442 .434 .754 r
.87491 .19995 m .88715 .23677 L .8755 .23955 L p F P
0 g
s
.793 .481 .46 r
.33251 .87987 m .36293 .90146 L .35621 .91139 L p F P
0 g
s
.793 .481 .46 r
.35621 .91139 m .32468 .88882 L .33251 .87987 L p F P
0 g
s
.641 .719 .905 r
.43248 .04807 m .39534 .0423 L .39637 .0303 L p F P
0 g
s
.641 .719 .905 r
.39637 .0303 m .43532 .03649 L .43248 .04807 L p F P
0 g
s
.824 .868 .879 r
.64194 .55546 m .65516 .5474 L .65677 .55749 L p F P
0 g
s
.824 .868 .879 r
.65677 .55749 m .64342 .56556 L .64195 .5555 L p F P
0 g
s
.824 .868 .879 r
.65677 .55749 m .64195 .5555 L .642 .55547 L F
.737 .587 .687 r
.64342 .56556 m .65677 .55749 L .66735 .57441 L p F P
0 g
s
.539 .235 .4 r
.65081 .56254 m .6642 .55429 L .6552 .54743 L p F P
0 g
s
.539 .235 .4 r
.6552 .54743 m .65516 .5474 L p .65514 .54746 L F P
0 g
s
.539 .235 .4 r
.65514 .54746 m .65081 .56254 L .6552 .54743 L F
.824 .868 .879 r
.64195 .5555 m .64194 .55546 L p .642 .55547 L F P
0 g
s
.468 .586 .889 r
.46391 .63239 m .47567 .64248 L .46664 .64719 L p F P
0 g
s
.468 .586 .889 r
.46664 .64719 m .45483 .63697 L .46387 .63241 L p F P
0 g
s
.468 .586 .889 r
.46664 .64719 m .46387 .63241 L .46392 .63245 L F
.734 .619 .73 r
.45483 .63697 m .46664 .64719 L .45382 .66247 L p F P
0 g
s
.856 .548 .468 r
.45984 .64296 m .47184 .65316 L .47565 .64253 L p F P
0 g
s
.856 .548 .468 r
.47565 .64253 m .47567 .64248 L p .4756 .64248 L F P
0 g
s
.856 .548 .468 r
.4756 .64248 m .45984 .64296 L .47565 .64253 L F
.468 .586 .889 r
.46387 .63241 m .46391 .63239 L p .46392 .63245 L F P
0 g
s
.629 .264 .331 r
.43454 .31996 m .4191 .31874 L .42368 .30976 L p F P
0 g
s
.629 .264 .331 r
.42368 .30976 m .43923 .31105 L .43456 .31992 L p F P
0 g
s
.629 .264 .331 r
.42368 .30976 m .43456 .31992 L .43449 .31992 L F
.67 .544 .703 r
.43923 .31105 m .42368 .30976 L .42507 .28985 L p F P
0 g
s
.597 .704 .919 r
.43157 .30888 m .41588 .30771 L .41908 .31869 L p F P
0 g
s
.597 .704 .919 r
.41908 .31869 m .4191 .31874 L p .41915 .31869 L F P
0 g
s
.597 .704 .919 r
.41915 .31869 m .43157 .30888 L .41908 .31869 L F
.629 .264 .331 r
.43456 .31992 m .43454 .31996 L p .43449 .31992 L F P
0 g
s
.346 .212 .552 r
.33573 .48685 m .32978 .50116 L .32258 .49408 L p F P
0 g
s
.346 .212 .552 r
.32258 .49408 m .32863 .47968 L .3357 .48681 L p F P
0 g
s
.346 .212 .552 r
.32258 .49408 m .3357 .48681 L .33567 .48688 L F
.692 .592 .74 r
.32863 .47968 m .32258 .49408 L .30408 .4866 L p F P
0 g
s
.889 .837 .789 r
.32435 .48619 m .31837 .50076 L .32973 .50116 L p F P
0 g
s
.889 .837 .789 r
.32973 .50116 m .32978 .50116 L p .32975 .5011 L F P
0 g
s
.889 .837 .789 r
.32975 .5011 m .32435 .48619 L .32973 .50116 L F
.346 .212 .552 r
.3357 .48681 m .33573 .48685 L p .33567 .48688 L F P
0 g
s
.925 .672 .536 r
.62379 .36237 m .6202 .34731 L .63022 .34895 L p F P
0 g
s
.925 .672 .536 r
.63022 .34895 m .63378 .36413 L .62383 .36237 L p F P
0 g
s
.925 .672 .536 r
.63022 .34895 m .62383 .36237 L .62381 .36231 L F
.698 .541 .671 r
.63378 .36413 m .63022 .34895 L .64958 .34412 L p F P
0 g
s
.381 .334 .681 r
.63333 .35607 m .62961 .34079 L .62024 .34729 L p F P
0 g
s
.381 .334 .681 r
.62024 .34729 m .6202 .34731 L p .62025 .34735 L F P
0 g
s
.381 .334 .681 r
.62025 .34735 m .63333 .35607 L .62024 .34729 L F
.925 .672 .536 r
.62383 .36237 m .62379 .36237 L p .62381 .36231 L F P
0 g
s
.737 .587 .687 r
.66735 .57441 m .6537 .58269 L .64342 .56556 L p F P
0 g
s
.542 .241 .407 r
.6537 .58269 m .66735 .57441 L .6764 .58139 L p F P
0 g
s
.538 .24 .409 r
.69006 .57268 m .6764 .58139 L .66735 .57441 L p F P
0 g
s
.734 .619 .73 r
.45382 .66247 m .44172 .65204 L .45483 .63697 L p F P
0 g
s
.67 .544 .703 r
.42507 .28985 m .44098 .29115 L .43923 .31105 L p F P
0 g
s
.692 .592 .74 r
.30408 .4866 m .31025 .47186 L .32863 .47968 L p F P
0 g
s
.698 .541 .671 r
.64958 .34412 m .65325 .35965 L .63378 .36413 L p F P
0 g
s
.853 .548 .472 r
.44172 .65204 m .45382 .66247 L .44991 .67319 L p F P
0 g
s
.85 .542 .468 r
.46243 .68349 m .44991 .67319 L .45382 .66247 L p F P
0 g
s
.601 .704 .916 r
.44098 .29115 m .42507 .28985 L .42189 .27875 L p F P
0 g
s
.606 .709 .917 r
.40572 .2778 m .42189 .27875 L .42507 .28985 L p F P
0 g
s
.887 .833 .787 r
.31025 .47186 m .30408 .4866 L .29261 .48615 L p F P
0 g
s
.89 .831 .783 r
.28669 .50125 m .29261 .48615 L .30408 .4866 L p F P
0 g
s
.387 .34 .684 r
.65325 .35965 m .64958 .34412 L .65909 .33762 L p F P
0 g
s
.388 .345 .689 r
.65501 .32195 m .65909 .33762 L .64958 .34412 L p F P
0 g
s
.681 .751 .904 r
.39534 .0423 m .358 .04268 L .35755 .03056 L p F P
0 g
s
.681 .751 .904 r
.35755 .03056 m .39637 .0303 L .39534 .0423 L p F P
0 g
s
.486 .265 .502 r
.86657 .73469 m .89258 .70917 L .90143 .71739 L p F P
0 g
s
.486 .265 .502 r
.90143 .71739 m .874 .7441 L .86657 .73469 L p F P
0 g
s
.904 .759 .692 r
.04869 .47401 m .04264 .50992 L .0306 .50834 L p F P
0 g
s
.904 .759 .692 r
.0306 .50834 m .0371 .47063 L .04869 .47401 L p F P
0 g
s
.457 .47 .784 r
.8636 .20417 m .84737 .17153 L .85799 .1656 L p F P
0 g
s
.457 .47 .784 r
.85799 .1656 m .87491 .19995 L .8636 .20417 L p F P
0 g
s
.764 .444 .445 r
.36293 .90146 m .39523 .9183 L .39008 .92921 L p F P
0 g
s
.764 .444 .445 r
.39008 .92921 m .35621 .91139 L .36293 .90146 L p F P
0 g
s
.82 .867 .882 r
.62847 .56337 m .64194 .55546 L .64342 .56556 L p F P
0 g
s
.82 .867 .882 r
.64342 .56556 m .62986 .57347 L .62847 .56341 L p F P
0 g
s
.82 .867 .882 r
.64342 .56556 m .62847 .56341 L .62853 .56338 L F
.738 .587 .688 r
.62986 .57347 m .64342 .56556 L .6537 .58269 L p F P
0 g
s
.543 .237 .399 r
.63716 .57063 m .65081 .56254 L .64197 .55548 L p F P
0 g
s
.543 .237 .399 r
.64197 .55548 m .64194 .55546 L p .64192 .55551 L F P
0 g
s
.543 .237 .399 r
.64192 .55551 m .63716 .57063 L .64197 .55548 L F
.82 .867 .882 r
.62847 .56341 m .62847 .56337 L p .62853 .56338 L F P
0 g
s
.464 .58 .886 r
.45221 .62201 m .46391 .63239 L .45483 .63697 L p F P
0 g
s
.464 .58 .886 r
.45483 .63697 m .4431 .62651 L .45217 .62203 L p F P
0 g
s
.464 .58 .886 r
.45483 .63697 m .45217 .62203 L .45222 .62207 L F
.733 .618 .73 r
.4431 .62651 m .45483 .63697 L .44172 .65204 L p F P
0 g
s
.858 .553 .471 r
.44791 .63247 m .45984 .64296 L .46389 .63243 L p F P
0 g
s
.858 .553 .471 r
.46389 .63243 m .46391 .63239 L p .46385 .63239 L F P
0 g
s
.858 .553 .471 r
.46385 .63239 m .44791 .63247 L .46389 .63243 L F
.464 .58 .886 r
.45217 .62203 m .45221 .62201 L p .45222 .62207 L F P
0 g
s
.634 .268 .331 r
.4501 .32145 m .43454 .31996 L .43923 .31105 L p F P
0 g
s
.634 .268 .331 r
.43923 .31105 m .45487 .31259 L .45011 .32142 L p F P
0 g
s
.634 .268 .331 r
.43923 .31105 m .45011 .32142 L .45005 .32141 L F
.67 .544 .702 r
.45487 .31259 m .43923 .31105 L .44098 .29115 L p F P
0 g
s
.592 .7 .918 r
.44738 .31033 m .43157 .30888 L .43453 .31992 L p F P
0 g
s
.592 .7 .918 r
.43453 .31992 m .43454 .31996 L p .43458 .31993 L F P
0 g
s
.592 .7 .918 r
.43458 .31993 m .44738 .31033 L .43453 .31992 L F
.634 .268 .331 r
.45011 .32142 m .4501 .32145 L p .45005 .32141 L F P
0 g
s
.347 .21 .547 r
.34196 .4725 m .33573 .48685 L .32863 .47968 L p F P
0 g
s
.347 .21 .547 r
.32863 .47968 m .33495 .46528 L .34194 .47247 L p F P
0 g
s
.347 .21 .547 r
.32863 .47968 m .34194 .47247 L .34191 .47253 L F
.691 .592 .739 r
.33495 .46528 m .32863 .47968 L .31025 .47186 L p F P
0 g
s
.887 .838 .792 r
.33062 .4716 m .32435 .48619 L .33568 .48684 L p F P
0 g
s
.887 .838 .792 r
.33568 .48684 m .33573 .48685 L p .33571 .48679 L F P
0 g
s
.887 .838 .792 r
.33571 .48679 m .33062 .4716 L .33568 .48684 L F
.347 .21 .547 r
.34194 .47247 m .34196 .4725 L p .34191 .47253 L F P
0 g
s
.927 .677 .541 r
.62716 .37761 m .62379 .36237 L .63378 .36413 L p F P
0 g
s
.927 .677 .541 r
.63378 .36413 m .63713 .37946 L .6272 .37762 L p F P
0 g
s
.927 .677 .541 r
.63378 .36413 m .6272 .37762 L .62719 .37756 L F
.699 .541 .671 r
.63713 .37946 m .63378 .36413 L .65325 .35965 L p F P
0 g
s
.38 .33 .677 r
.63683 .37154 m .63333 .35607 L .62382 .36234 L p F P
0 g
s
.38 .33 .677 r
.62382 .36234 m .62379 .36237 L p .62384 .3624 L F P
0 g
s
.38 .33 .677 r
.62384 .3624 m .63683 .37154 L .62382 .36234 L F
.927 .677 .541 r
.6272 .37762 m .62716 .37761 L p .62719 .37756 L F P
0 g
s
.738 .587 .688 r
.6537 .58269 m .63987 .59078 L .62986 .57347 L p F P
0 g
s
.546 .243 .405 r
.63987 .59078 m .6537 .58269 L .66258 .58985 L p F P
0 g
s
.542 .241 .407 r
.6764 .58139 m .66258 .58985 L .6537 .58269 L p F P
0 g
s
.699 .541 .671 r
.65325 .35965 m .65668 .37529 L .63713 .37946 L p F P
0 g
s
.386 .336 .68 r
.65668 .37529 m .65325 .35965 L .66288 .35337 L p F P
0 g
s
.387 .34 .684 r
.65909 .33762 m .66288 .35337 L .65325 .35965 L p F P
0 g
s
.733 .618 .73 r
.44172 .65204 m .42973 .64137 L .4431 .62651 L p F P
0 g
s
.67 .544 .702 r
.44098 .29115 m .45694 .29271 L .45487 .31259 L p F P
0 g
s
.691 .592 .739 r
.31025 .47186 m .31668 .45716 L .33495 .46528 L p F P
0 g
s
.856 .553 .475 r
.42973 .64137 m .44172 .65204 L .43757 .66265 L p F P
0 g
s
.853 .548 .472 r
.44991 .67319 m .43757 .66265 L .44172 .65204 L p F P
0 g
s
.597 .7 .916 r
.45694 .29271 m .44098 .29115 L .43806 .28 L p F P
0 g
s
.601 .704 .916 r
.42189 .27875 m .43806 .28 L .44098 .29115 L p F P
0 g
s
.885 .834 .791 r
.31668 .45716 m .31025 .47186 L .29881 .47115 L p F P
0 g
s
.887 .833 .787 r
.29261 .48615 m .29881 .47115 L .31025 .47186 L p F P
0 g
s
.714 .774 .9 r
.358 .04268 m .32193 .04802 L .31964 .03602 L p F P
0 g
s
.714 .774 .9 r
.31964 .03602 m .35755 .03056 L .358 .04268 L p F P
0 g
s
.463 .272 .535 r
.89258 .70917 m .91395 .67983 L .92396 .68671 L p F P
0 g
s
.463 .272 .535 r
.92396 .68671 m .90143 .71739 L .89258 .70917 L p F P
0 g
s
.904 .728 .652 r
.04264 .50992 m .04259 .54619 L .0304 .54637 L p F P
0 g
s
.904 .728 .652 r
.0304 .54637 m .0306 .50834 L .04264 .50992 L p F P
0 g
s
.481 .516 .816 r
.84737 .17153 m .82609 .14213 L .83579 .13469 L p F P
0 g
s
.481 .516 .816 r
.83579 .13469 m .85799 .1656 L .84737 .17153 L p F P
0 g
s
.726 .403 .432 r
.39523 .9183 m .42972 .92955 L .4262 .94114 L p F P
0 g
s
.726 .403 .432 r
.4262 .94114 m .39008 .92921 L .39523 .9183 L p F P
0 g
s
.631 .265 .331 r
.46611 .3229 m .4501 .32145 L .45487 .31259 L p F P
0 g
s
.631 .265 .331 r
.45487 .31259 m .47077 .31401 L .46611 .3229 L p F P
0 g
s
.346 .21 .549 r
.34831 .45771 m .34196 .4725 L .33495 .46528 L p F P
0 g
s
.346 .21 .549 r
.33495 .46528 m .34122 .45058 L .34831 .45771 L p F P
0 g
s
.926 .675 .538 r
.63072 .39328 m .62716 .37761 L .63713 .37946 L p F P
0 g
s
.926 .675 .538 r
.63713 .37946 m .64069 .39501 L .63072 .39328 L p F P
0 g
s
.669 .544 .703 r
.47077 .31401 m .45487 .31259 L .45694 .29271 L p F P
0 g
s
.691 .592 .74 r
.34122 .45058 m .33495 .46528 L .31668 .45716 L p F P
0 g
s
.698 .541 .67 r
.64069 .39501 m .63713 .37946 L .65668 .37529 L p F P
0 g
s
.466 .583 .887 r
.44011 .6114 m .45221 .62201 L .4431 .62651 L p F P
0 g
s
.466 .583 .887 r
.4431 .62651 m .43107 .61599 L .44011 .6114 L p F P
0 g
s
.822 .868 .88 r
.61465 .57158 m .62847 .56337 L .62986 .57347 L p F P
0 g
s
.822 .868 .88 r
.62986 .57347 m .61615 .58165 L .61465 .57158 L p F P
0 g
s
.734 .619 .731 r
.43107 .61599 m .4431 .62651 L .42973 .64137 L p F P
0 g
s
.738 .587 .688 r
.61615 .58165 m .62986 .57347 L .63987 .59078 L p F P
0 g
s
.669 .544 .703 r
.45694 .29271 m .47274 .2941 L .47077 .31401 L p F P
0 g
s
.691 .592 .74 r
.31668 .45716 m .32289 .44255 L .34122 .45058 L p F P
0 g
s
.698 .541 .67 r
.65668 .37529 m .66023 .39074 L .64069 .39501 L p F P
0 g
s
.597 .701 .916 r
.47274 .2941 m .45694 .29271 L .45426 .28152 L p F P
0 g
s
.597 .7 .916 r
.45426 .28152 m .45694 .29271 L p .43818 .28008 L F P
0 g
s
.597 .701 .916 r
.47008 .28291 m .47274 .2941 L p .45452 .28169 L F P
0 g
s
.597 .701 .916 r
.45426 .28152 m .47008 .28291 L p .45452 .28169 L F P
0 g
s
.6 .704 .917 r
.48846 .29519 m .47274 .2941 L .47008 .28291 L p F P
0 g
s
.6 .704 .917 r
.48568 .28404 m .48846 .29519 L p .47078 .28339 L F P
0 g
s
.6 .704 .917 r
.47008 .28291 m .48568 .28404 L p .47078 .28339 L F P
0 g
s
.611 .715 .919 r
.50392 .29544 m .48846 .29519 L .48568 .28404 L p F P
0 g
s
.611 .715 .919 r
.50074 .28442 m .50392 .29544 L p .48677 .28472 L F P
0 g
s
.611 .715 .919 r
.48568 .28404 m .50074 .28442 L p .48677 .28472 L F P
0 g
s
.631 .733 .921 r
.51909 .2944 m .50392 .29544 L .50074 .28442 L p F P
0 g
s
.631 .733 .921 r
.51521 .28364 m .51909 .2944 L p .50122 .28468 L F P
0 g
s
.631 .733 .921 r
.50074 .28442 m .51521 .28364 L p .50122 .28468 L F P
0 g
s
.644 .744 .922 r
.53456 .29278 m .51909 .2944 L .51521 .28364 L p F P
0 g
s
.644 .744 .922 r
.5303 .28219 m .53456 .29278 L p .51535 .2837 L F P
0 g
s
.644 .744 .922 r
.51521 .28364 m .5303 .28219 L p .51535 .2837 L F P
0 g
s
.649 .748 .922 r
.55037 .29099 m .53456 .29278 L .5303 .28219 L p F P
0 g
s
.649 .748 .922 r
.54603 .28045 m .55037 .29099 L p .53036 .28221 L F P
0 g
s
.649 .748 .922 r
.5303 .28219 m .54603 .28045 L p .53036 .28221 L F P
0 g
s
.651 .75 .922 r
.56632 .28915 m .55037 .29099 L .54603 .28045 L p F P
0 g
s
.651 .75 .922 r
.54603 .28045 m .562 .27861 L .56632 .28915 L p F P
0 g
s
.567 .216 .332 r
.54603 .28045 m .54366 .28998 L p .56191 .27867 L F P
0 g
s
.567 .216 .332 r
.562 .27861 m .54603 .28045 L p .56191 .27867 L F P
0 g
s
.569 .217 .332 r
.5303 .28219 m .52769 .29168 L p .54576 .28062 L F P
0 g
s
.569 .217 .332 r
.54603 .28045 m .5303 .28219 L p .54576 .28062 L F P
0 g
s
.575 .221 .331 r
.51521 .28364 m .51206 .29299 L p .52967 .28256 L F P
0 g
s
.575 .221 .331 r
.5303 .28219 m .51521 .28364 L p .52967 .28256 L F P
0 g
s
.59 .232 .329 r
.50074 .28442 m .49677 .29349 L p .51429 .28412 L F P
0 g
s
.59 .232 .329 r
.51521 .28364 m .50074 .28442 L p .51429 .28412 L F P
0 g
s
.612 .247 .325 r
.48568 .28404 m .48121 .29292 L p .50016 .28467 L F P
0 g
s
.612 .247 .325 r
.50074 .28442 m .48568 .28404 L p .50016 .28467 L F P
0 g
s
.625 .256 .324 r
.47008 .28291 m .46539 .29171 L p .48546 .28412 L F P
0 g
s
.625 .256 .324 r
.48568 .28404 m .47008 .28291 L p .48546 .28412 L F P
0 g
s
.629 .26 .324 r
.45426 .28152 m .44947 .29028 L p .47004 .28292 L F P
0 g
s
.629 .26 .324 r
.47008 .28291 m .45426 .28152 L p .47004 .28292 L F P
0 g
s
.597 .7 .916 r
.43806 .28 m .45426 .28152 L p .43818 .28008 L F P
0 g
s
.886 .834 .79 r
.32289 .44255 m .31668 .45716 L .30527 .4562 L p F P
0 g
s
.885 .834 .791 r
.30527 .4562 m .31668 .45716 L p .29893 .47106 L F P
0 g
s
.886 .834 .79 r
.3115 .44158 m .32289 .44255 L p .30552 .456 L F P
0 g
s
.886 .834 .79 r
.30527 .4562 m .3115 .44158 L p .30552 .456 L F P
0 g
s
.888 .833 .787 r
.3288 .42793 m .32289 .44255 L .3115 .44158 L p F P
0 g
s
.888 .833 .787 r
.31741 .42707 m .3288 .42793 L p .31217 .44105 L F P
0 g
s
.888 .833 .787 r
.3115 .44158 m .31741 .42707 L p .31217 .44105 L F P
0 g
s
.893 .83 .777 r
.33383 .41329 m .3288 .42793 L .31741 .42707 L p F P
0 g
s
.893 .83 .777 r
.32244 .41285 m .33383 .41329 L p .31839 .42625 L F P
0 g
s
.893 .83 .777 r
.31741 .42707 m .32244 .41285 L p .31839 .42625 L F P
0 g
s
.901 .822 .759 r
.33755 .39854 m .33383 .41329 L .32244 .41285 L p F P
0 g
s
.901 .822 .759 r
.32618 .39885 m .33755 .39854 L p .32283 .41248 L F P
0 g
s
.901 .822 .759 r
.32244 .41285 m .32618 .39885 L p .32283 .41248 L F P
0 g
s
.906 .816 .747 r
.3408 .38331 m .33755 .39854 L .32618 .39885 L p F P
0 g
s
.906 .816 .747 r
.32948 .38403 m .3408 .38331 L p .32628 .39874 L F P
0 g
s
.906 .816 .747 r
.32618 .39885 m .32948 .38403 L p .32628 .39874 L F P
0 g
s
.908 .813 .742 r
.344 .36771 m .3408 .38331 L .32948 .38403 L p F P
0 g
s
.908 .813 .742 r
.3327 .36852 m .344 .36771 L p .32952 .38399 L F P
0 g
s
.908 .813 .742 r
.32948 .38403 m .3327 .36852 L p .32952 .38399 L F P
0 g
s
.908 .812 .741 r
.34718 .35196 m .344 .36771 L .3327 .36852 L p F P
0 g
s
.908 .812 .741 r
.3327 .36852 m .3359 .35276 L .34718 .35196 L p F P
0 g
s
.329 .245 .607 r
.3327 .36852 m .34111 .37367 L p .33593 .35287 L F P
0 g
s
.329 .245 .607 r
.3359 .35276 m .3327 .36852 L p .33593 .35287 L F P
0 g
s
.329 .244 .605 r
.32948 .38403 m .33777 .38939 L p .33278 .36884 L F P
0 g
s
.329 .244 .605 r
.3327 .36852 m .32948 .38403 L p .33278 .36884 L F P
0 g
s
.33 .24 .6 r
.32618 .39885 m .33417 .40468 L p .32964 .38475 L F P
0 g
s
.33 .24 .6 r
.32948 .38403 m .32618 .39885 L p .32964 .38475 L F P
0 g
s
.332 .229 .585 r
.32244 .41285 m .32991 .41938 L p .32636 .39986 L F P
0 g
s
.332 .229 .585 r
.32618 .39885 m .32244 .41285 L p .32636 .39986 L F P
0 g
s
.336 .214 .563 r
.31741 .42707 m .32454 .43402 L p .3225 .41349 L F P
0 g
s
.336 .214 .563 r
.32244 .41285 m .31741 .42707 L p .3225 .41349 L F P
0 g
s
.338 .206 .55 r
.3115 .44158 m .31849 .4487 L p .31742 .4273 L F P
0 g
s
.338 .206 .55 r
.31741 .42707 m .3115 .44158 L p .31742 .4273 L F P
0 g
s
.34 .203 .545 r
.30527 .4562 m .3122 .46341 L p .3115 .44161 L F P
0 g
s
.34 .203 .545 r
.3115 .44158 m .30527 .4562 L p .3115 .44161 L F P
0 g
s
.885 .834 .791 r
.29881 .47115 m .30527 .4562 L p .29893 .47106 L F P
0 g
s
.386 .337 .68 r
.66023 .39074 m .65668 .37529 L .66643 .36923 L p F P
0 g
s
.386 .336 .68 r
.66643 .36923 m .65668 .37529 L p .66284 .35351 L F P
0 g
s
.386 .337 .68 r
.66997 .3847 m .66023 .39074 L p .66634 .36954 L F P
0 g
s
.386 .337 .68 r
.66643 .36923 m .66997 .3847 L p .66634 .36954 L F P
0 g
s
.386 .34 .684 r
.66404 .40601 m .66023 .39074 L .66997 .3847 L p F P
0 g
s
.386 .34 .684 r
.67371 .39988 m .66404 .40601 L p .66975 .38552 L F P
0 g
s
.386 .34 .684 r
.66997 .3847 m .67371 .39988 L p .66975 .38552 L F P
0 g
s
.388 .35 .695 r
.66856 .42079 m .66404 .40601 L .67371 .39988 L p F P
0 g
s
.388 .35 .695 r
.67799 .41431 m .66856 .42079 L p .67341 .40112 L F P
0 g
s
.388 .35 .695 r
.67371 .39988 m .67799 .41431 L p .67341 .40112 L F P
0 g
s
.391 .369 .714 r
.67422 .43488 m .66856 .42079 L .67799 .41431 L p F P
0 g
s
.391 .369 .714 r
.68319 .42781 m .67422 .43488 L p .6779 .41484 L F P
0 g
s
.391 .369 .714 r
.67799 .41431 m .68319 .42781 L p .6779 .41484 L F P
0 g
s
.395 .382 .727 r
.68053 .44908 m .67422 .43488 L .68319 .42781 L p F P
0 g
s
.395 .382 .727 r
.68922 .44171 m .68053 .44908 L p .68317 .42796 L F P
0 g
s
.395 .382 .727 r
.68319 .42781 m .68922 .44171 L p .68317 .42796 L F P
0 g
s
.397 .388 .732 r
.6871 .46355 m .68053 .44908 L .68922 .44171 L p F P
0 g
s
.397 .388 .732 r
.69572 .45612 m .6871 .46355 L p .68922 .44177 L F P
0 g
s
.397 .388 .732 r
.68922 .44171 m .69572 .45612 L p .68922 .44177 L F P
0 g
s
.398 .389 .733 r
.69378 .47814 m .6871 .46355 L .69572 .45612 L p F P
0 g
s
.398 .389 .733 r
.69572 .45612 m .70239 .47073 L .69378 .47814 L p F P
0 g
s
.902 .608 .478 r
.69572 .45612 m .68585 .45676 L p .7023 .47066 L F P
0 g
s
.902 .608 .478 r
.70239 .47073 m .69572 .45612 L p .7023 .47066 L F P
0 g
s
.903 .61 .48 r
.68922 .44171 m .67932 .44211 L p .69547 .45591 L F P
0 g
s
.903 .61 .48 r
.69572 .45612 m .68922 .44171 L p .69547 .45591 L F P
0 g
s
.906 .617 .485 r
.68319 .42781 m .67325 .42766 L p .68867 .44122 L F P
0 g
s
.906 .617 .485 r
.68922 .44171 m .68319 .42781 L p .68867 .44122 L F P
0 g
s
.913 .633 .499 r
.67799 .41431 m .66806 .41328 L p .68244 .42709 L F P
0 g
s
.913 .633 .499 r
.68319 .42781 m .67799 .41431 L p .68244 .42709 L F P
0 g
s
.922 .657 .519 r
.67371 .39988 m .66382 .39832 L p .67757 .41383 L F P
0 g
s
.922 .657 .519 r
.67799 .41431 m .67371 .39988 L p .67757 .41383 L F P
0 g
s
.927 .671 .53 r
.66997 .3847 m .66009 .38291 L p .67357 .39969 L F P
0 g
s
.927 .671 .53 r
.67371 .39988 m .66997 .3847 L p .67357 .39969 L F P
0 g
s
.928 .676 .535 r
.66643 .36923 m .65655 .36733 L p .66996 .38467 L F P
0 g
s
.928 .676 .535 r
.66997 .3847 m .66643 .36923 L p .66996 .38467 L F P
0 g
s
.386 .336 .68 r
.66288 .35337 m .66643 .36923 L p .66284 .35351 L F P
0 g
s
.734 .619 .731 r
.42973 .64137 m .41777 .63094 L .43107 .61599 L p F P
0 g
s
.738 .587 .688 r
.63987 .59078 m .62626 .59892 L .61615 .58165 L p F P
0 g
s
.856 .552 .474 r
.41777 .63094 m .42973 .64137 L .42536 .65187 L p F P
0 g
s
.856 .553 .475 r
.42536 .65187 m .42973 .64137 L p .43752 .66251 L F P
0 g
s
.856 .552 .474 r
.4134 .64142 m .41777 .63094 L p .42526 .65158 L F P
0 g
s
.856 .552 .474 r
.42536 .65187 m .4134 .64142 L p .42526 .65158 L F P
0 g
s
.853 .548 .471 r
.40571 .62079 m .41777 .63094 L .4134 .64142 L p F P
0 g
s
.853 .548 .471 r
.40144 .63131 m .40571 .62079 L p .4131 .64062 L F P
0 g
s
.853 .548 .471 r
.4134 .64142 m .40144 .63131 L p .4131 .64062 L F P
0 g
s
.845 .535 .463 r
.39336 .61147 m .40571 .62079 L .40144 .63131 L p F P
0 g
s
.845 .535 .463 r
.38949 .62212 m .39336 .61147 L p .40096 .63013 L F P
0 g
s
.845 .535 .463 r
.40144 .63131 m .38949 .62212 L p .40096 .63013 L F P
0 g
s
.831 .512 .449 r
.38048 .60337 m .39336 .61147 L .38949 .62212 L p F P
0 g
s
.831 .512 .449 r
.37734 .61423 m .38048 .60337 L p .38925 .62164 L F P
0 g
s
.831 .512 .449 r
.38949 .62212 m .37734 .61423 L p .38925 .62164 L F P
0 g
s
.821 .497 .441 r
.36702 .59556 m .38048 .60337 L .37734 .61423 L p F P
0 g
s
.821 .497 .441 r
.36428 .6065 m .36702 .59556 L p .37726 .61409 L F P
0 g
s
.821 .497 .441 r
.37734 .61423 m .36428 .6065 L p .37726 .61409 L F P
0 g
s
.817 .491 .438 r
.35319 .58769 m .36702 .59556 L .36428 .6065 L p F P
0 g
s
.817 .491 .438 r
.35054 .59863 m .35319 .58769 L p .36425 .60645 L F P
0 g
s
.817 .491 .438 r
.36428 .6065 m .35054 .59863 L p .36425 .60645 L F P
0 g
s
.815 .489 .437 r
.33921 .57978 m .35319 .58769 L .35054 .59863 L p F P
0 g
s
.815 .489 .437 r
.35054 .59863 m .33655 .59071 L .33921 .57978 L p F P
0 g
s
.516 .651 .919 r
.35054 .59863 m .35811 .59218 L p .33666 .59072 L F P
0 g
s
.516 .651 .919 r
.33655 .59071 m .35054 .59863 L p .33666 .59072 L F P
0 g
s
.514 .649 .918 r
.36428 .6065 m .37201 .60022 L p .35087 .59866 L F P
0 g
s
.514 .649 .918 r
.35054 .59863 m .36428 .6065 L p .35087 .59866 L F P
0 g
s
.509 .642 .915 r
.37734 .61423 m .38542 .60837 L p .36501 .60657 L F P
0 g
s
.509 .642 .915 r
.36428 .6065 m .37734 .61423 L p .36501 .60657 L F P
0 g
s
.496 .626 .909 r
.38949 .62212 m .39808 .61698 L p .37836 .61436 L F P
0 g
s
.496 .626 .909 r
.37734 .61423 m .38949 .62212 L p .37836 .61436 L F P
0 g
s
.476 .601 .898 r
.40144 .63131 m .41032 .62662 L p .39011 .62226 L F P
0 g
s
.476 .601 .898 r
.38949 .62212 m .40144 .63131 L p .39011 .62226 L F P
0 g
s
.465 .587 .891 r
.4134 .64142 m .4224 .63692 L p .40167 .63137 L F P
0 g
s
.465 .587 .891 r
.40144 .63131 m .4134 .64142 L p .40167 .63137 L F P
0 g
s
.461 .582 .889 r
.42536 .65187 m .43443 .64747 L p .41343 .64143 L F P
0 g
s
.461 .582 .889 r
.4134 .64142 m .42536 .65187 L p .41343 .64143 L F P
0 g
s
.856 .553 .475 r
.43757 .66265 m .42536 .65187 L p .43752 .66251 L F P
0 g
s
.545 .242 .405 r
.62626 .59892 m .63987 .59078 L .64857 .59813 L p F P
0 g
s
.546 .243 .405 r
.64857 .59813 m .63987 .59078 L p .66243 .58986 L F P
0 g
s
.545 .242 .405 r
.63495 .60626 m .62626 .59892 L p .64826 .59814 L F P
0 g
s
.545 .242 .405 r
.64857 .59813 m .63495 .60626 L p .64826 .59814 L F P
0 g
s
.541 .241 .406 r
.6129 .60725 m .62626 .59892 L .63495 .60626 L p F P
0 g
s
.541 .241 .406 r
.62165 .6145 m .6129 .60725 L p .6341 .6063 L F P
0 g
s
.541 .241 .406 r
.63495 .60626 m .62165 .6145 L p .6341 .6063 L F P
0 g
s
.531 .236 .411 r
.60023 .6161 m .6129 .60725 L .62165 .6145 L p F P
0 g
s
.531 .236 .411 r
.60924 .62302 m .60023 .6161 L p .62037 .6146 L F P
0 g
s
.531 .236 .411 r
.62165 .6145 m .60924 .62302 L p .62037 .6146 L F P
0 g
s
.514 .23 .421 r
.58856 .62583 m .60023 .6161 L .60924 .62302 L p F P
0 g
s
.514 .23 .421 r
.59798 .63213 m .58856 .62583 L p .6087 .62309 L F P
0 g
s
.514 .23 .421 r
.60924 .62302 m .59798 .63213 L p .6087 .62309 L F P
0 g
s
.503 .227 .428 r
.57699 .63621 m .58856 .62583 L .59798 .63213 L p F P
0 g
s
.503 .227 .428 r
.58662 .64215 m .57699 .63621 L p .59783 .63216 L F P
0 g
s
.503 .227 .428 r
.59798 .63213 m .58662 .64215 L p .59783 .63216 L F P
0 g
s
.499 .226 .431 r
.56524 .64693 m .57699 .63621 L .58662 .64215 L p F P
0 g
s
.499 .226 .431 r
.5749 .65277 m .56524 .64693 L p .58656 .64216 L F P
0 g
s
.499 .226 .431 r
.58662 .64215 m .5749 .65277 L p .58656 .64216 L F P
0 g
s
.498 .226 .433 r
.55342 .65777 m .56524 .64693 L .5749 .65277 L p F P
0 g
s
.498 .226 .433 r
.5749 .65277 m .56306 .66362 L .55342 .65777 L p F P
0 g
s
.867 .874 .84 r
.5749 .65277 m .57117 .64353 L p .5631 .66351 L F P
0 g
s
.867 .874 .84 r
.56306 .66362 m .5749 .65277 L p .5631 .66351 L F P
0 g
s
.866 .874 .841 r
.58662 .64215 m .5831 .6328 L p .57502 .65247 L F P
0 g
s
.866 .874 .841 r
.5749 .65277 m .58662 .64215 L p .57502 .65247 L F P
0 g
s
.862 .874 .846 r
.59798 .63213 m .59499 .62258 L p .5869 .64147 L F P
0 g
s
.862 .874 .846 r
.58662 .64215 m .59798 .63213 L p .5869 .64147 L F P
0 g
s
.852 .874 .856 r
.60924 .62302 m .60707 .61321 L p .59843 .63119 L F P
0 g
s
.852 .874 .856 r
.59798 .63213 m .60924 .62302 L p .59843 .63119 L F P
0 g
s
.835 .873 .871 r
.62165 .6145 m .62 .60455 L p .60956 .62247 L F P
0 g
s
.835 .873 .871 r
.60924 .62302 m .62165 .6145 L p .60956 .62247 L F P
0 g
s
.825 .872 .879 r
.63495 .60626 m .63352 .59626 L p .62178 .61431 L F P
0 g
s
.825 .872 .879 r
.62165 .6145 m .63495 .60626 L p .62178 .61431 L F P
0 g
s
.822 .871 .882 r
.64857 .59813 m .64726 .58809 L p .63497 .60624 L F P
0 g
s
.822 .871 .882 r
.63495 .60626 m .64857 .59813 L p .63497 .60624 L F P
0 g
s
.546 .243 .405 r
.66258 .58985 m .64857 .59813 L p .66243 .58986 L F P
0 g
s
.843 .528 .456 r
.49624 .67271 m .50585 .67989 L .51167 .67094 L p F P
0 g
s
.843 .528 .456 r
.51167 .67094 m .49948 .6618 L .49624 .67271 L p F P
0 g
s
.811 .486 .44 r
.50585 .67989 m .51945 .68969 L .52489 .68048 L p F P
0 g
s
.811 .486 .44 r
.52489 .68048 m .51167 .67094 L .50585 .67989 L p F P
0 g
s
.802 .475 .435 r
.51945 .68969 m .53343 .69898 L .53851 .68954 L p F P
0 g
s
.802 .475 .435 r
.53851 .68954 m .52489 .68048 L .51945 .68969 L p F P
0 g
s
.794 .465 .431 r
.53343 .69898 m .54762 .70771 L .55224 .698 L p F P
0 g
s
.794 .465 .431 r
.55224 .698 m .53851 .68954 L .53343 .69898 L p F P
0 g
s
.784 .451 .425 r
.54762 .70771 m .56217 .71574 L .56627 .70576 L p F P
0 g
s
.784 .451 .425 r
.56627 .70576 m .55224 .698 L .54762 .70771 L p F P
0 g
s
.772 .437 .42 r
.56217 .71574 m .57725 .72308 L .58098 .71292 L p F P
0 g
s
.772 .437 .42 r
.58098 .71292 m .56627 .70576 L .56217 .71574 L p F P
0 g
s
.764 .428 .417 r
.57725 .72308 m .59267 .72995 L .59613 .71968 L p F P
0 g
s
.764 .428 .417 r
.59613 .71968 m .58098 .71292 L .57725 .72308 L p F P
0 g
s
.758 .421 .415 r
.59267 .72995 m .60872 .73667 L .61231 .72645 L p F P
0 g
s
.758 .421 .415 r
.61231 .72645 m .59613 .71968 L .59267 .72995 L p F P
0 g
s
.764 .429 .417 r
.60872 .73667 m .62524 .74407 L .62961 .73425 L p F P
0 g
s
.764 .429 .417 r
.62961 .73425 m .61231 .72645 L .60872 .73667 L p F P
0 g
s
.786 .454 .425 r
.62524 .74407 m .63892 .7518 L .64326 .74196 L p F P
0 g
s
.786 .454 .425 r
.64326 .74196 m .62961 .73425 L .62524 .74407 L p F P
0 g
s
.787 .455 .426 r
.63892 .7518 m .65206 .75931 L .65586 .74918 L p F P
0 g
s
.787 .455 .426 r
.65586 .74918 m .64326 .74196 L .63892 .7518 L p F P
0 g
s
.775 .441 .421 r
.65206 .75931 m .66508 .76585 L .66807 .75536 L p F P
0 g
s
.775 .441 .421 r
.66807 .75536 m .65586 .74918 L .65206 .75931 L p F P
0 g
s
.756 .42 .415 r
.66508 .76585 m .67838 .77123 L .68036 .76039 L p F P
0 g
s
.756 .42 .415 r
.68036 .76039 m .66807 .75536 L .66508 .76585 L p F P
0 g
s
.733 .396 .41 r
.67838 .77123 m .69015 .7747 L .69087 .76357 L p F P
0 g
s
.733 .396 .41 r
.69087 .76357 m .68036 .76039 L .67838 .77123 L p F P
0 g
s
.702 .367 .406 r
.69015 .7747 m .70227 .77667 L .70173 .76542 L p F P
0 g
s
.702 .367 .406 r
.70173 .76542 m .69087 .76357 L .69015 .7747 L p F P
0 g
s
.672 .342 .406 r
.7124 .76595 m .70173 .76542 L .70227 .77667 L p F P
0 g
s
.614 .72 .921 r
.38466 .30629 m .37268 .30616 L .37328 .31695 L p F P
0 g
s
.614 .72 .921 r
.37328 .31695 m .3885 .31715 L .38466 .30629 L p F P
0 g
s
.657 .751 .919 r
.37268 .30616 m .35591 .30621 L .35697 .317 L p F P
0 g
s
.657 .751 .919 r
.35697 .317 m .37328 .31695 L .37268 .30616 L p F P
0 g
s
.668 .759 .919 r
.35591 .30621 m .33914 .30692 L .34062 .31768 L p F P
0 g
s
.668 .759 .919 r
.34062 .31768 m .35697 .317 L .35591 .30621 L p F P
0 g
s
.677 .766 .918 r
.33914 .30692 m .32253 .3082 L .32455 .31891 L p F P
0 g
s
.677 .766 .918 r
.32455 .31891 m .34062 .31768 L .33914 .30692 L p F P
0 g
s
.689 .774 .916 r
.32253 .3082 m .30604 .31026 L .30864 .32088 L p F P
0 g
s
.689 .774 .916 r
.30864 .32088 m .32455 .31891 L .32253 .3082 L p F P
0 g
s
.703 .783 .914 r
.30604 .31026 m .28953 .31318 L .29253 .32373 L p F P
0 g
s
.703 .783 .914 r
.29253 .32373 m .30864 .32088 L .30604 .31026 L p F P
0 g
s
.712 .788 .912 r
.28953 .31318 m .27301 .31669 L .2763 .32717 L p F P
0 g
s
.712 .788 .912 r
.2763 .32717 m .29253 .32373 L .28953 .31318 L p F P
0 g
s
.717 .792 .91 r
.27301 .31669 m .25608 .32068 L .25923 .3312 L p F P
0 g
s
.717 .792 .91 r
.25923 .3312 m .2763 .32717 L .27301 .31669 L p F P
0 g
s
.711 .788 .912 r
.25608 .32068 m .23836 .32441 L .24065 .33506 L p F P
0 g
s
.711 .788 .912 r
.24065 .33506 m .25923 .3312 L .25608 .32068 L p F P
0 g
s
.687 .773 .917 r
.23836 .32441 m .22275 .3262 L .22506 .33684 L p F P
0 g
s
.687 .773 .917 r
.22506 .33684 m .24065 .33506 L .23836 .32441 L p F P
0 g
s
.685 .772 .917 r
.22275 .3262 m .20771 .32784 L .21063 .33841 L p F P
0 g
s
.685 .772 .917 r
.21063 .33841 m .22506 .33684 L .22275 .3262 L p F P
0 g
s
.699 .781 .915 r
.20771 .32784 m .19332 .3302 L .19712 .34059 L p F P
0 g
s
.699 .781 .915 r
.19712 .34059 m .21063 .33841 L .20771 .32784 L p F P
0 g
s
.72 .793 .909 r
.19332 .3302 m .17941 .33367 L .18422 .34374 L p F P
0 g
s
.72 .793 .909 r
.18422 .34374 m .19712 .34059 L .19332 .3302 L p F P
0 g
s
.743 .804 .901 r
.17941 .33367 m .16784 .33778 L .17385 .34734 L p F P
0 g
s
.743 .804 .901 r
.17385 .34734 m .18422 .34374 L .17941 .33367 L p F P
0 g
s
.773 .816 .887 r
.16784 .33778 m .15688 .34331 L .16397 .35223 L p F P
0 g
s
.773 .816 .887 r
.16397 .35223 m .17385 .34734 L .16784 .33778 L p F P
0 g
s
.798 .824 .871 r
.15503 .35807 m .16397 .35223 L .15688 .34331 L p F P
0 g
s
.524 .23 .409 r
.69031 .53714 m .70009 .53023 L .69331 .52199 L p F P
0 g
s
.524 .23 .409 r
.69331 .52199 m .68086 .53074 L .69031 .53714 L p F P
0 g
s
.499 .232 .441 r
.70009 .53023 m .71362 .52033 L .70647 .51236 L p F P
0 g
s
.499 .232 .441 r
.70647 .51236 m .69331 .52199 L .70009 .53023 L p F P
0 g
s
.491 .231 .448 r
.71362 .52033 m .72677 .5099 L .7193 .5022 L p F P
0 g
s
.491 .231 .448 r
.7193 .5022 m .70647 .51236 L .71362 .52033 L p F P
0 g
s
.485 .231 .454 r
.72677 .5099 m .73946 .4991 L .73157 .49177 L p F P
0 g
s
.485 .231 .454 r
.73157 .49177 m .7193 .5022 L .72677 .5099 L p F P
0 g
s
.476 .231 .463 r
.73946 .4991 m .75159 .48775 L .74329 .48082 L p F P
0 g
s
.476 .231 .463 r
.74329 .48082 m .73157 .49177 L .73946 .4991 L p F P
0 g
s
.467 .233 .474 r
.75159 .48775 m .76323 .47568 L .75465 .46904 L p F P
0 g
s
.467 .233 .474 r
.75465 .46904 m .74329 .48082 L .75159 .48775 L p F P
0 g
s
.462 .234 .481 r
.76323 .47568 m .77454 .46313 L .76576 .45672 L p F P
0 g
s
.462 .234 .481 r
.76576 .45672 m .75465 .46904 L .76323 .47568 L p F P
0 g
s
.458 .235 .486 r
.77454 .46313 m .78588 .44995 L .7772 .44343 L p F P
0 g
s
.458 .235 .486 r
.7772 .44343 m .76576 .45672 L .77454 .46313 L p F P
0 g
s
.462 .234 .48 r
.78588 .44995 m .79802 .43652 L .78996 .42938 L p F P
0 g
s
.462 .234 .48 r
.78996 .42938 m .7772 .44343 L .78588 .44995 L p F P
0 g
s
.477 .23 .461 r
.79802 .43652 m .8096 .4259 L .80152 .41878 L p F P
0 g
s
.477 .23 .461 r
.80152 .41878 m .78996 .42938 L .79802 .43652 L p F P
0 g
s
.478 .23 .46 r
.8096 .4259 m .8208 .41573 L .81227 .40903 L p F P
0 g
s
.478 .23 .46 r
.81227 .40903 m .80152 .41878 L .8096 .4259 L p F P
0 g
s
.47 .232 .471 r
.8208 .41573 m .83106 .40536 L .82193 .39932 L p F P
0 g
s
.47 .232 .471 r
.82193 .39932 m .81227 .40903 L .8208 .41573 L p F P
0 g
s
.458 .236 .488 r
.83106 .40536 m .84027 .39438 L .8305 .38919 L p F P
0 g
s
.458 .236 .488 r
.8305 .38919 m .82193 .39932 L .83106 .40536 L p F P
0 g
s
.446 .243 .51 r
.84027 .39438 m .84722 .38425 L .83678 .38018 L p F P
0 g
s
.446 .243 .51 r
.83678 .38018 m .8305 .38919 L .84027 .39438 L p F P
0 g
s
.433 .256 .54 r
.84722 .38425 m .85284 .37333 L .8419 .37042 L p F P
0 g
s
.433 .256 .54 r
.8419 .37042 m .83678 .38018 L .84722 .38425 L p F P
0 g
s
.424 .272 .57 r
.8457 .36044 m .8419 .37042 L .85284 .37333 L p F P
0 g
s
.897 .83 .773 r
.30734 .53004 m .3035 .5414 L .31388 .54422 L p F P
0 g
s
.897 .83 .773 r
.31388 .54422 m .31879 .5298 L .30734 .53004 L p F P
0 g
s
.907 .807 .737 r
.3035 .5414 m .29837 .55736 L .30888 .55974 L p F P
0 g
s
.907 .807 .737 r
.30888 .55974 m .31388 .54422 L .3035 .5414 L p F P
0 g
s
.91 .801 .727 r
.29837 .55736 m .29386 .57353 L .30448 .5755 L p F P
0 g
s
.91 .801 .727 r
.30448 .5755 m .30888 .55974 L .29837 .55736 L p F P
0 g
s
.912 .795 .718 r
.29386 .57353 m .28995 .58972 L .30068 .59116 L p F P
0 g
s
.912 .795 .718 r
.30068 .59116 m .30448 .5755 L .29386 .57353 L p F P
0 g
s
.914 .787 .706 r
.28995 .58972 m .2868 .60604 L .29764 .60691 L p F P
0 g
s
.914 .787 .706 r
.29764 .60691 m .30068 .59116 L .28995 .58972 L p F P
0 g
s
.916 .777 .693 r
.2868 .60604 m .28449 .62265 L .29537 .62311 L p F P
0 g
s
.916 .777 .693 r
.29537 .62311 m .29764 .60691 L .2868 .60604 L p F P
0 g
s
.917 .771 .685 r
.28449 .62265 m .28271 .63944 L .29363 .6396 L p F P
0 g
s
.917 .771 .685 r
.29363 .6396 m .29537 .62311 L .28449 .62265 L p F P
0 g
s
.917 .766 .679 r
.28271 .63944 m .28128 .65678 L .29218 .65709 L p F P
0 g
s
.917 .766 .679 r
.29218 .65709 m .29363 .6396 L .28271 .63944 L p F P
0 g
s
.917 .772 .686 r
.28128 .65678 m .27935 .67478 L .29011 .67595 L p F P
0 g
s
.917 .772 .686 r
.29011 .67595 m .29218 .65709 L .28128 .65678 L p F P
0 g
s
.914 .789 .709 r
.27935 .67478 m .27623 .69018 L .28699 .69132 L p F P
0 g
s
.914 .789 .709 r
.28699 .69132 m .29011 .67595 L .27935 .67478 L p F P
0 g
s
.914 .79 .71 r
.27623 .69018 m .27315 .70499 L .28402 .70553 L p F P
0 g
s
.914 .79 .71 r
.28402 .70553 m .28699 .69132 L .27623 .69018 L p F P
0 g
s
.916 .78 .697 r
.27315 .70499 m .27094 .71941 L .28192 .71906 L p F P
0 g
s
.916 .78 .697 r
.28192 .71906 m .28402 .70553 L .27315 .70499 L p F P
0 g
s
.917 .764 .677 r
.27094 .71941 m .26994 .73371 L .28094 .7323 L p F P
0 g
s
.917 .764 .677 r
.28094 .7323 m .28192 .71906 L .27094 .71941 L p F P
0 g
s
.916 .744 .653 r
.26994 .73371 m .27028 .74598 L .28115 .74328 L p F P
0 g
s
.916 .744 .653 r
.28115 .74328 m .28094 .7323 L .26994 .73371 L p F P
0 g
s
.912 .714 .622 r
.27028 .74598 m .27215 .75812 L .28275 .75418 L p F P
0 g
s
.912 .714 .622 r
.28275 .75418 m .28115 .74328 L .27028 .74598 L p F P
0 g
s
.905 .685 .594 r
.28554 .76449 m .28275 .75418 L .27215 .75812 L p F P
0 g
s
.384 .351 .698 r
.62135 .31068 m .61779 .29926 L .60778 .30321 L p F P
0 g
s
.384 .351 .698 r
.60778 .30321 m .61227 .31774 L .62135 .31068 L p F P
0 g
s
.406 .398 .738 r
.61779 .29926 m .61255 .28333 L .60269 .28772 L p F P
0 g
s
.406 .398 .738 r
.60269 .28772 m .60778 .30321 L .61779 .29926 L p F P
0 g
s
.41 .409 .748 r
.61255 .28333 m .6067 .2676 L .59699 .27238 L p F P
0 g
s
.41 .409 .748 r
.59699 .27238 m .60269 .28772 L .61255 .28333 L p F P
0 g
s
.414 .419 .756 r
.6067 .2676 m .60034 .25219 L .59086 .25748 L p F P
0 g
s
.414 .419 .756 r
.59086 .25748 m .59699 .27238 L .6067 .2676 L p F P
0 g
s
.42 .433 .768 r
.60034 .25219 m .59329 .23715 L .58407 .24295 L p F P
0 g
s
.42 .433 .768 r
.58407 .24295 m .59086 .25748 L .60034 .25219 L p F P
0 g
s
.427 .449 .78 r
.59329 .23715 m .58541 .22235 L .57638 .22851 L p F P
0 g
s
.427 .449 .78 r
.57638 .22851 m .58407 .24295 L .59329 .23715 L p F P
0 g
s
.432 .459 .787 r
.58541 .22235 m .57697 .20772 L .56809 .21414 L p F P
0 g
s
.432 .459 .787 r
.56809 .21414 m .57638 .22851 L .58541 .22235 L p F P
0 g
s
.435 .466 .793 r
.57697 .20772 m .56794 .19285 L .55898 .19915 L p F P
0 g
s
.435 .466 .793 r
.55898 .19915 m .56809 .21414 L .57697 .20772 L p F P
0 g
s
.431 .458 .787 r
.56794 .19285 m .55892 .17716 L .54957 .18267 L p F P
0 g
s
.431 .458 .787 r
.54957 .18267 m .55898 .19915 L .56794 .19285 L p F P
0 g
s
.418 .43 .766 r
.55892 .17716 m .5524 .16286 L .54306 .1684 L p F P
0 g
s
.418 .43 .766 r
.54306 .1684 m .54957 .18267 L .55892 .17716 L p F P
0 g
s
.417 .428 .764 r
.5524 .16286 m .54618 .14907 L .53711 .15516 L p F P
0 g
s
.417 .428 .764 r
.53711 .15516 m .54306 .1684 L .5524 .16286 L p F P
0 g
s
.424 .444 .776 r
.54618 .14907 m .53949 .13611 L .53086 .14298 L p F P
0 g
s
.424 .444 .776 r
.53086 .14298 m .53711 .15516 L .54618 .14907 L p F P
0 g
s
.437 .469 .794 r
.53949 .13611 m .5319 .12395 L .52387 .13169 L p F P
0 g
s
.437 .469 .794 r
.52387 .13169 m .53086 .14298 L .53949 .13611 L p F P
0 g
s
.454 .497 .814 r
.5319 .12395 m .52441 .11422 L .51725 .12294 L p F P
0 g
s
.454 .497 .814 r
.51725 .12294 m .52387 .13169 L .5319 .12395 L p F P
0 g
s
.478 .535 .837 r
.52441 .11422 m .51576 .1055 L .50955 .11505 L p F P
0 g
s
.478 .535 .837 r
.50955 .11505 m .51725 .12294 L .52441 .11422 L p F P
0 g
s
.503 .571 .857 r
.50123 .10836 m .50955 .11505 L .51576 .1055 L p F P
0 g
s
.482 .613 .905 r
.47525 .69364 m .48829 .70338 L .49411 .69618 L p F P
0 g
s
.466 .579 .884 r
.48829 .70338 m .50278 .71379 L .50834 .70642 L p F P
0 g
s
.466 .579 .884 r
.50834 .70642 m .49411 .69618 L .48829 .70338 L p F P
0 g
s
.475 .592 .89 r
.50278 .71379 m .51759 .72361 L .52292 .71609 L p F P
0 g
s
.475 .592 .89 r
.52292 .71609 m .50834 .70642 L .50278 .71379 L p F P
0 g
s
.483 .604 .896 r
.51759 .72361 m .53295 .73301 L .53793 .7253 L p F P
0 g
s
.483 .604 .896 r
.53793 .7253 m .52292 .71609 L .51759 .72361 L p F P
0 g
s
.495 .619 .904 r
.53295 .73301 m .54879 .74171 L .55339 .7338 L p F P
0 g
s
.495 .619 .904 r
.55339 .7338 m .53793 .7253 L .53295 .73301 L p F P
0 g
s
.507 .636 .911 r
.54879 .74171 m .5647 .74944 L .56908 .74142 L p F P
0 g
s
.507 .636 .911 r
.56908 .74142 m .55339 .7338 L .54879 .74171 L p F P
0 g
s
.516 .647 .916 r
.5647 .74944 m .58069 .75656 L .58492 .74847 L p F P
0 g
s
.516 .647 .916 r
.58492 .74847 m .56908 .74142 L .5647 .74944 L p F P
0 g
s
.522 .654 .919 r
.60056 .75501 m .58492 .74847 L .58069 .75656 L p F P
0 g
s
.517 .648 .916 r
.61536 .76155 m .60056 .75501 L .59605 .76298 L p F P
0 g
s
.492 .616 .902 r
.62897 .76924 m .61536 .76155 L .60994 .76906 L p F P
0 g
s
.492 .615 .901 r
.62346 .77669 m .63799 .78494 L .64308 .77727 L p F P
0 g
s
.492 .615 .901 r
.64308 .77727 m .62897 .76924 L .62346 .77669 L p F P
0 g
s
.505 .633 .91 r
.63799 .78494 m .65322 .79248 L .65763 .7845 L p F P
0 g
s
.505 .633 .91 r
.65763 .7845 m .64308 .77727 L .63799 .78494 L p F P
0 g
s
.526 .661 .921 r
.65322 .79248 m .6693 .7988 L .67282 .79052 L p F P
0 g
s
.526 .661 .921 r
.67282 .79052 m .65763 .7845 L .65322 .79248 L p F P
0 g
s
.553 .693 .933 r
.6693 .7988 m .68468 .80307 L .68705 .79454 L p F P
0 g
s
.553 .693 .933 r
.68705 .79454 m .67282 .79052 L .6693 .7988 L p F P
0 g
s
.588 .732 .943 r
.70159 .79674 m .68705 .79454 L .68468 .80307 L p F P
0 g
s
.599 .234 .321 r
.38939 .27715 m .37312 .27697 L .3726 .28608 L p F P
0 g
s
.638 .273 .336 r
.37312 .27697 m .35528 .27706 L .35506 .28615 L p F P
0 g
s
.638 .273 .336 r
.35506 .28615 m .3726 .28608 L .37312 .27697 L p F P
0 g
s
.626 .263 .335 r
.35528 .27706 m .33752 .27782 L .33758 .2869 L p F P
0 g
s
.626 .263 .335 r
.33758 .2869 m .35506 .28615 L .35528 .27706 L p F P
0 g
s
.615 .254 .335 r
.33752 .27782 m .31957 .27924 L .32003 .28828 L p F P
0 g
s
.615 .254 .335 r
.32003 .28828 m .33758 .2869 L .33752 .27782 L p F P
0 g
s
.6 .242 .335 r
.31957 .27924 m .30165 .28151 L .30253 .29049 L p F P
0 g
s
.6 .242 .335 r
.30253 .29049 m .32003 .28828 L .31957 .27924 L p F P
0 g
s
.584 .231 .336 r
.30165 .28151 m .28423 .28462 L .28536 .29354 L p F P
0 g
s
.584 .231 .336 r
.28536 .29354 m .30253 .29049 L .30165 .28151 L p F P
0 g
s
.573 .223 .337 r
.28423 .28462 m .26711 .28826 L .26839 .29715 L p F P
0 g
s
.573 .223 .337 r
.26839 .29715 m .28536 .29354 L .28423 .28462 L p F P
0 g
s
.566 .218 .338 r
.2519 .30105 m .26839 .29715 L .26711 .28826 L p F P
0 g
s
.572 .222 .337 r
.23608 .30446 m .2519 .30105 L .25091 .29209 L p F P
0 g
s
.604 .246 .336 r
.22055 .30624 m .23608 .30446 L .2361 .29534 L p F P
0 g
s
.605 .247 .336 r
.22067 .2971 m .20407 .29897 L .20442 .30804 L p F P
0 g
s
.605 .247 .336 r
.20442 .30804 m .22055 .30624 L .22067 .2971 L p F P
0 g
s
.587 .233 .336 r
.20407 .29897 m .18731 .30183 L .1884 .31074 L p F P
0 g
s
.587 .233 .336 r
.1884 .31074 m .20442 .30804 L .20407 .29897 L p F P
0 g
s
.56 .213 .337 r
.18731 .30183 m .17059 .30616 L .17257 .31479 L p F P
0 g
s
.56 .213 .337 r
.17257 .31479 m .1884 .31074 L .18731 .30183 L p F P
0 g
s
.527 .191 .342 r
.17059 .30616 m .15564 .31175 L .1587 .31991 L p F P
0 g
s
.527 .191 .342 r
.1587 .31991 m .17257 .31479 L .17059 .30616 L p F P
0 g
s
.487 .169 .352 r
.14564 .32667 m .1587 .31991 L .15564 .31175 L p F P
0 g
s
.844 .877 .865 r
.70366 .56363 m .71693 .55424 L .71195 .54643 L p F P
0 g
s
.818 .865 .882 r
.71693 .55424 m .73132 .54369 L .72609 .53606 L p F P
0 g
s
.818 .865 .882 r
.72609 .53606 m .71195 .54643 L .71693 .55424 L p F P
0 g
s
.827 .867 .875 r
.73132 .54369 m .74523 .53263 L .7398 .52518 L p F P
0 g
s
.827 .867 .875 r
.7398 .52518 m .72609 .53606 L .73132 .54369 L p F P
0 g
s
.835 .869 .869 r
.74523 .53263 m .75892 .52093 L .75319 .51375 L p F P
0 g
s
.835 .869 .869 r
.75319 .51375 m .7398 .52518 L .74523 .53263 L p F P
0 g
s
.846 .87 .859 r
.75892 .52093 m .77208 .50856 L .76605 .50168 L p F P
0 g
s
.846 .87 .859 r
.76605 .50168 m .75319 .51375 L .75892 .52093 L p F P
0 g
s
.857 .871 .849 r
.77208 .50856 m .78435 .4958 L .77814 .48912 L p F P
0 g
s
.857 .871 .849 r
.77814 .48912 m .76605 .50168 L .77208 .50856 L p F P
0 g
s
.864 .871 .842 r
.78435 .4958 m .79606 .4828 L .78976 .47622 L p F P
0 g
s
.864 .871 .842 r
.78976 .47622 m .77814 .48912 L .78435 .4958 L p F P
0 g
s
.869 .871 .837 r
.80081 .46338 m .78976 .47622 L .79606 .4828 L p F P
0 g
s
.865 .871 .841 r
.8116 .45132 m .80081 .46338 L .80692 .47017 L p F P
0 g
s
.843 .869 .862 r
.82312 .44075 m .8116 .45132 L .81699 .45884 L p F P
0 g
s
.843 .869 .862 r
.82843 .44835 m .84077 .43708 L .83511 .42981 L p F P
0 g
s
.843 .869 .862 r
.83511 .42981 m .82312 .44075 L .82843 .44835 L p F P
0 g
s
.855 .871 .851 r
.84077 .43708 m .85264 .42492 L .84648 .41821 L p F P
0 g
s
.855 .871 .851 r
.84648 .41821 m .83511 .42981 L .84077 .43708 L p F P
0 g
s
.873 .872 .833 r
.85264 .42492 m .86362 .41159 L .85691 .40562 L p F P
0 g
s
.873 .872 .833 r
.85691 .40562 m .84648 .41821 L .85264 .42492 L p F P
0 g
s
.893 .869 .808 r
.86362 .41159 m .87243 .39827 L .86512 .39333 L p F P
0 g
s
.893 .869 .808 r
.86512 .39333 m .85691 .40562 L .86362 .41159 L p F P
0 g
s
.914 .861 .774 r
.87171 .38019 m .86512 .39333 L .87243 .39827 L p F P
0 g
s
.328 .216 .571 r
.28102 .51659 m .2758 .53201 L .28438 .53527 L p F P
0 g
s
.352 .213 .548 r
.2758 .53201 m .27037 .54901 L .27903 .55197 L p F P
0 g
s
.352 .213 .548 r
.27903 .55197 m .28438 .53527 L .2758 .53201 L p F P
0 g
s
.348 .218 .558 r
.27037 .54901 m .26561 .56613 L .27434 .56883 L p F P
0 g
s
.348 .218 .558 r
.27434 .56883 m .27903 .55197 L .27037 .54901 L p F P
0 g
s
.345 .224 .568 r
.26561 .56613 m .26142 .58364 L .27023 .58595 L p F P
0 g
s
.345 .224 .568 r
.27023 .58595 m .27434 .56883 L .26561 .56613 L p F P
0 g
s
.341 .232 .582 r
.26142 .58364 m .25804 .60139 L .26692 .60327 L p F P
0 g
s
.341 .232 .582 r
.26692 .60327 m .27023 .58595 L .26142 .58364 L p F P
0 g
s
.337 .241 .596 r
.25804 .60139 m .25561 .61892 L .26452 .62054 L p F P
0 g
s
.337 .241 .596 r
.26452 .62054 m .26692 .60327 L .25804 .60139 L p F P
0 g
s
.335 .247 .606 r
.25561 .61892 m .25378 .63633 L .2627 .6378 L p F P
0 g
s
.335 .247 .606 r
.2627 .6378 m .26452 .62054 L .25561 .61892 L p F P
0 g
s
.333 .252 .613 r
.26131 .65469 m .2627 .6378 L .25378 .63633 L p F P
0 g
s
.334 .248 .607 r
.25967 .67079 m .26131 .65469 L .25242 .65292 L p F P
0 g
s
.343 .231 .579 r
.25657 .68611 m .25967 .67079 L .25093 .668 L p F P
0 g
s
.343 .23 .578 r
.24784 .68322 m .24449 .69959 L .25329 .70201 L p F P
0 g
s
.343 .23 .578 r
.25329 .70201 m .25657 .68611 L .24784 .68322 L p F P
0 g
s
.338 .239 .594 r
.24449 .69959 m .24203 .7164 L .25091 .71807 L p F P
0 g
s
.338 .239 .594 r
.25091 .71807 m .25329 .70201 L .24449 .69959 L p F P
0 g
s
.331 .254 .618 r
.24203 .7164 m .24098 .73365 L .24988 .73439 L p F P
0 g
s
.331 .254 .618 r
.24988 .73439 m .25091 .71807 L .24203 .7164 L p F P
0 g
s
.326 .276 .648 r
.24098 .73365 m .24168 .74959 L .25045 .74916 L p F P
0 g
s
.326 .276 .648 r
.25045 .74916 m .24988 .73439 L .24098 .73365 L p F P
0 g
s
.325 .307 .685 r
.25285 .76367 m .25045 .74916 L .24168 .74959 L p F P
0 g
s
.919 .645 .505 r
.65059 .30623 m .64575 .29071 L .63686 .29298 L p F P
0 g
s
.926 .679 .545 r
.64575 .29071 m .64016 .27377 L .63136 .27632 L p F P
0 g
s
.926 .679 .545 r
.63136 .27632 m .63686 .29298 L .64575 .29071 L p F P
0 g
s
.922 .667 .534 r
.64016 .27377 m .63394 .25711 L .62525 .25993 L p F P
0 g
s
.922 .667 .534 r
.62525 .25993 m .63136 .27632 L .64016 .27377 L p F P
0 g
s
.919 .656 .523 r
.63394 .25711 m .62705 .24049 L .61852 .24366 L p F P
0 g
s
.919 .656 .523 r
.61852 .24366 m .62525 .25993 L .63394 .25711 L p F P
0 g
s
.913 .64 .509 r
.62705 .24049 m .61934 .22414 L .61101 .2277 L p F P
0 g
s
.913 .64 .509 r
.61101 .2277 m .61852 .24366 L .62705 .24049 L p F P
0 g
s
.907 .623 .494 r
.61934 .22414 m .61101 .20853 L .6028 .21231 L p F P
0 g
s
.907 .623 .494 r
.6028 .21231 m .61101 .2277 L .61934 .22414 L p F P
0 g
s
.902 .612 .485 r
.61101 .20853 m .60226 .19337 L .59413 .19729 L p F P
0 g
s
.902 .612 .485 r
.59413 .19729 m .6028 .21231 L .61101 .20853 L p F P
0 g
s
.899 .604 .478 r
.58532 .18281 m .59413 .19729 L .60226 .19337 L p F P
0 g
s
.902 .611 .484 r
.57719 .16882 m .58532 .18281 L .5936 .17915 L p F P
0 g
s
.915 .644 .513 r
.57069 .1546 m .57719 .16882 L .58594 .16607 L p F P
0 g
s
.915 .645 .514 r
.57949 .15195 m .57259 .13673 L .564 .13981 L p F P
0 g
s
.915 .645 .514 r
.564 .13981 m .57069 .1546 L .57949 .15195 L p F P
0 g
s
.908 .626 .497 r
.57259 .13673 m .56469 .12168 L .55648 .12541 L p F P
0 g
s
.908 .626 .497 r
.55648 .12541 m .564 .13981 L .57259 .13673 L p F P
0 g
s
.897 .598 .472 r
.56469 .12168 m .55541 .10711 L .54773 .11161 L p F P
0 g
s
.897 .598 .472 r
.54773 .11161 m .55648 .12541 L .56469 .12168 L p F P
0 g
s
.879 .561 .442 r
.55541 .10711 m .54547 .09462 L .53858 .1 L p F P
0 g
s
.879 .561 .442 r
.53858 .1 m .54773 .11161 L .55541 .10711 L p F P
0 g
s
.854 .514 .408 r
.52811 .08967 m .53858 .1 L .54547 .09462 L p F P
0 g
s
.446 .285 .568 r
.91395 .67983 m .93072 .64731 L .94155 .65288 L p F P
0 g
s
.446 .285 .568 r
.94155 .65288 m .92396 .68671 L .91395 .67983 L p F P
0 g
s
.9 .694 .615 r
.04259 .54619 m .04813 .58233 L .03604 .58405 L p F P
0 g
s
.9 .694 .615 r
.03604 .58405 m .0304 .54637 L .04259 .54619 L p F P
0 g
s
.506 .558 .843 r
.82609 .14213 m .80035 .11613 L .80907 .1075 L p F P
0 g
s
.506 .558 .843 r
.80907 .1075 m .83579 .13469 L .82609 .14213 L p F P
0 g
s
.69 .368 .426 r
.42972 .92955 m .46582 .93544 L .46379 .94741 L p F P
0 g
s
.69 .368 .426 r
.46379 .94741 m .4262 .94114 L .42972 .92955 L p F P
0 g
s
.752 .795 .888 r
.32193 .04802 m .28737 .05918 L .28337 .04758 L p F P
0 g
s
.752 .795 .888 r
.28337 .04758 m .31964 .03602 L .32193 .04802 L p F P
0 g
s
.826 .869 .877 r
.60079 .58012 m .61465 .57158 L .61615 .58165 L p F P
0 g
s
.826 .869 .877 r
.61615 .58165 m .60251 .59013 L .60079 .58012 L p F P
0 g
s
.738 .587 .687 r
.60251 .59013 m .61615 .58165 L .62626 .59892 L p F P
0 g
s
.47 .589 .89 r
.4277 .60085 m .44011 .6114 L .43107 .61599 L p F P
0 g
s
.47 .589 .89 r
.43107 .61599 m .41878 .60563 L .4277 .60085 L p F P
0 g
s
.626 .261 .331 r
.48235 .32412 m .46611 .3229 L .47077 .31401 L p F P
0 g
s
.626 .261 .331 r
.47077 .31401 m .48679 .31514 L .48235 .32412 L p F P
0 g
s
.344 .213 .554 r
.3545 .44263 m .34831 .45771 L .34122 .45058 L p F P
0 g
s
.344 .213 .554 r
.34122 .45058 m .34726 .43568 L .3545 .44263 L p F P
0 g
s
.925 .669 .533 r
.63457 .40909 m .63072 .39328 L .64069 .39501 L p F P
0 g
s
.925 .669 .533 r
.64069 .39501 m .64455 .4106 L .63457 .40909 L p F P
0 g
s
.734 .619 .73 r
.41878 .60563 m .43107 .61599 L .41777 .63094 L p F P
0 g
s
.669 .544 .703 r
.48679 .31514 m .47077 .31401 L .47274 .2941 L p F P
0 g
s
.692 .593 .74 r
.34726 .43568 m .34122 .45058 L .32289 .44255 L p F P
0 g
s
.698 .54 .67 r
.64455 .4106 m .64069 .39501 L .66023 .39074 L p F P
0 g
s
.738 .587 .687 r
.62626 .59892 m .6129 .60725 L .60251 .59013 L p F P
0 g
s
.734 .619 .73 r
.41777 .63094 m .40571 .62079 L .41878 .60563 L p F P
0 g
s
.669 .544 .703 r
.47274 .2941 m .48846 .29519 L .48679 .31514 L p F P
0 g
s
.692 .593 .74 r
.32289 .44255 m .3288 .42793 L .34726 .43568 L p F P
0 g
s
.698 .54 .67 r
.66023 .39074 m .66404 .40601 L .64455 .4106 L p F P
0 g
s
.849 .537 .461 r
.49948 .6618 m .48758 .65233 L .484 .66311 L p F P
0 g
s
.606 .713 .92 r
.3885 .31715 m .40368 .31779 L .4002 .30683 L p F P
0 g
s
.531 .232 .405 r
.68086 .53074 m .66819 .53913 L .67741 .54581 L p F P
0 g
s
.893 .833 .78 r
.31879 .5298 m .3241 .51554 L .31267 .51541 L p F P
0 g
s
.382 .343 .691 r
.61227 .31774 m .61634 .33237 L .62562 .32562 L p F P
0 g
s
.473 .6 .898 r
.46243 .68349 m .47525 .69364 L .48407 .6887 L p F P
0 g
s
.482 .613 .905 r
.49411 .69618 m .48407 .6887 L .47525 .69364 L p F P
0 g
s
.612 .245 .323 r
.40572 .2778 m .38939 .27715 L .38511 .2862 L p F P
0 g
s
.599 .234 .321 r
.3726 .28608 m .38511 .2862 L .38939 .27715 L p F P
0 g
s
.835 .875 .872 r
.69006 .57268 m .70366 .56363 L .70175 .55366 L p F P
0 g
s
.844 .877 .865 r
.71195 .54643 m .70175 .55366 L .70366 .56363 L p F P
0 g
s
.333 .211 .561 r
.28669 .50125 m .28102 .51659 L .28837 .5234 L p F P
0 g
s
.328 .216 .571 r
.28438 .53527 m .28837 .5234 L .28102 .51659 L p F P
0 g
s
.923 .658 .518 r
.65501 .32195 m .65059 .30623 L .64059 .3049 L p F P
0 g
s
.919 .645 .505 r
.63686 .29298 m .64059 .3049 L .65059 .30623 L p F P
0 g
s
.714 .839 .941 r
.77006 .79743 m .80767 .78503 L .80301 .77811 L p F P
0 g
s
.714 .839 .941 r
.80301 .77811 m .76657 .78975 L .77006 .79743 L p F P
0 g
s
.37 .134 .421 r
.08987 .36647 m .06672 .39858 L .07452 .4013 L p F P
0 g
s
.37 .134 .421 r
.07452 .4013 m .09716 .3705 L .08987 .36647 L p F P
0 g
s
.954 .791 .642 r
.89347 .31532 m .89331 .27571 L .88536 .27795 L p F P
0 g
s
.954 .791 .642 r
.88536 .27795 m .88516 .31621 L .89347 .31532 L p F P
0 g
s
.355 .436 .806 r
.27341 .82905 m .29681 .86097 L .30188 .85435 L p F P
0 g
s
.355 .436 .806 r
.30188 .85435 m .27957 .8233 L .27341 .82905 L p F P
0 g
s
.435 .3 .598 r
.93072 .64731 m .94299 .6134 L .95411 .61838 L p F P
0 g
s
.435 .3 .598 r
.95411 .61838 m .94155 .65288 L .93072 .64731 L p F P
0 g
s
.891 .662 .585 r
.04813 .58233 m .05813 .61695 L .04616 .61933 L p F P
0 g
s
.891 .662 .585 r
.04616 .61933 m .03604 .58405 L .04813 .58233 L p F P
0 g
s
.531 .594 .862 r
.80035 .11613 m .7719 .09397 L .78015 .08487 L p F P
0 g
s
.531 .594 .862 r
.78015 .08487 m .80907 .1075 L .80035 .11613 L p F P
0 g
s
.658 .341 .424 r
.46582 .93544 m .50185 .93662 L .50048 .94869 L p F P
0 g
s
.658 .341 .424 r
.50048 .94869 m .46379 .94741 L .46582 .93544 L p F P
0 g
s
.785 .809 .872 r
.28737 .05918 m .25467 .07562 L .24923 .06459 L p F P
0 g
s
.785 .809 .872 r
.24923 .06459 m .28337 .04758 L .28737 .05918 L p F P
0 g
s
.482 .606 .898 r
.41437 .59048 m .4277 .60085 L .41878 .60563 L p F P
0 g
s
.482 .606 .898 r
.41878 .60563 m .40574 .59572 L .41437 .59048 L p F P
0 g
s
.611 .249 .331 r
.49922 .32464 m .48235 .32412 L .48679 .31514 L p F P
0 g
s
.611 .249 .331 r
.48679 .31514 m .50316 .31547 L .49922 .32464 L p F P
0 g
s
.837 .871 .868 r
.58683 .58958 m .60079 .58012 L .60251 .59013 L p F P
0 g
s
.837 .871 .868 r
.60251 .59013 m .58907 .59946 L .58683 .58958 L p F P
0 g
s
.34 .221 .568 r
.36022 .42674 m .3545 .44263 L .34726 .43568 L p F P
0 g
s
.34 .221 .568 r
.34726 .43568 m .35264 .4202 L .36022 .42674 L p F P
0 g
s
.919 .653 .518 r
.63927 .42528 m .63457 .40909 L .64455 .4106 L p F P
0 g
s
.919 .653 .518 r
.64455 .4106 m .64928 .42625 L .63927 .42528 L p F P
0 g
s
.736 .62 .73 r
.40574 .59572 m .41878 .60563 L .40571 .62079 L p F P
0 g
s
.668 .544 .705 r
.50316 .31547 m .48679 .31514 L .48846 .29519 L p F P
0 g
s
.738 .585 .685 r
.58907 .59946 m .60251 .59013 L .6129 .60725 L p F P
0 g
s
.693 .595 .742 r
.35264 .4202 m .34726 .43568 L .3288 .42793 L p F P
0 g
s
.696 .538 .67 r
.64928 .42625 m .64455 .4106 L .66404 .40601 L p F P
0 g
s
.736 .62 .73 r
.40571 .62079 m .39336 .61147 L .40574 .59572 L p F P
0 g
s
.668 .544 .705 r
.48846 .29519 m .50392 .29544 L .50316 .31547 L p F P
0 g
s
.738 .585 .685 r
.6129 .60725 m .60023 .6161 L .58907 .59946 L p F P
0 g
s
.693 .595 .742 r
.3288 .42793 m .33383 .41329 L .35264 .4202 L p F P
0 g
s
.696 .538 .67 r
.66404 .40601 m .66856 .42079 L .64928 .42625 L p F P
0 g
s
.852 .543 .464 r
.48758 .65233 m .47567 .64248 L .47184 .65316 L p F P
0 g
s
.572 .278 .43 r
.76024 .77068 m .79384 .76021 L .78943 .74938 L p F P
0 g
s
.601 .709 .919 r
.40368 .31779 m .4191 .31874 L .41588 .30771 L p F P
0 g
s
.87 .819 .796 r
.1135 .3822 m .09245 .4104 L .10244 .4167 L p F P
0 g
s
.535 .234 .403 r
.66819 .53913 m .65516 .5474 L .6642 .55429 L p F P
0 g
s
.416 .351 .677 r
.86506 .31634 m .86551 .28114 L .85377 .28204 L p F P
0 g
s
.891 .835 .784 r
.3241 .51554 m .32978 .50116 L .31837 .50076 L p F P
0 g
s
.854 .569 .505 r
.29574 .81138 m .31607 .8401 L .32508 .8326 L p F P
0 g
s
.381 .339 .686 r
.61634 .33237 m .6202 .34731 L .62961 .34079 L p F P
0 g
s
.468 .593 .895 r
.44991 .67319 m .46243 .68349 L .47137 .67876 L p F P
0 g
s
.473 .6 .898 r
.48407 .6887 m .47137 .67876 L .46243 .68349 L p F P
0 g
s
.76 .865 .926 r
.80767 .78503 m .84279 .76713 L .83699 .76124 L p F P
0 g
s
.76 .865 .926 r
.83699 .76124 m .80301 .77811 L .80767 .78503 L p F P
0 g
s
.619 .251 .323 r
.42189 .27875 m .40572 .2778 L .40122 .28675 L p F P
0 g
s
.612 .245 .323 r
.38511 .2862 m .40122 .28675 L .40572 .2778 L p F P
0 g
s
.337 .139 .458 r
.06672 .39858 m .04883 .43368 L .05694 .4349 L p F P
0 g
s
.337 .139 .458 r
.05694 .4349 m .07452 .4013 L .06672 .39858 L p F P
0 g
s
.83 .873 .876 r
.6764 .58139 m .69006 .57268 L .68839 .56266 L p F P
0 g
s
.835 .875 .872 r
.70175 .55366 m .68839 .56266 L .69006 .57268 L p F P
0 g
s
.954 .751 .59 r
.89331 .27571 m .88715 .23677 L .87983 .24041 L p F P
0 g
s
.954 .751 .59 r
.87983 .24041 m .88536 .27795 L .89331 .27571 L p F P
0 g
s
.336 .208 .555 r
.29261 .48615 m .28669 .50125 L .29389 .50824 L p F P
0 g
s
.333 .211 .561 r
.28837 .5234 m .29389 .50824 L .28669 .50125 L p F P
0 g
s
.381 .491 .846 r
.29681 .86097 m .32468 .88882 L .32841 .88144 L p F P
0 g
s
.381 .491 .846 r
.32841 .88144 m .30188 .85435 L .29681 .86097 L p F P
0 g
s
.925 .665 .524 r
.65909 .33762 m .65501 .32195 L .64504 .32038 L p F P
0 g
s
.923 .658 .518 r
.64059 .3049 m .64504 .32038 L .65501 .32195 L p F P
0 g
s
.742 .354 .317 r
.47306 .0486 m .43532 .03649 L .43508 .04469 L p F P
0 g
s
.742 .354 .317 r
.43508 .04469 m .47142 .05673 L .47306 .0486 L p F P
0 g
s
.432 .307 .609 r
.94299 .6134 m .95361 .578 L .9653 .58156 L p F P
0 g
s
.432 .307 .609 r
.9653 .58156 m .95411 .61838 L .94299 .6134 L p F P
0 g
s
.887 .649 .573 r
.05813 .61695 m .07033 .65181 L .05873 .65566 L p F P
0 g
s
.887 .649 .573 r
.05873 .65566 m .04616 .61933 L .05813 .61695 L p F P
0 g
s
.541 .608 .869 r
.7719 .09397 m .74153 .07292 L .74861 .06285 L p F P
0 g
s
.541 .608 .869 r
.74861 .06285 m .78015 .08487 L .7719 .09397 L p F P
0 g
s
.646 .331 .425 r
.50185 .93662 m .53879 .93577 L .53894 .94794 L p F P
0 g
s
.646 .331 .425 r
.53894 .94794 m .50048 .94869 L .50185 .93662 L p F P
0 g
s
.811 .817 .855 r
.25467 .07562 m .2248 .09583 L .21876 .08512 L p F P
0 g
s
.811 .817 .855 r
.21876 .08512 m .24923 .06459 L .25467 .07562 L p F P
0 g
s
.503 .632 .91 r
.39976 .58076 m .41437 .59048 L .40574 .59572 L p F P
0 g
s
.503 .632 .91 r
.40574 .59572 m .39165 .58671 L .39976 .58076 L p F P
0 g
s
.855 .872 .852 r
.57309 .60046 m .58683 .58958 L .58907 .59946 L p F P
0 g
s
.855 .872 .852 r
.58907 .59946 m .57617 .61007 L .57309 .60046 L p F P
0 g
s
.738 .62 .728 r
.39165 .58671 m .40574 .59572 L .39336 .61147 L p F P
0 g
s
.736 .582 .682 r
.57617 .61007 m .58907 .59946 L .60023 .6161 L p F P
0 g
s
.335 .237 .592 r
.36494 .40983 m .36022 .42674 L .35264 .4202 L p F P
0 g
s
.335 .237 .592 r
.35264 .4202 m .35684 .40401 L .36494 .40983 L p F P
0 g
s
.696 .598 .743 r
.35684 .40401 m .35264 .4202 L .33383 .41329 L p F P
0 g
s
.586 .231 .334 r
.51674 .32389 m .49922 .32464 L .50316 .31547 L p F P
0 g
s
.586 .231 .334 r
.50316 .31547 m .51985 .31445 L .51674 .32389 L p F P
0 g
s
.909 .627 .496 r
.64538 .44171 m .63927 .42528 L .64928 .42625 L p F P
0 g
s
.909 .627 .496 r
.64928 .42625 m .6554 .4418 L .64538 .44171 L p F P
0 g
s
.667 .546 .708 r
.51985 .31445 m .50316 .31547 L .50392 .29544 L p F P
0 g
s
.693 .536 .67 r
.6554 .4418 m .64928 .42625 L .66856 .42079 L p F P
0 g
s
.738 .62 .728 r
.39336 .61147 m .38048 .60337 L .39165 .58671 L p F P
0 g
s
.736 .582 .682 r
.60023 .6161 m .58856 .62583 L .57617 .61007 L p F P
0 g
s
.696 .598 .743 r
.33383 .41329 m .33755 .39854 L .35684 .40401 L p F P
0 g
s
.667 .546 .708 r
.50392 .29544 m .51909 .2944 L .51985 .31445 L p F P
0 g
s
.693 .536 .67 r
.66856 .42079 m .67422 .43488 L .6554 .4418 L p F P
0 g
s
.856 .548 .468 r
.47567 .64248 m .46391 .63239 L .45984 .64296 L p F P
0 g
s
.539 .266 .449 r
.79384 .76021 m .82496 .7451 L .81884 .73499 L p F P
0 g
s
.597 .704 .919 r
.4191 .31874 m .43454 .31996 L .43157 .30888 L p F P
0 g
s
.887 .806 .763 r
.09245 .4104 m .07615 .44089 L .0871 .44561 L p F P
0 g
s
.539 .235 .4 r
.65516 .5474 m .64194 .55546 L .65081 .56254 L p F P
0 g
s
.423 .387 .714 r
.86551 .28114 m .86076 .24686 L .84918 .24961 L p F P
0 g
s
.889 .837 .789 r
.32978 .50116 m .33573 .48685 L .32435 .48619 L p F P
0 g
s
.828 .526 .48 r
.31607 .8401 m .34004 .86501 L .34785 .85612 L p F P
0 g
s
.381 .334 .681 r
.6202 .34731 m .62379 .36237 L .63333 .35607 L p F P
0 g
s
.6 .684 .901 r
.46533 .0759 m .43197 .06458 L .42913 .07609 L p F P
0 g
s
.464 .587 .891 r
.43757 .66265 m .44991 .67319 L .4589 .66858 L p F P
0 g
s
.468 .593 .895 r
.47137 .67876 m .4589 .66858 L .44991 .67319 L p F P
0 g
s
.808 .886 .901 r
.84279 .76713 m .874 .7441 L .86741 .73919 L p F P
0 g
s
.808 .886 .901 r
.86741 .73919 m .83699 .76124 L .84279 .76713 L p F P
0 g
s
.624 .255 .323 r
.43806 .28 m .42189 .27875 L .41728 .28763 L p F P
0 g
s
.619 .251 .323 r
.40122 .28675 m .41728 .28763 L .42189 .27875 L p F P
0 g
s
.308 .156 .505 r
.04883 .43368 m .0371 .47063 L .04528 .47059 L p F P
0 g
s
.308 .156 .505 r
.04528 .47059 m .05694 .4349 L .04883 .43368 L p F P
0 g
s
.826 .873 .88 r
.66258 .58985 m .6764 .58139 L .67486 .57136 L p F P
0 g
s
.83 .873 .876 r
.68839 .56266 m .67486 .57136 L .6764 .58139 L p F P
0 g
s
.946 .699 .533 r
.88715 .23677 m .87491 .19995 L .86827 .20465 L p F P
0 g
s
.946 .699 .533 r
.86827 .20465 m .87983 .24041 L .88715 .23677 L p F P
0 g
s
.337 .205 .549 r
.29881 .47115 m .29261 .48615 L .29971 .49322 L p F P
0 g
s
.336 .208 .555 r
.29389 .50824 m .29971 .49322 L .29261 .48615 L p F P
0 g
s
.417 .553 .884 r
.32468 .88882 m .35621 .91139 L .35877 .90355 L p F P
0 g
s
.417 .553 .884 r
.35877 .90355 m .32841 .88144 L .32468 .88882 L p F P
0 g
s
.927 .671 .53 r
.66288 .35337 m .65909 .33762 L .64914 .33592 L p F P
0 g
s
.925 .665 .524 r
.64504 .32038 m .64914 .33592 L .65909 .33762 L p F P
0 g
s
.693 .299 .297 r
.43532 .03649 m .39637 .0303 L .39765 .03834 L p F P
0 g
s
.693 .299 .297 r
.39765 .03834 m .43508 .04469 L .43532 .03649 L p F P
0 g
s
.821 .818 .847 r
.2248 .09583 m .19538 .11822 L .18805 .10832 L p F P
0 g
s
.821 .818 .847 r
.18805 .10832 m .21876 .08512 L .2248 .09583 L p F P
0 g
s
.872 .613 .543 r
.07033 .65181 m .08715 .6846 L .0762 .69005 L p F P
0 g
s
.872 .613 .543 r
.0762 .69005 m .05873 .65566 L .07033 .65181 L p F P
0 g
s
.57 .644 .884 r
.74153 .07292 m .70864 .05624 L .71425 .04526 L p F P
0 g
s
.57 .644 .884 r
.71425 .04526 m .74861 .06285 L .74153 .07292 L p F P
0 g
s
.426 .329 .642 r
.95361 .578 m .95929 .54155 L .97139 .54344 L p F P
0 g
s
.426 .329 .642 r
.97139 .54344 m .9653 .58156 L .95361 .578 L p F P
0 g
s
.613 .308 .429 r
.53879 .93577 m .57519 .9299 L .57706 .94194 L p F P
0 g
s
.613 .308 .429 r
.57706 .94194 m .53894 .94794 L .53879 .93577 L p F P
0 g
s
.515 .646 .915 r
.38519 .57203 m .39976 .58076 L .39165 .58671 L p F P
0 g
s
.515 .646 .915 r
.39165 .58671 m .37743 .5784 L .38519 .57203 L p F P
0 g
s
.574 .224 .337 r
.53365 .32237 m .51674 .32389 L .51985 .31445 L p F P
0 g
s
.574 .224 .337 r
.51985 .31445 m .53622 .31278 L .53365 .32237 L p F P
0 g
s
.864 .871 .842 r
.56029 .61161 m .57309 .60046 L .57617 .61007 L p F P
0 g
s
.864 .871 .842 r
.57617 .61007 m .56389 .62101 L .56029 .61161 L p F P
0 g
s
.335 .247 .605 r
.36873 .39327 m .36494 .40983 L .35684 .40401 L p F P
0 g
s
.335 .247 .605 r
.35684 .40401 m .36034 .38791 L .36873 .39327 L p F P
0 g
s
.903 .613 .486 r
.65204 .45731 m .64538 .44171 L .6554 .4418 L p F P
0 g
s
.903 .613 .486 r
.6554 .4418 m .66202 .45685 L .65204 .45731 L p F P
0 g
s
.738 .619 .726 r
.37743 .5784 m .39165 .58671 L .38048 .60337 L p F P
0 g
s
.668 .548 .709 r
.53622 .31278 m .51985 .31445 L .51909 .2944 L p F P
0 g
s
.735 .58 .681 r
.56389 .62101 m .57617 .61007 L .58856 .62583 L p F P
0 g
s
.697 .599 .743 r
.36034 .38791 m .35684 .40401 L .33755 .39854 L p F P
0 g
s
.691 .536 .671 r
.66202 .45685 m .6554 .4418 L .67422 .43488 L p F P
0 g
s
.738 .619 .726 r
.38048 .60337 m .36702 .59556 L .37743 .5784 L p F P
0 g
s
.668 .548 .709 r
.51909 .2944 m .53456 .29278 L .53622 .31278 L p F P
0 g
s
.735 .58 .681 r
.58856 .62583 m .57699 .63621 L .56389 .62101 L p F P
0 g
s
.697 .599 .743 r
.33755 .39854 m .3408 .38331 L .36034 .38791 L p F P
0 g
s
.691 .536 .671 r
.67422 .43488 m .68053 .44908 L .66202 .45685 L p F P
0 g
s
.507 .26 .475 r
.82496 .7451 m .85332 .72479 L .84594 .71543 L p F P
0 g
s
.9 .784 .724 r
.07615 .44089 m .06514 .47396 L .07666 .47733 L p F P
0 g
s
.438 .431 .754 r
.86076 .24686 m .85022 .21361 L .83897 .21778 L p F P
0 g
s
.794 .479 .456 r
.34004 .86501 m .36811 .8857 L .37481 .87584 L p F P
0 g
s
.638 .719 .906 r
.43197 .06458 m .39789 .05848 L .39685 .07041 L p F P
0 g
s
.843 .895 .875 r
.874 .7441 m .90143 .71739 L .89407 .7138 L p F P
0 g
s
.843 .895 .875 r
.89407 .7138 m .86741 .73919 L .874 .7441 L p F P
0 g
s
.292 .177 .546 r
.0371 .47063 m .0306 .50834 L .03862 .50677 L p F P
0 g
s
.292 .177 .546 r
.03862 .50677 m .04528 .47059 L .0371 .47063 L p F P
0 g
s
.932 .652 .488 r
.87491 .19995 m .85799 .1656 L .85238 .17145 L p F P
0 g
s
.932 .652 .488 r
.85238 .17145 m .86827 .20465 L .87491 .19995 L p F P
0 g
s
.451 .603 .91 r
.35621 .91139 m .39008 .92921 L .39114 .92105 L p F P
0 g
s
.451 .603 .91 r
.39114 .92105 m .35877 .90355 L .35621 .91139 L p F P
0 g
s
.636 .244 .285 r
.39637 .0303 m .35755 .03056 L .36005 .03827 L p F P
0 g
s
.636 .244 .285 r
.36005 .03827 m .39765 .03834 L .39637 .0303 L p F P
0 g
s
.858 .553 .471 r
.46391 .63239 m .45221 .62201 L .44791 .63247 L p F P
0 g
s
.592 .7 .918 r
.43454 .31996 m .4501 .32145 L .44738 .31033 L p F P
0 g
s
.543 .237 .399 r
.64194 .55546 m .62847 .56337 L .63716 .57063 L p F P
0 g
s
.887 .838 .792 r
.33573 .48685 m .34196 .4725 L .33062 .4716 L p F P
0 g
s
.38 .33 .677 r
.62379 .36237 m .62716 .37761 L .63683 .37154 L p F P
0 g
s
.46 .581 .888 r
.42536 .65187 m .43757 .66265 L .44662 .65815 L p F P
0 g
s
.464 .587 .891 r
.4589 .66858 m .44662 .65815 L .43757 .66265 L p F P
0 g
s
.63 .26 .323 r
.45426 .28152 m .43806 .28 L .43334 .28882 L p F P
0 g
s
.624 .255 .323 r
.41728 .28763 m .43334 .28882 L .43806 .28 L p F P
0 g
s
.821 .872 .883 r
.64857 .59813 m .66258 .58985 L .66117 .57981 L p F P
0 g
s
.826 .873 .88 r
.67486 .57136 m .66117 .57981 L .66258 .58985 L p F P
0 g
s
.339 .203 .544 r
.30527 .4562 m .29881 .47115 L .30581 .47831 L p F P
0 g
s
.337 .205 .549 r
.29971 .49322 m .30581 .47831 L .29881 .47115 L p F P
0 g
s
.929 .676 .535 r
.66643 .36923 m .66288 .35337 L .65296 .35155 L p F P
0 g
s
.927 .671 .53 r
.64914 .33592 m .65296 .35155 L .66288 .35337 L p F P
0 g
s
.844 .819 .824 r
.19538 .11822 m .16935 .14436 L .16071 .13557 L p F P
0 g
s
.844 .819 .824 r
.16071 .13557 m .18805 .10832 L .19538 .11822 L p F P
0 g
s
.425 .358 .679 r
.95929 .54155 m .95922 .50506 L .97147 .5051 L p F P
0 g
s
.425 .358 .679 r
.97147 .5051 m .97139 .54344 L .95929 .54155 L p F P
0 g
s
.851 .57 .511 r
.08715 .6846 m .10864 .71406 L .09867 .72109 L p F P
0 g
s
.851 .57 .511 r
.09867 .72109 m .0762 .69005 L .08715 .6846 L p F P
0 g
s
.605 .683 .897 r
.70864 .05624 m .67393 .04502 L .67782 .03333 L p F P
0 g
s
.605 .683 .897 r
.67782 .03333 m .71425 .04526 L .70864 .05624 L p F P
0 g
s
.576 .286 .439 r
.57519 .9299 m .60985 .91855 L .61354 .93016 L p F P
0 g
s
.576 .286 .439 r
.61354 .93016 m .57706 .94194 L .57519 .9299 L p F P
0 g
s
.571 .222 .339 r
.55002 .32061 m .53365 .32237 L .53622 .31278 L p F P
0 g
s
.571 .222 .339 r
.53622 .31278 m .55235 .31098 L .55002 .32061 L p F P
0 g
s
.866 .871 .84 r
.54807 .62262 m .56029 .61161 L .56389 .62101 L p F P
0 g
s
.866 .871 .84 r
.56389 .62101 m .55189 .63192 L .54807 .62262 L p F P
0 g
s
.335 .25 .609 r
.37212 .37715 m .36873 .39327 L .36034 .38791 L p F P
0 g
s
.335 .25 .609 r
.36034 .38791 m .36362 .37201 L .37212 .37715 L p F P
0 g
s
.901 .609 .483 r
.65876 .47232 m .65204 .45731 L .66202 .45685 L p F P
0 g
s
.901 .609 .483 r
.66202 .45685 m .6687 .47162 L .65876 .47232 L p F P
0 g
s
.669 .549 .71 r
.55235 .31098 m .53622 .31278 L .53456 .29278 L p F P
0 g
s
.734 .579 .681 r
.55189 .63192 m .56389 .62101 L .57699 .63621 L p F P
0 g
s
.698 .6 .742 r
.36362 .37201 m .36034 .38791 L .3408 .38331 L p F P
0 g
s
.691 .537 .672 r
.6687 .47162 m .66202 .45685 L .68053 .44908 L p F P
0 g
s
.519 .65 .916 r
.37092 .5638 m .38519 .57203 L .37743 .5784 L p F P
0 g
s
.519 .65 .916 r
.37743 .5784 m .36334 .57035 L .37092 .5638 L p F P
0 g
s
.738 .618 .725 r
.36334 .57035 m .37743 .5784 L .36702 .59556 L p F P
0 g
s
.669 .549 .71 r
.53456 .29278 m .55037 .29099 L .55235 .31098 L p F P
0 g
s
.734 .579 .681 r
.57699 .63621 m .56524 .64693 L .55189 .63192 L p F P
0 g
s
.698 .6 .742 r
.3408 .38331 m .344 .36771 L .36362 .37201 L p F P
0 g
s
.691 .537 .672 r
.68053 .44908 m .6871 .46355 L .6687 .47162 L p F P
0 g
s
.738 .618 .725 r
.36702 .59556 m .35319 .58769 L .36334 .57035 L p F P
0 g
s
.857 .551 .47 r
.43581 .62184 m .44791 .63247 L .45221 .62201 L p F P
0 g
s
.857 .551 .47 r
.45221 .62201 m .44011 .6114 L .43581 .62184 L p F P
0 g
s
.484 .26 .498 r
.85332 .72479 m .87777 .70193 L .86898 .69375 L p F P
0 g
s
.595 .702 .918 r
.4634 .31179 m .44738 .31033 L .4501 .32145 L p F P
0 g
s
.595 .702 .918 r
.4501 .32145 m .46611 .3229 L .4634 .31179 L p F P
0 g
s
.905 .762 .692 r
.06514 .47396 m .05879 .5068 L .07075 .50839 L p F P
0 g
s
.541 .237 .4 r
.62333 .57884 m .63716 .57063 L .62847 .56337 L p F P
0 g
s
.541 .237 .4 r
.62847 .56337 m .61465 .57158 L .62333 .57884 L p F P
0 g
s
.453 .467 .783 r
.85022 .21361 m .83606 .18328 L .82548 .18916 L p F P
0 g
s
.887 .837 .79 r
.33698 .45679 m .33062 .4716 L .34196 .4725 L p F P
0 g
s
.887 .837 .79 r
.34196 .4725 m .34831 .45771 L .33698 .45679 L p F P
0 g
s
.765 .444 .441 r
.36811 .8857 m .39739 .90188 L .40253 .89104 L p F P
0 g
s
.381 .333 .679 r
.64038 .38722 m .63683 .37154 L .62716 .37761 L p F P
0 g
s
.381 .333 .679 r
.62716 .37761 m .63072 .39328 L .64038 .38722 L p F P
0 g
s
.68 .753 .906 r
.39789 .05848 m .36299 .05822 L .36341 .07028 L p F P
0 g
s
.46 .581 .888 r
.44662 .65815 m .43443 .64747 L .42536 .65187 L p F P
0 g
s
.883 .895 .835 r
.90143 .71739 m .92396 .68671 L .91609 .68444 L p F P
0 g
s
.883 .895 .835 r
.91609 .68444 m .89407 .7138 L .90143 .71739 L p F P
0 g
s
.63 .26 .323 r
.43334 .28882 m .44947 .29028 L .45426 .28152 L p F P
0 g
s
.281 .214 .601 r
.0306 .50834 m .0304 .54637 L .03805 .54344 L p F P
0 g
s
.281 .214 .601 r
.03805 .54344 m .03862 .50677 L .0306 .50834 L p F P
0 g
s
.821 .872 .883 r
.66117 .57981 m .64726 .58809 L .64857 .59813 L p F P
0 g
s
.906 .59 .435 r
.85799 .1656 m .83579 .13469 L .83128 .14142 L p F P
0 g
s
.906 .59 .435 r
.83128 .14142 m .85238 .17145 L .85799 .1656 L p F P
0 g
s
.339 .203 .544 r
.30581 .47831 m .3122 .46341 L .30527 .4562 L p F P
0 g
s
.499 .664 .936 r
.39008 .92921 m .4262 .94114 L .42585 .93291 L p F P
0 g
s
.499 .664 .936 r
.42585 .93291 m .39114 .92105 L .39008 .92921 L p F P
0 g
s
.929 .676 .535 r
.65296 .35155 m .65655 .36733 L .66643 .36923 L p F P
0 g
s
.59 .205 .282 r
.35755 .03056 m .31964 .03602 L .32354 .04311 L p F P
0 g
s
.59 .205 .282 r
.32354 .04311 m .36005 .03827 L .35755 .03056 L p F P
0 g
s
.707 .577 .707 r
.64308 .77727 m .65763 .7845 L .66508 .76585 L p F P
0 g
s
.707 .577 .707 r
.66508 .76585 m .65206 .75931 L .64308 .77727 L p F P
0 g
s
.707 .577 .707 r
.65763 .7845 m .67282 .79052 L .67838 .77123 L p F P
0 g
s
.707 .577 .707 r
.67838 .77123 m .66508 .76585 L .65763 .7845 L p F P
0 g
s
.707 .577 .707 r
.67282 .79052 m .68705 .79454 L .69015 .7747 L p F P
0 g
s
.707 .577 .707 r
.69015 .7747 m .67838 .77123 L .67282 .79052 L p F P
0 g
s
.707 .577 .707 r
.70227 .77667 m .69015 .7747 L .68705 .79454 L p F P
0 g
s
.707 .577 .707 r
.20442 .30804 m .1884 .31074 L .19332 .3302 L p F P
0 g
s
.707 .577 .707 r
.19332 .3302 m .20771 .32784 L .20442 .30804 L p F P
0 g
s
.707 .577 .707 r
.17941 .33367 m .19332 .3302 L .1884 .31074 L p F P
0 g
s
.707 .577 .707 r
.1587 .31991 m .14564 .32667 L .15688 .34331 L p F P
0 g
s
.707 .577 .707 r
.15688 .34331 m .16784 .33778 L .1587 .31991 L p F P
0 g
s
.707 .577 .707 r
.83511 .42981 m .84648 .41821 L .83106 .40536 L p F P
0 g
s
.707 .577 .707 r
.83106 .40536 m .8208 .41573 L .83511 .42981 L p F P
0 g
s
.707 .577 .707 r
.84027 .39438 m .83106 .40536 L .84648 .41821 L p F P
0 g
s
.707 .577 .707 r
.25329 .70201 m .25091 .71807 L .27094 .71941 L p F P
0 g
s
.707 .577 .707 r
.27094 .71941 m .27315 .70499 L .25329 .70201 L p F P
0 g
s
.707 .577 .707 r
.26994 .73371 m .27094 .71941 L .25091 .71807 L p F P
0 g
s
.707 .577 .707 r
.49411 .69618 m .50834 .70642 L .51945 .68969 L p F P
0 g
s
.707 .577 .707 r
.51945 .68969 m .50585 .67989 L .49411 .69618 L p F P
0 g
s
.707 .577 .707 r
.50834 .70642 m .52292 .71609 L .53343 .69898 L p F P
0 g
s
.707 .577 .707 r
.53343 .69898 m .51945 .68969 L .50834 .70642 L p F P
0 g
s
.707 .577 .707 r
.52292 .71609 m .53793 .7253 L .54762 .70771 L p F P
0 g
s
.707 .577 .707 r
.54762 .70771 m .53343 .69898 L .52292 .71609 L p F P
0 g
s
.707 .577 .707 r
.53793 .7253 m .55339 .7338 L .56217 .71574 L p F P
0 g
s
.707 .577 .707 r
.56217 .71574 m .54762 .70771 L .53793 .7253 L p F P
0 g
s
.707 .577 .707 r
.55339 .7338 m .56908 .74142 L .57725 .72308 L p F P
0 g
s
.707 .577 .707 r
.57725 .72308 m .56217 .71574 L .55339 .7338 L p F P
0 g
s
.707 .577 .707 r
.56908 .74142 m .58492 .74847 L .59267 .72995 L p F P
0 g
s
.707 .577 .707 r
.59267 .72995 m .57725 .72308 L .56908 .74142 L p F P
0 g
s
.707 .577 .707 r
.58492 .74847 m .60056 .75501 L .60872 .73667 L p F P
0 g
s
.707 .577 .707 r
.60872 .73667 m .59267 .72995 L .58492 .74847 L p F P
0 g
s
.707 .577 .707 r
.60056 .75501 m .61536 .76155 L .62524 .74407 L p F P
0 g
s
.707 .577 .707 r
.62524 .74407 m .60872 .73667 L .60056 .75501 L p F P
0 g
s
.707 .577 .707 r
.61536 .76155 m .62897 .76924 L .63892 .7518 L p F P
0 g
s
.707 .577 .707 r
.63892 .7518 m .62524 .74407 L .61536 .76155 L p F P
0 g
s
.707 .577 .707 r
.62897 .76924 m .64308 .77727 L .65206 .75931 L p F P
0 g
s
.707 .577 .707 r
.65206 .75931 m .63892 .7518 L .62897 .76924 L p F P
0 g
s
.707 .577 .707 r
.68705 .79454 m .70159 .79674 L .70227 .77667 L p F P
0 g
s
.662 .54 .705 r
.38511 .2862 m .3726 .28608 L .37268 .30616 L p F P
0 g
s
.662 .54 .705 r
.37268 .30616 m .38466 .30629 L .38511 .2862 L p F P
0 g
s
.707 .577 .707 r
.3726 .28608 m .35506 .28615 L .35591 .30621 L p F P
0 g
s
.707 .577 .707 r
.35591 .30621 m .37268 .30616 L .3726 .28608 L p F P
0 g
s
.707 .577 .707 r
.35506 .28615 m .33758 .2869 L .33914 .30692 L p F P
0 g
s
.707 .577 .707 r
.33914 .30692 m .35591 .30621 L .35506 .28615 L p F P
0 g
s
.707 .577 .707 r
.33758 .2869 m .32003 .28828 L .32253 .3082 L p F P
0 g
s
.707 .577 .707 r
.32253 .3082 m .33914 .30692 L .33758 .2869 L p F P
0 g
s
.707 .577 .707 r
.32003 .28828 m .30253 .29049 L .30604 .31026 L p F P
0 g
s
.707 .577 .707 r
.30604 .31026 m .32253 .3082 L .32003 .28828 L p F P
0 g
s
.707 .577 .707 r
.30253 .29049 m .28536 .29354 L .28953 .31318 L p F P
0 g
s
.707 .577 .707 r
.28953 .31318 m .30604 .31026 L .30253 .29049 L p F P
0 g
s
.707 .577 .707 r
.28536 .29354 m .26839 .29715 L .27301 .31669 L p F P
0 g
s
.707 .577 .707 r
.27301 .31669 m .28953 .31318 L .28536 .29354 L p F P
0 g
s
.707 .577 .707 r
.26839 .29715 m .2519 .30105 L .25608 .32068 L p F P
0 g
s
.707 .577 .707 r
.25608 .32068 m .27301 .31669 L .26839 .29715 L p F P
0 g
s
.707 .577 .707 r
.2519 .30105 m .23608 .30446 L .23836 .32441 L p F P
0 g
s
.707 .577 .707 r
.23836 .32441 m .25608 .32068 L .2519 .30105 L p F P
0 g
s
.707 .577 .707 r
.23608 .30446 m .22055 .30624 L .22275 .3262 L p F P
0 g
s
.707 .577 .707 r
.22275 .3262 m .23836 .32441 L .23608 .30446 L p F P
0 g
s
.707 .577 .707 r
.22055 .30624 m .20442 .30804 L .20771 .32784 L p F P
0 g
s
.707 .577 .707 r
.20771 .32784 m .22275 .3262 L .22055 .30624 L p F P
0 g
s
.707 .577 .707 r
.1884 .31074 m .17257 .31479 L .17941 .33367 L p F P
0 g
s
.707 .577 .707 r
.16784 .33778 m .17941 .33367 L .17257 .31479 L p F P
0 g
s
.742 .585 .681 r
.70175 .55366 m .71195 .54643 L .70009 .53023 L p F P
0 g
s
.742 .585 .681 r
.70009 .53023 m .69031 .53714 L .70175 .55366 L p F P
0 g
s
.707 .577 .707 r
.71195 .54643 m .72609 .53606 L .71362 .52033 L p F P
0 g
s
.707 .577 .707 r
.71362 .52033 m .70009 .53023 L .71195 .54643 L p F P
0 g
s
.707 .577 .707 r
.72609 .53606 m .7398 .52518 L .72677 .5099 L p F P
0 g
s
.707 .577 .707 r
.72677 .5099 m .71362 .52033 L .72609 .53606 L p F P
0 g
s
.707 .577 .707 r
.7398 .52518 m .75319 .51375 L .73946 .4991 L p F P
0 g
s
.707 .577 .707 r
.73946 .4991 m .72677 .5099 L .7398 .52518 L p F P
0 g
s
.707 .577 .707 r
.75319 .51375 m .76605 .50168 L .75159 .48775 L p F P
0 g
s
.707 .577 .707 r
.75159 .48775 m .73946 .4991 L .75319 .51375 L p F P
0 g
s
.707 .577 .707 r
.76605 .50168 m .77814 .48912 L .76323 .47568 L p F P
0 g
s
.707 .577 .707 r
.76323 .47568 m .75159 .48775 L .76605 .50168 L p F P
0 g
s
.707 .577 .707 r
.77814 .48912 m .78976 .47622 L .77454 .46313 L p F P
0 g
s
.707 .577 .707 r
.77454 .46313 m .76323 .47568 L .77814 .48912 L p F P
0 g
s
.707 .577 .707 r
.78976 .47622 m .80081 .46338 L .78588 .44995 L p F P
0 g
s
.707 .577 .707 r
.78588 .44995 m .77454 .46313 L .78976 .47622 L p F P
0 g
s
.707 .577 .707 r
.80081 .46338 m .8116 .45132 L .79802 .43652 L p F P
0 g
s
.707 .577 .707 r
.79802 .43652 m .78588 .44995 L .80081 .46338 L p F P
0 g
s
.707 .577 .707 r
.8116 .45132 m .82312 .44075 L .8096 .4259 L p F P
0 g
s
.707 .577 .707 r
.8096 .4259 m .79802 .43652 L .8116 .45132 L p F P
0 g
s
.707 .577 .707 r
.8208 .41573 m .8096 .4259 L .82312 .44075 L p F P
0 g
s
.707 .577 .707 r
.84648 .41821 m .85691 .40562 L .84027 .39438 L p F P
0 g
s
.707 .577 .707 r
.86512 .39333 m .87171 .38019 L .85284 .37333 L p F P
0 g
s
.707 .577 .707 r
.85284 .37333 m .84722 .38425 L .86512 .39333 L p F P
0 g
s
.691 .598 .747 r
.28837 .5234 m .28438 .53527 L .3035 .5414 L p F P
0 g
s
.691 .598 .747 r
.3035 .5414 m .30734 .53004 L .28837 .5234 L p F P
0 g
s
.707 .577 .707 r
.28438 .53527 m .27903 .55197 L .29837 .55736 L p F P
0 g
s
.707 .577 .707 r
.29837 .55736 m .3035 .5414 L .28438 .53527 L p F P
0 g
s
.707 .577 .707 r
.27903 .55197 m .27434 .56883 L .29386 .57353 L p F P
0 g
s
.707 .577 .707 r
.29386 .57353 m .29837 .55736 L .27903 .55197 L p F P
0 g
s
.707 .577 .707 r
.27434 .56883 m .27023 .58595 L .28995 .58972 L p F P
0 g
s
.707 .577 .707 r
.28995 .58972 m .29386 .57353 L .27434 .56883 L p F P
0 g
s
.707 .577 .707 r
.27023 .58595 m .26692 .60327 L .2868 .60604 L p F P
0 g
s
.707 .577 .707 r
.2868 .60604 m .28995 .58972 L .27023 .58595 L p F P
0 g
s
.707 .577 .707 r
.26692 .60327 m .26452 .62054 L .28449 .62265 L p F P
0 g
s
.707 .577 .707 r
.28449 .62265 m .2868 .60604 L .26692 .60327 L p F P
0 g
s
.707 .577 .707 r
.26452 .62054 m .2627 .6378 L .28271 .63944 L p F P
0 g
s
.707 .577 .707 r
.28271 .63944 m .28449 .62265 L .26452 .62054 L p F P
0 g
s
.707 .577 .707 r
.2627 .6378 m .26131 .65469 L .28128 .65678 L p F P
0 g
s
.707 .577 .707 r
.28128 .65678 m .28271 .63944 L .2627 .6378 L p F P
0 g
s
.707 .577 .707 r
.27935 .67478 m .28128 .65678 L .26131 .65469 L p F P
0 g
s
.707 .577 .707 r
.25967 .67079 m .25657 .68611 L .27623 .69018 L p F P
0 g
s
.707 .577 .707 r
.27623 .69018 m .27935 .67478 L .25967 .67079 L p F P
0 g
s
.707 .577 .707 r
.25657 .68611 m .25329 .70201 L .27315 .70499 L p F P
0 g
s
.707 .577 .707 r
.27315 .70499 m .27623 .69018 L .25657 .68611 L p F P
0 g
s
.707 .577 .707 r
.25091 .71807 m .24988 .73439 L .26994 .73371 L p F P
0 g
s
.707 .577 .707 r
.24988 .73439 m .25045 .74916 L .27028 .74598 L p F P
0 g
s
.707 .577 .707 r
.27028 .74598 m .26994 .73371 L .24988 .73439 L p F P
0 g
s
.707 .577 .707 r
.25045 .74916 m .25285 .76367 L .27215 .75812 L p F P
0 g
s
.707 .577 .707 r
.27215 .75812 m .27028 .74598 L .25045 .74916 L p F P
0 g
s
.693 .532 .664 r
.64059 .3049 m .63686 .29298 L .61779 .29926 L p F P
0 g
s
.693 .532 .664 r
.61779 .29926 m .62135 .31068 L .64059 .3049 L p F P
0 g
s
.707 .577 .707 r
.63686 .29298 m .63136 .27632 L .61255 .28333 L p F P
0 g
s
.707 .577 .707 r
.61255 .28333 m .61779 .29926 L .63686 .29298 L p F P
0 g
s
.707 .577 .707 r
.63136 .27632 m .62525 .25993 L .6067 .2676 L p F P
0 g
s
.707 .577 .707 r
.6067 .2676 m .61255 .28333 L .63136 .27632 L p F P
0 g
s
.707 .577 .707 r
.62525 .25993 m .61852 .24366 L .60034 .25219 L p F P
0 g
s
.707 .577 .707 r
.60034 .25219 m .6067 .2676 L .62525 .25993 L p F P
0 g
s
.707 .577 .707 r
.61852 .24366 m .61101 .2277 L .59329 .23715 L p F P
0 g
s
.707 .577 .707 r
.59329 .23715 m .60034 .25219 L .61852 .24366 L p F P
0 g
s
.707 .577 .707 r
.61101 .2277 m .6028 .21231 L .58541 .22235 L p F P
0 g
s
.707 .577 .707 r
.58541 .22235 m .59329 .23715 L .61101 .2277 L p F P
0 g
s
.707 .577 .707 r
.6028 .21231 m .59413 .19729 L .57697 .20772 L p F P
0 g
s
.707 .577 .707 r
.57697 .20772 m .58541 .22235 L .6028 .21231 L p F P
0 g
s
.707 .577 .707 r
.59413 .19729 m .58532 .18281 L .56794 .19285 L p F P
0 g
s
.707 .577 .707 r
.56794 .19285 m .57697 .20772 L .59413 .19729 L p F P
0 g
s
.707 .577 .707 r
.58532 .18281 m .57719 .16882 L .55892 .17716 L p F P
0 g
s
.707 .577 .707 r
.55892 .17716 m .56794 .19285 L .58532 .18281 L p F P
0 g
s
.707 .577 .707 r
.57719 .16882 m .57069 .1546 L .5524 .16286 L p F P
0 g
s
.707 .577 .707 r
.5524 .16286 m .55892 .17716 L .57719 .16882 L p F P
0 g
s
.707 .577 .707 r
.57069 .1546 m .564 .13981 L .54618 .14907 L p F P
0 g
s
.707 .577 .707 r
.54618 .14907 m .5524 .16286 L .57069 .1546 L p F P
0 g
s
.707 .577 .707 r
.564 .13981 m .55648 .12541 L .53949 .13611 L p F P
0 g
s
.707 .577 .707 r
.53949 .13611 m .54618 .14907 L .564 .13981 L p F P
0 g
s
.707 .577 .707 r
.55648 .12541 m .54773 .11161 L .5319 .12395 L p F P
0 g
s
.707 .577 .707 r
.5319 .12395 m .53949 .13611 L .55648 .12541 L p F P
0 g
s
.707 .577 .707 r
.54773 .11161 m .53858 .1 L .52441 .11422 L p F P
0 g
s
.707 .577 .707 r
.52441 .11422 m .5319 .12395 L .54773 .11161 L p F P
0 g
s
.707 .577 .707 r
.53858 .1 m .52811 .08967 L .51576 .1055 L p F P
0 g
s
.707 .577 .707 r
.51576 .1055 m .52441 .11422 L .53858 .1 L p F P
0 g
s
.741 .626 .732 r
.48407 .6887 m .49411 .69618 L .50585 .67989 L p F P
0 g
s
.741 .626 .732 r
.50585 .67989 m .49624 .67271 L .48407 .6887 L p F P
0 g
s
.707 .577 .707 r
.17257 .31479 m .1587 .31991 L .16784 .33778 L p F P
0 g
s
.707 .577 .707 r
.82312 .44075 m .83511 .42981 L .8208 .41573 L p F P
0 g
s
.707 .577 .707 r
.85691 .40562 m .86512 .39333 L .84722 .38425 L p F P
0 g
s
.707 .577 .707 r
.84722 .38425 m .84027 .39438 L .85691 .40562 L p F P
0 g
s
.707 .577 .707 r
.26131 .65469 m .25967 .67079 L .27935 .67478 L p F P
0 g
s
.429 .394 .718 r
.95922 .50506 m .95326 .46942 L .96538 .46787 L p F P
0 g
s
.429 .394 .718 r
.96538 .46787 m .97147 .5051 L .95922 .50506 L p F P
0 g
s
.824 .523 .481 r
.10864 .71406 m .13441 .73936 L .12547 .7476 L p F P
0 g
s
.824 .523 .481 r
.12547 .7476 m .09867 .72109 L .10864 .71406 L p F P
0 g
s
.643 .721 .905 r
.67393 .04502 m .6382 .03967 L .64055 .02761 L p F P
0 g
s
.643 .721 .905 r
.64055 .02761 m .67782 .03333 L .67393 .04502 L p F P
0 g
s
.539 .27 .455 r
.60985 .91855 m .6419 .90186 L .64704 .91285 L p F P
0 g
s
.539 .27 .455 r
.64704 .91285 m .61354 .93016 L .60985 .91855 L p F P
0 g
s
.867 .814 .795 r
.16935 .14436 m .14795 .17392 L .13809 .16655 L p F P
0 g
s
.867 .814 .795 r
.13809 .16655 m .16071 .13557 L .16935 .14436 L p F P
0 g
s
.52 .651 .917 r
.35677 .55575 m .37092 .5638 L .36334 .57035 L p F P
0 g
s
.52 .651 .917 r
.36334 .57035 m .34928 .56238 L .35677 .55575 L p F P
0 g
s
.866 .87 .839 r
.53605 .63358 m .54807 .62262 L .55189 .63192 L p F P
0 g
s
.866 .87 .839 r
.55189 .63192 m .53997 .64281 L .53605 .63358 L p F P
0 g
s
.336 .251 .61 r
.3754 .36119 m .37212 .37715 L .36362 .37201 L p F P
0 g
s
.336 .251 .61 r
.36362 .37201 m .36685 .35616 L .3754 .36119 L p F P
0 g
s
.9 .608 .482 r
.66548 .48713 m .65876 .47232 L .6687 .47162 L p F P
0 g
s
.9 .608 .482 r
.6687 .47162 m .6754 .48631 L .66548 .48713 L p F P
0 g
s
.738 .618 .725 r
.34928 .56238 m .36334 .57035 L .35319 .58769 L p F P
0 g
s
.734 .579 .682 r
.53997 .64281 m .55189 .63192 L .56524 .64693 L p F P
0 g
s
.698 .6 .742 r
.36685 .35616 m .36362 .37201 L .344 .36771 L p F P
0 g
s
.691 .537 .673 r
.6754 .48631 m .6687 .47162 L .6871 .46355 L p F P
0 g
s
.57 .222 .339 r
.56619 .31878 m .55002 .32061 L .55235 .31098 L p F P
0 g
s
.57 .222 .339 r
.55235 .31098 m .5684 .30914 L .56619 .31878 L p F P
0 g
s
.67 .55 .71 r
.5684 .30914 m .55235 .31098 L .55037 .29099 L p F P
0 g
s
.738 .618 .725 r
.35319 .58769 m .33921 .57978 L .34928 .56238 L p F P
0 g
s
.734 .579 .682 r
.56524 .64693 m .55342 .65777 L .53997 .64281 L p F P
0 g
s
.698 .6 .742 r
.344 .36771 m .34718 .35196 L .36685 .35616 L p F P
0 g
s
.691 .537 .673 r
.6871 .46355 m .69378 .47814 L .6754 .48631 L p F P
0 g
s
.67 .55 .71 r
.55037 .29099 m .56632 .28915 L .5684 .30914 L p F P
0 g
s
.854 .545 .466 r
.42351 .61132 m .43581 .62184 L .44011 .6114 L p F P
0 g
s
.854 .545 .466 r
.44011 .6114 m .4277 .60085 L .42351 .61132 L p F P
0 g
s
.46 .267 .531 r
.87777 .70193 m .89814 .67523 L .8882 .66837 L p F P
0 g
s
.6 .707 .919 r
.47954 .31304 m .4634 .31179 L .46611 .3229 L p F P
0 g
s
.6 .707 .919 r
.46611 .3229 m .48235 .32412 L .47954 .31304 L p F P
0 g
s
.906 .73 .652 r
.05879 .5068 m .05799 .54034 L .07011 .54019 L p F P
0 g
s
.537 .235 .402 r
.60953 .58729 m .62333 .57884 L .61465 .57158 L p F P
0 g
s
.537 .235 .402 r
.61465 .57158 m .60079 .58012 L .60953 .58729 L p F P
0 g
s
.477 .513 .816 r
.83606 .18328 m .81697 .15565 L .8073 .16303 L p F P
0 g
s
.89 .835 .786 r
.34317 .44183 m .33698 .45679 L .34831 .45771 L p F P
0 g
s
.89 .835 .786 r
.34831 .45771 m .3545 .44263 L .34317 .44183 L p F P
0 g
s
.727 .401 .428 r
.39739 .90188 m .42906 .91299 L .43259 .90147 L p F P
0 g
s
.382 .337 .684 r
.64416 .40294 m .64038 .38722 L .63072 .39328 L p F P
0 g
s
.382 .337 .684 r
.63072 .39328 m .63457 .40909 L .64416 .40294 L p F P
0 g
s
.712 .775 .902 r
.36299 .05822 m .32975 .06231 L .33201 .07425 L p F P
0 g
s
.461 .582 .889 r
.43443 .64747 m .4224 .63692 L .4134 .64142 L p F P
0 g
s
.913 .886 .792 r
.92396 .68671 m .94155 .65288 L .93343 .65179 L p F P
0 g
s
.913 .886 .792 r
.93343 .65179 m .91609 .68444 L .92396 .68671 L p F P
0 g
s
.629 .26 .324 r
.44947 .29028 m .46539 .29171 L .47008 .28291 L p F P
0 g
s
.281 .257 .653 r
.0304 .54637 m .03604 .58405 L .04321 .58002 L p F P
0 g
s
.281 .257 .653 r
.04321 .58002 m .03805 .54344 L .0304 .54637 L p F P
0 g
s
.822 .871 .882 r
.64726 .58809 m .63352 .59626 L .63495 .60626 L p F P
0 g
s
.875 .528 .391 r
.83579 .13469 m .80907 .1075 L .8056 .11483 L p F P
0 g
s
.875 .528 .391 r
.8056 .11483 m .83128 .14142 L .83579 .13469 L p F P
0 g
s
.34 .203 .545 r
.3122 .46341 m .31849 .4487 L .3115 .44158 L p F P
0 g
s
.548 .718 .951 r
.4262 .94114 m .46379 .94741 L .46225 .9393 L p F P
0 g
s
.548 .718 .951 r
.46225 .9393 m .42585 .93291 L .4262 .94114 L p F P
0 g
s
.928 .676 .535 r
.65655 .36733 m .66009 .38291 L .66997 .3847 L p F P
0 g
s
.532 .164 .288 r
.31964 .03602 m .28337 .04758 L .28844 .0539 L p F P
0 g
s
.532 .164 .288 r
.28844 .0539 m .32354 .04311 L .31964 .03602 L p F P
0 g
s
.736 .62 .73 r
.47137 .67876 m .48407 .6887 L .49624 .67271 L p F P
0 g
s
.736 .62 .73 r
.49624 .67271 m .484 .66311 L .47137 .67876 L p F P
0 g
s
.668 .544 .704 r
.40122 .28675 m .38511 .2862 L .38466 .30629 L p F P
0 g
s
.668 .544 .704 r
.38466 .30629 m .4002 .30683 L .40122 .28675 L p F P
0 g
s
.738 .586 .685 r
.68839 .56266 m .70175 .55366 L .69031 .53714 L p F P
0 g
s
.738 .586 .685 r
.69031 .53714 m .67741 .54581 L .68839 .56266 L p F P
0 g
s
.693 .594 .742 r
.29389 .50824 m .28837 .5234 L .30734 .53004 L p F P
0 g
s
.693 .594 .742 r
.30734 .53004 m .31267 .51541 L .29389 .50824 L p F P
0 g
s
.696 .538 .669 r
.64504 .32038 m .64059 .3049 L .62135 .31068 L p F P
0 g
s
.696 .538 .669 r
.62135 .31068 m .62562 .32562 L .64504 .32038 L p F P
0 g
s
.691 .568 .712 r
.76657 .78975 m .80301 .77811 L .79384 .76021 L p F P
0 g
s
.691 .568 .712 r
.79384 .76021 m .76024 .77068 L .76657 .78975 L p F P
0 g
s
.717 .574 .693 r
.09716 .3705 m .07452 .4013 L .09245 .4104 L p F P
0 g
s
.717 .574 .693 r
.09245 .4104 m .1135 .3822 L .09716 .3705 L p F P
0 g
s
.707 .591 .724 r
.88516 .31621 m .88536 .27795 L .86551 .28114 L p F P
0 g
s
.707 .591 .724 r
.86551 .28114 m .86506 .31634 L .88516 .31621 L p F P
0 g
s
.697 .558 .693 r
.27957 .8233 m .30188 .85435 L .31607 .8401 L p F P
0 g
s
.697 .558 .693 r
.31607 .8401 m .29574 .81138 L .27957 .8233 L p F P
0 g
s
.437 .426 .749 r
.95326 .46942 m .94201 .43345 L .9537 .43008 L p F P
0 g
s
.437 .426 .749 r
.9537 .43008 m .96538 .46787 L .95326 .46942 L p F P
0 g
s
.798 .485 .46 r
.13441 .73936 m .16464 .76182 L .15712 .77128 L p F P
0 g
s
.798 .485 .46 r
.15712 .77128 m .12547 .7476 L .13441 .73936 L p F P
0 g
s
.675 .749 .906 r
.6382 .03967 m .60054 .03924 L .60102 .02703 L p F P
0 g
s
.675 .749 .906 r
.60102 .02703 m .64055 .02761 L .6382 .03967 L p F P
0 g
s
.511 .261 .472 r
.6419 .90186 m .67261 .88003 L .67936 .89006 L p F P
0 g
s
.511 .261 .472 r
.67936 .89006 m .64704 .91285 L .6419 .90186 L p F P
0 g
s
.887 .802 .76 r
.14795 .17392 m .13182 .20626 L .12114 .20025 L p F P
0 g
s
.887 .802 .76 r
.12114 .20025 m .13809 .16655 L .14795 .17392 L p F P
0 g
s
.515 .645 .914 r
.34317 .54771 m .35677 .55575 L .34928 .56238 L p F P
0 g
s
.515 .645 .914 r
.34928 .56238 m .3356 .55424 L .34314 .54773 L p F P
0 g
s
.515 .645 .914 r
.34928 .56238 m .34314 .54773 L .34319 .54777 L F
.737 .617 .725 r
.3356 .55424 m .34928 .56238 L .33921 .57978 L p F P
0 g
s
.82 .493 .435 r
.34036 .55853 m .35418 .56661 L .35676 .55579 L p F P
0 g
s
.82 .493 .435 r
.35676 .55579 m .35677 .55575 L p .35671 .55576 L F P
0 g
s
.82 .493 .435 r
.35671 .55576 m .34036 .55853 L .35676 .55579 L F
.515 .645 .914 r
.34314 .54773 m .34317 .54771 L p .34319 .54777 L F P
0 g
s
.576 .226 .338 r
.58192 .31726 m .56619 .31878 L .5684 .30914 L p F P
0 g
s
.576 .226 .338 r
.5684 .30914 m .58424 .30766 L .58192 .31722 L p F P
0 g
s
.576 .226 .338 r
.5684 .30914 m .58192 .31722 L .58186 .31723 L F
.67 .55 .709 r
.58424 .30766 m .5684 .30914 L .56632 .28915 L p F P
0 g
s
.644 .747 .924 r
.57778 .30672 m .56186 .30833 L .56618 .31874 L p F P
0 g
s
.644 .747 .924 r
.56618 .31874 m .56619 .31878 L p .56623 .31874 L F P
0 g
s
.644 .747 .924 r
.56623 .31874 m .57778 .30672 L .56618 .31874 L F
.576 .226 .338 r
.58192 .31722 m .58192 .31726 L p .58186 .31723 L F P
0 g
s
.863 .871 .843 r
.52422 .64403 m .53605 .63358 L .53997 .64281 L p F P
0 g
s
.863 .871 .843 r
.53997 .64281 m .52802 .6533 L .52423 .64407 L p F P
0 g
s
.863 .871 .843 r
.53997 .64281 m .52423 .64407 L .52428 .64403 L F
.734 .579 .682 r
.52802 .6533 m .53997 .64281 L .55342 .65777 L p F P
0 g
s
.498 .221 .425 r
.53371 .64999 m .54566 .63935 L .53609 .6336 L p F P
0 g
s
.498 .221 .425 r
.53609 .6336 m .53605 .63358 L p .53604 .63364 L F P
0 g
s
.498 .221 .425 r
.53604 .63364 m .53371 .64999 L .53609 .6336 L F
.863 .871 .843 r
.52423 .64407 m .52422 .64403 L p .52428 .64403 L F P
0 g
s
.336 .247 .605 r
.37882 .34575 m .3754 .36119 L .36685 .35616 L p F P
0 g
s
.336 .247 .605 r
.36685 .35616 m .37034 .34062 L .37879 .34573 L p F P
0 g
s
.336 .247 .605 r
.36685 .35616 m .37879 .34573 L .37878 .34579 L F
.698 .599 .742 r
.37034 .34062 m .36685 .35616 L .34718 .35196 L p F P
0 g
s
.909 .818 .745 r
.3676 .34637 m .36419 .36203 L .37536 .36119 L p F P
0 g
s
.909 .818 .745 r
.37536 .36119 m .3754 .36119 L p .37537 .36113 L F P
0 g
s
.909 .818 .745 r
.37537 .36113 m .3676 .34637 L .37536 .36119 L F
.336 .247 .605 r
.37879 .34573 m .37882 .34575 L p .37878 .34579 L F P
0 g
s
.903 .614 .487 r
.67177 .5016 m .66548 .48713 L .6754 .48631 L p F P
0 g
s
.903 .614 .487 r
.6754 .48631 m .68169 .5009 L .67181 .5016 L p F P
0 g
s
.903 .614 .487 r
.6754 .48631 m .67181 .5016 L .67179 .50155 L F
.692 .537 .673 r
.68169 .5009 m .6754 .48631 L .69378 .47814 L p F P
0 g
s
.391 .381 .728 r
.68045 .49437 m .67401 .47972 L .66551 .4871 L p F P
0 g
s
.391 .381 .728 r
.66551 .4871 m .66548 .48713 L p .66554 .48716 L F P
0 g
s
.391 .381 .728 r
.66554 .48716 m .68045 .49437 L .66551 .4871 L F
.903 .614 .487 r
.67181 .5016 m .67177 .5016 L p .67179 .50155 L F P
0 g
s
.737 .617 .725 r
.33921 .57978 m .32524 .5715 L .3356 .55424 L p F P
0 g
s
.67 .55 .709 r
.56632 .28915 m .58248 .28761 L .58424 .30766 L p F P
0 g
s
.734 .579 .682 r
.55342 .65777 m .54123 .66848 L .52802 .6533 L p F P
0 g
s
.698 .599 .742 r
.34718 .35196 m .35073 .33611 L .37034 .34062 L p F P
0 g
s
.692 .537 .673 r
.69378 .47814 m .70021 .49303 L .68169 .5009 L p F P
0 g
s
.818 .493 .44 r
.32524 .5715 m .33921 .57978 L .33655 .59071 L p F P
0 g
s
.647 .746 .922 r
.58248 .28761 m .56632 .28915 L .562 .27861 L p F P
0 g
s
.501 .227 .431 r
.54123 .66848 m .55342 .65777 L .56306 .66362 L p F P
0 g
s
.907 .814 .744 r
.35073 .33611 m .34718 .35196 L .3359 .35276 L p F P
0 g
s
.397 .386 .73 r
.70021 .49303 m .69378 .47814 L .70239 .47073 L p F P
0 g
s
.844 .531 .458 r
.41057 .60109 m .42351 .61132 L .4277 .60085 L p F P
0 g
s
.844 .531 .458 r
.4277 .60085 m .41437 .59048 L .41057 .60109 L p F P
0 g
s
.442 .28 .565 r
.89814 .67523 m .91438 .64508 L .90362 .63951 L p F P
0 g
s
.613 .719 .921 r
.496 .31369 m .47954 .31304 L .48235 .32412 L p F P
0 g
s
.613 .719 .921 r
.48235 .32412 m .49922 .32464 L .496 .31369 L p F P
0 g
s
.902 .695 .614 r
.05799 .54034 m .06257 .57426 L .07459 .57257 L p F P
0 g
s
.526 .231 .409 r
.59582 .59642 m .60953 .58729 L .60079 .58012 L p F P
0 g
s
.526 .231 .409 r
.60079 .58012 m .58683 .58958 L .59582 .59642 L p F P
0 g
s
.503 .557 .844 r
.81697 .15565 m .79332 .13087 L .78464 .13944 L p F P
0 g
s
.896 .831 .775 r
.34889 .42636 m .34317 .44183 L .3545 .44263 L p F P
0 g
s
.896 .831 .775 r
.3545 .44263 m .36022 .42674 L .34889 .42636 L p F P
0 g
s
.69 .365 .421 r
.42906 .91299 m .46275 .91911 L .46479 .90721 L p F P
0 g
s
.384 .35 .697 r
.64862 .4188 m .64416 .40294 L .63457 .40909 L p F P
0 g
s
.384 .35 .697 r
.63457 .40909 m .63927 .42528 L .64862 .4188 L p F P
0 g
s
.751 .797 .89 r
.32975 .06231 m .29756 .07193 L .30152 .08347 L p F P
0 g
s
.465 .587 .891 r
.4224 .63692 m .41032 .62662 L .40144 .63131 L p F P
0 g
s
.934 .869 .75 r
.94155 .65288 m .95411 .61838 L .94596 .61763 L p F P
0 g
s
.934 .869 .75 r
.94596 .61763 m .93343 .65179 L .94155 .65288 L p F P
0 g
s
.625 .256 .324 r
.46539 .29171 m .48121 .29292 L .48568 .28404 L p F P
0 g
s
.288 .3 .699 r
.03604 .58405 m .04616 .61933 L .05314 .615 L p F P
0 g
s
.288 .3 .699 r
.05314 .615 m .04321 .58002 L .03604 .58405 L p F P
0 g
s
.825 .872 .879 r
.63352 .59626 m .62 .60455 L .62165 .6145 L p F P
0 g
s
.841 .474 .357 r
.80907 .1075 m .78015 .08487 L .777 .09234 L p F P
0 g
s
.841 .474 .357 r
.777 .09234 m .8056 .11483 L .80907 .1075 L p F P
0 g
s
.338 .206 .55 r
.31849 .4487 m .32454 .43402 L .31741 .42707 L p F P
0 g
s
.594 .76 .958 r
.46379 .94741 m .50048 .94869 L .49859 .94065 L p F P
0 g
s
.594 .76 .958 r
.49859 .94065 m .46225 .9393 L .46379 .94741 L p F P
0 g
s
.927 .671 .53 r
.66009 .38291 m .66382 .39832 L .67371 .39988 L p F P
0 g
s
.48 .135 .303 r
.28337 .04758 m .24923 .06459 L .2552 .07012 L p F P
0 g
s
.48 .135 .303 r
.2552 .07012 m .28844 .0539 L .28337 .04758 L p F P
0 g
s
.735 .62 .73 r
.4589 .66858 m .47137 .67876 L .484 .66311 L p F P
0 g
s
.735 .62 .73 r
.484 .66311 m .47184 .65316 L .4589 .66858 L p F P
0 g
s
.668 .544 .703 r
.41728 .28763 m .40122 .28675 L .4002 .30683 L p F P
0 g
s
.668 .544 .703 r
.4002 .30683 m .41588 .30771 L .41728 .28763 L p F P
0 g
s
.738 .586 .686 r
.67486 .57136 m .68839 .56266 L .67741 .54581 L p F P
0 g
s
.738 .586 .686 r
.67741 .54581 m .6642 .55429 L .67486 .57136 L p F P
0 g
s
.692 .594 .741 r
.29971 .49322 m .29389 .50824 L .31267 .51541 L p F P
0 g
s
.692 .594 .741 r
.31267 .51541 m .31837 .50076 L .29971 .49322 L p F P
0 g
s
.697 .539 .669 r
.64914 .33592 m .64504 .32038 L .62562 .32562 L p F P
0 g
s
.697 .539 .669 r
.62562 .32562 m .62961 .34079 L .64914 .33592 L p F P
0 g
s
.692 .571 .715 r
.82496 .7451 m .79384 .76021 L .80301 .77811 L p F P
0 g
s
.715 .571 .692 r
.07615 .44089 m .09245 .4104 L .07452 .4013 L p F P
0 g
s
.71 .593 .724 r
.86076 .24686 m .86551 .28114 L .88536 .27795 L p F P
0 g
s
.695 .557 .695 r
.34004 .86501 m .31607 .8401 L .30188 .85435 L p F P
0 g
s
.692 .571 .715 r
.80301 .77811 m .83699 .76124 L .82496 .7451 L p F P
0 g
s
.715 .571 .692 r
.07452 .4013 m .05694 .4349 L .07615 .44089 L p F P
0 g
s
.71 .593 .724 r
.88536 .27795 m .87983 .24041 L .86076 .24686 L p F P
0 g
s
.695 .557 .695 r
.30188 .85435 m .32841 .88144 L .34004 .86501 L p F P
0 g
s
.723 .594 .712 r
.47142 .05673 m .43508 .04469 L .43197 .06458 L p F P
0 g
s
.723 .594 .712 r
.43197 .06458 m .46533 .0759 L .47142 .05673 L p F P
0 g
s
.898 .786 .729 r
.13182 .20626 m .11977 .24198 L .10837 .23769 L p F P
0 g
s
.898 .786 .729 r
.10837 .23769 m .12114 .20025 L .13182 .20626 L p F P
0 g
s
.452 .469 .786 r
.94201 .43345 m .92504 .40001 L .93607 .39503 L p F P
0 g
s
.452 .469 .786 r
.93607 .39503 m .9537 .43008 L .94201 .43345 L p F P
0 g
s
.715 .778 .902 r
.60054 .03924 m .5635 .04503 L .56224 .03295 L p F P
0 g
s
.715 .778 .902 r
.56224 .03295 m .60102 .02703 L .60054 .03924 L p F P
0 g
s
.48 .257 .498 r
.67261 .88003 m .69916 .85355 L .70724 .86245 L p F P
0 g
s
.48 .257 .498 r
.70724 .86245 m .67936 .89006 L .67261 .88003 L p F P
0 g
s
.763 .439 .437 r
.16464 .76182 m .19802 .77888 L .19198 .78925 L p F P
0 g
s
.763 .439 .437 r
.19198 .78925 m .15712 .77128 L .16464 .76182 L p F P
0 g
s
.51 .639 .912 r
.32972 .53944 m .34317 .54771 L .3356 .55424 L p F P
0 g
s
.51 .639 .912 r
.3356 .55424 m .32208 .54586 L .32969 .53947 L p F P
0 g
s
.51 .639 .912 r
.3356 .55424 m .32969 .53947 L .32975 .5395 L F
.737 .618 .725 r
.32208 .54586 m .3356 .55424 L .32524 .5715 L p F P
0 g
s
.824 .499 .438 r
.32666 .55019 m .34036 .55853 L .34315 .54775 L p F P
0 g
s
.824 .499 .438 r
.34315 .54775 m .34317 .54771 L p .3431 .54772 L F P
0 g
s
.824 .499 .438 r
.3431 .54772 m .32666 .55019 L .34315 .54775 L F
.51 .639 .912 r
.32969 .53947 m .32972 .53944 L p .32975 .5395 L F P
0 g
s
.581 .229 .337 r
.59765 .31602 m .58192 .31726 L .58424 .30766 L p F P
0 g
s
.581 .229 .337 r
.58424 .30766 m .6001 .30647 L .59766 .31598 L p F P
0 g
s
.581 .229 .337 r
.58424 .30766 m .59766 .31598 L .59759 .31598 L F
.67 .549 .709 r
.6001 .30647 m .58424 .30766 L .58248 .28761 L p F P
0 g
s
.639 .743 .924 r
.59376 .30539 m .57778 .30672 L .5819 .31721 L p F P
0 g
s
.639 .743 .924 r
.5819 .31721 m .58192 .31726 L p .58196 .31721 L F P
0 g
s
.639 .743 .924 r
.58196 .31721 m .59376 .30539 L .5819 .31721 L F
.581 .229 .337 r
.59766 .31598 m .59765 .31602 L p .59759 .31598 L F P
0 g
s
.859 .871 .847 r
.51221 .65425 m .52422 .64403 L .52802 .6533 L p F P
0 g
s
.859 .871 .847 r
.52802 .6533 m .51589 .66355 L .51223 .65429 L p F P
0 g
s
.859 .871 .847 r
.52802 .6533 m .51223 .65429 L .51228 .65425 L F
.734 .58 .683 r
.51589 .66355 m .52802 .6533 L .54123 .66848 L p F P
0 g
s
.502 .222 .422 r
.52156 .66043 m .53371 .64999 L .52426 .64406 L p F P
0 g
s
.502 .222 .422 r
.52426 .64406 m .52422 .64403 L p .52421 .6441 L F P
0 g
s
.502 .222 .422 r
.52421 .6441 m .52156 .66043 L .52426 .64406 L F
.859 .871 .847 r
.51223 .65429 m .51221 .65425 L p .51228 .65425 L F P
0 g
s
.337 .243 .599 r
.38252 .3304 m .37882 .34575 L .37034 .34062 L p F P
0 g
s
.337 .243 .599 r
.37034 .34062 m .37412 .32517 L .38249 .33038 L p F P
0 g
s
.337 .243 .599 r
.37034 .34062 m .38249 .33038 L .38247 .33044 L F
.697 .598 .742 r
.37412 .32517 m .37034 .34062 L .35073 .33611 L p F P
0 g
s
.907 .82 .75 r
.37128 .33076 m .3676 .34637 L .37878 .34575 L p F P
0 g
s
.907 .82 .75 r
.37878 .34575 m .37882 .34575 L p .37879 .34569 L F P
0 g
s
.907 .82 .75 r
.37879 .34569 m .37128 .33076 L .37878 .34575 L F
.337 .243 .599 r
.38249 .33038 m .38252 .3304 L p .38247 .33044 L F P
0 g
s
.906 .62 .492 r
.6778 .51617 m .67177 .5016 L .68169 .5009 L p F P
0 g
s
.906 .62 .492 r
.68169 .5009 m .68771 .5156 L .67784 .51617 L p F P
0 g
s
.906 .62 .492 r
.68169 .5009 m .67784 .51617 L .67781 .5161 L F
.693 .538 .672 r
.68771 .5156 m .68169 .5009 L .70021 .49303 L p F P
0 g
s
.39 .376 .723 r
.68664 .50913 m .68045 .49437 L .67181 .50157 L p F P
0 g
s
.39 .376 .723 r
.67181 .50157 m .67177 .5016 L p .67184 .50164 L F P
0 g
s
.39 .376 .723 r
.67184 .50164 m .68664 .50913 L .67181 .50157 L F
.906 .62 .492 r
.67784 .51617 m .6778 .51617 L p .67781 .5161 L F P
0 g
s
.737 .618 .725 r
.32524 .5715 m .31141 .56294 L .32208 .54586 L p F P
0 g
s
.822 .499 .443 r
.31141 .56294 m .32524 .5715 L .32237 .58237 L p F P
0 g
s
.818 .493 .44 r
.33655 .59071 m .32237 .58237 L .32524 .5715 L p F P
0 g
s
.67 .549 .709 r
.58248 .28761 m .59869 .28638 L .6001 .30647 L p F P
0 g
s
.734 .58 .683 r
.54123 .66848 m .52883 .67898 L .51589 .66355 L p F P
0 g
s
.697 .598 .742 r
.35073 .33611 m .35458 .3203 L .37412 .32517 L p F P
0 g
s
.643 .742 .921 r
.59869 .28638 m .58248 .28761 L .57837 .27699 L p F P
0 g
s
.647 .746 .922 r
.562 .27861 m .57837 .27699 L .58248 .28761 L p F P
0 g
s
.505 .228 .428 r
.52883 .67898 m .54123 .66848 L .55076 .67452 L p F P
0 g
s
.501 .227 .431 r
.56306 .66362 m .55076 .67452 L .54123 .66848 L p F P
0 g
s
.905 .816 .749 r
.35458 .3203 m .35073 .33611 L .33943 .33668 L p F P
0 g
s
.907 .814 .744 r
.3359 .35276 m .33943 .33668 L .35073 .33611 L p F P
0 g
s
.693 .538 .672 r
.70021 .49303 m .70638 .50806 L .68771 .5156 L p F P
0 g
s
.396 .381 .725 r
.70638 .50806 m .70021 .49303 L .70897 .48579 L p F P
0 g
s
.397 .386 .73 r
.70239 .47073 m .70897 .48579 L .70021 .49303 L p F P
0 g
s
.829 .506 .443 r
.39668 .59156 m .41057 .60109 L .41437 .59048 L p F P
0 g
s
.829 .506 .443 r
.41437 .59048 m .39976 .58076 L .39668 .59156 L p F P
0 g
s
.431 .296 .596 r
.91438 .64508 m .92659 .61186 L .91553 .60689 L p F P
0 g
s
.634 .737 .923 r
.51283 .31321 m .496 .31369 L .49922 .32464 L p F P
0 g
s
.634 .737 .923 r
.49922 .32464 m .51674 .32389 L .51283 .31321 L p F P
0 g
s
.893 .662 .582 r
.06257 .57426 m .07221 .60828 L .08412 .60594 L p F P
0 g
s
.508 .225 .42 r
.58248 .60667 m .59582 .59642 L .58683 .58958 L p F P
0 g
s
.508 .225 .42 r
.58683 .58958 m .57309 .60046 L .58248 .60667 L p F P
0 g
s
.529 .594 .864 r
.79332 .13087 m .76552 .10899 L .7573 .11801 L p F P
0 g
s
.904 .822 .756 r
.35364 .41019 m .34889 .42636 L .36022 .42674 L p F P
0 g
s
.904 .822 .756 r
.36022 .42674 m .36494 .40983 L .35364 .41019 L p F P
0 g
s
.656 .337 .42 r
.46275 .91911 m .49809 .92044 L .49948 .90845 L p F P
0 g
s
.389 .371 .718 r
.65426 .43464 m .64862 .4188 L .63927 .42528 L p F P
0 g
s
.389 .371 .718 r
.63927 .42528 m .64538 .44171 L .65426 .43464 L p F P
0 g
s
.785 .812 .874 r
.29756 .07193 m .26668 .08676 L .27207 .09773 L p F P
0 g
s
.612 .247 .325 r
.48121 .29292 m .49677 .29349 L .50074 .28442 L p F P
0 g
s
.922 .657 .519 r
.66382 .39832 m .66806 .41328 L .67799 .41431 L p F P
0 g
s
.336 .214 .563 r
.32454 .43402 m .32991 .41938 L .32244 .41285 L p F P
0 g
s
.476 .601 .898 r
.41032 .62662 m .39808 .61698 L .38949 .62212 L p F P
0 g
s
.835 .873 .871 r
.62 .60455 m .60707 .61321 L .60924 .62302 L p F P
0 g
s
.94 .862 .735 r
.95411 .61838 m .9653 .58156 L .95711 .58205 L p F P
0 g
s
.94 .862 .735 r
.95711 .58205 m .94596 .61763 L .95411 .61838 L p F P
0 g
s
.292 .316 .715 r
.04616 .61933 m .05873 .65566 L .06503 .65031 L p F P
0 g
s
.292 .316 .715 r
.06503 .65031 m .05314 .615 L .04616 .61933 L p F P
0 g
s
.828 .455 .346 r
.78015 .08487 m .74861 .06285 L .74661 .07074 L p F P
0 g
s
.828 .455 .346 r
.74661 .07074 m .777 .09234 L .78015 .08487 L p F P
0 g
s
.61 .775 .959 r
.50048 .94869 m .53894 .94794 L .53587 .94024 L p F P
0 g
s
.61 .775 .959 r
.53587 .94024 m .49859 .94065 L .50048 .94869 L p F P
0 g
s
.439 .119 .324 r
.24923 .06459 m .21876 .08512 L .22497 .09038 L p F P
0 g
s
.439 .119 .324 r
.22497 .09038 m .2552 .07012 L .24923 .06459 L p F P
0 g
s
.735 .62 .731 r
.44662 .65815 m .4589 .66858 L .47184 .65316 L p F P
0 g
s
.735 .62 .731 r
.47184 .65316 m .45984 .64296 L .44662 .65815 L p F P
0 g
s
.669 .543 .703 r
.43334 .28882 m .41728 .28763 L .41588 .30771 L p F P
0 g
s
.669 .543 .703 r
.41588 .30771 m .43157 .30888 L .43334 .28882 L p F P
0 g
s
.738 .587 .687 r
.66117 .57981 m .67486 .57136 L .6642 .55429 L p F P
0 g
s
.738 .587 .687 r
.6642 .55429 m .65081 .56254 L .66117 .57981 L p F P
0 g
s
.691 .593 .741 r
.30581 .47831 m .29971 .49322 L .31837 .50076 L p F P
0 g
s
.691 .593 .741 r
.31837 .50076 m .32435 .48619 L .30581 .47831 L p F P
0 g
s
.698 .54 .669 r
.65296 .35155 m .64914 .33592 L .62961 .34079 L p F P
0 g
s
.698 .54 .669 r
.62961 .34079 m .63333 .35607 L .65296 .35155 L p F P
0 g
s
.724 .593 .71 r
.39789 .05848 m .43197 .06458 L .43508 .04469 L p F P
0 g
s
.724 .593 .71 r
.43508 .04469 m .39765 .03834 L .39789 .05848 L p F P
0 g
s
.693 .574 .717 r
.83699 .76124 m .86741 .73919 L .85332 .72479 L p F P
0 g
s
.693 .574 .717 r
.85332 .72479 m .82496 .7451 L .83699 .76124 L p F P
0 g
s
.712 .595 .723 r
.87983 .24041 m .86827 .20465 L .85022 .21361 L p F P
0 g
s
.712 .595 .723 r
.85022 .21361 m .86076 .24686 L .87983 .24041 L p F P
0 g
s
.693 .558 .697 r
.32841 .88144 m .35877 .90355 L .36811 .8857 L p F P
0 g
s
.693 .558 .697 r
.36811 .8857 m .34004 .86501 L .32841 .88144 L p F P
0 g
s
.712 .568 .691 r
.05694 .4349 m .04528 .47059 L .06514 .47396 L p F P
0 g
s
.712 .568 .691 r
.06514 .47396 m .07615 .44089 L .05694 .4349 L p F P
0 g
s
.47 .51 .817 r
.92504 .40001 m .90294 .36916 L .91312 .36276 L p F P
0 g
s
.47 .51 .817 r
.91312 .36276 m .93607 .39503 L .92504 .40001 L p F P
0 g
s
.727 .398 .422 r
.19802 .77888 m .23402 .79082 L .22951 .80184 L p F P
0 g
s
.727 .398 .422 r
.22951 .80184 m .19198 .78925 L .19802 .77888 L p F P
0 g
s
.75 .8 .893 r
.5635 .04503 m .52735 .05651 L .52447 .0448 L p F P
0 g
s
.75 .8 .893 r
.52447 .0448 m .56224 .03295 L .5635 .04503 L p F P
0 g
s
.454 .26 .526 r
.69916 .85355 m .72166 .82299 L .73082 .83063 L p F P
0 g
s
.454 .26 .526 r
.73082 .83063 m .70724 .86245 L .69916 .85355 L p F P
0 g
s
.907 .762 .689 r
.11977 .24198 m .11385 .27901 L .10203 .27641 L p F P
0 g
s
.907 .762 .689 r
.10203 .27641 m .10837 .23769 L .11977 .24198 L p F P
0 g
s
.587 .232 .335 r
.61337 .31508 m .59765 .31602 L .6001 .30647 L p F P
0 g
s
.587 .232 .335 r
.6001 .30647 m .61596 .30558 L .61338 .31504 L p F P
0 g
s
.587 .232 .335 r
.6001 .30647 m .61338 .31504 L .61331 .31504 L F
.67 .548 .708 r
.61596 .30558 m .6001 .30647 L .59869 .28638 L p F P
0 g
s
.634 .738 .923 r
.60973 .30436 m .59376 .30539 L .59763 .31597 L p F P
0 g
s
.634 .738 .923 r
.59763 .31597 m .59765 .31602 L p .5977 .31597 L F P
0 g
s
.634 .738 .923 r
.5977 .31597 m .60973 .30436 L .59763 .31597 L F
.587 .232 .335 r
.61338 .31504 m .61337 .31508 L p .61331 .31504 L F P
0 g
s
.855 .871 .851 r
.50003 .66423 m .51221 .65425 L .51589 .66355 L p F P
0 g
s
.855 .871 .851 r
.51589 .66355 m .50357 .67357 L .50005 .66427 L p F P
0 g
s
.855 .871 .851 r
.51589 .66355 m .50005 .66427 L .5001 .66422 L F
.735 .581 .683 r
.50357 .67357 m .51589 .66355 L .52883 .67898 L p F P
0 g
s
.507 .224 .419 r
.50924 .67063 m .52156 .66043 L .51225 .65428 L p F P
0 g
s
.507 .224 .419 r
.51225 .65428 m .51221 .65425 L p .5122 .65432 L F P
0 g
s
.507 .224 .419 r
.5122 .65432 m .50924 .67063 L .51225 .65428 L F
.855 .871 .851 r
.50005 .66427 m .50003 .66423 L p .5001 .66422 L F P
0 g
s
.337 .238 .593 r
.3865 .31514 m .38252 .3304 L .37412 .32517 L p F P
0 g
s
.337 .238 .593 r
.37412 .32517 m .3782 .3098 L .38647 .31512 L p F P
0 g
s
.337 .238 .593 r
.37412 .32517 m .38647 .31512 L .38645 .31519 L F
.697 .598 .741 r
.3782 .3098 m .37412 .32517 L .35458 .3203 L p F P
0 g
s
.905 .822 .755 r
.37525 .31524 m .37128 .33076 L .38247 .3304 L p F P
0 g
s
.905 .822 .755 r
.38247 .3304 m .38252 .3304 L p .38249 .33033 L F P
0 g
s
.905 .822 .755 r
.38249 .33033 m .37525 .31524 L .38247 .3304 L F
.337 .238 .593 r
.38647 .31512 m .3865 .31514 L p .38645 .31519 L F P
0 g
s
.909 .627 .497 r
.68354 .53083 m .6778 .51617 L .68771 .5156 L p F P
0 g
s
.909 .627 .497 r
.68771 .5156 m .69344 .5304 L .68358 .53083 L p F P
0 g
s
.909 .627 .497 r
.68771 .5156 m .68358 .53083 L .68355 .53076 L F
.693 .538 .672 r
.69344 .5304 m .68771 .5156 L .70638 .50806 L p F P
0 g
s
.388 .371 .718 r
.69254 .524 m .68664 .50913 L .67784 .51614 L p F P
0 g
s
.388 .371 .718 r
.67784 .51614 m .6778 .51617 L p .67786 .5162 L F P
0 g
s
.388 .371 .718 r
.67786 .5162 m .69254 .524 L .67784 .51614 L F
.909 .627 .497 r
.68358 .53083 m .68354 .53083 L p .68355 .53076 L F P
0 g
s
.504 .633 .91 r
.31646 .53093 m .32972 .53944 L .32208 .54586 L p F P
0 g
s
.504 .633 .91 r
.32208 .54586 m .30874 .53723 L .31642 .53095 L p F P
0 g
s
.504 .633 .91 r
.32208 .54586 m .31642 .53095 L .31648 .53099 L F
.737 .618 .726 r
.30874 .53723 m .32208 .54586 L .31141 .56294 L p F P
0 g
s
.828 .505 .442 r
.31314 .54161 m .32666 .55019 L .32971 .53948 L p F P
0 g
s
.828 .505 .442 r
.32971 .53948 m .32972 .53944 L p .32965 .53945 L F P
0 g
s
.828 .505 .442 r
.32965 .53945 m .31314 .54161 L .32971 .53948 L F
.504 .633 .91 r
.31642 .53095 m .31646 .53093 L p .31648 .53099 L F P
0 g
s
.737 .618 .726 r
.31141 .56294 m .29773 .55411 L .30874 .53723 L p F P
0 g
s
.67 .548 .708 r
.59869 .28638 m .61494 .28545 L .61596 .30558 L p F P
0 g
s
.735 .581 .683 r
.52883 .67898 m .51623 .68925 L .50357 .67357 L p F P
0 g
s
.697 .598 .741 r
.35458 .3203 m .35874 .30455 L .3782 .3098 L p F P
0 g
s
.693 .538 .672 r
.70638 .50806 m .71227 .52321 L .69344 .5304 L p F P
0 g
s
.826 .505 .446 r
.29773 .55411 m .31141 .56294 L .30828 .57375 L p F P
0 g
s
.822 .499 .443 r
.32237 .58237 m .30828 .57375 L .31141 .56294 L p F P
0 g
s
.638 .738 .921 r
.61494 .28545 m .59869 .28638 L .59482 .27566 L p F P
0 g
s
.643 .742 .921 r
.57837 .27699 m .59482 .27566 L .59869 .28638 L p F P
0 g
s
.51 .23 .426 r
.51623 .68925 m .52883 .67898 L .53822 .68524 L p F P
0 g
s
.505 .228 .428 r
.55076 .67452 m .53822 .68524 L .52883 .67898 L p F P
0 g
s
.903 .818 .753 r
.35874 .30455 m .35458 .3203 L .34327 .32061 L p F P
0 g
s
.905 .816 .749 r
.33943 .33668 m .34327 .32061 L .35458 .3203 L p F P
0 g
s
.395 .376 .721 r
.71227 .52321 m .70638 .50806 L .71531 .50102 L p F P
0 g
s
.396 .381 .725 r
.70897 .48579 m .71531 .50102 L .70638 .50806 L p F P
0 g
s
.819 .492 .436 r
.38252 .58291 m .39668 .59156 L .39976 .58076 L p F P
0 g
s
.819 .492 .436 r
.39976 .58076 m .38519 .57203 L .38252 .58291 L p F P
0 g
s
.428 .303 .607 r
.92659 .61186 m .93711 .57894 L .92549 .57537 L p F P
0 g
s
.645 .748 .924 r
.52937 .31185 m .51283 .31321 L .51674 .32389 L p F P
0 g
s
.645 .748 .924 r
.51674 .32389 m .53365 .32237 L .52937 .31185 L p F P
0 g
s
.889 .65 .571 r
.07221 .60828 m .08303 .64108 L .09458 .63727 L p F P
0 g
s
.498 .222 .426 r
.56988 .61746 m .58248 .60667 L .57309 .60046 L p F P
0 g
s
.498 .222 .426 r
.57309 .60046 m .56029 .61161 L .56988 .61746 L p F P
0 g
s
.538 .607 .87 r
.76552 .10899 m .73748 .08879 L .73042 .09879 L p F P
0 g
s
.909 .817 .744 r
.35748 .39403 m .35364 .41019 L .36494 .40983 L p F P
0 g
s
.909 .817 .744 r
.36494 .40983 m .36873 .39327 L .35748 .39403 L p F P
0 g
s
.645 .328 .42 r
.49809 .92044 m .53265 .92027 L .53252 .90817 L p F P
0 g
s
.392 .382 .729 r
.66065 .44994 m .65426 .43464 L .64538 .44171 L p F P
0 g
s
.392 .382 .729 r
.64538 .44171 m .65204 .45731 L .66065 .44994 L p F P
0 g
s
.812 .819 .856 r
.26668 .08676 m .23726 .10644 L .24324 .11711 L p F P
0 g
s
.496 .626 .909 r
.39808 .61698 m .38542 .60837 L .37734 .61423 L p F P
0 g
s
.953 .836 .69 r
.9653 .58156 m .97139 .54344 L .96335 .54537 L p F P
0 g
s
.953 .836 .69 r
.96335 .54537 m .95711 .58205 L .9653 .58156 L p F P
0 g
s
.59 .232 .329 r
.49677 .29349 m .51206 .29299 L .51521 .28364 L p F P
0 g
s
.308 .365 .758 r
.05873 .65566 m .0762 .69005 L .08153 .68363 L p F P
0 g
s
.308 .365 .758 r
.08153 .68363 m .06503 .65031 L .05873 .65566 L p F P
0 g
s
.852 .874 .856 r
.60707 .61321 m .59499 .62258 L .59798 .63213 L p F P
0 g
s
.79 .402 .32 r
.74861 .06285 m .71425 .04526 L .71367 .05345 L p F P
0 g
s
.79 .402 .32 r
.71367 .05345 m .74661 .07074 L .74861 .06285 L p F P
0 g
s
.332 .229 .585 r
.32991 .41938 m .33417 .40468 L .32618 .39885 L p F P
0 g
s
.656 .811 .958 r
.53894 .94794 m .57706 .94194 L .57266 .93484 L p F P
0 g
s
.656 .811 .958 r
.57266 .93484 m .53587 .94024 L .53894 .94794 L p F P
0 g
s
.913 .633 .499 r
.66806 .41328 m .67325 .42766 L .68319 .42781 L p F P
0 g
s
.424 .114 .333 r
.21876 .08512 m .18805 .10832 L .19502 .11261 L p F P
0 g
s
.424 .114 .333 r
.19502 .11261 m .22497 .09038 L .21876 .08512 L p F P
0 g
s
.734 .62 .731 r
.43443 .64747 m .44662 .65815 L .45984 .64296 L p F P
0 g
s
.734 .62 .731 r
.45984 .64296 m .44791 .63247 L .43443 .64747 L p F P
0 g
s
.669 .543 .702 r
.44947 .29028 m .43334 .28882 L .43157 .30888 L p F P
0 g
s
.669 .543 .702 r
.43157 .30888 m .44738 .31033 L .44947 .29028 L p F P
0 g
s
.691 .592 .74 r
.3122 .46341 m .30581 .47831 L .32435 .48619 L p F P
0 g
s
.691 .592 .74 r
.32435 .48619 m .33062 .4716 L .3122 .46341 L p F P
0 g
s
.698 .54 .669 r
.65655 .36733 m .65296 .35155 L .63333 .35607 L p F P
0 g
s
.698 .54 .669 r
.63333 .35607 m .63683 .37154 L .65655 .36733 L p F P
0 g
s
.739 .588 .687 r
.64726 .58809 m .66117 .57981 L .65081 .56254 L p F P
0 g
s
.739 .588 .687 r
.65081 .56254 m .63716 .57063 L .64726 .58809 L p F P
0 g
s
.694 .577 .719 r
.86741 .73919 m .89407 .7138 L .87777 .70193 L p F P
0 g
s
.694 .577 .719 r
.87777 .70193 m .85332 .72479 L .86741 .73919 L p F P
0 g
s
.71 .565 .689 r
.04528 .47059 m .03862 .50677 L .05879 .5068 L p F P
0 g
s
.71 .565 .689 r
.05879 .5068 m .06514 .47396 L .04528 .47059 L p F P
0 g
s
.715 .597 .723 r
.86827 .20465 m .85238 .17145 L .83606 .18328 L p F P
0 g
s
.715 .597 .723 r
.83606 .18328 m .85022 .21361 L .86827 .20465 L p F P
0 g
s
.691 .558 .699 r
.35877 .90355 m .39114 .92105 L .39739 .90188 L p F P
0 g
s
.691 .558 .699 r
.39739 .90188 m .36811 .8857 L .35877 .90355 L p F P
0 g
s
.724 .591 .707 r
.39765 .03834 m .36005 .03827 L .36299 .05822 L p F P
0 g
s
.724 .591 .707 r
.36299 .05822 m .39789 .05848 L .39765 .03834 L p F P
0 g
s
.492 .55 .844 r
.90294 .36916 m .87816 .34303 L .88654 .33478 L p F P
0 g
s
.492 .55 .844 r
.88654 .33478 m .91312 .36276 L .90294 .36916 L p F P
0 g
s
.692 .361 .412 r
.23402 .79082 m .26943 .79737 L .26745 .80882 L p F P
0 g
s
.692 .361 .412 r
.26745 .80882 m .22951 .80184 L .23402 .79082 L p F P
0 g
s
.782 .816 .88 r
.52735 .05651 m .49485 .072 L .48967 .06143 L p F P
0 g
s
.782 .816 .88 r
.48967 .06143 m .52447 .0448 L .52735 .05651 L p F P
0 g
s
.434 .268 .555 r
.72166 .82299 m .73884 .79133 L .7492 .7967 L p F P
0 g
s
.434 .268 .555 r
.7492 .7967 m .73082 .83063 L .72166 .82299 L p F P
0 g
s
.91 .733 .65 r
.11385 .27901 m .11339 .3154 L .10164 .31602 L p F P
0 g
s
.91 .733 .65 r
.10164 .31602 m .10203 .27641 L .11385 .27901 L p F P
0 g
s
.496 .623 .906 r
.30358 .52214 m .31646 .53093 L .30874 .53723 L p F P
0 g
s
.496 .623 .906 r
.30874 .53723 m .29573 .52823 L .30352 .52218 L p F P
0 g
s
.496 .623 .906 r
.30874 .53723 m .30352 .52218 L .30361 .52224 L F
.736 .618 .727 r
.29573 .52823 m .30874 .53723 L .29773 .55411 L p F P
0 g
s
.834 .514 .448 r
.29991 .53271 m .31314 .54161 L .31643 .531 L p F P
0 g
s
.834 .514 .448 r
.31643 .531 m .31646 .53093 L p .31635 .53094 L F P
0 g
s
.834 .514 .448 r
.31635 .53094 m .29991 .53271 L .31643 .531 L F
.496 .623 .906 r
.30352 .52218 m .30358 .52214 L p .30361 .52224 L F P
0 g
s
.596 .238 .333 r
.62895 .3146 m .61337 .31508 L .61596 .30558 L p F P
0 g
s
.596 .238 .333 r
.61596 .30558 m .63176 .30518 L .62897 .31453 L p F P
0 g
s
.596 .238 .333 r
.61596 .30558 m .62897 .31453 L .62886 .31454 L F
.67 .548 .707 r
.63176 .30518 m .61596 .30558 L .61494 .28545 L p F P
0 g
s
.626 .731 .923 r
.62566 .30374 m .60973 .30436 L .61335 .31501 L p F P
0 g
s
.626 .731 .923 r
.61335 .31501 m .61337 .31508 L p .61345 .31501 L F P
0 g
s
.626 .731 .923 r
.61345 .31501 m .62566 .30374 L .61335 .31501 L F
.596 .238 .333 r
.62897 .31453 m .62895 .3146 L p .62886 .31454 L F P
0 g
s
.849 .872 .858 r
.48771 .67375 m .50003 .66423 L .50357 .67357 L p F P
0 g
s
.849 .872 .858 r
.50357 .67357 m .49101 .68315 L .48773 .67381 L p F P
0 g
s
.849 .872 .858 r
.50357 .67357 m .48773 .67381 L .48782 .67375 L F
.735 .582 .684 r
.49101 .68315 m .50357 .67357 L .51623 .68925 L p F P
0 g
s
.514 .226 .415 r
.4967 .68045 m .50924 .67063 L .50009 .66427 L p F P
0 g
s
.514 .226 .415 r
.50009 .66427 m .50003 .66423 L p .50001 .66433 L F P
0 g
s
.514 .226 .415 r
.50001 .66433 m .4967 .68045 L .50009 .66427 L F
.849 .872 .858 r
.48773 .67381 m .48771 .67375 L p .48782 .67375 L F P
0 g
s
.338 .232 .584 r
.39087 .30017 m .3865 .31514 L .3782 .3098 L p F P
0 g
s
.338 .232 .584 r
.3782 .3098 m .38272 .29464 L .39081 .30013 L p F P
0 g
s
.338 .232 .584 r
.3782 .3098 m .39081 .30013 L .39078 .30024 L F
.696 .596 .741 r
.38272 .29464 m .3782 .3098 L .35874 .30455 L p F P
0 g
s
.902 .826 .762 r
.3796 .29989 m .37525 .31524 L .38643 .31514 L p F P
0 g
s
.902 .826 .762 r
.38643 .31514 m .3865 .31514 L p .38646 .31505 L F P
0 g
s
.902 .826 .762 r
.38646 .31505 m .3796 .29989 L .38643 .31514 L F
.338 .232 .584 r
.39081 .30013 m .39087 .30017 L p .39078 .30024 L F P
0 g
s
.913 .637 .505 r
.6888 .54548 m .68354 .53083 L .69344 .5304 L p F P
0 g
s
.913 .637 .505 r
.69344 .5304 m .69869 .5453 L .68886 .54548 L p F P
0 g
s
.913 .637 .505 r
.69344 .5304 m .68886 .54548 L .68883 .54538 L F
.694 .539 .672 r
.69869 .5453 m .69344 .5304 L .71227 .52321 L p F P
0 g
s
.387 .363 .71 r
.69803 .53894 m .69254 .524 L .68359 .53078 L p F P
0 g
s
.387 .363 .71 r
.68359 .53078 m .68354 .53083 L p .68363 .53088 L F P
0 g
s
.387 .363 .71 r
.68363 .53088 m .69803 .53894 L .68359 .53078 L F
.913 .637 .505 r
.68886 .54548 m .6888 .54548 L p .68883 .54538 L F P
0 g
s
.735 .582 .684 r
.51623 .68925 m .50323 .69921 L .49101 .68315 L p F P
0 g
s
.694 .539 .672 r
.71227 .52321 m .71773 .53864 L .69869 .5453 L p F P
0 g
s
.516 .232 .422 r
.50323 .69921 m .51623 .68925 L .52546 .69574 L p F P
0 g
s
.51 .23 .426 r
.53822 .68524 m .52546 .69574 L .51623 .68925 L p F P
0 g
s
.394 .37 .714 r
.71773 .53864 m .71227 .52321 L .72136 .51638 L p F P
0 g
s
.395 .376 .721 r
.71531 .50102 m .72136 .51638 L .71227 .52321 L p F P
0 g
s
.736 .618 .727 r
.29773 .55411 m .28423 .54482 L .29573 .52823 L p F P
0 g
s
.67 .548 .707 r
.61494 .28545 m .63131 .28501 L .63176 .30518 L p F P
0 g
s
.696 .596 .741 r
.35874 .30455 m .36339 .28883 L .38272 .29464 L p F P
0 g
s
.831 .514 .452 r
.28423 .54482 m .29773 .55411 L .29435 .56485 L p F P
0 g
s
.826 .505 .446 r
.30828 .57375 m .29435 .56485 L .29773 .55411 L p F P
0 g
s
.631 .731 .92 r
.63131 .28501 m .61494 .28545 L .61132 .27464 L p F P
0 g
s
.638 .738 .921 r
.59482 .27566 m .61132 .27464 L .61494 .28545 L p F P
0 g
s
.9 .821 .76 r
.36339 .28883 m .35874 .30455 L .34741 .3046 L p F P
0 g
s
.903 .818 .753 r
.34327 .32061 m .34741 .3046 L .35874 .30455 L p F P
0 g
s
.817 .488 .433 r
.36834 .57469 m .38252 .58291 L .38519 .57203 L p F P
0 g
s
.817 .488 .433 r
.38519 .57203 m .37092 .5638 L .36834 .57469 L p F P
0 g
s
.422 .324 .639 r
.93711 .57894 m .9431 .54539 L .93107 .54349 L p F P
0 g
s
.649 .751 .924 r
.54566 .31015 m .52937 .31185 L .53365 .32237 L p F P
0 g
s
.649 .751 .924 r
.53365 .32237 m .55002 .32061 L .54566 .31015 L p F P
0 g
s
.874 .614 .541 r
.08303 .64108 m .0979 .67171 L .1088 .66631 L p F P
0 g
s
.495 .221 .428 r
.5577 .62839 m .56988 .61746 L .56029 .61161 L p F P
0 g
s
.495 .221 .428 r
.56029 .61161 m .54807 .62262 L .5577 .62839 L p F P
0 g
s
.567 .643 .886 r
.73748 .08879 m .70744 .07272 L .70184 .08363 L p F P
0 g
s
.91 .815 .741 r
.3609 .378 m .35748 .39403 L .36873 .39327 L p F P
0 g
s
.91 .815 .741 r
.36873 .39327 m .37212 .37715 L .3609 .378 L p F P
0 g
s
.612 .305 .425 r
.53265 .92027 m .56639 .91559 L .56455 .90361 L p F P
0 g
s
.393 .386 .732 r
.66729 .4649 m .66065 .44994 L .65204 .45731 L p F P
0 g
s
.393 .386 .732 r
.65204 .45731 m .65876 .47232 L .66729 .4649 L p F P
0 g
s
.821 .821 .848 r
.23726 .10644 m .20938 .12688 L .21664 .13675 L p F P
0 g
s
.509 .642 .915 r
.38542 .60837 m .37201 .60022 L .36428 .6065 L p F P
0 g
s
.96 .799 .638 r
.97139 .54344 m .97147 .5051 L .96384 .50851 L p F P
0 g
s
.96 .799 .638 r
.96384 .50851 m .96335 .54537 L .97139 .54344 L p F P
0 g
s
.575 .221 .331 r
.51206 .29299 m .52769 .29168 L .5303 .28219 L p F P
0 g
s
.334 .423 .804 r
.0762 .69005 m .09867 .72109 L .10279 .71371 L p F P
0 g
s
.334 .423 .804 r
.10279 .71371 m .08153 .68363 L .0762 .69005 L p F P
0 g
s
.862 .874 .846 r
.59499 .62258 m .5831 .6328 L .58662 .64215 L p F P
0 g
s
.742 .344 .297 r
.71425 .04526 m .67782 .03333 L .67879 .04159 L p F P
0 g
s
.742 .344 .297 r
.67879 .04159 m .71367 .05345 L .71425 .04526 L p F P
0 g
s
.33 .24 .6 r
.33417 .40468 m .33777 .38939 L .32948 .38403 L p F P
0 g
s
.707 .845 .948 r
.57706 .94194 m .61354 .93016 L .60786 .92391 L p F P
0 g
s
.707 .845 .948 r
.60786 .92391 m .57266 .93484 L .57706 .94194 L p F P
0 g
s
.906 .617 .485 r
.67325 .42766 m .67932 .44211 L .68922 .44171 L p F P
0 g
s
.388 .107 .362 r
.18805 .10832 m .16071 .13557 L .1684 .1386 L p F P
0 g
s
.388 .107 .362 r
.1684 .1386 m .19502 .11261 L .18805 .10832 L p F P
0 g
s
.734 .619 .731 r
.4224 .63692 m .43443 .64747 L .44791 .63247 L p F P
0 g
s
.734 .619 .731 r
.44791 .63247 m .43581 .62184 L .4224 .63692 L p F P
0 g
s
.738 .587 .687 r
.63352 .59626 m .64726 .58809 L .63716 .57063 L p F P
0 g
s
.738 .587 .687 r
.63716 .57063 m .62333 .57884 L .63352 .59626 L p F P
0 g
s
.669 .544 .702 r
.46539 .29171 m .44947 .29028 L .44738 .31033 L p F P
0 g
s
.669 .544 .702 r
.44738 .31033 m .4634 .31179 L .46539 .29171 L p F P
0 g
s
.691 .592 .74 r
.31849 .4487 m .3122 .46341 L .33062 .4716 L p F P
0 g
s
.691 .592 .74 r
.33062 .4716 m .33698 .45679 L .31849 .4487 L p F P
0 g
s
.698 .541 .67 r
.66009 .38291 m .65655 .36733 L .63683 .37154 L p F P
0 g
s
.698 .541 .67 r
.63683 .37154 m .64038 .38722 L .66009 .38291 L p F P
0 g
s
.696 .58 .721 r
.89407 .7138 m .91609 .68444 L .89814 .67523 L p F P
0 g
s
.696 .58 .721 r
.89814 .67523 m .87777 .70193 L .89407 .7138 L p F P
0 g
s
.707 .563 .689 r
.03862 .50677 m .03805 .54344 L .05799 .54034 L p F P
0 g
s
.707 .563 .689 r
.05799 .54034 m .05879 .5068 L .03862 .50677 L p F P
0 g
s
.717 .597 .721 r
.85238 .17145 m .83128 .14142 L .81697 .15565 L p F P
0 g
s
.717 .597 .721 r
.81697 .15565 m .83606 .18328 L .85238 .17145 L p F P
0 g
s
.69 .559 .701 r
.39114 .92105 m .42585 .93291 L .42906 .91299 L p F P
0 g
s
.69 .559 .701 r
.42906 .91299 m .39739 .90188 L .39114 .92105 L p F P
0 g
s
.724 .589 .704 r
.36005 .03827 m .32354 .04311 L .32975 .06231 L p F P
0 g
s
.724 .589 .704 r
.32975 .06231 m .36299 .05822 L .36005 .03827 L p F P
0 g
s
.437 .537 .861 r
.19438 .41788 m .2074 .42995 L .20119 .43696 L p F P
0 g
s
.437 .537 .861 r
.20119 .43696 m .18891 .42563 L .19438 .41788 L p F P
0 g
s
.415 .504 .841 r
.2074 .42995 m .21927 .44315 L .21286 .44993 L p F P
0 g
s
.415 .504 .841 r
.21286 .44993 m .20119 .43696 L .2074 .42995 L p F P
0 g
s
.409 .495 .836 r
.23026 .45594 m .22396 .46283 L p .21936 .44352 L F P
0 g
s
.409 .495 .836 r
.22396 .46283 m .21286 .44993 L .21927 .44315 L p F P
0 g
s
.415 .504 .842 r
.24137 .46828 m .23525 .47537 L p .23039 .45644 L F P
0 g
s
.415 .504 .842 r
.23026 .45594 m .24137 .46828 L p .23039 .45644 L F P
0 g
s
.415 .504 .842 r
.23525 .47537 m .22396 .46283 L .23026 .45594 L p F P
0 g
s
.422 .515 .849 r
.25261 .47998 m .2468 .48738 L p .24158 .46903 L F P
0 g
s
.422 .515 .849 r
.24137 .46828 m .25261 .47998 L p .24158 .46903 L F P
0 g
s
.422 .515 .849 r
.2468 .48738 m .23525 .47537 L .24137 .46828 L p F P
0 g
s
.434 .534 .859 r
.26451 .49117 m .259 .49884 L p .25285 .48069 L F P
0 g
s
.434 .534 .859 r
.25261 .47998 m .26451 .49117 L p .25285 .48069 L F P
0 g
s
.434 .534 .859 r
.259 .49884 m .2468 .48738 L .25261 .47998 L p F P
0 g
s
.446 .55 .868 r
.27711 .50193 m .27183 .50978 L p .26471 .49169 L F P
0 g
s
.446 .55 .868 r
.26451 .49117 m .27711 .50193 L p .26471 .49169 L F P
0 g
s
.446 .55 .868 r
.27183 .50978 m .259 .49884 L .26451 .49117 L p F P
0 g
s
.455 .563 .875 r
.29005 .51222 m .28502 .52025 L p .27736 .5025 L F P
0 g
s
.455 .563 .875 r
.27711 .50193 m .29005 .51222 L p .27736 .5025 L F P
0 g
s
.455 .563 .875 r
.28502 .52025 m .27183 .50978 L .27711 .50193 L p F P
0 g
s
.459 .568 .878 r
.29573 .52823 m .28502 .52025 L .29005 .51222 L p F P
0 g
s
.707 .577 .707 r
.27183 .50978 m .28502 .52025 L .27309 .53652 L p F P
0 g
s
.703 .572 .704 r
.28502 .52025 m .29573 .52823 L .28423 .54482 L p F P
0 g
s
.703 .572 .704 r
.28423 .54482 m .27309 .53652 L .28502 .52025 L p F P
0 g
s
.459 .568 .878 r
.29005 .51222 m .30358 .52214 L .29573 .52823 L p F P
0 g
s
.813 .487 .438 r
.29005 .51222 m .2831 .52053 L p .30294 .52209 L F P
0 g
s
.813 .487 .438 r
.30358 .52214 m .29005 .51222 L p .30294 .52209 L F P
0 g
s
.707 .577 .707 r
.259 .49884 m .27183 .50978 L .25929 .52558 L p F P
0 g
s
.707 .577 .707 r
.27309 .53652 m .25929 .52558 L .27183 .50978 L p F P
0 g
s
.821 .499 .445 r
.27711 .50193 m .2698 .50997 L p .28949 .51215 L F P
0 g
s
.821 .499 .445 r
.29005 .51222 m .27711 .50193 L p .28949 .51215 L F P
0 g
s
.707 .577 .707 r
.2468 .48738 m .259 .49884 L .24592 .51419 L p F P
0 g
s
.707 .577 .707 r
.25929 .52558 m .24592 .51419 L .259 .49884 L p F P
0 g
s
.828 .51 .451 r
.26451 .49117 m .25685 .49893 L p .27635 .50182 L F P
0 g
s
.828 .51 .451 r
.27711 .50193 m .26451 .49117 L p .27635 .50182 L F P
0 g
s
.707 .577 .707 r
.23525 .47537 m .2468 .48738 L .23301 .5021 L p F P
0 g
s
.707 .577 .707 r
.24592 .51419 m .23301 .5021 L .2468 .48738 L p F P
0 g
s
.837 .525 .461 r
.25261 .47998 m .24454 .48737 L p .26372 .49102 L F P
0 g
s
.837 .525 .461 r
.26451 .49117 m .25261 .47998 L p .26372 .49102 L F P
0 g
s
.707 .577 .707 r
.22396 .46283 m .23525 .47537 L .22072 .48936 L p F P
0 g
s
.707 .577 .707 r
.23301 .5021 m .22072 .48936 L .23525 .47537 L p F P
0 g
s
.847 .541 .471 r
.24137 .46828 m .23289 .47525 L p .25211 .47987 L F P
0 g
s
.847 .541 .471 r
.25261 .47998 m .24137 .46828 L p .25211 .47987 L F P
0 g
s
.707 .577 .707 r
.21286 .44993 m .22396 .46283 L .20897 .47634 L p F P
0 g
s
.707 .577 .707 r
.22072 .48936 m .20897 .47634 L .22396 .46283 L p F P
0 g
s
.853 .551 .478 r
.23026 .45594 m .2215 .4626 L p .24101 .46818 L F P
0 g
s
.853 .551 .478 r
.24137 .46828 m .23026 .45594 L p .24101 .46818 L F P
0 g
s
.409 .495 .836 r
.21927 .44315 m .23026 .45594 L p .21936 .44352 L F P
0 g
s
.674 .305 .338 r
.77857 .33476 m .76095 .33264 L .76189 .32347 L p F P
0 g
s
.674 .305 .338 r
.76189 .32347 m .77849 .32542 L .77857 .33476 L p F P
0 g
s
.701 .328 .339 r
.76095 .33264 m .74358 .32894 L .74482 .31983 L p F P
0 g
s
.701 .328 .339 r
.74482 .31983 m .76189 .32347 L .76095 .33264 L p F P
0 g
s
.708 .335 .339 r
.72717 .32506 m .72826 .31592 L p .7433 .3287 L F P
0 g
s
.708 .335 .339 r
.72826 .31592 m .74482 .31983 L .74358 .32894 L p F P
0 g
s
.701 .328 .339 r
.71093 .3216 m .71176 .31241 L p .72677 .32473 L F P
0 g
s
.701 .328 .339 r
.72717 .32506 m .71093 .3216 L p .72677 .32473 L F P
0 g
s
.701 .328 .339 r
.71176 .31241 m .72826 .31592 L .72717 .32506 L p F P
0 g
s
.691 .319 .338 r
.69496 .31874 m .69535 .30948 L p .71032 .32112 L F P
0 g
s
.691 .319 .338 r
.71093 .3216 m .69496 .31874 L p .71032 .32112 L F P
0 g
s
.691 .319 .338 r
.69535 .30948 m .71176 .31241 L .71093 .3216 L p F P
0 g
s
.676 .306 .337 r
.67876 .31668 m .67875 .30739 L p .69436 .31832 L F P
0 g
s
.676 .306 .337 r
.69496 .31874 m .67876 .31668 L p .69436 .31832 L F P
0 g
s
.676 .306 .337 r
.67875 .30739 m .69535 .30948 L .69496 .31874 L p F P
0 g
s
.662 .294 .337 r
.66223 .31538 m .66194 .30607 L p .67829 .31639 L F P
0 g
s
.662 .294 .337 r
.67876 .31668 m .66223 .31538 L p .67829 .31639 L F P
0 g
s
.662 .294 .337 r
.66194 .30607 m .67875 .30739 L .67876 .31668 L p F P
0 g
s
.652 .286 .337 r
.64572 .31467 m .64512 .30535 L p .6617 .31508 L F P
0 g
s
.652 .286 .337 r
.66223 .31538 m .64572 .31467 L p .6617 .31508 L F P
0 g
s
.652 .286 .337 r
.64512 .30535 m .66194 .30607 L .66223 .31538 L p F P
0 g
s
.647 .282 .337 r
.63176 .30518 m .64512 .30535 L .64572 .31467 L p F P
0 g
s
.707 .577 .707 r
.66194 .30607 m .64512 .30535 L .6452 .28518 L p F P
0 g
s
.712 .581 .707 r
.64512 .30535 m .63176 .30518 L .63131 .28501 L p F P
0 g
s
.712 .581 .707 r
.63131 .28501 m .6452 .28518 L .64512 .30535 L p F P
0 g
s
.647 .282 .337 r
.64572 .31467 m .62895 .3146 L .63176 .30518 L p F P
0 g
s
.654 .751 .921 r
.64572 .31467 m .64641 .30372 L p .62949 .31426 L F P
0 g
s
.654 .751 .921 r
.62895 .3146 m .64572 .31467 L p .62949 .31426 L F P
0 g
s
.707 .577 .707 r
.67875 .30739 m .66194 .30607 L .6628 .28592 L p F P
0 g
s
.707 .577 .707 r
.6452 .28518 m .6628 .28592 L .66194 .30607 L p F P
0 g
s
.644 .742 .92 r
.66223 .31538 m .66339 .30444 L p .64621 .31439 L F P
0 g
s
.644 .742 .92 r
.64572 .31467 m .66223 .31538 L p .64621 .31439 L F P
0 g
s
.707 .577 .707 r
.69535 .30948 m .67875 .30739 L .68031 .28727 L p F P
0 g
s
.707 .577 .707 r
.6628 .28592 m .68031 .28727 L .67875 .30739 L p F P
0 g
s
.635 .734 .919 r
.67876 .31668 m .68034 .30577 L p .66291 .31502 L F P
0 g
s
.635 .734 .919 r
.66223 .31538 m .67876 .31668 L p .66291 .31502 L F P
0 g
s
.707 .577 .707 r
.71176 .31241 m .69535 .30948 L .69786 .28946 L p F P
0 g
s
.707 .577 .707 r
.68031 .28727 m .69786 .28946 L .69535 .30948 L p F P
0 g
s
.623 .722 .918 r
.69496 .31874 m .6971 .30788 L p .67948 .31634 L F P
0 g
s
.623 .722 .918 r
.67876 .31668 m .69496 .31874 L p .67948 .31634 L F P
0 g
s
.707 .577 .707 r
.72826 .31592 m .71176 .31241 L .71529 .29255 L p F P
0 g
s
.707 .577 .707 r
.69786 .28946 m .71529 .29255 L .71176 .31241 L p F P
0 g
s
.61 .709 .915 r
.71093 .3216 m .71365 .31084 L p .69543 .31854 L F P
0 g
s
.61 .709 .915 r
.69496 .31874 m .71093 .3216 L p .69543 .31854 L F P
0 g
s
.707 .577 .707 r
.74482 .31983 m .72826 .31592 L .73245 .29618 L p F P
0 g
s
.707 .577 .707 r
.71529 .29255 m .73245 .29618 L .72826 .31592 L p F P
0 g
s
.602 .701 .913 r
.72717 .32506 m .7303 .31437 L p .71128 .32147 L F P
0 g
s
.602 .701 .913 r
.71093 .3216 m .72717 .32506 L p .71128 .32147 L F P
0 g
s
.708 .335 .339 r
.74358 .32894 m .72717 .32506 L p .7433 .3287 L F P
0 g
s
.787 .856 .902 r
.35481 .74538 m .37031 .73673 L .37498 .74485 L p F P
0 g
s
.787 .856 .902 r
.37498 .74485 m .36041 .75303 L .35481 .74538 L p F P
0 g
s
.762 .847 .915 r
.37031 .73673 m .38653 .72952 L .39093 .73776 L p F P
0 g
s
.762 .847 .915 r
.39093 .73776 m .37498 .74485 L .37031 .73673 L p F P
0 g
s
.756 .845 .918 r
.40209 .72302 m .40663 .7312 L p .38691 .72955 L F P
0 g
s
.756 .845 .918 r
.40663 .7312 m .39093 .73776 L .38653 .72952 L p F P
0 g
s
.762 .847 .915 r
.41726 .71627 m .42204 .72434 L p .40261 .72305 L F P
0 g
s
.762 .847 .915 r
.40209 .72302 m .41726 .71627 L p .40261 .72305 L F P
0 g
s
.762 .847 .915 r
.42204 .72434 m .40663 .7312 L .40209 .72302 L p F P
0 g
s
.771 .851 .911 r
.43187 .7092 m .43704 .71706 L p .41804 .7163 L F P
0 g
s
.771 .851 .911 r
.41726 .71627 m .43187 .7092 L p .41804 .7163 L F P
0 g
s
.771 .851 .911 r
.43704 .71706 m .42204 .72434 L .41726 .71627 L p F P
0 g
s
.785 .856 .903 r
.44618 .70134 m .4517 .70899 L p .43261 .70919 L F P
0 g
s
.785 .856 .903 r
.43187 .7092 m .44618 .70134 L p .43261 .70919 L F P
0 g
s
.785 .856 .903 r
.4517 .70899 m .43704 .71706 L .43187 .7092 L p F P
0 g
s
.797 .859 .896 r
.46032 .69267 m .46607 .70018 L p .44674 .7013 L F P
0 g
s
.797 .859 .896 r
.44618 .70134 m .46032 .69267 L p .44674 .7013 L F P
0 g
s
.797 .859 .896 r
.46607 .70018 m .4517 .70899 L .44618 .70134 L p F P
0 g
s
.806 .861 .89 r
.47409 .68355 m .4801 .69087 L p .46093 .69262 L F P
0 g
s
.806 .861 .89 r
.46032 .69267 m .47409 .68355 L p .46093 .69262 L F P
0 g
s
.806 .861 .89 r
.4801 .69087 m .46607 .70018 L .46032 .69267 L p F P
0 g
s
.81 .862 .887 r
.49101 .68315 m .4801 .69087 L .47409 .68355 L p F P
0 g
s
.707 .577 .707 r
.46607 .70018 m .4801 .69087 L .4919 .70724 L p F P
0 g
s
.703 .576 .71 r
.4801 .69087 m .49101 .68315 L .50323 .69921 L p F P
0 g
s
.703 .576 .71 r
.50323 .69921 m .4919 .70724 L .4801 .69087 L p F P
0 g
s
.81 .862 .887 r
.47409 .68355 m .48771 .67375 L .49101 .68315 L p F P
0 g
s
.497 .228 .436 r
.47409 .68355 m .47993 .69267 L p .48747 .67433 L F P
0 g
s
.497 .228 .436 r
.48771 .67375 m .47409 .68355 L p .48747 .67433 L F P
0 g
s
.707 .577 .707 r
.4517 .70899 m .46607 .70018 L .47723 .71698 L p F P
0 g
s
.707 .577 .707 r
.4919 .70724 m .47723 .71698 L .46607 .70018 L p F P
0 g
s
.506 .231 .431 r
.46032 .69267 m .46577 .70206 L p .47386 .68406 L F P
0 g
s
.506 .231 .431 r
.47409 .68355 m .46032 .69267 L p .47386 .68406 L F P
0 g
s
.707 .577 .707 r
.43704 .71706 m .4517 .70899 L .46226 .72618 L p F P
0 g
s
.707 .577 .707 r
.47723 .71698 m .46226 .72618 L .4517 .70899 L p F P
0 g
s
.515 .234 .427 r
.44618 .70134 m .45127 .71096 L p .45998 .69336 L F P
0 g
s
.515 .234 .427 r
.46032 .69267 m .44618 .70134 L p .45998 .69336 L F P
0 g
s
.707 .577 .707 r
.42204 .72434 m .43704 .71706 L .44677 .73473 L p F P
0 g
s
.707 .577 .707 r
.46226 .72618 m .44677 .73473 L .43704 .71706 L p F P
0 g
s
.526 .239 .421 r
.43187 .7092 m .43647 .71909 L p .4458 .70204 L F P
0 g
s
.526 .239 .421 r
.44618 .70134 m .43187 .7092 L p .4458 .70204 L F P
0 g
s
.707 .577 .707 r
.40663 .7312 m .42204 .72434 L .43086 .74248 L p F P
0 g
s
.707 .577 .707 r
.44677 .73473 m .43086 .74248 L .42204 .72434 L p F P
0 g
s
.539 .245 .416 r
.41726 .71627 m .42134 .72644 L p .4316 .70963 L F P
0 g
s
.539 .245 .416 r
.43187 .7092 m .41726 .71627 L p .4316 .70963 L F P
0 g
s
.707 .577 .707 r
.39093 .73776 m .40663 .7312 L .41484 .74962 L p F P
0 g
s
.707 .577 .707 r
.43086 .74248 m .41484 .74962 L .40663 .7312 L p F P
0 g
s
.548 .249 .413 r
.40209 .72302 m .4058 .73336 L p .41705 .71658 L F P
0 g
s
.548 .249 .413 r
.41726 .71627 m .40209 .72302 L p .41705 .71658 L F P
0 g
s
.756 .845 .918 r
.38653 .72952 m .40209 .72302 L p .38691 .72955 L F P
0 g
s
.365 .195 .513 r
.45628 .1641 m .44882 .18021 L .44031 .17653 L p F P
0 g
s
.365 .195 .513 r
.44031 .17653 m .4473 .16134 L .45628 .1641 L p F P
0 g
s
.374 .181 .486 r
.44882 .18021 m .43994 .19558 L .43158 .19164 L p F P
0 g
s
.374 .181 .486 r
.43158 .19164 m .44031 .17653 L .44882 .18021 L p F P
0 g
s
.377 .178 .479 r
.43117 .20999 m .42274 .20618 L p .43962 .19578 L F P
0 g
s
.377 .178 .479 r
.42274 .20618 m .43158 .19164 L .43994 .19558 L p F P
0 g
s
.374 .181 .486 r
.42287 .22436 m .41431 .22078 L p .43073 .21027 L F P
0 g
s
.374 .181 .486 r
.43117 .20999 m .42287 .22436 L p .43073 .21027 L F P
0 g
s
.374 .181 .486 r
.41431 .22078 m .42274 .20618 L .43117 .20999 L p F P
0 g
s
.37 .185 .495 r
.41521 .23867 m .40645 .23549 L p .42222 .2248 L F P
0 g
s
.37 .185 .495 r
.42287 .22436 m .41521 .23867 L p .42222 .2248 L F P
0 g
s
.37 .185 .495 r
.40645 .23549 m .41431 .22078 L .42287 .22436 L p F P
0 g
s
.365 .193 .51 r
.40825 .25344 m .39933 .25063 L p .41462 .23911 L F P
0 g
s
.365 .193 .51 r
.41521 .23867 m .40825 .25344 L p .41462 .23911 L F P
0 g
s
.365 .193 .51 r
.39933 .25063 m .40645 .23549 L .41521 .23867 L p F P
0 g
s
.36 .2 .524 r
.4019 .26876 m .39289 .26621 L p .40782 .2538 L F P
0 g
s
.36 .2 .524 r
.40825 .25344 m .4019 .26876 L p .40782 .2538 L F P
0 g
s
.36 .2 .524 r
.39289 .26621 m .39933 .25063 L .40825 .25344 L p F P
0 g
s
.358 .206 .535 r
.39612 .28424 m .387 .28199 L p .40144 .26917 L F P
0 g
s
.358 .206 .535 r
.4019 .26876 m .39612 .28424 L p .40144 .26917 L F P
0 g
s
.358 .206 .535 r
.387 .28199 m .39289 .26621 L .4019 .26876 L p F P
0 g
s
.356 .209 .539 r
.38272 .29464 m .387 .28199 L .39612 .28424 L p F P
0 g
s
.707 .577 .707 r
.39289 .26621 m .387 .28199 L .36784 .27568 L p F P
0 g
s
.709 .575 .703 r
.387 .28199 m .38272 .29464 L .36339 .28883 L p F P
0 g
s
.709 .575 .703 r
.36339 .28883 m .36784 .27568 L .387 .28199 L p F P
0 g
s
.356 .209 .539 r
.39612 .28424 m .39087 .30017 L .38272 .29464 L p F P
0 g
s
.908 .81 .738 r
.39612 .28424 m .38599 .28014 L p .39072 .29955 L F P
0 g
s
.908 .81 .738 r
.39087 .30017 m .39612 .28424 L p .39072 .29955 L F P
0 g
s
.707 .577 .707 r
.39933 .25063 m .39289 .26621 L .37398 .25917 L p F P
0 g
s
.707 .577 .707 r
.36784 .27568 m .37398 .25917 L .39289 .26621 L p F P
0 g
s
.904 .814 .748 r
.4019 .26876 m .39193 .26423 L p .39601 .28368 L F P
0 g
s
.904 .814 .748 r
.39612 .28424 m .4019 .26876 L p .39601 .28368 L F P
0 g
s
.707 .577 .707 r
.40645 .23549 m .39933 .25063 L .38068 .24293 L p F P
0 g
s
.707 .577 .707 r
.37398 .25917 m .38068 .24293 L .39933 .25063 L p F P
0 g
s
.901 .818 .757 r
.40825 .25344 m .39843 .24851 L p .40177 .268 L F P
0 g
s
.901 .818 .757 r
.4019 .26876 m .40825 .25344 L p .40177 .268 L F P
0 g
s
.707 .577 .707 r
.41431 .22078 m .40645 .23549 L .38819 .22691 L p F P
0 g
s
.707 .577 .707 r
.38068 .24293 m .38819 .22691 L .40645 .23549 L p F P
0 g
s
.895 .823 .769 r
.41521 .23867 m .40562 .23323 L p .40814 .25264 L F P
0 g
s
.895 .823 .769 r
.40825 .25344 m .41521 .23867 L p .40814 .25264 L F P
0 g
s
.707 .577 .707 r
.42274 .20618 m .41431 .22078 L .39651 .21129 L p F P
0 g
s
.707 .577 .707 r
.38819 .22691 m .39651 .21129 L .41431 .22078 L p F P
0 g
s
.889 .827 .781 r
.42287 .22436 m .41354 .21839 L p .41517 .23816 L F P
0 g
s
.889 .827 .781 r
.41521 .23867 m .42287 .22436 L p .41517 .23816 L F P
0 g
s
.707 .577 .707 r
.43158 .19164 m .42274 .20618 L .40527 .1961 L p F P
0 g
s
.707 .577 .707 r
.39651 .21129 m .40527 .1961 L .42274 .20618 L p F P
0 g
s
.884 .829 .788 r
.43117 .20999 m .42205 .20366 L p .42285 .22399 L F P
0 g
s
.884 .829 .788 r
.42287 .22436 m .43117 .20999 L p .42285 .22399 L F P
0 g
s
.377 .178 .479 r
.43994 .19558 m .43117 .20999 L p .43962 .19578 L F P
0 g
s
.935 .715 .581 r
.71586 .69401 m .71242 .6766 L .72152 .67471 L p F P
0 g
s
.935 .715 .581 r
.72152 .67471 m .72479 .6911 L .71586 .69401 L p F P
0 g
s
.941 .742 .607 r
.71242 .6766 m .71058 .65894 L .7197 .65736 L p F P
0 g
s
.941 .742 .607 r
.7197 .65736 m .72152 .67471 L .71242 .6766 L p F P
0 g
s
.942 .748 .613 r
.7092 .64213 m .71831 .64039 L p .71072 .65859 L F P
0 g
s
.942 .748 .613 r
.71831 .64039 m .7197 .65736 L .71058 .65894 L p F P
0 g
s
.941 .742 .607 r
.70747 .62562 m .71654 .62362 L p .70939 .64165 L F P
0 g
s
.941 .742 .607 r
.7092 .64213 m .70747 .62562 L p .70939 .64165 L F P
0 g
s
.941 .742 .607 r
.71654 .62362 m .71831 .64039 L .7092 .64213 L p F P
0 g
s
.939 .733 .597 r
.70526 .60954 m .71426 .60711 L p .70774 .62489 L F P
0 g
s
.939 .733 .597 r
.70747 .62562 m .70526 .60954 L p .70774 .62489 L F P
0 g
s
.939 .733 .597 r
.71426 .60711 m .71654 .62362 L .70747 .62562 L p F P
0 g
s
.936 .718 .582 r
.7022 .5935 m .71112 .59067 L p .70547 .60884 L F P
0 g
s
.936 .718 .582 r
.70526 .60954 m .7022 .5935 L p .70547 .60884 L F P
0 g
s
.936 .718 .582 r
.71112 .59067 m .71426 .60711 L .70526 .60954 L p F P
0 g
s
.933 .704 .569 r
.69833 .57738 m .70717 .57428 L p .70234 .59296 L F P
0 g
s
.933 .704 .569 r
.7022 .5935 m .69833 .57738 L p .70234 .59296 L F P
0 g
s
.933 .704 .569 r
.70717 .57428 m .71112 .59067 L .7022 .5935 L p F P
0 g
s
.93 .693 .559 r
.69391 .56146 m .70266 .55806 L p .69847 .57678 L F P
0 g
s
.93 .693 .559 r
.69833 .57738 m .69391 .56146 L p .69847 .57678 L F P
0 g
s
.93 .693 .559 r
.70266 .55806 m .70717 .57428 L .69833 .57738 L p F P
0 g
s
.928 .689 .555 r
.69869 .5453 m .70266 .55806 L .69391 .56146 L p F P
0 g
s
.707 .577 .707 r
.70717 .57428 m .70266 .55806 L .72187 .5519 L p F P
0 g
s
.709 .582 .712 r
.70266 .55806 m .69869 .5453 L .71773 .53864 L p F P
0 g
s
.709 .582 .712 r
.71773 .53864 m .72187 .5519 L .70266 .55806 L p F P
0 g
s
.928 .689 .555 r
.69391 .56146 m .6888 .54548 L .69869 .5453 L p F P
0 g
s
.401 .394 .736 r
.69391 .56146 m .70447 .55868 L p .68928 .54589 L F P
0 g
s
.401 .394 .736 r
.6888 .54548 m .69391 .56146 L p .68928 .54589 L F P
0 g
s
.707 .577 .707 r
.71112 .59067 m .70717 .57428 L .7266 .56886 L p F P
0 g
s
.707 .577 .707 r
.72187 .5519 m .7266 .56886 L .70717 .57428 L p F P
0 g
s
.399 .384 .726 r
.69833 .57738 m .70902 .57504 L p .69433 .56183 L F P
0 g
s
.399 .384 .726 r
.69391 .56146 m .69833 .57738 L p .69433 .56183 L F P
0 g
s
.707 .577 .707 r
.71426 .60711 m .71112 .59067 L .73073 .58594 L p F P
0 g
s
.707 .577 .707 r
.7266 .56886 m .73073 .58594 L .71112 .59067 L p F P
0 g
s
.397 .375 .717 r
.7022 .5935 m .713 .59158 L p .69888 .57791 L F P
0 g
s
.397 .375 .717 r
.69833 .57738 m .7022 .5935 L p .69888 .57791 L F P
0 g
s
.707 .577 .707 r
.71654 .62362 m .71426 .60711 L .73407 .60331 L p F P
0 g
s
.707 .577 .707 r
.73073 .58594 m .73407 .60331 L .71426 .60711 L p F P
0 g
s
.395 .363 .705 r
.70526 .60954 m .71617 .60816 L p .70276 .59408 L F P
0 g
s
.395 .363 .705 r
.7022 .5935 m .70526 .60954 L p .70276 .59408 L F P
0 g
s
.707 .577 .707 r
.71831 .64039 m .71654 .62362 L .73652 .62084 L p F P
0 g
s
.707 .577 .707 r
.73407 .60331 m .73652 .62084 L .71654 .62362 L p F P
0 g
s
.394 .351 .692 r
.70747 .62562 m .71847 .62482 L p .70559 .60993 L F P
0 g
s
.394 .351 .692 r
.70526 .60954 m .70747 .62562 L p .70559 .60993 L F P
0 g
s
.707 .577 .707 r
.7197 .65736 m .71831 .64039 L .73837 .63828 L p F P
0 g
s
.707 .577 .707 r
.73652 .62084 m .73837 .63828 L .71831 .64039 L p F P
0 g
s
.394 .344 .684 r
.7092 .64213 m .72025 .64175 L p .7077 .62591 L F P
0 g
s
.394 .344 .684 r
.70747 .62562 m .7092 .64213 L p .7077 .62591 L F P
0 g
s
.942 .748 .613 r
.71058 .65894 m .7092 .64213 L p .71072 .65859 L F P
0 g
s
.707 .577 .707 r
.18891 .42563 m .20119 .43696 L .1862 .45045 L p F P
0 g
s
.707 .577 .707 r
.1862 .45045 m .17527 .44049 L .18891 .42563 L p F P
0 g
s
.707 .577 .707 r
.20119 .43696 m .21286 .44993 L .19757 .46309 L p F P
0 g
s
.707 .577 .707 r
.19757 .46309 m .1862 .45045 L .20119 .43696 L p F P
0 g
s
.707 .577 .707 r
.20897 .47634 m .19757 .46309 L .21286 .44993 L p F P
0 g
s
.707 .577 .707 r
.77849 .32542 m .76189 .32347 L .76609 .30374 L p F P
0 g
s
.707 .577 .707 r
.76609 .30374 m .78079 .30537 L .77849 .32542 L p F P
0 g
s
.707 .577 .707 r
.76189 .32347 m .74482 .31983 L .74946 .3002 L p F P
0 g
s
.707 .577 .707 r
.74946 .3002 m .76609 .30374 L .76189 .32347 L p F P
0 g
s
.707 .577 .707 r
.73245 .29618 m .74946 .3002 L .74482 .31983 L p F P
0 g
s
.707 .577 .707 r
.36041 .75303 m .37498 .74485 L .38318 .76328 L p F P
0 g
s
.707 .577 .707 r
.38318 .76328 m .37033 .7706 L .36041 .75303 L p F P
0 g
s
.707 .577 .707 r
.37498 .74485 m .39093 .73776 L .39872 .75637 L p F P
0 g
s
.707 .577 .707 r
.39872 .75637 m .38318 .76328 L .37498 .74485 L p F P
0 g
s
.707 .577 .707 r
.41484 .74962 m .39872 .75637 L .39093 .73776 L p F P
0 g
s
.707 .577 .707 r
.4473 .16134 m .44031 .17653 L .42285 .16643 L p F P
0 g
s
.707 .577 .707 r
.42285 .16643 m .42894 .15297 L .4473 .16134 L p F P
0 g
s
.707 .577 .707 r
.44031 .17653 m .43158 .19164 L .41435 .18116 L p F P
0 g
s
.707 .577 .707 r
.41435 .18116 m .42285 .16643 L .44031 .17653 L p F P
0 g
s
.707 .577 .707 r
.40527 .1961 m .41435 .18116 L .43158 .19164 L p F P
0 g
s
.707 .577 .707 r
.72479 .6911 m .72152 .67471 L .74158 .67261 L p F P
0 g
s
.707 .577 .707 r
.74158 .67261 m .74456 .68709 L .72479 .6911 L p F P
0 g
s
.707 .577 .707 r
.72152 .67471 m .7197 .65736 L .7398 .6557 L p F P
0 g
s
.707 .577 .707 r
.7398 .6557 m .74158 .67261 L .72152 .67471 L p F P
0 g
s
.707 .577 .707 r
.73837 .63828 m .7398 .6557 L .7197 .65736 L p F P
0 g
s
.574 .665 .9 r
.84174 .3186 m .82799 .31367 L .83193 .30307 L p F P
0 g
s
.596 .691 .909 r
.82799 .31367 m .81223 .30972 L .81528 .29893 L p F P
0 g
s
.596 .691 .909 r
.81528 .29893 m .83193 .30307 L .82799 .31367 L p F P
0 g
s
.539 .248 .422 r
.34234 .78556 m .35668 .77838 L .36107 .78847 L p F P
0 g
s
.525 .242 .427 r
.35668 .77838 m .37033 .7706 L .37474 .78067 L p F P
0 g
s
.525 .242 .427 r
.37474 .78067 m .36107 .78847 L .35668 .77838 L p F P
0 g
s
.791 .819 .874 r
.49485 .072 m .48225 .07954 L .47594 .06974 L p F P
0 g
s
.791 .819 .874 r
.47594 .06974 m .48967 .06143 L .49485 .072 L p F P
0 g
s
.817 .827 .857 r
.48225 .07954 m .47079 .08857 L .46351 .07962 L p F P
0 g
s
.841 .831 .838 r
.47079 .08857 m .46036 .09909 L .45219 .09113 L p F P
0 g
s
.841 .831 .838 r
.45219 .09113 m .46351 .07962 L .47079 .08857 L p F P
0 g
s
.862 .831 .815 r
.46036 .09909 m .45142 .11064 L .44263 .10356 L p F P
0 g
s
.877 .828 .795 r
.45142 .11064 m .44279 .1244 L .43355 .11812 L p F P
0 g
s
.877 .828 .795 r
.43355 .11812 m .44263 .10356 L .45142 .11064 L p F P
0 g
s
.418 .286 .593 r
.7446 .77782 m .74855 .76379 L .75966 .76661 L p F P
0 g
s
.408 .302 .622 r
.74855 .76379 m .75082 .74914 L .76206 .75064 L p F P
0 g
s
.408 .302 .622 r
.76206 .75064 m .75966 .76661 L .74855 .76379 L p F P
0 g
s
.908 .713 .627 r
.11339 .3154 m .11863 .35279 L .10705 .3544 L p F P
0 g
s
.908 .713 .627 r
.10705 .3544 m .10164 .31602 L .11339 .3154 L p F P
0 g
s
.905 .692 .604 r
.11863 .35279 m .12191 .36711 L .11071 .37003 L p F P
0 g
s
.905 .692 .604 r
.11071 .37003 m .10705 .3544 L .11863 .35279 L p F P
0 g
s
.897 .66 .572 r
.12191 .36711 m .12696 .38079 L .11627 .38489 L p F P
0 g
s
.897 .66 .572 r
.11627 .38489 m .11071 .37003 L .12191 .36711 L p F P
0 g
s
.886 .627 .542 r
.12696 .38079 m .13374 .39396 L .12372 .39922 L p F P
0 g
s
.871 .592 .513 r
.13374 .39396 m .14196 .40603 L .13259 .41215 L p F P
0 g
s
.871 .592 .513 r
.13259 .41215 m .12372 .39922 L .13374 .39396 L p F P
0 g
s
.857 .563 .49 r
.14196 .40603 m .15239 .41849 L .14362 .42529 L p F P
0 g
s
.843 .538 .472 r
.15239 .41849 m .16365 .42991 L .15534 .43715 L p F P
0 g
s
.843 .538 .472 r
.15534 .43715 m .14362 .42529 L .15239 .41849 L p F P
0 g
s
.834 .521 .461 r
.16365 .42991 m .17527 .44049 L .16698 .44774 L p F P
0 g
s
.834 .521 .461 r
.16698 .44774 m .15534 .43715 L .16365 .42991 L p F P
0 g
s
.833 .521 .461 r
.17527 .44049 m .1862 .45045 L .17727 .45706 L p F P
0 g
s
.833 .521 .461 r
.17727 .45706 m .16698 .44774 L .17527 .44049 L p F P
0 g
s
.851 .552 .482 r
.1862 .45045 m .19757 .46309 L .18855 .46958 L p F P
0 g
s
.851 .552 .482 r
.18855 .46958 m .17727 .45706 L .1862 .45045 L p F P
0 g
s
.855 .559 .487 r
.19757 .46309 m .20897 .47634 L .20016 .48307 L p F P
0 g
s
.855 .559 .487 r
.20016 .48307 m .18855 .46958 L .19757 .46309 L p F P
0 g
s
.851 .552 .482 r
.20897 .47634 m .22072 .48936 L .21218 .4964 L p F P
0 g
s
.851 .552 .482 r
.21218 .4964 m .20016 .48307 L .20897 .47634 L p F P
0 g
s
.845 .541 .475 r
.22072 .48936 m .23301 .5021 L .22489 .50955 L p F P
0 g
s
.845 .541 .475 r
.22489 .50955 m .21218 .4964 L .22072 .48936 L p F P
0 g
s
.836 .526 .465 r
.23301 .5021 m .24592 .51419 L .23822 .52201 L p F P
0 g
s
.836 .526 .465 r
.23822 .52201 m .22489 .50955 L .23301 .5021 L p F P
0 g
s
.827 .511 .455 r
.24592 .51419 m .25929 .52558 L .25193 .53368 L p F P
0 g
s
.827 .511 .455 r
.25193 .53368 m .23822 .52201 L .24592 .51419 L p F P
0 g
s
.82 .5 .449 r
.25929 .52558 m .27309 .53652 L .2661 .54491 L p F P
0 g
s
.82 .5 .449 r
.2661 .54491 m .25193 .53368 L .25929 .52558 L p F P
0 g
s
.812 .489 .442 r
.27309 .53652 m .28423 .54482 L .28049 .55545 L p F P
0 g
s
.812 .489 .442 r
.28049 .55545 m .2661 .54491 L .27309 .53652 L p F P
0 g
s
.5 .561 .85 r
.87816 .34303 m .86709 .33338 L .87439 .32429 L p F P
0 g
s
.5 .561 .85 r
.87439 .32429 m .88654 .33478 L .87816 .34303 L p F P
0 g
s
.523 .598 .87 r
.86709 .33338 m .85496 .32528 L .86115 .31553 L p F P
0 g
s
.547 .632 .887 r
.85496 .32528 m .84174 .3186 L .84671 .30832 L p F P
0 g
s
.547 .632 .887 r
.84671 .30832 m .86115 .31553 L .85496 .32528 L p F P
0 g
s
.616 .712 .914 r
.81223 .30972 m .7964 .3071 L .79883 .29622 L p F P
0 g
s
.616 .712 .914 r
.79883 .29622 m .81528 .29893 L .81223 .30972 L p F P
0 g
s
.629 .725 .917 r
.7964 .3071 m .78079 .30537 L .78319 .29449 L p F P
0 g
s
.629 .725 .917 r
.78319 .29449 m .79883 .29622 L .7964 .3071 L p F P
0 g
s
.629 .726 .917 r
.78079 .30537 m .76609 .30374 L .76938 .293 L p F P
0 g
s
.629 .726 .917 r
.76938 .293 m .78319 .29449 L .78079 .30537 L p F P
0 g
s
.604 .7 .911 r
.76609 .30374 m .74946 .3002 L .7529 .2895 L p F P
0 g
s
.604 .7 .911 r
.7529 .2895 m .76938 .293 L .76609 .30374 L p F P
0 g
s
.599 .694 .91 r
.74946 .3002 m .73245 .29618 L .73558 .28542 L p F P
0 g
s
.599 .694 .91 r
.73558 .28542 m .7529 .2895 L .74946 .3002 L p F P
0 g
s
.604 .7 .911 r
.73245 .29618 m .71529 .29255 L .71802 .2817 L p F P
0 g
s
.604 .7 .911 r
.71802 .2817 m .73558 .28542 L .73245 .29618 L p F P
0 g
s
.613 .709 .913 r
.71529 .29255 m .69786 .28946 L .7 .27853 L p F P
0 g
s
.613 .709 .913 r
.7 .27853 m .71802 .2817 L .71529 .29255 L p F P
0 g
s
.625 .721 .916 r
.69786 .28946 m .68031 .28727 L .6819 .27628 L p F P
0 g
s
.625 .721 .916 r
.6819 .27628 m .7 .27853 L .69786 .28946 L p F P
0 g
s
.637 .733 .917 r
.68031 .28727 m .6628 .28592 L .66395 .27489 L p F P
0 g
s
.637 .733 .917 r
.66395 .27489 m .6819 .27628 L .68031 .28727 L p F P
0 g
s
.646 .741 .918 r
.6628 .28592 m .6452 .28518 L .64588 .27414 L p F P
0 g
s
.646 .741 .918 r
.64588 .27414 m .66395 .27489 L .6628 .28592 L p F P
0 g
s
.656 .749 .919 r
.6452 .28518 m .63131 .28501 L .62804 .27408 L p F P
0 g
s
.656 .749 .919 r
.62804 .27408 m .64588 .27414 L .6452 .28518 L p F P
0 g
s
.682 .353 .411 r
.26943 .79737 m .28405 .79867 L .28344 .81017 L p F P
0 g
s
.682 .353 .411 r
.28344 .81017 m .26745 .80882 L .26943 .79737 L p F P
0 g
s
.649 .323 .407 r
.28405 .79867 m .29863 .79809 L .2993 .80948 L p F P
0 g
s
.617 .298 .407 r
.29863 .79809 m .31325 .79572 L .31523 .80682 L p F P
0 g
s
.617 .298 .407 r
.31523 .80682 m .2993 .80948 L .29863 .79809 L p F P
0 g
s
.585 .275 .41 r
.31325 .79572 m .32727 .79163 L .33027 .80238 L p F P
0 g
s
.585 .275 .41 r
.33027 .80238 m .31523 .80682 L .31325 .79572 L p F P
0 g
s
.56 .26 .416 r
.32727 .79163 m .34234 .78556 L .34617 .79595 L p F P
0 g
s
.539 .248 .422 r
.36107 .78847 m .34617 .79595 L .34234 .78556 L p F P
0 g
s
.525 .241 .427 r
.37033 .7706 m .38318 .76328 L .38678 .77376 L p F P
0 g
s
.525 .241 .427 r
.38678 .77376 m .37474 .78067 L .37033 .7706 L p F P
0 g
s
.55 .254 .418 r
.38318 .76328 m .39872 .75637 L .40218 .76691 L p F P
0 g
s
.55 .254 .418 r
.40218 .76691 m .38678 .77376 L .38318 .76328 L p F P
0 g
s
.556 .257 .416 r
.39872 .75637 m .41484 .74962 L .41859 .76003 L p F P
0 g
s
.556 .257 .416 r
.41859 .76003 m .40218 .76691 L .39872 .75637 L p F P
0 g
s
.55 .254 .418 r
.41484 .74962 m .43086 .74248 L .43498 .75272 L p F P
0 g
s
.55 .254 .418 r
.43498 .75272 m .41859 .76003 L .41484 .74962 L p F P
0 g
s
.542 .25 .421 r
.43086 .74248 m .44677 .73473 L .45142 .74469 L p F P
0 g
s
.542 .25 .421 r
.45142 .74469 m .43498 .75272 L .43086 .74248 L p F P
0 g
s
.529 .244 .426 r
.44677 .73473 m .46226 .72618 L .46739 .73587 L p F P
0 g
s
.529 .244 .426 r
.46739 .73587 m .45142 .74469 L .44677 .73473 L p F P
0 g
s
.518 .24 .431 r
.46226 .72618 m .47723 .71698 L .48273 .72644 L p F P
0 g
s
.518 .24 .431 r
.48273 .72644 m .46739 .73587 L .46226 .72618 L p F P
0 g
s
.51 .237 .436 r
.47723 .71698 m .4919 .70724 L .49778 .71643 L p F P
0 g
s
.51 .237 .436 r
.49778 .71643 m .48273 .72644 L .47723 .71698 L p F P
0 g
s
.501 .234 .441 r
.4919 .70724 m .50323 .69921 L .51225 .70599 L p F P
0 g
s
.501 .234 .441 r
.51225 .70599 m .49778 .71643 L .4919 .70724 L p F P
0 g
s
.817 .827 .857 r
.46351 .07962 m .47594 .06974 L .48225 .07954 L p F P
0 g
s
.862 .831 .815 r
.44263 .10356 m .45219 .09113 L .46036 .09909 L p F P
0 g
s
.889 .823 .777 r
.44279 .1244 m .43541 .13864 L .42589 .13292 L p F P
0 g
s
.889 .823 .777 r
.42589 .13292 m .43355 .11812 L .44279 .1244 L p F P
0 g
s
.895 .819 .765 r
.43541 .13864 m .42894 .15297 L .41941 .14727 L p F P
0 g
s
.895 .819 .765 r
.41941 .14727 m .42589 .13292 L .43541 .13864 L p F P
0 g
s
.896 .819 .764 r
.42894 .15297 m .42285 .16643 L .41373 .15994 L p F P
0 g
s
.896 .819 .764 r
.41373 .15994 m .41941 .14727 L .42894 .15297 L p F P
0 g
s
.883 .827 .788 r
.42285 .16643 m .41435 .18116 L .40531 .17453 L p F P
0 g
s
.883 .827 .788 r
.40531 .17453 m .41373 .15994 L .42285 .16643 L p F P
0 g
s
.879 .828 .792 r
.41435 .18116 m .40527 .1961 L .39607 .18973 L p F P
0 g
s
.879 .828 .792 r
.39607 .18973 m .40531 .17453 L .41435 .18116 L p F P
0 g
s
.883 .826 .787 r
.40527 .1961 m .39651 .21129 L .38711 .20529 L p F P
0 g
s
.883 .826 .787 r
.38711 .20529 m .39607 .18973 L .40527 .1961 L p F P
0 g
s
.887 .824 .78 r
.39651 .21129 m .38819 .22691 L .37852 .22144 L p F P
0 g
s
.887 .824 .78 r
.37852 .22144 m .38711 .20529 L .39651 .21129 L p F P
0 g
s
.894 .82 .768 r
.38819 .22691 m .38068 .24293 L .37079 .23797 L p F P
0 g
s
.894 .82 .768 r
.37079 .23797 m .37852 .22144 L .38819 .22691 L p F P
0 g
s
.899 .815 .757 r
.38068 .24293 m .37398 .25917 L .36393 .25461 L p F P
0 g
s
.899 .815 .757 r
.36393 .25461 m .37079 .23797 L .38068 .24293 L p F P
0 g
s
.903 .811 .748 r
.37398 .25917 m .36784 .27568 L .35763 .27156 L p F P
0 g
s
.903 .811 .748 r
.35763 .27156 m .36393 .25461 L .37398 .25917 L p F P
0 g
s
.906 .807 .739 r
.36784 .27568 m .36339 .28883 L .35206 .28851 L p F P
0 g
s
.906 .807 .739 r
.35206 .28851 m .35763 .27156 L .36784 .27568 L p F P
0 g
s
.431 .273 .564 r
.73884 .79133 m .7446 .77782 L .75542 .7819 L p F P
0 g
s
.431 .273 .564 r
.75542 .7819 m .7492 .7967 L .73884 .79133 L p F P
0 g
s
.418 .286 .593 r
.75966 .76661 m .75542 .7819 L .7446 .77782 L p F P
0 g
s
.402 .322 .652 r
.75082 .74914 m .75126 .73455 L .76249 .73497 L p F P
0 g
s
.399 .341 .676 r
.75126 .73455 m .75015 .71834 L .76128 .71785 L p F P
0 g
s
.399 .341 .676 r
.76128 .71785 m .76249 .73497 L .75126 .73455 L p F P
0 g
s
.399 .358 .696 r
.75015 .71834 m .74775 .70248 L .75877 .70137 L p F P
0 g
s
.399 .358 .696 r
.75877 .70137 m .76128 .71785 L .75015 .71834 L p F P
0 g
s
.4 .37 .71 r
.74775 .70248 m .74456 .68709 L .75558 .68596 L p F P
0 g
s
.4 .371 .711 r
.74456 .68709 m .74158 .67261 L .75273 .67237 L p F P
0 g
s
.4 .371 .711 r
.75273 .67237 m .75558 .68596 L .74456 .68709 L p F P
0 g
s
.399 .348 .685 r
.74158 .67261 m .7398 .6557 L .75097 .65561 L p F P
0 g
s
.399 .348 .685 r
.75097 .65561 m .75273 .67237 L .74158 .67261 L p F P
0 g
s
.399 .343 .679 r
.7398 .6557 m .73837 .63828 L .7495 .63788 L p F P
0 g
s
.399 .343 .679 r
.7495 .63788 m .75097 .65561 L .7398 .6557 L p F P
0 g
s
.399 .348 .685 r
.73837 .63828 m .73652 .62084 L .74761 .62003 L p F P
0 g
s
.399 .348 .685 r
.74761 .62003 m .7495 .63788 L .73837 .63828 L p F P
0 g
s
.399 .356 .694 r
.73652 .62084 m .73407 .60331 L .74506 .60191 L p F P
0 g
s
.399 .356 .694 r
.74506 .60191 m .74761 .62003 L .73652 .62084 L p F P
0 g
s
.4 .367 .707 r
.73407 .60331 m .73073 .58594 L .7416 .584 L p F P
0 g
s
.402 .379 .718 r
.73073 .58594 m .7266 .56886 L .73737 .5665 L p F P
0 g
s
.402 .379 .718 r
.73737 .5665 m .7416 .584 L .73073 .58594 L p F P
0 g
s
.404 .387 .727 r
.7266 .56886 m .72187 .5519 L .7325 .54909 L p F P
0 g
s
.404 .387 .727 r
.7325 .54909 m .73737 .5665 L .7266 .56886 L p F P
0 g
s
.406 .397 .737 r
.72187 .5519 m .71773 .53864 L .72705 .5321 L p F P
0 g
s
.406 .397 .737 r
.72705 .5321 m .7325 .54909 L .72187 .5519 L p F P
0 g
s
.886 .627 .542 r
.12372 .39922 m .11627 .38489 L .12696 .38079 L p F P
0 g
s
.857 .563 .49 r
.14362 .42529 m .13259 .41215 L .14196 .40603 L p F P
0 g
s
.523 .598 .87 r
.86115 .31553 m .87439 .32429 L .86709 .33338 L p F P
0 g
s
.574 .665 .9 r
.83193 .30307 m .84671 .30832 L .84174 .3186 L p F P
0 g
s
.649 .323 .407 r
.2993 .80948 m .28344 .81017 L .28405 .79867 L p F P
0 g
s
.56 .26 .416 r
.34617 .79595 m .33027 .80238 L .32727 .79163 L p F P
0 g
s
.402 .322 .652 r
.76249 .73497 m .76206 .75064 L .75082 .74914 L p F P
0 g
s
.4 .37 .71 r
.75558 .68596 m .75877 .70137 L .74775 .70248 L p F P
0 g
s
.4 .367 .707 r
.7416 .584 m .74506 .60191 L .73407 .60331 L p F P
0 g
s
.631 .731 .92 r
.61132 .27464 m .62603 .27415 L p .63131 .28501 L F P
0 g
s
.631 .731 .92 r
.62809 .27422 m .63131 .28501 L p .62603 .27415 L F P
0 g
s
.634 .267 .331 r
.6252 .2834 m .64649 .28336 L .64593 .27487 L p F P
0 g
s
.634 .267 .331 r
.64593 .27487 m .64588 .27414 L p .64439 .27481 L F P
0 g
s
.634 .267 .331 r
.6252 .2834 m .64593 .27487 L .64439 .27481 L F
.631 .731 .92 r
.62603 .27415 m .62804 .27408 L .62809 .27422 L p F P
0 g
s
.9 .821 .76 r
.34741 .3046 m .3515 .29045 L p .36339 .28883 L F P
0 g
s
.9 .821 .76 r
.3522 .28851 m .36339 .28883 L p .3515 .29045 L F P
0 g
s
.347 .209 .547 r
.36011 .29404 m .36666 .27378 L .35834 .27174 L p F P
0 g
s
.347 .209 .547 r
.35834 .27174 m .35763 .27156 L p .35781 .27318 L F P
0 g
s
.347 .209 .547 r
.36011 .29404 m .35834 .27174 L .35781 .27318 L F
.9 .821 .76 r
.3515 .29045 m .35206 .28851 L .3522 .28851 L p F P
0 g
s
.394 .37 .714 r
.72136 .51638 m .72636 .53021 L p .71773 .53864 L F P
0 g
s
.394 .37 .714 r
.72693 .53219 m .71773 .53864 L p .72636 .53021 L F P
0 g
s
.927 .677 .541 r
.71724 .53223 m .72385 .55246 L .73182 .54935 L p F P
0 g
s
.927 .677 .541 r
.73182 .54935 m .7325 .54909 L p .7314 .54787 L F P
0 g
s
.927 .677 .541 r
.71724 .53223 m .73182 .54935 L .7314 .54787 L F
.394 .37 .714 r
.72636 .53021 m .72705 .5321 L .72693 .53219 L p F P
0 g
s
.831 .514 .452 r
.29435 .56485 m .28216 .55658 L p .28423 .54482 L F P
0 g
s
.831 .514 .452 r
.28054 .55531 m .28423 .54482 L p .28216 .55658 L F P
0 g
s
.464 .58 .886 r
.28831 .54944 m .27107 .53695 L .26649 .54429 L p F P
0 g
s
.464 .58 .886 r
.26649 .54429 m .2661 .54491 L p .2677 .54523 L F P
0 g
s
.464 .58 .886 r
.28831 .54944 m .26649 .54429 L .2677 .54523 L F
.831 .514 .452 r
.28216 .55658 m .28049 .55545 L .28054 .55531 L p F P
0 g
s
.516 .232 .422 r
.52546 .69574 m .51384 .70476 L p .50323 .69921 L F P
0 g
s
.516 .232 .422 r
.51214 .70591 m .50323 .69921 L p .51384 .70476 L F P
0 g
s
.82 .868 .882 r
.50903 .69665 m .49182 .70919 L .49732 .71586 L p F P
0 g
s
.82 .868 .882 r
.49732 .71586 m .49778 .71643 L p .49859 .715 L F P
0 g
s
.82 .868 .882 r
.50903 .69665 m .49732 .71586 L .49859 .715 L F
.516 .232 .422 r
.51384 .70476 m .51225 .70599 L .51214 .70591 L p F P
0 g
s
.816 .487 .432 r
.35418 .56661 m .36834 .57469 L .37092 .5638 L p F P
0 g
s
.816 .487 .432 r
.37092 .5638 m .35677 .55575 L .35418 .56661 L p F P
0 g
s
.421 .354 .677 r
.9431 .54539 m .94386 .5119 L .93168 .51184 L p F P
0 g
s
.65 .752 .924 r
.56186 .30833 m .54566 .31015 L .55002 .32061 L p F P
0 g
s
.65 .752 .924 r
.55002 .32061 m .56619 .31878 L .56186 .30833 L p F P
0 g
s
.853 .571 .509 r
.0979 .67171 m .11696 .69922 L .1269 .69225 L p F P
0 g
s
.494 .22 .428 r
.54566 .63935 m .5577 .62839 L .54807 .62262 L p F P
0 g
s
.494 .22 .428 r
.54807 .62262 m .53605 .63358 L .54566 .63935 L p F P
0 g
s
.602 .683 .898 r
.70744 .07272 m .67583 .06164 L .67193 .07325 L p F P
0 g
s
.91 .815 .74 r
.36419 .36203 m .3609 .378 L .37212 .37715 L p F P
0 g
s
.91 .815 .74 r
.37212 .37715 m .3754 .36119 L .36419 .36203 L p F P
0 g
s
.575 .283 .435 r
.56639 .91559 m .59846 .90595 L .59483 .8944 L p F P
0 g
s
.393 .387 .733 r
.67401 .47972 m .66729 .4649 L .65876 .47232 L p F P
0 g
s
.393 .387 .733 r
.65876 .47232 m .66548 .48713 L .67401 .47972 L p F P
0 g
s
.845 .822 .826 r
.20938 .12688 m .18481 .1505 L .19338 .15926 L p F P
0 g
s
.514 .649 .918 r
.37201 .60022 m .35811 .59218 L .35054 .59863 L p F P
0 g
s
.958 .751 .582 r
.97147 .5051 m .96538 .46787 L .95824 .47235 L p F P
0 g
s
.958 .751 .582 r
.95824 .47235 m .96384 .50851 L .97147 .5051 L p F P
0 g
s
.569 .217 .332 r
.52769 .29168 m .54366 .28998 L .54603 .28045 L p F P
0 g
s
.37 .489 .849 r
.09867 .72109 m .12547 .7476 L .12857 .73964 L p F P
0 g
s
.37 .489 .849 r
.12857 .73964 m .10279 .71371 L .09867 .72109 L p F P
0 g
s
.866 .874 .841 r
.5831 .6328 m .57117 .64353 L .5749 .65277 L p F P
0 g
s
.687 .287 .282 r
.67782 .03333 m .64055 .02761 L .64267 .03573 L p F P
0 g
s
.687 .287 .282 r
.64267 .03573 m .67879 .04159 L .67782 .03333 L p F P
0 g
s
.329 .244 .605 r
.33777 .38939 m .34111 .37367 L .3327 .36852 L p F P
0 g
s
.761 .873 .929 r
.61354 .93016 m .64704 .91285 L .6405 .90739 L p F P
0 g
s
.761 .873 .929 r
.6405 .90739 m .60786 .92391 L .61354 .93016 L p F P
0 g
s
.903 .61 .48 r
.67932 .44211 m .68585 .45676 L .69572 .45612 L p F P
0 g
s
.352 .11 .401 r
.16071 .13557 m .13809 .16655 L .14632 .16813 L p F P
0 g
s
.352 .11 .401 r
.14632 .16813 m .1684 .1386 L .16071 .13557 L p F P
0 g
s
.734 .619 .73 r
.41032 .62662 m .4224 .63692 L .43581 .62184 L p F P
0 g
s
.734 .619 .73 r
.43581 .62184 m .42351 .61132 L .41032 .62662 L p F P
0 g
s
.669 .544 .703 r
.48121 .29292 m .46539 .29171 L .4634 .31179 L p F P
0 g
s
.669 .544 .703 r
.4634 .31179 m .47954 .31304 L .48121 .29292 L p F P
0 g
s
.692 .593 .74 r
.32454 .43402 m .31849 .4487 L .33698 .45679 L p F P
0 g
s
.692 .593 .74 r
.33698 .45679 m .34317 .44183 L .32454 .43402 L p F P
0 g
s
.698 .54 .67 r
.66382 .39832 m .66009 .38291 L .64038 .38722 L p F P
0 g
s
.698 .54 .67 r
.64038 .38722 m .64416 .40294 L .66382 .39832 L p F P
0 g
s
.738 .587 .687 r
.62 .60455 m .63352 .59626 L .62333 .57884 L p F P
0 g
s
.738 .587 .687 r
.62333 .57884 m .60953 .58729 L .62 .60455 L p F P
0 g
s
.724 .587 .701 r
.32354 .04311 m .28844 .0539 L .29756 .07193 L p F P
0 g
s
.724 .587 .701 r
.29756 .07193 m .32975 .06231 L .32354 .04311 L p F P
0 g
s
.699 .583 .722 r
.91438 .64508 m .89814 .67523 L .91609 .68444 L p F P
0 g
s
.704 .561 .69 r
.06257 .57426 m .05799 .54034 L .03805 .54344 L p F P
0 g
s
.719 .597 .719 r
.79332 .13087 m .81697 .15565 L .83128 .14142 L p F P
0 g
s
.69 .561 .704 r
.46275 .91911 m .42906 .91299 L .42585 .93291 L p F P
0 g
s
.699 .583 .722 r
.91609 .68444 m .93343 .65179 L .91438 .64508 L p F P
0 g
s
.704 .561 .69 r
.03805 .54344 m .04321 .58002 L .06257 .57426 L p F P
0 g
s
.719 .597 .719 r
.83128 .14142 m .8056 .11483 L .79332 .13087 L p F P
0 g
s
.69 .561 .704 r
.42585 .93291 m .46225 .9393 L .46275 .91911 L p F P
0 g
s
.425 .391 .717 r
.94386 .5119 m .93887 .47839 L .92682 .47989 L p F P
0 g
s
.825 .523 .478 r
.11696 .69922 m .14069 .72338 L .1496 .71521 L p F P
0 g
s
.641 .722 .906 r
.67583 .06164 m .64243 .05601 L .64007 .068 L p F P
0 g
s
.537 .266 .451 r
.59846 .90595 m .62878 .89084 L .62369 .87989 L p F P
0 g
s
.868 .817 .796 r
.18481 .1505 m .16449 .17714 L .17427 .1845 L p F P
0 g
s
.949 .707 .537 r
.96538 .46787 m .9537 .43008 L .9474 .43587 L p F P
0 g
s
.949 .707 .537 r
.9474 .43587 m .95824 .47235 L .96538 .46787 L p F P
0 g
s
.406 .543 .881 r
.12547 .7476 m .15712 .77128 L .15878 .76276 L p F P
0 g
s
.406 .543 .881 r
.15878 .76276 m .12857 .73964 L .12547 .7476 L p F P
0 g
s
.642 .246 .279 r
.64055 .02761 m .60102 .02703 L .60464 .03476 L p F P
0 g
s
.642 .246 .279 r
.60464 .03476 m .64267 .03573 L .64055 .02761 L p F P
0 g
s
.801 .887 .907 r
.64704 .91285 m .67936 .89006 L .67184 .88579 L p F P
0 g
s
.801 .887 .907 r
.67184 .88579 m .6405 .90739 L .64704 .91285 L p F P
0 g
s
.321 .124 .45 r
.13809 .16655 m .12114 .20025 L .1296 .20068 L p F P
0 g
s
.321 .124 .45 r
.1296 .20068 m .14632 .16813 L .13809 .16655 L p F P
0 g
s
.82 .493 .435 r
.35677 .55575 m .34317 .54771 L .34036 .55853 L p F P
0 g
s
.644 .747 .924 r
.56619 .31878 m .58192 .31726 L .57778 .30672 L p F P
0 g
s
.498 .221 .425 r
.53605 .63358 m .52422 .64403 L .53371 .64999 L p F P
0 g
s
.909 .818 .745 r
.3754 .36119 m .37882 .34575 L .3676 .34637 L p F P
0 g
s
.391 .381 .728 r
.66548 .48713 m .67177 .5016 L .68045 .49437 L p F P
0 g
s
.512 .647 .917 r
.32237 .58237 m .33655 .59071 L .34403 .58417 L p F P
0 g
s
.516 .651 .919 r
.35811 .59218 m .34403 .58417 L .33655 .59071 L p F P
0 g
s
.571 .217 .33 r
.57837 .27699 m .562 .27861 L .55975 .28816 L p F P
0 g
s
.567 .216 .332 r
.54366 .28998 m .55975 .28816 L .562 .27861 L p F P
0 g
s
.865 .875 .843 r
.55076 .67452 m .56306 .66362 L .55922 .65444 L p F P
0 g
s
.867 .874 .84 r
.57117 .64353 m .55922 .65444 L .56306 .66362 L p F P
0 g
s
.328 .241 .603 r
.33943 .33668 m .3359 .35276 L .34435 .3578 L p F P
0 g
s
.329 .245 .607 r
.34111 .37367 m .34435 .3578 L .3359 .35276 L p F P
0 g
s
.904 .612 .481 r
.70897 .48579 m .70239 .47073 L .69255 .47149 L p F P
0 g
s
.902 .608 .478 r
.68585 .45676 m .69255 .47149 L .70239 .47073 L p F P
0 g
s
.735 .618 .729 r
.39808 .61698 m .41032 .62662 L .42351 .61132 L p F P
0 g
s
.735 .618 .729 r
.42351 .61132 m .41057 .60109 L .39808 .61698 L p F P
0 g
s
.67 .546 .705 r
.49677 .29349 m .48121 .29292 L .47954 .31304 L p F P
0 g
s
.67 .546 .705 r
.47954 .31304 m .496 .31369 L .49677 .29349 L p F P
0 g
s
.736 .585 .686 r
.60707 .61321 m .62 .60455 L .60953 .58729 L p F P
0 g
s
.736 .585 .686 r
.60953 .58729 m .59582 .59642 L .60707 .61321 L p F P
0 g
s
.694 .594 .74 r
.32991 .41938 m .32454 .43402 L .34317 .44183 L p F P
0 g
s
.694 .594 .74 r
.34317 .44183 m .34889 .42636 L .32991 .41938 L p F P
0 g
s
.696 .54 .671 r
.66806 .41328 m .66382 .39832 L .64416 .40294 L p F P
0 g
s
.696 .54 .671 r
.64416 .40294 m .64862 .4188 L .66806 .41328 L p F P
0 g
s
.722 .583 .699 r
.26668 .08676 m .29756 .07193 L .28844 .0539 L p F P
0 g
s
.722 .583 .699 r
.28844 .0539 m .2552 .07012 L .26668 .08676 L p F P
0 g
s
.701 .586 .723 r
.93343 .65179 m .94596 .61763 L .92659 .61186 L p F P
0 g
s
.701 .586 .723 r
.92659 .61186 m .91438 .64508 L .93343 .65179 L p F P
0 g
s
.702 .56 .691 r
.04321 .58002 m .05314 .615 L .07221 .60828 L p F P
0 g
s
.702 .56 .691 r
.07221 .60828 m .06257 .57426 L .04321 .58002 L p F P
0 g
s
.72 .597 .717 r
.8056 .11483 m .777 .09234 L .76552 .10899 L p F P
0 g
s
.72 .597 .717 r
.76552 .10899 m .79332 .13087 L .8056 .11483 L p F P
0 g
s
.69 .563 .706 r
.46225 .9393 m .49859 .94065 L .49809 .92044 L p F P
0 g
s
.69 .563 .706 r
.49809 .92044 m .46275 .91911 L .46225 .9393 L p F P
0 g
s
.824 .499 .438 r
.34317 .54771 m .32972 .53944 L .32666 .55019 L p F P
0 g
s
.432 .422 .748 r
.93887 .47839 m .92929 .44505 L .91765 .44837 L p F P
0 g
s
.639 .743 .924 r
.58192 .31726 m .59765 .31602 L .59376 .30539 L p F P
0 g
s
.8 .485 .457 r
.14069 .72338 m .16803 .74469 L .17554 .7353 L p F P
0 g
s
.502 .222 .422 r
.52422 .64403 m .51221 .65425 L .52156 .66043 L p F P
0 g
s
.673 .749 .908 r
.64243 .05601 m .60778 .05482 L .60727 .06696 L p F P
0 g
s
.907 .82 .75 r
.37882 .34575 m .38252 .3304 L .37128 .33076 L p F P
0 g
s
.509 .257 .468 r
.62878 .89084 m .65751 .87141 L .65083 .86142 L p F P
0 g
s
.39 .376 .723 r
.67177 .5016 m .6778 .51617 L .68664 .50913 L p F P
0 g
s
.888 .804 .76 r
.16449 .17714 m .14883 .20719 L .15943 .2132 L p F P
0 g
s
.506 .641 .915 r
.30828 .57375 m .32237 .58237 L .32991 .57593 L p F P
0 g
s
.512 .647 .917 r
.34403 .58417 m .32991 .57593 L .32237 .58237 L p F P
0 g
s
.93 .648 .486 r
.9537 .43008 m .93607 .39503 L .93068 .40184 L p F P
0 g
s
.93 .648 .486 r
.93068 .40184 m .9474 .43587 L .9537 .43008 L p F P
0 g
s
.576 .22 .329 r
.59482 .27566 m .57837 .27699 L .576 .2865 L p F P
0 g
s
.571 .217 .33 r
.55975 .28816 m .576 .2865 L .57837 .27699 L p F P
0 g
s
.455 .607 .912 r
.15712 .77128 m .19198 .78925 L .19229 .78044 L p F P
0 g
s
.455 .607 .912 r
.19229 .78044 m .15878 .76276 L .15712 .77128 L p F P
0 g
s
.861 .875 .847 r
.53822 .68524 m .55076 .67452 L .54704 .6653 L p F P
0 g
s
.865 .875 .843 r
.55922 .65444 m .54704 .6653 L .55076 .67452 L p F P
0 g
s
.587 .204 .284 r
.60102 .02703 m .56224 .03295 L .56713 .04013 L p F P
0 g
s
.587 .204 .284 r
.56713 .04013 m .60464 .03476 L .60102 .02703 L p F P
0 g
s
.328 .237 .597 r
.34327 .32061 m .33943 .33668 L .34781 .34182 L p F P
0 g
s
.328 .241 .603 r
.34435 .3578 m .34781 .34182 L .33943 .33668 L p F P
0 g
s
.846 .894 .872 r
.67936 .89006 m .70724 .86245 L .69902 .85937 L p F P
0 g
s
.846 .894 .872 r
.69902 .85937 m .67184 .88579 L .67936 .89006 L p F P
0 g
s
.907 .618 .485 r
.71531 .50102 m .70897 .48579 L .69913 .48642 L p F P
0 g
s
.904 .612 .481 r
.69255 .47149 m .69913 .48642 L .70897 .48579 L p F P
0 g
s
.304 .145 .494 r
.12114 .20025 m .10837 .23769 L .11692 .23657 L p F P
0 g
s
.304 .145 .494 r
.11692 .23657 m .1296 .20068 L .12114 .20025 L p F P
0 g
s
.671 .549 .708 r
.51206 .29299 m .49677 .29349 L .496 .31369 L p F P
0 g
s
.671 .549 .708 r
.496 .31369 m .51283 .31321 L .51206 .29299 L p F P
0 g
s
.697 .597 .74 r
.33417 .40468 m .32991 .41938 L .34889 .42636 L p F P
0 g
s
.697 .597 .74 r
.34889 .42636 m .35364 .41019 L .33417 .40468 L p F P
0 g
s
.694 .539 .673 r
.67325 .42766 m .66806 .41328 L .64862 .4188 L p F P
0 g
s
.694 .539 .673 r
.64862 .4188 m .65426 .43464 L .67325 .42766 L p F P
0 g
s
.736 .617 .726 r
.38542 .60837 m .39808 .61698 L .41057 .60109 L p F P
0 g
s
.736 .617 .726 r
.41057 .60109 m .39668 .59156 L .38542 .60837 L p F P
0 g
s
.734 .581 .684 r
.59499 .62258 m .60707 .61321 L .59582 .59642 L p F P
0 g
s
.734 .581 .684 r
.59582 .59642 m .58248 .60667 L .59499 .62258 L p F P
0 g
s
.702 .587 .723 r
.94596 .61763 m .95711 .58205 L .93711 .57894 L p F P
0 g
s
.702 .587 .723 r
.93711 .57894 m .92659 .61186 L .94596 .61763 L p F P
0 g
s
.701 .559 .691 r
.05314 .615 m .06503 .65031 L .08303 .64108 L p F P
0 g
s
.701 .559 .691 r
.08303 .64108 m .07221 .60828 L .05314 .615 L p F P
0 g
s
.721 .597 .717 r
.777 .09234 m .74661 .07074 L .73748 .08879 L p F P
0 g
s
.721 .597 .717 r
.73748 .08879 m .76552 .10899 L .777 .09234 L p F P
0 g
s
.69 .563 .707 r
.49859 .94065 m .53587 .94024 L .53265 .92027 L p F P
0 g
s
.69 .563 .707 r
.53265 .92027 m .49809 .92044 L .49859 .94065 L p F P
0 g
s
.721 .581 .697 r
.2552 .07012 m .22497 .09038 L .23726 .10644 L p F P
0 g
s
.721 .581 .697 r
.23726 .10644 m .26668 .08676 L .2552 .07012 L p F P
0 g
s
.828 .505 .442 r
.32972 .53944 m .31646 .53093 L .31314 .54161 L p F P
0 g
s
.447 .466 .786 r
.92929 .44505 m .91417 .41367 L .90319 .41859 L p F P
0 g
s
.634 .738 .923 r
.59765 .31602 m .61337 .31508 L .60973 .30436 L p F P
0 g
s
.764 .438 .434 r
.16803 .74469 m .1987 .76116 L .20473 .75086 L p F P
0 g
s
.507 .224 .419 r
.51221 .65425 m .50003 .66423 L .50924 .67063 L p F P
0 g
s
.713 .78 .904 r
.60778 .05482 m .57328 .05949 L .57449 .07151 L p F P
0 g
s
.905 .822 .755 r
.38252 .3304 m .3865 .31514 L .37525 .31524 L p F P
0 g
s
.477 .253 .494 r
.65751 .87141 m .68266 .84732 L .67466 .83846 L p F P
0 g
s
.388 .371 .718 r
.6778 .51617 m .68354 .53083 L .69254 .524 L p F P
0 g
s
.9 .789 .73 r
.14883 .20719 m .13698 .23979 L .14831 .24409 L p F P
0 g
s
.501 .635 .913 r
.29435 .56485 m .30828 .57375 L .31589 .56742 L p F P
0 g
s
.506 .641 .915 r
.32991 .57593 m .31589 .56742 L .30828 .57375 L p F P
0 g
s
.905 .592 .443 r
.93607 .39503 m .91312 .36276 L .90873 .3704 L p F P
0 g
s
.905 .592 .443 r
.90873 .3704 m .93068 .40184 L .93607 .39503 L p F P
0 g
s
.581 .224 .327 r
.61132 .27464 m .59482 .27566 L .59234 .28512 L p F P
0 g
s
.576 .22 .329 r
.576 .2865 m .59234 .28512 L .59482 .27566 L p F P
0 g
s
.504 .663 .933 r
.19198 .78925 m .22951 .80184 L .22852 .79294 L p F P
0 g
s
.504 .663 .933 r
.22852 .79294 m .19229 .78044 L .19198 .78925 L p F P
0 g
s
.858 .876 .851 r
.52546 .69574 m .53822 .68524 L .53462 .67599 L p F P
0 g
s
.861 .875 .847 r
.54704 .6653 m .53462 .67599 L .53822 .68524 L p F P
0 g
s
.538 .174 .298 r
.56224 .03295 m .52447 .0448 L .53046 .05128 L p F P
0 g
s
.538 .174 .298 r
.53046 .05128 m .56713 .04013 L .56224 .03295 L p F P
0 g
s
.329 .232 .591 r
.34741 .3046 m .34327 .32061 L .35157 .32584 L p F P
0 g
s
.328 .237 .597 r
.34781 .34182 m .35157 .32584 L .34327 .32061 L p F P
0 g
s
.881 .891 .835 r
.70724 .86245 m .73082 .83063 L .72212 .82877 L p F P
0 g
s
.881 .891 .835 r
.72212 .82877 m .69902 .85937 L .70724 .86245 L p F P
0 g
s
.91 .624 .49 r
.72136 .51638 m .71531 .50102 L .70547 .50152 L p F P
0 g
s
.907 .618 .485 r
.69913 .48642 m .70547 .50152 L .71531 .50102 L p F P
0 g
s
.292 .18 .55 r
.10837 .23769 m .10203 .27641 L .11044 .27393 L p F P
0 g
s
.292 .18 .55 r
.11044 .27393 m .11692 .23657 L .10837 .23769 L p F P
0 g
s
.737 .617 .725 r
.37201 .60022 m .38542 .60837 L .39668 .59156 L p F P
0 g
s
.737 .617 .725 r
.39668 .59156 m .38252 .58291 L .37201 .60022 L p F P
0 g
s
.67 .55 .709 r
.52769 .29168 m .51206 .29299 L .51283 .31321 L p F P
0 g
s
.67 .55 .709 r
.51283 .31321 m .52937 .31185 L .52769 .29168 L p F P
0 g
s
.734 .58 .683 r
.5831 .6328 m .59499 .62258 L .58248 .60667 L p F P
0 g
s
.734 .58 .683 r
.58248 .60667 m .56988 .61746 L .5831 .6328 L p F P
0 g
s
.698 .599 .741 r
.33777 .38939 m .33417 .40468 L .35364 .41019 L p F P
0 g
s
.698 .599 .741 r
.35364 .41019 m .35748 .39403 L .33777 .38939 L p F P
0 g
s
.692 .538 .673 r
.67932 .44211 m .67325 .42766 L .65426 .43464 L p F P
0 g
s
.692 .538 .673 r
.65426 .43464 m .66065 .44994 L .67932 .44211 L p F P
0 g
s
.704 .589 .724 r
.9431 .54539 m .93711 .57894 L .95711 .58205 L p F P
0 g
s
.69 .565 .71 r
.56639 .91559 m .53265 .92027 L .53587 .94024 L p F P
0 g
s
.704 .589 .724 r
.95711 .58205 m .96335 .54537 L .9431 .54539 L p F P
0 g
s
.699 .558 .691 r
.0979 .67171 m .08303 .64108 L .06503 .65031 L p F P
0 g
s
.723 .596 .715 r
.70744 .07272 m .73748 .08879 L .74661 .07074 L p F P
0 g
s
.69 .565 .71 r
.53587 .94024 m .57266 .93484 L .56639 .91559 L p F P
0 g
s
.699 .558 .691 r
.06503 .65031 m .08153 .68363 L .0979 .67171 L p F P
0 g
s
.723 .596 .715 r
.74661 .07074 m .71367 .05345 L .70744 .07272 L p F P
0 g
s
.721 .58 .696 r
.22497 .09038 m .19502 .11261 L .20938 .12688 L p F P
0 g
s
.721 .58 .696 r
.20938 .12688 m .23726 .10644 L .22497 .09038 L p F P
0 g
s
.834 .514 .448 r
.31646 .53093 m .30358 .52214 L .29991 .53271 L p F P
0 g
s
.626 .731 .923 r
.61337 .31508 m .62895 .3146 L .62566 .30374 L p F P
0 g
s
.514 .226 .415 r
.50003 .66423 m .48771 .67375 L .4967 .68045 L p F P
0 g
s
.902 .826 .762 r
.3865 .31514 m .39087 .30017 L .3796 .29989 L p F P
0 g
s
.387 .363 .71 r
.68354 .53083 m .6888 .54548 L .69803 .53894 L p F P
0 g
s
.493 .625 .909 r
.28049 .55545 m .29435 .56485 L .30204 .55864 L p F P
0 g
s
.501 .635 .913 r
.31589 .56742 m .30204 .55864 L .29435 .56485 L p F P
0 g
s
.589 .229 .325 r
.62804 .27408 m .61132 .27464 L .6087 .28405 L p F P
0 g
s
.581 .224 .327 r
.59234 .28512 m .6087 .28405 L .61132 .27464 L p F P
0 g
s
.852 .876 .857 r
.51225 .70599 m .52546 .69574 L .52201 .68645 L p F P
0 g
s
.858 .876 .851 r
.53462 .67599 m .52201 .68645 L .52546 .69574 L p F P
0 g
s
.329 .226 .583 r
.35206 .28851 m .34741 .3046 L .35562 .30994 L p F P
0 g
s
.329 .232 .591 r
.35157 .32584 m .35562 .30994 L .34741 .3046 L p F P
0 g
s
.914 .634 .497 r
.72705 .5321 m .72136 .51638 L .71154 .51674 L p F P
0 g
s
.91 .624 .49 r
.70547 .50152 m .71154 .51674 L .72136 .51638 L p F P
0 g
s
.466 .508 .817 r
.91417 .41367 m .89409 .38451 L .88395 .39085 L p F P
0 g
s
.728 .396 .418 r
.1987 .76116 m .23207 .77292 L .23659 .76197 L p F P
0 g
s
.749 .802 .895 r
.57328 .05949 m .53935 .06957 L .54218 .08122 L p F P
0 g
s
.451 .255 .522 r
.68266 .84732 m .70418 .8192 L .69509 .81158 L p F P
0 g
s
.909 .764 .689 r
.13698 .23979 m .13078 .27407 L .14252 .27668 L p F P
0 g
s
.292 .223 .606 r
.10203 .27641 m .10164 .31602 L .10994 .31385 L p F P
0 g
s
.292 .223 .606 r
.10994 .31385 m .11044 .27393 L .10203 .27641 L p F P
0 g
s
.874 .536 .407 r
.91312 .36276 m .88654 .33478 L .88153 .34173 L p F P
0 g
s
.874 .536 .407 r
.88153 .34173 m .90873 .3704 L .91312 .36276 L p F P
0 g
s
.554 .713 .946 r
.22951 .80184 m .26745 .80882 L .26737 .80012 L p F P
0 g
s
.554 .713 .946 r
.26737 .80012 m .22852 .79294 L .22951 .80184 L p F P
0 g
s
.494 .155 .32 r
.52447 .0448 m .48967 .06143 L .4948 .06828 L p F P
0 g
s
.494 .155 .32 r
.4948 .06828 m .53046 .05128 L .52447 .0448 L p F P
0 g
s
.908 .879 .795 r
.73082 .83063 m .7492 .7967 L .74097 .79403 L p F P
0 g
s
.908 .879 .795 r
.74097 .79403 m .72212 .82877 L .73082 .83063 L p F P
0 g
s
.738 .617 .725 r
.35811 .59218 m .37201 .60022 L .38252 .58291 L p F P
0 g
s
.738 .617 .725 r
.38252 .58291 m .36834 .57469 L .35811 .59218 L p F P
0 g
s
.67 .55 .71 r
.54366 .28998 m .52769 .29168 L .52937 .31185 L p F P
0 g
s
.67 .55 .71 r
.52937 .31185 m .54566 .31015 L .54366 .28998 L p F P
0 g
s
.734 .579 .682 r
.57117 .64353 m .5831 .6328 L .56988 .61746 L p F P
0 g
s
.734 .579 .682 r
.56988 .61746 m .5577 .62839 L .57117 .64353 L p F P
0 g
s
.698 .599 .742 r
.34111 .37367 m .33777 .38939 L .35748 .39403 L p F P
0 g
s
.698 .599 .742 r
.35748 .39403 m .3609 .378 L .34111 .37367 L p F P
0 g
s
.691 .537 .673 r
.68585 .45676 m .67932 .44211 L .66065 .44994 L p F P
0 g
s
.691 .537 .673 r
.66065 .44994 m .66729 .4649 L .68585 .45676 L p F P
0 g
s
.707 .592 .725 r
.96335 .54537 m .96384 .50851 L .94386 .5119 L p F P
0 g
s
.707 .592 .725 r
.94386 .5119 m .9431 .54539 L .96335 .54537 L p F P
0 g
s
.696 .557 .692 r
.08153 .68363 m .10279 .71371 L .11696 .69922 L p F P
0 g
s
.696 .557 .692 r
.11696 .69922 m .0979 .67171 L .08153 .68363 L p F P
0 g
s
.724 .596 .712 r
.71367 .05345 m .67879 .04159 L .67583 .06164 L p F P
0 g
s
.724 .596 .712 r
.67583 .06164 m .70744 .07272 L .71367 .05345 L p F P
0 g
s
.69 .568 .712 r
.57266 .93484 m .60786 .92391 L .59846 .90595 L p F P
0 g
s
.69 .568 .712 r
.59846 .90595 m .56639 .91559 L .57266 .93484 L p F P
0 g
s
.719 .577 .694 r
.18481 .1505 m .20938 .12688 L .19502 .11261 L p F P
0 g
s
.719 .577 .694 r
.19502 .11261 m .1684 .1386 L .18481 .1505 L p F P
0 g
s
.912 .735 .65 r
.13078 .27407 m .1301 .31104 L .14178 .31043 L p F P
0 g
s
.91 .715 .627 r
.1301 .31104 m .13509 .34714 L .1466 .34556 L p F P
0 g
s
.908 .699 .609 r
.13509 .34714 m .13767 .35907 L .1488 .35619 L p F P
0 g
s
.901 .667 .576 r
.13767 .35907 m .14179 .37062 L .15241 .36656 L p F P
0 g
s
.89 .634 .545 r
.14179 .37062 m .14733 .38172 L .15729 .37652 L p F P
0 g
s
.836 .523 .459 r
.18614 .42506 m .19853 .4365 L .2074 .42995 L p F P
0 g
s
.836 .523 .459 r
.2074 .42995 m .19438 .41788 L .18614 .42506 L p F P
0 g
s
.853 .551 .478 r
.19853 .4365 m .2103 .44958 L .21927 .44315 L p F P
0 g
s
.853 .551 .478 r
.21927 .44315 m .2074 .42995 L .19853 .4365 L p F P
0 g
s
.856 .558 .483 r
.2103 .44958 m .2215 .4626 L .23026 .45594 L p F P
0 g
s
.856 .558 .483 r
.23026 .45594 m .21927 .44315 L .2103 .44958 L p F P
0 g
s
.853 .551 .478 r
.2215 .4626 m .23289 .47525 L .24137 .46828 L p F P
0 g
s
.847 .541 .471 r
.23289 .47525 m .24454 .48737 L .25261 .47998 L p F P
0 g
s
.837 .525 .461 r
.24454 .48737 m .25685 .49893 L .26451 .49117 L p F P
0 g
s
.828 .51 .451 r
.25685 .49893 m .2698 .50997 L .27711 .50193 L p F P
0 g
s
.821 .499 .445 r
.2698 .50997 m .2831 .52053 L .29005 .51222 L p F P
0 g
s
.813 .487 .438 r
.2831 .52053 m .29991 .53271 L .30358 .52214 L p F P
0 g
s
.488 .549 .845 r
.89409 .38451 m .86807 .35699 L .85973 .36518 L p F P
0 g
s
.492 .553 .847 r
.86807 .35699 m .85897 .34886 L .8517 .35788 L p F P
0 g
s
.515 .591 .868 r
.85897 .34886 m .84886 .34194 L .84269 .35161 L p F P
0 g
s
.539 .625 .885 r
.84886 .34194 m .83784 .33622 L .83289 .34642 L p F P
0 g
s
.568 .661 .9 r
.83784 .33622 m .82592 .33184 L .82199 .34236 L p F P
0 g
s
.592 .69 .91 r
.82592 .33184 m .81167 .3282 L .80862 .3389 L p F P
0 g
s
.613 .712 .916 r
.81167 .3282 m .79681 .32571 L .79438 .3365 L p F P
0 g
s
.627 .726 .919 r
.79681 .32571 m .78097 .32396 L .77857 .33476 L p F P
0 g
s
.624 .724 .918 r
.78097 .32396 m .76423 .32199 L .76095 .33264 L p F P
0 g
s
.624 .724 .918 r
.76095 .33264 m .77857 .33476 L .78097 .32396 L p F P
0 g
s
.602 .701 .913 r
.76423 .32199 m .74701 .31833 L .74358 .32894 L p F P
0 g
s
.602 .701 .913 r
.74358 .32894 m .76095 .33264 L .76423 .32199 L p F P
0 g
s
.596 .695 .912 r
.74701 .31833 m .7303 .31437 L .72717 .32506 L p F P
0 g
s
.596 .695 .912 r
.72717 .32506 m .74358 .32894 L .74701 .31833 L p F P
0 g
s
.602 .701 .913 r
.7303 .31437 m .71365 .31084 L .71093 .3216 L p F P
0 g
s
.61 .709 .915 r
.71365 .31084 m .6971 .30788 L .69496 .31874 L p F P
0 g
s
.623 .722 .918 r
.6971 .30788 m .68034 .30577 L .67876 .31668 L p F P
0 g
s
.635 .734 .919 r
.68034 .30577 m .66339 .30444 L .66223 .31538 L p F P
0 g
s
.644 .742 .92 r
.66339 .30444 m .64641 .30372 L .64572 .31467 L p F P
0 g
s
.654 .751 .921 r
.64641 .30372 m .62566 .30374 L .62895 .3146 L p F P
0 g
s
.691 .358 .407 r
.23207 .77292 m .26929 .77986 L .27127 .76848 L p F P
0 g
s
.688 .355 .407 r
.26929 .77986 m .28143 .78109 L .28205 .76967 L p F P
0 g
s
.654 .325 .403 r
.28143 .78109 m .29368 .78074 L .29303 .76944 L p F P
0 g
s
.622 .298 .402 r
.29368 .78074 m .30595 .7789 L .30401 .76788 L p F P
0 g
s
.524 .237 .421 r
.35917 .75539 m .37387 .74714 L .37031 .73673 L p F P
0 g
s
.524 .237 .421 r
.37031 .73673 m .35481 .74538 L .35917 .75539 L p F P
0 g
s
.548 .249 .413 r
.37387 .74714 m .38996 .73998 L .38653 .72952 L p F P
0 g
s
.548 .249 .413 r
.38653 .72952 m .37031 .73673 L .37387 .74714 L p F P
0 g
s
.553 .252 .411 r
.38996 .73998 m .4058 .73336 L .40209 .72302 L p F P
0 g
s
.553 .252 .411 r
.40209 .72302 m .38653 .72952 L .38996 .73998 L p F P
0 g
s
.548 .249 .413 r
.4058 .73336 m .42134 .72644 L .41726 .71627 L p F P
0 g
s
.539 .245 .416 r
.42134 .72644 m .43647 .71909 L .43187 .7092 L p F P
0 g
s
.526 .239 .421 r
.43647 .71909 m .45127 .71096 L .44618 .70134 L p F P
0 g
s
.515 .234 .427 r
.45127 .71096 m .46577 .70206 L .46032 .69267 L p F P
0 g
s
.506 .231 .431 r
.46577 .70206 m .47993 .69267 L .47409 .68355 L p F P
0 g
s
.497 .228 .436 r
.47993 .69267 m .4967 .68045 L .48771 .67375 L p F P
0 g
s
.783 .819 .881 r
.53935 .06957 m .50516 .0858 L .51029 .09631 L p F P
0 g
s
.785 .82 .879 r
.50516 .0858 m .49461 .09194 L .50087 .10169 L p F P
0 g
s
.813 .829 .862 r
.49461 .09194 m .4849 .09942 L .49212 .10832 L p F P
0 g
s
.837 .834 .843 r
.4849 .09942 m .47606 .10812 L .48415 .11604 L p F P
0 g
s
.861 .834 .819 r
.47606 .10812 m .46821 .11811 L .47693 .12515 L p F P
0 g
s
.878 .831 .797 r
.46821 .11811 m .46034 .13054 L .46951 .1368 L p F P
0 g
s
.896 .823 .767 r
.44683 .15842 m .43978 .17374 L .44882 .18021 L p F P
0 g
s
.896 .823 .767 r
.44882 .18021 m .45628 .1641 L .44683 .15842 L p F P
0 g
s
.884 .829 .788 r
.43978 .17374 m .43097 .18899 L .43994 .19558 L p F P
0 g
s
.884 .829 .788 r
.43994 .19558 m .44882 .18021 L .43978 .17374 L p F P
0 g
s
.881 .831 .793 r
.43097 .18899 m .42205 .20366 L .43117 .20999 L p F P
0 g
s
.881 .831 .793 r
.43117 .20999 m .43994 .19558 L .43097 .18899 L p F P
0 g
s
.884 .829 .788 r
.42205 .20366 m .41354 .21839 L .42287 .22436 L p F P
0 g
s
.889 .827 .781 r
.41354 .21839 m .40562 .23323 L .41521 .23867 L p F P
0 g
s
.895 .823 .769 r
.40562 .23323 m .39843 .24851 L .40825 .25344 L p F P
0 g
s
.901 .818 .757 r
.39843 .24851 m .39193 .26423 L .4019 .26876 L p F P
0 g
s
.904 .814 .748 r
.39193 .26423 m .38599 .28014 L .39612 .28424 L p F P
0 g
s
.908 .81 .738 r
.38599 .28014 m .3796 .29989 L .39087 .30017 L p F P
0 g
s
.43 .263 .552 r
.70418 .8192 m .72229 .78594 L .71201 .7806 L p F P
0 g
s
.43 .266 .556 r
.72229 .78594 m .72722 .77478 L .71647 .77071 L p F P
0 g
s
.415 .279 .586 r
.72722 .77478 m .73067 .76302 L .71965 .7602 L p F P
0 g
s
.405 .294 .614 r
.73067 .76302 m .73271 .75078 L .72155 .74927 L p F P
0 g
s
.398 .316 .646 r
.73271 .75078 m .73319 .73809 L .72205 .73766 L p F P
0 g
s
.395 .335 .673 r
.73319 .73809 m .73225 .72341 L .7212 .72387 L p F P
0 g
s
.394 .353 .695 r
.73225 .72341 m .73003 .70851 L .71908 .70959 L p F P
0 g
s
.395 .366 .709 r
.73003 .70851 m .7268 .6929 L .71586 .69401 L p F P
0 g
s
.395 .364 .707 r
.7268 .6929 m .72349 .67637 L .71242 .6766 L p F P
0 g
s
.395 .364 .707 r
.71242 .6766 m .71586 .69401 L .7268 .6929 L p F P
0 g
s
.394 .344 .683 r
.72349 .67637 m .72166 .65886 L .71058 .65894 L p F P
0 g
s
.394 .344 .683 r
.71058 .65894 m .71242 .6766 L .72349 .67637 L p F P
0 g
s
.394 .339 .678 r
.72166 .65886 m .72025 .64175 L .7092 .64213 L p F P
0 g
s
.394 .339 .678 r
.7092 .64213 m .71058 .65894 L .72166 .65886 L p F P
0 g
s
.394 .344 .684 r
.72025 .64175 m .71847 .62482 L .70747 .62562 L p F P
0 g
s
.394 .351 .692 r
.71847 .62482 m .71617 .60816 L .70526 .60954 L p F P
0 g
s
.395 .363 .705 r
.71617 .60816 m .713 .59158 L .7022 .5935 L p F P
0 g
s
.397 .375 .717 r
.713 .59158 m .70902 .57504 L .69833 .57738 L p F P
0 g
s
.399 .384 .726 r
.70902 .57504 m .70447 .55868 L .69391 .56146 L p F P
0 g
s
.401 .394 .736 r
.70447 .55868 m .69803 .53894 L .6888 .54548 L p F P
0 g
s
.304 .285 .673 r
.10164 .31602 m .10705 .3544 L .11523 .35158 L p F P
0 g
s
.304 .285 .673 r
.11523 .35158 m .10994 .31385 L .10164 .31602 L p F P
0 g
s
.313 .314 .701 r
.10705 .3544 m .11071 .37003 L .11854 .36602 L p F P
0 g
s
.313 .314 .701 r
.11854 .36602 m .11523 .35158 L .10705 .3544 L p F P
0 g
s
.33 .36 .741 r
.11071 .37003 m .11627 .38489 L .12363 .37983 L p F P
0 g
s
.33 .36 .741 r
.12363 .37983 m .11854 .36602 L .11071 .37003 L p F P
0 g
s
.351 .405 .777 r
.11627 .38489 m .12372 .39922 L .13047 .39312 L p F P
0 g
s
.351 .405 .777 r
.13047 .39312 m .12363 .37983 L .11627 .38489 L p F P
0 g
s
.376 .451 .81 r
.12372 .39922 m .13259 .41215 L .13877 .4053 L p F P
0 g
s
.376 .451 .81 r
.13877 .4053 m .13047 .39312 L .12372 .39922 L p F P
0 g
s
.399 .488 .834 r
.13259 .41215 m .14362 .42529 L .14929 .41787 L p F P
0 g
s
.399 .488 .834 r
.14929 .41787 m .13877 .4053 L .13259 .41215 L p F P
0 g
s
.42 .518 .852 r
.14362 .42529 m .15534 .43715 L .16065 .42939 L p F P
0 g
s
.42 .518 .852 r
.16065 .42939 m .14929 .41787 L .14362 .42529 L p F P
0 g
s
.434 .538 .863 r
.15534 .43715 m .16698 .44774 L .17238 .44006 L p F P
0 g
s
.434 .538 .863 r
.17238 .44006 m .16065 .42939 L .15534 .43715 L p F P
0 g
s
.433 .537 .863 r
.16698 .44774 m .17727 .45706 L .1834 .45011 L p F P
0 g
s
.433 .537 .863 r
.1834 .45011 m .17238 .44006 L .16698 .44774 L p F P
0 g
s
.409 .501 .842 r
.17727 .45706 m .18855 .46958 L .19487 .46286 L p F P
0 g
s
.409 .501 .842 r
.19487 .46286 m .1834 .45011 L .17727 .45706 L p F P
0 g
s
.403 .493 .837 r
.18855 .46958 m .20016 .48307 L .20638 .47623 L p F P
0 g
s
.403 .493 .837 r
.20638 .47623 m .19487 .46286 L .18855 .46958 L p F P
0 g
s
.409 .502 .843 r
.20016 .48307 m .21218 .4964 L .21823 .48937 L p F P
0 g
s
.409 .502 .843 r
.21823 .48937 m .20638 .47623 L .20016 .48307 L p F P
0 g
s
.417 .514 .85 r
.21218 .4964 m .22489 .50955 L .23062 .50222 L p F P
0 g
s
.417 .514 .85 r
.23062 .50222 m .21823 .48937 L .21218 .4964 L p F P
0 g
s
.429 .532 .861 r
.22489 .50955 m .23822 .52201 L .24365 .51442 L p F P
0 g
s
.429 .532 .861 r
.24365 .51442 m .23062 .50222 L .22489 .50955 L p F P
0 g
s
.441 .549 .87 r
.23822 .52201 m .25193 .53368 L .25715 .52591 L p F P
0 g
s
.441 .549 .87 r
.25715 .52591 m .24365 .51442 L .23822 .52201 L p F P
0 g
s
.45 .562 .877 r
.25193 .53368 m .2661 .54491 L .27107 .53695 L p F P
0 g
s
.45 .562 .877 r
.27107 .53695 m .25715 .52591 L .25193 .53368 L p F P
0 g
s
.464 .58 .886 r
.2661 .54491 m .28049 .55545 L .28831 .54944 L p F P
0 g
s
.493 .625 .909 r
.30204 .55864 m .28831 .54944 L .28049 .55545 L p F P
0 g
s
.842 .486 .381 r
.88654 .33478 m .87439 .32429 L .87036 .33199 L p F P
0 g
s
.842 .486 .381 r
.87036 .33199 m .88153 .34173 L .88654 .33478 L p F P
0 g
s
.808 .441 .36 r
.87439 .32429 m .86115 .31553 L .85813 .32382 L p F P
0 g
s
.808 .441 .36 r
.85813 .32382 m .87036 .33199 L .87439 .32429 L p F P
0 g
s
.775 .4 .346 r
.86115 .31553 m .84671 .30832 L .84478 .31708 L p F P
0 g
s
.775 .4 .346 r
.84478 .31708 m .85813 .32382 L .86115 .31553 L p F P
0 g
s
.739 .361 .336 r
.84671 .30832 m .83193 .30307 L .83091 .31211 L p F P
0 g
s
.739 .361 .336 r
.83091 .31211 m .84478 .31708 L .84671 .30832 L p F P
0 g
s
.71 .333 .332 r
.83193 .30307 m .81528 .29893 L .81501 .30812 L p F P
0 g
s
.71 .333 .332 r
.81501 .30812 m .83091 .31211 L .83193 .30307 L p F P
0 g
s
.686 .311 .33 r
.81528 .29893 m .79883 .29622 L .79905 .30548 L p F P
0 g
s
.686 .311 .33 r
.79905 .30548 m .81501 .30812 L .81528 .29893 L p F P
0 g
s
.67 .298 .331 r
.79883 .29622 m .78319 .29449 L .78329 .30374 L p F P
0 g
s
.67 .298 .331 r
.78329 .30374 m .79905 .30548 L .79883 .29622 L p F P
0 g
s
.671 .298 .331 r
.78319 .29449 m .76938 .293 L .76846 .30209 L p F P
0 g
s
.671 .298 .331 r
.76846 .30209 m .78329 .30374 L .78319 .29449 L p F P
0 g
s
.7 .323 .331 r
.76938 .293 m .7529 .2895 L .75169 .29852 L p F P
0 g
s
.7 .323 .331 r
.75169 .29852 m .76846 .30209 L .76938 .293 L p F P
0 g
s
.706 .33 .332 r
.7529 .2895 m .73558 .28542 L .73452 .29446 L p F P
0 g
s
.706 .33 .332 r
.73452 .29446 m .75169 .29852 L .7529 .2895 L p F P
0 g
s
.7 .323 .331 r
.73558 .28542 m .71802 .2817 L .71721 .2908 L p F P
0 g
s
.7 .323 .331 r
.71721 .2908 m .73452 .29446 L .73558 .28542 L p F P
0 g
s
.69 .314 .33 r
.71802 .2817 m .7 .27853 L .69963 .28769 L p F P
0 g
s
.69 .314 .33 r
.69963 .28769 m .71721 .2908 L .71802 .2817 L p F P
0 g
s
.674 .3 .33 r
.7 .27853 m .6819 .27628 L .68192 .28548 L p F P
0 g
s
.674 .3 .33 r
.68192 .28548 m .69963 .28769 L .7 .27853 L p F P
0 g
s
.66 .288 .329 r
.6819 .27628 m .66395 .27489 L .66425 .28411 L p F P
0 g
s
.66 .288 .329 r
.66425 .28411 m .68192 .28548 L .6819 .27628 L p F P
0 g
s
.65 .28 .33 r
.66395 .27489 m .64588 .27414 L .64649 .28336 L p F P
0 g
s
.65 .28 .33 r
.64649 .28336 m .66425 .28411 L .66395 .27489 L p F P
0 g
s
.634 .267 .331 r
.64588 .27414 m .62804 .27408 L .6252 .2834 L p F P
0 g
s
.589 .229 .325 r
.6087 .28405 m .6252 .2834 L .62804 .27408 L p F P
0 g
s
.601 .753 .95 r
.26745 .80882 m .28344 .81017 L .28213 .80143 L p F P
0 g
s
.601 .753 .95 r
.28213 .80143 m .26737 .80012 L .26745 .80882 L p F P
0 g
s
.644 .786 .95 r
.28344 .81017 m .2993 .80948 L .29683 .80085 L p F P
0 g
s
.644 .786 .95 r
.29683 .80085 m .28213 .80143 L .28344 .81017 L p F P
0 g
s
.683 .812 .944 r
.2993 .80948 m .31523 .80682 L .31159 .79846 L p F P
0 g
s
.683 .812 .944 r
.31159 .79846 m .29683 .80085 L .2993 .80948 L p F P
0 g
s
.722 .834 .934 r
.31523 .80682 m .33027 .80238 L .32573 .79433 L p F P
0 g
s
.722 .834 .934 r
.32573 .79433 m .31159 .79846 L .31523 .80682 L p F P
0 g
s
.752 .847 .922 r
.33027 .80238 m .34617 .79595 L .34094 .78821 L p F P
0 g
s
.752 .847 .922 r
.34094 .78821 m .32573 .79433 L .33027 .80238 L p F P
0 g
s
.775 .855 .911 r
.34617 .79595 m .36107 .78847 L .35541 .78097 L p F P
0 g
s
.775 .855 .911 r
.35541 .78097 m .34094 .78821 L .34617 .79595 L p F P
0 g
s
.789 .86 .902 r
.36107 .78847 m .37474 .78067 L .36918 .77311 L p F P
0 g
s
.789 .86 .902 r
.36918 .77311 m .35541 .78097 L .36107 .78847 L p F P
0 g
s
.789 .86 .903 r
.37474 .78067 m .38678 .77376 L .38214 .76573 L p F P
0 g
s
.789 .86 .903 r
.38214 .76573 m .36918 .77311 L .37474 .78067 L p F P
0 g
s
.762 .851 .917 r
.38678 .77376 m .40218 .76691 L .39781 .75876 L p F P
0 g
s
.762 .851 .917 r
.39781 .75876 m .38214 .76573 L .38678 .77376 L p F P
0 g
s
.756 .848 .92 r
.40218 .76691 m .41859 .76003 L .41408 .75195 L p F P
0 g
s
.756 .848 .92 r
.41408 .75195 m .39781 .75876 L .40218 .76691 L p F P
0 g
s
.762 .851 .917 r
.41859 .76003 m .43498 .75272 L .43024 .74474 L p F P
0 g
s
.762 .851 .917 r
.43024 .74474 m .41408 .75195 L .41859 .76003 L p F P
0 g
s
.771 .854 .913 r
.43498 .75272 m .45142 .74469 L .44629 .73692 L p F P
0 g
s
.771 .854 .913 r
.44629 .73692 m .43024 .74474 L .43498 .75272 L p F P
0 g
s
.785 .859 .905 r
.45142 .74469 m .46739 .73587 L .46192 .7283 L p F P
0 g
s
.785 .859 .905 r
.46192 .7283 m .44629 .73692 L .45142 .74469 L p F P
0 g
s
.798 .863 .897 r
.46739 .73587 m .48273 .72644 L .47702 .71902 L p F P
0 g
s
.798 .863 .897 r
.47702 .71902 m .46192 .7283 L .46739 .73587 L p F P
0 g
s
.807 .865 .891 r
.48273 .72644 m .49778 .71643 L .49182 .70919 L p F P
0 g
s
.807 .865 .891 r
.49182 .70919 m .47702 .71902 L .48273 .72644 L p F P
0 g
s
.82 .868 .882 r
.49778 .71643 m .51225 .70599 L .50903 .69665 L p F P
0 g
s
.852 .876 .857 r
.52201 .68645 m .50903 .69665 L .51225 .70599 L p F P
0 g
s
.459 .146 .347 r
.48967 .06143 m .47594 .06974 L .48209 .07589 L p F P
0 g
s
.459 .146 .347 r
.48209 .07589 m .4948 .06828 L .48967 .06143 L p F P
0 g
s
.429 .143 .375 r
.47594 .06974 m .46351 .07962 L .47053 .085 L p F P
0 g
s
.429 .143 .375 r
.47053 .085 m .48209 .07589 L .47594 .06974 L p F P
0 g
s
.405 .147 .406 r
.46351 .07962 m .45219 .09113 L .46 .09561 L p F P
0 g
s
.405 .147 .406 r
.46 .09561 m .47053 .085 L .46351 .07962 L p F P
0 g
s
.384 .156 .44 r
.45219 .09113 m .44263 .10356 L .45099 .10726 L p F P
0 g
s
.384 .156 .44 r
.45099 .10726 m .46 .09561 L .45219 .09113 L p F P
0 g
s
.371 .168 .47 r
.44263 .10356 m .43355 .11812 L .44228 .12116 L p F P
0 g
s
.371 .168 .47 r
.44228 .12116 m .45099 .10726 L .44263 .10356 L p F P
0 g
s
.362 .18 .494 r
.43355 .11812 m .42589 .13292 L .43484 .13552 L p F P
0 g
s
.362 .18 .494 r
.43484 .13552 m .44228 .12116 L .43355 .11812 L p F P
0 g
s
.358 .189 .511 r
.42589 .13292 m .41941 .14727 L .42831 .14997 L p F P
0 g
s
.358 .189 .511 r
.42831 .14997 m .43484 .13552 L .42589 .13292 L p F P
0 g
s
.358 .189 .511 r
.41941 .14727 m .41373 .15994 L .42216 .16356 L p F P
0 g
s
.358 .189 .511 r
.42216 .16356 m .42831 .14997 L .41941 .14727 L p F P
0 g
s
.368 .174 .481 r
.41373 .15994 m .40531 .17453 L .41358 .17841 L p F P
0 g
s
.368 .174 .481 r
.41358 .17841 m .42216 .16356 L .41373 .15994 L p F P
0 g
s
.37 .171 .474 r
.40531 .17453 m .39607 .18973 L .40442 .19349 L p F P
0 g
s
.37 .171 .474 r
.40442 .19349 m .41358 .17841 L .40531 .17453 L p F P
0 g
s
.367 .174 .481 r
.39607 .18973 m .38711 .20529 L .39558 .20882 L p F P
0 g
s
.367 .174 .481 r
.39558 .20882 m .40442 .19349 L .39607 .18973 L p F P
0 g
s
.363 .178 .491 r
.38711 .20529 m .37852 .22144 L .38719 .22458 L p F P
0 g
s
.363 .178 .491 r
.38719 .22458 m .39558 .20882 L .38711 .20529 L p F P
0 g
s
.358 .186 .506 r
.37852 .22144 m .37079 .23797 L .37962 .24073 L p F P
0 g
s
.358 .186 .506 r
.37962 .24073 m .38719 .22458 L .37852 .22144 L p F P
0 g
s
.354 .193 .52 r
.37079 .23797 m .36393 .25461 L .37286 .25712 L p F P
0 g
s
.354 .193 .52 r
.37286 .25712 m .37962 .24073 L .37079 .23797 L p F P
0 g
s
.351 .199 .531 r
.36393 .25461 m .35763 .27156 L .36666 .27378 L p F P
0 g
s
.351 .199 .531 r
.36666 .27378 m .37286 .25712 L .36393 .25461 L p F P
0 g
s
.347 .209 .547 r
.35763 .27156 m .35206 .28851 L .36011 .29404 L p F P
0 g
s
.329 .226 .583 r
.35562 .30994 m .36011 .29404 L .35206 .28851 L p F P
0 g
s
.926 .86 .756 r
.7492 .7967 m .75542 .7819 L .74678 .7804 L p F P
0 g
s
.926 .86 .756 r
.74678 .7804 m .74097 .79403 L .7492 .7967 L p F P
0 g
s
.939 .838 .717 r
.75542 .7819 m .75966 .76661 L .75077 .76624 L p F P
0 g
s
.939 .838 .717 r
.75077 .76624 m .74678 .7804 L .75542 .7819 L p F P
0 g
s
.945 .811 .68 r
.75966 .76661 m .76206 .75064 L .75306 .75147 L p F P
0 g
s
.945 .811 .68 r
.75306 .75147 m .75077 .76624 L .75966 .76661 L p F P
0 g
s
.947 .781 .643 r
.76206 .75064 m .76249 .73497 L .7535 .73674 L p F P
0 g
s
.947 .781 .643 r
.7535 .73674 m .75306 .75147 L .76206 .75064 L p F P
0 g
s
.945 .754 .614 r
.76249 .73497 m .76128 .71785 L .75238 .72038 L p F P
0 g
s
.945 .754 .614 r
.75238 .72038 m .7535 .73674 L .76249 .73497 L p F P
0 g
s
.941 .731 .591 r
.76128 .71785 m .75877 .70137 L .74996 .70438 L p F P
0 g
s
.941 .731 .591 r
.74996 .70438 m .75238 .72038 L .76128 .71785 L p F P
0 g
s
.937 .715 .575 r
.75877 .70137 m .75558 .68596 L .74674 .68886 L p F P
0 g
s
.937 .715 .575 r
.74674 .68886 m .74996 .70438 L .75877 .70137 L p F P
0 g
s
.937 .715 .576 r
.75558 .68596 m .75273 .67237 L .74373 .67425 L p F P
0 g
s
.937 .715 .576 r
.74373 .67425 m .74674 .68886 L .75558 .68596 L p F P
0 g
s
.943 .744 .604 r
.75273 .67237 m .75097 .65561 L .74194 .65719 L p F P
0 g
s
.943 .744 .604 r
.74194 .65719 m .74373 .67425 L .75273 .67237 L p F P
0 g
s
.944 .75 .61 r
.75097 .65561 m .7495 .63788 L .74049 .63961 L p F P
0 g
s
.944 .75 .61 r
.74049 .63961 m .74194 .65719 L .75097 .65561 L p F P
0 g
s
.943 .744 .604 r
.7495 .63788 m .74761 .62003 L .73863 .62202 L p F P
0 g
s
.943 .744 .604 r
.73863 .62202 m .74049 .63961 L .7495 .63788 L p F P
0 g
s
.942 .734 .594 r
.74761 .62003 m .74506 .60191 L .73616 .60433 L p F P
0 g
s
.942 .734 .594 r
.73616 .60433 m .73863 .62202 L .74761 .62003 L p F P
0 g
s
.939 .719 .579 r
.74506 .60191 m .7416 .584 L .73279 .58681 L p F P
0 g
s
.939 .719 .579 r
.73279 .58681 m .73616 .60433 L .74506 .60191 L p F P
0 g
s
.935 .705 .565 r
.7416 .584 m .73737 .5665 L .72863 .56958 L p F P
0 g
s
.935 .705 .565 r
.72863 .56958 m .73279 .58681 L .7416 .584 L p F P
0 g
s
.932 .694 .555 r
.73737 .5665 m .7325 .54909 L .72385 .55246 L p F P
0 g
s
.932 .694 .555 r
.72385 .55246 m .72863 .56958 L .73737 .5665 L p F P
0 g
s
.927 .677 .541 r
.7325 .54909 m .72705 .5321 L .71724 .53223 L p F P
0 g
s
.914 .634 .497 r
.71154 .51674 m .71724 .53223 L .72705 .5321 L p F P
0 g
s
.669 .55 .71 r
.55975 .28816 m .54366 .28998 L .54566 .31015 L p F P
0 g
s
.669 .55 .71 r
.54566 .31015 m .56186 .30833 L .55975 .28816 L p F P
0 g
s
.738 .618 .725 r
.34403 .58417 m .35811 .59218 L .36834 .57469 L p F P
0 g
s
.738 .618 .725 r
.36834 .57469 m .35418 .56661 L .34403 .58417 L p F P
0 g
s
.734 .579 .681 r
.55922 .65444 m .57117 .64353 L .5577 .62839 L p F P
0 g
s
.734 .579 .681 r
.5577 .62839 m .54566 .63935 L .55922 .65444 L p F P
0 g
s
.698 .6 .742 r
.34435 .3578 m .34111 .37367 L .3609 .378 L p F P
0 g
s
.698 .6 .742 r
.3609 .378 m .36419 .36203 L .34435 .3578 L p F P
0 g
s
.691 .537 .672 r
.69255 .47149 m .68585 .45676 L .66729 .4649 L p F P
0 g
s
.691 .537 .672 r
.66729 .4649 m .67401 .47972 L .69255 .47149 L p F P
0 g
s
.717 .574 .692 r
.1684 .1386 m .14632 .16813 L .16449 .17714 L p F P
0 g
s
.717 .574 .692 r
.16449 .17714 m .18481 .1505 L .1684 .1386 L p F P
0 g
s
.71 .594 .724 r
.96384 .50851 m .95824 .47235 L .93887 .47839 L p F P
0 g
s
.71 .594 .724 r
.93887 .47839 m .94386 .5119 L .96384 .50851 L p F P
0 g
s
.694 .557 .694 r
.10279 .71371 m .12857 .73964 L .14069 .72338 L p F P
0 g
s
.694 .557 .694 r
.14069 .72338 m .11696 .69922 L .10279 .71371 L p F P
0 g
s
.724 .594 .709 r
.67879 .04159 m .64267 .03573 L .64243 .05601 L p F P
0 g
s
.724 .594 .709 r
.64243 .05601 m .67583 .06164 L .67879 .04159 L p F P
0 g
s
.691 .571 .715 r
.60786 .92391 m .6405 .90739 L .62878 .89084 L p F P
0 g
s
.691 .571 .715 r
.62878 .89084 m .59846 .90595 L .60786 .92391 L p F P
0 g
s
.738 .619 .725 r
.32991 .57593 m .34403 .58417 L .35418 .56661 L p F P
0 g
s
.738 .619 .725 r
.35418 .56661 m .34036 .55853 L .32991 .57593 L p F P
0 g
s
.669 .549 .709 r
.576 .2865 m .55975 .28816 L .56186 .30833 L p F P
0 g
s
.669 .549 .709 r
.56186 .30833 m .57778 .30672 L .576 .2865 L p F P
0 g
s
.734 .58 .681 r
.54704 .6653 m .55922 .65444 L .54566 .63935 L p F P
0 g
s
.734 .58 .681 r
.54566 .63935 m .53371 .64999 L .54704 .6653 L p F P
0 g
s
.698 .6 .743 r
.34781 .34182 m .34435 .3578 L .36419 .36203 L p F P
0 g
s
.698 .6 .743 r
.36419 .36203 m .3676 .34637 L .34781 .34182 L p F P
0 g
s
.691 .536 .672 r
.69913 .48642 m .69255 .47149 L .67401 .47972 L p F P
0 g
s
.691 .536 .672 r
.67401 .47972 m .68045 .49437 L .69913 .48642 L p F P
0 g
s
.715 .571 .691 r
.14632 .16813 m .1296 .20068 L .14883 .20719 L p F P
0 g
s
.715 .571 .691 r
.14883 .20719 m .16449 .17714 L .14632 .16813 L p F P
0 g
s
.693 .557 .697 r
.12857 .73964 m .15878 .76276 L .16803 .74469 L p F P
0 g
s
.693 .557 .697 r
.16803 .74469 m .14069 .72338 L .12857 .73964 L p F P
0 g
s
.693 .574 .717 r
.6405 .90739 m .67184 .88579 L .65751 .87141 L p F P
0 g
s
.693 .574 .717 r
.65751 .87141 m .62878 .89084 L .6405 .90739 L p F P
0 g
s
.712 .595 .723 r
.95824 .47235 m .9474 .43587 L .92929 .44505 L p F P
0 g
s
.712 .595 .723 r
.92929 .44505 m .93887 .47839 L .95824 .47235 L p F P
0 g
s
.724 .592 .707 r
.64267 .03573 m .60464 .03476 L .60778 .05482 L p F P
0 g
s
.724 .592 .707 r
.60778 .05482 m .64243 .05601 L .64267 .03573 L p F P
0 g
s
.738 .619 .726 r
.31589 .56742 m .32991 .57593 L .34036 .55853 L p F P
0 g
s
.738 .619 .726 r
.34036 .55853 m .32666 .55019 L .31589 .56742 L p F P
0 g
s
.669 .548 .709 r
.59234 .28512 m .576 .2865 L .57778 .30672 L p F P
0 g
s
.669 .548 .709 r
.57778 .30672 m .59376 .30539 L .59234 .28512 L p F P
0 g
s
.735 .58 .682 r
.53462 .67599 m .54704 .6653 L .53371 .64999 L p F P
0 g
s
.735 .58 .682 r
.53371 .64999 m .52156 .66043 L .53462 .67599 L p F P
0 g
s
.697 .599 .743 r
.35157 .32584 m .34781 .34182 L .3676 .34637 L p F P
0 g
s
.697 .599 .743 r
.3676 .34637 m .37128 .33076 L .35157 .32584 L p F P
0 g
s
.692 .537 .671 r
.70547 .50152 m .69913 .48642 L .68045 .49437 L p F P
0 g
s
.692 .537 .671 r
.68045 .49437 m .68664 .50913 L .70547 .50152 L p F P
0 g
s
.715 .596 .722 r
.9474 .43587 m .93068 .40184 L .91417 .41367 L p F P
0 g
s
.715 .596 .722 r
.91417 .41367 m .92929 .44505 L .9474 .43587 L p F P
0 g
s
.691 .558 .699 r
.15878 .76276 m .19229 .78044 L .1987 .76116 L p F P
0 g
s
.691 .558 .699 r
.1987 .76116 m .16803 .74469 L .15878 .76276 L p F P
0 g
s
.724 .589 .704 r
.60464 .03476 m .56713 .04013 L .57328 .05949 L p F P
0 g
s
.724 .589 .704 r
.57328 .05949 m .60778 .05482 L .60464 .03476 L p F P
0 g
s
.695 .577 .719 r
.67184 .88579 m .69902 .85937 L .68266 .84732 L p F P
0 g
s
.695 .577 .719 r
.68266 .84732 m .65751 .87141 L .67184 .88579 L p F P
0 g
s
.712 .568 .69 r
.1296 .20068 m .11692 .23657 L .13698 .23979 L p F P
0 g
s
.712 .568 .69 r
.13698 .23979 m .14883 .20719 L .1296 .20068 L p F P
0 g
s
.738 .619 .727 r
.30204 .55864 m .31589 .56742 L .32666 .55019 L p F P
0 g
s
.738 .619 .727 r
.32666 .55019 m .31314 .54161 L .30204 .55864 L p F P
0 g
s
.668 .547 .708 r
.6087 .28405 m .59234 .28512 L .59376 .30539 L p F P
0 g
s
.668 .547 .708 r
.59376 .30539 m .60973 .30436 L .6087 .28405 L p F P
0 g
s
.735 .581 .682 r
.52201 .68645 m .53462 .67599 L .52156 .66043 L p F P
0 g
s
.735 .581 .682 r
.52156 .66043 m .50924 .67063 L .52201 .68645 L p F P
0 g
s
.696 .598 .742 r
.35562 .30994 m .35157 .32584 L .37128 .33076 L p F P
0 g
s
.696 .598 .742 r
.37128 .33076 m .37525 .31524 L .35562 .30994 L p F P
0 g
s
.693 .537 .671 r
.71154 .51674 m .70547 .50152 L .68664 .50913 L p F P
0 g
s
.693 .537 .671 r
.68664 .50913 m .69254 .524 L .71154 .51674 L p F P
0 g
s
.71 .565 .69 r
.11692 .23657 m .11044 .27393 L .13078 .27407 L p F P
0 g
s
.71 .565 .69 r
.13078 .27407 m .13698 .23979 L .11692 .23657 L p F P
0 g
s
.717 .597 .721 r
.93068 .40184 m .90873 .3704 L .89409 .38451 L p F P
0 g
s
.717 .597 .721 r
.89409 .38451 m .91417 .41367 L .93068 .40184 L p F P
0 g
s
.691 .56 .702 r
.19229 .78044 m .22852 .79294 L .23207 .77292 L p F P
0 g
s
.691 .56 .702 r
.23207 .77292 m .1987 .76116 L .19229 .78044 L p F P
0 g
s
.697 .58 .721 r
.69902 .85937 m .72212 .82877 L .70418 .8192 L p F P
0 g
s
.697 .58 .721 r
.70418 .8192 m .68266 .84732 L .69902 .85937 L p F P
0 g
s
.723 .586 .702 r
.56713 .04013 m .53046 .05128 L .53935 .06957 L p F P
0 g
s
.723 .586 .702 r
.53935 .06957 m .57328 .05949 L .56713 .04013 L p F P
0 g
s
.737 .62 .728 r
.28831 .54944 m .30204 .55864 L .31314 .54161 L p F P
0 g
s
.737 .62 .728 r
.31314 .54161 m .29991 .53271 L .28831 .54944 L p F P
0 g
s
.668 .546 .707 r
.6252 .2834 m .6087 .28405 L .60973 .30436 L p F P
0 g
s
.668 .546 .707 r
.60973 .30436 m .62566 .30374 L .6252 .2834 L p F P
0 g
s
.695 .597 .742 r
.36011 .29404 m .35562 .30994 L .37525 .31524 L p F P
0 g
s
.695 .597 .742 r
.37525 .31524 m .3796 .29989 L .36011 .29404 L p F P
0 g
s
.736 .582 .683 r
.50903 .69665 m .52201 .68645 L .50924 .67063 L p F P
0 g
s
.736 .582 .683 r
.50924 .67063 m .4967 .68045 L .50903 .69665 L p F P
0 g
s
.694 .537 .67 r
.71724 .53223 m .71154 .51674 L .69254 .524 L p F P
0 g
s
.694 .537 .67 r
.69254 .524 m .69803 .53894 L .71724 .53223 L p F P
0 g
s
.707 .564 .69 r
.11044 .27393 m .10994 .31385 L .1301 .31104 L p F P
0 g
s
.707 .564 .69 r
.1301 .31104 m .13078 .27407 L .11044 .27393 L p F P
0 g
s
.718 .596 .719 r
.90873 .3704 m .88153 .34173 L .86807 .35699 L p F P
0 g
s
.718 .596 .719 r
.86807 .35699 m .89409 .38451 L .90873 .3704 L p F P
0 g
s
.691 .562 .704 r
.22852 .79294 m .26737 .80012 L .26929 .77986 L p F P
0 g
s
.691 .562 .704 r
.26929 .77986 m .23207 .77292 L .22852 .79294 L p F P
0 g
s
.722 .583 .7 r
.53046 .05128 m .4948 .06828 L .50516 .0858 L p F P
0 g
s
.722 .583 .7 r
.50516 .0858 m .53935 .06957 L .53046 .05128 L p F P
0 g
s
.699 .583 .721 r
.72212 .82877 m .74097 .79403 L .72229 .78594 L p F P
0 g
s
.699 .583 .721 r
.72229 .78594 m .70418 .8192 L .72212 .82877 L p F P
0 g
s
.71 .581 .709 r
.27107 .53695 m .28831 .54944 L .29991 .53271 L p F P
0 g
s
.71 .581 .709 r
.29991 .53271 m .2831 .52053 L .27107 .53695 L p F P
0 g
s
.704 .575 .707 r
.64649 .28336 m .6252 .2834 L .62566 .30374 L p F P
0 g
s
.704 .575 .707 r
.62566 .30374 m .64641 .30372 L .64649 .28336 L p F P
0 g
s
.71 .578 .705 r
.49182 .70919 m .50903 .69665 L .4967 .68045 L p F P
0 g
s
.71 .578 .705 r
.4967 .68045 m .47993 .69267 L .49182 .70919 L p F P
0 g
s
.706 .579 .71 r
.36666 .27378 m .36011 .29404 L .3796 .29989 L p F P
0 g
s
.706 .579 .71 r
.3796 .29989 m .38599 .28014 L .36666 .27378 L p F P
0 g
s
.706 .574 .704 r
.72385 .55246 m .71724 .53223 L .69803 .53894 L p F P
0 g
s
.706 .574 .704 r
.69803 .53894 m .70447 .55868 L .72385 .55246 L p F P
0 g
s
.707 .577 .707 r
.11854 .36602 m .12363 .37983 L .14179 .37062 L p F P
0 g
s
.707 .577 .707 r
.14179 .37062 m .13767 .35907 L .11854 .36602 L p F P
0 g
s
.707 .577 .707 r
.14733 .38172 m .14179 .37062 L .12363 .37983 L p F P
0 g
s
.707 .577 .707 r
.13047 .39312 m .13877 .4053 L .1544 .39227 L p F P
0 g
s
.707 .577 .707 r
.1544 .39227 m .14733 .38172 L .13047 .39312 L p F P
0 g
s
.707 .577 .707 r
.16379 .40359 m .1544 .39227 L .13877 .4053 L p F P
0 g
s
.707 .577 .707 r
.88153 .34173 m .87036 .33199 L .85897 .34886 L p F P
0 g
s
.707 .577 .707 r
.85897 .34886 m .86807 .35699 L .88153 .34173 L p F P
0 g
s
.707 .577 .707 r
.84886 .34194 m .85897 .34886 L .87036 .33199 L p F P
0 g
s
.707 .577 .707 r
.85813 .32382 m .84478 .31708 L .83784 .33622 L p F P
0 g
s
.707 .577 .707 r
.83784 .33622 m .84886 .34194 L .85813 .32382 L p F P
0 g
s
.707 .577 .707 r
.82592 .33184 m .83784 .33622 L .84478 .31708 L p F P
0 g
s
.707 .577 .707 r
.26737 .80012 m .28213 .80143 L .28143 .78109 L p F P
0 g
s
.707 .577 .707 r
.28143 .78109 m .26929 .77986 L .26737 .80012 L p F P
0 g
s
.707 .577 .707 r
.29368 .78074 m .28143 .78109 L .28213 .80143 L p F P
0 g
s
.707 .577 .707 r
.31159 .79846 m .32573 .79433 L .31817 .77544 L p F P
0 g
s
.707 .577 .707 r
.31817 .77544 m .30595 .7789 L .31159 .79846 L p F P
0 g
s
.707 .577 .707 r
.33184 .77 m .31817 .77544 L .32573 .79433 L p F P
0 g
s
.707 .577 .707 r
.75077 .76624 m .75306 .75147 L .73271 .75078 L p F P
0 g
s
.707 .577 .707 r
.73271 .75078 m .73067 .76302 L .75077 .76624 L p F P
0 g
s
.707 .577 .707 r
.73319 .73809 m .73271 .75078 L .75306 .75147 L p F P
0 g
s
.707 .577 .707 r
.75238 .72038 m .74996 .70438 L .73003 .70851 L p F P
0 g
s
.707 .577 .707 r
.73003 .70851 m .73225 .72341 L .75238 .72038 L p F P
0 g
s
.707 .577 .707 r
.7268 .6929 m .73003 .70851 L .74996 .70438 L p F P
0 g
s
.707 .577 .707 r
.73863 .62202 m .73616 .60433 L .71617 .60816 L p F P
0 g
s
.707 .577 .707 r
.71617 .60816 m .71847 .62482 L .73863 .62202 L p F P
0 g
s
.707 .577 .707 r
.713 .59158 m .71617 .60816 L .73616 .60433 L p F P
0 g
s
.707 .577 .707 r
.10994 .31385 m .11523 .35158 L .13509 .34714 L p F P
0 g
s
.707 .577 .707 r
.13509 .34714 m .1301 .31104 L .10994 .31385 L p F P
0 g
s
.707 .577 .707 r
.11523 .35158 m .11854 .36602 L .13767 .35907 L p F P
0 g
s
.707 .577 .707 r
.13767 .35907 m .13509 .34714 L .11523 .35158 L p F P
0 g
s
.707 .577 .707 r
.12363 .37983 m .13047 .39312 L .14733 .38172 L p F P
0 g
s
.707 .577 .707 r
.13877 .4053 m .14929 .41787 L .16379 .40359 L p F P
0 g
s
.707 .577 .707 r
.14929 .41787 m .16065 .42939 L .17435 .41434 L p F P
0 g
s
.707 .577 .707 r
.17435 .41434 m .16379 .40359 L .14929 .41787 L p F P
0 g
s
.707 .577 .707 r
.16065 .42939 m .17238 .44006 L .18614 .42506 L p F P
0 g
s
.707 .577 .707 r
.18614 .42506 m .17435 .41434 L .16065 .42939 L p F P
0 g
s
.707 .577 .707 r
.17238 .44006 m .1834 .45011 L .19853 .4365 L p F P
0 g
s
.707 .577 .707 r
.19853 .4365 m .18614 .42506 L .17238 .44006 L p F P
0 g
s
.707 .577 .707 r
.1834 .45011 m .19487 .46286 L .2103 .44958 L p F P
0 g
s
.707 .577 .707 r
.2103 .44958 m .19853 .4365 L .1834 .45011 L p F P
0 g
s
.707 .577 .707 r
.19487 .46286 m .20638 .47623 L .2215 .4626 L p F P
0 g
s
.707 .577 .707 r
.2215 .4626 m .2103 .44958 L .19487 .46286 L p F P
0 g
s
.707 .577 .707 r
.20638 .47623 m .21823 .48937 L .23289 .47525 L p F P
0 g
s
.707 .577 .707 r
.23289 .47525 m .2215 .4626 L .20638 .47623 L p F P
0 g
s
.707 .577 .707 r
.21823 .48937 m .23062 .50222 L .24454 .48737 L p F P
0 g
s
.707 .577 .707 r
.24454 .48737 m .23289 .47525 L .21823 .48937 L p F P
0 g
s
.707 .577 .707 r
.23062 .50222 m .24365 .51442 L .25685 .49893 L p F P
0 g
s
.707 .577 .707 r
.25685 .49893 m .24454 .48737 L .23062 .50222 L p F P
0 g
s
.707 .577 .707 r
.24365 .51442 m .25715 .52591 L .2698 .50997 L p F P
0 g
s
.707 .577 .707 r
.2698 .50997 m .25685 .49893 L .24365 .51442 L p F P
0 g
s
.707 .577 .707 r
.25715 .52591 m .27107 .53695 L .2831 .52053 L p F P
0 g
s
.707 .577 .707 r
.2831 .52053 m .2698 .50997 L .25715 .52591 L p F P
0 g
s
.707 .577 .707 r
.87036 .33199 m .85813 .32382 L .84886 .34194 L p F P
0 g
s
.707 .577 .707 r
.84478 .31708 m .83091 .31211 L .82592 .33184 L p F P
0 g
s
.707 .577 .707 r
.83091 .31211 m .81501 .30812 L .81167 .3282 L p F P
0 g
s
.707 .577 .707 r
.81167 .3282 m .82592 .33184 L .83091 .31211 L p F P
0 g
s
.707 .577 .707 r
.81501 .30812 m .79905 .30548 L .79681 .32571 L p F P
0 g
s
.707 .577 .707 r
.79681 .32571 m .81167 .3282 L .81501 .30812 L p F P
0 g
s
.707 .577 .707 r
.79905 .30548 m .78329 .30374 L .78097 .32396 L p F P
0 g
s
.707 .577 .707 r
.78097 .32396 m .79681 .32571 L .79905 .30548 L p F P
0 g
s
.707 .577 .707 r
.78329 .30374 m .76846 .30209 L .76423 .32199 L p F P
0 g
s
.707 .577 .707 r
.76423 .32199 m .78097 .32396 L .78329 .30374 L p F P
0 g
s
.707 .577 .707 r
.76846 .30209 m .75169 .29852 L .74701 .31833 L p F P
0 g
s
.707 .577 .707 r
.74701 .31833 m .76423 .32199 L .76846 .30209 L p F P
0 g
s
.707 .577 .707 r
.75169 .29852 m .73452 .29446 L .7303 .31437 L p F P
0 g
s
.707 .577 .707 r
.7303 .31437 m .74701 .31833 L .75169 .29852 L p F P
0 g
s
.707 .577 .707 r
.73452 .29446 m .71721 .2908 L .71365 .31084 L p F P
0 g
s
.707 .577 .707 r
.71365 .31084 m .7303 .31437 L .73452 .29446 L p F P
0 g
s
.707 .577 .707 r
.71721 .2908 m .69963 .28769 L .6971 .30788 L p F P
0 g
s
.707 .577 .707 r
.6971 .30788 m .71365 .31084 L .71721 .2908 L p F P
0 g
s
.707 .577 .707 r
.69963 .28769 m .68192 .28548 L .68034 .30577 L p F P
0 g
s
.707 .577 .707 r
.68034 .30577 m .6971 .30788 L .69963 .28769 L p F P
0 g
s
.707 .577 .707 r
.68192 .28548 m .66425 .28411 L .66339 .30444 L p F P
0 g
s
.707 .577 .707 r
.66339 .30444 m .68034 .30577 L .68192 .28548 L p F P
0 g
s
.707 .577 .707 r
.66425 .28411 m .64649 .28336 L .64641 .30372 L p F P
0 g
s
.707 .577 .707 r
.64641 .30372 m .66339 .30444 L .66425 .28411 L p F P
0 g
s
.707 .577 .707 r
.28213 .80143 m .29683 .80085 L .29368 .78074 L p F P
0 g
s
.707 .577 .707 r
.29683 .80085 m .31159 .79846 L .30595 .7789 L p F P
0 g
s
.707 .577 .707 r
.30595 .7789 m .29368 .78074 L .29683 .80085 L p F P
0 g
s
.707 .577 .707 r
.32573 .79433 m .34094 .78821 L .33184 .77 L p F P
0 g
s
.707 .577 .707 r
.34094 .78821 m .35541 .78097 L .34532 .76328 L p F P
0 g
s
.707 .577 .707 r
.34532 .76328 m .33184 .77 L .34094 .78821 L p F P
0 g
s
.707 .577 .707 r
.35541 .78097 m .36918 .77311 L .35917 .75539 L p F P
0 g
s
.707 .577 .707 r
.35917 .75539 m .34532 .76328 L .35541 .78097 L p F P
0 g
s
.707 .577 .707 r
.36918 .77311 m .38214 .76573 L .37387 .74714 L p F P
0 g
s
.707 .577 .707 r
.37387 .74714 m .35917 .75539 L .36918 .77311 L p F P
0 g
s
.707 .577 .707 r
.38214 .76573 m .39781 .75876 L .38996 .73998 L p F P
0 g
s
.707 .577 .707 r
.38996 .73998 m .37387 .74714 L .38214 .76573 L p F P
0 g
s
.707 .577 .707 r
.39781 .75876 m .41408 .75195 L .4058 .73336 L p F P
0 g
s
.707 .577 .707 r
.4058 .73336 m .38996 .73998 L .39781 .75876 L p F P
0 g
s
.707 .577 .707 r
.41408 .75195 m .43024 .74474 L .42134 .72644 L p F P
0 g
s
.707 .577 .707 r
.42134 .72644 m .4058 .73336 L .41408 .75195 L p F P
0 g
s
.707 .577 .707 r
.43024 .74474 m .44629 .73692 L .43647 .71909 L p F P
0 g
s
.707 .577 .707 r
.43647 .71909 m .42134 .72644 L .43024 .74474 L p F P
0 g
s
.707 .577 .707 r
.44629 .73692 m .46192 .7283 L .45127 .71096 L p F P
0 g
s
.707 .577 .707 r
.45127 .71096 m .43647 .71909 L .44629 .73692 L p F P
0 g
s
.707 .577 .707 r
.46192 .7283 m .47702 .71902 L .46577 .70206 L p F P
0 g
s
.707 .577 .707 r
.46577 .70206 m .45127 .71096 L .46192 .7283 L p F P
0 g
s
.707 .577 .707 r
.47702 .71902 m .49182 .70919 L .47993 .69267 L p F P
0 g
s
.707 .577 .707 r
.47993 .69267 m .46577 .70206 L .47702 .71902 L p F P
0 g
s
.707 .577 .707 r
.4948 .06828 m .48209 .07589 L .49461 .09194 L p F P
0 g
s
.707 .577 .707 r
.49461 .09194 m .50516 .0858 L .4948 .06828 L p F P
0 g
s
.707 .577 .707 r
.48209 .07589 m .47053 .085 L .4849 .09942 L p F P
0 g
s
.707 .577 .707 r
.4849 .09942 m .49461 .09194 L .48209 .07589 L p F P
0 g
s
.707 .577 .707 r
.47053 .085 m .46 .09561 L .47606 .10812 L p F P
0 g
s
.707 .577 .707 r
.47606 .10812 m .4849 .09942 L .47053 .085 L p F P
0 g
s
.707 .577 .707 r
.46 .09561 m .45099 .10726 L .46821 .11811 L p F P
0 g
s
.707 .577 .707 r
.46821 .11811 m .47606 .10812 L .46 .09561 L p F P
0 g
s
.707 .577 .707 r
.45099 .10726 m .44228 .12116 L .46034 .13054 L p F P
0 g
s
.707 .577 .707 r
.46034 .13054 m .46821 .11811 L .45099 .10726 L p F P
0 g
s
.707 .577 .707 r
.44228 .12116 m .43484 .13552 L .45339 .1439 L p F P
0 g
s
.707 .577 .707 r
.45339 .1439 m .46034 .13054 L .44228 .12116 L p F P
0 g
s
.707 .577 .707 r
.43484 .13552 m .42831 .14997 L .44683 .15842 L p F P
0 g
s
.707 .577 .707 r
.44683 .15842 m .45339 .1439 L .43484 .13552 L p F P
0 g
s
.707 .577 .707 r
.42831 .14997 m .42216 .16356 L .43978 .17374 L p F P
0 g
s
.707 .577 .707 r
.43978 .17374 m .44683 .15842 L .42831 .14997 L p F P
0 g
s
.707 .577 .707 r
.42216 .16356 m .41358 .17841 L .43097 .18899 L p F P
0 g
s
.707 .577 .707 r
.43097 .18899 m .43978 .17374 L .42216 .16356 L p F P
0 g
s
.707 .577 .707 r
.41358 .17841 m .40442 .19349 L .42205 .20366 L p F P
0 g
s
.707 .577 .707 r
.42205 .20366 m .43097 .18899 L .41358 .17841 L p F P
0 g
s
.707 .577 .707 r
.40442 .19349 m .39558 .20882 L .41354 .21839 L p F P
0 g
s
.707 .577 .707 r
.41354 .21839 m .42205 .20366 L .40442 .19349 L p F P
0 g
s
.707 .577 .707 r
.39558 .20882 m .38719 .22458 L .40562 .23323 L p F P
0 g
s
.707 .577 .707 r
.40562 .23323 m .41354 .21839 L .39558 .20882 L p F P
0 g
s
.707 .577 .707 r
.38719 .22458 m .37962 .24073 L .39843 .24851 L p F P
0 g
s
.707 .577 .707 r
.39843 .24851 m .40562 .23323 L .38719 .22458 L p F P
0 g
s
.707 .577 .707 r
.37962 .24073 m .37286 .25712 L .39193 .26423 L p F P
0 g
s
.707 .577 .707 r
.39193 .26423 m .39843 .24851 L .37962 .24073 L p F P
0 g
s
.707 .577 .707 r
.37286 .25712 m .36666 .27378 L .38599 .28014 L p F P
0 g
s
.707 .577 .707 r
.38599 .28014 m .39193 .26423 L .37286 .25712 L p F P
0 g
s
.707 .577 .707 r
.74097 .79403 m .74678 .7804 L .72722 .77478 L p F P
0 g
s
.707 .577 .707 r
.72722 .77478 m .72229 .78594 L .74097 .79403 L p F P
0 g
s
.707 .577 .707 r
.74678 .7804 m .75077 .76624 L .73067 .76302 L p F P
0 g
s
.707 .577 .707 r
.73067 .76302 m .72722 .77478 L .74678 .7804 L p F P
0 g
s
.707 .577 .707 r
.75306 .75147 m .7535 .73674 L .73319 .73809 L p F P
0 g
s
.707 .577 .707 r
.7535 .73674 m .75238 .72038 L .73225 .72341 L p F P
0 g
s
.707 .577 .707 r
.73225 .72341 m .73319 .73809 L .7535 .73674 L p F P
0 g
s
.707 .577 .707 r
.74996 .70438 m .74674 .68886 L .7268 .6929 L p F P
0 g
s
.707 .577 .707 r
.74674 .68886 m .74373 .67425 L .72349 .67637 L p F P
0 g
s
.707 .577 .707 r
.72349 .67637 m .7268 .6929 L .74674 .68886 L p F P
0 g
s
.707 .577 .707 r
.74373 .67425 m .74194 .65719 L .72166 .65886 L p F P
0 g
s
.707 .577 .707 r
.72166 .65886 m .72349 .67637 L .74373 .67425 L p F P
0 g
s
.707 .577 .707 r
.74194 .65719 m .74049 .63961 L .72025 .64175 L p F P
0 g
s
.707 .577 .707 r
.72025 .64175 m .72166 .65886 L .74194 .65719 L p F P
0 g
s
.707 .577 .707 r
.74049 .63961 m .73863 .62202 L .71847 .62482 L p F P
0 g
s
.707 .577 .707 r
.71847 .62482 m .72025 .64175 L .74049 .63961 L p F P
0 g
s
.707 .577 .707 r
.73616 .60433 m .73279 .58681 L .713 .59158 L p F P
0 g
s
.707 .577 .707 r
.73279 .58681 m .72863 .56958 L .70902 .57504 L p F P
0 g
s
.707 .577 .707 r
.70902 .57504 m .713 .59158 L .73279 .58681 L p F P
0 g
s
.707 .577 .707 r
.72863 .56958 m .72385 .55246 L .70447 .55868 L p F P
0 g
s
.707 .577 .707 r
.70447 .55868 m .70902 .57504 L .72863 .56958 L p F P
0 g
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 281.438},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P00016B000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00ZP3oool@000006H0oooo001Q0?oooa<00000<03o
ool600000080USA800<000000:@nA`2T?TL0202T?TL00`000000[dU80:m9B00600000600oooo001J
0?ooo`L000001@2G=4P00`000000XSi80:8nB0080:8nB0030000002aC4`0/Da<00H000009P3oool4
000000L0USA8400000050:m9B0@00000G03oool005P0oooo0P0000000`28:DT0000009LdB00509Ld
B1<000001@2aC4`4000001h0oooo100000000`29;4`0000009HdB00209HdB0H000000P2iU[@00`00
0000^INd0;VG]0080;VG]0030000002iV;D0^IRe00D000000P2_BDP00`000000_EQ<000000020000
05T0oooo001E0?ooo`<000000`28:DT7000000D0^IJd00<000000;VG]02iUk@0202iUk@00`000000
^INe0;VG]@0500000080/Da<00<000000;eJD@0000000`00000F0?ooo`@000001@29;4`4000000P0
^IJd00<000000;VG]02iUk@0202iUk@00`000000^IRe0;VH]@050;VH]@@000000`2mF4`4000005D0
oooo001C0?ooo`8000001028:DT2000000030;VF/`000000^IJd00T0^IJd00<000000;VG]02iUk@0
202iUk@00`000000^INe0;VG]@050;VG]@@00000102mFU4400000100oooo0P00000608T/C0<00000
00<0^IJc0000002iU[@02@2iU[@00`000000^INd0;VG]0080;VG]0030000002iV;D0^IRe00L0^IRe
00<000000;VH]P0000000P0000050;eHC0030000003oool0oooo0540oooo001A0?ooo`8000000`28
:DT3000000@0^IJc00<000000;VF]02iU[@01`2iU[@00`000000^INd0;VG]0080;VG]0030000002i
UkD0^INe00L0^INe00<000000;VH]P0000000`0000050;eJD@8000002`3oool010000000ORMA07hW
D@00000208T/C0@000001@2iU[<00`000000^IJd0;VF]0080;VF]0030000002iUk@0^INd00L0^INd
00<000000;VH]@2iV;D01`2iV;D00`000000^IRf0;VH]P020;VH]P@0000000@0_EQ<000000000000
0000D@3oool004l0oooo00<0000007XRC@0000000P28:DT2000000L0^IJc00<000000;VF]02iU[@0
202iU[@00`000000^INd0;VG]0070;VG]0030000002iUkD0^INe00L0^INe00<000000;VH]P2iV;H0
0`2iV;H4000000030;eJD@000000c6aH008000001`3oool2000000@0ORMA0P0000090;VF/`030000
002iU[@0^IJd00P0^IJd00<000000;VG]02iUk@01`2iUk@00`000000^IRe0;VH]@060;VH]@030000
002iV;H0^IRf00L0^IRf0P0000020<YVD@800000C`3oool004d0oooo0P00000207XRC@<000002@2i
U[<00`000000^IJd0;VF]0080;VF]0030000002iUk@0^INd00L0^INd00<000000;VG]@2iUkD01P2i
UkD00`000000^IRf0;VH]P080;VH]P8000000`3<K5P2000000<0oooo0P00000407hWD@<000002`2i
U[<00`000000^IJd0;VF]0030;VF]14000001P2iV;D00`000000^IRf0;VH]P080;VH]P<000000P3:
IU42000004d0oooo001;0?ooo`8000000P1j8Td200000080^9Fb00<000000;VF/`2iU[<0202iU[<0
0`000000^IJd0;VF]0030;VF]14000001P2iUkD00`000000^IRf0;VH]P090;VH]P<000000`3<K5P3
000000@0ORMA0P0000030;RE/`030000002iU[<0^IJc00L0^IJc1`0000040;K7i`030000002/_nP0
[;oX00@0[;oX00@000000:boj02/_nP000000P2T^>L400000080^IRe00<000000;VH]P2iV;H0202i
V;H00`000000^IRg0;VH]`0200000080bVIA0P00001;0?ooo`00B@3oool200000080NR9=0P000004
0;RE/P030000002iU[<0^IJc00L0^IJc1`0000040;K6iP030000002^`>L0[/3W00L0[/3W00<00000
0:>hi`2S^>L0100000020;VG]@030000002iV;H0^IRf00P0^IRf00@000000;bL^02lW;P0_9bh1000
000407hWD@8000001@2hUK<00`000000^IJc0;VF/`040;VF/`<0000000<0_lgU0000002fanL0202f
anL01@000000[;oX0:boj02/_nP0Y41900@0[;oX00<000000:Bhi`2T^>L01@2T^>L4000000P0^IRf
00<000000;VH]`2iV;L00`2iV;L2000000<0bVIA00<000000?ooo`3oool0A`3oool004L0oooo0P00
000207XRC@8000001`2hUK800`000000^IJc0;VF/`030;VF/`<0000000<0`<cS0000002fa^H0202f
a^H00`000000[/3W0:k0i`060:k0i`030000002S^>L0XkSW00D0XkSW100000090;VH]P040000002l
W;P0_9bh0;bL^080000000@0MBEH0000001n9e40ORMA0P0000080;RE/`030000002iU[<0000000<0
000000D0_lgU0000002ocND0_lgU000000070;K7i`L00000102/_nP00`000000Y;SW0:Bhi`070:Bh
i`030000002J[^D00000008000001@2iV;H00`000000^IRg0;VH]`050;VH]`80000000@0bVIA0000
000000000000A`3oool004D0oooo00<00000070NDP1`7U800`0000090;RE/P030000002iU[<0^IJc
00<000001@30c><00`000000]/KV0;K6iP020;K6iQ0000001`2S^>L00`000000VJoV000000020000
00H0^IRf00@000000;bL^00000000000101e9EP2000000X0^9Fc0P0000080;o=i@030000002fanL0
]/OW00D000001`3oool9000000@0Y;SW00<0000009Z^i@2J[^D00`2J[^D4000000030;VH]P000000
^IRg00P0^IRg0P0000020==dF0030000003oool0oooo04@0oooo00130?ooo`8000000P1`7U820000
00030;RD/P000000^9Fb00P0^9Fb0`0000030<3<h`0408T/C030c><0`<cS0<3<h`H00000403oool5
00000080XkSW00<0000009V_iP2I[nH00P2I[nH4000000060;VH]P000000_9bh0000001]95l00000
0P1e9EP3000000T0^9Fc0`0000030;o=i@0408X^CP2ocND0_lgU0;o=i@D000005@3oool5000000T0
VZkU0P0000090;VH]`030000002hV;L000000080dgAH0P0000140?ooo`00@@3oool2000000<0L1iB
00D000000;RD/P2hU;80^9Bb000000070;RE/P80000000<0b<oO00000030c><00P30c><00`3oool0
`<cS00000002000001/0oooo0`00000809V_iP<000000`1]95l2000000<0]9>d00<000000;RE/`2h
UK<0102hUK<2000000<0b=7Q00<000000;o=i@2ocND01000000P0?ooo`<000001@2J[^D010000000
TJCR0000000000070;VH]`040000002hV;L0^9Rg000000<0dgAH00<000000?ooo`3oool0@@3oool0
03l0oooo0P000003070NDP8000001@2hU;800`000000^9Fb0;RE/P020;RE/P8000001038cml00`00
0000`<cS0000000200000280oooo0`00000509V_iP030000001]95l0KBAO0080000000<0]9>d0000
002dTk@00P2dTk@00`000000^9Fc0;RE/`020;RE/`8000001@38dN43000002L0oooo0`00000209Z^
i@050000002AY>80TJCR096ThP0000001@2iV;L00`000000^9Rg0;RH]`020;RH]`040000003CM5P0
dgAH0==dF0800000@@3oool003h0oooo00<00000070NDP1`7U800P1`7U800`000000^9Bb0;RD/P05
0;RD/P030000002hUK80^9Fb008000001P38cml2000002P0oooo0`0000000`2I[nH0000006LUI`02
000000<0]9>d00<000000;BC]02dTk@00P2dTk@010000000^9Fc0000000000050<SAh@800000;@3o
ool2000000D0TJCR0P0000030;VH]`030000002hV;L0^9Rg00<0^9Rg0P0000030==dF0030000003o
ool0oooo03h0oooo000m0?ooo`040000001/7ED00000070NDP8000002@2hU;82000000H0b<oO0P00
000/0?ooo`8000000P1W9FL00`000000]9>d000000030;BC]0030000002dTk@0]9>d00<000001@38
dN42000000030=Z3J0000000oooo02h0oooo0P000005096ThP<00000202hV;L00`000000dgAH0==d
F002000003l0oooo000l0?ooo`050000001/7ED0K1eE06`ME@0000002P2hU;800`000000cm7K0000
00040<S?g`800000;@3oool200000080IbEW00D000000;BC]02dTk@0]9>d000000030;BC]0800000
0P38dN4010000000b=7Q0<SAh@38dN43000000<0fX=X00<000000?ooo`3oool0;P3oool2000000D0
TJCR00<000000;RH]`2hV;L01`2hV;L200000080egUK0P00000m0?ooo`00>`3oool01`000000K1eE
06`ME@1/7ED000000;RD/P0000001`2hU;8200000080cm7K00<000000<S?g`38cml00P00000^0?oo
o`030000001R9g00HRM`00800000102dTk@01P000000]9>d0;BC]0000000d=CL00000080b=7Q00P0
00000<SAh@00000000000;BC]0000000]9>d000000<0fX=X00<000000?ooo`3oool0;`3oool20000
0080TJCR00@0000008VKgP0000000000202hV;L00`000000egUK0=MiF`020=MiF`030000003oool0
oooo03X0oooo000i0?ooo`8000000P1/7ED2000000<0^9Bb00<000000;RD/P2hU;800`2hU;800`00
0000cm7K0<oAf`030<oAf`800000<03oool01P000000HRM`068WL0000000]9>d000000@0]9>d00D0
00000;BC]0000000d=CL000000020<SAh@8000000P2dTk@02@000000]9>d0;BC]02dTk@000000=Z3
J0000000hHma0000000b0?ooo`8000001029Vmh00`000000^9Rg0;RH]`040;RH]`040000002hV;L0
0000000000<0egUK00<000000?ooo`3oool0>@3oool003P0oooo00D0000006`ME@1/7ED0K1eE0000
00050;RD/P030000002hU;80^9Bb0080^9Bb00<000000<oAf`1a85D00P3?dM/200000340oooo00@0
0000068WL01R9g0000000`2dTk@00`000000]9>d0;BC]0020;BC]0040000003@e=`0d=CL0=3Dg080
000000D0P9;K000000000000]9>d000000040;BC]0040000003QSg40hHma000003@0oooo00<00000
0==dFP3CM5X00P29Vmh2000000<0^9Rg00<000000;RH]`2hV;L00P2hV;L010000000egUK0=MiF`3G
NE/2000003T0oooo000g0?ooo`050000001/7ED0K1eE06`ME@0000001`2hU;8010000000^9Bb0000
000000040<oAf`030000003oool0oooo0340oooo00@00000068WL01R9g000000102dTk@02P000000
]9>d000000000000e]GG0000003@e=`0000008RLg`000003082Bf`030000002dTk@0]9>d0080]9>d
00<000000;BC]00000000P3QSg400`000000oooo0?ooo`0b0?ooo`8000000P29Vmh01P000000RI_N
000000000000^9Rg000000D0^9Rg0P0000030=MiF`030000003oool0oooo03H0oooo000f0?ooo`03
0000001/7ED0K1eE008000002@2hU;800`000000cm7K0<oAf`020<oAf`800000<`3oool010000000
GR]h0000000000060;BC]0030000003FeML0e]GG0080e]GG00<000000?ooo`0000000`20T]/00`00
0000NXSF000000020;BC]0050000002dTk@0]9>d0;BC]00000000P3QSg400`000000oooo0?ooo`0c
0?ooo`0300000029Vmh0RI_N00<0RI_N00<000000;RH]`2hV;L01P2hV;L01@000000egUK0=MiF`3G
NE/0000003L0oooo000e0?ooo`040000001S6e`00000000000T0^9Bb0`0000030<oAf`030000003o
ool0oooo0380oooo00D0000005h[N01N:gP000000;BC]002000000<0]9>d00@000000=cEd@000000
e]GG0P0000030?ooo`80000000H0P9;K0000001jR=H000000;BC]00000050;BC]080000000<0iIUh
0000003oool0=03oool01`000000RI_N08VKgP29Vmh0000008NHg@000000202hV;L3000000030=n7
I0000000oooo03D0oooo000d0?ooo`060000001S6e`0Ha]L0000002hTk4000001`2hU;8010000000
d];I0=;Bf@3Bd]T3000003D0oooo00<0000005h[N0000000102dTk@2000000050;BC]0000000g=GA
0=cEd@0000001`3oool01@000000NXSF07Z8eP1jR=H0000000D0]9>d0P0000020>FIN0030000003o
ool0oooo03@0oooo0P0000001@29Vmh0000008NHg@27V=d0000000T0^9Rg00@000000=n7I03OQf@0
0000=@3oool003<0oooo00@0000006<KG01S6e`000000`2hTk400`000000^9Bb0;RD/P020;RD/P80
0000103Bd]T00`000000oooo0?ooo`0d0?ooo`040000001N:gP0GR]h000000H0]9>d00D000000=cE
d@3LeM40g=GA000000080?ooo`050000001jR=H0000007Aod00000000P2dTk@200000080]9>d00@0
00000>FIN03UVGP00000=`3oool00`000000QiSM08NHg@0208NHg@030000002hV;L0^9Rg00D0^9Rg
00<000000;RH^00000000P3OQf@00`000000oooo0?ooo`0b0?ooo`00<P3oool010000000Ha]L06<K
G00000050;RC/@040000002hU;800000000000@0d];I0P00000f0?ooo`040000001L;Wh000000000
00H0]9>d00D000000>3Dc0000000g=GA0000000:0?ooo`060000001dOm00M7o@0000002dTk@00000
102dTk@00`000000iIUh0>FIN002000003L0oooo00<000000=MiG@27V=d00P27V=d2000000@0^9Rg
00L000000;RH^02hV;P0^9Rh0000003OQf@0000003@0oooo000a0?ooo`040000001S6e`0Ha]L0000
00L0^9>a00<000000=;Bf@3Bd]T00`3Bd]T00`000000oooo0?ooo`0f0?ooo`040000001L;Wh00000
0;BC]0800000102dTk@010000000h=C<0>3Dc000000<0?ooo`040000001dOm00M7o@000000H0]9>d
0P0000000`3XX7l000000?ooo`0g0?ooo`8000001027V=d01@000000^9Rg0;RH]`2hV;L0000000@0
^9Rh00<000000=n7I0000000<`3oool00300oooo00@0000006<KG01S6e`000001`2hTk400`000000
f=;C000000030=;Bf@030000003oool0oooo03H0oooo00@0000005`^OP1L;Wh000000`2dTk@20000
00050;BC]0000000h=C<0>3Dc00000003@3oool01@000000M7o@0000001_N</0000000<0]9>d0`00
00030>RPO`030000003oool0oooo03L0oooo00<0000008NHg@27V=d00P27V=d00`000000^9Rg0000
00050;RH^0040000003OQf@0ghMT00000380oooo000_0?ooo`040000001S6e`0Ha]L000000L0^9>a
00D000000=SBd`3Hd]<000000=;Bf@02000003T0oooo00<0000005`^OP0000001P2dTk@200000080
h=C<00<000000?ooo`3oool0303oool01@000000KgS;06mhb`000000]9>d008000000`2dTk@01000
0000j:1o0>RPO`00000j0?ooo`0300000027V=d0QiSM0080QiSM00<000000;RH^02hV;P01@2hV;P0
10000000ghMT0=n7I000000a0?ooo`00;P3oool010000000Ha]L06<KG00000070;RC/@030000003H
d]<0f=;C0080f=;C00<000000?ooo`3oool0>03oool00`000000Fc2200000002000000D0]9>d00@0
00000>?Ca`0000000000403oool010000000KgS;06mhb`0000050;BC]0030000003XX7l0j:1o0080
0000>P3oool20000000408NHg@000000P8kH000000L0^9Rh00@000000=n7I03OQf@00000<03oool0
02d0oooo00@0000005XLIP00000000001`2hTk400`000000f=;C0=SBd`020=SBd`030000003oool0
oooo03T0oooo00<0000005/`PP0000000P2dTk@300000080]9>d00<000000>?Ca`0000004@3oool0
10000000KgS;0000000000060;BC]080000000<0jZF30000003oool0>`3oool01@000000P8kH082>
f020S]P0000000L0^9Rh0P0000000`3WUfl000000?ooo`0^0?ooo`00;03oool01@000000FQaV05XL
IP000000]i:a00800000102hTk400`000000f=;C0=SBd`020=SBd`030000003oool0oooo03T0oooo
00@0000005/`PP1K<88000001@2dTk@200000080hm?700<000000?ooo`3oool0403oool010000000
K77606aaaP0000030;BC]0<000000`3ZYH<00`000000oooo0?ooo`0j0?ooo`0500000020S]P0P8kH
082>f00000001`2hV;P010000000iiM_0>NGK`00000^0?ooo`00;03oool00`000000FQaV00000004
0;NB/@80000000<0^9>a0000003Hd]<00`3Hd]<00`000000oooo0?ooo`0j0?ooo`030000001K<880
000000L0]9>d0P0000000`3SdlL0oooo0?ooo`0A0?ooo`050000001/LLH0K7760000002dTk@00P00
00030;BC]0040000003ZYH<0jZF3000003d0oooo00D00000082>f020S]P0P8kH000000050;RH^005
0000002gV;P000000>NGK`000000;P3oool002/0oooo00@0000005XLIP1J76H000001P2gT[400`00
0000f=;C0=SBd`020=SBd`030000003oool0oooo03X0oooo00@0000005/`PP00000000001P2dTk@0
1@000000iM;30>GB``3SdlL0000001<0oooo00@0000006aaaP1/LLH000001@2dTk@01@000000jZF3
0>ZUP`3ZYH<0000003d0oooo00D00000082>f020S]P0P8kH000000030;RH^0040000002gV;P0]iRh
00000080iiM_00<000000?ooo`3oool0:`3oool002X0oooo00@0000005XLIP1J76H000001P2gT[40
0`000000g]7;000000020=SBd`030000003oool0oooo03/0oooo00<0000005/`PP1K<8800`000004
0;BC]0030000003Ud/<0000001D0oooo00@0000006aaaP00000000001P2dTk@4000003d0oooo00<0
0000082>f020S]P00P20S]P00`000000^9Rh000000040;NH^0040000003WUfl0iiM_000002`0oooo
000Y0?ooo`040000001J76H0FQaV000000H0]i:a00H000000=kAb`3NdL/000000=SBd`00000m0?oo
o`040000001K<880Fc22000000<0]9>d0P0000001@2dTk@000000>GB``3Ud/<0000001H0oooo00@0
000006Y]``1ZKL<000000`2dTk@300000080jZB300<000000?ooo`3oool0?03oool00`000000P8kH
082>f002082>f0030000002gV;P0]iRh00@0]iRh00@000000>NGK`3WUfl00000:`3oool002T0oooo
00<0000005XLIP0000001`2gT[401@000000g]7;0=kAb`3NdL/0000003h0oooo0P0000000`1K<880
00000;BC]0040;BC]08000000P3Ud/<G0?ooo`050000001ZKL<0JVg30000002dTk@00P0000030;BC
]0040000003ZY8<0jZB3000003h0oooo00H00000082>f0000000000007Z3d00000060;NH^0030000
003WUfl0000002/0oooo000X0?ooo`040000001J76H0FQaV000000H0]i:a00D000000=kAb`3NdL/0
g]7;0000000n0?ooo`030000001N;7/0GRak008000001@2dTk@010000000iM;400000000000H0?oo
o`040000001ZKL<00000000000D0]9>d00@000000>ZTP`3ZY8<00000?`3oool01@000000NX?@07Z3
d01jPm00000000H0]iRh00@000000>NGK`3WUfl00000:P3oool002L0oooo100000060;NB/@030000
003NdL/0g]7;0080g]7;00<000000?ooo`3oool0?03oool01@000000GRak05h/N`000000]9>d0080
00000`2dTk@010000000iM;40>GBa000000H0?ooo`80000000<0Jfk40000002dTk@01@2dTk@40000
03l0oooo00D0000007Z3d01jPm00NX?@000000060;NH^0040000003WUfl0iiM_000002T0oooo000V
0?ooo`050000001B7g<0DQmc0000002gT[000P0000030;NB/@030000003NdL/0g]7;0080g]7;00<0
00000?ooo`3oool0?03oool010000000GRak05h/N`0000040;BC]0<000000P3Ud/@00`000000oooo
0?ooo`0G0?ooo`050000001[K/@0Jfk406]^a00000000`2dTk@3000000<0iYak00<000000?ooo`3o
ool0?03oool01@000000NX?@07Z3d01jPm00000000L0]iRh0P0000000`3^YW`000000?ooo`0W0?oo
o`009P3oool010000000DQmc058OL`0000030;NB/080000000<0]i:a0000003NdL/00P3NdL/00`00
0000oooo0?ooo`0m0?ooo`040000001N;7/0GRak000000H0]9>d00@000000>GBa03Ud/@000006P3o
ool01@000000Jfk406]^a0000000]9>d008000000`2dTk@010000000iYak0>JLN`00000o0?ooo`05
0000001jPm00NX?@07Z3d00000001@2gV;P200000080kZIl00<000000?ooo`3oool09P3oool002D0
oooo00@00000058OL`1B7g<000001P2gT[001@000000g]7;0=kAb`3NdL/0000003l0oooo00@00000
05h[N@00000000001P2dTk@010000000h]C900000000000K0?ooo`030000001[K/@0Jfk400800000
1@2dTk@01@000000iYak0>JLN`3VW7/0000003l0oooo00D0000007Z3d01jPm00NX?@000000020;NH
^08000000P2gV;T010000000kZIl0>jVO000000W0?ooo`009@3oool010000000DQmc058OL`000005
0;NB/0060000003ScL8000000000003NdL/00000?P3oool010000000GR]i05h[N@1N:gT3000000<0
]9>d00D000000>;Db@3Re<T0h]C90000000L0?ooo`80000000<0KWG90000002dTk@01@2dTk@40000
0400oooo00H0000007Z3d01jPm0000000;NH^00000040;NH^@040000003^YW`0kZIl000002L0oooo
000T0?ooo`040000001B7g<0DQmc000000H0]i:`00D000000>?=`P3ScL80hlg20000000o0?ooo`04
0000001N:gT0GR]i000000<0]9>d0P0000001@2dTk@000000>;Db@3Re<T0000001h0oooo00@00000
06ieb@1^MLT00000102dTk@2000000<0iYYj00<000000?ooo`3oool0?@3oool00`000000NX?@07Z3
d002000000H0]iRi00@000000>jVO03^YW`000009P3oool002@0oooo00@00000058OL`1B7g<00000
1@2gT[001@000000hlg20>?=`P3ScL80000003l0oooo00D0000005h[N@1N:gT0GR]i000000050;BC
]0050000003Re<T0h]C90>;Db@0000007P3oool010000000KWG906ieb@0000020;BC]08000000P2d
Tk@010000000iYYj0>JJNP0000100?ooo`80000000<0LgO80000002gV;T01@2gV;T010000000kZIl
0>jVO000000V0?ooo`008`3oool010000000DQmc058OL`0000060;NB/0050000003ScL80hlg20>?=
`P000000?`3oool0101M;7/000000000000000050;BC]0030000003Qe</0000000800000803oool0
0`000000KWG906ieb@02000000@0]9>d00D000000>JJNP3VVWX0iYYj0000000o0?ooo`050000001c
MlP0LgO807=gb00000001P2gV;T010000000kZIl0>jVO000000U0?ooo`008`3oool010000000DQmc
058OL`0000050;NB/0050000003ScL80E29d0>?=`P000000?`3oool010000000GBak05d/N`1M;7/2
000000@0]9>d00D000000>7Db`3Qe</0hMC;0000000P0?ooo`050000001^MLT0000006mgb`000000
1@2dTk@010000000iYYj0>JJNP0000100?ooo`040000001cMlP0LgO8000000H0]iRi00@000000>jV
O03^YW`0kZIl9@3oool00280oooo00@00000058OL`1B7g<000001P2gT[0010000000hlg205@RM000
00100?ooo`040000001M;7/0GBak00000080]9>d0P0000000`2dTk@000000>7Db`020>7Db`030000
003oool0oooo0200oooo00@0000006mgb`1_Ml/000001P2dTk@2000000030>JLO0000000oooo03h0
oooo00D0000007=gb01cMlP0LgO8000000060;NH^@040000003^YW`0kZIl000002@0oooo000R0?oo
o`D00000102gT[001@000000hlg20>?=`P1D8W@0000003l0oooo00@0000005d/N`1M;7/000001@2d
Tk@200000080hMC;00<000000?ooo`3oool08P3oool010000000KgO;06mgb`0000030;BC]0<00000
0P3VW7`00`000000oooo0?ooo`0n0?ooo`040000001cMlP0LgO8000000H0]iRi00@000000>jVO000
00000000903oool00280oooo0`1=9Gh010000000]Y6`0000000000020;NB/0040000003ScL80hlg2
00000400oooo00@0000005d/N`1M;7/000001@2dTk@01@000000h]C90000003Qe</0000002@0oooo
00D0000006mgb`1_Ml/000000;BC]002000000<0]9>d00@000000>JLO03VW7`00000?`3oool01@00
0000LgO807=gb01cMlP0000000D0]iRi0P0000020?:bR0030000003oool0oooo0240oooo000Q0?oo
o`040000001=9Gh0CBEn000000@0]Y6`0`0000020>?=`P030000003oool0oooo03d0oooo00@00000
05`]O@00000000001P2dTk@010000000h]C90>;Db@00000V0?ooo`040000001_Ml/0KgO;000000D0
]9>d00<000000>JLO03VW7`00P00000o0?ooo`040000001cMlP0LgO800000080]iRi0`0000001@2f
V;T000000?:bR03b/XP0000002<0oooo000Q0?ooo`040000001=9Gh0CBEn000000D0]Y6`00@00000
0>K9^P0000000000@03oool010000000G2em0000002dTk@2000000<0]9>d00@000000>;Db@3Re<T0
00009`3oool01@000000KgO;0000001^MLT0000000D0]9>d0P0000000`3XWgh000000?ooo`0n0?oo
o`040000001cMlP0LgO807=gb08000001@2fV;T00`000000l[:80000000S0?ooo`008@3oool00`00
0000CBEn000000050;JA/0050000003VbKX0i/Vj0>K9^P000000?`3oool010000000G2em05`]O@00
00030;BC]080000000D0]9>d0000003Re<T0h]C90000000X0?ooo`040000001^MLT0KWG9000000@0
]9>d00<000000;BC]00000000P3XWgh00`000000oooo0?ooo`0m0?ooo`@000001P2fV;T00`000000
l[:80000000S0?ooo`00803oool010000000CBEn04dUOP0000050;JA/0040000003VbKX0i/Vj0000
0400oooo00<0000005`]O@0000001P2dTk@2000000030>;Db@000000oooo02P0oooo00H0000006ie
b@1^MLT0KWG90000002dTk@200000080]9>d00@000000>ROOP3XWgh00000?`3oool01@000000L6k1
071^`@1`K/40000000D0]YRi00@000000?:bR03b/XP000008P3oool00200oooo00@0000004dUOP1=
9Gh000001@2fTK0010000000i/Vj0>K9^P00000o0?ooo`@000001@2dTk@00`000000hm?70>?Ca`02
000002X0oooo00D0000006ieb@1^MLT0KWG9000000050;BC]0040000003XWgh0j9mn000003h0oooo
00D00000071^`@1`K/40L6k1000000050;JH^@040000003b/XP0l[:800000280oooo000P0?ooo`03
0000001=9Gh0000000D0]Y6`00D000000>K9^P3VbKX0i/Vj0000000n0?ooo`050000001K;h40Fbn1
0000002dTk@00P0000030;BC]0050000003SdlL0hm?70>?Ca`000000:P3oool00`000000KWG90000
0002000000H0]9>d0`00000o0?ooo`050000001`K/40L6k1071^`@0000001@2fV;T00`000000l[:8
0000000R0?ooo`00803oool00`000000CBEn000000050;JA/0040000003VbKX0i/Vj000003l0oooo
00@0000005/_P@1K;h4000000`2dTk@3000000<0hm?700<000000?ooo`3oool0:P3oool01@000000
KG;706eba`1]L/L0000000<0]9>d0`0000020>VSPP030000003oool0oooo03`0oooo00D00000071^
`@1`K/40L6k1000000050;JH^@030000003b/XP000000280oooo000O0?ooo`030000001=9Gh00000
00H0]Y6`00@000000>K9^P3VbKX00000?P3oool010000000Fbn105/_P@0000060;BC]0050000003S
dlL0hm?70>?Ca`000000;03oool01P000000KG;706eba`1]L/L000000;BC]08000000`2dTk@00`00
0000jJ>20000000n0?ooo`050000001`K/40L6k1071^`@0000001@2fV;T010000000l[:80?:bR000
000Q0?ooo`007`3oool5000000<0]Y6`00D000000>K9^P3VbKX0i/Vj0000000n0?ooo`040000001K
;h40Fbn1000000D0]9>d00<000000>GBa00000000P00000^0?ooo`050000001]L/L0KG;706eba`00
00001@2dTk@010000000jJ>20>VSPP00000n0?ooo`050000001`K/40L6k1071^`@0000001@2fV;T0
0`000000l[:80000000Q0?ooo`007`3oool204X^S0030000002eT;00]I2`00D0000000<0i/Vj0000
003oool0?P3oool4000000D0]9>d00D000000>GBa03Ud/@0iM;40000000^0?ooo`030000001]L/L0
0000008000001P2dTk@00`000000jJ>20000000n0?ooo`050000001`K/40L6k1071^`@000000102f
V;T400000240oooo000O0?ooo`80BRj<00<000000;F@/02eT;000`2eT;0010000000j<>`00000000
000n0?ooo`050000001J<HD0FS650000002dTk@00`0000000`2dTk@000000>GBa0020>GBa0030000
003oool0oooo02h0oooo00D0000006]^a01[K/@0Jfk4000000040;BC]0@00000?P3oool00`000000
L6k1071^`@02071^`@080000002fV;T000000000002eUkT000000?C0U`00000Q0?ooo`007P3oool0
0`000000BRj<000000060;F@/0040000003X`k00j<>`000003h0oooo00@0000005XaQ@1J<HD00000
102dTk@2000000<0iM;400<000000?ooo`3oool0;P3oool01@000000Jfk406]^a01[K/@000000080
]9>d0P0000001@2dTk@000000>^WQ@3[YhD0000003h0oooo00<00000071^`@1`K/400`0000030;FG
^@040000003d`9L0m<2G00000200oooo000N0?ooo`030000001:;X`0000000D0]I2`00D000000>S3
/03X`k00j<>`0000000m0?ooo`040000001J<HD0FS65000000H0]9>d1000000b0?ooo`040000001[
K/@0Jfk406]^a0800000102dTk@00`000000jjN50000000n0?ooo`<0000000<0K6>f0000002eUkT0
102eUkT00`000000m<2G0000000P0?ooo`007P3oool00`000000BRj<000000050;F@/0040000003X
`k00j<>`000003h0oooo0P0000000`1J<HD000000;BC]0040;BC]0050000003VdL40i]710>KA`@00
0000<P3oool00`000000Jfk400000002000000D0]9>d00@000000>^WQ@3[YhD00000?@3oool01@00
0000K6>f06aS]P1/HkH0000000D0]INi00<000000?C0U`000000803oool001h0oooo00<0000004X^
S00000001@2eT;0010000000j<>`0>S3/000000n0?ooo`030000001I<XL0000000800000102dTk@0
10000000i]710>KA`@00000d0?ooo`050000001YJl40JF_106U[`@0000001@2dTk@00`000000jjN5
0000000m0?ooo`050000001/HkH0K6>f06aS]P0000001@2eUkT00`000000m<2G0000000P0?ooo`00
7P3oool00`000000BRj<000000050;F@/0040000003X`k00j<>`000003d0oooo00H0000005TbQ`1I
<XL0FC:70000002dTk@2000000030;BC]0000000i]710080i]7100<000000?ooo`3oool0<P3oool0
1@000000JF_106U[`@1YJl40000000@0]9>d1000000n0?ooo`040000001/HkH0K6>f000000D0]INi
00<000000?C0U`000000803oool001h0oooo00<0000004X^S00000001@2eT;0010000000j<>`0>S3
/000000m0?ooo`040000001I<XL0FC:7000000@0]9>d0`0000000`3VdL4000000?ooo`0e0?ooo`06
0000001YJl40JF_106U[`@000000]9>d0P0000001@2dTk@000000>bZR03/ZXP0000003d0oooo00@0
000006aS]P1/HkH000001@2eUkT00`000000m<2G0000000P0?ooo`007@3oool00`000000BRj<0000
00050;F@/0040000003X`k00j<>`000003d0oooo00D0000005TbQ`1I<XL0FC:7000000040;BC]003
0000003Wd;l0im2o00800000=P3oool00`000000JF_106U[`@03000000@0]9>d00<000000>bZR000
0000?@3oool01@000000K6>f06aS]P1/HkH0000000@0]INi00@000000?C0U`3d`9L000007`3oool0
01d0oooo00<0000004X^S00000001@2eT;0010000000j<>`0>S3/000000m0?ooo`80000000<0FC:7
0000002dTk@0102dTk@01@000000im2o0>O@_`3Wd;l0000003L0oooo0P0000000`1XJ;l000000;BC
]0040;BC]0040000003/ZXP0k:Z8000003`0oooo00D0000006aS]P1/HkH0K6>f000000050;FG^@03
0000003d`9L0000001l0oooo000M0?ooo``00000?@3oool00`000000F3F<0000000300000080]9>d
00D000000>O@_`3Wd;l0im2o0000000e0?oooah00000;`3oool010000000K6>f06aS]P0000050;FG
^@030000003d`9L0000001l0oooo000M0?ooo`030000001:>I/0000000D0]92`00@000000>VlYP3Y
_:H00000<03oool>00000080F3F<00<000000;BD]@2dU;D00`0000030>O@_`h000007`3oool90000
0080TcQD00<0000009@iD`2D>E<00P2D>E<01@000000USYC09HjD`2F>U<0000000D0XTAD00<00000
0:I7E02VAe@00P2VAe@00`000000Z4UD0:Q9E0020:Q9E0030000002/C5@0[4aD00D00000:P3oool0
10000000K6>f06aS]P0000030;FG^@D000007`3oool001d0oooo00<0000004XiV`0000001@2dT;00
10000000jKbV0>VlYP00000[0?ooo`D000000P2I?ED00`000000WD5E09e1E@0209e1E@030000002P
@eD0X4=E0080X4=E00@0000005PeS01H=H`000001@2dU;D40000000309`nDP000000WT1B00<0WT1B
00<0000009m1DP2O@E800P2O@E800`000000XD9B0:52DP09000000T0oooo3@000002094gE0050000
002B=e@0TSMD098gE00000000`2C>5@00`000000U3UC09@iD`0209@iD`030000002F>U<0USYC00/0
00000P2VAe@00`000000Z4UD0:Q9E0020:Q9E0030000002/C5@0[4aD0080[4aD00<000000;1@E02`
D5@01P00000T0?ooo`L000000P2dUkT00`000000m<ZT0000000O0?ooo`007@3oool00`000000BSVK
000000050;B@/080000000<0jKbV0000003oool09@3oool500000080UC]F00<0000009TmE@2I?ED0
0P2I?ED00`000000WD5E09e1E@0800000080F3F<00<000000;BD]@2dU;D00P2dU;D010000000j<nl
0>S?_03Xck`4000000<0WT1B00D0000009m1DP2O@E80Wd5B000000040:52DP030000002Q@U80XD9B
0080XD9B00<0000009m1DP2O@E802@0000000`2G>e@0000009<hE00309<hE0050000002A=e@0TCMD
094gE00000000`2A=e@00`000000TSMD098gE00>00000080Zh^d00<000000;BC]02dTk@00`2dTk@0
0`000000]9>d0;BC]00:00000080[4aD00<000000;1@E02`D5@00P2`D5@010000000/e9D0;=BE02c
DU@5000001l0oooo00@0000006YI[@1ZFJd000001@2dUkT00`000000m<ZT0000000O0?ooo`007@3o
ool00`000000BSVK000000050;B@/0040000003Y_:H0jKbV00000280oooo10000002098iEP030000
002E>eH0UC]F00X000000P2dTk@010000000]9>d0;BC]02dTk@20000000305PeS0000000]9Be00@0
]9Be00P000000>S?_03Xck`0j<nl0000002[Rk@000000:^;/`h000000P2Q@U800`000000Wd5B09m1
DP0209m1DP050000002L?e<0W3mC09`oD`0000000`2G>e@00`000000TcQD09<hE00209<hE0030000
002A=e@0TCMD00T000000P2[S;D01@000000Zhbe0:^<]@2[S;D0000000@0Zhbe00<000000:^;]02[
Rk@00P2[Rk@00`000000]9>d0;BC]0030;BC]0030000002dTk@0]9>d0080]9>d00<000000;BC]02d
Tk@00P2dTk@00`000000]9>d0;BC]009000000@0/e9D00<000000;ADE02dE5@01000000K0?ooo`04
0000001ZFJd0JUV]000000D0]9Ni00<000000?C:Y00000007`3oool001d0oooo00<0000004XiV`00
00001@2dT;0010000000jKbV0>VlYP00000M0?ooo`D0000000<0T3MF0000002B>EH00P2B>EH40000
0080]9>d00<000000;BC]02dTk@00P2dTk@00`000000]9>d0;BC]0020;BC]0060000002dTk@0]9>d
0;BC]0000000E3VE0`0000040;BD]@040000003Xck`0j<nl00000080Zh^d00D000000:^;/`2[Rk<0
Zh^c000000040:^;/`030000002[Rk<0Zh^c0080Zh^c00<000000:^;/`0000005P0000020:^<]@05
0000002[S;D0Zhbe0:^<]@000000102[S;D01@000000Zhbe0:^<]@2[S;D0000000@0Zhbe00<00000
0:^;]02[Rk@00P2[Rk@00`000000]9>d0;BC]0030;BC]0030000002dTk@0]9>d0080]9>d00<00000
0;BC]02dTk@00P2dTk@00`000000]9>d0;BC]0020;BC]0030000002dTk@0]9>d0080]9>d00H00000
0;BC]000000000000;=BE00000050;ADE0030000002cDU@0000000<000005`3oool010000000JUV]
06YI[@0000050;BG^@030000003dbZ@0000001l0oooo000M0?ooo`030000001:>I/0000000D0]92`
00@000000>VlYP3oool00000503oool9000000030;K9j02B>5H000000080T3MF1@0000000`2dTk@0
00000;BC]0030;BC]0030000002dTk@0]9>d0080]9>d00<000000;BC]02dTk@00P2dTk@00`000000
]9>d0;BC]00200000080E3VE00H000000;6H_@00000000000;BD]@0000030>S?_0030000002[Rk@0
000000@0Zh^c00<000000:^;/`2[Rk<00P2[Rk<00`000000Zh^c0:^;/`020:^;/`050000002[Rk<0
Zh^c0:^;/`000000102[Rk<01@000000Zh^d0:^;]02[Rk@0000000<0Zhbe00<000000:^<]@2[S;D0
0P2[S;D00`000000Zhbe0:^<]@020:^<]@050000002[S;D0Zhbe0:^<]@000000102[S;D01@000000
Zhbe0:^<]@2[S;D0000000@0Zhbe00<000000:^;]02[Rk@00P2[Rk@00`000000]9>d0;BC]0030;BC
]0030000002dTk@0]9>d0080]9>d00<000000;BC]02dTk@00P2dTk@00`000000]9>d0;BC]0020;BC
]0030000002dTk@0]9>d0080]9>d00@000000;BC]02dTk@0]9>d100000020;ADE0030000002cDU@0
/e9D0080/e9D00<000000:]<E00000002000000>0?ooo`040000003cbJ@0JUV]000000D0]9Ni00<0
00000?C:Y00000007`3oool001d0oooo00<0000004XiV`0000001@2dT;0010000000jKbV0>VlYP00
000?0?ooo`D000000P2J?eH01@000000VSiF09XnEP2J?UH000000080TSQF1@0000020;BC]0030000
002dTk@0]9>d0080]9>d00D000000;BC]02dTk@0]9>d000000050;BC]0030000002dTk@0]9>d0080
]9>d00<000000;BC]00000000`1D>ID010000000/IRm0;6H_@2aV;d6000000030:^;]0000000Zh^c
00<0Zh^c00D000000:^;/`2[Rk<0Zh^c000000040:^;/`030000002[Rk<0Zh^c0080Zh^c00<00000
0:^;/`2[Rk<00P2[Rk<01@000000Zh^d0:^;]02[Rk@0000000<0Zhbe00<000000:^<]@2[S;D00P2[
S;D00`000000Zhbe0:^<]@020:^<]@050000002[S;D0Zhbe0:^<]@000000102[S;D00`000000Zhbe
0:^<]@020:^<]@050000002[S;D0Zhbe0:^<]@000000102[Rk@00`000000]9>d0;BC]0030;BC]003
0000002dTk@0]9>d0080]9>d00<000000;BC]02dTk@00P2dTk@00`000000]9>d0;BC]0020;BC]005
0000002dTk@0]9>d0;BC]00000001@2dTk@00`000000]9>d0;BC]00500000080/e9D00D000000:]<
E02[C5@0ZdaD000000040:]<E0030000002_Ce@0000000@00000203oool01@000000JUV]06YI[@1Z
FJd0000000D0]9Ni00<000000?C:Y00000007`3oool001d0oooo00<0000004XiV`0000001@2dT;00
10000000jKbV0>VlYP00000:0?ooo`D000000P2F>eH00`000000VSmF09XoEP0209XoEP030000002J
?UH0VSiF00@000000P2dTk@00`000000]9>d0;BC]0020;BC]0030000002dTk@0]9>d0080]9>d00<0
00000;BC]02dTk@00P2dTk@00`000000]9>d0;BC]0020;BC]0030000002dTk@0]9>d0080]9>d00<0
00000;BC]00000000P1D>ID00`000000/IRm0;6H_@030;6H_@040000003Vdl<0i]?300000080Zh^d
00<000000:^;/`2[Rk<00P2[Rk<01@000000Zh^c0:^;/`2[Rk<0000000@0Zh^c00<000000:^;/`2[
Rk<00P2[Rk<01@000000Zh^c0:^;/`2[Rk<0000000@0Zh^d00D000000:^<]@2[S;D0Zhbe00000004
0:^<]@030000002[S;D0Zhbe0080Zhbe00<000000:^<]@2[S;D00P2[S;D01@000000Zhbe0:^<]@2[
S;D0000000@0Zhbe00<000000:^<]@2[S;D0500000020;BC]0030000002dTk@0]9>d0080]9>d00D0
00000;BC]02dTk@0]9>d000000050;BC]0030000002dTk@0]9>d0080]9>d00<000000;BC]02dTk@0
2@0000020:]<E0050000002_Ce@0[dmD0:m?E00000000P2eEE@3000000D0oooo00D0000006YI[@1Z
FJd0JUV]000000050;BG^@030000003dbZ@0000001l0oooo000M0?ooo`030000001:>I/0000000D0
]92`00@000000>VlYP3Y_:H000001`3oool300000080ScIF00@0000009HkEP2F>eH0US]F2@000000
0`2dTk@000000;BC]0030;BC]0030000002dTk@0]9>d0080]9>d00<000000;BC]02dTk@00P2dTk@0
0`000000]9>d0;BC]0020;BC]0030000002dTk@0]9>d00d000001@2aV;d00`000000i]?30>KC``0:
00000080Zh^c00<000000:^;/`2[Rk<00P2[Rk<00`000000Zh^c0:^;/`020:^;/`050000002[Rk<0
Zh^c0:^;/`000000102[Rk@00`000000Zhbe0:^<]@020:^<]@050000002[S;D0Zhbe0:^<]@000000
102[S;D00`000000Zhbe0:^<]@020:^<]@030000002[S;D0Zhbe00T000000P2R_>`01@000000X;_/
0:2kk02P^n`0000000D0Yl3[00<000000:Bmj`2T_N/00P2T_N/00`000000X[_[0::kj`0900000080
]9>d00<000000;BC]02dTk@00P2dTk@00`000000]9>d0;BC]0030;BC]0030000002dTk@0]9>d0080
]9>d00D000000;BC]02dTk@0]9>d000000020;BC]0P000000`2eEE@3000000<0oooo00<0000006YI
[@1ZFJd00P0000050;BG^@030000003dbZ@0000001l0oooo000M0?ooo`030000001:>I/0000000<0
]92`1P0000050?ooo`<000000`2?=UH5000000030;BC]0000000]9>d00<0]9>d00D000000;BC]02d
Tk@0]9>d000000040;BC]0030000002dTk@0]9>d00<0]9>d00<000000;BC]02dTk@00P2dTk@00`00
0000]9>d0;BC]00400000080/<KZ00<000000:g4j`2]a>/00P2]a>/00`000000Zl;[0000000205@k
U`8000000`2aV;d010000000i]?30>KC``00000309^fj`030000002I]N/0VKG[0080VKG[00<00000
09Rdj`0000002@0000020:^;/`050000002[Rk<0Zh^c0:^;/`000000102[Rk@00`000000Zhbe0:^<
]@020:^<]@050000002[S;D0Zhbe0:^<]@0000000P2[S;D:00000080Y;o/00D000000:>nk02S_^`0
Xkk/000000040::lk0030000002P^n`0X;_/0080X;_/00<000000:O0j`2W`>/00P2W`>/00`000000
Y;g[0:Bmj`020:Bmj`030000002R^n/0X[_[0080X[_[00<0000009nhj`2O^>/00P2O^>/00`000000
W;GZ0000000400000080]9>d00<000000;BC]02dTk@00P2dTk@00`000000]9>d0;BC]0030;BC]005
0000002dTk@0]9>d0;BC]0000000102dTk@01P000000]9>d0;BC]02dTk@000000;BC]080000000@0
]EED0000002mG5H0_EaF1000000306YI[@030000002dUkT0]9Ni00<0]9Ni00<000000?C:Y0000000
7`3oool001d0oooo00<0000004XiV`0000000`0000020;BC]0040000003X]j00j;NP000000<0oooo
0P00000308H`E`<000000P2dTk@01@000000]9>d0;BC]02dTk@0000000@0]9>d00D000000;BC]02d
Tk@0]9>d000000050;BC]0030000002dTk@0]9>d0080]9>d00<000000;BC]02dTk@01@0000000`2c
b>T000000;36jP030;36jP030000002]a>/0[LC[0080[LC[0P00000305@kU`070000002bVKd00000
0000002aV;d000000>KC``03000000<0VkK[00@0000009Vej`2I]N/0VKG[0P00000209Rdj`030000
002G/n/0Uk?[0080Uk?[00<0000009Rcj`2H/n/05`0000020:K0k0030000002V`>`0Y/3/0080Y/3/
00<000000:Bok02T_n`00P2T_n`00`000000Xkk/0:>nk0020:>nk0030000002R_>`0X[c/00h00000
0P2T_N/01@000000X[_[0::kj`2R^n/0000000@0WkS[00<0000009bejP2L]NX00P2L]NX00`000000
V[?Y09Zcj@0500000080]9>d00<000000;BC]02dTk@00P2dTk@00`000000]9>d0;BC]0020;BC]003
0000002dTk@0]9>d0080]9>d00D000000;BC]02dTk@0]9>d000000030;BC]0<000000P2mG5H01000
0000aVIH00000000000206YI[@030000002dUkT0]9Ni00<0]9Ni00<000000?C:Y00000007`3oool0
01d0oooo0`0000050;BC]0050000003X]j00j;NP0000003oool00`00000208H`E`<00000102dTk@0
1@000000]9>d0;BC]02dTk@0000000@0]9>d00<000000;BC]02dTk@00P2dTk@00`000000]9>d0;BC
]0020;BC]0030000002dTk@0]9>d00D000000P2fbNT00`000000/lSY0;?8j@020;?8j@030000002`
a^X0/<KZ0080/<KZ00<000000:g4j`2]a>/00`00000205@kU`030000002bVKd0/YVm0080/YVm0`00
00000`3Wd/4000000000000600000080VKG[00D0000009Rdj`2H]>/0V;C[0000000409Ncj`050000
002H/n/0V;?[09Rcj`0000000`2I]>/00`000000W;S[09bhj`0209bhj`030000002R_>`0X[c/0080
X[c/00<000000:Fok02U_n`00P2U_n`00`000000Y/3/0:K0k0020:K0k0030000002V`>`0Y/3/0080
Y/3/00<000000:Bok02T_n`02@0000001@3oool00000065G/01QEk00000000D0/XV[00<000000>bX
Q03/Z8@02P00000209nhj`030000002L]NX0W;GZ0080W;GZ00<0000009Zcj@2J/nT00P2J/nT00`00
0000V;7Y09Raj@0500000080]9>d00<000000;BC]02dTk@00P2dTk@01@000000]9>d0;BC]02dTk@0
000000<0]9>d00<000000;BC]02dTk@00`2dTk@00`000000]9>d00000002000000<0aVIH2`00000O
0?ooo`007@3oool00`000000CDR/000000050;BC]0050000003X]j00j;NP0>RgX00000000`1l:eX2
000000<0]9>d00D000000;BC]02dTk@0]9>d000000040;BC]0050000002dTk@0]9>d0;BC]0000000
102dTk@00`000000]9>d0;BC]00500000080]l[X00<000000;K9j@2fbNT00P2fbNT00`000000/lSY
0;?8j@0:00000080oooo00@0000005@kU`1D>iL000001@2bVKd010000000im;10>OB`@0000070?oo
o`d000000P2H/n/00`000000VKC[09Vdj`0209Vdj`030000002L^>/0W;S[0080W;S[00<000000::l
k02R_>`00P2R_>`01@000000YKo/0:Fok02U_n`0000000<0Y/3/2@00000:0?ooo`050000001QEk00
HEN`065G/00000000`2bRJ/5000000T0oooo2@00000209Zcj@030000002H/NT0V;7Y00<0V;7Y00<0
000009Zcj@2J/nT01@0000020;BC]0050000002dTk@0]9>d0;BC]00000000`2dTk@00`000000]9>d
0;BC]0030;BC]0040000002dTk@0]9>d0;BC]0<0000000<0aVIH0000003>L5`00P0000040;BF^@80
l]:`00<000000?ooo`3oool07@3oool001d0oooo00@0000004e8[01=B:`00000102dTk@01P000000
j;NP0>RgX03X]j00000007`[FP80000000<0]9>d0000002dTk@00P2dTk@00`000000]9>d0;BC]002
0;BC]0050000002dTk@0]9>d0;BC]00000000`2dTk@00`000000]9>d0;BC]00500000080]/WY00<0
00000;O:j02gb^P00`2gb^P00`000000]/WY0;K9j@04000000`0oooo0`0000050;:I_@040000003W
d/40im;1000001D0oooo6@00000C0?ooo`040000001QEk00HEN`065G/0@000000P2bRJ/00`000000
k:Z60000000B0?ooo`D000000P2H/NT00`000000V[?Y09Zcj@0309Zcj@030000002O^N/0WkW[00@0
00000P2dTk@01@000000]9>d0;BC]02dTk@0000000@0]9>d00D000000;BC]02dTk@0]9>d00000003
0;BC]08000000`3>L5`010000000]9Ji0;BF^@2dU[T20?;B/0030000003oool0oooo01d0oooo000M
0?ooo`040000001=B:`0CDR/000000@0]9>d00@000000>RgX03X]j00j;NP0P0000030;BC]0050000
002dTk@0]9>d0;BC]0000000102dTk@00`000000]9>d0;BC]00800000080[lGZ00<000000;K9j@2f
bNT00`2fbNT00`000000]l[X0;O:j00500000100oooo00<0000005<lV00000000P0000030;:I_@04
0000003Wd/40im;100000480oooo100000050;:9Z`040000003/ZXH0k:Z6000001H0oooo1@000002
09Zcj@030000002O^N/0WkW[00<0WkW[00<000000:2ij`000000200000020;BC]0050000002dTk@0
]9>d0;BC]00000000`2dTk@00`000000]9>d00000002000000060=MlH@000000]9Ji0000003bd[00
0000803oool001d0oooo00@0000004e8[01=B:`000001@2dTk@00`000000j;NP0>RgX002000000@0
]9>d00D000000;BC]02dTk@0]9>d000000020;BC]0@0000000<0//OZ0000002_aNX00P2_aNX00`00
0000[lGZ0:o5jP030:o5jP030000002fbNT0]/WY00D00000503oool010000000DcbH05<lV0000002
0;:I_PP00000@@3oool200000003065F[`000000/XV[00D0/XV[00<000000>bZQP0000006`3oool5
00000080WkW[00<000000:2ij`2P^N/00P2P^N/01@000000W;KZ09bfjP2L]^X000000080Uk3X0`00
00030;BC]0050000002dTk@0]9>d0;BC]00000000`2dTk@00`000000egaQ0=MlH@02000000030?;B
/0000000oooo01l0oooo000M0?ooo`040000001=B:`0CDR/000000D0]9>d00H000000>RgX03X]j00
00000;BC]00000030;BC]0030000002dTk@0]9>d00@0000000<0^<_X0000002banX00`2banX01@00
0000[lGZ0:o5jP2_aNX000000080[lGZ1@00000I0?ooo`030000001C?9P0000000H0/YVn00@00000
0>SA_`3XdKl00000@P3oool01@000000HEJ_065F[`1QEZl0000000@0/XV[0`0000000`3/ZXH00000
0?ooo`0N0?ooo`@000000P2P^N/00`000000W;KZ09bfjP0209bfjP060000002G/>P0Uk3X09N`j000
0000TJWV0`0000030;BC]0070000002dTk@0]9>d0;BC]0000000]9>d000000030=MlH@800000803o
ool001h0oooo00<0000004e8[00000001@2dTk@010000000j;NP0>RgX03X]j02000000@0]9>d0P00
00000`2ncNH000000;S;j0030;S;j0030000002banX0//OZ00P000007P3oool00`000000DcbH0000
00050;:I_P040000003XdKl0j=6o000004<0oooo00H00000065F[`1QEZl0HEJ_0000002bRJ/30000
00030;::Z`000000kJ^7008000008`3oool900000080Uk3X00@00000096YiP2AZNH0TJWV0P000002
0;BC]0050000002dTk@0]9>d0;BC]00000000P2dTk@01@000000egaQ0000003ORFP000000200oooo
000N0?ooo`030000001=B:`0000000D0]9>d00P000000>RgX03X]j00j;NP0000002dTk@000000;BC
]0<000000`2ncNH00`000000^<_X0;S;j004000002H0oooo1@0000030;:I_P040000003XdKl0j=6o
000004@0oooo00<00000065F[`1QEZl00P0000040;::Z`040000003]ZhL0kJ^7000002`0oooo0`00
0002096YiP0300000029Wn80RIoR008000000`2dTk@00`000000]9>d0;BC]0020;BC]0050000003O
RFP0ghUX0=n9J00000007`3oool001h0oooo00@0000004e8[01=B:`00000102dTk@00`000000j;NP
0>RgX002000000030;BC]0000000000000<0aM3S00<000000;k=iP0000000`00000Y0?ooo`040000
001C?IX0DcfJ00000080/YVn1`0000140?ooo`@000001P2bRZ/00`000000kJ^70000000_0?ooo`<0
00000P29Wn801P000000PiON000000000000]9>d000000<0]9>d00<000000;NH^00000000`3ORFP0
0`000000oooo0?ooo`0L0?ooo`007P3oool010000000CDR/04e8[00000020;BC]0D0000000<0j;:K
0000000000000P3<d]h00`000000aM3S0<G@h`02000002d0oooo00@0000005<mVP1C?IX000001@2b
VKh010000000j=6n0>SA_P0000140?ooo`80000000<0HEF^0000002bRZ/01@2bRZ/010000000kJ^7
0>f[Q`00000a0?ooo`0300000029Wn80000000<0PiON00D000000;BC]02dTk@0]9>d000000030;NH
^0050000003ORFP0ghUX0=n9J00000007@3oool001d0oooo0P0000000`1=B:`00000000000020000
0080]9>d00@000000>RbV`3X/Y/0j;:K0P0000030<cBgP800000;`3oool00`000000DcfJ00000006
0;:I_P040000003XdKh0j=6n000004@0oooo00D00000065E[P3/[8T0HEF^000000030;::Z`H00000
<P3oool01P000000PiON08>GgP23Umh0000007f=f080000000<0]9>d0000002gV;P00`2gV;P01@00
0000ghUX0=n9J03ORFP0000001`0oooo000L0?ooo`060000001X8f@000000000001@D;<000001@2d
Tk@00`000000j;:K00000002000000030<cBgP00000000000340oooo0`0000050;:I_P040000003X
dKh0j=6n000004H0oooo00<00000065E[P1QEJh0100000020;::Z`040000003][HP0kJf8000003<0
oooo0P0000000`23Umh0000007f=f00207f=f0030000002gV;P0]iRh00@0]iRh00D000000=n9J03O
RFP0ghUX0000000K0?ooo`006`3oool010000000J2=T06PSI0000002051@/`030000002dTk@0]9>d
0080]9>d0`000000103VZY<000000=?Cf@00000c0?ooo`030000001D?Y/00000008000000`2bVKh0
10000000j=6n0>SA_P0000160?ooo`040000001QEJh00000000000D0/XZ[00@000000>f]R03][HP0
0000<`3oool3000000<0OHgH00<0000007b<f00000001P2gV;P01@000000ghUX0=n9J03ORFP00000
01X0oooo000J0?ooo`030000001X8f@0J2=T008000000`1@D;<01P000000]9>d000000000000]9>d
000000<0iZZC00<000000?ooo`3oool0<@3oool010000000E3jK05@nV`0000020;:I_@L00000A`3o
ool00`000000HEB]000000060;::Z`040000003][HP0kJf800000380oooo00H0000006a5T@000000
000007f=f000000307b<f0030000002gV;P0]iRh00@0]iRh00D000000=n9J03ORFP0ghUX0000000I
0?ooo`006@3oool010000000J2=T06PSI00000020;NC/@030000001@D;<0000000800000102dTk@0
10000000iZZC00000000000c0?ooo`030000001D?Y/0000000H0/YVm00@000000>S@_@3Xd;d00000
A`3oool010000000HEB]065D[@0000040;::Z`<0000000<0kJf80000003oool0<03oool010000000
K4FA06a5T@1/AI42000000D0O8cH00<000000;NH^02gV;P0102gV;P01@000000ghUX0000003WUg40
000001P0oooo000H0?ooo`040000001N8V/00000000000<0]i>a0P0000000`1DG;d000000;BC]004
0;BC]08000000P3SXX/00`000000oooo0?ooo`0`0?ooo`030000001D?Y/0000000H0/YVm00<00000
0>S@_@000000B03oool01@000000HEB]065D[@000000/XZ[00<0000000<0/XZ[0000003][HP00P00
000a0?ooo`80000000D0K4FA0000002dTk@0]9>d0000000407b<f0030000002gV;P0]iRh00D0]iRh
00@000000>NGL@3WUg400000603oool001P0oooo00D0000005hRJ`000000]i:a000000020;NC/@04
0000001DG;d0E5bm000000<0]9>d0`0000030>>RR`030000003oool0oooo0300oooo100000040;:I
_@040000003Xd;d0j=2m000004P0oooo00<00000065D[@0000000P0000040;::Z`040000003][HP0
kJf800000340oooo00<0000006i1RP0000000P0000020;BC]0030000001lS=P0O8cH0080O8cH00<0
00000;NH^02gV;P00`2gV;P00`000000]iRh000000020>NGL@030000003oool0oooo01D0oooo000G
0?ooo`040000001N8V/0GR9[00000080]i:a0P000000102gTk40000005AL_@1DG;d3000000<0]9>d
00D000000>>RR`3SXX/0hj:;0000000`0?ooo`050000001D?YX0E3jJ0000002bVKd00`0000000`2b
VKd000000>S@_@02000004P0oooo0P0000000`1QEJd000000;::Z`050;::Z`030000003][HP00000
0300oooo00H0000006i1RP1^@HX0KT6:0000002dTk@4000000@0O8cH00D000000;NH^02gV;P0]iRh
000000030;NH^0040000003WUg40iiMa000001H0oooo000F0?ooo`040000001N8V/0GR9[000000D0
]i:a0P00000205AL_@030000002dTk@0]9>d00<0]9>d00H000000>>RR`00000000000=nHP`00000_
0?ooo`040000001D?YX0E3jJ000000@0/YVm0`0000000`3Xd;d000000?ooo`170?ooo`040000001Q
EJd0HEF]000000H0/XZ[00@000000>f]R03][HP00000;`3oool20000000306i1RP000000]9>d00@0
]9>d0P00000407b<f0030000002gV;P0000000@0]iRh00@000000>NGL@3WUg4000005P3oool001H0
oooo00<0000005hRJ`0000001`2gT[44000000H0]9>d0P0000020=nHP`030000003oool0oooo02d0
oooo00<0000005@nVP0000001P2bVKd010000000j=2m0>S@_@0000190?ooo`040000001QEJd0HEF]
000000<0/XZ[1P00000^0?ooo`030000001b?X80LSj2008000001@2dTk@00`000000jMc600000004
07b<f0030000002gV;P0]iRh00@0]iRh00@000000>NGL@3WUg4000005@3oool001D0oooo00@00000
05hRJ`1N8V/000001P2gT[400`000000g]7;0000000205UWaP040000002dTk@0]9>d0;BC]0800000
00@0]9>d0000003OV8<0giR30P00000^0?ooo`<000001@2bVKd010000000j=2m0>S@_@00001:0?oo
o`030000001QEJd0HEF]00@000000P2bRZ/010000000kJ^70>f[Q`00000^0?ooo`050000001b?X80
LSj20000002dTk@00P0000030;BC]0050000003Yg<H000000000001lS=P00P0000000`1gP]400000
0;NH^0050;NH^0040000003WUg40iiMa000001@0oooo000D0?ooo`040000001N8V/0GR9[000000H0
]i:a00P000000=kAb`3NdL/0g]7;0000001IIlH000000;BC]08000000`2dTk@01P000000giR30000
00000000fi1l000002`0oooo00<0000005@mV@1D?IT00`0000030;:I_@040000003Xd;d0j=2m0000
04/0oooo0`0000050;::Z`040000003]ZhL0kJ^7000002d0oooo0P000002078nPP040000002dTk@0
]9>d0;BC]0<000000P3Yg<H00`000000oooo0000000307N2d@030000002gV;P0]iRh00D0]iRh00<0
00000>NGL@000000503oool001@0oooo00<0000005hRJ`0000001`2gT[401@000000g]7;0=kAb`3N
dL/000000080FFO600<000000;BC]02dTk@0102dTk@200000080fi1l00<000000?ooo`3oool0:P3o
ool010000000E3fI05@mV@0000020;:I_@L00000B`3oool00`000000HEJ_000000060;::Z`040000
003]ZhL0kJ^7000002/0oooo00<0000007DlO01e?7`00P0000060;BC]0030000003Yg<H0000000<0
oooo00D0000007N2d@1gP]40Mh;A000000060;NH^0040000003WUg40iiMa000001<0oooo000C0?oo
o`040000001N8V/0GR9[000000H0]i:a00H000000=kAb`3NdL/0g]7;0000003oool200000003061c
c`000000]9>d0080]9>d0P0000000`2dTk@000000=^@O0020=^@O0030000003oool0oooo02T0oooo
00<0000005@mV@0000001P2bVKd010000000j=6n0>SA_P00001;0?ooo`040000001QEZl0HEJ_0000
00@0/XZ[0`0000000`3]ZhL000000?ooo`0Y0?ooo`070000001e?7`0MCal07DlO0000000]9>d0000
00040;BC]0040000003Tg/h00000000000<0oooo00<000000>NGLP1gP]400P1gP]400`000000]iRh
0;NH^0040;NH^0<000004`3oool00180oooo00@0000005HSM@00000000001P2gT[400`000000g]7;
0=kAb`020=kAb`030000003oool000000080H7??00@000000;BC]00000000000102dTk@01@000000
fi1l0000003HRGP0000002X0oooo0`0000060;:I_@040000003XdKh0j=6n000004/0oooo00D00000
065F[`1QEZl000000;::Z`03000000030;::Z`000000k:R400800000:@3oool200000080MCal00@0
00000;BC]02dTk@0]9>d0P0000001@2dTk@000000>CNcP3Tg/h0000000D0oooo00D0000007N2d@1g
P]40Mh;A000000070;NH^0030000003^YG`000000180oooo000B0?ooo`040000001F8gD000000;NB
/@8000000`2gT[400`000000g]7;0=kAb`020=kAb`050000003oool0oooo0?ooo`0000000P1PLll0
0`000000]9>d0;BC]0050;BC]0050000003HRGP0f8Uh0=R9N0000000:@3oool010000000E3ZE0000
000000040;:I_@040000003XdKh0j=6n000004d0oooo00@00000065F[`0000000000102bRZ/01000
0000k:R40>bXQ000000X0?ooo`030000001h>gP0N3]h008000001P2dTk@010000000i=k>0>CNcP00
00070?ooo`050000001gP]40000007N2d@0000001@2gV;P2000000030>jUO0000000oooo0140oooo
000A0?ooo`040000001F8gD0ER=e000000<0]i:a0P0000001P2gT[4000000=kAb`3NdL/0H2A]0000
00D0oooo0P0000000`1VO=D000000;BC]0040;BC]0030000002dTk@0000000<0f8Uh00<000000?oo
o`3oool09@3oool01@000000E3ZE05@jU@000000/YRm00<0000000D0/YVm0000003XdKh0j=6n0000
001=0?ooo`<000001P2bRZ/00`000000k:R40000000W0?ooo`070000001h>gP0N3]h07PkN0000000
]9>d000000040;BC]0050000003OgmD000000>CNcP000000203oool01@000000Mh;A07N2d@1gP]40
00000080]iRh0P0000020;NH^0030000003^YG`000000140oooo000A0?ooo`030000001F8gD00000
00H0]i:a00D000000=kAb`3NdL/0g]7;000000070?ooo`030000001VO=D0000000<0]9>d0P000003
0;BC]0050000003HRGP000000=F5M00000009P3oool00`000000E3ZE000000050;:H_@D00000C@3o
ool010000000HUVb069I/P0000050;::Z`040000003/Z8@0k:R4000002D0oooo00D0000007XjM@00
0000N3]h000000030;BC]0040000002dTk@0]9>d000000<0gmoE00<000000?ooo`3oool01`3oool0
1`000000Mh;A07N2d@1gP]4000000;NH^0000000102gV;P00`000000kZEl0000000A0?ooo`00403o
ool010000000ER=e05HSM@0000050;NB/@060000003Sc/<000000000003NdL/00000203oool01@00
0000IWcE0000002dTk@0000000H0]9>d00D000000=F5M03EQG@0eHEd0000000U0?ooo`030000001D
>YD0000000H0/YRm00@000000>OB`@3Wd/400000C@3oool010000000HUVb069I/P0000030;::Z`H0
0000903oool01@000000NSYe07XjM@1j>WD0000000D0]9>d00<000000;BC]00000000P3OgmD00`00
0000oooo0?ooo`090?ooo`030000001gP]40Mh;A008000001P2gV;P00`000000kZEl0000000@0?oo
o`00403oool00`000000ER=e000000060;NB/@050000003Sc/<0hlk30>?>``0000002@3oool01000
0000IWcE06Ile@0000060;BC]0030000002dTk@0000000<0eHEd00<000000?ooo`3oool08P3oool4
000000@0/YRm00@000000>OB`@3Wd/400000C`3oool00`000000HUVb069I/P0300000080/HV/00@0
00000>VRO`3YXWl000008`3oool01`000000NSYe07XjM@1j>WD000000;BC]00000001@2dTk@01000
0000gmoE0=oOe@00000=0?ooo`80000000<0LWO90000002gV;P01@2gV;P00`000000kZEl0000000@
0?ooo`003`3oool010000000ER=e05HSM@0000050;NB/@050000003Sc/<0hlk30>?>``0000002`3o
ool20000000306^4fP000000]9>d00<0]9>d00T000000;BC]02dTk@0]9>d0000003EQG@000000=J5
M@0000008P3oool01@000000ESJ@05HfT0000000/IRm00<0000000D0/YRm0000003Wd/40im;10000
001?0?ooo`@000001@2aRJ`010000000jJ9o0>VRO`00000Q0?ooo`050000001j>WH0000007XjM@00
00000`2dTk@02@000000]9>d0;BC]02dTk@000000=[Nf@000000gmoE0000000=0?ooo`050000001b
MlT0LWO9079gb@0000001@2gV;P010000000kZEl0>jUO000000?0?ooo`003`3oool00`000000ER=e
000000060;NB/@050000003Sc/<0hlk30>?>``000000303oool00`000000JhCJ06^4fP0200000003
0;BC]0000000]9>d00@0]9>d00@000000=J5M@3FQGD0eXEe0P00000P0?ooo`040000001F=Y00ESJ@
000000@0/IRm1@00001?0?ooo`040000001SG[L0Hejg000000D0/HV/00@000000>VRO`3YXWl00000
7`3oool2000000<0NSYf00<000000;BC]02dTk@00`2dTk@00`000000]9>d000000030=[Nf@030000
003oool0oooo00d0oooo00@00000079gb@1bMlT000001P2gV;P00`000000kZEl0>jUO00?0?ooo`00
3P3oool010000000ER=e05HSM@0000050;NB/@050000003Sc/<0hlk30>?>``0000003P3oool01@00
0000JhCJ06^4fP1[Q=X0000000D0]9>d00<000000;BC]0000000103FQGD00`000000oooo0?ooo`0M
0?ooo`030000001F=Y00000000H0/IRm00@000000>GDaP3Ue<H00000C`3oool01@000000Hejg06=N
]`1SG[L0000000@0/HV/1@00000M0?ooo`030000001j>WH0NSYf0080NSYf00<000000;BC]0000000
1@2dTk@01@000000f]kI0=[Nf@3Jg]T000000100oooo00D000000>fUO@1bMlT0LWO9000000050;NH
^0040000003^YG`0kZEl000000h0oooo000>0?ooo`030000001F8gD0000000H0]i:a00D000000>?>
``3Sc/<0hlk30000000?0?ooo`050000001[Q=X0000006n9g00000000`2dTk@010000000]9>d0;BC
]02dTk@2000000040=J5M@000000fXej000001d0oooo00@0000005HdS000000000001@2aV;d01000
0000iMC60>GDaP00001A0?ooo`050000001SG[L0Hejg0000002aRJ`00`0000001@2aRJ`000000>NM
O03WWG`0000001`0oooo00H0000007HkNP000000000007XjMP0000030;BC]0090000002dTk@0]9>d
0;BC]0000000emkL0000003Jg]T000000180oooo00@000000>fUO@1bMlT000001P2gV;P3000000h0
oooo000>0?ooo`0404hWP@0000000000000000@0]i:a00D000000>?>``3Sc/<0hlk30000000A0?oo
o`070000001_RM`0KhWL06n9g0000000]9>d000000060;BC]0040000003JSGX0fXej000001d0oooo
00<0000005HdS01F=8`00P0000040;6H_@040000003Ue<H0iMC600000540oooo00<0000006=N]`1S
G[L00P0000040;69[0040000003WWG`0iiel000001/0oooo00<0000007HkNP1f>gX00P1f>gX00`00
0000]9>d0;BC]0020;BC]0040000002dTk@0]9>d000000<0emkL00<000000?ooo`3oool04@3oool0
1@000000LWO90>fUO@1bMlT0000000D0]iRh00@000000?:dR@3b]8T000003@3oool000d0oooo00D0
000004hWP@1>9h4000000;JA/00200000080]i:a00D000000>?>``3Sc/<0hlk30000000B0?ooo`05
0000001_RM`0KhWL06n9g00000001P2dTk@00`000000]9>d000000020=Z=NP030000003oool0oooo
01T0oooo00@0000005HdS01F=8`000000P2aUkd2000000050;6H_@000000iMC60>GDaP000000D`3o
ool3000000H0/HV/00@000000>NMO03WWG`000006P3oool01`000000MS]j07HkNP1f>gX000000;BC
]0000000102dTk@00`000000]9>d000000020=ONg0030000003oool0oooo01<0oooo00@00000079g
b@00000000000`2gV;P300000080l[B900<000000?ooo`3oool02`3oool000d0oooo00<0000004hW
P@000000102fTK03000000<0hlk34`3oool01P000000KhWL06n9g0000000KXWL000000<0]9>d0P00
00020;BC]0050000003JSGX0fXej0=Z=NP0000006P3oool010000000ESB<05HdS00000040;6G_@D0
0000D`3oool010000000I66j06AQ^P0000040;69[0D000006@3oool01@000000MS]j07HkNP1f>gX0
00000080]9>d00<000000;BC]02dTk@00`2dTk@010000000emkL0=ONg000000F0?ooo`030000001b
MlT0LWO900@000000`2fV;T00`000000l[B90000000=0?ooo`003@3oool00`000000CRN100000005
0;JA/0030000003Vb;T0000000800000503oool00`000000KhWL0000000206j9g0030000002dTk@0
000000D0]9>d00D000000=Z=NP000000fhik0000000H0?ooo`040000001G<h/00000000000D0/INm
00@000000>?Eb@3SeLT00000E03oool010000000I66j06AQ^P0000020;69[080000000D0/8V/0000
003WW7X0iiaj0000000H0?ooo`050000001e?7`0000007HkNP000000102dTk@010000000]9>d0;BC
]02dTk@2000000030=ONg0000000oooo01L0oooo00@00000079gb@00000000001@2fV;T010000000
l[B90?:dR@00000<0?ooo`00303oool010000000CRN104hWP@0000040;JA/0030000003Vb;T0i/Ri
0080i/Ri00<000000?ooo`3oool04`3oool00`000000KXWL06j9g00206j9g0030000002dTk@0]9>d
00D0]9>d00D000000=^>N`3KSW/0fhik0000000G0?ooo`030000001G<h/0Ec>;00800000102aUkd0
10000000hmG90>?Eb@00001E0?ooo`030000001THKX0I66j00800000102`RJ`010000000iiaj0>NL
NP00000F0?ooo`050000001e?7`0MCal07DlO00000001@2dTk@010000000]9>d0000000000020=ON
g0030000003oool0oooo01L0oooo0P0000000`1^K;l000000;JH^@040;JH^@040000003b]8T0l[B9
000000`0oooo000<0?ooo`030000001>9h40000000D0]Y6`00D000000>K8^@3Vb;T0i/Ri0000000G
0?ooo`80000000@0KXWL0000001XP=L000001@2dTk@00`000000]9>d000000030=^>N`030000003o
ool0oooo01<0oooo00@0000005LcR`1G<h/000000P2`Ukd2000000050;6G_@000000hmG90>?Eb@00
0000EP3oool010000000I66j0000000000050;29[0040000003WW7X0iiaj000001D0oooo00L00000
07DlO01e?7`0MCal0000002dTk@0000000D0]9>d00D000000=ONg03Gg]`0emkL0000000J0?ooo`05
0000001^K;l0KVbo06i/_`000000102fV;T01@000000l[B90?:dR@3b]8T0000000/0oooo000;0?oo
o`040000001>9h40CRN1000000D0]Y6`00D000000>K8^@3Vb;T0i/Ri0000000I0?ooo`040000001X
P=L0J83G000000<0]9>d0P0000020;BC]0030000003KSW/0fhik0080fhik00<000000?ooo`3oool0
4P3oool010000000Ec>;05LcR`0000040;2G_@D00000E`3oool010000000I6:k06AR^`0000040;29
[0D000004`3oool01@000000MCal07DlO01e?7`0000000<0]9>d00T000000;BC]02dTk@0]9>d0000
003Mg]L000000=ONg00000006`3oool01@000000KVbo06i/_`1^K;l0000000D0]YRi00@000000?:d
R@3b]8T000002`3oool000/0oooo00@0000004hWP@1>9h400000102fTK000`000000i/Ri0>K8^@02
0>K8^@030000003oool0oooo01P0oooo00H0000006R0e`1XP=L000000;BC]00000050;BC]0060000
003KSW/000000000003JSGX000004P3oool010000000ES>;0000000000050;2G_@050000003Se/X0
hmK:0>?FbP000000E`3oool010000000I6:k06AR^`0000020;29[080000000D0/8V/0000003VVgX0
iY]j0000000B0?ooo`060000001f>g/000000000001e?7`00000102dTk@00`000000]9>d00000003
0=gNe`030000003oool0oooo01/0oooo00@0000006i/_`1^K;l000001@2fV;T010000000l[B90?:d
R@00000;0?ooo`002`3oool010000000CRN104hWP@0000040;JA/0050000003Vb;T0i/Ri0>K8^@00
0000703oool010000000J83G06R0e`0000070;BC]0030000003JSGX0fXej0080fXej00<000000?oo
o`3oool03`3oool00`000000ES>;05HcR`02000000@0/9Nm00D000000>?FbP3Se/X0hmK:0000001H
0?ooo`030000001TH[/0I6:k00800000102`RJ`010000000iY]j0>JKNP00000@0?ooo`030000001f
>g/0MS]k0080MS]k00<000000;BC]02dTk@0102dTk@01@000000gMkG0=gNe`3Mg]L0000001h0oooo
00D0000006i/_`1^K;l0KVbo000000040;JH^@050000003b]8T0l[B90?:dR@0000002P3oool000X0
oooo00@0000004hWP@1>9h4000001@2fTK001@000000i/Ri0>K8^@3Vb;T0000001d0oooo0P000000
0`1WO]H000000;BC]0040;BC]0030000002dTk@0000000@0fXej00<000000?ooo`3oool03@3oool0
10000000ES>;05HcR`0000020;2G_@80000000<0/9Nm0000003Se/X00P3Se/X00`000000oooo0?oo
o`1G0?ooo`040000001TH[/00000000000D0/8V/00@000000>JKNP3VVgX00000403oool01`000000
MS]k07HkN`1f>g/000000;BC]0000000102dTk@01@000000g]kF0000003Mg]L0000001l0oooo00D0
000006i/_`1^K;l0KVbo000000040;JH^@050000003b]8T0l[B90?:dR@0000002P3oool000X0oooo
1P0000020;JA/0030000003Vb;T0i/Ri0080i/Ri00<000000?ooo`3oool0703oool010000000IgkF
06MneP0000030;BC]0060000002dTk@0]9>d0;BC]0000000fXej0P0000000`3HRWP000000?ooo`0=
0?ooo`040000001F<h/0ES>;000000@0/9Nm0`0000020>?FbP030000003oool0oooo05P0oooo0P00
00000`1THk/000000;29[0040;29[0@000003P3oool01@000000MS]k07HkN`1f>g/0000000<0]9>d
00@000000;BC]02dTk@000000`3Ng]H00`000000oooo0?ooo`0N0?ooo`050000001^K;l0KVbo06i/
_`0000001@2fV;T4000000X0oooo000:0?ooo`040000001:;H/0BRf;00000080]I2`100000020>K8
^@030000003oool0oooo01h0oooo00H0000006MneP1WO]H000000;BC]00000050;BC]0050000003H
RWP0f8Yh0=R:N00000003P3oool3000000H0/9Nm00<000000>?FbP0000000P00001J0?ooo`040000
001THk/0I6>k000000<0/8V/0`0000020>NLN`030000003oool0oooo00/0oooo00H0000007LkN@00
0000000007HkN`0000040;BC]0030000002dTk@000000080g]kF00<000000?ooo`3oool0803oool0
1@000000KVbo06i/_`1^K;l000000080]YRi0`0000020?G0U0030000003oool0oooo00P0oooo000:
0?ooo`040000001:;H/0BRf;000000@0]I2`00<000000>O3/@0000000P00000P0?ooo`050000001W
O]H0IgkF06MneP0000001@2dTk@00`000000]9>d000000030=R:N0030000003oool0oooo00X0oooo
00@0000005HdS01F=8`000001P2`Ukd010000000hmK:0>?FbP00001K0?ooo`040000001THk/0I6>k
06AS^`<000000`2`RJ`010000000iiak0>NLN`00000;0?ooo`030000001g>gT0Mc]i0080Mc]i00<0
00000;BC]02dTk@0102dTk@010000000g]kF0=kNeP00000S0?ooo`030000001^K;l0KVbo00@00000
0P2eV;T010000000mL2D0?G0U000000:0?ooo`002@3oool010000000BRf;04X]R`0000050;F@/005
0000003W`k40il>a0>O3/@0000008@3oool01@000000IgkF0000001XP=L0000000<0]9>d00D00000
0;BC]02dTk@0]9>d000000030=R:N0030000003oool0oooo00T0oooo00<0000005HdS01F=8`00`00
00030;2G_@050000003Se/X0hmK:0>?FbP000000F`3oool01@000000I6>k06AS^`1THk/0000000D0
/8V/00@000000>NLN`3WW7/000002P3oool00`000000Mc]i07LkN@0207LkN@030000002dTk@00000
00@0]9>d00D000000=gNe`000000g]kF0000000S0?ooo`<0000000<0K6Bg0000002eV;T00`2eV;T0
10000000mL2D0?G0U000000:0?ooo`002@3oool010000000BRf;04X]R`0000040;F@/0030000003W
`k40il>a0080il>a00<000000?ooo`3oool0803oool01`000000J83G06R0e`1XP=L000000;BC]000
00001@2dTk@01@000000f8Yh0000003FQWH0000000T0oooo00D0000005HdS01F=8`0ESB<00000002
0;2G_@80000000D0/9Nm0000003Se/X0hmK:0000001M0?ooo`@000001P2`RJ`010000000iiak0000
000000080?ooo`040000001i>gH0000007LkN@8000000`2dTk@2000000030;BC]0000000gMkG0080
gMkG00<000000?ooo`3oool08P3oool01@000000K6Bg06aT]`1/I;L0000000D0]IRi00<000000?G0
U00000002P3oool000T0oooo00@0000004X]R`1:;H/00000102eT;001@000000il>a0>O3/@3W`k40
000002@0oooo00D0000006R0e`1XP=L0J83G000000070;BC]0050000003FQWH0eXIf0=J6MP000000
203oool010000000ESB<05HdS00000050;2G_@D00000G@3oool200000080I66j00<000000;29[02`
RJ`00P2`RJ`3000000030>RNO0000000oooo00D0oooo0P00000307TkMP030000002dTk@0]9>d00D0
]9>d00D000000=gNe`3Mg]L0gMkG0000000U0?ooo`050000001/I;L0K6Bg06aT]`0000001@2eV;T0
10000000mL2D0?G0U00000090?ooo`002@3oool010000000BRf;04X]R`0000040;F@/0050000003W
`k4000000>O3/@0000009@3oool01@000000J83G0000001ZPmT0000000D0]9>d00<000000;BC]000
00000`3FQWH00`000000oooo0?ooo`050?ooo`@000001@2`Ukd010000000hmK90>?Fb@00001N0?oo
o`050000001THKX0I66j06AQ^P0000000P2`RJ`2000000030;69Z`000000j9il0080j9il00<00000
0?ooo`3oool00P3oool00`000000NC]f07TkMP0207TkMP030000002dTk@0000000D0]9>d00D00000
0=_Nf@000000gMkG0000000W0?ooo`040000001/I;L0K6Bg000000D0]IRi00@000000?G0U03e`9@0
00002@3oool000T0oooo00@0000004X]R`1:;H/00000102eT;001@000000il>a0>O3/@3W`k400000
02H0oooo00D0000006Z3f@1ZPmT0JX?I000000030;BC]0090000002dTk@0]9>d0;BC]0000000eXIf
0000003CPW<0000000D0oooo00@0000005HeSP1F=Hh0ESF>0P0000040;2G_@040000003Se/T0hmK9
000005l0oooo00@0000006AQ^P1THKX0I66j0P0000040;69Z`040000003XWW`0j9il000000<0oooo
00H0000007`kM0000000000007TkMP0000030;BC]0050000002dTk@0]9>d0;BC]00000000`3Kg]T0
0`000000oooo0?ooo`0V0?ooo`040000001/I;L0K6Bg000000D0]IRi00@000000?G0U03e`9@00000
2@3oool000T0oooo00<0000004X]R`000000102eT;000`000000il>a0>O3/@020>O3/@030000003o
ool0oooo02D0oooo00L0000006Z3f@1ZPmT0JX?I0000002dTk@0000000D0]9>d00@000000=>2L`3C
PW<0dh9c0P0000030?ooo`040000001F=Hh0ESF>00000080/IRm0P0000001@2`Ukd000000>?Fb@3S
e/T000000600oooo00<0000006AQ^P0000000P0000050;69Z`070000003XWW`0j9il0>RNO0000000
oooo0000000407`kM0030000002dTk@0]9>d00<0]9>d00<000000;BC]00000000`3Kg]T00`000000
oooo0?ooo`0W0?ooo`050000001/I;L0K6Bg06aT]`000000102eV;T010000000mL2D0?G0U0000009
0?ooo`00203oool010000000BRf;04X]R`0000040;F@/0050000003W`k40il>a0>O3/@000000:@3o
ool01@000000JX?I06Z3f@1ZPmT0000000D0]9>d00<000000;BC]0000000103CPW<010000000oooo
0?ooo`00000205HeSP030000002aV;d0/IRm0080/IRm1@00001Q0?ooo`8000000P1SH;T00`000000
/HV[0;69Z`020;69Z`H00000101l>g@00`000000]9>d000000050;BC]0050000003Kg]T0fmkI0=_N
f@000000:P3oool01@000000K6Bg06aT]`1/I;L0000000D0]IRi00<000000?G0U00000002@3oool0
00P0oooo00<0000004X]R`0000001`0000020>O3/@030000003oool0oooo02P0oooo00D0000006Z3
f@000000KHSL000000030;BC]0040000002dTk@0]9>d0;BC]080000000<0dh9c0000003BOg400P00
00000`1E=Xl00000000000050;6H_@050000003TeLP0i=G80>CEb0000000H@3oool01@000000Hf2i
06=P^@1SH;T000000080/HV[0P000000202aRJ/000000>ROO@3XWgd0000007dkLP000000O3]d0P00
00030;BC]0090000002dTk@0]9>d0;BC]0000000f=kK0000003Kg]T0000002`0oooo00@0000006aT
]`1/I;L000001@2eV;T00`000000mL2D000000090?ooo`00203oool20000000304LfV@000000]92`
00<0]92`00<000000>NjYP0000000P00000[0?ooo`040000001]R=`0KHSL000000<0]9>d00<00000
0;BC]02dTk@00`2dTk@010000000dWma0=9oL@3BOg420000000305DfS`000000000000@0/IRm00@0
00000>CEb03TeLP00000H`3oool010000000Hf2i06=P^@1SH;T2000000@0/HV[00H000000>ROO@3X
Wgd0000007dkLP0000060;BC]0030000002dTk@0000000<0f=kK00<000000?ooo`3oool0:`3oool0
10000000K6Bg06aT]`0000030;FH^@D000002@3oool000P0oooo00@0000004LfV@17=YT00000102d
T;001@000000ikZV0>NjYP3W^ZH0000002`0oooo00H0000006f8g01]R=`000000;BC]00000050;BC
]0030000002dTk@0000000@0dWma00<000000;6H_@2aV;d00P0000000`2aV;d000000>CEb0020>CE
b0030000003oool0oooo0640oooo00<0000006=P^@0000000P0000050;69Z`030000003XWgd0j9mm
0080000000<0]9>d0000002dTk@01@2dTk@01@000000f=kK0=SNf`3Hg]/0000002h0oooo1`000002
0;BG^@030000003ec:<0000000T0oooo00080?ooo`0400000017=YT0AcJI000000@0]92`00D00000
0>NjYP3W^ZH0ikZV0000000]0?ooo`040000001]R=`0KHSL000000D0]9>d00@000000;BC]02dTk@0
]9>d0P000000103BOg4000000=1lL00000030;6H_@H00000I03oool010000000Hejg06=N]`000005
0;69Z`D000000P2dTk@00`000000]9>d0;BC]0020;BC]08000000P3Hg]/00`000000oooo0?ooo`0]
0?ooo`040000001[FZd0JeZ]000000D0]9Ni00<000000?G<X`0000002@3oool000P0oooo00@00000
04LfV@17=YT00000102dT;001@000000ikZV0>NjYP3W^ZH0000002h0oooo0P0000000`1`S=h00000
0;BC]0030;BC]0030000002dTk@0]9>d00<0]9>d00@000000=1lL03@O700d7a`0P0000020;6H_@04
0000003TeLL0i=G7000006D0oooo00H0000006=N]`1SG[L0Hejg0000002aRJ/3000000050;69Z`00
0000jJ9o0>VRO`0000000P2dTk@01@000000]9>d0;BC]02dTk@000000080eMkN0P00000`0?ooo`04
0000001[FZd0JeZ]000000D0]9Ni00<000000?G<X`0000002@3oool000P0oooo00@0000004LfV@17
=YT00000102dT;001@000000ikZV0>NjYP3W^ZH0000002l0oooo00<00000072<gP1`S=h00P000000
0`2dTk@000000;BC]0040;BC]0030000002eU;D0000000@0d7a`0P0000030>CEa`030000003oool0
oooo06@0oooo00<0000006=N]`1SG[L00P0000040;69Z`040000003YXWl0jJ9o000000<0]9>d00<0
00000;BC]00000000`3Eg]h00`000000oooo0?ooo`0_0?ooo`040000001[FZd0JeZ]000000D0]9Ni
00<000000?G<X`0000002@3oool000P0oooo00<0000004LfV@0000001@2dT;001@000000ikZV0>Nj
YP3W^ZH000000300oooo00D00000072<gP1`S=h0L8cN000000050;BC]0040000002eU;D0]IBe0;FD
]@8000000P3@O703000000030>CEa`000000oooo06H0oooo00@0000006=N]`00000000001P2aRJ/0
10000000jJ9o0>VRO`0000030;BC]0050000003Eg]h0eMkN0=GNgP000000<P3oool010000000mL^S
06]J[@0000050;BG^@030000003ec:<0000000T0oooo00080?ooo`0300000017=YT0000000D0]92`
00D000000>NjYP3W^ZH0ikZV0000000a0?ooo`<0000000<0LhoP0000002dTk@00`2dTk@00`000000
]IBe0;FD]@030;FD]@8000000`3EPg82000006L0oooo0P00000206=L]@030000002aRJ/0/HV[00<0
/HV[00@000000>VRO`3YXWl000000P2dTk@2000000030=GNgP000000000003<0oooo00@0000006]J
[@1[FZd000001@2dUkT00`000000mLbS000000090?ooo`00203oool00`000000AcJI000000050;B@
/0050000003W^ZH0ikZV0>NjYP000000<`3oool00`000000LhoP07>?h002000000030;BC]0000000
]IBe00H0]IBe00@000000=F3LP3EPg80eH=b0P00001V0?ooo`0300000027>fL000000080Hebe00<0
00000;69Z`2aRJ/00P2aRJ/700000080dmgO00<000000?ooo`3oool0<`3oool010000000JeZ]06]J
[@0000050;BG^@030000003ec:<0000000T0oooo00080?ooo`0300000017=YT0000000D0]92`00D0
00000>NjYP3W^ZH0ikZV0000000d0?ooo`050000001cSn00LhoP07>?h00000001`2eU;D00`000000
_9jj0000000200000080dh5a0P00001R0?ooo`8000000P27>fL01P000000Hebe06=L]@1SG;D00000
0;69Z`80000000D0]9:d0000003][HX0kJf:000000030=?Mg`030000003oool0oooo03@0oooo00@0
000006]J[@00000000001@2dUkT00`000000mLbS000000090?ooo`00203oool00`000000AcJI0000
00030;B@/0L00000=@3oool30000000307JDhP000000]IBe00@0]IBe00<000000;bN^P2lW[X00P2l
W[X00`000000dh5a0=>1L@020=>1L@030000003oool0oooo05h0oooo00<0000008LkI`27>fL00`27
>fL00`000000Hebe06=L]@02000000@0]9:d00<000000>f]RP3][HX00`00000g0?ooo`040000001[
FZd0JeZ]000000D0]9Ni00<000000?G<X`0000002@3oool000P0oooo00<0000004LfV@0000000`00
00020;B?/0050000003V/Id0i[6M0>JaW@000000=`3oool00`000000MYCR07JDhP02000000<0]IBe
00L000000;bN^P2lW[X0_9jj0000002lW[X0000000<0dh5a0`00001L0?ooo`80000000@0R3]W0000
00000000Qc]W1P0000050;BB]0040000003][HX0kJf:000003T0oooo0P0000000`1[FZd000000;BG
^@040;BG^@030000003ec:<0000000T0oooo00080?ooo`<000001@2dSk001@000000i[6M0>JaW@3V
/Id0000003P0oooo00L0000007JDhP1fU>80MYCR0000002eU;D0000000@0_9jj00<000000;bN^P2l
W[X00`0000030=9oL0800000F@3oool00`000000R3]W08PkI`0308PkI`040000002lUZl0_9J_0000
00<0IVBl00<000000;BB]02dT[@00P2dT[@01@000000kJf:0>f]RP3][HX0000003P0oooo00<00000
06aBX`0000002@0000090?ooo`00203oool00`000000Ad6W000000050;B?/0050000003V/Id0i[6M
0>JaW@000000>03oool300000080MYCR00<000000;bN^P2lW[X00P2lW[X00`000000_9jj0;bN^P03
0;bN^P030000003BOg00dWm`0080dWm`0P00001F0?ooo`80000000@0RCaV00000028>fL0R3]W0P00
0000102lUZl000000;bF[`00000306IT_0030000002dT[@0]9:d00<0]9:d00@000000>f]RP000000
0000>03oool010000000K5:S06aBX`0000050;BF^@030000003ce[00000000T0oooo00080?ooo`04
00000017@JL0Ad6W000000@0]8n`00D000000>JaW@3V/Id0i[6M0000000h0?ooo`030000001I=hh0
FCN>0080000000<0OYoX0000000000000P2lW[X00`000000_9jj0;bN^P020;bN^P060000002lW[T0
00000000003BOg0000000P3AOVl300000540oooo0P00000408TlIP8000000`2lUZl010000000_9J_
0;bF[`00000306IT_0030000002dT[@0]9:d00@0000000<0k[6>0000003oool0=P3oool01@000000
K5:S06aBX`1/DZ<0000000D0]9Ji00<000000??F/00000002@3oool000T0oooo00<0000004M1Y`00
0000102dSk000`000000i[6M0>JaW@020>JaW@030000003oool0oooo03@0oooo00H0000005TgSP1I
=hh000000;BC]000000307jOj08000001@2lW[X010000000_9ji0;bN^@2lW[T2000000@0dGi_00<0
00000?ooo`3oool0CP3oool00`000000RcaV0000000208TlIP80000000<0_9J_0000002lUZl00`2l
UZl00`000000_9J_0000000206IT_0@000000P2dTk@010000000k[6>0>jaSP00000g0?ooo`040000
001/DZ<0K5:S000000D0]9Ji00@000000??F/03ce[0000002@3oool000T0oooo00<0000004M1Y`00
00001@2dSk001@000000i[6M0>JaW@3V/Id0000003H0oooo00@0000005TgSP1I=hh000000P2dTk@2
0000000407jOj0000000P:;Y000000<0_9jj00<000000;bN^@2lW[T00P2lW[T00`000000_9ji0000
00030=5nK`<00000B`3oool3000000<0RcaV0P0000030;bF[`030000002lUZl0_9J_00<0_9J_1000
00000`1VH[T000000;BC]0040;BC]0040000003^/Hh0k[6>000003H0oooo00@0000006aBX`1/DZ<0
00001@2dU[T010000000lmJ`0??F/00000090?ooo`002@3oool00`000000Ad6W000000050;B?/005
0000003V/Id0i[6M0>JaW@000000=P3oool00`000000FCN>000000050;BC]00400000020X^T0P:;Y
082Rj@80000000<0_9jj0000002lW[T00`2lW[T00`000000_9ji0;bN^@03000000<0d7a^0P000019
0?ooo`030000002;?6H0RcaV0080RcaV00<000000;fF[`000000102lUZl010000000_9J_0;bF[`2l
UZl2000000050=GOg`000000IV:i06IR^@0000001@2dTk@010000000k[6>0>jaSP00000f0?ooo`04
0000001/DZ<0K5:S000000D0]9Ji00<000000??F/00000002P3oool000T0oooo00<0000004M1Y`00
00001@2dSk001@000000i[6M0>JaW@3V/Id0000003H0oooo100000040;BC]08000001020X^T00`00
0000_9ji0;bN^@020;bN^@030000002lW[T0_9ji00<0_9ji00<000000=1lKP3@O6h00P3@O6h30000
04D0oooo0P0000000`2:?6H0000008/lIP0200000080_IJ_00<000000;bF[`2lUZl00P2lUZl01000
0000_9J_0000000000020=COh08000000`1VH[T00`000000]9>d0;BC]0020;BC]0@00000=@3oool0
1@000000K5:S06aBX`1/DZ<0000000D0]9Ji00<000000??F/00000002P3oool000T0oooo00@00000
04M1Y`17@JL00000102dSk000`000000i[6M0>JaW@02000003H0oooo00@0000005PiT@000000]9>d
0`0000000`2dTk@000000>S=^P0200000003082Rj@000000PJCZ008000000P2lW[T00`000000_9ji
0;bN^@020;bN^@060000002lW[T000000000003@O6h000000`3AO6h200000440oooo0P00000408Xl
IP030000002mUZl0_IJ_00<0_IJ_00<000000;bF[`2lUZl00P2lUZl00`000000e=oP0=COh0020=CO
h0030000003oool000000080IV:i00<000000;BC]00000000P000000102dTk@000000>ndT000000e
0?ooo`040000001/DZ<0K5:S000000H0]9Ji00<000000??F/00000002P3oool000T0oooo00@00000
04M1Y`17@JL000000P2dSk05000000030>BYU0000000oooo03@0oooo00@0000005PiT@1H>I400000
102dTk@6000000@0PJCZ0P0000050;bN^@040000002lW[T0_9ji0;bN^@800000103AO6h2000003l0
oooo00<0000008TlIP0000000P2:?6H2000000030;bF[`000000_IJ_00<0_IJ_00<000000;bF[`2l
UZl00`0000030=COh0050000003oool0oooo0000001VH[T00`0000040;BC]0030000003_]9000000
03D0oooo0P0000000`1/DZ<000000;BF^@040;BF^@040000003ce[00lmJ`000000X0oooo000:0?oo
o`0300000017@JL00000008000000P2cSk000`000000i:VD0>BYU0020>BYU0030000003oool0oooo
0380oooo00<0000005PiT@0000001P2dTk@01@000000jL^g0>W;]`000000oooo008000000P21Y>X0
0`000000PjGZ000000030;bN^@030000002lW[T0_9ji0080_9ji00H000000;bM^@00000000000=5l
KP0000020=5mK`800000>`3oool2000000<0RCaV0P0000030;bF[`030000002mUZl0_IJ_00<0_IJ_
0P0000030=?Oh@<000000`3oool20000000306EO]`000000]9>d00D0]9>d00<000000>ndT0000000
=03oool206e=V`@000000`2dU[T010000000lmJ`0??F/000000:0?ooo`002P3oool3000000D0/hn`
00D000000>BYU03TZI@0i:VD0000000d0?ooo`030000001H>I40000000D0]9>d00D000000>W;]`3Y
bkL0jL^g000000030?ooo`8000000`23YNX2000000030;bN^@000000_9ji00<0_9ji00@000000;bM
^@2lWKT0_9fi0P0000040=5mK`030000003oool0oooo03L0oooo00<0000008TlIP29?6H00P29?6H0
0`000000_9J_000000040;bF[`040000002mUZl0_IJ_0;fF[`800000103Cgn400`000000oooo0?oo
o`030?ooo`040000001UGkL0IEng000000H0]9>d00<000000>ndT0000000<`3oool01@000000KDfK
06e=V`1]CI/000000080/iJi1`00000:0?ooo`002P3oool010000000BDbb04U</P0000040;>?/005
0000003TZI@0i:VD0>BYU0000000=03oool5000000<0]9>d00@000000>W;]`3YbkL000001P3oool0
0`000000PjGZ08>UjP0208>UjP030000002lW[T0_9ji0080_9ji00<000000;bM^@2lWKT00P2lWKT0
0`000000_9fi000000030=5mK`<00000=@3oool20000000308HkJ0000000RCaV008000000P2lUZl0
0`000000_9J_0;bF[`020;bF[`040000002mUZl0000000000080d]oR00@000000=?Oh@0000000000
1P3oool01@000000IEng06EO]`1UGkL0000000@0]9>d1000000c0?ooo`040000001]CI/0KDfK0000
00H0/iJi00@000000?3L_03`g;`000002P3oool000X0oooo00@0000004U</P19C;800000102cSk00
1@000000i:VD0>BYU03TZI@0000003@0oooo00<0000005LkU00000000P2dTk@5000000030>W;]`00
0000oooo00H0oooo0P0000000`23YNX0000008BVj`0200000080_9ji00<000000;bM^@2lWKT00P2l
WKT00`000000_9fi0;bM^@03000000<0e85a0P00000a0?ooo`8000001026>fP00`000000_9J_0;bF
[`030;bF[`030000002lUZl0_9J_0080_9J_00<000000=;OhP3Bgn800P3Bgn82000000T0oooo00D0
000006EO]`1UGkL000000;BC]003000000040;BC]0000000l;RD000003<0oooo00@0000006e=V`1]
CI/000001@2cU[T010000000l=bl0?3L_000000;0?ooo`002`3oool00`000000BDbb000000040;>?
/0030000003TZI@0i:VD0080i:VD00<000000?ooo`3oool0<@3oool00`000000Ec^D000000050;BC
]0040000003YbK@00000000000T0oooo00<0000008BVj`24Y^/00P24Y^/2000000@0_9fi00<00000
0;bM^@2lWKT00`2lWKT00`000000e85a0=B1L@020=B1L@800000;`3oool00`000000PSU[00000002
08HkJ080000000<0_9F_0000002lUZl00`2lUZl00`000000_9J_0;bF[`03000000<0d]oR00<00000
0?ooo`3oool02@3oool5000000@0]9>d00<000000?2hU0000000<P3oool01@000000KDfK06e=V`1]
CI/0000000D0/iJi00@000000?3L_03`g;`000002`3oool000/0oooo00<0000004U</P0000001@2c
Sk001@000000i:VD0>BYU03TZI@000000380oooo00<0000005LkU00000001P2dTk@010000000jLVd
0>W9]000000:0?ooo`8000000P24Y^/010000000PjK[0000000000020;bM^@030000002lWKT0_9fi
0080_9fi00<000000;bM^@0000000P3DPG400`000000f8Me0=R7M@02000002/0oooo0P000003088i
J`8000000`2lUJl00`000000_9J_0;bF[`030;bF[`8000000`3Bg^43000000`0oooo00@0000006EL
]01UG;@000001P2dTk@00`000000l;RD0000000a0?ooo`040000001]CI/0KDfK000000H0/iJi00<0
00000?3L_0000000303oool000/0oooo00@0000004U</P19C;800000102cSk001@000000i:VD0>BY
U03TZI@000000380oooo00<0000005LkU00000001@2dTk@010000000jLVd0>W9]000000=0?ooo`80
00001023Y^/2000000D0_9fi00<000000;bM^@2lWKT00`0000040=R7M@030000003oool0oooo02L0
oooo00<00000088iJ`22>F/00P22>F/00`000000^iB_000000040;bE[`040000002lUZl0_9J_0;bF
[`800000103Bg^400`000000oooo0?ooo`0<0?ooo`040000003_]i@0IEbd000000H0]9>d00<00000
0?2hU0000000<@3oool010000000KDfK06e=V`0000050;>F^@040000003`g;`0l=bl000000`0oooo
000;0?ooo`0400000019C;80BDbb000000@0/hn`00<000000>BYU03TZI@00P3TZI@00`000000oooo
0?ooo`0_0?ooo`D000000`2dTk@010000000jLVd0>W9]000000?0?ooo`8000000P23Y^/00`000000
PZCZ000000030;bM^@030000002lWKT0_9fi00<0_9fi00<000000=R7M@3HQgD00P3HQgD2000002L0
oooo00H0000007lhK@0000000000088iJ`0000030;^D[`060000002lUJl0_9F_0;bE[`000000_9J_
0P0000020=?Oh@040000003Bg^40000000000100oooo00@000000>ngU01UG;@00000102dTk@40000
0300oooo00D0000006e=V`1]CI/0KDfK000000050;>F^@040000003`g;`0l=bl000000`0oooo000<
0?ooo`0300000019C;80000000D0/hn`00<000000>BYU03TZI@00P00000a0?ooo`030000001F?IP0
00000080]9>d1`00000A0?ooo`8000000`22Y>X2000000030;bM^@000000_9fi00<0_9fi00H00000
0;bN^P00000000000=R7M@0000020=Z;M`800000903oool00`000000OcQ]07lhK@0207lhK@030000
002kU:l0^iB_0080^iB_00<000000;bE[`2lUJl00P2lUJl00`000000dmoQ0=?Oh@020=?Oh@800000
4P3oool01@000000IEbd000000000000]9>d00<0000000@0]9>d0000003a^iP00000<03oool01@00
0000KDfK06e=V`1]CI/0000000D0/iJi00<000000?3L_00000003@3oool000`0oooo00<0000004U<
/P000000102cSk04000000030>>VTP000000oooo0300oooo00<0000005HmV00000001@2dTk@01000
0000j/Ja0>[6/@00000C0?ooo`8000000`22Y>X00`000000_9fi0;bM^@020;bM^@030000002lW[X0
_9jj0080_9jj0P0000040=Z;M`030000003oool0oooo0200oooo00<0000007lhK@1o>6d00P1o>6d0
0`000000^iB^000000040;^D[`030000002lUJl00000008000000P3Cgn42000001@0oooo1@000004
0;BC]0030000003a^iP000000300oooo00@0KT^H00000000000000001P2cU[T00`000000l=bl0000
000=0?ooo`00303oool01@000000BDbb04U</P000000/hn`0080000000<0/hn`0000003SYY800`3S
YY800`000000oooo0?ooo`0]0?ooo`030000001F?IP0000000H0]9>d00@000000>[6/@3Za[400000
5@3oool30000000307jPj000000000000080_9fi00<000000;bN^P2lW[X00P2lW[X00`000000^ijj
000000030=Z;M`800000803oool200000080OcQ]0P0000020;^D[P030000002kU:l0^iB_00<0^iB_
00@000000=GOgP3Egmh0eMoN0P00000F0?ooo`040000001TFK40I5Va000000D0]9>d00@000000?6k
V03a^iP00000;P3oool010000000KT^H06i;V01^BiP3000000<0/iJi00<000000?3L_03`g;`03P3o
ool000d0oooo00@0000004U</P0000000000102cSk001@000000hjJB0>>VTP3SYY80000002l0oooo
00<0000005HmV00000001@2dTk@010000000j/Ja0>[6/@00000H0?ooo`040000001nX>P0OZ3X07jP
j0800000102lW[X010000000^ijj0;^N^P2kW[X3000000030=^=N0000000oooo01h0oooo00<00000
07hhK@1n>6d00P0000050;^D[P040000002kU:l0^iB_0;^D[`8000000P3Egmh00`000000oooo0?oo
o`0F0?ooo`040000001TFK40I5Va000000D0]9>d00@000000?6kV03a^iP00000;P3oool01@000000
KT^H06i;V01^BiP000000080/iJi1P00000>0?ooo`003@3oool3000000D0/hn`00D000000>>VTP3S
YY80hjJB0000000_0?ooo`D000000`2dTk@010000000j/Ja0>[6/@00000I0?ooo`060000001nX>P0
00000000001iVND000000`2lW[X00`000000^ijj0;^N^P030;^N^P060000003KSGP0fheh0000003o
ool000006`3oool01`000000OSQ]07hhK@1n>6d000000;^D[P000000102kU:h01@000000^iB_0000
00000000f]oK00<000006P3oool010000000I5Va06AI/@0000040;BC]0040000003a^iP000000000
02h0oooo00@0000006i;V01^BiP000001P2cU[T00`000000kmjo0000000>0?ooo`003@3oool01000
0000BU2g04Y@]`0000040;>?/0030000003SYY80hjJB0080hjJB00<000000?ooo`3oool0;03oool0
0`000000ECnK000000020;BC]0L000006P3oool00`000000NIWU07VIi@0207VIi@030000002lW[X0
000000D0^ijj00<000000;^N^`0000000P3KSGP00`000000oooo0?ooo`0I0?ooo`8000000P1n>6d0
1@000000^iB^0;^D[P2kU:h0000000@0^iB^00D000000=[Of`3Jgm/0f]oK0000000L0?ooo`030000
001TFK40000000L0000000<0lKjJ0000003oool0;03oool01@000000KT^H06i;V01^BiP0000000D0
/iJi00<000000>oN_`0000003`3oool000h0oooo00<0000004Y@]`0000001@2cSk001@000000hjJB
0>>VTP3SYY80000002h0oooo00<0000005DoV`0000001@2dTk@010000000j/F_0>[5[`00000K0?oo
o`8000000`1iVND00`000000^ijj0;^N^P030;^N^P040000002kW[/0^ijk00000080fheh0P00000I
0?ooo`030000001n>6d0OSQ]00800000102kU:h010000000^iB^0;^D[P2kU:h2000000030=[Of`00
0000000001d0oooo0P0000000`1TF:l000000;BC]0030;BC]0040000003a_YX0lKjJ000002d0oooo
00D0000006i;V01^BiP0KT^H000000050;>F^@030000003_g[l0000000l0oooo000>0?ooo`030000
001:D;L0000000D0/hn`00D000000>>VTP3SYY80hjJB0000000]0?ooo`040000001E?i/0ECnK0000
00D0]9>d00@000000>[5[`3ZaJl000007@3oool30000000307NFi0000000^ijj00<0^ijj00@00000
0;^N^`2kW[/0^ijk0P0000020=^=N0<00000503oool2000000<0OSQ]00<000000;^D[P000000102k
U:h00`000000^iB^000000020=cOf0030000003oool0oooo01d0oooo00@0000006AH[`1TF:l00000
102dTk@01@000000lKjJ0?6nVP3a_YX0000002`0oooo00@0000006i;V01^BiP000001@2cU[T01000
0000kmjo0>oN_`00000?0?ooo`003P3oool00`000000BU2g000000050;>?/0030000003SYY80hjJB
0080hjJB00<000000?ooo`3oool0:P3oool010000000ECnK05DoV`0000050;BC]0040000003ZaJl0
j/F_000001l0oooo00<0000007NFi01gU^@00P0000000`2kW[X000000;^N^`040;^N^`030000003K
SGP0fheh0080fheh00<000000?ooo`3oool04@3oool200000080OSQ]0P0000020;^D[P030000002k
U:h0^iB^00<0^iB^00@000000=cOf03LgmP00000803oool010000000I5R_06AH[`0000050;BC]004
0000003a_YX0lKjJ000002`0oooo00@0000006i;V01^BiP000001@2cU[T00`000000kmjo0000000@
0?ooo`003P3oool010000000BU2g04Y@]`0000050;>?/0030000003SYY80hjJB00800000;03oool6
000000<0]9>d00@000000>[5[`3ZaJl00000803oool00`000000MiKT07NFi002000000D0^ijk00<0
00000;^N^`0000000P3KSGP010000000fhag00000000000@0?ooo`030000001o>6`0OcQ/00800000
1@2kU:h010000000^iB^0;^D[P2kU:h2000000030=cOf0000000oooo0200oooo00@0000006AH[`1T
F:l000001@2dTk@010000000lKjJ00000000000[0?ooo`050000001^BiP0KT^H06i;V00000001@2c
U[T00`000000kmjo0000000@0?ooo`003`3oool00`000000BU2g000000050;>?/0<0000000<0gif:
0000003oool0:`3oool010000000ED2L05E0W00000020;BC]0L000008@3oool200000080MYCS00D0
00000;^N^`2kW[/0^ijk000000030;^N^`030000003KSGP0000000<0fhag00<000000?ooo`3oool0
303oool01`000000OcQ/07lhK01o>6`000000;^D[P000000102kU:h01`000000^iB^000000000000
OcU^0=gOe`0000008P3oool;000000030?6oW0000000oooo02X0oooo0P0000000`1^BiP000000;>F
^@040;>F^@040000003_g[l0kmjo00000100oooo000?0?ooo`030000001:D;L0000000<0/hn`0P00
00000`2bS[0000000=nMRP020=nMRP030000003oool0oooo02T0oooo00@0000005E0W01E@9`00000
1@2dTk@010000000j/B]0>[4[@00000R0?ooo`070000001fU><0MYCS07JDh`000000^ijk00000005
0;^N^`030000003KS7L0fhag0080fhag0P00000<0?ooo`050000001o>6`0OcQ/07lhK00000000`2k
U:h00`000000^iB^0;^D[P020;^D[P050000003MgmL0gMoG0=gOe`0000008`3oool010000000I5J]
06AF[@0000050;BC]0040000003a_i`0lKnL000002X0oooo00<000000757T01aAi000`0000040;>F
^@040000003_g[l0kmjo00000100oooo000?0?ooo`030000001:D;L0BU2g00<000000`2bS[001@00
0000gif:0=nMRP3OWHX0000002/0oooo00@0000005E0W01E@9`00000102dTk@01@000000j/B]0>[4
[@3Za:d0000002<0oooo0P00000207JDh`030000002kW[/0^ijk00<0^ijk00H000000;bN^`000000
00000=^<M`0000020=Z;MP030000003oool0oooo00P0oooo00H00000080hK0000000000007lhK000
00030;^D[P040000002kU:h0^iB^0;^D[P80000000<0gMoG000000000000903oool010000000I5J]
06AF[@0000050;BC]0040000003a_i`0lKnL000002X0oooo00@000000757T01aAi0000000P2bUKP2
000000030;>F^@000000kmjo0080kmjo4@3oool00100oooo00<0000004Y@]`0000001P2bS[001@00
0000gif:0=nMRP3OWHX0000002X0oooo0P0000000`1E@9`000000;BC]0030;BC]0040000003Za:d0
j/B]000002H0oooo0P0000000`1eU><000000;^N^`020;^N^`030000002lW[/0_9jk0080_9jk0P00
00030=Z;MP030000003oool0oooo00H0oooo00<00000080hK020>6`00P20>6`00`000000^iB^0;^D
[P030;^D[P030000002kU:h000000080gMoG00<000000?ooo`3oool0903oool01@000000I5J]06AF
[@1TEZd0000000@0]9>d00@000000?6oW03a_i`00000:@3oool01@000000jN7:0757T01aAi000000
00@0/YFh1@00000A0?ooo`00403oool20000000304iM`P000000/Xj`00@0/Xj`00D000000=nMRP3O
WHX0gif:0000000Z0?ooo`030000001E?i/0000000L0000000<0j/B]0000003oool09P3oool00`00
0000MICS07FDh`02000000030;^N^`000000_9jk00<0_9jk00<000000;bN^P0000000P3JRgH20000
00H0oooo00<00000080hK020>6`00P20>6`00`000000_9B^000000050;^D[P040000003MgmL0gMoG
000002L0oooo00D0000006AF[@1TEZd0I5J]000000040;BC]0040000003a_i`00000000002P0oooo
00D000000757T03YhLX0LDN@000000050;:E^0040000003Yh/X0jN;:00000180oooo000@0?ooo`04
0000001>GL80CUg2000000H0/Xj`00D000000=nMRP3OWHX0gif:0000000Y0?ooo`040000001E?i/0
ECnK000000@0]9>d00@000000>[5[`0000000000:03oool00`000000MICS07FDh`02000000@0_9jk
00@000000;bN^P2lW[X0_9jj0P0000020=V9MP8000000`3oool010000000PCU[00000020>6`20000
0080_9B^00<000000;^D[P2kU:h00P2kU:h2000000030=gOe`000000oooo02L0oooo2`0000000`3a
_YX000000?ooo`0W0?ooo`050000001aAi00LDN@0757T00000001@2bUKP010000000jN;:0>WRbP00
000B0?ooo`004@3oool010000000CUg204iM`P0000050;:>/0050000003OWHX0gif:0=nMRP000000
:@3oool010000000ECnK05DoV`0000040;BC]0040000003ZaJl0j/F_000002T0oooo0P00000207JF
i0050000002lW[/0_9jk0;bN^`000000102lW[X00`000000fHUf0=V9MP020=V9MP<000000`21>F/0
0`000000_9B^0;bD[P030;bD[P040000002kU:h0000000000080gMoG00<000000?ooo`3oool09`3o
ool01@000000I5R^06AH[P1TF:h0000000@0]9>d00@000000?6nVP3a_YX000009`3oool01@000000
LDN@0757T01aAi00000000D0/YFh00@000000>WRbP3Yh/X000004`3oool00140oooo00@0000004iM
`P1>GL8000001P2bS[001@000000gif:0=nMRP3OWHX0000002P0oooo00<0000005DoV`0000001@2d
Tk@010000000j/F_0>[5[`00000Z0?ooo`070000001fU^@0MYKT07JFi0000000_9jk000000040;bN
^P030000002lW[X0000000<0fHUf0P000002084iJ`80000000<0_9B^0000002lU:h0102lU:h01@00
0000gMoG0=gOe`3MgmL0000002X0oooo00D0000006AH[P1TF:h0I5R^000000040;BC]0050000003a
_YX0lKjJ0?6nVP0000009P3oool01@000000LDN@0757T01aAi00000000D0/YFh00@000000>WRbP3Y
h/X000004`3oool00180oooo00@0000004iM`P1>GL8000001@2bS[001P000000gif:000000000000
fY:2000002L0oooo00<0000005DoV`0000001@2dTk@010000000j/F_0>[5[`00000[0?ooo`800000
0P1fU^@00`000000_9jj0;bN^P030;bN^P030000002lW[X0_9jj00<000000P23>FX2000000@0_9B^
00T000000;bD[P2lU:h0_9B^0000003LgmP000000=gOe`000000;03oool010000000I5R^06AH[P00
00050;BC]0040000003a_YX0lKjJ000002D0oooo00D000000757T01aAi00LDN@000000050;:E^004
0000003Yh/X0jN;:000001@0oooo000B0?ooo`040000001>GL80CUg2000000H0/Xj`00D000000=ZB
PP3JTX80fY:20000000W0?ooo`D000000`2dTk@010000000j/F_0>[5[`00000]0?ooo`80000000<0
MiOU0000002lW[X00P2lW[X00`000000_9jj0;bN^P02000000@0PcUZ00<000000;bD[P000000102l
U:h00`000000_9B^000000020=cOf0030000003MgmL0000002`0oooo00@0000006AH[P1TF:h00000
1@2dTk@010000000lKjJ00000000000T0?ooo`060000001eA8L000000000001aAi0000001@2bUKP0
10000000jN;:0>WRbP00000D0?ooo`004`3oool010000000CUg204iM`P0000030;:>/080000000<0
/Xja0000003JTX800P3JTX800`000000oooo0?ooo`0S0?ooo`040000001G>i@0Ec^D00000080]9>d
1`00000^0?ooo`030000001gUnD0MiOU0080000000D0_9jj0000002lW[X0000007ljK`0200000003
08<iJP00000000000080_9B^00<000000;bD[P2lU:h00`2lU:h00`000000g=oH0=cOf0020=cOf003
0000003oool0oooo02/0oooo2`0000000`3_]i<000000?ooo`0S0?ooo`040000001eA8L0MDB707E4
Q`800000102bUKP010000000jN;:0>WRbP00000E0?ooo`004`3oool01@000000CUg204iM`P000000
/Xj`008000000`2bS[401@000000fY:20=ZBPP3JTX80000002D0oooo00<0000005LkU00000001P2d
Tk@010000000jLVe0>W9]@00000_0?ooo`030000001gUnD0MiOU0080000000<0_9jj0000001o>Vl0
0`1o>Vl00`000000_9B^0;bD[P030;bD[P040000002lU:h0_9B^0;bD[P8000000`3LgmP00`000000
oooo0?ooo`0/0?ooo`040000001UGK@0IEfd000000D0]9>d00@000000>ngT`3_]i<000008`3oool0
1@000000MDB707E4Q`1eA8L000000080/YBh0P0000020;:E^0040000003Yh/X0jN;:000001D0oooo
000D0?ooo`040000001>GL80CUg2000000H0/Xja00D000000=ZBPP3JTX80fY:20000000T0?ooo`03
0000001G>i@0000000D0]9>d00@000000>W9]@3YbKD00000<@3oool200000080NIWU00<0000007lj
K`1o>Vl00P1o>Vl00`000000]I>d000000040;bD[P040000002lU:h0000000000080fn3I0`00000_
0?ooo`040000001UGK@0IEfd000000D0]9>d00@000000>ngT`3_]i<000008P3oool01@000000MDB7
07E4Q`1eA8L0000000D0/YBh0`0000020>WRbQH0oooo000D0?ooo`050000001>GL80000005E/c@00
00001@2bS[400`000000fY:20=ZBPP020=ZBPP030000003oool0oooo0240oooo1@0000030;BC]004
0000003YbKD0jLVe00000380oooo00@0000007VIi@00000000000P1o>Vl2000000<0]I>d00<00000
0;bD[P2lU:h00P2lU:h00`000000fn3I0=_Pf@020=_Pf@030000003oool0oooo0300oooo00@00000
06EM]01UGK@000001@2dTk@00`000000kkNC0000000Q0?ooo`050000001eA8L0MDB707E4Q`000000
1P2bU;P00`000000h^GE0>;Ue@02000001H0oooo000E0?ooo`040000001EK<d0EFc=000000H0/Xja
00D000000=ZBPP3JTX80fY:20000000S0?ooo`030000001G>Y<000000080]9>d1`00000b0?ooo`80
00000P21>fh2000000D0]I>d00@000000;bD[P2lU:h0_9B^0P0000030=_Pf@800000<P3oool01000
0000IEfd06EM]00000030;BC]0D000008@3oool01@000000MDB707E4Q`1eA8L0000000H0/YBh00@0
00000>;Ue@3RiMD000005`3oool001H0oooo00@0000005E/c@1EK<d000001P2bS[401@000000fY:2
0=ZBPP3JTX8000000240oooo00<0000005LjT`0000001P2dTk@010000000jLZe0>W:]@00000a0?oo
o`0300000021>fh0PC]^0080PC]^00<000000;FC]02eTk@01@2eTk@00`000000_9B^000000020=[P
f`<0000000@0cGU_0000000000000000<03oool700000080]9>d00<000000>ngT`000000803oool0
1@000000MDB707E4Q`1eA8L0000000H0/YBh00@000000>;Ue@3RiMD00000603oool001L0oooo00@0
000005E/c@1EK<d000001@2bS[401P000000fY:2000000000000dhEj00000200oooo00<0000005Lj
T`0000001@2dTk@010000000jLZe0>W:]@00000`0?ooo`<000000P21>fh2000000030;BC]0000000
]I>d00H0]I>d00@000000=[Pf`3Jh=/0f^3K100000030<]gKP800000;P3oool010000000IEfe06EM
]@0000050;BC]0040000003_]i<0kkNC000001h0oooo00D0000007]2O`000000MDB7000000060;:D
^0050000003RiMD0h^GE0>;Ue@000000603oool001L0oooo00@0000005E/c@1EK<d000001P2bS[40
0`000000dhEj0=>5NP020=>5NP030000003oool0oooo01d0oooo1@0000030;BC]0040000003Yb[D0
jLZe000002h0oooo0P00000308<kK@800000102dTk@00`000000]I>d0;FC]0030;FC]08000000P3J
h=/01@000000]9>d0;BC]02dTk@0000000@0bgM^0P00000]0?ooo`040000001UGKD0IEfe000000H0
]9>d00<000000>ngT`0000007@3oool01@000000Nd9o07]2O`1k@Wl0000000L0/YBh00@000000>;U
e@3RiMD000006@3oool001P0oooo00@0000005E/c@1EK<d00000102bS[400`000000/Hja00000004
0=>5NP030000003oool0oooo01`0oooo00<0000005HmV00000000P2dTk@7000002`0oooo0`000003
08<kK@030000002dTk@0000000@0]9>d00@000000;FC]02eTk@0]I>d0P0000020=7Nh@8000000`2d
Tk@01P000000]9>d000000000000bgM^00000080b7=/0P00000/0?ooo`040000001UGKD0IEfe0000
00<0]9>d1@00000K0?ooo`8000000`1k@Wl00`000000/I>h000000050;:D^0040000003RiMD0h^GE
000001X0oooo000I0?ooo`040000001EK<d0EFc=00000080/Xja00D000000;6>/@2aS[40/Hja0000
00040=>5NP030000003oool0oooo01/0oooo00<0000005HmV00000001@2dTk@010000000j/Nb0>[7
/P00000Z0?ooo`8000000`26?F/300000080]9>d00<000000;BC]02dTk@00`2dTk@00`000000]I>d
000000040=7Nh@030000002dTk@0]9>d0080]9>d00@000000;BC]02dTk@0]9>d0P0000040<QcK003
0000003oool0oooo02T0oooo00<0000006EM]@000000100000020;BC]0030000003`^iL0000001X0
oooo00<0000007]2O`1k@Wl00P1k@Wl010000000/I>h0;6C^02aTkP200000080/YBh00@000000>;U
e@3RiMD000006`3oool001X0oooo00D0000005E/c@000000/Xja000000050;6>/@030000003CQGX0
dhEj0080dhEj00<000000?ooo`3oool06@3oool010000000ESfH05HmV00000040;BC]0040000003Z
ak80j/Nb000002X0oooo00@0000008HmJ`26?F/0b=_W0P26?F/00`000000]9>d0;BC]0030;BC]003
0000002dTk@0]9>d0080]9>d0P0000030=7Nh@<000000`2dTk@00`000000]9>d0;BC]0020;BC]007
0000002dTk@0000000000038Lf`000000<E_J`02000002T0oooo0P0000000`1TF[4000000;BC]004
0;BC]0040000003`^iL0l;^G000001P0oooo00<0000007]2O`1k@Wl00P1k@Wl00`000000/I>h0;6C
^0040;6C^0030000002bU;P000000080h^GE00<000000?ooo`3oool06@3oool001X0oooo00@00000
05E/c@1EK<d000001`2aS[400`000000dhEj0=>5NP020=>5NP030000003oool0oooo01P0oooo00@0
000005HmV01F?IP00000102dTk@010000000j/Nb0>[7/P00000X0?ooo`80000000@0RCiZ00000026
?F/0QSe[0P0000000`2dTk@000000;BC]0030;BC]0030000002dTk@0]9>d0080000000<0c]gT0000
003Ag^400P00000307VGh`80000000<0]9>d0000002dTk@00`2dTk@010000000]9>d0;BC]02dTk@2
000000<0aFm[0`00000V0?ooo`040000001TF[40I5Za000000D0]9>d00@000000?2kU`3`^iL00000
5`3oool00`000000Nd9o07]2O`0207]2O`030000002aTkP0/I>h00H0/I>h00@000000>;Ue@3RiMD0
0000703oool001/0oooo0P0000000`1NOMT000000;6>/@060;6>/@060000003CQGX0dhEj0000003<
O7@000006@3oool<000002H0oooo0P00000308TnJP<000000`2dTk@00`000000]9>d0;BC]0030;BC
]0800000103>gN@010000000oooo0?ooo`00000407VGh`030000002dTk@0]9>d0080]9>d00<00000
0;BC]02dTk@00P2dTk@00`000000]9>d000000030<E_J`0400000033KFX00000000002@0oooo00D0
000006AJ/@1TF[40I5Za000000040;BC]0040000003`^iL00000000001H0oooo00<000000852N@00
00000P1k@Wl00`000000/I>h0;6C^0060;6C^0040000003GiMl00000000001d0oooo000L0?ooo`04
0000001NOMT0GWgI000000L0/Hja00<000000=>5NP0000000P3<O7@2000001L0oooo00@0000005A1
WP1D@Ih00000102dTk@010000000j/>]0>[3[@00000T0?ooo`<000000P29?VX200000080]9>d00<0
00000;BC]02dTk@00P2dTk@01`000000]9>d0;BC]02dTk@000000<cLi@0000000P3>gN@2000000@0
oooo0P0000000`1iUn<0000007^Ji@0200000080]9>d00<000000;BC]02dTk@00P2dTk@00`000000
]9>d0;BC]003000000@0`feZ0`00000Q0?ooo`050000001TF[40I5Za06AJ/@0000000P2dTk@40000
00030?71W@000000oooo01<0oooo0P0000020852N@030000001k@Wl0000000P0/I>h00@000000=OU
g`3GiMl000007P3oool001d0oooo00@0000005imf@1NOMT000001`2aS[400`000000c7ad0<alM003
0<alM0030000003oool0oooo01@0oooo00@0000005A1WP1D@Ih00000102dTk@010000000j/>]0>[3
[@00000P0?ooo`@000000`2<?fT2000000@0]9>d00<000000;BC]02dTk@00P2dTk@010000000]9>d
0000000000030<cLi@800000203oool00`000000Ni[U07^Ji@0207^Ji@800000102dTk@00`000000
]9>d0;BC]0030;BC]0<000000P33KFX00`000000`V]Z0<9[JP03000001h0oooo1`0000020;BC]004
0000003a`Id0lL6M000001<0oooo00<000000852N@21@WT00`21@WT00`000000/I>h0;6C^0060;6C
^0040000003GiMl0enGO000001l0oooo000N0?ooo`040000001NOMT0GWgI000000D0/Hja00<00000
0;6>/P0000001@3<O7@00`000000oooo0?ooo`0C0?ooo`030000001D@Ih0000000D0]9>d00@00000
0>[3[@3Z`jd000007@3oool300000080SD1Y00<0000008`oJ@2<?fT00`0000060;BC]0030000002d
Tk@0]9>d0080]9>d00<000000<cLi@3<g>D00P3<g>D00`000000oooo0?ooo`090?ooo`8000000P1k
V^D00`000000OYkW000000030;BC]0030000002dTk@0]9>d00<0]9>d00<000000;BC]02dTk@00`00
00040<9[JP<00000703oool01@000000IEF/06EE[01UEJ`0000000@0]9>d00@000000?71W@3a`Id0
00004P3oool00`000000PD9i0852N@030852N@030000002aT[L0000000D0/I>h0P0000020=OUg`03
0000003oool0oooo01h0oooo000O0?ooo`040000001NOMT0GWgI000000<0/Hja00@000000;6>/P2a
S[80/Hjb0P0000030<alM00306V;h@000000000001<0oooo00<0000005A1WP0000001@2dTk@01000
0000j/>]00000000000K0?ooo`<00000102=@6T3000000<0]9>d00<000000;BC]02dTk@00`2dTk@0
0`000000]9>d0;BC]002000000030<SKi`000000c=cU008000003P3oool2000000<0OYkW0`000005
0;BC]0030000002dTk@0]9>d0080]9>d00H000000;BC]000000000000<9[JP0000030<=]JP800000
6P3oool01@000000IEF/06EE[01UEJ`0000000D0]9>d00<000000?71W@000000403oool2000000@0
PD9i0P0000030;6B]`050000002aTkP0/I>h0;6C^00000000`3GiMl00`000000oooo0?ooo`0O0?oo
o`00803oool01P000000GWgI05imf@000000/Hja000000H0/Hjb00<000000<alM03<O7@00`3<O7@0
0`000000oooo0?ooo`0@0?ooo`X0000000<0j[jW0000003oool0603oool2000000<0S3mY00H00000
08e0J@00000000000;BC]00000040;BC]0030000002dTk@0]9>d00@0]9>d0P0000040<SKi`030000
003oool0oooo0100oooo0P00000307jNi`800000102dTk@00`000000]9>d0;BC]0020;BC]0040000
002dTk@0]9>d0;BC]08000001@33KFX00`000000oooo0?ooo`0H0?ooo`040000001UEJ`0IEF/0000
00<0]9>d1@00000?0?ooo`0300000021@WT0PD9i00<0PD9i00<000000;6B]`2aT[L0102aT[L00`00
0000/I>h000000030=OUg`030000003oool0oooo0200oooo000Q0?ooo`040000001NOMT0GWgI0000
00P0/Hjb00H000000<alM03<O7@0c7ad00000033L6l200000100oooo00<0000005=6Y@0000001@2d
Tk@010000000j[jW0>ZnY`00000G0?ooo`<00000102<?fT2000000@0]9>d00<000000;BC]02dTk@0
0P2dTk@010000000]9>d0;BC]02dTk@3000000<0b=_W0P00000E0?ooo`<000000P21X^T200000003
0;BC]0000000]9>d00<0]9>d00<000000;BC]02dTk@00`2dTk@3000000<0`feZ0`00000H0?ooo`L0
00000P2dTk@00`000000l/NT0000000=0?ooo`0400000029A780RDAb000000<0PD9i00<000000;6B
]`2aT[L01P2aT[L01@000000enGO0=OUg`3GiMl0000002<0oooo000R0?ooo`040000001NOMT00000
000000P0/Hjb0P0000000`3<O7@000000<=`K`020<=`K`8000003P3oool00`000000DdJU00000005
0;BC]0040000003Z_ZL00000000001D0oooo0P00000308HlJ`030000002<?fT00000008000001@2d
Tk@00`000000]9>d0;BC]0020;BC]0040000002dTk@00000000000<0aM[Y0`00000I0?ooo`030000
0021X^T0PJ;Y0080PJ;Y0P0000040;BC]0030000002dTk@0]9>d0080]9>d00@000000;BC]02dTk@0
]9>d0`0000030<UdK08000005P3oool306E@Y@030000002dTk@0]9>d00<0]9>d00<000000?;7Y000
00002`3oool2000000<0RDAb00@000000852N@0000000000202aT[L01@000000c^;V0000003GiMl0
000002@0oooo000S0?ooo`80000000<0Ih_Q000000000000202aS[82000000D0`g1_0P00000<0?oo
o`030000001CAZD0000000<0]9>d100000000`3Y]Yl000000?ooo`0C0?ooo`0300000026?6/0QSa[
00<0QSa[0P0000030;BC]0030000002dTk@0]9>d0080]9>d00<000000;BC]02dTk@00P2dTk@20000
00@0aM[Y0P00000M0?ooo`80000000<0PJ;Y00000024YNX00P0000000`2dTk@000000;BC]0040;BC
]0030000002dTk@0]9>d00<0]9>d00<000000<UdK039M6`00P39M6`3000001@0oooo0`1UD:D00`00
0000]9>d0;BC]0030;BC]0030000003baj@0000000T0oooo0P00000508U4LP800000202aT[L20000
00<0c^;V00<000000?ooo`3oool08`3oool002@0oooo00D0000006N;h@1WRn40Ih_Q000000060;6>
/P030000002`S[80/8jb008000001P33L6l2000000T0oooo1P0000020;BC]0050000003Y]Yl0jKJO
0>VfW`0000004@3oool20000000308DlK0000000QSa[0080QSa[0P0000040;BC]0030000002dTk@0
]9>d00<0]9>d00H000000;BC]000000000000<?IjP0000020<GJj@8000008@3oool2000000<0Q:GZ
0`0000040;BC]0030000002dTk@0]9>d0080]9>d00H000000;BC]000000000000<UdK00000030<Ud
K@8000004P3oool6000000<0]9>d00<000000?;7Y00000001P3oool3000000D0RDAb0P0000020;6B
]`030000002aT[L0/I:g00@0/I:g00@000000<kRiP3>h^H0c^;V0P00000V0?ooo`009@3oool20000
0080Ih_Q00<000000;6>/P2aS[800`2aS[800`000000/8jb0;2>/P020;2>/P8000001033L6l01000
0000^VE[0000000000070?ooo`030000001CCZl0000000D0]9>d00D000000>VfW`3Y]Yl0jKJO0000
000?0?ooo`8000000`25?6`010000000QSa[0000000000020;BC]0030000002dTk@0]9>d0080]9>d
00<000000;BC]02dTk@00P2dTk@2000000@0`mWZ0P00000U0?ooo`80000000@0Q:GZ00000025Yn/0
QJO[0P0000000`2dTk@000000;BC]0040;BC]0040000002dTk@0]9>d0;BC]08000001039M6d30000
0100oooo00@0000006M;W@1WBid000000P2dTk@6000000<0oooo0`0000000`2BAfh0000008U4LP03
08U4LP8000001@2aT[L00`000000/I:g0;6B]`020;6B]`050000003>h^H0c^;V0<kRiP000000:03o
ool002L0oooo00<0000006N;h@1WRn400P0000020;6>/P030000002`S[80/8jb00D0/8jb0P000000
0`33L6l000000;YUJ`030;YUJ`8000001@3oool00`000000Ddj_000000060;BC]0@000003@3oool2
0000000308TnJP000000QCa/00<0QCa/00<000000;BC]02dTk@00P2dTk@00`000000]9>d0;BC]002
0;BC]0030000002dTk@0]9>d0080000000@0`MW[00000033fNX0`mWZ0P00000Y0?ooo`8000001025
Yn/2000000@0]9>d00<000000;BC]02dTk@00P2dTk@01P000000]9>d000000000000bGA]000000<0
aW1[0P00000=0?ooo`040000001WBid0Id^M000000H0]9>d00<000000?7?[P0000000`0000000`2B
Afh0]mK`0997KP020997KP0400000029A7800000000000P0/I:g00@000000;6B]`00000000000P3>
h^H2000002T0oooo000X0?ooo`8000000P1WRn400`000000/Hjb000000090;2>/P<000001@2jIF/2
000000@0oooo00<0000005=>[`0000000`2dTk@300000080ijnH00<000000?ooo`3oool02@3oool0
0`2?@FP0000008TnJP0208TnJP80000000@0QCa/0000000000000000102dTk@00`000000]9>d0;BC
]0020;BC]0<000000`31fN/3000002h0oooo0P0000000`25Yn/0000008BUjP0200000080]9>d00<0
00000;BC]02dTk@00P2dTk@010000000]9>d0;BC]02dTk@2000000<0aW1[00<000000<5[JP000000
0`0000090?ooo`80000000<0Id^M0000002dTk@0102dTk@010000000lLn^0?7?[P0000070997KP<0
00002`2aT[L01@000000c^;V0<kRiP3>h^H0000002/0oooo000Z0?ooo`040000001WRn40Ih_Q0000
00/0/8jb00@000000;2?/`00000000001P2jIF/40000000305=>[`0000000000008000000P2dTk@0
10000000ijnH0>N_V00000070?ooo`@0000000<0Sd5X00000029?VX00`29?VX2000000<0]9>d00<0
00000;BC]02dTk@00P2dTk@01P000000]9>d000000000000`mWZ00000080`MW[0P00000c0?ooo`80
00000`24YNX2000000@0]9>d00<000000;BC]02dTk@00P2dTk@00`000000]9>d00000002000000@0
`F]Z00<000000;]UJ00000000P0000060?ooo`030000001ZAiH0000000<000000`2dTk@010000000
lLn^0?7?[P0000040997KP<000000P2`TKH00`000000/I:g0;6B]`070;6B]`<0000000<0c^;V0000
00000000;03oool002/0oooo1@0000080;2>/P030000002`Sk<0/8nc0080/8nc0P0000040;YUJ`03
0000002`FfP0/5]X00D00000102dTk@2000000030>BUT0000000oooo0080oooo0`0000000`2FAFL0
000008m1J00308m1J00600000029?VX000000000002dTk@000000`2dTk@00`000000]9>d0;BC]002
0;BC]08000001033fNX2000003L0oooo0P0000000`24YNX0000007fMiP0200000080]9>d00<00000
0;BC]02dTk@00P2dTk@010000000]9>d0;BC]02dTk@200000080`F]Z00H000000;]UJ02kIFP0^fEX
0000002cGFL6000000<0JTNF00<000000;BC]02dTk@01`000000102BAfh000000000000000050;2A
]P030000002aT[L0/I:g00D0/I:g0P0000030<;Mk@030000003oool0oooo02`0oooo000]0?ooo`03
0000001dVnT0M9_Y008000001P2`S[800`000000/8nc0;2?/`040;2?/`80000000<0^VE[0000002`
FfP01`2`FfP;0000000509m<IP000000UTEW09I5I`000000102?@FP2000000<0]9>d00<000000;BC
]02dTk@00P2dTk@01P000000]9>d000000000000bMcW00000080`mWZ0P00000k0?ooo`8000000`1m
WNH2000000@0]9>d00<000000;BC]02dTk@00P2dTk@00`000000]9>d0000000300000080^fEX00@0
00000;=MI`2cGFL000000P2/EfL30000000306Y7UP000000]9>d00D0]9>d00<000000?3F]`000000
0P0000090;2A]P030000002aT[L0/I:g0080/I:g0P0000030<;Mk@800000;`3oool002h0oooo0P00
000207BKj@800000102`S[800`000000/8nc0;2?/`060;2?/`@00000202`FfP020000000/5YX0;1J
J0000000Ye=W0>BUT02WDfL000000P2OC6H01P000000UTEW09I5I`2FAFL0000008m1J0<000001@2d
Tk@010000000]9>d0;BC]02dTk@2000000@0bMcW0P00000o0?ooo`80000000<0OIgV0000001mWNH0
0P0000020;BC]0050000002dTk@0]9>d0;BC]0000000102dTk@00`000000]9>d0000000300000004
0;=MI`000000[5MW0:aGI`80000000@0KTB>0000000000000000102dTk@00`000000l=Jg0?3F]`02
000000X0/96f00<000000;6B]`2aT[L00P0000030<;Mk@800000<@3oool00300oooo0P00000207BK
j@80000000<0/8jb0000002`Sk<02@2`Sk<00`000000/8nd0;2?]00600000080/5]X00<000000;1J
J02`FVP00P0000020:MCI`040000002OC6H0WdaV00000080UTEW0`0000030;BC]0030000002dTk@0
]9>d0080]9>d00H000000;BC]000000000000<WLiP0000020<WLi`800000@`3oool00`000000OIgV
07fMiP0207fMiP800000102dTk@00`000000]9>d0;BC]0020;BC]0060000002dTk@0]9>d0;BC]000
0000]9>d1@00000306i4SP030000002dTk@000000080000000H0]9>d0000003`e[L000000;2@]@00
000:0;2A]P<000000`32gNd2000003<0oooo000b0?ooo`040000001dVnT0M9_Y07BKj@<000002@2`
Sk<00`000000/8nd0;2?]0060;2?]0l0000000<0]9>d0000002dTk@00`2dTk@00`000000]9>d0;BC
]0020;BC]08000001039g>H2000004L0oooo0P0000000`1mWNH00000086Rj002000000030;BC]000
0000]9>d00<0]9>d00<000000;BC]02dTk@00P2dTk@010000000]9>d0;BC]00000020;BC]0040000
001^A8h0KTB>000000D0]9>d100000000`2`T;D000000;2A]P060;2A]P<0000000@0]]K`00000032
gNd0`]g]0P00000e0?ooo`00<`3oool200000080M9_Y00@00000086YkP00000000001P2`Sk<00`00
0000/8nd0;2?]0090;2?]0040000002dTk@0]9>d000000<0]9>d00@000000;BC]02dTk@00000102d
Tk@00`000000]9>d0;BC]0020;BC]0060000002dTk@0000000000036f^T000000P39g>H2000004/0
oooo0P000003086Rj0<000000`2dTk@01@000000]9>d0;BC]02dTk@0000000<0]9>d00@000000;BC
]0000000KT>=0`0000050;BC]0040000003]g<40kMc100000080/92e00<000000;2A]P2`TKH00P2`
TKH2000000@0]]K`0`00000g0?ooo`00=@3oool3000000<0PJW^0`0000030;2?/`030000002`Sk@0
/8nd00T0/8nd00@000000;BC]02dTk@000000`2dTk@01@000000]9>d0;BC]02dTk@0000000<0]9>d
00<000000;BC]02dTk@00P2dTk@2000000@0a][Y0P00001?0?ooo`80000000@0PJ;X00000026ZN/0
QZW[0P0000000`2dTk@000000;BC]0020;BC]0070000002dTk@0]9>d0;BC]0000000]9>d00000003
06i3S@800000102dTk@00`000000kMc1000000030;2@]@030000002`TKH00000008000000`2fe_03
000003X0oooo000g0?ooo`0300000021ZNh0PJW^00@0PJW^0P0000000`2`Sk<000000;2?]0090;2?
]0050000002dTk@0]9>d0;BC]00000000`2dTk@01@000000]9>d0;BC]02dTk@0000000@0]9>d00H0
00000;BC]000000000000<3Hk00000020<KJj@800000D`3oool2000000@0QZW[0`0000020;BC]004
0000002dTk@0]9>d0;BC]080000000@0in3<06i3S@1^@hd000000P2bUKP2000000040;BC]0000000
kMc10>gL`@H00000102fe_02000003d0oooo000i0?ooo`<000001021ZNh4000000P0/8nd00D00000
0;BC]02dTk@0]9>d000000040;BC]0050000002dTk@0]9>d0;BC]00000000P2dTk@3000000<0`=S/
0`00001H0?ooo`80000000@0QZW[0000002=/Nh0SK7^100000020;BC]080000000@0in3<06i3S@1^
@hd00000102bUKP2000000030>gL`@000000Zlkb00<0Zlkb00<000000;KFl02fe_000`00000o0?oo
o`00?03oool400000004086YkP000000SKKb08fflPH000000P2`Sk@01@000000]9>d0;BC]02dTk@0
000000@0]9>d00<000000;BC]02dTk@010000000102heNl000000<3Hk030f>`2000005d0oooo0`00
000208fakP030000002F^o40U[_a00<0000000@0KT>=0000001^@hd000001@2bUKP010000000j>7;
0000000000030:_>lP@00000@P3oool00400oooo0P00000808fflPh0000000<0[/oa0000002heNl0
0`2heNl200000680oooo1000000209Jkl@8000000`1^@hd00`000000/YFh0;:E^0030;:E^0030000
003XhL/0000000@00000AP3oool004@0oooo1P00000208fflP050000002I`?<0VL3c09W0l`000000
102TbO<00`000000[/oa0:k?l@020:k?l@040000002heNl00000000006P0oooo0`00000306i3S@03
0000002bUKP0/YFh00<0/YFh00@000000>SQb`3XhL/00000BP3oool004X0oooo1@00000209W0l`03
0000002TbO<0Y<Wc00P00000K03oool01@000000KT>=06i3S@1^@hd0000000D0/YFh00<000000>SQ
b`000000B`3oool004/0oooo00<0000005ISa01FHl@01`0000030=ZAP@030000003oool0oooo06`0
oooo00D0000006i3S@1^@hd0KT>=000000050;:E^0040000003XhL/0j>7;000004/0oooo001<0?oo
o`040000001FHl@0EV?4000000<0/Xna00<000000;:>/@0000000`3JTH400`000000oooo0?ooo`1Z
0?ooo`060000001c@HD000000000001^@hd000001@2bUKP00`000000j>7;0000001<0?ooo`00C03o
ool01@000000EV?405ISa01FHl@0/Xna008000000P2bS[400`000000fY610=ZAP@020=ZAP@030000
003oool0oooo06P0oooo00<000000>7Se@1c@HD00P1c@HD00`000000/YFh0;:E^0030;:E^0040000
003XhL/0j>7;000004`0oooo001=0?ooo`040000001FHl@0EV?4000000D0/Xja00<000000=ZAP@3J
TH400P3JTH400`000000oooo0?ooo`1W0?ooo`060000001c@HD0Ld6507=1Q@000000/YBh0P000003
0;:E^0030000003XhL/0000004d0oooo001=0?ooo`050000001FHl@0000005Y_cP0000001@2bS[40
1@000000fY610=ZAP@3JTH40000006P0oooo00D0000007=1Q@1c@HD0Ld65000000040;:D^0<00000
0P3XhL/00`000000oooo0?ooo`1;0?ooo`00CP3oool010000000FVo>05Y_cP0000060;:>/@050000
003JTH40fY610=ZAP@000000IP3oool01@000000Ld6507=1Q@1c@HD0000000L0/YBh0`00001>0?oo
o`00C`3oool010000000FVo>05Y_cP0000050;:>/@030000003JTH40fY610080fY6100<000000?oo
o`3oool0HP3oool01@000000Ld6507=1Q@1c@HD0000000L0/YBh00<000000>7Te@000000C`3oool0
0500oooo00@0000005Y_cP1JKlh000001@2bS[401P000000fY61000000000000dhIj000006<0oooo
00D0000007=1Q@1c@HD0Ld65000000060;:D^0040000003Qi=D0hNCE000004l0oooo001@0?ooo`04
0000001JKlh0FVo>000000H0/Xja00<000000=>6NP3CQWX00P3CQWX00`000000oooo0?ooo`1O0?oo
o`050000001c@HD0Ld6507=1Q@0000001`2bU;P00`000000hNCE0000001@0?ooo`00D@3oool01000
0000FVo>05Y_cP0000040;:>/@030000002aS[40000000@0dhIj00<000000?ooo`3oool0G@3oool0
1@000000NT1n0000001c@HD0000000L0/YBh00<000000>7Te@000000D@3oool00580oooo00@00000
05Y_cP1JKlh000000P2bS[401@000000/Hja0;6>/@2aS[40000000<0dhIj00<000000?ooo`3oool0
G03oool01@000000NT1n07Y0OP1j@7h0000000L0/YBh00<000000>7Te@000000DP3oool005<0oooo
00D0000005Y_cP000000/Xja000000050;6>/@050000003CQWX0dhIj0=>6NP000000F`3oool20000
00<0NT1n00<000000;6C^00000001@2bU;P010000000hNCE0>7Te@00001B0?ooo`00D`3oool01000
0000FVo>05Y_cP0000070;6>/@050000003CQWX0dhIj0=>6NP000000F@3oool00`000000NT1n07Y0
OP0207Y0OP040000002aTkP0/I>h0;6C^08000000`2bU;P00`000000hNCE0000001C0?ooo`00E03o
ool200000003065mf0000000/Hja00H0/Hja00D000000=>6NP3CQWX0dhIj0000001G0?ooo`030000
001j@7h0NT1n0080NT1n00<000000;6C^02aTkP0102aTkP01@000000/YBh0000003Qi=D0000005@0
oooo001E0?ooo`040000001QOMP0HGgH000000L0/Hja00@000000=>6NP000000bgYd0P00001D0?oo
o`030000001j@7h0NT1n0080NT1n00<000000;6C^02aTkP01P2aTkP010000000hNCE0>7Te@00001D
0?ooo`00EP3oool010000000HGgH065mf00000070;6>/@030000003;NW@0bgYd0080bgYd00<00000
0?ooo`3oool0D03oool00`000000PT5g0000000207Y0OP030000002aTkP0/I>h00H0/I>h00@00000
0=STg`0000000000E@3oool005L0oooo00@00000065mf01QOMP000001@2aS[400`000000/Hjb0000
00040<]jM0800000CP3oool200000080PT5g00<0000007Y0OP000000202aTkP010000000f>CO0=ST
g`00001F0?ooo`00F03oool010000000HGgH065mf00000040;6>/@030000002aS[80/Hjb00800000
103;NW@2000004/0oooo00<000000891M`22@GL00`22@GL00`000000/I>h0;6C^0060;6C^0040000
003Hi=l0f>CO000005L0oooo001I0?ooo`040000001QOMP0HGgH00000080/Hja00<000000;6>/P2a
S[800`2aS[800`000000bgYd0<]jM0030<]jM0030000003oool0oooo04L0oooo00<000000891M`22
@GL00`22@GL00`000000/I:g000000050;6C^08000000P3Hi=l00`000000oooo0?ooo`1F0?ooo`00
FP3oool01P000000HGgH065mf0000000/Hja000000H0/Hjb00H000000<]jM03;NW@0bgYd00000033
LG02000004D0oooo0P0000040891M`8000000`2aT[L01@000000/I>h0;6C^02aTkP000000080f>CO
0P00001I0?ooo`00F`3oool010000000HGgH065mf00000080;6>/P80000000<0bgYd00000033LG00
0P33LG000`000000oooo0?ooo`110?ooo`0300000022@GL0PT5g00<0PT5g00<000000;6B]`2aT[L0
102aT[L00`000000/I>h000000020=STg`030000003oool0oooo05T0oooo001L0?ooo`80000000<0
JXgR0000002aS[80202aS[800`000000`g5`0<=aL0030<=aL0800000?`3oool010000000RDAc08U4
L`0000030891M`030000002aT[L0/I:g00H0/I:g00@000000=STg`3Hi=l00000G03oool005d0oooo
00<0000006Z=hP1ZSN800P0000060;6>/P040000002`S[80000000000080`g5`0`1eV^P2000003/0
oooo0P00000308U4L`0400000022@GL00000000000L0/I:g0P0000000`3=hnP000000000001M0?oo
o`00GP3oool01@000000JXgR06Z=hP1ZSN80000000D0/Hjb00@000000;2>/P2`S[80/8jb0P000005
0<=aL0800000=`3oool2000000D0RDAc0P0000080;6B]`050000003=hnP0cN?X0<gSj0000000GP3o
ool005l0oooo0P00000206Z=hP050000002aS[80/Hjb0;6>/P0000001P2`S[82000000<0`g5`00<0
00000;YVK@0000000P00000a0?ooo`<000001@29A7<200000080/9:g00<000000;6B]`2aT[L00`2a
T[L200000080cN?X0P00001O0?ooo`00H@3oool00`000000JXgR06Z=hP02000000030;6>/P000000
/8jb00L0/8jb0`0000050;YVK@<00000:P3oool40000000309=8K`000000RDAc00<0RDAc0P000004
0;2B]`030000002aT[L0/I:g0080/I:g00D000000<gSj03=hnP0cN?X0000001Q0?ooo`00HP3oool0
1@000000JXgR06Z=hP1ZSN80000000/0/8jb0P0000070;YVK@H000007`3oool5000000H0TdQ_00@0
000008U4L`00000000001`2`T[L010000000/I:g0000000000030<gSj0030000003oool0oooo0600
oooo001S0?ooo`80000000@0JXgR00000000000000002@2`S[800`000000/8nc00000002000000D0
^VI]00<000000;1MJ`2`GF/00P2`GF/900000140oooo1@00000209a>K0030000002CB6l0TdQ_00D0
TdQ_0`00000:0;2B]`040000003=hnP0cN?X0<gSj0800000H`3oool006D0oooo0P00000207>Jj080
00001P2`S[800`000000/8nc0;2?/`030;2?/`<0000000<0^VI]0000002`GF/0202`GF/00`000000
YeI[0:MFJ`020:MFJa4000001`2LCV`00`000000TdQ_09=8K`0209=8K`<000000P2`TKH00`000000
/9:g0;2B]`060;2B]`80000000@0`]o]0000003=hnP00000I@3oool006H0oooo00<0000007>Jj01c
V^P00P1cV^P2000000@0/8jb00<000000;2?/`2`Sk<01P2`Sk<4000000H0/5e[00<000000:MFJ`2W
EV/00`2WEV/209W2m0<0YeI[00<000000:ECJ`2UDf/01P2UDf/00`000000W4i/09a>K00709a>K003
0000002CB6l00000008000001@2`TKH00`000000/9:g0;2B]`040;2B]`8000001032gnd00`000000
oooo0?ooo`1T0?ooo`00I`3oool2000000@0Li[X0P0000000`2`S[8000000;2?/`090;2?/`030000
002`Sk@0/8nd00@000000P2`GF/010000000YeI[0:MFJ`0000060:MFJ`030000002UDf/0YE=[00L0
YE=[00<0000009a>K02LCV`00`2LCV`6000000T0/96f00@000000;2B]`2`T[L0/9:g0P0000040<;O
k@800000I`3oool006T0oooo0P00000407>Jj0<000002@2`Sk<00`000000/8nd0;2?]0040;2?]1`0
0000102`T;D00`000000/96f0;2A]P080;2A]P040000002`T[L00000000000@0`]o]0P00001Y0?oo
o`00J`3oool2000000<0Li[X00@0000007nYk`00000000001P2`Sk<00`000000/8nd0;2?]0070;2?
]0030000002`T;@0/92d00L0/92d00<000000;2@]02`T;@01`2`T;@00`000000/92e0;2@]@080;2@
]@030000002`TKH0/96f00L0/96f0P0000040<;Ok@800000J`3oool006d0oooo0`00000407nYk`<0
00000`2`Sk<00`000000/8nd0;2?]0070;2?]0030000002`T;@0/92d00L0/92d00<000000;2@]02`
T;@01`2`T;@00`000000/92e0;2@]@080;2@]@030000002`TKH0/96f00@0/96f0`0000020;CHlP04
00000032gnd00000000006d0oooo001_0?ooo`030000001oZNl0OjW_00D0OjW_0P0000000`2`Sk<0
00000;2?]0080;2?]0030000002`T;@0/92d00L0/92d00<000000;2@]02`T;@01`2`T;@00`000000
/92e0;2@]@090;2@]@030000002`TKH0000000<000001@2df?82000006l0oooo001a0?ooo`@00000
101oZNl4000000L0/8nd00<000000;2@]02`T;@0202`T;@00`000000/92d0;2@]0070;2@]0030000
002`T;D0/92e00H0/92e100000050;CHlP@00000L@3oool007D0oooo10000000101oZNl0000008bg
l`2<]o<500000080/8nd00<000000;2@]02`T;@0202`T;@00`000000/92d0;2@]0070;2@]0030000
002`T;D0/92e00H000000P2WcoD00`000000]=Sb0;CHlP04000007D0oooo001i0?ooo`8000001`2<
]o<J000000L0Yloe1000001i0?ooo`00O@3oool60000000308bgl`000000V<;e00T0V<;e00<00000
09c6m@2La_D01`2La_D010000000Yloe0:O?m@2WcoD6000007d0oooo00230?oooaX00000P`3oool0
0?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool0
0?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00001\
\>"],
  ImageRangeCache->{{{0, 287}, {280.438, 0}} -> {-0.00015639, 0.0112799, \
0.00348541, 0.00348541}}],

Cell[BoxData[
    \({{10}, {8, 15, 12, 19, 16, 3, 20, 7, 4, 11}}\)], "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["KL",
    FontSize->18,
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["s and graphs",
    FontSize->18,
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Section",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" fGraphInc ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["calculates the corresponding graph of any ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" given by edges (unordered pairs), and by the list of vertex \
signs (input is Conway symbol, Dowker code, or P-data). ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<2,3,-2\>";\)\), "\[IndentingNewLine]", 
    \(fGraphInc[K]\)}], "Input"],

Cell[BoxData[
    \({{{1, 2}, {1, 2}, {1, 4}, {1, 7}, {2, 3}, {2, 5}, {3, 4}, {3, 4}, {3, 
          5}, {4, 7}, {5, 6}, {5, 6}, {6, 7}, {6, 
          7}}, {\(-1\), \(-1\), \(-1\), \(-1\), \(-1\), \(-1\), \(-1\)}}\)], \
"Output"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{2, 
            5}, {\(-14\), \(-10\), \(-2\), \(-12\), \(-4\), \(-6\), \(-8\)}};\
\)\), "\[IndentingNewLine]", 
    \(fGraphInc[DD]\)}], "Input"],

Cell[BoxData[
    \({{{1, 2}, {1, 2}, {1, 4}, {1, 7}, {2, 3}, {2, 5}, {3, 4}, {3, 4}, {3, 
          5}, {4, 7}, {5, 6}, {5, 6}, {6, 7}, {6, 
          7}}, {\(-1\), \(-1\), \(-1\), \(-1\), \(-1\), \(-1\), \(-1\)}}\)], \
"Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata = {{2, 
            5}, {\(-5\), \(-10\), \(-11\), \(-13\), \(-4\), \(-7\), \(-1\)}};\
\)\), "\[IndentingNewLine]", 
    \(fGraphInc[pdata]\)}], "Input"],

Cell[BoxData[
    \({{{1, 2}, {1, 2}, {1, 4}, {1, 7}, {2, 3}, {2, 5}, {3, 4}, {3, 4}, {3, 
          5}, {4, 7}, {5, 6}, {5, 6}, {6, 7}, {6, 
          7}}, {\(-1\), \(-1\), \(-1\), \(-1\), \(-1\), \(-1\), \(-1\)}}\)], \
"Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fGraphKL",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["calculates and draws graph  of a ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" given by Conway symbol, Dowker code, or P-data.",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" ",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" The result is the graph given by the list of unordered pairs. ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = \ "\<9*.2.2..-2 0\>";\)\), "\[IndentingNewLine]", 
    \(fGraphKL[K]\)}], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0454545 0.909091 -0.0175847 1.03517 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 0 0 r
.005 w
[ ] 0 setdash
.72727 .94824 m
.27273 .94824 L
s
.72727 .94824 m
.04545 .5 L
s
.72727 .94824 m
.27273 .05176 L
s
.27273 .94824 m
.27273 .05176 L
s
.27273 .94824 m
.72727 .05176 L
s
.27273 .94824 m
.95455 .5 L
s
.04545 .5 m
.14597 .26725 L
.27273 .05176 L
s
.04545 .5 m
.17221 .28451 L
.27273 .05176 L
s
.04545 .5 m
.37324 .25 L
.72727 .05176 L
s
.04545 .5 m
.39949 .30176 L
.72727 .05176 L
s
.04545 .5 m
.95455 .5 L
s
.27273 .05176 m
.72727 .05176 L
s
.025 w
.72727 .94824 Mdot
[(1)] .70727 .92824 1 0 Mshowa
.27273 .94824 Mdot
[(2)] .25273 .92824 1 0 Mshowa
.04545 .5 Mdot
[(3)] .02545 .48 1 0 Mshowa
.27273 .05176 Mdot
[(4)] .25273 .03176 1 0 Mshowa
.72727 .05176 Mdot
[(5)] .70727 .03176 1 0 Mshowa
.95455 .5 Mdot
[(6)] .93455 .48 1 0 Mshowa
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00A@3oool3000007h0oooo0P00001H0?ooo`00AP3o
ool00`000000oooo0?ooo`1l0?ooo`040000003oool0oooo000005L0oooo00130?ooo`D00000P03o
ool00`000000oooo0?ooo`1E0?ooo`00@`3oool010000000oooo0?ooo`00001o0?ooo`800000F03o
ool004@0oooo00<000000?ooo`0000001P3oool3000007H0oooo00<000000?ooo`3oool01P3oool3
000004h0oooo00150?ooo`8000001@3oool5000007D0oooo0`0000050?ooo`D00000C@3oool004/0
oooo1`00001k0?ooo`L00000C03oool004/0ooooR@00001<0?ooo`00B`3oool7000007/0oooo1`00
001<0?ooo`00C03oool5000007/0oooo1`00001=0?ooo`00C03oool5000007T0oooo0`0000000`3o
ool0000000000002000004h0oooo001<0?ooo`050000003oool000000?ooo`000000N03oool00`00
0000oooo000000020?ooo`030000003oool0oooo04l0oooo001;0?ooo`80000000D0oooo0000003o
ool0oooo0000001e0?ooo`@000000P3oool00`000000oooo0?ooo`1@0?ooo`00BP3oool200000080
oooo00@000000?ooo`3oool00000L`3oool2000000030?ooo`000000oooo00<0oooo00<000000?oo
o`3oool0D03oool004X0oooo0P0000020?ooo`050000003oool0oooo0?ooo`000000L03oool20000
0080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`1A0?ooo`00B@3oool00`000000
oooo000000020?ooo`050000003oool0oooo0?ooo`000000KP3oool200000080oooo0P0000050?oo
o`030000003oool0oooo0540oooo00190?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo06X0oooo00D000000?ooo`3oool0oooo000000060?ooo`030000003oool0oooo
0580oooo00180?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`1X0?ooo`8000000`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0580
oooo00170?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`1U0?ooo`8000000`3oool2000000L0oooo00<000000?ooo`3oool0D`3oool004L0oooo00<0
00000?ooo`000000103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo06<0oooo0P00
00040?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0D`3oool004H0oooo00<00000
0?ooo`0000001@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0640oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo05@0oooo00160?oo
o`030000003oool0000000D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`1O0?oo
o`8000001@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo05@0oooo00150?ooo`04
0000003oool0oooo000000D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`1L0?oo
o`8000001@3oool2000000X0oooo00<000000?ooo`3oool0E@3oool004@0oooo00@000000?ooo`3o
ool000001P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo05X0oooo0P0000060?oo
o`030000003oool0oooo00X0oooo00<000000?ooo`3oool0E@3oool004@0oooo00@000000?ooo`3o
ool000001P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo05L0oooo0P0000070?oo
o`030000003oool0oooo00X0oooo00<000000?ooo`3oool0EP3oool004<0oooo00@000000?ooo`3o
ool000001`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo05H0oooo00<000000?oo
o`3oool01@3oool2000000d0oooo00<000000?ooo`3oool0EP3oool004<0oooo00@000000?ooo`3o
ool000001`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo05<0oooo0P0000070?oo
o`030000003oool0oooo00`0oooo00<000000?ooo`3oool0E`3oool00480oooo00@000000?ooo`3o
ool00000203oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0540oooo0P0000080?oo
o`030000003oool0oooo00d0oooo00<000000?ooo`3oool0E`3oool00440oooo00D000000?ooo`3o
ool0oooo000000080?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0CP3oool20000
00P0oooo0P00000?0?ooo`030000003oool0oooo05P0oooo00110?ooo`040000003oool0oooo0000
00T0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`1=0?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`1H0?ooo`00@03oool01@000000
oooo0?ooo`3oool0000000T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`1:0?oo
o`8000002@3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo05T0oooo00100?ooo`05
0000003oool0oooo0?ooo`0000002@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
04P0oooo0P00000:0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0F@3oool003l0
oooo00D000000?ooo`3oool0oooo0000000:0?ooo`030000003oool0oooo00X0oooo00<000000?oo
o`3oool0A@3oool2000000X0oooo0P00000B0?ooo`030000003oool0oooo05X0oooo000n0?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0:0?ooo`03
0000003oool0oooo04@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0B0?ooo`03
0000003oool0oooo05X0oooo000n0?ooo`050000003oool0oooo0?ooo`0000002`3oool00`000000
oooo0?ooo`0;0?ooo`030000003oool0oooo0440oooo0P00000;0?ooo`030000003oool0oooo0180
oooo00<000000?ooo`3oool0F`3oool003d0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`090?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0?`3oool2000000/0oooo
0P00000E0?ooo`030000003oool0oooo05/0oooo000m0?ooo`050000003oool0oooo0?ooo`000000
303oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo03`0oooo0P00000<0?ooo`030000
003oool0oooo01@0oooo00<000000?ooo`3oool0G03oool003`0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0>P3o
ool2000000d0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`1L0?ooo`00>`3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool03@3oool0
0`000000oooo0?ooo`0h0?ooo`030000003oool0oooo00/0oooo0P00000G0?ooo`030000003oool0
oooo05d0oooo000k0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02`3oool00`00
0000oooo0?ooo`0=0?ooo`030000003oool0oooo03H0oooo0P00000=0?ooo`030000003oool0oooo
01L0oooo00<000000?ooo`3oool0G@3oool003X0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`0;0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0<`3oool2000000h0
oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`1N0?ooo`00>P3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool03P3oool00`000000oooo
0?ooo`0a0?ooo`8000003P3oool2000001X0oooo00<000000?ooo`3oool0GP3oool003T0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00l0oooo00<0
00000?ooo`3oool0;`3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo01T0oooo00<0
00000?ooo`3oool0G`3oool003T0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0=
0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0;@3oool2000000l0oooo00<00000
0?ooo`3oool06P3oool00`000000oooo0?ooo`1O0?ooo`00>03oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo00d0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0Z0?oo
o`800000403oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo0600oooo000g0?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0@0?ooo`03
0000003oool0oooo02P0oooo0P00000@0?ooo`8000007@3oool00`000000oooo0?ooo`1P0?ooo`00
=`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0
4@3oool00`000000oooo0?ooo`0V0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0
703oool00`000000oooo0?ooo`1Q0?ooo`00=P3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00h0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0T0?ooo`8000004@3o
ool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo0640oooo000f0?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0
oooo0240oooo0P00000A0?ooo`8000007`3oool00`000000oooo0?ooo`1R0?ooo`00=@3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool04P3oool00`00
0000oooo0?ooo`0O0?ooo`8000004P3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo
0680oooo000d0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0403oool00`000000
oooo0?ooo`0C0?ooo`030000003oool0oooo01`0oooo0P00000C0?ooo`030000003oool0oooo01l0
oooo00<000000?ooo`3oool0H`3oool003@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`0@0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool06`3oool00`000000oooo
0?ooo`0A0?ooo`8000008P3oool00`000000oooo0?ooo`1S0?ooo`00<`3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0503oool00`000000oooo0?oo
o`0H0?ooo`8000004`3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo06@0oooo000c
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0D
0?ooo`030000003oool0oooo01H0oooo0P00000D0?ooo`030000003oool0oooo0280oooo00<00000
0?ooo`3oool0I03oool00380oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0A0?oo
o`030000003oool0oooo01D0oooo00<000000?ooo`3oool04`3oool2000001@0oooo0P00000T0?oo
o`030000003oool0oooo06D0oooo000a0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool04P3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3o
ool04`3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo06D0oooo000a0?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0F0?ooo`030000
003oool0oooo00l0oooo0P00000E0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool0
IP3oool00300oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0C0?ooo`030000003o
ool0oooo01H0oooo00<000000?ooo`3oool03@3oool2000001H0oooo00<000000?ooo`3oool09@3o
ool00`000000oooo0?ooo`1V0?ooo`00<03oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo01<0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0:0?ooo`8000005P3oool2
000002L0oooo00<000000?ooo`3oool0I`3oool002l0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`0D0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0203oool20000
01L0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`1W0?ooo`00;P3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0603oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool09`3oool00`000000
oooo0?ooo`1X0?ooo`00;P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo01@0oooo
00<000000?ooo`3oool0603oool00`000000oooo0?ooo`040?ooo`8000005`3oool2000002X0oooo
00<000000?ooo`3oool0J03oool002d0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`0E0?ooo`030000003oool0oooo01T0oooo00@000000?ooo`3oool0oooo0P00000H0?ooo`030000
003oool0oooo02T0oooo00<000000?ooo`3oool0J@3oool002d0oooo00<000000?ooo`3oool01P3o
ool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01T0oooo00@000000?ooo`0000000000
6@3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo06T0oooo000/0?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0J0?ooo`030000003o
ool0oooo01L0oooo0P00000/0?ooo`030000003oool0oooo06X0oooo000[0?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0I0?ooo`800000603oool0
0`000000oooo0?ooo`0/0?ooo`030000003oool0oooo06X0oooo000[0?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0G0?ooo`8000000P3oool00`00
0000oooo0?ooo`0D0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool0J`3oool002X0
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo01H0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo02d0
oooo00<000000?ooo`3oool0J`3oool002X0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`0G0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`0@0?ooo`800000;`3oool00`000000oooo0?ooo`1/0?ooo`00:@3oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool04`3oool2000000L0oooo00<0
00000?ooo`3oool03`3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo06`0oooo000Y
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0B
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0_
0?ooo`030000003oool0oooo06d0oooo000X0?ooo`030000003oool0oooo00L0oooo00<000000?oo
o`3oool06@3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool02`3oool200000380oooo00<000000?ooo`3oool0K@3oool002P0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo00l0oooo0P00000=0?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`1^0?ooo`00
9`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0
3P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
<P3oool00`000000oooo0?ooo`1^0?ooo`009`3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo01X0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0?0?ooo`030000003o
ool0oooo00D0oooo0P00000d0?ooo`030000003oool0oooo06l0oooo000V0?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0;0?ooo`8000004P3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3oool0K`3oool0
02H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo
00X0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
03@0oooo00<000000?ooo`3oool0L03oool002H0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`0L0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0503oool00`000000
oooo0?ooo`02000003L0oooo00<000000?ooo`3oool0L03oool002D0oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
5P3oool2000003P0oooo00<000000?ooo`3oool0L@3oool002D0oooo00<000000?ooo`3oool01P3o
ool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo00H0oooo0P00000I0?ooo`030000003o
ool0oooo03L0oooo00<000000?ooo`3oool0L@3oool002@0oooo00<000000?ooo`3oool01`3oool0
0`000000oooo0?ooo`0M0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool05`3oool2
000000030?ooo`000000oooo03H0oooo00<000000?ooo`3oool0LP3oool002@0oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool05P3oool2000000<0oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`1b0?oo
o`00903oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3o
ool00P3oool2000001L0oooo0P0000060?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3o
ool0L`3oool002<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0O0?ooo`050000
003oool0oooo0?ooo`000000603oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo03<0
oooo00<000000?ooo`3oool0L`3oool002<0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`0P0?ooo`040000003oool0oooo000001L0oooo0P00000:0?ooo`030000003oool0oooo0340
oooo00<000000?ooo`3oool0M03oool00280oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`0P0?ooo`<000005P3oool2000000`0oooo00<000000?ooo`3oool0<@3oool00`000000oooo
0?ooo`1d0?ooo`008P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0240oooo00<0
00000?ooo`3oool0503oool2000000l0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?oo
o`1e0?ooo`008@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0240oooo0P00000D
0?ooo`8000004@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo07D0oooo000Q0?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0803oool00`000000oooo0000000C0?oo
o`030000003oool0oooo0180oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`1f0?oo
o`008@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo01l0oooo0P0000020?ooo`03
0000003oool0oooo00l0oooo0P00000E0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3o
ool0MP3oool00200oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0N0?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool03@3oool2000001P0oooo00<000000?ooo`3oool0
:`3oool00`000000oooo0?ooo`1g0?ooo`00803oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo01h0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0;0?ooo`8000006P3o
ool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo07L0oooo000O0?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool0703oool2000000H0oooo00<000000?ooo`3oool02P3oool0
0`000000oooo0?ooo`0K0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool0N03oool0
01l0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool0203oool2000001h0oooo00<000000?ooo`3oool0:@3oool00`00
0000oooo0?ooo`1h0?ooo`007`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01`0
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`8000008@3oool00`000000
oooo0?ooo`0W0?ooo`030000003oool0oooo07T0oooo000N0?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool06P3oool2000000X0oooo00<000000?ooo`3oool0103oool2000002<0oooo
00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`1i0?ooo`007P3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?oo
o`020?ooo`8000009P3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo07X0oooo000M
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0;
0?ooo`050000003oool0oooo0?ooo`000000:03oool00`000000oooo0?ooo`0U0?ooo`030000003o
ool0oooo07X0oooo000M0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0603oool2
000000h0oooo00@000000?ooo`0000000000:P3oool00`000000oooo0?ooo`0S0?ooo`030000003o
ool0oooo07/0oooo000L0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0603oool0
0`000000oooo0?ooo`0>0?ooo`800000;03oool00`000000oooo0?ooo`0S0?ooo`030000003oool0
oooo07/0oooo000L0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool05`3oool00`00
0000oooo0?ooo`0=0?ooo`<00000;P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo
07`0oooo000L0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool05`3oool00`000000
oooo0?ooo`0=0?ooo`040000003oool0oooo000002h0oooo00<000000?ooo`3oool08@3oool00`00
0000oooo0?ooo`1l0?ooo`006`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01D0
oooo0P00000>0?ooo`8000000`3oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo01l0
oooo00<000000?ooo`3oool0O@3oool001/0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`0E0?ooo`030000003oool0oooo00`0oooo0P0000050?ooo`030000003oool0oooo02d0oooo
00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`1m0?ooo`006P3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool02`3oool2000000L0oooo00<0
00000?ooo`3oool0;P3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo07h0oooo000J
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool04`3oool2000000d0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo01d0oooo00<00000
0?ooo`3oool0OP3oool001X0oooo00D000000?ooo`3oool0oooo0000000E0?ooo`030000003oool0
oooo00/0oooo0P00000:0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool06`3oool0
0`000000oooo0?ooo`1o0?ooo`006@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
0180oooo00<000000?ooo`3oool02P3oool2000000`0oooo00<000000?ooo`3oool0;`3oool00`00
0000oooo0?ooo`0K0?ooo`030000003oool0oooo07l0oooo000I0?ooo`050000003oool0oooo0?oo
o`0000004`3oool2000000/0oooo0P00000>0?ooo`030000003oool0oooo0300oooo00<000000?oo
o`3oool06@3oool00`000000oooo0?ooo`200?ooo`00603oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo0100oooo00<000000?ooo`3oool02@3oool200000100oooo00<000000?ooo`3o
ool0<03oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo0800oooo000H0?ooo`050000
003oool0oooo0?ooo`0000004P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo0100
oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo0840
oooo000G0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool03P3oool2000000X0oooo
0P00000C0?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool05`3oool00`000000oooo
0?ooo`210?ooo`005`3oool01@000000oooo0?ooo`3oool000000100oooo00<000000?ooo`3oool0
203oool2000001D0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0E0?ooo`030000
003oool0oooo0880oooo000G0?ooo`040000003oool0oooo00000100oooo00<000000?ooo`3oool0
1`3oool2000001L0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0E0?ooo`030000
003oool0oooo0880oooo000F0?ooo`050000003oool0oooo0?ooo`0000003`3oool00`000000oooo
0?ooo`070?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0<`3oool00`000000oooo
0?ooo`0C0?ooo`030000003oool0oooo08<0oooo000F0?ooo`040000003oool0oooo000000h0oooo
0P0000080?ooo`8000006P3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo01<0oooo
00<000000?ooo`3oool0P`3oool001D0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`030000
003oool0oooo00H0oooo0P00000L0?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3oool0
4@3oool00`000000oooo0?ooo`240?ooo`005@3oool010000000oooo0?ooo`00000=0?ooo`030000
003oool0oooo00D0oooo0P00000N0?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3oool0
4@3oool00`000000oooo0?ooo`240?ooo`005@3oool00`000000oooo0000000<0?ooo`8000001`3o
ool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool03`3o
ool00`000000oooo0?ooo`250?ooo`00503oool010000000oooo0?ooo`00000;0?ooo`030000003o
ool0oooo00D0oooo0P00000Q0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool03`3o
ool00`000000oooo0?ooo`250?ooo`00503oool00`000000oooo0000000;0?ooo`030000003oool0
oooo00@0oooo0P00000S0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool03@3oool0
0`000000oooo0?ooo`260?ooo`004`3oool010000000oooo0?ooo`0000090?ooo`8000001@3oool2
000002D0oooo00<000000?ooo`3oool0=P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0
oooo08H0oooo000C0?ooo`030000003oool0000000T0oooo00<000000?ooo`3oool00`3oool20000
02L0oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
08L0oooo000B0?ooo`040000003oool0oooo000000P0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`0W0?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3oool02`3oool00`00
0000oooo0?ooo`270?ooo`004P3oool00`000000oooo000000080?ooo`030000003oool0oooo0080
oooo0P00000Z0?ooo`030000003oool0oooo03P0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`280?ooo`004P3oool2000000L0oooo0P0000030?ooo`800000;03oool00`000000oooo
0?ooo`0h0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0R03oool00140oooo00<0
00000?ooo`0000001P3oool010000000oooo0?ooo`3oool2000002h0oooo00<000000?ooo`3oool0
>@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo08T0oooo000A0?ooo`8000001P3o
ool01@000000oooo0?ooo`3oool000000300oooo00<000000?ooo`3oool0>@3oool00`000000oooo
0?ooo`070?ooo`030000003oool0oooo08T0oooo00030?ooo`8000002`3oool00`000000oooo0000
00040?ooo`8000000P3oool200000340oooo00<000000?ooo`3oool0>P3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo0740oooo0`00000F0?ooo`000P3oool010000000oooo0?ooo`00
000:0?ooo`800000103oool00`000000oooo0?ooo`02000003<0oooo00<000000?ooo`3oool0>P3o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0740oooo00@000000?ooo`3oool00000
5@3oool000@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`020?ooo`040000003o
ool00000000003D0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo0780oooo00@000000?ooo`3oool000005@3oool000D0oooo00<000000?ooo`3oool0
1`3oool200000080oooo1000000g0?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`1b0?ooo`<000005P3oool00080oooo00@000000?ooo`3oool00000
2@3oool01P000000oooo0?ooo`000000oooo000003T0oooo00<000000?ooo`3oool0?03oool01@00
0000oooo0?ooo`3oool0000007H0oooo00<000000?ooo`3oool05@3oool000<0oooo0P0000060?oo
o`D0000000@0oooo0000000000000000>P3oool00`000000oooo0?ooo`0l0?ooo`050000003oool0
oooo0?ooo`000000MP3oool3000000D0oooo0`00000=0?ooo`002P3oool8000003`0oooo00<00000
0?ooo`3oool0?@3oool00`000000oooo0000001n0?ooo`D00000303oool000T0oooo1`00000n0?oo
o`030000003oool0oooo03d0oooo00<000000?ooo`000000O@3oool7000000/0oooo00090?ooool0
00003@00000;0?ooo`002@3oool7000003h0oooo00<000000?ooo`3oool0?@3oool00`000000oooo
0000001m0?ooo`L000002`3oool000X0oooo1@0000000`3oool000000?ooo`0l0?ooo`030000003o
ool0oooo03d0oooo00<000000?ooo`000000O@3oool6000000`0oooo000;0?ooo`<000000`3oool2
000003/0oooo00<000000?ooo`3oool0?03oool01@000000oooo0?ooo`3oool0000007X0oooo0P00
00020?ooo`<000003@3oool001<0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`0l
0?ooo`050000003oool0oooo0?ooo`000000N@3oool00`000000oooo0?ooo`0B0?ooo`00503oool2
000003P0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo07@0oooo0P00000E0?ooo`005P3oool00`000000oooo0?ooo`0e0?ooo`030000003oool0oooo
03/0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`1c0?ooo`030000003oool0oooo
01D0oooo000G0?ooo`800000=@3oool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool0L03oool2000001P0oooo000I0?ooo`030000003oool0oooo0380oooo
00<000000?ooo`3oool0>P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo06l0oooo
00<000000?ooo`3oool0603oool001X0oooo0P00000b0?ooo`030000003oool0oooo03T0oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`1/0?ooo`8000006`3oool001`0oooo00<00000
0?ooo`3oool0;`3oool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool0J`3oool00`000000oooo0?ooo`0K0?ooo`007@3oool2000002l0oooo00<000000?oo
o`3oool0>03oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo06P0oooo0P00000N0?oo
o`007`3oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo03P0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`1W0?ooo`030000003oool0oooo01h0oooo000P0?ooo`800000
;03oool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0
I03oool200000240oooo000R0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool0=`3o
ool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo06<0oooo00<000000?ooo`3oool08@3o
ool002<0oooo0P00000Y0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool03@3oool0
0`000000oooo0?ooo`1P0?ooo`800000903oool002D0oooo00<000000?ooo`3oool09P3oool00`00
0000oooo0?ooo`0f0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0G`3oool00`00
0000oooo0?ooo`0T0?ooo`009P3oool2000002H0oooo00<000000?ooo`3oool0=@3oool00`000000
oooo0?ooo`0?0?ooo`030000003oool0oooo05`0oooo0P00000W0?ooo`00:03oool00`000000oooo
0?ooo`0S0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool03`3oool00`000000oooo
0?ooo`1K0?ooo`030000003oool0oooo02L0oooo000Y0?ooo`8000008`3oool00`000000oooo0?oo
o`0d0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0F03oool2000002X0oooo000[
0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`0A
0?ooo`030000003oool0oooo05L0oooo00<000000?ooo`3oool0:P3oool002`0oooo0P00000P0?oo
o`030000003oool0oooo03<0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`1D0?oo
o`800000;@3oool002h0oooo0P00000N0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3o
ool04`3oool00`000000oooo0?ooo`1B0?ooo`800000;`3oool00300oooo00<000000?ooo`3oool0
6`3oool00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0
D03oool00`000000oooo0?ooo`0_0?ooo`00<@3oool2000001/0oooo00<000000?ooo`3oool0<P3o
ool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo04h0oooo0P00000b0?ooo`00<`3oool0
0`000000oooo0?ooo`0H0?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool05`3oool0
0`000000oooo0?ooo`1<0?ooo`030000003oool0oooo0380oooo000d0?ooo`800000603oool00`00
0000oooo0?ooo`0a0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0BP3oool20000
03D0oooo000f0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0<03oool00`000000
oooo0?ooo`0I0?ooo`030000003oool0oooo04P0oooo00<000000?ooo`3oool0=@3oool003L0oooo
0P00000E0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool06@3oool00`000000oooo
0?ooo`160?ooo`800000>03oool003T0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?oo
o`0_0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool0A03oool00`000000oooo0?oo
o`0h0?ooo`00>P3oool200000180oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0K
0?ooo`030000003oool0oooo0480oooo0P00000k0?ooo`00?03oool00`000000oooo0?ooo`0?0?oo
o`030000003oool0oooo02h0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`100?oo
o`030000003oool0oooo03/0oooo000m0?ooo`8000003`3oool00`000000oooo0?ooo`0^0?ooo`03
0000003oool0oooo01d0oooo00<000000?ooo`3oool0?P3oool2000003h0oooo000o0?ooo`030000
003oool0oooo00`0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`0O0?ooo`030000
003oool0oooo03`0oooo00<000000?ooo`3oool0?P3oool00400oooo0P00000<0?ooo`030000003o
ool0oooo02d0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0j0?ooo`800000@@3o
ool00480oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0/0?ooo`030000003oool0
oooo0240oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`110?ooo`00@`3oool20000
00T0oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo
03H0oooo0P0000140?ooo`00A@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo02/0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo04@0
oooo00160?ooo`8000001P3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo02<0oooo
00<000000?ooo`3oool0<P3oool2000004L0oooo00180?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool0:P3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo0300oooo00<0
00000?ooo`3oool0A`3oool004T0oooo0P0000030?ooo`030000003oool0oooo02X0oooo00<00000
0?ooo`3oool09@3oool00`000000oooo0?ooo`0^0?ooo`800000BP3oool004/0oooo00@000000?oo
o`3oool00000:`3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo02`0oooo00<00000
0?ooo`3oool0BP3oool004`0oooo0`00000[0?ooo`030000003oool0oooo02L0oooo00<000000?oo
o`3oool0:P3oool2000004d0oooo001>0?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3o
ool0:@3oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo04d0oooo001>0?ooo`<00000
:03oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo02H0oooo0P00001@0?ooo`00CP3o
ool010000000oooo0?ooo`00000V0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0
903oool00`000000oooo0?ooo`1@0?ooo`00CP3oool010000000oooo0?ooo`3oool2000002@0oooo
00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`0R0?ooo`800000D`3oool004h0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo02d0oooo00<0
00000?ooo`3oool0803oool00`000000oooo0?ooo`1C0?ooo`00CP3oool00`000000oooo0?ooo`04
0?ooo`800000803oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo01h0oooo0P00001F
0?ooo`00CP3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo01`0oooo00<000000?oo
o`3oool0;`3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo05H0oooo001>0?ooo`03
0000003oool0oooo00L0oooo0P00000L0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3o
ool06P3oool2000005T0oooo001>0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0
603oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0
F@3oool004h0oooo00<000000?ooo`3oool02P3oool2000001P0oooo00<000000?ooo`3oool0<@3o
ool00`000000oooo0?ooo`0F0?ooo`800000G03oool004h0oooo00<000000?ooo`3oool0303oool0
0`000000oooo0?ooo`0D0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0503oool0
0`000000oooo0?ooo`1L0?ooo`00CP3oool00`000000oooo0?ooo`0=0?ooo`800000503oool00`00
0000oooo0?ooo`0c0?ooo`030000003oool0oooo0180oooo0P00001O0?ooo`00CP3oool00`000000
oooo0?ooo`0?0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0=@3oool00`000000
oooo0?ooo`0@0?ooo`030000003oool0oooo05l0oooo001>0?ooo`030000003oool0oooo0100oooo
0P00000@0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool03P3oool200000680oooo
001>0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0303oool00`000000oooo0?oo
o`0g0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0HP3oool004h0oooo00<00000
0?ooo`3oool04`3oool2000000`0oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?ooo`0:
0?ooo`800000I@3oool004h0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`080?oo
o`030000003oool0oooo03T0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`1U0?oo
o`00CP3oool00`000000oooo0?ooo`0F0?ooo`800000203oool00`000000oooo0?ooo`0i0?ooo`03
0000003oool0oooo00H0oooo0P00001X0?ooo`00CP3oool00`000000oooo0?ooo`0H0?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo06P0oooo001>0?ooo`030000003oool0oooo01T0oooo0P0000040?ooo`030000003o
ool0oooo03/0oooo00<000000?ooo`3oool00P3oool2000006/0oooo001>0?ooo`030000003oool0
oooo01/0oooo00@000000?ooo`3oool00000?`3oool010000000oooo0?ooo`00001]0?ooo`00CP3o
ool00`000000oooo0?ooo`0L0?ooo`<00000?`3oool3000006h0oooo001>0?ooo`030000003oool0
oooo01d0oooo0`00000m0?ooo`<00000K`3oool004h0oooo00<000000?ooo`3oool07@3oool01000
0000oooo0?ooo`00000k0?ooo`040000003oool0oooo000006l0oooo001>0?ooo`030000003oool0
oooo01`0oooo00<000000?ooo`3oool00P3oool2000003L0oooo0P0000040?ooo`030000003oool0
oooo06`0oooo001>0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`0c0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0K03oool004h0
oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`060?ooo`800000<@3oool2000000P0
oooo00<000000?ooo`3oool0J`3oool004h0oooo00<000000?ooo`3oool06`3oool00`000000oooo
0?ooo`080?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`1[0?ooo`00CP3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo00X0oooo0P00
000[0?ooo`800000303oool00`000000oooo0?ooo`1Z0?ooo`00CP3oool00`000000oooo0?ooo`0J
0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`0<
0?ooo`030000003oool0oooo06X0oooo001>0?ooo`030000003oool0oooo01T0oooo00<000000?oo
o`3oool03P3oool2000002D0oooo0P00000@0?ooo`030000003oool0oooo06T0oooo001>0?ooo`03
0000003oool0oooo01T0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0Q0?ooo`03
0000003oool0oooo0100oooo00<000000?ooo`3oool0J@3oool004h0oooo00<000000?ooo`3oool0
603oool00`000000oooo0?ooo`0B0?ooo`8000007`3oool2000001@0oooo00<000000?ooo`3oool0
J03oool004h0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo01/0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`1X0?ooo`00CP3oool0
0`000000oooo0?ooo`0G0?ooo`030000003oool0oooo01H0oooo0P00000I0?ooo`800000603oool0
0`000000oooo0?ooo`1W0?ooo`00CP3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo
01P0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo
06L0oooo001>0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool06P3oool2000001<0
oooo0P00000L0?ooo`030000003oool0oooo06H0oooo001>0?ooo`030000003oool0oooo01H0oooo
00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo01`0oooo
00<000000?ooo`3oool0IP3oool004h0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?oo
o`0N0?ooo`8000003@3oool200000200oooo00<000000?ooo`3oool0I@3oool004h0oooo00<00000
0?ooo`3oool05@3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo00T0oooo00<00000
0?ooo`3oool0803oool00`000000oooo0?ooo`1U0?ooo`00CP3oool00`000000oooo0?ooo`0D0?oo
o`030000003oool0oooo0280oooo0P0000070?ooo`800000903oool00`000000oooo0?ooo`1T0?oo
o`00CP3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo06@0oooo001>0?ooo`030000
003oool0oooo01<0oooo00<000000?ooo`3oool09P3oool2000000030?ooo`000000000002P0oooo
00<000000?ooo`3oool0H`3oool004h0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?oo
o`0X0?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3oool0H`3oool004h0oooo00<00000
0?ooo`3oool04P3oool00`000000oooo0?ooo`0W0?ooo`80000000<0oooo000000000000:@3oool0
0`000000oooo0?ooo`1R0?ooo`00CP3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo
02H0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0V0?ooo`030000003oool0oooo
0680oooo001>0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool09@3oool2000000L0
oooo0P00000W0?ooo`030000003oool0oooo0640oooo001>0?ooo`030000003oool0oooo0140oooo
00<000000?ooo`3oool0903oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo02@0oooo
00<000000?ooo`3oool0H@3oool004h0oooo00<000000?ooo`3oool0403oool00`000000oooo0?oo
o`0S0?ooo`8000003@3oool2000002D0oooo00<000000?ooo`3oool0H03oool004h0oooo00<00000
0?ooo`3oool0403oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo00l0oooo00<00000
0?ooo`3oool08P3oool00`000000oooo0?ooo`1P0?ooo`00CP3oool00`000000oooo0?ooo`0?0?oo
o`030000003oool0oooo0240oooo0P00000C0?ooo`8000008`3oool00`000000oooo0?ooo`1O0?oo
o`00CP3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3o
ool05@3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo05l0oooo001>0?ooo`030000
003oool0oooo00h0oooo00<000000?ooo`3oool07`3oool2000001T0oooo0P00000Q0?ooo`030000
003oool0oooo05h0oooo001>0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool07P3o
ool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0GP3o
ool004h0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0M0?ooo`8000007`3oool2
000001l0oooo00<000000?ooo`3oool0G@3oool004h0oooo00<000000?ooo`3oool03@3oool00`00
0000oooo0?ooo`0L0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool0703oool00`00
0000oooo0?ooo`1M0?ooo`00CP3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo01/0
oooo0P00000U0?ooo`8000007@3oool00`000000oooo0?ooo`1L0?ooo`00CP3oool00`000000oooo
0?ooo`0<0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool09`3oool00`000000oooo
0?ooo`0J0?ooo`030000003oool0oooo05`0oooo001>0?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool06@3oool2000002/0oooo0P00000K0?ooo`030000003oool0oooo05/0oooo001>
0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0]
0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0F`3oool004h0oooo00<000000?oo
o`3oool02P3oool00`000000oooo0?ooo`0G0?ooo`800000<@3oool2000001T0oooo00<000000?oo
o`3oool0FP3oool004h0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0F0?ooo`03
0000003oool0oooo03<0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`1J0?ooo`00
CP3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo01D0oooo0P00000g0?ooo`800000
5`3oool00`000000oooo0?ooo`1I0?ooo`00CP3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo01@0oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo05T0oooo001>0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool04`3oool2
000003d0oooo0P00000E0?ooo`030000003oool0oooo05P0oooo001>0?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool04@3oool200000440oooo0P00000C0?ooo`030000003oool0oooo
05P0oooo001>0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool04@3oool00`000000
oooo0?ooo`130?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0E`3oool004h0oooo
00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0?0?ooo`800000A`3oool200000140oooo
00<000000?ooo`3oool0E`3oool004h0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`0?0?ooo`030000003oool0oooo04T0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?oo
o`1F0?ooo`00CP3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00d0oooo0P00001=
0?ooo`8000003`3oool00`000000oooo0?ooo`1F0?ooo`00CP3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00d0oooo00<000000?ooo`3oool0C`3oool00`000000oooo0?ooo`0=0?oo
o`030000003oool0oooo05D0oooo001>0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool02`3oool2000005<0oooo0P00000=0?ooo`030000003oool0oooo05D0oooo001>0?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`1E0?ooo`030000
003oool0oooo00/0oooo00<000000?ooo`3oool0E03oool004h0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`090?ooo`800000F@3oool2000000/0oooo00<000000?ooo`3oool0E03o
ool004h0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003oool0
oooo05/0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`1C0?ooo`00CP3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00L0oooo0P00001O0?ooo`8000002@3oool00`00
0000oooo0?ooo`1C0?ooo`00CP3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool0H@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0580
oooo001>0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01@3oool2000006D0oooo
0P0000070?ooo`030000003oool0oooo0580oooo00130?ooo`@000001`3oool01@000000oooo0?oo
o`3oool0000000L0oooo00<000000?ooo`3oool0I`3oool600000080oooo00<000000?ooo`3oool0
D@3oool004<0oooo00<000000?ooo`3oool0203oool01@000000oooo0?ooo`3oool0000000D0oooo
0P00001[0?ooo`<00000103oool00`000000oooo0?ooo`1A0?ooo`00A03oool00`000000oooo0?oo
o`070?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool0K@3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo0500oooo00150?ooo`030000003oool0oooo00H0oooo00@0
00000?ooo`3oool000000`3oool200000700oooo0`0000030?ooo`030000003oool0oooo0500oooo
00130?ooo`040000003oool0oooo000000L0oooo00<000000?ooo`0000000`3oool00`000000oooo
0?ooo`1`0?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool0C`3oool004@0oooo
0P0000070?ooo`@0000000<0oooo000000000000LP3oool2000000<0oooo0P0000000`3oool00000
00000002000004h0oooo001<0?ooo`H00000N`3oool6000004d0oooo001;0?ooo`L00000N`3oool7
000004`0oooo001;0?ooohT00000C03oool004/0oooo1`00001k0?ooo`L00000C03oool004`0oooo
1@00001m0?ooo`D00000C@3oool004d0oooo0`00001o0?ooo`<00000CP3oool00?l0oooo8@3oool0
0?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool0
0?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool0
0001\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-0.0500054, 0.0169824, \
0.00383279, 0.00336597}}],

Cell[BoxData[
    \({{1, 2}, {2, 6}, {3, 6}, {1, 3}, {1, 4}, {2, 4}, {2, 5}, {3, 5}, {3, 
        5}, {4, 5}, {3, 4}, {3, 4}}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{12}, {12, 18, 24, \(-20\), \(-16\), \(-6\), 4, 22, \(-8\), 
            2, \(-10\), 14}};\)\), "\[IndentingNewLine]", 
    \(fGraphKL[DD]\)}], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0454545 0.909091 -0.0175847 1.03517 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 0 0 r
.005 w
[ ] 0 setdash
.72727 .94824 m
.27273 .94824 L
s
.72727 .94824 m
.04545 .5 L
s
.72727 .94824 m
.27273 .05176 L
s
.27273 .94824 m
.27273 .05176 L
s
.27273 .94824 m
.72727 .05176 L
s
.27273 .94824 m
.95455 .5 L
s
.04545 .5 m
.14597 .26725 L
.27273 .05176 L
s
.04545 .5 m
.17221 .28451 L
.27273 .05176 L
s
.04545 .5 m
.37324 .25 L
.72727 .05176 L
s
.04545 .5 m
.39949 .30176 L
.72727 .05176 L
s
.04545 .5 m
.95455 .5 L
s
.27273 .05176 m
.72727 .05176 L
s
.025 w
.72727 .94824 Mdot
[(1)] .70727 .92824 1 0 Mshowa
.27273 .94824 Mdot
[(2)] .25273 .92824 1 0 Mshowa
.04545 .5 Mdot
[(3)] .02545 .48 1 0 Mshowa
.27273 .05176 Mdot
[(4)] .25273 .03176 1 0 Mshowa
.72727 .05176 Mdot
[(5)] .70727 .03176 1 0 Mshowa
.95455 .5 Mdot
[(6)] .93455 .48 1 0 Mshowa
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00A@3oool3000007h0oooo0P00001H0?ooo`00AP3o
ool00`000000oooo0?ooo`1l0?ooo`040000003oool0oooo000005L0oooo00130?ooo`D00000P03o
ool00`000000oooo0?ooo`1E0?ooo`00@`3oool010000000oooo0?ooo`00001o0?ooo`800000F03o
ool004@0oooo00<000000?ooo`0000001P3oool3000007H0oooo00<000000?ooo`3oool01P3oool3
000004h0oooo00150?ooo`8000001@3oool5000007D0oooo0`0000050?ooo`D00000C@3oool004/0
oooo1`00001k0?ooo`L00000C03oool004/0ooooR@00001<0?ooo`00B`3oool7000007/0oooo1`00
001<0?ooo`00C03oool5000007/0oooo1`00001=0?ooo`00C03oool5000007T0oooo0`0000000`3o
ool0000000000002000004h0oooo001<0?ooo`050000003oool000000?ooo`000000N03oool00`00
0000oooo000000020?ooo`030000003oool0oooo04l0oooo001;0?ooo`80000000D0oooo0000003o
ool0oooo0000001e0?ooo`@000000P3oool00`000000oooo0?ooo`1@0?ooo`00BP3oool200000080
oooo00@000000?ooo`3oool00000L`3oool2000000030?ooo`000000oooo00<0oooo00<000000?oo
o`3oool0D03oool004X0oooo0P0000020?ooo`050000003oool0oooo0?ooo`000000L03oool20000
0080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`1A0?ooo`00B@3oool00`000000
oooo000000020?ooo`050000003oool0oooo0?ooo`000000KP3oool200000080oooo0P0000050?oo
o`030000003oool0oooo0540oooo00190?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo06X0oooo00D000000?ooo`3oool0oooo000000060?ooo`030000003oool0oooo
0580oooo00180?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`1X0?ooo`8000000`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0580
oooo00170?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`1U0?ooo`8000000`3oool2000000L0oooo00<000000?ooo`3oool0D`3oool004L0oooo00<0
00000?ooo`000000103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo06<0oooo0P00
00040?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0D`3oool004H0oooo00<00000
0?ooo`0000001@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0640oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo05@0oooo00160?oo
o`030000003oool0000000D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`1O0?oo
o`8000001@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo05@0oooo00150?ooo`04
0000003oool0oooo000000D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`1L0?oo
o`8000001@3oool2000000X0oooo00<000000?ooo`3oool0E@3oool004@0oooo00@000000?ooo`3o
ool000001P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo05X0oooo0P0000060?oo
o`030000003oool0oooo00X0oooo00<000000?ooo`3oool0E@3oool004@0oooo00@000000?ooo`3o
ool000001P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo05L0oooo0P0000070?oo
o`030000003oool0oooo00X0oooo00<000000?ooo`3oool0EP3oool004<0oooo00@000000?ooo`3o
ool000001`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo05H0oooo00<000000?oo
o`3oool01@3oool2000000d0oooo00<000000?ooo`3oool0EP3oool004<0oooo00@000000?ooo`3o
ool000001`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo05<0oooo0P0000070?oo
o`030000003oool0oooo00`0oooo00<000000?ooo`3oool0E`3oool00480oooo00@000000?ooo`3o
ool00000203oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0540oooo0P0000080?oo
o`030000003oool0oooo00d0oooo00<000000?ooo`3oool0E`3oool00440oooo00D000000?ooo`3o
ool0oooo000000080?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0CP3oool20000
00P0oooo0P00000?0?ooo`030000003oool0oooo05P0oooo00110?ooo`040000003oool0oooo0000
00T0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`1=0?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`1H0?ooo`00@03oool01@000000
oooo0?ooo`3oool0000000T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`1:0?oo
o`8000002@3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo05T0oooo00100?ooo`05
0000003oool0oooo0?ooo`0000002@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
04P0oooo0P00000:0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0F@3oool003l0
oooo00D000000?ooo`3oool0oooo0000000:0?ooo`030000003oool0oooo00X0oooo00<000000?oo
o`3oool0A@3oool2000000X0oooo0P00000B0?ooo`030000003oool0oooo05X0oooo000n0?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0:0?ooo`03
0000003oool0oooo04@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0B0?ooo`03
0000003oool0oooo05X0oooo000n0?ooo`050000003oool0oooo0?ooo`0000002`3oool00`000000
oooo0?ooo`0;0?ooo`030000003oool0oooo0440oooo0P00000;0?ooo`030000003oool0oooo0180
oooo00<000000?ooo`3oool0F`3oool003d0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`090?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0?`3oool2000000/0oooo
0P00000E0?ooo`030000003oool0oooo05/0oooo000m0?ooo`050000003oool0oooo0?ooo`000000
303oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo03`0oooo0P00000<0?ooo`030000
003oool0oooo01@0oooo00<000000?ooo`3oool0G03oool003`0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0>P3o
ool2000000d0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`1L0?ooo`00>`3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool03@3oool0
0`000000oooo0?ooo`0h0?ooo`030000003oool0oooo00/0oooo0P00000G0?ooo`030000003oool0
oooo05d0oooo000k0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02`3oool00`00
0000oooo0?ooo`0=0?ooo`030000003oool0oooo03H0oooo0P00000=0?ooo`030000003oool0oooo
01L0oooo00<000000?ooo`3oool0G@3oool003X0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`0;0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0<`3oool2000000h0
oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`1N0?ooo`00>P3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool03P3oool00`000000oooo
0?ooo`0a0?ooo`8000003P3oool2000001X0oooo00<000000?ooo`3oool0GP3oool003T0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00l0oooo00<0
00000?ooo`3oool0;`3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo01T0oooo00<0
00000?ooo`3oool0G`3oool003T0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0=
0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0;@3oool2000000l0oooo00<00000
0?ooo`3oool06P3oool00`000000oooo0?ooo`1O0?ooo`00>03oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo00d0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0Z0?oo
o`800000403oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo0600oooo000g0?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0@0?ooo`03
0000003oool0oooo02P0oooo0P00000@0?ooo`8000007@3oool00`000000oooo0?ooo`1P0?ooo`00
=`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0
4@3oool00`000000oooo0?ooo`0V0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0
703oool00`000000oooo0?ooo`1Q0?ooo`00=P3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00h0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0T0?ooo`8000004@3o
ool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo0640oooo000f0?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0
oooo0240oooo0P00000A0?ooo`8000007`3oool00`000000oooo0?ooo`1R0?ooo`00=@3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool04P3oool00`00
0000oooo0?ooo`0O0?ooo`8000004P3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo
0680oooo000d0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0403oool00`000000
oooo0?ooo`0C0?ooo`030000003oool0oooo01`0oooo0P00000C0?ooo`030000003oool0oooo01l0
oooo00<000000?ooo`3oool0H`3oool003@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`0@0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool06`3oool00`000000oooo
0?ooo`0A0?ooo`8000008P3oool00`000000oooo0?ooo`1S0?ooo`00<`3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0503oool00`000000oooo0?oo
o`0H0?ooo`8000004`3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo06@0oooo000c
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0D
0?ooo`030000003oool0oooo01H0oooo0P00000D0?ooo`030000003oool0oooo0280oooo00<00000
0?ooo`3oool0I03oool00380oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0A0?oo
o`030000003oool0oooo01D0oooo00<000000?ooo`3oool04`3oool2000001@0oooo0P00000T0?oo
o`030000003oool0oooo06D0oooo000a0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool04P3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3o
ool04`3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo06D0oooo000a0?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0F0?ooo`030000
003oool0oooo00l0oooo0P00000E0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool0
IP3oool00300oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0C0?ooo`030000003o
ool0oooo01H0oooo00<000000?ooo`3oool03@3oool2000001H0oooo00<000000?ooo`3oool09@3o
ool00`000000oooo0?ooo`1V0?ooo`00<03oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo01<0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0:0?ooo`8000005P3oool2
000002L0oooo00<000000?ooo`3oool0I`3oool002l0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`0D0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0203oool20000
01L0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`1W0?ooo`00;P3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0603oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool09`3oool00`000000
oooo0?ooo`1X0?ooo`00;P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo01@0oooo
00<000000?ooo`3oool0603oool00`000000oooo0?ooo`040?ooo`8000005`3oool2000002X0oooo
00<000000?ooo`3oool0J03oool002d0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`0E0?ooo`030000003oool0oooo01T0oooo00@000000?ooo`3oool0oooo0P00000H0?ooo`030000
003oool0oooo02T0oooo00<000000?ooo`3oool0J@3oool002d0oooo00<000000?ooo`3oool01P3o
ool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01T0oooo00@000000?ooo`0000000000
6@3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo06T0oooo000/0?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0J0?ooo`030000003o
ool0oooo01L0oooo0P00000/0?ooo`030000003oool0oooo06X0oooo000[0?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0I0?ooo`800000603oool0
0`000000oooo0?ooo`0/0?ooo`030000003oool0oooo06X0oooo000[0?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0G0?ooo`8000000P3oool00`00
0000oooo0?ooo`0D0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool0J`3oool002X0
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo01H0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo02d0
oooo00<000000?ooo`3oool0J`3oool002X0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`0G0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`0@0?ooo`800000;`3oool00`000000oooo0?ooo`1/0?ooo`00:@3oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool04`3oool2000000L0oooo00<0
00000?ooo`3oool03`3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo06`0oooo000Y
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0B
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0_
0?ooo`030000003oool0oooo06d0oooo000X0?ooo`030000003oool0oooo00L0oooo00<000000?oo
o`3oool06@3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool02`3oool200000380oooo00<000000?ooo`3oool0K@3oool002P0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo00l0oooo0P00000=0?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`1^0?ooo`00
9`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0
3P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
<P3oool00`000000oooo0?ooo`1^0?ooo`009`3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo01X0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0?0?ooo`030000003o
ool0oooo00D0oooo0P00000d0?ooo`030000003oool0oooo06l0oooo000V0?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0;0?ooo`8000004P3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3oool0K`3oool0
02H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo
00X0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
03@0oooo00<000000?ooo`3oool0L03oool002H0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`0L0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0503oool00`000000
oooo0?ooo`02000003L0oooo00<000000?ooo`3oool0L03oool002D0oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
5P3oool2000003P0oooo00<000000?ooo`3oool0L@3oool002D0oooo00<000000?ooo`3oool01P3o
ool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo00H0oooo0P00000I0?ooo`030000003o
ool0oooo03L0oooo00<000000?ooo`3oool0L@3oool002@0oooo00<000000?ooo`3oool01`3oool0
0`000000oooo0?ooo`0M0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool05`3oool2
000000030?ooo`000000oooo03H0oooo00<000000?ooo`3oool0LP3oool002@0oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool05P3oool2000000<0oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`1b0?oo
o`00903oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3o
ool00P3oool2000001L0oooo0P0000060?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3o
ool0L`3oool002<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0O0?ooo`050000
003oool0oooo0?ooo`000000603oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo03<0
oooo00<000000?ooo`3oool0L`3oool002<0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`0P0?ooo`040000003oool0oooo000001L0oooo0P00000:0?ooo`030000003oool0oooo0340
oooo00<000000?ooo`3oool0M03oool00280oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`0P0?ooo`<000005P3oool2000000`0oooo00<000000?ooo`3oool0<@3oool00`000000oooo
0?ooo`1d0?ooo`008P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0240oooo00<0
00000?ooo`3oool0503oool2000000l0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?oo
o`1e0?ooo`008@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0240oooo0P00000D
0?ooo`8000004@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo07D0oooo000Q0?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0803oool00`000000oooo0000000C0?oo
o`030000003oool0oooo0180oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`1f0?oo
o`008@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo01l0oooo0P0000020?ooo`03
0000003oool0oooo00l0oooo0P00000E0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3o
ool0MP3oool00200oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0N0?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool03@3oool2000001P0oooo00<000000?ooo`3oool0
:`3oool00`000000oooo0?ooo`1g0?ooo`00803oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo01h0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0;0?ooo`8000006P3o
ool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo07L0oooo000O0?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool0703oool2000000H0oooo00<000000?ooo`3oool02P3oool0
0`000000oooo0?ooo`0K0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool0N03oool0
01l0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool0203oool2000001h0oooo00<000000?ooo`3oool0:@3oool00`00
0000oooo0?ooo`1h0?ooo`007`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01`0
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`8000008@3oool00`000000
oooo0?ooo`0W0?ooo`030000003oool0oooo07T0oooo000N0?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool06P3oool2000000X0oooo00<000000?ooo`3oool0103oool2000002<0oooo
00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`1i0?ooo`007P3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?oo
o`020?ooo`8000009P3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo07X0oooo000M
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0;
0?ooo`050000003oool0oooo0?ooo`000000:03oool00`000000oooo0?ooo`0U0?ooo`030000003o
ool0oooo07X0oooo000M0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0603oool2
000000h0oooo00@000000?ooo`0000000000:P3oool00`000000oooo0?ooo`0S0?ooo`030000003o
ool0oooo07/0oooo000L0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0603oool0
0`000000oooo0?ooo`0>0?ooo`800000;03oool00`000000oooo0?ooo`0S0?ooo`030000003oool0
oooo07/0oooo000L0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool05`3oool00`00
0000oooo0?ooo`0=0?ooo`<00000;P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo
07`0oooo000L0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool05`3oool00`000000
oooo0?ooo`0=0?ooo`040000003oool0oooo000002h0oooo00<000000?ooo`3oool08@3oool00`00
0000oooo0?ooo`1l0?ooo`006`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01D0
oooo0P00000>0?ooo`8000000`3oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo01l0
oooo00<000000?ooo`3oool0O@3oool001/0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`0E0?ooo`030000003oool0oooo00`0oooo0P0000050?ooo`030000003oool0oooo02d0oooo
00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`1m0?ooo`006P3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool02`3oool2000000L0oooo00<0
00000?ooo`3oool0;P3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo07h0oooo000J
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool04`3oool2000000d0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo01d0oooo00<00000
0?ooo`3oool0OP3oool001X0oooo00D000000?ooo`3oool0oooo0000000E0?ooo`030000003oool0
oooo00/0oooo0P00000:0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool06`3oool0
0`000000oooo0?ooo`1o0?ooo`006@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
0180oooo00<000000?ooo`3oool02P3oool2000000`0oooo00<000000?ooo`3oool0;`3oool00`00
0000oooo0?ooo`0K0?ooo`030000003oool0oooo07l0oooo000I0?ooo`050000003oool0oooo0?oo
o`0000004`3oool2000000/0oooo0P00000>0?ooo`030000003oool0oooo0300oooo00<000000?oo
o`3oool06@3oool00`000000oooo0?ooo`200?ooo`00603oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo0100oooo00<000000?ooo`3oool02@3oool200000100oooo00<000000?ooo`3o
ool0<03oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo0800oooo000H0?ooo`050000
003oool0oooo0?ooo`0000004P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo0100
oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo0840
oooo000G0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool03P3oool2000000X0oooo
0P00000C0?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool05`3oool00`000000oooo
0?ooo`210?ooo`005`3oool01@000000oooo0?ooo`3oool000000100oooo00<000000?ooo`3oool0
203oool2000001D0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0E0?ooo`030000
003oool0oooo0880oooo000G0?ooo`040000003oool0oooo00000100oooo00<000000?ooo`3oool0
1`3oool2000001L0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0E0?ooo`030000
003oool0oooo0880oooo000F0?ooo`050000003oool0oooo0?ooo`0000003`3oool00`000000oooo
0?ooo`070?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0<`3oool00`000000oooo
0?ooo`0C0?ooo`030000003oool0oooo08<0oooo000F0?ooo`040000003oool0oooo000000h0oooo
0P0000080?ooo`8000006P3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo01<0oooo
00<000000?ooo`3oool0P`3oool001D0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`030000
003oool0oooo00H0oooo0P00000L0?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3oool0
4@3oool00`000000oooo0?ooo`240?ooo`005@3oool010000000oooo0?ooo`00000=0?ooo`030000
003oool0oooo00D0oooo0P00000N0?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3oool0
4@3oool00`000000oooo0?ooo`240?ooo`005@3oool00`000000oooo0000000<0?ooo`8000001`3o
ool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool03`3o
ool00`000000oooo0?ooo`250?ooo`00503oool010000000oooo0?ooo`00000;0?ooo`030000003o
ool0oooo00D0oooo0P00000Q0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool03`3o
ool00`000000oooo0?ooo`250?ooo`00503oool00`000000oooo0000000;0?ooo`030000003oool0
oooo00@0oooo0P00000S0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool03@3oool0
0`000000oooo0?ooo`260?ooo`004`3oool010000000oooo0?ooo`0000090?ooo`8000001@3oool2
000002D0oooo00<000000?ooo`3oool0=P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0
oooo08H0oooo000C0?ooo`030000003oool0000000T0oooo00<000000?ooo`3oool00`3oool20000
02L0oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
08L0oooo000B0?ooo`040000003oool0oooo000000P0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`0W0?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3oool02`3oool00`00
0000oooo0?ooo`270?ooo`004P3oool00`000000oooo000000080?ooo`030000003oool0oooo0080
oooo0P00000Z0?ooo`030000003oool0oooo03P0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`280?ooo`004P3oool2000000L0oooo0P0000030?ooo`800000;03oool00`000000oooo
0?ooo`0h0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0R03oool00140oooo00<0
00000?ooo`0000001P3oool010000000oooo0?ooo`3oool2000002h0oooo00<000000?ooo`3oool0
>@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo08T0oooo000A0?ooo`8000001P3o
ool01@000000oooo0?ooo`3oool000000300oooo00<000000?ooo`3oool0>@3oool00`000000oooo
0?ooo`070?ooo`030000003oool0oooo08T0oooo00030?ooo`8000002`3oool00`000000oooo0000
00040?ooo`8000000P3oool200000340oooo00<000000?ooo`3oool0>P3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo0740oooo0`00000F0?ooo`000P3oool010000000oooo0?ooo`00
000:0?ooo`800000103oool00`000000oooo0?ooo`02000003<0oooo00<000000?ooo`3oool0>P3o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0740oooo00@000000?ooo`3oool00000
5@3oool000@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`020?ooo`040000003o
ool00000000003D0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo0780oooo00@000000?ooo`3oool000005@3oool000D0oooo00<000000?ooo`3oool0
1`3oool200000080oooo1000000g0?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`1b0?ooo`<000005P3oool00080oooo00@000000?ooo`3oool00000
2@3oool01P000000oooo0?ooo`000000oooo000003T0oooo00<000000?ooo`3oool0?03oool01@00
0000oooo0?ooo`3oool0000007H0oooo00<000000?ooo`3oool05@3oool000<0oooo0P0000060?oo
o`D0000000@0oooo0000000000000000>P3oool00`000000oooo0?ooo`0l0?ooo`050000003oool0
oooo0?ooo`000000MP3oool3000000D0oooo0`00000=0?ooo`002P3oool8000003`0oooo00<00000
0?ooo`3oool0?@3oool00`000000oooo0000001n0?ooo`D00000303oool000T0oooo1`00000n0?oo
o`030000003oool0oooo03d0oooo00<000000?ooo`000000O@3oool7000000/0oooo00090?ooool0
00003@00000;0?ooo`002@3oool7000003h0oooo00<000000?ooo`3oool0?@3oool00`000000oooo
0000001m0?ooo`L000002`3oool000X0oooo1@0000000`3oool000000?ooo`0l0?ooo`030000003o
ool0oooo03d0oooo00<000000?ooo`000000O@3oool6000000`0oooo000;0?ooo`<000000`3oool2
000003/0oooo00<000000?ooo`3oool0?03oool01@000000oooo0?ooo`3oool0000007X0oooo0P00
00020?ooo`<000003@3oool001<0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`0l
0?ooo`050000003oool0oooo0?ooo`000000N@3oool00`000000oooo0?ooo`0B0?ooo`00503oool2
000003P0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo07@0oooo0P00000E0?ooo`005P3oool00`000000oooo0?ooo`0e0?ooo`030000003oool0oooo
03/0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`1c0?ooo`030000003oool0oooo
01D0oooo000G0?ooo`800000=@3oool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool0L03oool2000001P0oooo000I0?ooo`030000003oool0oooo0380oooo
00<000000?ooo`3oool0>P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo06l0oooo
00<000000?ooo`3oool0603oool001X0oooo0P00000b0?ooo`030000003oool0oooo03T0oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`1/0?ooo`8000006`3oool001`0oooo00<00000
0?ooo`3oool0;`3oool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool0J`3oool00`000000oooo0?ooo`0K0?ooo`007@3oool2000002l0oooo00<000000?oo
o`3oool0>03oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo06P0oooo0P00000N0?oo
o`007`3oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo03P0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`1W0?ooo`030000003oool0oooo01h0oooo000P0?ooo`800000
;03oool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0
I03oool200000240oooo000R0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool0=`3o
ool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo06<0oooo00<000000?ooo`3oool08@3o
ool002<0oooo0P00000Y0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool03@3oool0
0`000000oooo0?ooo`1P0?ooo`800000903oool002D0oooo00<000000?ooo`3oool09P3oool00`00
0000oooo0?ooo`0f0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0G`3oool00`00
0000oooo0?ooo`0T0?ooo`009P3oool2000002H0oooo00<000000?ooo`3oool0=@3oool00`000000
oooo0?ooo`0?0?ooo`030000003oool0oooo05`0oooo0P00000W0?ooo`00:03oool00`000000oooo
0?ooo`0S0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool03`3oool00`000000oooo
0?ooo`1K0?ooo`030000003oool0oooo02L0oooo000Y0?ooo`8000008`3oool00`000000oooo0?oo
o`0d0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0F03oool2000002X0oooo000[
0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`0A
0?ooo`030000003oool0oooo05L0oooo00<000000?ooo`3oool0:P3oool002`0oooo0P00000P0?oo
o`030000003oool0oooo03<0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`1D0?oo
o`800000;@3oool002h0oooo0P00000N0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3o
ool04`3oool00`000000oooo0?ooo`1B0?ooo`800000;`3oool00300oooo00<000000?ooo`3oool0
6`3oool00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0
D03oool00`000000oooo0?ooo`0_0?ooo`00<@3oool2000001/0oooo00<000000?ooo`3oool0<P3o
ool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo04h0oooo0P00000b0?ooo`00<`3oool0
0`000000oooo0?ooo`0H0?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool05`3oool0
0`000000oooo0?ooo`1<0?ooo`030000003oool0oooo0380oooo000d0?ooo`800000603oool00`00
0000oooo0?ooo`0a0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0BP3oool20000
03D0oooo000f0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0<03oool00`000000
oooo0?ooo`0I0?ooo`030000003oool0oooo04P0oooo00<000000?ooo`3oool0=@3oool003L0oooo
0P00000E0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool06@3oool00`000000oooo
0?ooo`160?ooo`800000>03oool003T0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?oo
o`0_0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool0A03oool00`000000oooo0?oo
o`0h0?ooo`00>P3oool200000180oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0K
0?ooo`030000003oool0oooo0480oooo0P00000k0?ooo`00?03oool00`000000oooo0?ooo`0?0?oo
o`030000003oool0oooo02h0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`100?oo
o`030000003oool0oooo03/0oooo000m0?ooo`8000003`3oool00`000000oooo0?ooo`0^0?ooo`03
0000003oool0oooo01d0oooo00<000000?ooo`3oool0?P3oool2000003h0oooo000o0?ooo`030000
003oool0oooo00`0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`0O0?ooo`030000
003oool0oooo03`0oooo00<000000?ooo`3oool0?P3oool00400oooo0P00000<0?ooo`030000003o
ool0oooo02d0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0j0?ooo`800000@@3o
ool00480oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0/0?ooo`030000003oool0
oooo0240oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`110?ooo`00@`3oool20000
00T0oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo
03H0oooo0P0000140?ooo`00A@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo02/0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo04@0
oooo00160?ooo`8000001P3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo02<0oooo
00<000000?ooo`3oool0<P3oool2000004L0oooo00180?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool0:P3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo0300oooo00<0
00000?ooo`3oool0A`3oool004T0oooo0P0000030?ooo`030000003oool0oooo02X0oooo00<00000
0?ooo`3oool09@3oool00`000000oooo0?ooo`0^0?ooo`800000BP3oool004/0oooo00@000000?oo
o`3oool00000:`3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo02`0oooo00<00000
0?ooo`3oool0BP3oool004`0oooo0`00000[0?ooo`030000003oool0oooo02L0oooo00<000000?oo
o`3oool0:P3oool2000004d0oooo001>0?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3o
ool0:@3oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo04d0oooo001>0?ooo`<00000
:03oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo02H0oooo0P00001@0?ooo`00CP3o
ool010000000oooo0?ooo`00000V0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0
903oool00`000000oooo0?ooo`1@0?ooo`00CP3oool010000000oooo0?ooo`3oool2000002@0oooo
00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`0R0?ooo`800000D`3oool004h0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo02d0oooo00<0
00000?ooo`3oool0803oool00`000000oooo0?ooo`1C0?ooo`00CP3oool00`000000oooo0?ooo`04
0?ooo`800000803oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo01h0oooo0P00001F
0?ooo`00CP3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo01`0oooo00<000000?oo
o`3oool0;`3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo05H0oooo001>0?ooo`03
0000003oool0oooo00L0oooo0P00000L0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3o
ool06P3oool2000005T0oooo001>0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0
603oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0
F@3oool004h0oooo00<000000?ooo`3oool02P3oool2000001P0oooo00<000000?ooo`3oool0<@3o
ool00`000000oooo0?ooo`0F0?ooo`800000G03oool004h0oooo00<000000?ooo`3oool0303oool0
0`000000oooo0?ooo`0D0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0503oool0
0`000000oooo0?ooo`1L0?ooo`00CP3oool00`000000oooo0?ooo`0=0?ooo`800000503oool00`00
0000oooo0?ooo`0c0?ooo`030000003oool0oooo0180oooo0P00001O0?ooo`00CP3oool00`000000
oooo0?ooo`0?0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0=@3oool00`000000
oooo0?ooo`0@0?ooo`030000003oool0oooo05l0oooo001>0?ooo`030000003oool0oooo0100oooo
0P00000@0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool03P3oool200000680oooo
001>0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0303oool00`000000oooo0?oo
o`0g0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0HP3oool004h0oooo00<00000
0?ooo`3oool04`3oool2000000`0oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?ooo`0:
0?ooo`800000I@3oool004h0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`080?oo
o`030000003oool0oooo03T0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`1U0?oo
o`00CP3oool00`000000oooo0?ooo`0F0?ooo`800000203oool00`000000oooo0?ooo`0i0?ooo`03
0000003oool0oooo00H0oooo0P00001X0?ooo`00CP3oool00`000000oooo0?ooo`0H0?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo06P0oooo001>0?ooo`030000003oool0oooo01T0oooo0P0000040?ooo`030000003o
ool0oooo03/0oooo00<000000?ooo`3oool00P3oool2000006/0oooo001>0?ooo`030000003oool0
oooo01/0oooo00@000000?ooo`3oool00000?`3oool010000000oooo0?ooo`00001]0?ooo`00CP3o
ool00`000000oooo0?ooo`0L0?ooo`<00000?`3oool3000006h0oooo001>0?ooo`030000003oool0
oooo01d0oooo0`00000m0?ooo`<00000K`3oool004h0oooo00<000000?ooo`3oool07@3oool01000
0000oooo0?ooo`00000k0?ooo`040000003oool0oooo000006l0oooo001>0?ooo`030000003oool0
oooo01`0oooo00<000000?ooo`3oool00P3oool2000003L0oooo0P0000040?ooo`030000003oool0
oooo06`0oooo001>0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`0c0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0K03oool004h0
oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`060?ooo`800000<@3oool2000000P0
oooo00<000000?ooo`3oool0J`3oool004h0oooo00<000000?ooo`3oool06`3oool00`000000oooo
0?ooo`080?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`1[0?ooo`00CP3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo00X0oooo0P00
000[0?ooo`800000303oool00`000000oooo0?ooo`1Z0?ooo`00CP3oool00`000000oooo0?ooo`0J
0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`0<
0?ooo`030000003oool0oooo06X0oooo001>0?ooo`030000003oool0oooo01T0oooo00<000000?oo
o`3oool03P3oool2000002D0oooo0P00000@0?ooo`030000003oool0oooo06T0oooo001>0?ooo`03
0000003oool0oooo01T0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0Q0?ooo`03
0000003oool0oooo0100oooo00<000000?ooo`3oool0J@3oool004h0oooo00<000000?ooo`3oool0
603oool00`000000oooo0?ooo`0B0?ooo`8000007`3oool2000001@0oooo00<000000?ooo`3oool0
J03oool004h0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo01/0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`1X0?ooo`00CP3oool0
0`000000oooo0?ooo`0G0?ooo`030000003oool0oooo01H0oooo0P00000I0?ooo`800000603oool0
0`000000oooo0?ooo`1W0?ooo`00CP3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo
01P0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo
06L0oooo001>0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool06P3oool2000001<0
oooo0P00000L0?ooo`030000003oool0oooo06H0oooo001>0?ooo`030000003oool0oooo01H0oooo
00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo01`0oooo
00<000000?ooo`3oool0IP3oool004h0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?oo
o`0N0?ooo`8000003@3oool200000200oooo00<000000?ooo`3oool0I@3oool004h0oooo00<00000
0?ooo`3oool05@3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo00T0oooo00<00000
0?ooo`3oool0803oool00`000000oooo0?ooo`1U0?ooo`00CP3oool00`000000oooo0?ooo`0D0?oo
o`030000003oool0oooo0280oooo0P0000070?ooo`800000903oool00`000000oooo0?ooo`1T0?oo
o`00CP3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo06@0oooo001>0?ooo`030000
003oool0oooo01<0oooo00<000000?ooo`3oool09P3oool2000000030?ooo`000000000002P0oooo
00<000000?ooo`3oool0H`3oool004h0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?oo
o`0X0?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3oool0H`3oool004h0oooo00<00000
0?ooo`3oool04P3oool00`000000oooo0?ooo`0W0?ooo`80000000<0oooo000000000000:@3oool0
0`000000oooo0?ooo`1R0?ooo`00CP3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo
02H0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0V0?ooo`030000003oool0oooo
0680oooo001>0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool09@3oool2000000L0
oooo0P00000W0?ooo`030000003oool0oooo0640oooo001>0?ooo`030000003oool0oooo0140oooo
00<000000?ooo`3oool0903oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo02@0oooo
00<000000?ooo`3oool0H@3oool004h0oooo00<000000?ooo`3oool0403oool00`000000oooo0?oo
o`0S0?ooo`8000003@3oool2000002D0oooo00<000000?ooo`3oool0H03oool004h0oooo00<00000
0?ooo`3oool0403oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo00l0oooo00<00000
0?ooo`3oool08P3oool00`000000oooo0?ooo`1P0?ooo`00CP3oool00`000000oooo0?ooo`0?0?oo
o`030000003oool0oooo0240oooo0P00000C0?ooo`8000008`3oool00`000000oooo0?ooo`1O0?oo
o`00CP3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3o
ool05@3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo05l0oooo001>0?ooo`030000
003oool0oooo00h0oooo00<000000?ooo`3oool07`3oool2000001T0oooo0P00000Q0?ooo`030000
003oool0oooo05h0oooo001>0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool07P3o
ool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0GP3o
ool004h0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0M0?ooo`8000007`3oool2
000001l0oooo00<000000?ooo`3oool0G@3oool004h0oooo00<000000?ooo`3oool03@3oool00`00
0000oooo0?ooo`0L0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool0703oool00`00
0000oooo0?ooo`1M0?ooo`00CP3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo01/0
oooo0P00000U0?ooo`8000007@3oool00`000000oooo0?ooo`1L0?ooo`00CP3oool00`000000oooo
0?ooo`0<0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool09`3oool00`000000oooo
0?ooo`0J0?ooo`030000003oool0oooo05`0oooo001>0?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool06@3oool2000002/0oooo0P00000K0?ooo`030000003oool0oooo05/0oooo001>
0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0]
0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0F`3oool004h0oooo00<000000?oo
o`3oool02P3oool00`000000oooo0?ooo`0G0?ooo`800000<@3oool2000001T0oooo00<000000?oo
o`3oool0FP3oool004h0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0F0?ooo`03
0000003oool0oooo03<0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`1J0?ooo`00
CP3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo01D0oooo0P00000g0?ooo`800000
5`3oool00`000000oooo0?ooo`1I0?ooo`00CP3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo01@0oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo05T0oooo001>0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool04`3oool2
000003d0oooo0P00000E0?ooo`030000003oool0oooo05P0oooo001>0?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool04@3oool200000440oooo0P00000C0?ooo`030000003oool0oooo
05P0oooo001>0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool04@3oool00`000000
oooo0?ooo`130?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0E`3oool004h0oooo
00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0?0?ooo`800000A`3oool200000140oooo
00<000000?ooo`3oool0E`3oool004h0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`0?0?ooo`030000003oool0oooo04T0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?oo
o`1F0?ooo`00CP3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00d0oooo0P00001=
0?ooo`8000003`3oool00`000000oooo0?ooo`1F0?ooo`00CP3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00d0oooo00<000000?ooo`3oool0C`3oool00`000000oooo0?ooo`0=0?oo
o`030000003oool0oooo05D0oooo001>0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool02`3oool2000005<0oooo0P00000=0?ooo`030000003oool0oooo05D0oooo001>0?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`1E0?ooo`030000
003oool0oooo00/0oooo00<000000?ooo`3oool0E03oool004h0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`090?ooo`800000F@3oool2000000/0oooo00<000000?ooo`3oool0E03o
ool004h0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003oool0
oooo05/0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`1C0?ooo`00CP3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00L0oooo0P00001O0?ooo`8000002@3oool00`00
0000oooo0?ooo`1C0?ooo`00CP3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool0H@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0580
oooo001>0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01@3oool2000006D0oooo
0P0000070?ooo`030000003oool0oooo0580oooo00130?ooo`@000001`3oool01@000000oooo0?oo
o`3oool0000000L0oooo00<000000?ooo`3oool0I`3oool600000080oooo00<000000?ooo`3oool0
D@3oool004<0oooo00<000000?ooo`3oool0203oool01@000000oooo0?ooo`3oool0000000D0oooo
0P00001[0?ooo`<00000103oool00`000000oooo0?ooo`1A0?ooo`00A03oool00`000000oooo0?oo
o`070?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool0K@3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo0500oooo00150?ooo`030000003oool0oooo00H0oooo00@0
00000?ooo`3oool000000`3oool200000700oooo0`0000030?ooo`030000003oool0oooo0500oooo
00130?ooo`040000003oool0oooo000000L0oooo00<000000?ooo`0000000`3oool00`000000oooo
0?ooo`1`0?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool0C`3oool004@0oooo
0P0000070?ooo`@0000000<0oooo000000000000LP3oool2000000<0oooo0P0000000`3oool00000
00000002000004h0oooo001<0?ooo`H00000N`3oool6000004d0oooo001;0?ooo`L00000N`3oool7
000004`0oooo001;0?ooohT00000C03oool004/0oooo1`00001k0?ooo`L00000C03oool004`0oooo
1@00001m0?ooo`D00000C@3oool004d0oooo0`00001o0?ooo`<00000CP3oool00?l0oooo8@3oool0
0?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool0
0?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool0
0001\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-0.0500054, 0.0169824, \
0.00383279, 0.00336597}}],

Cell[BoxData[
    \({{1, 2}, {2, 6}, {3, 6}, {1, 3}, {1, 4}, {2, 4}, {2, 5}, {3, 5}, {3, 
        5}, {4, 5}, {3, 4}, {3, 4}}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata = {{12}, {\(-12\), \(-18\), \(-24\), 20, 16, 
            6, \(-4\), \(-23\), 8, \(-2\), 
            10, \(-15\)}};\)\), "\[IndentingNewLine]", 
    \(fGraphKL[pdata]\)}], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0454545 0.909091 -0.0175847 1.03517 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 0 0 r
.005 w
[ ] 0 setdash
.72727 .94824 m
.27273 .94824 L
s
.72727 .94824 m
.04545 .5 L
s
.72727 .94824 m
.27273 .05176 L
s
.27273 .94824 m
.27273 .05176 L
s
.27273 .94824 m
.72727 .05176 L
s
.27273 .94824 m
.95455 .5 L
s
.04545 .5 m
.14597 .26725 L
.27273 .05176 L
s
.04545 .5 m
.17221 .28451 L
.27273 .05176 L
s
.04545 .5 m
.37324 .25 L
.72727 .05176 L
s
.04545 .5 m
.39949 .30176 L
.72727 .05176 L
s
.04545 .5 m
.95455 .5 L
s
.27273 .05176 m
.72727 .05176 L
s
.025 w
.72727 .94824 Mdot
[(1)] .70727 .92824 1 0 Mshowa
.27273 .94824 Mdot
[(2)] .25273 .92824 1 0 Mshowa
.04545 .5 Mdot
[(3)] .02545 .48 1 0 Mshowa
.27273 .05176 Mdot
[(4)] .25273 .03176 1 0 Mshowa
.72727 .05176 Mdot
[(5)] .70727 .03176 1 0 Mshowa
.95455 .5 Mdot
[(6)] .93455 .48 1 0 Mshowa
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00A@3oool3000007h0oooo0P00001H0?ooo`00AP3o
ool00`000000oooo0?ooo`1l0?ooo`040000003oool0oooo000005L0oooo00130?ooo`D00000P03o
ool00`000000oooo0?ooo`1E0?ooo`00@`3oool010000000oooo0?ooo`00001o0?ooo`800000F03o
ool004@0oooo00<000000?ooo`0000001P3oool3000007H0oooo00<000000?ooo`3oool01P3oool3
000004h0oooo00150?ooo`8000001@3oool5000007D0oooo0`0000050?ooo`D00000C@3oool004/0
oooo1`00001k0?ooo`L00000C03oool004/0ooooR@00001<0?ooo`00B`3oool7000007/0oooo1`00
001<0?ooo`00C03oool5000007/0oooo1`00001=0?ooo`00C03oool5000007T0oooo0`0000000`3o
ool0000000000002000004h0oooo001<0?ooo`050000003oool000000?ooo`000000N03oool00`00
0000oooo000000020?ooo`030000003oool0oooo04l0oooo001;0?ooo`80000000D0oooo0000003o
ool0oooo0000001e0?ooo`@000000P3oool00`000000oooo0?ooo`1@0?ooo`00BP3oool200000080
oooo00@000000?ooo`3oool00000L`3oool2000000030?ooo`000000oooo00<0oooo00<000000?oo
o`3oool0D03oool004X0oooo0P0000020?ooo`050000003oool0oooo0?ooo`000000L03oool20000
0080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`1A0?ooo`00B@3oool00`000000
oooo000000020?ooo`050000003oool0oooo0?ooo`000000KP3oool200000080oooo0P0000050?oo
o`030000003oool0oooo0540oooo00190?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo06X0oooo00D000000?ooo`3oool0oooo000000060?ooo`030000003oool0oooo
0580oooo00180?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`1X0?ooo`8000000`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0580
oooo00170?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`1U0?ooo`8000000`3oool2000000L0oooo00<000000?ooo`3oool0D`3oool004L0oooo00<0
00000?ooo`000000103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo06<0oooo0P00
00040?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0D`3oool004H0oooo00<00000
0?ooo`0000001@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0640oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo05@0oooo00160?oo
o`030000003oool0000000D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`1O0?oo
o`8000001@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo05@0oooo00150?ooo`04
0000003oool0oooo000000D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`1L0?oo
o`8000001@3oool2000000X0oooo00<000000?ooo`3oool0E@3oool004@0oooo00@000000?ooo`3o
ool000001P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo05X0oooo0P0000060?oo
o`030000003oool0oooo00X0oooo00<000000?ooo`3oool0E@3oool004@0oooo00@000000?ooo`3o
ool000001P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo05L0oooo0P0000070?oo
o`030000003oool0oooo00X0oooo00<000000?ooo`3oool0EP3oool004<0oooo00@000000?ooo`3o
ool000001`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo05H0oooo00<000000?oo
o`3oool01@3oool2000000d0oooo00<000000?ooo`3oool0EP3oool004<0oooo00@000000?ooo`3o
ool000001`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo05<0oooo0P0000070?oo
o`030000003oool0oooo00`0oooo00<000000?ooo`3oool0E`3oool00480oooo00@000000?ooo`3o
ool00000203oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0540oooo0P0000080?oo
o`030000003oool0oooo00d0oooo00<000000?ooo`3oool0E`3oool00440oooo00D000000?ooo`3o
ool0oooo000000080?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0CP3oool20000
00P0oooo0P00000?0?ooo`030000003oool0oooo05P0oooo00110?ooo`040000003oool0oooo0000
00T0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`1=0?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`1H0?ooo`00@03oool01@000000
oooo0?ooo`3oool0000000T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`1:0?oo
o`8000002@3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo05T0oooo00100?ooo`05
0000003oool0oooo0?ooo`0000002@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
04P0oooo0P00000:0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0F@3oool003l0
oooo00D000000?ooo`3oool0oooo0000000:0?ooo`030000003oool0oooo00X0oooo00<000000?oo
o`3oool0A@3oool2000000X0oooo0P00000B0?ooo`030000003oool0oooo05X0oooo000n0?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0:0?ooo`03
0000003oool0oooo04@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0B0?ooo`03
0000003oool0oooo05X0oooo000n0?ooo`050000003oool0oooo0?ooo`0000002`3oool00`000000
oooo0?ooo`0;0?ooo`030000003oool0oooo0440oooo0P00000;0?ooo`030000003oool0oooo0180
oooo00<000000?ooo`3oool0F`3oool003d0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`090?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0?`3oool2000000/0oooo
0P00000E0?ooo`030000003oool0oooo05/0oooo000m0?ooo`050000003oool0oooo0?ooo`000000
303oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo03`0oooo0P00000<0?ooo`030000
003oool0oooo01@0oooo00<000000?ooo`3oool0G03oool003`0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0>P3o
ool2000000d0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`1L0?ooo`00>`3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool03@3oool0
0`000000oooo0?ooo`0h0?ooo`030000003oool0oooo00/0oooo0P00000G0?ooo`030000003oool0
oooo05d0oooo000k0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02`3oool00`00
0000oooo0?ooo`0=0?ooo`030000003oool0oooo03H0oooo0P00000=0?ooo`030000003oool0oooo
01L0oooo00<000000?ooo`3oool0G@3oool003X0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`0;0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0<`3oool2000000h0
oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`1N0?ooo`00>P3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool03P3oool00`000000oooo
0?ooo`0a0?ooo`8000003P3oool2000001X0oooo00<000000?ooo`3oool0GP3oool003T0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00l0oooo00<0
00000?ooo`3oool0;`3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo01T0oooo00<0
00000?ooo`3oool0G`3oool003T0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0=
0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0;@3oool2000000l0oooo00<00000
0?ooo`3oool06P3oool00`000000oooo0?ooo`1O0?ooo`00>03oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo00d0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0Z0?oo
o`800000403oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo0600oooo000g0?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0@0?ooo`03
0000003oool0oooo02P0oooo0P00000@0?ooo`8000007@3oool00`000000oooo0?ooo`1P0?ooo`00
=`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0
4@3oool00`000000oooo0?ooo`0V0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0
703oool00`000000oooo0?ooo`1Q0?ooo`00=P3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00h0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0T0?ooo`8000004@3o
ool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo0640oooo000f0?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0
oooo0240oooo0P00000A0?ooo`8000007`3oool00`000000oooo0?ooo`1R0?ooo`00=@3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool04P3oool00`00
0000oooo0?ooo`0O0?ooo`8000004P3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo
0680oooo000d0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0403oool00`000000
oooo0?ooo`0C0?ooo`030000003oool0oooo01`0oooo0P00000C0?ooo`030000003oool0oooo01l0
oooo00<000000?ooo`3oool0H`3oool003@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`0@0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool06`3oool00`000000oooo
0?ooo`0A0?ooo`8000008P3oool00`000000oooo0?ooo`1S0?ooo`00<`3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0503oool00`000000oooo0?oo
o`0H0?ooo`8000004`3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo06@0oooo000c
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0D
0?ooo`030000003oool0oooo01H0oooo0P00000D0?ooo`030000003oool0oooo0280oooo00<00000
0?ooo`3oool0I03oool00380oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0A0?oo
o`030000003oool0oooo01D0oooo00<000000?ooo`3oool04`3oool2000001@0oooo0P00000T0?oo
o`030000003oool0oooo06D0oooo000a0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool04P3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3o
ool04`3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo06D0oooo000a0?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0F0?ooo`030000
003oool0oooo00l0oooo0P00000E0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool0
IP3oool00300oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0C0?ooo`030000003o
ool0oooo01H0oooo00<000000?ooo`3oool03@3oool2000001H0oooo00<000000?ooo`3oool09@3o
ool00`000000oooo0?ooo`1V0?ooo`00<03oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo01<0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0:0?ooo`8000005P3oool2
000002L0oooo00<000000?ooo`3oool0I`3oool002l0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`0D0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0203oool20000
01L0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`1W0?ooo`00;P3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0603oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool09`3oool00`000000
oooo0?ooo`1X0?ooo`00;P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo01@0oooo
00<000000?ooo`3oool0603oool00`000000oooo0?ooo`040?ooo`8000005`3oool2000002X0oooo
00<000000?ooo`3oool0J03oool002d0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`0E0?ooo`030000003oool0oooo01T0oooo00@000000?ooo`3oool0oooo0P00000H0?ooo`030000
003oool0oooo02T0oooo00<000000?ooo`3oool0J@3oool002d0oooo00<000000?ooo`3oool01P3o
ool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01T0oooo00@000000?ooo`0000000000
6@3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo06T0oooo000/0?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0J0?ooo`030000003o
ool0oooo01L0oooo0P00000/0?ooo`030000003oool0oooo06X0oooo000[0?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0I0?ooo`800000603oool0
0`000000oooo0?ooo`0/0?ooo`030000003oool0oooo06X0oooo000[0?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0G0?ooo`8000000P3oool00`00
0000oooo0?ooo`0D0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool0J`3oool002X0
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo01H0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo02d0
oooo00<000000?ooo`3oool0J`3oool002X0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`0G0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`0@0?ooo`800000;`3oool00`000000oooo0?ooo`1/0?ooo`00:@3oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool04`3oool2000000L0oooo00<0
00000?ooo`3oool03`3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo06`0oooo000Y
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0B
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0_
0?ooo`030000003oool0oooo06d0oooo000X0?ooo`030000003oool0oooo00L0oooo00<000000?oo
o`3oool06@3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool02`3oool200000380oooo00<000000?ooo`3oool0K@3oool002P0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo00l0oooo0P00000=0?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`1^0?ooo`00
9`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0
3P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
<P3oool00`000000oooo0?ooo`1^0?ooo`009`3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo01X0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0?0?ooo`030000003o
ool0oooo00D0oooo0P00000d0?ooo`030000003oool0oooo06l0oooo000V0?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0;0?ooo`8000004P3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3oool0K`3oool0
02H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo
00X0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
03@0oooo00<000000?ooo`3oool0L03oool002H0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`0L0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0503oool00`000000
oooo0?ooo`02000003L0oooo00<000000?ooo`3oool0L03oool002D0oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
5P3oool2000003P0oooo00<000000?ooo`3oool0L@3oool002D0oooo00<000000?ooo`3oool01P3o
ool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo00H0oooo0P00000I0?ooo`030000003o
ool0oooo03L0oooo00<000000?ooo`3oool0L@3oool002@0oooo00<000000?ooo`3oool01`3oool0
0`000000oooo0?ooo`0M0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool05`3oool2
000000030?ooo`000000oooo03H0oooo00<000000?ooo`3oool0LP3oool002@0oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool05P3oool2000000<0oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`1b0?oo
o`00903oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3o
ool00P3oool2000001L0oooo0P0000060?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3o
ool0L`3oool002<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0O0?ooo`050000
003oool0oooo0?ooo`000000603oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo03<0
oooo00<000000?ooo`3oool0L`3oool002<0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`0P0?ooo`040000003oool0oooo000001L0oooo0P00000:0?ooo`030000003oool0oooo0340
oooo00<000000?ooo`3oool0M03oool00280oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`0P0?ooo`<000005P3oool2000000`0oooo00<000000?ooo`3oool0<@3oool00`000000oooo
0?ooo`1d0?ooo`008P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0240oooo00<0
00000?ooo`3oool0503oool2000000l0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?oo
o`1e0?ooo`008@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0240oooo0P00000D
0?ooo`8000004@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo07D0oooo000Q0?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0803oool00`000000oooo0000000C0?oo
o`030000003oool0oooo0180oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`1f0?oo
o`008@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo01l0oooo0P0000020?ooo`03
0000003oool0oooo00l0oooo0P00000E0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3o
ool0MP3oool00200oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0N0?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool03@3oool2000001P0oooo00<000000?ooo`3oool0
:`3oool00`000000oooo0?ooo`1g0?ooo`00803oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo01h0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0;0?ooo`8000006P3o
ool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo07L0oooo000O0?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool0703oool2000000H0oooo00<000000?ooo`3oool02P3oool0
0`000000oooo0?ooo`0K0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool0N03oool0
01l0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool0203oool2000001h0oooo00<000000?ooo`3oool0:@3oool00`00
0000oooo0?ooo`1h0?ooo`007`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01`0
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`8000008@3oool00`000000
oooo0?ooo`0W0?ooo`030000003oool0oooo07T0oooo000N0?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool06P3oool2000000X0oooo00<000000?ooo`3oool0103oool2000002<0oooo
00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`1i0?ooo`007P3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?oo
o`020?ooo`8000009P3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo07X0oooo000M
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0;
0?ooo`050000003oool0oooo0?ooo`000000:03oool00`000000oooo0?ooo`0U0?ooo`030000003o
ool0oooo07X0oooo000M0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0603oool2
000000h0oooo00@000000?ooo`0000000000:P3oool00`000000oooo0?ooo`0S0?ooo`030000003o
ool0oooo07/0oooo000L0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0603oool0
0`000000oooo0?ooo`0>0?ooo`800000;03oool00`000000oooo0?ooo`0S0?ooo`030000003oool0
oooo07/0oooo000L0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool05`3oool00`00
0000oooo0?ooo`0=0?ooo`<00000;P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo
07`0oooo000L0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool05`3oool00`000000
oooo0?ooo`0=0?ooo`040000003oool0oooo000002h0oooo00<000000?ooo`3oool08@3oool00`00
0000oooo0?ooo`1l0?ooo`006`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01D0
oooo0P00000>0?ooo`8000000`3oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo01l0
oooo00<000000?ooo`3oool0O@3oool001/0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`0E0?ooo`030000003oool0oooo00`0oooo0P0000050?ooo`030000003oool0oooo02d0oooo
00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`1m0?ooo`006P3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool02`3oool2000000L0oooo00<0
00000?ooo`3oool0;P3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo07h0oooo000J
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool04`3oool2000000d0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo01d0oooo00<00000
0?ooo`3oool0OP3oool001X0oooo00D000000?ooo`3oool0oooo0000000E0?ooo`030000003oool0
oooo00/0oooo0P00000:0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool06`3oool0
0`000000oooo0?ooo`1o0?ooo`006@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
0180oooo00<000000?ooo`3oool02P3oool2000000`0oooo00<000000?ooo`3oool0;`3oool00`00
0000oooo0?ooo`0K0?ooo`030000003oool0oooo07l0oooo000I0?ooo`050000003oool0oooo0?oo
o`0000004`3oool2000000/0oooo0P00000>0?ooo`030000003oool0oooo0300oooo00<000000?oo
o`3oool06@3oool00`000000oooo0?ooo`200?ooo`00603oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo0100oooo00<000000?ooo`3oool02@3oool200000100oooo00<000000?ooo`3o
ool0<03oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo0800oooo000H0?ooo`050000
003oool0oooo0?ooo`0000004P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo0100
oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo0840
oooo000G0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool03P3oool2000000X0oooo
0P00000C0?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool05`3oool00`000000oooo
0?ooo`210?ooo`005`3oool01@000000oooo0?ooo`3oool000000100oooo00<000000?ooo`3oool0
203oool2000001D0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0E0?ooo`030000
003oool0oooo0880oooo000G0?ooo`040000003oool0oooo00000100oooo00<000000?ooo`3oool0
1`3oool2000001L0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0E0?ooo`030000
003oool0oooo0880oooo000F0?ooo`050000003oool0oooo0?ooo`0000003`3oool00`000000oooo
0?ooo`070?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0<`3oool00`000000oooo
0?ooo`0C0?ooo`030000003oool0oooo08<0oooo000F0?ooo`040000003oool0oooo000000h0oooo
0P0000080?ooo`8000006P3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo01<0oooo
00<000000?ooo`3oool0P`3oool001D0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`030000
003oool0oooo00H0oooo0P00000L0?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3oool0
4@3oool00`000000oooo0?ooo`240?ooo`005@3oool010000000oooo0?ooo`00000=0?ooo`030000
003oool0oooo00D0oooo0P00000N0?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3oool0
4@3oool00`000000oooo0?ooo`240?ooo`005@3oool00`000000oooo0000000<0?ooo`8000001`3o
ool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool03`3o
ool00`000000oooo0?ooo`250?ooo`00503oool010000000oooo0?ooo`00000;0?ooo`030000003o
ool0oooo00D0oooo0P00000Q0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool03`3o
ool00`000000oooo0?ooo`250?ooo`00503oool00`000000oooo0000000;0?ooo`030000003oool0
oooo00@0oooo0P00000S0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool03@3oool0
0`000000oooo0?ooo`260?ooo`004`3oool010000000oooo0?ooo`0000090?ooo`8000001@3oool2
000002D0oooo00<000000?ooo`3oool0=P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0
oooo08H0oooo000C0?ooo`030000003oool0000000T0oooo00<000000?ooo`3oool00`3oool20000
02L0oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
08L0oooo000B0?ooo`040000003oool0oooo000000P0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`0W0?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3oool02`3oool00`00
0000oooo0?ooo`270?ooo`004P3oool00`000000oooo000000080?ooo`030000003oool0oooo0080
oooo0P00000Z0?ooo`030000003oool0oooo03P0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`280?ooo`004P3oool2000000L0oooo0P0000030?ooo`800000;03oool00`000000oooo
0?ooo`0h0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0R03oool00140oooo00<0
00000?ooo`0000001P3oool010000000oooo0?ooo`3oool2000002h0oooo00<000000?ooo`3oool0
>@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo08T0oooo000A0?ooo`8000001P3o
ool01@000000oooo0?ooo`3oool000000300oooo00<000000?ooo`3oool0>@3oool00`000000oooo
0?ooo`070?ooo`030000003oool0oooo08T0oooo00030?ooo`8000002`3oool00`000000oooo0000
00040?ooo`8000000P3oool200000340oooo00<000000?ooo`3oool0>P3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo0740oooo0`00000F0?ooo`000P3oool010000000oooo0?ooo`00
000:0?ooo`800000103oool00`000000oooo0?ooo`02000003<0oooo00<000000?ooo`3oool0>P3o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0740oooo00@000000?ooo`3oool00000
5@3oool000@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`020?ooo`040000003o
ool00000000003D0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo0780oooo00@000000?ooo`3oool000005@3oool000D0oooo00<000000?ooo`3oool0
1`3oool200000080oooo1000000g0?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`1b0?ooo`<000005P3oool00080oooo00@000000?ooo`3oool00000
2@3oool01P000000oooo0?ooo`000000oooo000003T0oooo00<000000?ooo`3oool0?03oool01@00
0000oooo0?ooo`3oool0000007H0oooo00<000000?ooo`3oool05@3oool000<0oooo0P0000060?oo
o`D0000000@0oooo0000000000000000>P3oool00`000000oooo0?ooo`0l0?ooo`050000003oool0
oooo0?ooo`000000MP3oool3000000D0oooo0`00000=0?ooo`002P3oool8000003`0oooo00<00000
0?ooo`3oool0?@3oool00`000000oooo0000001n0?ooo`D00000303oool000T0oooo1`00000n0?oo
o`030000003oool0oooo03d0oooo00<000000?ooo`000000O@3oool7000000/0oooo00090?ooool0
00003@00000;0?ooo`002@3oool7000003h0oooo00<000000?ooo`3oool0?@3oool00`000000oooo
0000001m0?ooo`L000002`3oool000X0oooo1@0000000`3oool000000?ooo`0l0?ooo`030000003o
ool0oooo03d0oooo00<000000?ooo`000000O@3oool6000000`0oooo000;0?ooo`<000000`3oool2
000003/0oooo00<000000?ooo`3oool0?03oool01@000000oooo0?ooo`3oool0000007X0oooo0P00
00020?ooo`<000003@3oool001<0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`0l
0?ooo`050000003oool0oooo0?ooo`000000N@3oool00`000000oooo0?ooo`0B0?ooo`00503oool2
000003P0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo07@0oooo0P00000E0?ooo`005P3oool00`000000oooo0?ooo`0e0?ooo`030000003oool0oooo
03/0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`1c0?ooo`030000003oool0oooo
01D0oooo000G0?ooo`800000=@3oool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool0L03oool2000001P0oooo000I0?ooo`030000003oool0oooo0380oooo
00<000000?ooo`3oool0>P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo06l0oooo
00<000000?ooo`3oool0603oool001X0oooo0P00000b0?ooo`030000003oool0oooo03T0oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`1/0?ooo`8000006`3oool001`0oooo00<00000
0?ooo`3oool0;`3oool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool0J`3oool00`000000oooo0?ooo`0K0?ooo`007@3oool2000002l0oooo00<000000?oo
o`3oool0>03oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo06P0oooo0P00000N0?oo
o`007`3oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo03P0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`1W0?ooo`030000003oool0oooo01h0oooo000P0?ooo`800000
;03oool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0
I03oool200000240oooo000R0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool0=`3o
ool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo06<0oooo00<000000?ooo`3oool08@3o
ool002<0oooo0P00000Y0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool03@3oool0
0`000000oooo0?ooo`1P0?ooo`800000903oool002D0oooo00<000000?ooo`3oool09P3oool00`00
0000oooo0?ooo`0f0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0G`3oool00`00
0000oooo0?ooo`0T0?ooo`009P3oool2000002H0oooo00<000000?ooo`3oool0=@3oool00`000000
oooo0?ooo`0?0?ooo`030000003oool0oooo05`0oooo0P00000W0?ooo`00:03oool00`000000oooo
0?ooo`0S0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool03`3oool00`000000oooo
0?ooo`1K0?ooo`030000003oool0oooo02L0oooo000Y0?ooo`8000008`3oool00`000000oooo0?oo
o`0d0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0F03oool2000002X0oooo000[
0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`0A
0?ooo`030000003oool0oooo05L0oooo00<000000?ooo`3oool0:P3oool002`0oooo0P00000P0?oo
o`030000003oool0oooo03<0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`1D0?oo
o`800000;@3oool002h0oooo0P00000N0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3o
ool04`3oool00`000000oooo0?ooo`1B0?ooo`800000;`3oool00300oooo00<000000?ooo`3oool0
6`3oool00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0
D03oool00`000000oooo0?ooo`0_0?ooo`00<@3oool2000001/0oooo00<000000?ooo`3oool0<P3o
ool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo04h0oooo0P00000b0?ooo`00<`3oool0
0`000000oooo0?ooo`0H0?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool05`3oool0
0`000000oooo0?ooo`1<0?ooo`030000003oool0oooo0380oooo000d0?ooo`800000603oool00`00
0000oooo0?ooo`0a0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0BP3oool20000
03D0oooo000f0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0<03oool00`000000
oooo0?ooo`0I0?ooo`030000003oool0oooo04P0oooo00<000000?ooo`3oool0=@3oool003L0oooo
0P00000E0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool06@3oool00`000000oooo
0?ooo`160?ooo`800000>03oool003T0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?oo
o`0_0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool0A03oool00`000000oooo0?oo
o`0h0?ooo`00>P3oool200000180oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0K
0?ooo`030000003oool0oooo0480oooo0P00000k0?ooo`00?03oool00`000000oooo0?ooo`0?0?oo
o`030000003oool0oooo02h0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`100?oo
o`030000003oool0oooo03/0oooo000m0?ooo`8000003`3oool00`000000oooo0?ooo`0^0?ooo`03
0000003oool0oooo01d0oooo00<000000?ooo`3oool0?P3oool2000003h0oooo000o0?ooo`030000
003oool0oooo00`0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`0O0?ooo`030000
003oool0oooo03`0oooo00<000000?ooo`3oool0?P3oool00400oooo0P00000<0?ooo`030000003o
ool0oooo02d0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0j0?ooo`800000@@3o
ool00480oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0/0?ooo`030000003oool0
oooo0240oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`110?ooo`00@`3oool20000
00T0oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo
03H0oooo0P0000140?ooo`00A@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo02/0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo04@0
oooo00160?ooo`8000001P3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo02<0oooo
00<000000?ooo`3oool0<P3oool2000004L0oooo00180?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool0:P3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo0300oooo00<0
00000?ooo`3oool0A`3oool004T0oooo0P0000030?ooo`030000003oool0oooo02X0oooo00<00000
0?ooo`3oool09@3oool00`000000oooo0?ooo`0^0?ooo`800000BP3oool004/0oooo00@000000?oo
o`3oool00000:`3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo02`0oooo00<00000
0?ooo`3oool0BP3oool004`0oooo0`00000[0?ooo`030000003oool0oooo02L0oooo00<000000?oo
o`3oool0:P3oool2000004d0oooo001>0?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3o
ool0:@3oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo04d0oooo001>0?ooo`<00000
:03oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo02H0oooo0P00001@0?ooo`00CP3o
ool010000000oooo0?ooo`00000V0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0
903oool00`000000oooo0?ooo`1@0?ooo`00CP3oool010000000oooo0?ooo`3oool2000002@0oooo
00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`0R0?ooo`800000D`3oool004h0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo02d0oooo00<0
00000?ooo`3oool0803oool00`000000oooo0?ooo`1C0?ooo`00CP3oool00`000000oooo0?ooo`04
0?ooo`800000803oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo01h0oooo0P00001F
0?ooo`00CP3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo01`0oooo00<000000?oo
o`3oool0;`3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo05H0oooo001>0?ooo`03
0000003oool0oooo00L0oooo0P00000L0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3o
ool06P3oool2000005T0oooo001>0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0
603oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0
F@3oool004h0oooo00<000000?ooo`3oool02P3oool2000001P0oooo00<000000?ooo`3oool0<@3o
ool00`000000oooo0?ooo`0F0?ooo`800000G03oool004h0oooo00<000000?ooo`3oool0303oool0
0`000000oooo0?ooo`0D0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0503oool0
0`000000oooo0?ooo`1L0?ooo`00CP3oool00`000000oooo0?ooo`0=0?ooo`800000503oool00`00
0000oooo0?ooo`0c0?ooo`030000003oool0oooo0180oooo0P00001O0?ooo`00CP3oool00`000000
oooo0?ooo`0?0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0=@3oool00`000000
oooo0?ooo`0@0?ooo`030000003oool0oooo05l0oooo001>0?ooo`030000003oool0oooo0100oooo
0P00000@0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool03P3oool200000680oooo
001>0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0303oool00`000000oooo0?oo
o`0g0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0HP3oool004h0oooo00<00000
0?ooo`3oool04`3oool2000000`0oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?ooo`0:
0?ooo`800000I@3oool004h0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`080?oo
o`030000003oool0oooo03T0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`1U0?oo
o`00CP3oool00`000000oooo0?ooo`0F0?ooo`800000203oool00`000000oooo0?ooo`0i0?ooo`03
0000003oool0oooo00H0oooo0P00001X0?ooo`00CP3oool00`000000oooo0?ooo`0H0?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo06P0oooo001>0?ooo`030000003oool0oooo01T0oooo0P0000040?ooo`030000003o
ool0oooo03/0oooo00<000000?ooo`3oool00P3oool2000006/0oooo001>0?ooo`030000003oool0
oooo01/0oooo00@000000?ooo`3oool00000?`3oool010000000oooo0?ooo`00001]0?ooo`00CP3o
ool00`000000oooo0?ooo`0L0?ooo`<00000?`3oool3000006h0oooo001>0?ooo`030000003oool0
oooo01d0oooo0`00000m0?ooo`<00000K`3oool004h0oooo00<000000?ooo`3oool07@3oool01000
0000oooo0?ooo`00000k0?ooo`040000003oool0oooo000006l0oooo001>0?ooo`030000003oool0
oooo01`0oooo00<000000?ooo`3oool00P3oool2000003L0oooo0P0000040?ooo`030000003oool0
oooo06`0oooo001>0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`0c0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0K03oool004h0
oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`060?ooo`800000<@3oool2000000P0
oooo00<000000?ooo`3oool0J`3oool004h0oooo00<000000?ooo`3oool06`3oool00`000000oooo
0?ooo`080?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`1[0?ooo`00CP3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo00X0oooo0P00
000[0?ooo`800000303oool00`000000oooo0?ooo`1Z0?ooo`00CP3oool00`000000oooo0?ooo`0J
0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`0<
0?ooo`030000003oool0oooo06X0oooo001>0?ooo`030000003oool0oooo01T0oooo00<000000?oo
o`3oool03P3oool2000002D0oooo0P00000@0?ooo`030000003oool0oooo06T0oooo001>0?ooo`03
0000003oool0oooo01T0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0Q0?ooo`03
0000003oool0oooo0100oooo00<000000?ooo`3oool0J@3oool004h0oooo00<000000?ooo`3oool0
603oool00`000000oooo0?ooo`0B0?ooo`8000007`3oool2000001@0oooo00<000000?ooo`3oool0
J03oool004h0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo01/0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`1X0?ooo`00CP3oool0
0`000000oooo0?ooo`0G0?ooo`030000003oool0oooo01H0oooo0P00000I0?ooo`800000603oool0
0`000000oooo0?ooo`1W0?ooo`00CP3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo
01P0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo
06L0oooo001>0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool06P3oool2000001<0
oooo0P00000L0?ooo`030000003oool0oooo06H0oooo001>0?ooo`030000003oool0oooo01H0oooo
00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo01`0oooo
00<000000?ooo`3oool0IP3oool004h0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?oo
o`0N0?ooo`8000003@3oool200000200oooo00<000000?ooo`3oool0I@3oool004h0oooo00<00000
0?ooo`3oool05@3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo00T0oooo00<00000
0?ooo`3oool0803oool00`000000oooo0?ooo`1U0?ooo`00CP3oool00`000000oooo0?ooo`0D0?oo
o`030000003oool0oooo0280oooo0P0000070?ooo`800000903oool00`000000oooo0?ooo`1T0?oo
o`00CP3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo06@0oooo001>0?ooo`030000
003oool0oooo01<0oooo00<000000?ooo`3oool09P3oool2000000030?ooo`000000000002P0oooo
00<000000?ooo`3oool0H`3oool004h0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?oo
o`0X0?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3oool0H`3oool004h0oooo00<00000
0?ooo`3oool04P3oool00`000000oooo0?ooo`0W0?ooo`80000000<0oooo000000000000:@3oool0
0`000000oooo0?ooo`1R0?ooo`00CP3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo
02H0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0V0?ooo`030000003oool0oooo
0680oooo001>0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool09@3oool2000000L0
oooo0P00000W0?ooo`030000003oool0oooo0640oooo001>0?ooo`030000003oool0oooo0140oooo
00<000000?ooo`3oool0903oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo02@0oooo
00<000000?ooo`3oool0H@3oool004h0oooo00<000000?ooo`3oool0403oool00`000000oooo0?oo
o`0S0?ooo`8000003@3oool2000002D0oooo00<000000?ooo`3oool0H03oool004h0oooo00<00000
0?ooo`3oool0403oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo00l0oooo00<00000
0?ooo`3oool08P3oool00`000000oooo0?ooo`1P0?ooo`00CP3oool00`000000oooo0?ooo`0?0?oo
o`030000003oool0oooo0240oooo0P00000C0?ooo`8000008`3oool00`000000oooo0?ooo`1O0?oo
o`00CP3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3o
ool05@3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo05l0oooo001>0?ooo`030000
003oool0oooo00h0oooo00<000000?ooo`3oool07`3oool2000001T0oooo0P00000Q0?ooo`030000
003oool0oooo05h0oooo001>0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool07P3o
ool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0GP3o
ool004h0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0M0?ooo`8000007`3oool2
000001l0oooo00<000000?ooo`3oool0G@3oool004h0oooo00<000000?ooo`3oool03@3oool00`00
0000oooo0?ooo`0L0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool0703oool00`00
0000oooo0?ooo`1M0?ooo`00CP3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo01/0
oooo0P00000U0?ooo`8000007@3oool00`000000oooo0?ooo`1L0?ooo`00CP3oool00`000000oooo
0?ooo`0<0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool09`3oool00`000000oooo
0?ooo`0J0?ooo`030000003oool0oooo05`0oooo001>0?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool06@3oool2000002/0oooo0P00000K0?ooo`030000003oool0oooo05/0oooo001>
0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0]
0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0F`3oool004h0oooo00<000000?oo
o`3oool02P3oool00`000000oooo0?ooo`0G0?ooo`800000<@3oool2000001T0oooo00<000000?oo
o`3oool0FP3oool004h0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0F0?ooo`03
0000003oool0oooo03<0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`1J0?ooo`00
CP3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo01D0oooo0P00000g0?ooo`800000
5`3oool00`000000oooo0?ooo`1I0?ooo`00CP3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo01@0oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo05T0oooo001>0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool04`3oool2
000003d0oooo0P00000E0?ooo`030000003oool0oooo05P0oooo001>0?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool04@3oool200000440oooo0P00000C0?ooo`030000003oool0oooo
05P0oooo001>0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool04@3oool00`000000
oooo0?ooo`130?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0E`3oool004h0oooo
00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0?0?ooo`800000A`3oool200000140oooo
00<000000?ooo`3oool0E`3oool004h0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`0?0?ooo`030000003oool0oooo04T0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?oo
o`1F0?ooo`00CP3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00d0oooo0P00001=
0?ooo`8000003`3oool00`000000oooo0?ooo`1F0?ooo`00CP3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00d0oooo00<000000?ooo`3oool0C`3oool00`000000oooo0?ooo`0=0?oo
o`030000003oool0oooo05D0oooo001>0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool02`3oool2000005<0oooo0P00000=0?ooo`030000003oool0oooo05D0oooo001>0?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`1E0?ooo`030000
003oool0oooo00/0oooo00<000000?ooo`3oool0E03oool004h0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`090?ooo`800000F@3oool2000000/0oooo00<000000?ooo`3oool0E03o
ool004h0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003oool0
oooo05/0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`1C0?ooo`00CP3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00L0oooo0P00001O0?ooo`8000002@3oool00`00
0000oooo0?ooo`1C0?ooo`00CP3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool0H@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0580
oooo001>0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01@3oool2000006D0oooo
0P0000070?ooo`030000003oool0oooo0580oooo00130?ooo`@000001`3oool01@000000oooo0?oo
o`3oool0000000L0oooo00<000000?ooo`3oool0I`3oool600000080oooo00<000000?ooo`3oool0
D@3oool004<0oooo00<000000?ooo`3oool0203oool01@000000oooo0?ooo`3oool0000000D0oooo
0P00001[0?ooo`<00000103oool00`000000oooo0?ooo`1A0?ooo`00A03oool00`000000oooo0?oo
o`070?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool0K@3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo0500oooo00150?ooo`030000003oool0oooo00H0oooo00@0
00000?ooo`3oool000000`3oool200000700oooo0`0000030?ooo`030000003oool0oooo0500oooo
00130?ooo`040000003oool0oooo000000L0oooo00<000000?ooo`0000000`3oool00`000000oooo
0?ooo`1`0?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool0C`3oool004@0oooo
0P0000070?ooo`@0000000<0oooo000000000000LP3oool2000000<0oooo0P0000000`3oool00000
00000002000004h0oooo001<0?ooo`H00000N`3oool6000004d0oooo001;0?ooo`L00000N`3oool7
000004`0oooo001;0?ooohT00000C03oool004/0oooo1`00001k0?ooo`L00000C03oool004`0oooo
1@00001m0?ooo`D00000C@3oool004d0oooo0`00001o0?ooo`<00000CP3oool00?l0oooo8@3oool0
0?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool0
0?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool0
0001\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-0.0500054, 0.0169824, \
0.00383279, 0.00336597}}],

Cell[BoxData[
    \({{1, 2}, {2, 6}, {3, 6}, {1, 3}, {1, 4}, {2, 4}, {2, 5}, {3, 5}, {3, 
        5}, {4, 5}, {3, 4}, {3, 4}}\)], "Output"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fMidEdgeGraph",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["gives the graph defined by mid-edge points of a given polyhedral \
graph ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["G",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[". ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(G = {{1, 2}, {1, 4}, {1, 5}, {1, 6}, {2, 3}, {2, 5}, {2, 6}, {3, 
            4}, {3, 5}, {3, 6}, {4, 5}, {4, 6}};\)\), "\[IndentingNewLine]", 
    \(G = fMidEdgeGraph[G]\)}], "Input"],

Cell[BoxData[
    \({{1, 2}, {1, 3}, {1, 4}, {1, 5}, {1, 6}, {1, 7}, {2, 3}, {2, 4}, {2, 
        8}, {2, 11}, {2, 12}, {3, 4}, {3, 6}, {3, 9}, {3, 11}, {4, 7}, {4, 
        10}, {4, 12}, {5, 6}, {5, 7}, {5, 8}, {5, 9}, {5, 10}, {6, 7}, {6, 
        9}, {6, 11}, {7, 10}, {7, 12}, {8, 9}, {8, 10}, {8, 11}, {8, 12}, {9, 
        10}, {9, 11}, {10, 12}, {11, 12}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fKLfromGraph",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["gives the Dowker code without signs (in the ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["Knotscape",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" form) of a  ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" defined by a given 4-regular graph ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["G",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[". ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(G = {{1, 2}, {1, 2}, {1, 3}, {1, 4}, {2, 3}, {2, 4}, {3, 4}, {3, 
            4}};\)\), "\[IndentingNewLine]", 
    \(fKLfromGraph[G]\)}], "Input"],

Cell[BoxData[
    \({{4}, {4, 6, 8, 2}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fKLinGraph",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["gives all non-isomorphic ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" projections contained in a given graph ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["G",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[". ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(G = {{1, 2}, {1, 2}, {1, 4}, {1, 4}, {1, 5}, {2, 3}, {2, 3}, {2, 
            5}, {3, 4}, {3, 4}, {3, 5}, {4, 5}};\)\), "\[IndentingNewLine]", 
    \(fKLinGraph[G]\)}], "Input"],

Cell[BoxData[
    \("Input Graph"\)], "Print"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0.0221976 0.973522 0.0465153 0.930307 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 0 0 r
.005 w
[ ] 0 setdash
.60654 .95348 m
.32157 .88465 L
.04868 .78027 L
s
.60654 .95348 m
.33365 .84911 L
.04868 .78027 L
s
.60654 .95348 m
.57491 .5 L
.60654 .04652 L
s
.60654 .95348 m
.63818 .5 L
.60654 .04652 L
s
.60654 .95348 m
.95132 .5 L
s
.04868 .78027 m
.02912 .5 L
.04868 .21973 L
s
.04868 .78027 m
.06823 .5 L
.04868 .21973 L
s
.04868 .78027 m
.95132 .5 L
s
.04868 .21973 m
.32157 .11535 L
.60654 .04652 L
s
.04868 .21973 m
.33365 .15089 L
.60654 .04652 L
s
.04868 .21973 m
.95132 .5 L
s
.60654 .04652 m
.95132 .5 L
s
.025 w
.60654 .95348 Mdot
[(1)] .58654 .93348 1 0 Mshowa
.04868 .78027 Mdot
[(2)] .02868 .76027 1 0 Mshowa
.04868 .21973 Mdot
[(3)] .02868 .19973 1 0 Mshowa
.60654 .04652 Mdot
[(4)] .58654 .02652 1 0 Mshowa
.95132 .5 Mdot
[(5)] .93132 .48 1 0 Mshowa
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00Y@3oool3000007P0oooo002V0?ooo`030000003oool0oooo07L0oooo002S0?ooo`D00000
N03oool00:<0oooo00@000000?ooo`3oool00000N@3oool00:@0oooo00<000000?ooo`000000N@3o
ool00:D0oooo0P0000060?ooo`<00000L03oool00:`0oooo1@00001_0?ooo`00Z`3oool7000006h0
oooo002[0?ooo`L00000KP3oool00:P0oooo2P00001^0?ooo`00Y03oool7000000030?ooo`000000
000000<00000K`3oool00:00oooo10000000103oool000000000000000050?ooo`@00000K`3oool0
09`0oooo100000030?ooo`8000002@3oool010000000oooo0?ooo`00001^0?ooo`00V03oool40000
00@0oooo0`00000;0?ooo`050000003oool0oooo0?ooo`000000K@3oool009@0oooo100000050?oo
o`<000003P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo06X0oooo002@0?ooo`@0
00001`3oool200000140oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`1Z0?ooo`00
S03oool4000000P0oooo0`00000B0?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool0
J@3oool008P0oooo100000090?ooo`<000005@3oool00`000000oooo000000050?ooo`030000003o
ool0oooo06P0oooo00230?ooo`D000002`3oool2000001P0oooo00<000000?ooo`0000001P3oool0
0`000000oooo0?ooo`1W0?ooo`00O`3oool4000000d0oooo0`00000J0?ooo`030000003oool00000
00H0oooo00<000000?ooo`3oool0I`3oool007/0oooo1000000?0?ooo`8000007@3oool00`000000
oooo000000070?ooo`030000003oool0oooo06H0oooo001g0?ooo`@00000403oool3000001l0oooo
00<000000?ooo`000000203oool00`000000oooo0?ooo`1U0?ooo`00L`3oool400000140oooo0`00
000R0?ooo`030000003oool0000000T0oooo00<000000?ooo`3oool0I03oool006l0oooo1000000C
0?ooo`8000009@3oool00`000000oooo000000090?ooo`030000003oool0oooo06@0oooo001[0?oo
o`@00000503oool3000002L0oooo00<000000?ooo`0000002P3oool00`000000oooo0?ooo`1S0?oo
o`00I`3oool4000001D0oooo0`00000Z0?ooo`030000003oool0000000/0oooo00<000000?ooo`3o
ool0HP3oool006<0oooo1000000G0?ooo`800000;@3oool00`000000oooo0000000<0?ooo`030000
003oool0oooo0640oooo001O0?ooo`@00000603oool3000002l0oooo00<000000?ooo`000000303o
ool00`000000oooo0?ooo`1Q0?ooo`00F`3oool4000001X0oooo0P00000b0?ooo`030000003oool0
000000d0oooo00<000000?ooo`3oool0H03oool005T0oooo0P00000K0?ooo`<00000=03oool00`00
0000oooo0000000>0?ooo`030000003oool0oooo05l0oooo001F0?ooo`<000006P3oool3000003H0
oooo00D000000?ooo`3oool0oooo0000000>0?ooo`030000003oool0oooo05h0oooo001C0?ooo`<0
00006`3oool2000003T0oooo00D000000?ooo`3oool0oooo0000000?0?ooo`030000003oool0oooo
05d0oooo001A0?ooo`8000006`3oool3000003/0oooo00D000000?ooo`3oool0oooo0000000?0?oo
o`030000003oool0oooo05d0oooo001>0?ooo`<000006P3oool3000003h0oooo00D000000?ooo`3o
ool0oooo0000000@0?ooo`030000003oool0oooo05`0oooo001;0?ooo`<000006`3oool200000440
oooo00D000000?ooo`3oool0oooo0000000A0?ooo`030000003oool0oooo05/0oooo00190?ooo`80
00006`3oool3000004<0oooo00D000000?ooo`3oool0oooo0000000B0?ooo`030000003oool0oooo
05X0oooo00160?ooo`<000006P3oool3000004H0oooo00D000000?ooo`3oool0oooo0000000B0?oo
o`030000003oool0oooo05X0oooo00130?ooo`<000006`3oool2000004T0oooo00D000000?ooo`3o
ool0oooo0000000C0?ooo`030000003oool0oooo05T0oooo00110?ooo`8000006P3oool4000004/0
oooo00D000000?ooo`3oool0oooo0000000D0?ooo`030000003oool0oooo05P0oooo000n0?ooo`<0
0000603oool4000004l0oooo00D000000?ooo`3oool0oooo0000000E0?ooo`030000003oool0oooo
05L0oooo000l0?ooo`8000005`3oool4000005<0oooo00D000000?ooo`3oool0oooo0000000E0?oo
o`030000003oool0oooo05L0oooo000i0?ooo`<000005@3oool4000005L0oooo00D000000?ooo`3o
ool0oooo0000000F0?ooo`030000003oool0oooo05H0oooo000f0?ooo`<00000503oool4000005/0
oooo00D000000?ooo`3oool0oooo0000000G0?ooo`030000003oool0oooo05D0oooo000d0?ooo`80
00004`3oool4000005l0oooo00D000000?ooo`3oool0oooo0000000H0?ooo`030000003oool0oooo
05@0oooo000a0?ooo`<000004@3oool4000006<0oooo00D000000?ooo`3oool0oooo0000000H0?oo
o`030000003oool0oooo05@0oooo000^0?ooo`<00000403oool4000006H0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo05<0oooo000/0?ooo`800000
3`3oool4000006X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0G0?ooo`030000
003oool0oooo0580oooo000Y0?ooo`<000003@3oool4000006h0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo0540oooo000W0?ooo`8000002`3oool5
00000780oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0
oooo0540oooo000T0?ooo`<000002@3oool4000007L0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`0I0?ooo`030000003oool0oooo0500oooo00040?ooo`8000006`3oool3000000P0
oooo1000001k0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool06P3oool00`000000
oooo0?ooo`1?0?ooo`000`3oool010000000oooo0?ooo`00000H0?ooo`8000001`3oool4000007l0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo04h0
oooo00050?ooo`030000003oool0oooo01@0oooo0`0000050?ooo`@00000P`3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0C@3oool000H0oooo00<0
00000?ooo`3oool0403oool3000000@0oooo100000270?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool0703oool00`000000oooo0?ooo`1=0?ooo`000`3oool010000000oooo0?ooo`00
000@0?ooo`8000000`3oool4000008/0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`0M0?ooo`030000003oool0oooo04`0oooo00040?ooo`8000001P3oool3000000D0oooo0`000000
0`3oool0000000000002000008l0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0N
0?ooo`030000003oool0oooo04/0oooo000;0?ooo`D0000000<0oooo0000000000001@00002C0?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`1:0?oo
o`002P3oool:000009L0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0O0?ooo`03
0000003oool0oooo04X0oooo000:0?ooo`L00000VP3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo0200oooo00<000000?ooo`3oool0B@3oool000X0oooo2000002H0?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`180?ooo`002`3oool5
00000080oooo1000002D0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool08@3oool0
0`000000oooo0?ooo`170?ooo`00303oool3000000L0oooo0`00002A0?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`170?ooo`003@3oool00`000000
oooo0?ooo`090?ooo`<00000SP3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0280
oooo00<000000?ooo`3oool0AP3oool000d0oooo00<000000?ooo`3oool0303oool3000008/0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo04D0oooo
000=0?ooo`030000003oool0oooo00l0oooo100000270?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool0903oool00`000000oooo0?ooo`140?ooo`003@3oool2000001@0oooo0`000024
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`14
0?ooo`00303oool00`000000oooo0000000G0?ooo`<00000P@3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo02D0oooo00<000000?ooo`3oool0@`3oool000`0oooo00<000000?ooo`00
00006P3oool3000007h0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0V0?ooo`03
0000003oool0oooo0480oooo000<0?ooo`030000003oool0000001d0oooo1000001j0?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`110?ooo`00303o
ool00`000000oooo0000000Q0?ooo`<00000M`3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo02L0oooo00<000000?ooo`3oool0@@3oool000`0oooo00<000000?ooo`000000903oool3
000007@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0X0?ooo`030000003oool0
oooo0400oooo000<0?ooo`030000003oool0000002L0oooo0`00001a0?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`0o0?ooo`00303oool00`000000
oooo0000000Z0?ooo`@00000K@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo02X0
oooo00<000000?ooo`3oool0?P3oool000`0oooo00<000000?ooo`000000;P3oool3000006T0oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo03h0oooo
000<0?ooo`030000003oool000000340oooo0`00001V0?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`3oool0:P3oool00`000000oooo0?ooo`0m0?ooo`00303oool00`000000oooo0000000d
0?ooo`<00000H`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo02/0oooo00<00000
0?ooo`3oool0?03oool000`0oooo00<000000?ooo`000000=`3oool4000005l0oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo03/0oooo000<0?ooo`03
0000003oool0000003/0oooo0`00001L0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool0;@3oool00`000000oooo0?ooo`0j0?ooo`00303oool00`000000oooo0000000n0?ooo`<00000
F@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool0
>P3oool000`0oooo00@000000?ooo`3oool00000@03oool3000005H0oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo03T0oooo000<0?ooo`040000003o
ool0oooo000004<0oooo1000001B0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0
;`3oool00`000000oooo0?ooo`0h0?ooo`00303oool010000000oooo0?ooo`0000170?ooo`<00000
C`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool0
=`3oool000/0oooo00D000000?ooo`3oool0oooo0000001:0?ooo`<00000C03oool00`000000oooo
0?ooo`070?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool0=`3oool000/0oooo00D0
00000?ooo`3oool0oooo0000001=0?ooo`<00000B@3oool00`000000oooo0?ooo`070?ooo`030000
003oool0oooo0340oooo00<000000?ooo`3oool0=P3oool000/0oooo00D000000?ooo`3oool0oooo
0000001@0?ooo`@00000A@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0380oooo
00<000000?ooo`3oool0=@3oool000/0oooo00D000000?ooo`3oool0oooo0000001D0?ooo`<00000
@P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0
=03oool000/0oooo00D000000?ooo`3oool0oooo0000001G0?ooo`<00000?`3oool00`000000oooo
0?ooo`070?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0=03oool000/0oooo00D0
00000?ooo`3oool0oooo0000001J0?ooo`<00000?03oool00`000000oooo0?ooo`070?ooo`030000
003oool0oooo03@0oooo00<000000?ooo`3oool0<`3oool000/0oooo00D000000?ooo`3oool0oooo
0000001M0?ooo`@00000=`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo03@0oooo
00<000000?ooo`3oool0<P3oool000/0oooo00D000000?ooo`3oool0oooo0000001Q0?ooo`<00000
=03oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool0
<@3oool000/0oooo00D000000?ooo`3oool0oooo0000001T0?ooo`<00000<@3oool00`000000oooo
0?ooo`090?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool0<@3oool000/0oooo00D0
00000?ooo`3oool0oooo0000001W0?ooo`<00000;P3oool00`000000oooo0?ooo`090?ooo`030000
003oool0oooo03H0oooo00<000000?ooo`3oool0<03oool000/0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`1W0?ooo`@00000:P3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo03L0oooo00<000000?ooo`3oool0;`3oool000/0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`1[0?ooo`<000009`3oool00`000000oooo0?ooo`090?ooo`030000003oool0
oooo03P0oooo00<000000?ooo`3oool0;P3oool000/0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`1^0?ooo`<00000903oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
03P0oooo00<000000?ooo`3oool0;P3oool000/0oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`1a0?ooo`<000008@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo03T0
oooo00<000000?ooo`3oool0;@3oool000/0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`1d0?ooo`@000007@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo03X0oooo
00<000000?ooo`3oool0;03oool000/0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`1h0?ooo`<000006P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo03/0oooo00<0
00000?ooo`3oool0:`3oool000X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`1k
0?ooo`<000005`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo03`0oooo00<00000
0?ooo`3oool0:P3oool000X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`1n0?oo
o`<00000503oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo03`0oooo00<000000?oo
o`3oool0:P3oool000X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`210?ooo`@0
0000403oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo03d0oooo00<000000?ooo`3o
ool0:@3oool000X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`250?ooo`<00000
3@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo03h0oooo00<000000?ooo`3oool0
:03oool000X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`280?ooo`<000002@3o
ool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo03h0oooo00<000000?ooo`3oool09`3o
ool000X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`2;0?ooo`<000001P3oool0
0`000000oooo0?ooo`0;0?ooo`030000003oool0oooo03h0oooo00<000000?ooo`3oool09`3oool0
00X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`2>0?ooo`@000000P3oool00`00
0000oooo0?ooo`0;0?ooo`030000003oool0oooo03l0oooo00<000000?ooo`3oool09P3oool000X0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`2A0?ooo`<000003@3oool00`000000
oooo0?ooo`100?ooo`030000003oool0oooo02D0oooo000:0?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0T`3oool4000000X0oooo00<000000?ooo`3oool0@@3oool00`000000oooo
0?ooo`0T0?ooo`002P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo09<0oooo00@0
00000?ooo`3oool0oooo0`0000070?ooo`030000003oool0oooo0440oooo00<000000?ooo`3oool0
903oool000X0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`2C0?ooo`030000003o
ool0oooo00@0oooo100000030?ooo`030000003oool0oooo0480oooo00<000000?ooo`3oool08`3o
ool000X0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`2C0?ooo`030000003oool0
oooo00P0oooo100000150?ooo`030000003oool0oooo0280oooo000:0?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0T`3oool00`000000oooo0?ooo`0;0?ooo`<00000A03oool00`00
0000oooo0?ooo`0Q0?ooo`002P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo09<0
oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0300000440oooo00<000000?ooo`3o
ool08@3oool000X0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`2C0?ooo`030000
003oool0oooo00/0oooo00<000000?ooo`3oool00`3oool4000003h0oooo00<000000?ooo`3oool0
803oool000X0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`2C0?ooo`030000003o
ool0oooo00/0oooo00<000000?ooo`3oool01`3oool3000003`0oooo00<000000?ooo`3oool07`3o
ool000T0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`2C0?ooo`030000003oool0
oooo00/0oooo00<000000?ooo`3oool02P3oool3000003X0oooo00<000000?ooo`3oool07P3oool0
00T0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`2C0?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool03@3oool3000003L0oooo00<000000?ooo`3oool07P3oool000T0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`2C0?ooo`030000003oool0oooo00/0
oooo00<000000?ooo`3oool0403oool4000003@0oooo00<000000?ooo`3oool07@3oool000T0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`2B0?ooo`030000003oool0oooo00d0oooo
00<000000?ooo`3oool04`3oool300000380oooo00<000000?ooo`3oool0703oool000T0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`2B0?ooo`030000003oool0oooo00d0oooo00<0
00000?ooo`3oool05P3oool300000300oooo00<000000?ooo`3oool06`3oool000T0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`2A0?ooo`030000003oool0oooo00d0oooo00<00000
0?ooo`3oool06@3oool3000002h0oooo00<000000?ooo`3oool06P3oool000T0oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`2A0?ooo`030000003oool0oooo00d0oooo00<000000?oo
o`3oool0703oool4000002X0oooo00<000000?ooo`3oool06P3oool000T0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`2A0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3o
ool0803oool3000002P0oooo00<000000?ooo`3oool06@3oool000T0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`2A0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0
8`3oool3000002H0oooo00<000000?ooo`3oool0603oool000T0oooo00<000000?ooo`3oool01P3o
ool00`000000oooo0?ooo`2A0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool09P3o
ool3000002@0oooo00<000000?ooo`3oool05`3oool000T0oooo00<000000?ooo`3oool01P3oool0
0`000000oooo0?ooo`2A0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0:@3oool4
00000200oooo00<000000?ooo`3oool05`3oool000T0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`2A0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0;@3oool30000
01h0oooo00<000000?ooo`3oool05P3oool000T0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`2A0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0<03oool3000001`0
oooo00<000000?ooo`3oool05@3oool000T0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`2A0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0<`3oool3000001X0oooo
00<000000?ooo`3oool0503oool000T0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`2A0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0=P3oool4000001H0oooo00<0
00000?ooo`3oool0503oool000T0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`2A
0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0>P3oool3000001@0oooo00<00000
0?ooo`3oool04`3oool000P0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`2A0?oo
o`030000003oool0oooo00d0oooo00<000000?ooo`3oool0?@3oool3000000h0oooo0P0000020?oo
o`030000003oool0oooo0180oooo00080?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool0T03oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo03l0oooo0`00000:0?ooo`04
0000003oool0oooo00000080oooo00<000000?ooo`3oool04@3oool000P0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`2?0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3o
ool0@P3oool4000000T0oooo00@000000?ooo`3oool000004`3oool000P0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`2?0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3o
ool0AP3oool3000000@0oooo0P0000040?ooo`030000003oool0oooo0100oooo00080?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool0S`3oool00`000000oooo0?ooo`0?0?ooo`030000
003oool0oooo04T0oooo0`0000000`3oool000000?ooo`050?ooo`030000003oool0oooo00l0oooo
00080?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0S`3oool00`000000oooo0?oo
o`0?0?ooo`030000003oool0oooo04`0oooo100000050?ooo`<000003P3oool000P0oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`2?0?ooo`030000003oool0oooo00l0oooo00<00000
0?ooo`3oool0C`3oool4000000030?ooo`000000000000<000003@3oool000P0oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`2?0?ooo`030000003oool0oooo00l0oooo00<000000?oo
o`3oool0D`3oool7000000`0oooo00080?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool0S`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo05<0oooo1`00000<0?ooo`00
203oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo08l0oooo00<000000?ooo`3oool0
3`3oool00`000000oooo0?ooo`1C0?ooo`L00000303oool000P0oooo00<000000?ooo`3oool0203o
ool00`000000oooo0?ooo`2?0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0C`3o
ool4000000030?ooo`000000000000<000003@3oool000P0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`2?0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0C03oool3
000000H0oooo0`00000>0?ooo`00203oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo
08l0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`190?ooo`<00000203oool00`00
0000oooo0?ooo`0?0?ooo`00203oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo08l0
oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`160?ooo`<000002P3oool00`000000
oooo0?ooo`0@0?ooo`00203oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo08l0oooo
00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`120?ooo`@00000303oool00`000000oooo
0?ooo`0A0?ooo`00203oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0900oooo00<0
00000?ooo`3oool03`3oool00`000000oooo0?ooo`0o0?ooo`<00000403oool00`000000oooo0?oo
o`0A0?ooo`00203oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0940oooo00<00000
0?ooo`3oool03@3oool00`000000oooo0?ooo`0m0?ooo`<000004P3oool00`000000oooo0?ooo`0B
0?ooo`002@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0940oooo00<000000?oo
o`3oool03@3oool00`000000oooo0?ooo`0j0?ooo`<00000503oool00`000000oooo0?ooo`0C0?oo
o`002@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0940oooo00<000000?ooo`3o
ool03@3oool00`000000oooo0?ooo`0f0?ooo`@000005P3oool00`000000oooo0?ooo`0D0?ooo`00
2@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0940oooo00<000000?ooo`3oool0
3@3oool00`000000oooo0?ooo`0c0?ooo`<000006P3oool00`000000oooo0?ooo`0D0?ooo`002@3o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0940oooo00<000000?ooo`3oool03@3o
ool00`000000oooo0?ooo`0`0?ooo`<00000703oool00`000000oooo0?ooo`0E0?ooo`002@3oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo0940oooo00<000000?ooo`3oool03@3oool0
0`000000oooo0?ooo`0]0?ooo`<000007P3oool00`000000oooo0?ooo`0F0?ooo`002@3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo0940oooo00<000000?ooo`3oool03@3oool00`00
0000oooo0?ooo`0Y0?ooo`@00000803oool00`000000oooo0?ooo`0G0?ooo`002@3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo0940oooo00<000000?ooo`3oool03@3oool00`000000
oooo0?ooo`0V0?ooo`<00000903oool00`000000oooo0?ooo`0G0?ooo`002@3oool00`000000oooo
0?ooo`060?ooo`030000003oool0oooo0940oooo00<000000?ooo`3oool03@3oool00`000000oooo
0?ooo`0S0?ooo`<000009P3oool00`000000oooo0?ooo`0H0?ooo`002@3oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo0940oooo00<000000?ooo`3oool03@3oool00`000000oooo0?oo
o`0P0?ooo`<00000:03oool00`000000oooo0?ooo`0I0?ooo`002@3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo0940oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0L
0?ooo`@00000:P3oool00`000000oooo0?ooo`0J0?ooo`002@3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo0940oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0I0?oo
o`<00000;P3oool00`000000oooo0?ooo`0J0?ooo`002@3oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo0980oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0F0?ooo`<0
0000<03oool00`000000oooo0?ooo`0K0?ooo`002@3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo0980oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0C0?ooo`<00000
<P3oool00`000000oooo0?ooo`0L0?ooo`002@3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo09<0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0@0?ooo`@00000=03o
ool00`000000oooo0?ooo`0M0?ooo`002@3oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo09<0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0=0?ooo`<00000=`3oool0
0`000000oooo0?ooo`0N0?ooo`002@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
09<0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`<00000>P3oool00`00
0000oooo0?ooo`0N0?ooo`002P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo09<0
oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`070?ooo`<00000?03oool00`000000
oooo0?ooo`0O0?ooo`002P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo09<0oooo
00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`030?ooo`@00000?P3oool00`000000oooo
0?ooo`0P0?ooo`002P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo09<0oooo00<0
00000?ooo`3oool02`3oool00`000000oooo0?ooo`0300000440oooo00<000000?ooo`3oool08@3o
ool000X0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`2C0?ooo`030000003oool0
oooo00/0oooo0`0000140?ooo`030000003oool0oooo0240oooo000:0?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0T`3oool00`000000oooo0?ooo`080?ooo`@00000A@3oool00`00
0000oooo0?ooo`0R0?ooo`002P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo09<0
oooo00<000000?ooo`3oool0103oool4000000<0oooo00<000000?ooo`3oool0@P3oool00`000000
oooo0?ooo`0S0?ooo`002P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo09<0oooo
00@000000?ooo`3oool0oooo0`0000070?ooo`030000003oool0oooo0440oooo00<000000?ooo`3o
ool0903oool000X0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`2C0?ooo`@00000
2P3oool00`000000oooo0?ooo`110?ooo`030000003oool0oooo02@0oooo000:0?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0T@3oool3000000d0oooo00<000000?ooo`3oool0@03o
ool00`000000oooo0?ooo`0U0?ooo`002P3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo08h0oooo100000020?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0?`3oool0
0`000000oooo0?ooo`0V0?ooo`002P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
08/0oooo0`0000060?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0?P3oool00`00
0000oooo0?ooo`0W0?ooo`002P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo08P0
oooo0`0000090?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0?P3oool00`000000
oooo0?ooo`0W0?ooo`002P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo08D0oooo
0`00000=0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0?P3oool00`000000oooo
0?ooo`0X0?ooo`002P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0840oooo1000
000@0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?oo
o`0Y0?ooo`002P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo07h0oooo0`00000D
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0?03oool00`000000oooo0?ooo`0Z
0?ooo`002P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo07/0oooo0`00000G0?oo
o`030000003oool0oooo00T0oooo00<000000?ooo`3oool0?03oool00`000000oooo0?ooo`0Z0?oo
o`002`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo07P0oooo0`00000J0?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`0[0?ooo`00
2`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo07@0oooo1000000M0?ooo`030000
003oool0oooo00T0oooo00<000000?ooo`3oool0>P3oool00`000000oooo0?ooo`0/0?ooo`002`3o
ool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0740oooo0`00000Q0?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?ooo`0]0?ooo`002`3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo06h0oooo0`00000T0?ooo`030000003oool0
oooo00T0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`0^0?ooo`002`3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo06/0oooo0`00000W0?ooo`030000003oool0oooo
00T0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`0^0?ooo`002`3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo06L0oooo1000000Z0?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?ooo`0_0?ooo`002`3oool01@000000oooo
0?ooo`3oool0000006L0oooo0`00000^0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool0=P3oool00`000000oooo0?ooo`0`0?ooo`002`3oool01@000000oooo0?ooo`3oool0000006@0
oooo0`00000a0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0=@3oool00`000000
oooo0?ooo`0a0?ooo`002`3oool01@000000oooo0?ooo`3oool000000640oooo0`00000d0?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`0a0?ooo`00
2`3oool01@000000oooo0?ooo`3oool0000005d0oooo1000000g0?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`0b0?ooo`002`3oool01@000000oooo
0?ooo`3oool0000005X0oooo0`00000l0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool0=03oool00`000000oooo0?ooo`0c0?ooo`002`3oool01@000000oooo0?ooo`3oool0000005L0
oooo0`00000o0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0<`3oool00`000000
oooo0?ooo`0d0?ooo`002`3oool01@000000oooo0?ooo`3oool0000005@0oooo0`0000120?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool0<`3oool00`000000oooo0?ooo`0d0?ooo`00
2`3oool01@000000oooo0?ooo`3oool000000500oooo100000150?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0e0?ooo`002`3oool01@000000oooo
0?ooo`3oool0000004d0oooo0`0000190?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool0<@3oool00`000000oooo0?ooo`0f0?ooo`002`3oool01@000000oooo0?ooo`3oool0000004X0
oooo0`00001<0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0<03oool00`000000
oooo0?ooo`0g0?ooo`00303oool010000000oooo0?ooo`0000170?ooo`<00000C`3oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool0=`3oool000`0oooo
00@000000?ooo`3oool00000@`3oool400000580oooo00<000000?ooo`3oool01`3oool00`000000
oooo0?ooo`0_0?ooo`030000003oool0oooo03P0oooo000<0?ooo`040000003oool0oooo00000400
oooo0`00001F0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0;P3oool00`000000
oooo0?ooo`0i0?ooo`00303oool00`000000oooo0000000n0?ooo`<00000F@3oool00`000000oooo
0?ooo`070?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool0>P3oool000`0oooo00<0
00000?ooo`000000>`3oool3000005`0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`0]0?ooo`030000003oool0oooo03X0oooo000<0?ooo`030000003oool0000003L0oooo1000001O
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`0k
0?ooo`00303oool00`000000oooo0000000d0?ooo`<00000H`3oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo02/0oooo00<000000?ooo`3oool0?03oool000`0oooo00<000000?ooo`00
0000<@3oool3000006H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0Z0?ooo`03
0000003oool0oooo03d0oooo000<0?ooo`030000003oool0000002h0oooo0`00001Y0?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool0:P3oool00`000000oooo0?ooo`0n0?ooo`00303o
ool00`000000oooo0000000Z0?ooo`@00000K@3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo02X0oooo00<000000?ooo`3oool0?P3oool000`0oooo00<000000?ooo`0000009`3oool3
00000740oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0
oooo03l0oooo000<0?ooo`030000003oool0000002@0oooo0`00001d0?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`100?ooo`00303oool00`000000
oooo0000000Q0?ooo`<00000M`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo02L0
oooo00<000000?ooo`3oool0@@3oool000`0oooo00<000000?ooo`0000007@3oool4000007X0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo0440oooo
000<0?ooo`030000003oool0000001X0oooo0`00001n0?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool09P3oool00`000000oooo0?ooo`120?ooo`00303oool00`000000oooo0000000G
0?ooo`<00000P@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo02D0oooo00<00000
0?ooo`3oool0@`3oool000<0oooo100000060?ooo`800000503oool3000008@0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo04@0oooo00030?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool03`3oool4000008L0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo04@0oooo00040?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool0303oool3000008/0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo04D0oooo00050?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool02@3oool3000008h0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo04H0oooo00030?ooo`040000003oool0
oooo000000D0oooo0`0000070?ooo`<00000T@3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo0240oooo00<000000?ooo`3oool0A`3oool000@0oooo0P0000050?ooo`D000000P3oool4
000009@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0
oooo04L0oooo000:0?ooo`P00000V03oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
0200oooo00<000000?ooo`3oool0B03oool000X0oooo1`00002J0?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`190?ooo`002P3oool:000009L0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo04X0oooo
000;0?ooo`D0000000<0oooo0000000000001@00002C0?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool07`3oool00`000000oooo0?ooo`1:0?ooo`00303oool3000000D0oooo0`000000
0`3oool0000000000002000008l0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0N
0?ooo`030000003oool0oooo04/0oooo000G0?ooo`8000000`3oool4000008/0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo04`0oooo000I0?ooo`<0
0000103oool4000008L0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0L0?ooo`03
0000003oool0oooo04d0oooo000L0?ooo`<000001@3oool4000008<0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo04d0oooo000O0?ooo`8000001`3o
ool4000007l0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0K0?ooo`030000003o
ool0oooo04h0oooo000Q0?ooo`<00000203oool4000007/0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`0J0?ooo`030000003oool0oooo04l0oooo000T0?ooo`<000002@3oool40000
07L0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo
0500oooo000W0?ooo`8000002`3oool500000780oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`0H0?ooo`030000003oool0oooo0540oooo000Y0?ooo`<000003@3oool4000006h0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo0540oooo
000/0?ooo`8000003`3oool4000006X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`0G0?ooo`030000003oool0oooo0580oooo000^0?ooo`<00000403oool4000006H0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo05<0oooo000a0?oo
o`<000004@3oool4000006<0oooo00D000000?ooo`3oool0oooo0000000H0?ooo`030000003oool0
oooo05@0oooo000d0?ooo`8000004`3oool4000005l0oooo00D000000?ooo`3oool0oooo0000000H
0?ooo`030000003oool0oooo05@0oooo000f0?ooo`<00000503oool4000005/0oooo00D000000?oo
o`3oool0oooo0000000G0?ooo`030000003oool0oooo05D0oooo000i0?ooo`<000005@3oool40000
05L0oooo00D000000?ooo`3oool0oooo0000000F0?ooo`030000003oool0oooo05H0oooo000l0?oo
o`8000005`3oool4000005<0oooo00D000000?ooo`3oool0oooo0000000E0?ooo`030000003oool0
oooo05L0oooo000n0?ooo`<00000603oool4000004l0oooo00D000000?ooo`3oool0oooo0000000E
0?ooo`030000003oool0oooo05L0oooo00110?ooo`8000006P3oool4000004/0oooo00D000000?oo
o`3oool0oooo0000000D0?ooo`030000003oool0oooo05P0oooo00130?ooo`<000006`3oool20000
04T0oooo00D000000?ooo`3oool0oooo0000000C0?ooo`030000003oool0oooo05T0oooo00160?oo
o`<000006P3oool3000004H0oooo00D000000?ooo`3oool0oooo0000000B0?ooo`030000003oool0
oooo05X0oooo00190?ooo`8000006`3oool3000004<0oooo00D000000?ooo`3oool0oooo0000000B
0?ooo`030000003oool0oooo05X0oooo001;0?ooo`<000006`3oool200000440oooo00D000000?oo
o`3oool0oooo0000000A0?ooo`030000003oool0oooo05/0oooo001>0?ooo`<000006P3oool30000
03h0oooo00D000000?ooo`3oool0oooo0000000@0?ooo`030000003oool0oooo05`0oooo001A0?oo
o`8000006`3oool3000003/0oooo00D000000?ooo`3oool0oooo0000000?0?ooo`030000003oool0
oooo05d0oooo001C0?ooo`<000006`3oool2000003T0oooo00D000000?ooo`3oool0oooo0000000?
0?ooo`030000003oool0oooo05d0oooo001F0?ooo`<000006P3oool3000003H0oooo00D000000?oo
o`3oool0oooo0000000>0?ooo`030000003oool0oooo05h0oooo001I0?ooo`8000006`3oool30000
03@0oooo00<000000?ooo`0000003P3oool00`000000oooo0?ooo`1O0?ooo`00F`3oool4000001X0
oooo0P00000b0?ooo`030000003oool0000000d0oooo00<000000?ooo`3oool0H03oool005l0oooo
1000000H0?ooo`<00000;`3oool00`000000oooo0000000<0?ooo`030000003oool0oooo0640oooo
001S0?ooo`@000005`3oool2000002d0oooo00<000000?ooo`000000303oool00`000000oooo0?oo
o`1Q0?ooo`00I`3oool4000001D0oooo0`00000Z0?ooo`030000003oool0000000/0oooo00<00000
0?ooo`3oool0HP3oool006/0oooo1000000D0?ooo`<000009`3oool00`000000oooo0000000:0?oo
o`030000003oool0oooo06<0oooo001_0?ooo`@000004`3oool2000002D0oooo00<000000?ooo`00
00002@3oool00`000000oooo0?ooo`1T0?ooo`00L`3oool400000140oooo0`00000R0?ooo`030000
003oool0000000T0oooo00<000000?ooo`3oool0I03oool007L0oooo1000000@0?ooo`<000007`3o
ool00`000000oooo000000080?ooo`030000003oool0oooo06D0oooo001k0?ooo`@000003`3oool2
000001d0oooo00<000000?ooo`0000001`3oool00`000000oooo0?ooo`1V0?ooo`00O`3oool40000
00d0oooo0`00000J0?ooo`030000003oool0000000H0oooo00<000000?ooo`3oool0I`3oool008<0
oooo1@00000;0?ooo`800000603oool00`000000oooo000000060?ooo`030000003oool0oooo06L0
oooo00280?ooo`@000002@3oool3000001D0oooo00<000000?ooo`0000001@3oool00`000000oooo
0?ooo`1X0?ooo`00S03oool4000000P0oooo0`0000080?ooo`D000001@3oool00`000000oooo0000
00040?ooo`030000003oool0oooo06T0oooo002@0?ooo`@000001`3oool2000000P0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo06X0oooo002D0?oo
o`@000001@3oool3000000D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo06X0oooo002H0?ooo`@00000103oool300000080oooo00<000000?ooo`3o
ool01P3oool01@000000oooo0?ooo`3oool0000006d0oooo002L0?ooo`@000000`3oool3000000P0
oooo00@000000?ooo`3oool00000KP3oool00:00oooo200000050?ooo`@00000K`3oool00:@0oooo
1`0000000`3oool0000000000003000006l0oooo002X0?ooo`X00000KP3oool00:/0oooo1`00001^
0?ooo`00Z`3oool7000006h0oooo002/0?ooo`D00000K`3oool00:d0oooo0`00001`0?ooo`00o`3o
oolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3o
oolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {0.0227962, -0.0500053, \
0.00357912, 0.00374538}}],

Cell[BoxData[
    \("4-valent subgraphs"\)], "Print"],

Cell[BoxData[
    \({{{1, 2}, {1, 2}, {1, 4}, {1, 4}, {2, 3}, {2, 3}, {3, 4}, {3, 
          4}}}\)], "Print"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0454545 0.909091 0.0454545 0.909091 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 0 0 r
.005 w
[ ] 0 setdash
.5 .95455 m
.25758 .74242 L
.04545 .5 L
s
.5 .95455 m
.28788 .71212 L
.04545 .5 L
s
.5 .95455 m
.71212 .71212 L
.95455 .5 L
s
.5 .95455 m
.74242 .74242 L
.95455 .5 L
s
.04545 .5 m
.25758 .25758 L
.5 .04545 L
s
.04545 .5 m
.28788 .28788 L
.5 .04545 L
s
.5 .04545 m
.71212 .28788 L
.95455 .5 L
s
.5 .04545 m
.74242 .25758 L
.95455 .5 L
s
.025 w
.5 .95455 Mdot
[(1)] .48 .93455 1 0 Mshowa
.04545 .5 Mdot
[(2)] .02545 .48 1 0 Mshowa
.5 .04545 Mdot
[(3)] .48 .02545 1 0 Mshowa
.95455 .5 Mdot
[(4)] .93455 .48 1 0 Mshowa
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00Q@3oool2000009T0oooo00240?ooo`040000003oool0oooo000009P0oooo00260?ooo`03
0000003oool0oooo09L0oooo00270?ooo`030000003oool0oooo09H0oooo00240?ooo`040000003o
ool0oooo000009P0oooo00250?ooo`8000001`3oool3000008l0oooo002=0?ooo`D00000SP3oool0
08`0oooo1`00002=0?ooo`00S03oool7000008d0oooo002<0?ooo`L00000S@3oool008d0oooo1@00
002>0?ooo`00R`3oool2000000050?ooo`00000000000000003oool00P00002<0?ooo`00RP3oool2
000000L0oooo0P00002;0?ooo`00R@3oool00`000000oooo000000070?ooo`030000003oool00000
08X0oooo00280?ooo`030000003oool0000000T0oooo00<000000?ooo`000000R@3oool008L0oooo
00<000000?ooo`0000002`3oool00`000000oooo000000280?ooo`00QP3oool00`000000oooo0000
000=0?ooo`030000003oool0000008L0oooo00240?ooo`80000000<0oooo0000003oool03P3oool0
10000000oooo0000000000250?ooo`00P`3oool010000000oooo0?ooo`00000A0?ooo`040000003o
ool0oooo000008@0oooo00220?ooo`040000003oool0oooo000001<0oooo00@000000?ooo`3oool0
0000P`3oool00840oooo00@000000?ooo`3oool000005@3oool010000000oooo0?ooo`0000220?oo
o`00P03oool01@000000oooo0?ooo`3oool0000001D0oooo00D000000?ooo`3oool0oooo00000021
0?ooo`00O`3oool01@000000oooo0?ooo`3oool0000001L0oooo00D000000?ooo`3oool0oooo0000
00200?ooo`00O@3oool2000000<0oooo00<000000?ooo`3oool05`3oool010000000oooo0?ooo`3o
ool2000007h0oooo001l0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool06@3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo07/0oooo001k0?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
07X0oooo001j0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool07@3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo07T0oooo001i0?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo07P0oooo
001h0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool08@3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo07L0oooo001f0?ooo`800000103oool00`000000oooo0?ooo`0S
0?ooo`030000003oool0oooo0080oooo0P00001g0?ooo`00M@3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo02<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`1d0?oo
o`00M03oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`1c0?ooo`00L`3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo02L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`1b0?ooo`00LP3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`1a0?ooo`00L@3oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo02/0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`1`0?ooo`00K`3oool20000
00H0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`040?ooo`800000L03oool006h0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool0K@3oool006d0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`0a0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0K03oool006`0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool0J`3oool006/0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0c
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0JP3oool006X0oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`0e0?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool0J@3oool006P0oooo0P0000080?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3o
ool01P3oool2000006T0oooo001W0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0
>@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo06H0oooo001V0?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo06D0oooo001U0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0?@3oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo06@0oooo001T0?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool0?`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
06<0oooo001S0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0@@3oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo0680oooo001Q0?ooo`8000002P3oool00`000000oooo
0?ooo`110?ooo`030000003oool0oooo00P0oooo0P00001R0?ooo`00H03oool00`000000oooo0?oo
o`090?ooo`030000003oool0oooo04<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`1O0?ooo`00G`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo04D0oooo00<00000
0?ooo`3oool02@3oool00`000000oooo0?ooo`1N0?ooo`00GP3oool00`000000oooo0?ooo`090?oo
o`030000003oool0oooo04L0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`1M0?oo
o`00G@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo04T0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`1L0?ooo`00G03oool00`000000oooo0?ooo`090?ooo`030000
003oool0oooo04/0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`1K0?ooo`00FP3o
ool2000000/0oooo00<000000?ooo`3oool0C@3oool00`000000oooo0?ooo`090?ooo`800000F`3o
ool005T0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`1?0?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool0F03oool005P0oooo00<000000?ooo`3oool02P3oool00`00
0000oooo0?ooo`1A0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0E`3oool005L0
oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`1A0?ooo`030000003oool0oooo00/0
oooo00<000000?ooo`3oool0EP3oool005H0oooo00<000000?ooo`3oool02`3oool00`000000oooo
0?ooo`1C0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0E@3oool005D0oooo00<0
00000?ooo`3oool02`3oool00`000000oooo0?ooo`1E0?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool0E03oool005<0oooo0P00000=0?ooo`030000003oool0oooo05L0oooo00<00000
0?ooo`3oool02`3oool2000005@0oooo001B0?ooo`030000003oool0oooo00`0oooo00<000000?oo
o`3oool0F@3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo0540oooo001A0?ooo`03
0000003oool0oooo00`0oooo00<000000?ooo`3oool0F`3oool00`000000oooo0?ooo`0<0?ooo`03
0000003oool0oooo0500oooo001@0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0
G@3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo04l0oooo001?0?ooo`030000003o
ool0oooo00`0oooo00<000000?ooo`3oool0G`3oool00`000000oooo0?ooo`0<0?ooo`030000003o
ool0oooo04h0oooo001>0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0H@3oool0
0`000000oooo0?ooo`0<0?ooo`030000003oool0oooo04d0oooo001<0?ooo`8000003`3oool00`00
0000oooo0?ooo`1Q0?ooo`030000003oool0oooo00d0oooo0P00001=0?ooo`00B`3oool00`000000
oooo0?ooo`0>0?ooo`030000003oool0oooo06<0oooo00<000000?ooo`3oool03P3oool00`000000
oooo0?ooo`1:0?ooo`00BP3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo06D0oooo
00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`190?ooo`00B@3oool00`000000oooo0?oo
o`0>0?ooo`030000003oool0oooo06L0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?oo
o`180?ooo`00B03oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo06T0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`170?ooo`00A`3oool00`000000oooo0?ooo`0>0?oo
o`030000003oool0oooo06/0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`160?oo
o`00AP3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo06d0oooo00<000000?ooo`3o
ool03P3oool00`000000oooo0?ooo`150?ooo`00AP3oool00`000000oooo0?ooo`0=0?ooo`030000
003oool0oooo06l0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`150?ooo`00A@3o
ool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo06l0oooo00<000000?ooo`3oool03P3o
ool00`000000oooo0?ooo`140?ooo`00A03oool00`000000oooo0?ooo`0>0?ooo`030000003oool0
oooo0740oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`130?ooo`00@`3oool00`00
0000oooo0?ooo`0>0?ooo`030000003oool0oooo07<0oooo00<000000?ooo`3oool03P3oool00`00
0000oooo0?ooo`120?ooo`00@P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo07D0
oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`110?ooo`00@@3oool00`000000oooo
0?ooo`0>0?ooo`030000003oool0oooo07L0oooo00<000000?ooo`3oool03P3oool00`000000oooo
0?ooo`100?ooo`00@03oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo07T0oooo00<0
00000?ooo`3oool03P3oool00`000000oooo0?ooo`0o0?ooo`00@03oool00`000000oooo0?ooo`0=
0?ooo`030000003oool0oooo07/0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0o
0?ooo`00?`3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo07d0oooo00<000000?oo
o`3oool03@3oool00`000000oooo0?ooo`0n0?ooo`00?P3oool00`000000oooo0?ooo`0<0?ooo`80
0000P@3oool2000000h0oooo00<000000?ooo`3oool0?@3oool003d0oooo00<000000?ooo`3oool0
303oool00`000000oooo0?ooo`230?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0
?03oool003`0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`250?ooo`030000003o
ool0oooo00`0oooo00<000000?ooo`3oool0>`3oool003/0oooo00<000000?ooo`3oool0303oool0
0`000000oooo0?ooo`270?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0>P3oool0
03X0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`290?ooo`030000003oool0oooo
00`0oooo00<000000?ooo`3oool0>@3oool003X0oooo00<000000?ooo`3oool02`3oool00`000000
oooo0?ooo`2;0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0>@3oool003T0oooo
00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`2=0?ooo`030000003oool0oooo00/0oooo
00<000000?ooo`3oool0>03oool003P0oooo00<000000?ooo`3oool02P3oool200000940oooo0P00
000<0?ooo`030000003oool0oooo03L0oooo000g0?ooo`030000003oool0oooo00X0oooo00<00000
0?ooo`3oool0T`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo03H0oooo000f0?oo
o`030000003oool0oooo00X0oooo00<000000?ooo`3oool0U@3oool00`000000oooo0?ooo`0:0?oo
o`030000003oool0oooo03D0oooo000e0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool0U`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo03@0oooo000d0?ooo`030000
003oool0oooo00X0oooo00<000000?ooo`3oool0V@3oool00`000000oooo0?ooo`0:0?ooo`030000
003oool0oooo03<0oooo000d0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0V`3o
ool00`000000oooo0?ooo`090?ooo`030000003oool0oooo03<0oooo000c0?ooo`030000003oool0
oooo00T0oooo00<000000?ooo`3oool0W@3oool00`000000oooo0?ooo`090?ooo`030000003oool0
oooo0380oooo000b0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0W`3oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo0340oooo000a0?ooo`030000003oool0oooo00P0
oooo0P00002S0?ooo`8000002P3oool00`000000oooo0?ooo`0`0?ooo`00<03oool00`000000oooo
0?ooo`080?ooo`030000003oool0oooo0:D0oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`0_0?ooo`00;`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo0:L0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`0^0?ooo`00;P3oool00`000000oooo0?ooo`08
0?ooo`030000003oool0oooo0:T0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0]
0?ooo`00;P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0:/0oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`0]0?ooo`00;@3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo0:d0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0/0?ooo`00
;03oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0:l0oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`0[0?ooo`00:`3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo0;40oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0Z0?ooo`00:P3oool0
0`000000oooo0?ooo`060?ooo`800000]@3oool2000000P0oooo00<000000?ooo`3oool0:@3oool0
02T0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`2g0?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool0:03oool002P0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`2i0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool09`3oool002P0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`2k0?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool09`3oool002L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`2m0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool09P3oool002H0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`2o0?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool09@3oool002D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`310?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0903oool002@0oooo00<000000?ooo`3o
ool0103oool200000<D0oooo0P0000060?ooo`030000003oool0oooo02<0oooo000S0?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0a`3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo0280oooo000R0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0b@3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0240oooo000R0?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool0b`3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo0240oooo000Q0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0c@3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo0200oooo000P0?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool0c`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01l0
oooo000O0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0d@3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo01h0oooo000N0?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool0d`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01d0oooo000M
0?ooo`030000003oool0oooo0080oooo0P00003G0?ooo`800000103oool00`000000oooo0?ooo`0L
0?ooo`00703oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0=T0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`0K0?ooo`00703oool01@000000oooo0?ooo`3oool00000
0=d0oooo00D000000?ooo`3oool0oooo0000000M0?ooo`006`3oool01@000000oooo0?ooo`3oool0
00000=l0oooo00D000000?ooo`3oool0oooo0000000L0?ooo`006P3oool01@000000oooo0?ooo`3o
ool000000>40oooo00D000000?ooo`3oool0oooo0000000K0?ooo`006@3oool01@000000oooo0?oo
o`3oool000000><0oooo00D000000?ooo`3oool0oooo0000000J0?ooo`00603oool01@000000oooo
0?ooo`3oool000000>D0oooo00D000000?ooo`3oool0oooo0000000I0?ooo`005`3oool01@000000
oooo0?ooo`3oool000000>L0oooo00D000000?ooo`3oool0oooo0000000H0?ooo`005P3oool00`00
0000oooo0?ooo`0200000>T0oooo0P0000020?ooo`030000003oool0oooo01D0oooo000F0?ooo`03
0000003oool000000>d0oooo00<000000?ooo`0000005`3oool001D0oooo00<000000?ooo`000000
k`3oool00`000000oooo0000000F0?ooo`000P3oool4000000h0oooo00<000000?ooo`000000l@3o
ool4000001@0oooo00020?ooo`030000003oool0oooo00h0oooo00<000000?ooo`000000l`3oool3
000001@0oooo00030?ooo`030000003oool0oooo00`0oooo00<000000?ooo`000000lP3oool60000
01<0oooo00040?ooo`030000003oool0oooo00X0oooo00<000000?ooo`000000l`3oool00`000000
oooo0?ooo`02000000030?ooo`000000oooo0140oooo00020?ooo`040000003oool0oooo000000X0
oooo0`00003e0?ooo`040000003oool000000?ooo`<000004@3oool000<0oooo0P0000060?ooo`<0
00000P3oool00`000000oooo0?ooo`3f0?ooo`8000000`3oool00`000000oooo00000002000000d0
oooo000:0?ooo`H00000o`3oool5000000`0oooo00090?ooo`L00000oP3oool7000000/0oooo0009
0?ooo`L00000oP3oool7000000/0oooo00090?ooo`L00000oP3oool7000000/0oooo000:0?ooo`H0
0000o`3oool5000000`0oooo000;0?ooo`<000000P3oool00`000000oooo0?ooo`3k0?ooo`030000
003oool00000008000003@3oool00100oooo0`00003i0?ooo`<000004@3oool00140oooo00<00000
0?ooo`000000m`3oool00`000000oooo0000000B0?ooo`004P3oool00`000000oooo0000003e0?oo
o`030000003oool0000001<0oooo000C0?ooo`030000003oool000000?<0oooo00<000000?ooo`00
0000503oool001@0oooo00<000000?ooo`000000l@3oool00`000000oooo0000000E0?ooo`005@3o
ool00`000000oooo0000003_0?ooo`030000003oool0000001H0oooo000F0?ooo`030000003oool0
00000>d0oooo00<000000?ooo`0000005`3oool001H0oooo00<000000?ooo`3oool00P00003Y0?oo
o`8000000P3oool00`000000oooo0?ooo`0E0?ooo`005`3oool01@000000oooo0?ooo`3oool00000
0>L0oooo00D000000?ooo`3oool0oooo0000000H0?ooo`00603oool01@000000oooo0?ooo`3oool0
00000>D0oooo00D000000?ooo`3oool0oooo0000000I0?ooo`006@3oool01@000000oooo0?ooo`3o
ool000000><0oooo00D000000?ooo`3oool0oooo0000000J0?ooo`006P3oool01@000000oooo0?oo
o`3oool000000>40oooo00D000000?ooo`3oool0oooo0000000K0?ooo`006`3oool01@000000oooo
0?ooo`3oool000000=l0oooo00D000000?ooo`3oool0oooo0000000L0?ooo`00703oool01@000000
oooo0?ooo`3oool000000=d0oooo00D000000?ooo`3oool0oooo0000000M0?ooo`00703oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo0=T0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`0K0?ooo`007@3oool00`000000oooo0?ooo`020?ooo`800000e`3oool2000000@0
oooo00<000000?ooo`3oool0703oool001h0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`3C0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool07@3oool001l0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`3A0?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool07P3oool00200oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`3?
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool07`3oool00240oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`3=0?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool0803oool00280oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`3;0?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool08@3oool00280oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`390?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
8@3oool002<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`370?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool08P3oool002@0oooo00<000000?ooo`3oool0103oool2
00000<D0oooo0P0000060?ooo`030000003oool0oooo02<0oooo000U0?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool0`@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
02@0oooo000V0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0_`3oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo02D0oooo000W0?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool0_@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo02H0oooo
000X0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0^`3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo02L0oooo000X0?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool0^@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo02L0oooo000Y0?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool0]`3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo02P0oooo000Z0?ooo`030000003oool0oooo00H0oooo0P00002e0?ooo`80
0000203oool00`000000oooo0?ooo`0Y0?ooo`00:`3oool00`000000oooo0?ooo`070?ooo`030000
003oool0oooo0;40oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0Z0?ooo`00;03o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0:l0oooo00<000000?ooo`3oool01`3o
ool00`000000oooo0?ooo`0[0?ooo`00;@3oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo0:d0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0/0?ooo`00;P3oool00`00
0000oooo0?ooo`070?ooo`030000003oool0oooo0:/0oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`0]0?ooo`00;P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo0:T0
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0]0?ooo`00;`3oool00`000000oooo
0?ooo`080?ooo`030000003oool0oooo0:L0oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`0^0?ooo`00<03oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo0:D0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`0_0?ooo`00<@3oool00`000000oooo0?ooo`08
0?ooo`800000X`3oool2000000X0oooo00<000000?ooo`3oool0<03oool00380oooo00<000000?oo
o`3oool02@3oool00`000000oooo0?ooo`2O0?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool0<@3oool003<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`2M0?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool0<P3oool003@0oooo00<000000?ooo`3oool0
2@3oool00`000000oooo0?ooo`2K0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0
<`3oool003@0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`2I0?ooo`030000003o
ool0oooo00X0oooo00<000000?ooo`3oool0<`3oool003D0oooo00<000000?ooo`3oool02P3oool0
0`000000oooo0?ooo`2G0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0=03oool0
03H0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`2E0?ooo`030000003oool0oooo
00X0oooo00<000000?ooo`3oool0=@3oool003L0oooo00<000000?ooo`3oool02P3oool00`000000
oooo0?ooo`2C0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0=P3oool003P0oooo
00<000000?ooo`3oool02P3oool200000940oooo0P00000<0?ooo`030000003oool0oooo03L0oooo
000i0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0S@3oool00`000000oooo0?oo
o`0;0?ooo`030000003oool0oooo03P0oooo000j0?ooo`030000003oool0oooo00/0oooo00<00000
0?ooo`3oool0R`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo03T0oooo000j0?oo
o`030000003oool0oooo00`0oooo00<000000?ooo`3oool0R@3oool00`000000oooo0?ooo`0<0?oo
o`030000003oool0oooo03T0oooo000k0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3o
ool0Q`3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo03X0oooo000l0?ooo`030000
003oool0oooo00`0oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`0<0?ooo`030000
003oool0oooo03/0oooo000m0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0P`3o
ool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo03`0oooo000n0?ooo`030000003oool0
oooo00`0oooo0P0000210?ooo`8000003P3oool00`000000oooo0?ooo`0m0?ooo`00?`3oool00`00
0000oooo0?ooo`0=0?ooo`030000003oool0oooo07d0oooo00<000000?ooo`3oool03@3oool00`00
0000oooo0?ooo`0n0?ooo`00@03oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo07/0
oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0o0?ooo`00@03oool00`000000oooo
0?ooo`0>0?ooo`030000003oool0oooo07T0oooo00<000000?ooo`3oool03P3oool00`000000oooo
0?ooo`0o0?ooo`00@@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo07L0oooo00<0
00000?ooo`3oool03P3oool00`000000oooo0?ooo`100?ooo`00@P3oool00`000000oooo0?ooo`0>
0?ooo`030000003oool0oooo07D0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`11
0?ooo`00@`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo07<0oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`120?ooo`00A03oool00`000000oooo0?ooo`0>0?ooo`03
0000003oool0oooo0740oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`130?ooo`00
A@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo06l0oooo00<000000?ooo`3oool0
3P3oool00`000000oooo0?ooo`140?ooo`00AP3oool00`000000oooo0?ooo`0=0?ooo`030000003o
ool0oooo06l0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`150?ooo`00AP3oool0
0`000000oooo0?ooo`0>0?ooo`030000003oool0oooo06d0oooo00<000000?ooo`3oool03P3oool0
0`000000oooo0?ooo`150?ooo`00A`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo
06/0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`160?ooo`00B03oool00`000000
oooo0?ooo`0>0?ooo`030000003oool0oooo06T0oooo00<000000?ooo`3oool03P3oool00`000000
oooo0?ooo`170?ooo`00B@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo06L0oooo
00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`180?ooo`00BP3oool00`000000oooo0?oo
o`0>0?ooo`030000003oool0oooo06D0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?oo
o`190?ooo`00B`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo06<0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`1:0?ooo`00C03oool2000000l0oooo00<000000?oo
o`3oool0H@3oool00`000000oooo0?ooo`0=0?ooo`800000C@3oool004h0oooo00<000000?ooo`3o
ool0303oool00`000000oooo0?ooo`1Q0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3o
ool0C@3oool004l0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`1O0?ooo`030000
003oool0oooo00`0oooo00<000000?ooo`3oool0CP3oool00500oooo00<000000?ooo`3oool0303o
ool00`000000oooo0?ooo`1M0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0C`3o
ool00540oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`1K0?ooo`030000003oool0
oooo00`0oooo00<000000?ooo`3oool0D03oool00580oooo00<000000?ooo`3oool0303oool00`00
0000oooo0?ooo`1I0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0D@3oool005<0
oooo0P00000=0?ooo`030000003oool0oooo05L0oooo00<000000?ooo`3oool02`3oool2000005@0
oooo001E0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0E@3oool00`000000oooo
0?ooo`0;0?ooo`030000003oool0oooo05@0oooo001F0?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool0D`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo05D0oooo001G
0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`0;
0?ooo`030000003oool0oooo05H0oooo001H0?ooo`030000003oool0oooo00X0oooo00<000000?oo
o`3oool0D@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo05L0oooo001I0?ooo`03
0000003oool0oooo00X0oooo00<000000?ooo`3oool0C`3oool00`000000oooo0?ooo`0:0?ooo`03
0000003oool0oooo05P0oooo001J0?ooo`8000002`3oool00`000000oooo0?ooo`1=0?ooo`030000
003oool0oooo00T0oooo0P00001K0?ooo`00G03oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo04/0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`1K0?ooo`00G@3oool0
0`000000oooo0?ooo`090?ooo`030000003oool0oooo04T0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`1L0?ooo`00GP3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
04L0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`1M0?ooo`00G`3oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo04D0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`1N0?ooo`00H03oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo04<0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`1O0?ooo`00H@3oool2000000X0oooo00<0
00000?ooo`3oool0@@3oool00`000000oooo0?ooo`080?ooo`800000HP3oool006<0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`110?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool0HP3oool006@0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0o0?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool0H`3oool006D0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`0m0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool0I03oool006H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0k0?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool0I@3oool006L0oooo00<000000?ooo`3oool01`3o
ool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0IP3o
ool006P0oooo0P0000080?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3oool01P3oool2
000006T0oooo001Z0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0=@3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo06T0oooo001[0?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`3oool0<`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo06X0
oooo001/0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0<`3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo06/0oooo001]0?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool0<@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo06`0oooo001^
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo06d0oooo001_0?ooo`8000001P3oool00`000000oooo0?ooo`0]0?oo
o`030000003oool0oooo00@0oooo0P00001`0?ooo`00L@3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo02/0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`1`0?ooo`00
LP3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`1a0?ooo`00L`3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo02L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`1b0?ooo`00M03oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`1c0?ooo`00M@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
02<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`1d0?ooo`00MP3oool2000000@0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`020?ooo`800000M`3oool007P0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool0M`3oool007T0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`0O0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0N03oool007X0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool0N@3oool007/0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0K0?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool0NP3oool007`0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool0N`3oool007d0oooo0P0000030?ooo`030000003oool0oooo01L0oooo00@000000?ooo`3oool0
oooo0P00001n0?ooo`00O`3oool01@000000oooo0?ooo`3oool0000001L0oooo00D000000?ooo`3o
ool0oooo000000200?ooo`00P03oool01@000000oooo0?ooo`3oool0000001D0oooo00D000000?oo
o`3oool0oooo000000210?ooo`00P@3oool010000000oooo0?ooo`00000E0?ooo`040000003oool0
oooo00000880oooo00220?ooo`040000003oool0oooo000001<0oooo00@000000?ooo`3oool00000
P`3oool008<0oooo00@000000?ooo`3oool000004@3oool010000000oooo0?ooo`0000240?ooo`00
Q03oool2000000030?ooo`000000oooo00h0oooo00@000000?ooo`0000000000Q@3oool008H0oooo
00<000000?ooo`0000003@3oool00`000000oooo000000270?ooo`00Q03oool6000000/0oooo00<0
00000?ooo`000000R03oool008H0oooo00D000000?ooo`000000oooo000000090?ooo`030000003o
ool0000008T0oooo00260?ooo`060000003oool0oooo0000003oool000001`3oool00`000000oooo
0000002:0?ooo`00QP3oool010000000oooo0?ooo`3oool2000000L0oooo0P00002;0?ooo`00QP3o
ool00`000000oooo0?ooo`020?ooo`8000001@3oool2000008`0oooo00250?ooo`8000001P3oool5
000008h0oooo002=0?ooo`D00000SP3oool008`0oooo1`00002=0?ooo`00S03oool7000008d0oooo
002<0?ooo`L00000S@3oool008d0oooo1@00002>0?ooo`00SP3oool3000008l0oooo003o0?ooob40
oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40
oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo0000\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-0.0500054, -0.0500054, \
0.00383279, 0.00383279}}],

Cell[BoxData[
    \({{{1, 2}, {1, 2}, {1, 4}, {1, 5}, {2, 3}, {2, 5}, {3, 4}, {3, 4}, {3, 
          5}, {4, 5}}}\)], "Print"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0.0221976 0.973522 0.0465153 0.930307 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 0 0 r
.005 w
[ ] 0 setdash
.60654 .95348 m
.32157 .88465 L
.04868 .78027 L
s
.60654 .95348 m
.33365 .84911 L
.04868 .78027 L
s
.60654 .95348 m
.60654 .04652 L
s
.60654 .95348 m
.95132 .5 L
s
.04868 .78027 m
.04868 .21973 L
s
.04868 .78027 m
.95132 .5 L
s
.04868 .21973 m
.32157 .11535 L
.60654 .04652 L
s
.04868 .21973 m
.33365 .15089 L
.60654 .04652 L
s
.04868 .21973 m
.95132 .5 L
s
.60654 .04652 m
.95132 .5 L
s
.025 w
.60654 .95348 Mdot
[(1)] .58654 .93348 1 0 Mshowa
.04868 .78027 Mdot
[(2)] .02868 .76027 1 0 Mshowa
.04868 .21973 Mdot
[(3)] .02868 .19973 1 0 Mshowa
.60654 .04652 Mdot
[(4)] .58654 .02652 1 0 Mshowa
.95132 .5 Mdot
[(5)] .93132 .48 1 0 Mshowa
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00Y@3oool3000007P0oooo002V0?ooo`030000003oool0oooo07L0oooo002S0?ooo`D00000
N03oool00:<0oooo00@000000?ooo`3oool00000N@3oool00:@0oooo00<000000?ooo`000000N@3o
ool00:D0oooo0P0000060?ooo`<00000L03oool00:`0oooo1@00001_0?ooo`00Z`3oool7000006h0
oooo002[0?ooo`L00000KP3oool00:P0oooo2P00001^0?ooo`00Y03oool7000000030?ooo`000000
000000<00000K`3oool00:00oooo10000000103oool000000000000000050?ooo`@00000K`3oool0
09`0oooo100000030?ooo`8000002@3oool010000000oooo0?ooo`00001^0?ooo`00V03oool40000
00@0oooo0`00000;0?ooo`050000003oool0oooo0?ooo`000000K@3oool009@0oooo100000050?oo
o`<000003P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo06X0oooo002@0?ooo`@0
00001`3oool200000140oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`1Z0?ooo`00
S03oool4000000P0oooo0`00000C0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
J@3oool008P0oooo100000090?ooo`<000005P3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo06P0oooo00230?ooo`D000002`3oool2000001T0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`1W0?ooo`00O`3oool4000000d0oooo0`00000K0?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool0I`3oool007/0oooo1000000?0?ooo`8000007P3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo06H0oooo001g0?ooo`@00000403oool300000200oooo
00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`1U0?ooo`00L`3oool400000140oooo0`00
000S0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0I03oool006l0oooo1000000C
0?ooo`8000009P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo06@0oooo001[0?oo
o`@00000503oool3000002P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`1S0?oo
o`00I`3oool4000001D0oooo0`00000[0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool0HP3oool006<0oooo1000000G0?ooo`800000;P3oool00`000000oooo0?ooo`0;0?ooo`030000
003oool0oooo0640oooo001O0?ooo`@00000603oool300000300oooo00<000000?ooo`3oool02`3o
ool00`000000oooo0?ooo`1Q0?ooo`00F`3oool4000001X0oooo0P00000c0?ooo`030000003oool0
oooo00`0oooo00<000000?ooo`3oool0H03oool005T0oooo0P00000K0?ooo`<00000=@3oool00`00
0000oooo0?ooo`0=0?ooo`030000003oool0oooo05l0oooo001F0?ooo`<000006P3oool3000003P0
oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`1N0?ooo`00D`3oool3000001/0oooo
0P00000k0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0G@3oool00540oooo0P00
000K0?ooo`<00000?@3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo05d0oooo001>
0?ooo`<000006P3oool300000400oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`1L
0?ooo`00B`3oool3000001/0oooo0P0000130?ooo`030000003oool0oooo0140oooo00<000000?oo
o`3oool0F`3oool004T0oooo0P00000K0?ooo`<00000A@3oool00`000000oooo0?ooo`0B0?ooo`03
0000003oool0oooo05X0oooo00160?ooo`<000006P3oool3000004P0oooo00<000000?ooo`3oool0
4P3oool00`000000oooo0?ooo`1J0?ooo`00@`3oool3000001/0oooo0P00001;0?ooo`030000003o
ool0oooo01<0oooo00<000000?ooo`3oool0F@3oool00440oooo0P00000J0?ooo`@00000C@3oool0
0`000000oooo0?ooo`0D0?ooo`030000003oool0oooo05P0oooo000n0?ooo`<00000603oool40000
0540oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`1G0?ooo`00?03oool2000001L0
oooo1000001E0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0E`3oool003T0oooo
0`00000E0?ooo`@00000F@3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo05H0oooo
000f0?ooo`<00000503oool4000005d0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?oo
o`1E0?ooo`00=03oool2000001<0oooo1000001Q0?ooo`030000003oool0oooo01P0oooo00<00000
0?ooo`3oool0E03oool00340oooo0`00000A0?ooo`@00000I@3oool00`000000oooo0?ooo`0H0?oo
o`030000003oool0oooo05@0oooo000^0?ooo`<00000403oool4000006T0oooo00<000000?ooo`3o
ool06@3oool00`000000oooo0?ooo`1C0?ooo`00;03oool2000000l0oooo1000001]0?ooo`030000
003oool0oooo01X0oooo00<000000?ooo`3oool0DP3oool002T0oooo0`00000=0?ooo`@00000L@3o
ool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo0540oooo000W0?ooo`8000002`3oool5
000007D0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`1A0?ooo`00903oool30000
00T0oooo1000001j0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0D03oool000@0
oooo0P00000K0?ooo`<00000203oool4000007h0oooo00<000000?ooo`3oool07@3oool00`000000
oooo0?ooo`1?0?ooo`000`3oool010000000oooo0?ooo`00000H0?ooo`8000001`3oool400000880
oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`1>0?ooo`001@3oool00`000000oooo
0?ooo`0D0?ooo`<000001@3oool4000008H0oooo00<000000?ooo`3oool07`3oool00`000000oooo
0?ooo`1=0?ooo`001P3oool00`000000oooo0?ooo`0@0?ooo`<00000103oool4000008X0oooo00<0
00000?ooo`3oool07`3oool00`000000oooo0?ooo`1=0?ooo`000`3oool010000000oooo0?ooo`00
000@0?ooo`8000000`3oool4000008h0oooo00<000000?ooo`3oool0803oool00`000000oooo0?oo
o`1<0?ooo`00103oool2000000H0oooo0`0000050?ooo`<0000000<0oooo0000000000000P00002B
0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool0B`3oool000/0oooo1@0000000`3o
ool0000000000005000009H0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`1:0?oo
o`002P3oool:000009X0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`1:0?ooo`00
2P3oool7000009d0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`190?ooo`002P3o
ool8000009`0oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`180?ooo`002`3oool5
00000080oooo1000002H0?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool0A`3oool0
00`0oooo0`0000070?ooo`<00000U@3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo
04L0oooo000=0?ooo`030000003oool0oooo00T0oooo0`00002B0?ooo`030000003oool0oooo02H0
oooo00<000000?ooo`3oool0AP3oool000d0oooo00<000000?ooo`3oool0303oool3000008l0oooo
00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`150?ooo`003@3oool00`000000oooo0?oo
o`0?0?ooo`@00000R`3oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo04@0oooo000=
0?ooo`030000003oool0oooo01<0oooo0`0000280?ooo`030000003oool0oooo02P0oooo00<00000
0?ooo`3oool0A03oool000d0oooo00<000000?ooo`3oool05P3oool3000008D0oooo00<000000?oo
o`3oool0:@3oool00`000000oooo0?ooo`130?ooo`003@3oool00`000000oooo0?ooo`0I0?ooo`<0
0000PP3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo0480oooo000=0?ooo`030000
003oool0oooo01`0oooo1000001n0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0
@@3oool000d0oooo00<000000?ooo`3oool0803oool3000007/0oooo00<000000?ooo`3oool0:`3o
ool00`000000oooo0?ooo`110?ooo`003@3oool00`000000oooo0?ooo`0S0?ooo`<00000N03oool0
0`000000oooo0?ooo`0/0?ooo`030000003oool0oooo0400oooo000=0?ooo`030000003oool0oooo
02H0oooo0`00001e0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool0?`3oool000d0
oooo00<000000?ooo`3oool0:@3oool400000740oooo00<000000?ooo`3oool0;P3oool00`000000
oooo0?ooo`0n0?ooo`003@3oool00`000000oooo0?ooo`0]0?ooo`<00000KP3oool00`000000oooo
0?ooo`0^0?ooo`030000003oool0oooo03h0oooo000=0?ooo`030000003oool0oooo0300oooo0`00
001[0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool0?@3oool000d0oooo00<00000
0?ooo`3oool0<`3oool3000006P0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`0l
0?ooo`003@3oool00`000000oooo0?ooo`0f0?ooo`@00000I03oool00`000000oooo0?ooo`0a0?oo
o`030000003oool0oooo03/0oooo000=0?ooo`030000003oool0oooo03X0oooo0`00001Q0?ooo`03
0000003oool0oooo0380oooo00<000000?ooo`3oool0>P3oool000d0oooo00<000000?ooo`3oool0
?@3oool3000005h0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0j0?ooo`003@3o
ool00`000000oooo0?ooo`100?ooo`<00000F`3oool00`000000oooo0?ooo`0c0?ooo`030000003o
ool0oooo03T0oooo000=0?ooo`030000003oool0oooo04<0oooo1000001G0?ooo`030000003oool0
oooo03@0oooo00<000000?ooo`3oool0>03oool000d0oooo00<000000?ooo`3oool0A`3oool30000
05@0oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`0g0?ooo`003@3oool00`000000
oooo0?ooo`1:0?ooo`<00000D@3oool00`000000oooo0?ooo`0e0?ooo`030000003oool0oooo03L0
oooo000=0?ooo`030000003oool0oooo04d0oooo0`00001>0?ooo`030000003oool0oooo03H0oooo
00<000000?ooo`3oool0=P3oool000d0oooo00<000000?ooo`3oool0D03oool4000004X0oooo00<0
00000?ooo`3oool0=`3oool00`000000oooo0?ooo`0e0?ooo`003@3oool00`000000oooo0?ooo`1D
0?ooo`<00000A`3oool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo03@0oooo000=0?oo
o`030000003oool0oooo05L0oooo0`0000140?ooo`030000003oool0oooo03P0oooo00<000000?oo
o`3oool0=03oool000d0oooo00<000000?ooo`3oool0FP3oool300000440oooo00<000000?ooo`3o
ool0>@3oool00`000000oooo0?ooo`0c0?ooo`003@3oool00`000000oooo0?ooo`1M0?ooo`@00000
?@3oool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo0380oooo000=0?ooo`030000003o
ool0oooo0640oooo0`00000j0?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool0<@3o
ool000d0oooo00<000000?ooo`3oool0I03oool3000003L0oooo00<000000?ooo`3oool0>`3oool0
0`000000oooo0?ooo`0a0?ooo`003@3oool00`000000oooo0?ooo`1W0?ooo`<00000=03oool00`00
0000oooo0?ooo`0l0?ooo`030000003oool0oooo0300oooo000=0?ooo`030000003oool0oooo06X0
oooo1000000`0?ooo`030000003oool0oooo03d0oooo00<000000?ooo`3oool0;`3oool000d0oooo
00<000000?ooo`3oool0KP3oool3000002d0oooo00<000000?ooo`3oool0?P3oool00`000000oooo
0?ooo`0^0?ooo`003@3oool00`000000oooo0?ooo`1a0?ooo`<00000:P3oool00`000000oooo0?oo
o`0n0?ooo`030000003oool0oooo02h0oooo000=0?ooo`030000003oool0oooo07@0oooo0`00000W
0?ooo`030000003oool0oooo03l0oooo00<000000?ooo`3oool0;@3oool000d0oooo00<000000?oo
o`3oool0M`3oool4000002<0oooo00<000000?ooo`3oool0@03oool00`000000oooo0?ooo`0/0?oo
o`003@3oool00`000000oooo0?ooo`1k0?ooo`<00000803oool00`000000oooo0?ooo`110?ooo`03
0000003oool0oooo02/0oooo000=0?ooo`030000003oool0oooo07h0oooo0`00000M0?ooo`030000
003oool0oooo0480oooo00<000000?ooo`3oool0:P3oool000d0oooo00<000000?ooo`3oool0P@3o
ool3000001X0oooo00<000000?ooo`3oool0@P3oool00`000000oooo0?ooo`0Z0?ooo`003@3oool0
0`000000oooo0?ooo`240?ooo`@000005P3oool00`000000oooo0?ooo`130?ooo`030000003oool0
oooo02T0oooo000=0?ooo`030000003oool0oooo08P0oooo0`00000C0?ooo`030000003oool0oooo
04@0oooo00<000000?ooo`3oool0:03oool000d0oooo00<000000?ooo`3oool0R`3oool300000100
oooo00<000000?ooo`3oool0A@3oool00`000000oooo0?ooo`0W0?ooo`003@3oool00`000000oooo
0?ooo`2>0?ooo`<000003@3oool00`000000oooo0?ooo`150?ooo`030000003oool0oooo02L0oooo
000=0?ooo`030000003oool0oooo0940oooo100000090?ooo`030000003oool0oooo04H0oooo00<0
00000?ooo`3oool09P3oool000d0oooo00<000000?ooo`3oool0U@3oool3000000H0oooo00<00000
0?ooo`3oool0A`3oool00`000000oooo0?ooo`0U0?ooo`003@3oool00`000000oooo0?ooo`2H0?oo
o`<000000`3oool00`000000oooo0?ooo`180?ooo`030000003oool0oooo02@0oooo000=0?ooo`03
0000003oool0oooo09/0oooo1000001:0?ooo`030000003oool0oooo02@0oooo000=0?ooo`030000
003oool0oooo09h0oooo100000180?ooo`030000003oool0oooo02<0oooo000=0?ooo`030000003o
ool0oooo09h0oooo00@000000?ooo`3oool0oooo0`0000160?ooo`030000003oool0oooo0280oooo
000=0?ooo`030000003oool0oooo09h0oooo00<000000?ooo`3oool0103oool3000004@0oooo00<0
00000?ooo`3oool08@3oool000d0oooo00<000000?ooo`3oool0WP3oool00`000000oooo0?ooo`07
0?ooo`<00000@@3oool00`000000oooo0?ooo`0Q0?ooo`003@3oool00`000000oooo0?ooo`2N0?oo
o`030000003oool0oooo00X0oooo1000000n0?ooo`030000003oool0oooo0200oooo000=0?ooo`03
0000003oool0oooo09h0oooo00<000000?ooo`3oool03P3oool3000003`0oooo00<000000?ooo`3o
ool07`3oool000d0oooo00<000000?ooo`3oool0WP3oool00`000000oooo0?ooo`0A0?ooo`<00000
>P3oool00`000000oooo0?ooo`0N0?ooo`003@3oool00`000000oooo0?ooo`2N0?ooo`030000003o
ool0oooo01@0oooo0`00000g0?ooo`030000003oool0oooo01h0oooo000=0?ooo`030000003oool0
oooo09h0oooo00<000000?ooo`3oool05`3oool4000003@0oooo00<000000?ooo`3oool07@3oool0
00d0oooo00<000000?ooo`3oool0WP3oool00`000000oooo0?ooo`0K0?ooo`<00000<P3oool00`00
0000oooo0?ooo`0L0?ooo`003@3oool00`000000oooo0?ooo`2N0?ooo`030000003oool0oooo01h0
oooo0`00000`0?ooo`030000003oool0oooo01/0oooo000=0?ooo`030000003oool0oooo09h0oooo
00<000000?ooo`3oool08@3oool3000002h0oooo00<000000?ooo`3oool06P3oool000d0oooo00<0
00000?ooo`3oool0WP3oool00`000000oooo0?ooo`0T0?ooo`@00000:P3oool00`000000oooo0?oo
o`0J0?ooo`003@3oool00`000000oooo0?ooo`2N0?ooo`030000003oool0oooo02P0oooo0`00000X
0?ooo`030000003oool0oooo01T0oooo000=0?ooo`030000003oool0oooo09h0oooo00<000000?oo
o`3oool0:`3oool3000002H0oooo00<000000?ooo`3oool0603oool000d0oooo00<000000?ooo`3o
ool0WP3oool00`000000oooo0?ooo`0^0?ooo`<00000903oool00`000000oooo0?ooo`0G0?ooo`00
3@3oool00`000000oooo0?ooo`2N0?ooo`030000003oool0oooo0340oooo1000000P0?ooo`030000
003oool0oooo01L0oooo000=0?ooo`030000003oool0oooo09h0oooo00<000000?ooo`3oool0=@3o
ool3000001h0oooo00<000000?ooo`3oool05P3oool000d0oooo00<000000?ooo`3oool0WP3oool0
0`000000oooo0?ooo`0h0?ooo`<00000703oool00`000000oooo0?ooo`0E0?ooo`003@3oool00`00
0000oooo0?ooo`2N0?ooo`030000003oool0oooo03/0oooo0`00000J0?ooo`030000003oool0oooo
01@0oooo000=0?ooo`030000003oool0oooo09h0oooo00<000000?ooo`3oool0?P3oool4000001H0
oooo00<000000?ooo`3oool0503oool000d0oooo00<000000?ooo`3oool0WP3oool00`000000oooo
0?ooo`120?ooo`<00000503oool00`000000oooo0?ooo`0C0?ooo`003@3oool00`000000oooo0?oo
o`2N0?ooo`030000003oool0oooo04D0oooo0`00000>0?ooo`8000000P3oool00`000000oooo0?oo
o`0B0?ooo`003@3oool00`000000oooo0?ooo`2N0?ooo`030000003oool0oooo04P0oooo0`00000:
0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool04@3oool000d0oooo00<00000
0?ooo`3oool0WP3oool00`000000oooo0?ooo`1;0?ooo`@000002@3oool010000000oooo0?ooo`00
000C0?ooo`003@3oool00`000000oooo0?ooo`2N0?ooo`030000003oool0oooo04l0oooo0`000004
0?ooo`800000103oool00`000000oooo0?ooo`0@0?ooo`003@3oool00`000000oooo0?ooo`2N0?oo
o`030000003oool0oooo0580oooo0`0000000`3oool000000?ooo`050?ooo`030000003oool0oooo
00l0oooo000=0?ooo`030000003oool0oooo09h0oooo00<000000?ooo`3oool0E@3oool4000000D0
oooo0`00000>0?ooo`003@3oool00`000000oooo0?ooo`2N0?ooo`030000003oool0oooo05P0oooo
100000000`3oool0000000000003000000d0oooo000=0?ooo`030000003oool0oooo09h0oooo00<0
00000?ooo`3oool0G03oool7000000`0oooo000=0?ooo`030000003oool0oooo09h0oooo00<00000
0?ooo`3oool0G03oool7000000`0oooo000=0?ooo`030000003oool0oooo09h0oooo00<000000?oo
o`3oool0G03oool7000000`0oooo000=0?ooo`030000003oool0oooo09h0oooo00<000000?ooo`3o
ool0F03oool4000000030?ooo`000000000000<000003@3oool000d0oooo00<000000?ooo`3oool0
WP3oool00`000000oooo0?ooo`1E0?ooo`<000001P3oool3000000h0oooo000=0?ooo`030000003o
ool0oooo09h0oooo00<000000?ooo`3oool0DP3oool3000000P0oooo00<000000?ooo`3oool03`3o
ool000d0oooo00<000000?ooo`3oool0WP3oool00`000000oooo0?ooo`1?0?ooo`<000002P3oool0
0`000000oooo0?ooo`0@0?ooo`003@3oool00`000000oooo0?ooo`2N0?ooo`030000003oool0oooo
04/0oooo1000000<0?ooo`030000003oool0oooo0140oooo000=0?ooo`030000003oool0oooo09h0
oooo00<000000?ooo`3oool0B03oool300000100oooo00<000000?ooo`3oool04@3oool000d0oooo
00<000000?ooo`3oool0WP3oool00`000000oooo0?ooo`150?ooo`<000004P3oool00`000000oooo
0?ooo`0B0?ooo`003@3oool00`000000oooo0?ooo`2N0?ooo`030000003oool0oooo0480oooo0`00
000D0?ooo`030000003oool0oooo01<0oooo000=0?ooo`030000003oool0oooo09h0oooo00<00000
0?ooo`3oool0?P3oool4000001H0oooo00<000000?ooo`3oool0503oool000d0oooo00<000000?oo
o`3oool0WP3oool00`000000oooo0?ooo`0k0?ooo`<000006P3oool00`000000oooo0?ooo`0D0?oo
o`003@3oool00`000000oooo0?ooo`2N0?ooo`030000003oool0oooo03P0oooo0`00000L0?ooo`03
0000003oool0oooo01D0oooo000=0?ooo`030000003oool0oooo09h0oooo00<000000?ooo`3oool0
=@3oool3000001h0oooo00<000000?ooo`3oool05P3oool000d0oooo00<000000?ooo`3oool0WP3o
ool00`000000oooo0?ooo`0a0?ooo`@00000803oool00`000000oooo0?ooo`0G0?ooo`003@3oool0
0`000000oooo0?ooo`2N0?ooo`030000003oool0oooo02h0oooo0`00000T0?ooo`030000003oool0
oooo01L0oooo000=0?ooo`030000003oool0oooo09h0oooo00<000000?ooo`3oool0:`3oool30000
02H0oooo00<000000?ooo`3oool0603oool000d0oooo00<000000?ooo`3oool0WP3oool00`000000
oooo0?ooo`0X0?ooo`<00000:03oool00`000000oooo0?ooo`0I0?ooo`003@3oool00`000000oooo
0?ooo`2N0?ooo`030000003oool0oooo02@0oooo1000000Z0?ooo`030000003oool0oooo01X0oooo
000=0?ooo`030000003oool0oooo09h0oooo00<000000?ooo`3oool08@3oool3000002h0oooo00<0
00000?ooo`3oool06P3oool000d0oooo00<000000?ooo`3oool0WP3oool00`000000oooo0?ooo`0N
0?ooo`<00000<03oool00`000000oooo0?ooo`0K0?ooo`003@3oool00`000000oooo0?ooo`2N0?oo
o`030000003oool0oooo01/0oooo0`00000b0?ooo`030000003oool0oooo01`0oooo000=0?ooo`03
0000003oool0oooo09h0oooo00<000000?ooo`3oool05`3oool4000003@0oooo00<000000?ooo`3o
ool07@3oool000d0oooo00<000000?ooo`3oool0WP3oool00`000000oooo0?ooo`0D0?ooo`<00000
=`3oool00`000000oooo0?ooo`0N0?ooo`003@3oool00`000000oooo0?ooo`2N0?ooo`030000003o
ool0oooo0140oooo0`00000j0?ooo`030000003oool0oooo01h0oooo000=0?ooo`030000003oool0
oooo09h0oooo00<000000?ooo`3oool03P3oool3000003`0oooo00<000000?ooo`3oool07`3oool0
00d0oooo00<000000?ooo`3oool0WP3oool00`000000oooo0?ooo`0:0?ooo`@00000?P3oool00`00
0000oooo0?ooo`0P0?ooo`003@3oool00`000000oooo0?ooo`2N0?ooo`030000003oool0oooo00L0
oooo0`0000110?ooo`030000003oool0oooo0240oooo000=0?ooo`030000003oool0oooo09h0oooo
00<000000?ooo`3oool0103oool3000004@0oooo00<000000?ooo`3oool08@3oool000d0oooo00<0
00000?ooo`3oool0WP3oool010000000oooo0?ooo`3oool3000004H0oooo00<000000?ooo`3oool0
8P3oool000d0oooo00<000000?ooo`3oool0WP3oool4000004P0oooo00<000000?ooo`3oool08`3o
ool000d0oooo00<000000?ooo`3oool0V`3oool4000004X0oooo00<000000?ooo`3oool0903oool0
00d0oooo00<000000?ooo`3oool0V03oool3000000<0oooo00<000000?ooo`3oool0B03oool00`00
0000oooo0?ooo`0T0?ooo`003@3oool00`000000oooo0?ooo`2E0?ooo`<000001P3oool00`000000
oooo0?ooo`170?ooo`030000003oool0oooo02D0oooo000=0?ooo`030000003oool0oooo0940oooo
100000090?ooo`030000003oool0oooo04H0oooo00<000000?ooo`3oool09P3oool000d0oooo00<0
00000?ooo`3oool0SP3oool3000000d0oooo00<000000?ooo`3oool0A@3oool00`000000oooo0?oo
o`0W0?ooo`003@3oool00`000000oooo0?ooo`2;0?ooo`<00000403oool00`000000oooo0?ooo`15
0?ooo`030000003oool0oooo02L0oooo000=0?ooo`030000003oool0oooo08P0oooo0`00000C0?oo
o`030000003oool0oooo04@0oooo00<000000?ooo`3oool0:03oool000d0oooo00<000000?ooo`3o
ool0Q03oool4000001H0oooo00<000000?ooo`3oool0@`3oool00`000000oooo0?ooo`0Y0?ooo`00
3@3oool00`000000oooo0?ooo`210?ooo`<000006P3oool00`000000oooo0?ooo`120?ooo`030000
003oool0oooo02X0oooo000=0?ooo`030000003oool0oooo07h0oooo0`00000M0?ooo`030000003o
ool0oooo0480oooo00<000000?ooo`3oool0:P3oool000d0oooo00<000000?ooo`3oool0N`3oool3
00000200oooo00<000000?ooo`3oool0@@3oool00`000000oooo0?ooo`0[0?ooo`003@3oool00`00
0000oooo0?ooo`1g0?ooo`@000008`3oool00`000000oooo0?ooo`100?ooo`030000003oool0oooo
02`0oooo000=0?ooo`030000003oool0oooo07@0oooo0`00000W0?ooo`030000003oool0oooo03l0
oooo00<000000?ooo`3oool0;@3oool000d0oooo00<000000?ooo`3oool0L@3oool3000002X0oooo
00<000000?ooo`3oool0?P3oool00`000000oooo0?ooo`0^0?ooo`003@3oool00`000000oooo0?oo
o`1^0?ooo`<00000;@3oool00`000000oooo0?ooo`0n0?ooo`030000003oool0oooo02h0oooo000=
0?ooo`030000003oool0oooo06X0oooo1000000`0?ooo`030000003oool0oooo03d0oooo00<00000
0?ooo`3oool0;`3oool000d0oooo00<000000?ooo`3oool0I`3oool3000003@0oooo00<000000?oo
o`3oool0?03oool00`000000oooo0?ooo`0`0?ooo`003@3oool00`000000oooo0?ooo`1T0?ooo`<0
0000=`3oool00`000000oooo0?ooo`0k0?ooo`030000003oool0oooo0340oooo000=0?ooo`030000
003oool0oooo0640oooo0`00000j0?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool0
<@3oool000d0oooo00<000000?ooo`3oool0G@3oool4000003d0oooo00<000000?ooo`3oool0>P3o
ool00`000000oooo0?ooo`0b0?ooo`003@3oool00`000000oooo0?ooo`1J0?ooo`<00000@@3oool0
0`000000oooo0?ooo`0i0?ooo`030000003oool0oooo03<0oooo000=0?ooo`030000003oool0oooo
05L0oooo0`0000140?ooo`030000003oool0oooo03P0oooo00<000000?ooo`3oool0=03oool000d0
oooo00<000000?ooo`3oool0E03oool3000004L0oooo00<000000?ooo`3oool0>03oool00`000000
oooo0?ooo`0d0?ooo`003@3oool00`000000oooo0?ooo`1@0?ooo`@00000BP3oool00`000000oooo
0?ooo`0g0?ooo`030000003oool0oooo03D0oooo000=0?ooo`030000003oool0oooo04d0oooo0`00
001>0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool0=P3oool000d0oooo00<00000
0?ooo`3oool0BP3oool300000540oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`0g
0?ooo`003@3oool00`000000oooo0?ooo`170?ooo`<00000E03oool00`000000oooo0?ooo`0e0?oo
o`030000003oool0oooo03L0oooo000=0?ooo`030000003oool0oooo04<0oooo1000001G0?ooo`03
0000003oool0oooo03@0oooo00<000000?ooo`3oool0>03oool000d0oooo00<000000?ooo`3oool0
@03oool3000005/0oooo00<000000?ooo`3oool0<`3oool00`000000oooo0?ooo`0i0?ooo`003@3o
ool00`000000oooo0?ooo`0m0?ooo`<00000GP3oool00`000000oooo0?ooo`0b0?ooo`030000003o
ool0oooo03X0oooo000=0?ooo`030000003oool0oooo03X0oooo0`00001Q0?ooo`030000003oool0
oooo0380oooo00<000000?ooo`3oool0>P3oool000d0oooo00<000000?ooo`3oool0=P3oool40000
06@0oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`0k0?ooo`003@3oool00`000000
oooo0?ooo`0c0?ooo`<00000J03oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo03`0
oooo000=0?ooo`030000003oool0oooo0300oooo0`00001[0?ooo`030000003oool0oooo02l0oooo
00<000000?ooo`3oool0?@3oool000d0oooo00<000000?ooo`3oool0;@3oool3000006h0oooo00<0
00000?ooo`3oool0;P3oool00`000000oooo0?ooo`0n0?ooo`003@3oool00`000000oooo0?ooo`0Y
0?ooo`@00000L@3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo03h0oooo000=0?oo
o`030000003oool0oooo02H0oooo0`00001e0?ooo`030000003oool0oooo02d0oooo00<000000?oo
o`3oool0?`3oool000d0oooo00<000000?ooo`3oool08`3oool3000007P0oooo00<000000?ooo`3o
ool0;03oool00`000000oooo0?ooo`100?ooo`003@3oool00`000000oooo0?ooo`0P0?ooo`<00000
N`3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo0440oooo000=0?ooo`030000003o
ool0oooo01`0oooo1000001n0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0@@3o
ool000d0oooo00<000000?ooo`3oool06@3oool300000880oooo00<000000?ooo`3oool0:P3oool0
0`000000oooo0?ooo`120?ooo`003@3oool00`000000oooo0?ooo`0F0?ooo`<00000Q@3oool00`00
0000oooo0?ooo`0Y0?ooo`030000003oool0oooo04<0oooo00030?ooo`@000001P3oool00`000000
oooo0?ooo`0C0?ooo`<00000R03oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo04@0
oooo00030?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool03`3oool4000008/0oooo
00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`140?ooo`00103oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo00`0oooo0`00002?0?ooo`030000003oool0oooo02L0oooo00<0
00000?ooo`3oool0A@3oool000D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`09
0?ooo`<00000TP3oool00`000000oooo0?ooo`0V0?ooo`030000003oool0oooo04H0oooo00030?oo
o`040000003oool0oooo000000D0oooo0`0000070?ooo`<00000U@3oool00`000000oooo0?ooo`0U
0?ooo`030000003oool0oooo04L0oooo00040?ooo`8000001@3oool500000080oooo1000002H0?oo
o`030000003oool0oooo02D0oooo00<000000?ooo`3oool0A`3oool000X0oooo2000002L0?ooo`03
0000003oool0oooo02@0oooo00<000000?ooo`3oool0B03oool000X0oooo1`00002M0?ooo`030000
003oool0oooo02<0oooo00<000000?ooo`3oool0B@3oool000X0oooo2P00002J0?ooo`030000003o
ool0oooo0280oooo00<000000?ooo`3oool0BP3oool000/0oooo1@0000000`3oool0000000000005
000009H0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`1:0?ooo`00303oool30000
00D0oooo0`0000000`3oool000000000000200000980oooo00<000000?ooo`3oool08@3oool00`00
0000oooo0?ooo`1;0?ooo`005`3oool2000000<0oooo1000002>0?ooo`030000003oool0oooo0200
oooo00<000000?ooo`3oool0C03oool001T0oooo0`0000040?ooo`@00000RP3oool00`000000oooo
0?ooo`0O0?ooo`030000003oool0oooo04d0oooo000L0?ooo`<000001@3oool4000008H0oooo00<0
00000?ooo`3oool07`3oool00`000000oooo0?ooo`1=0?ooo`007`3oool2000000L0oooo10000022
0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0CP3oool00240oooo0`0000080?oo
o`@00000OP3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo04l0oooo000T0?ooo`<0
00002@3oool4000007X0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`1@0?ooo`00
9`3oool2000000/0oooo1@00001e0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool0
D@3oool002T0oooo0`00000=0?ooo`@00000L@3oool00`000000oooo0?ooo`0K0?ooo`030000003o
ool0oooo0540oooo000/0?ooo`8000003`3oool4000006d0oooo00<000000?ooo`3oool06P3oool0
0`000000oooo0?ooo`1B0?ooo`00;P3oool300000100oooo1000001Y0?ooo`030000003oool0oooo
01T0oooo00<000000?ooo`3oool0D`3oool00340oooo0`00000A0?ooo`@00000I@3oool00`000000
oooo0?ooo`0H0?ooo`030000003oool0oooo05@0oooo000d0?ooo`8000004`3oool400000640oooo
00<000000?ooo`3oool0603oool00`000000oooo0?ooo`1D0?ooo`00=P3oool3000001@0oooo1000
001M0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0E@3oool003T0oooo0`00000E
0?ooo`@00000F@3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo05H0oooo000l0?oo
o`8000005`3oool4000005D0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`1G0?oo
o`00?P3oool3000001P0oooo1000001A0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3o
ool0E`3oool00440oooo0P00000J0?ooo`@00000C@3oool00`000000oooo0?ooo`0D0?ooo`030000
003oool0oooo05P0oooo00130?ooo`<000006`3oool2000004/0oooo00<000000?ooo`3oool04`3o
ool00`000000oooo0?ooo`1I0?ooo`00AP3oool3000001X0oooo0`0000180?ooo`030000003oool0
oooo0180oooo00<000000?ooo`3oool0FP3oool004T0oooo0P00000K0?ooo`<00000A@3oool00`00
0000oooo0?ooo`0B0?ooo`030000003oool0oooo05X0oooo001;0?ooo`<000006`3oool2000004<0
oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`1K0?ooo`00CP3oool3000001X0oooo
0`0000100?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0G03oool00540oooo0P00
000K0?ooo`<00000?@3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo05d0oooo001C
0?ooo`<000006`3oool2000003/0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`1M
0?ooo`00EP3oool3000001X0oooo0`00000h0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool0GP3oool005T0oooo0P00000K0?ooo`<00000=@3oool00`000000oooo0?ooo`0=0?ooo`03
0000003oool0oooo05l0oooo001K0?ooo`@000006P3oool2000003<0oooo00<000000?ooo`3oool0
303oool00`000000oooo0?ooo`1P0?ooo`00G`3oool4000001P0oooo0`00000`0?ooo`030000003o
ool0oooo00/0oooo00<000000?ooo`3oool0H@3oool006<0oooo1000000G0?ooo`800000;P3oool0
0`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0640oooo001W0?ooo`@000005@3oool30000
02/0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`1R0?ooo`00J`3oool4000001@0
oooo0`00000X0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0H`3oool006l0oooo
1000000C0?ooo`8000009P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo06@0oooo
001c0?ooo`@000004@3oool3000002<0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`1T0?ooo`00M`3oool400000100oooo0`00000P0?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool0I@3oool007/0oooo1000000?0?ooo`8000007P3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo06H0oooo001o0?ooo`@000003@3oool3000001/0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`1W0?ooo`00P`3oool5000000/0oooo0P00000I0?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0I`3oool008P0oooo100000090?ooo`<000005P3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo06P0oooo002<0?ooo`@00000203oool3
000000P0oooo1@0000060?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0J@3oool0
0900oooo100000070?ooo`800000203oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool0JP3oool009@0oooo100000050?ooo`<000001@3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0JP3oool009P0oooo
100000040?ooo`<000000P3oool00`000000oooo0?ooo`060?ooo`050000003oool0oooo0?ooo`00
0000K@3oool009`0oooo100000030?ooo`<00000203oool010000000oooo0?ooo`00001^0?ooo`00
X03oool8000000D0oooo1000001_0?ooo`00Y03oool7000000030?ooo`000000000000<00000K`3o
ool00:P0oooo2P00001^0?ooo`00Z`3oool7000006h0oooo002[0?ooo`L00000KP3oool00:`0oooo
1@00001_0?ooo`00[@3oool300000700oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40
oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40
oooo003o0?ooob40oooo003o0?ooob40oooo0000\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {0.0227962, -0.0500053, \
0.00357912, 0.00374538}}],

Cell[BoxData[
    \({{{{1, 2}, {1, 2}, {1, 4}, {1, 4}, {2, 3}, {2, 3}, {3, 4}, {3, 
            4}}}, {{{1, 2}, {1, 2}, {1, 4}, {1, 5}, {2, 3}, {2, 5}, {3, 
            4}, {3, 4}, {3, 5}, {4, 5}}}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(G = {{1, 2}, {1, 3}, {1, 4}, {1, 5}, {1, 6}, {2, 3}, {2, 4}, {2, 
            5}, {2, 6}, {3, 4}, {3, 5}, {3, 6}, {4, 5}, {4, 6}, {5, 
            6}};\)\), "\[IndentingNewLine]", 
    \(fKLinGraph[G]\)}], "Input"],

Cell[BoxData[
    \("Input Graph"\)], "Print"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0454545 0.909091 -0.0175847 1.03517 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 0 0 r
.005 w
[ ] 0 setdash
.72727 .94824 m
.27273 .94824 L
s
.72727 .94824 m
.04545 .5 L
s
.72727 .94824 m
.27273 .05176 L
s
.72727 .94824 m
.72727 .05176 L
s
.72727 .94824 m
.95455 .5 L
s
.27273 .94824 m
.04545 .5 L
s
.27273 .94824 m
.27273 .05176 L
s
.27273 .94824 m
.72727 .05176 L
s
.27273 .94824 m
.95455 .5 L
s
.04545 .5 m
.27273 .05176 L
s
.04545 .5 m
.72727 .05176 L
s
.04545 .5 m
.95455 .5 L
s
.27273 .05176 m
.72727 .05176 L
s
.27273 .05176 m
.95455 .5 L
s
.72727 .05176 m
.95455 .5 L
s
.025 w
.72727 .94824 Mdot
[(1)] .70727 .92824 1 0 Mshowa
.27273 .94824 Mdot
[(2)] .25273 .92824 1 0 Mshowa
.04545 .5 Mdot
[(3)] .02545 .48 1 0 Mshowa
.27273 .05176 Mdot
[(4)] .25273 .03176 1 0 Mshowa
.72727 .05176 Mdot
[(5)] .70727 .03176 1 0 Mshowa
.95455 .5 Mdot
[(6)] .93455 .48 1 0 Mshowa
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00A@3oool3000007h0oooo0P00001H0?ooo`00AP3o
ool00`000000oooo0?ooo`1l0?ooo`040000003oool0oooo000005L0oooo00130?ooo`D00000P03o
ool00`000000oooo0?ooo`1E0?ooo`00@`3oool010000000oooo0?ooo`00001o0?ooo`800000F03o
ool004@0oooo00<000000?ooo`0000001P3oool3000007H0oooo00<000000?ooo`3oool01P3oool3
000004h0oooo00150?ooo`8000001@3oool5000007D0oooo0`0000050?ooo`D00000C@3oool004/0
oooo1`00001k0?ooo`L00000C03oool004/0ooooR@00001<0?ooo`00B`3oool7000007/0oooo1`00
001<0?ooo`00C03oool6000007/0oooo1P00001=0?ooo`00C03oool5000000030?ooo`0000000000
07L0oooo0P0000000`3oool0000000000003000004d0oooo001<0?ooo`050000003oool000000?oo
o`0000000`3oool00`000000oooo0?ooo`1c0?ooo`090000003oool0oooo0?ooo`000000oooo0000
003oool0000004d0oooo001;0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool0
oooo0P00001a0?ooo`8000000`3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo
04X0oooo001;0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`1]0?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool000000P3oool0
0`000000oooo0?ooo`1:0?ooo`00BP3oool01@000000oooo0?ooo`3oool0000000<0oooo00<00000
0?ooo`3oool00`3oool2000006/0oooo0P0000050?ooo`050000003oool0oooo0?ooo`0000000`3o
ool00`000000oooo0?ooo`190?ooo`00BP3oool01@000000oooo0?ooo`3oool0000000<0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`1W0?ooo`030000003oool0oooo00D0oooo00D0
00000?ooo`3oool0oooo000000030?ooo`030000003oool0oooo04T0oooo00190?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`050?ooo`800000I@3o
ool2000000L0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo04P0oooo00190?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo0640oooo00<000000?ooo`3oool01`3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0B03oool0
04P0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
00L0oooo0P00001O0?ooo`8000002@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool0A`3oool004P0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0F`3oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`170?ooo`00A`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool02@3oool2000005T0oooo0P00000;0?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`160?ooo`00A`3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?oo
o`1E0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo04H0oooo00160?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`0;0?ooo`800000D`3oool2000000d0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo04D0oooo00160?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0=0?oo
o`030000003oool0oooo04l0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0A@3oool004D0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00d0oooo0P00001=0?ooo`80
00003`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool0A03oool004D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo00l0oooo00<000000?ooo`3oool0B@3oool00`000000oooo0?ooo`0?0?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`140?ooo`00A03o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool03`3o
ool2000004L0oooo0P00000A0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01`3o
ool00`000000oooo0?ooo`130?ooo`00A03oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`130?ooo`030000003oool0
oooo0140oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo04<0oooo00130?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0203oool00`00
0000oooo0?ooo`0A0?ooo`800000@@3oool2000001<0oooo00<000000?ooo`3oool0203oool00`00
0000oooo0?ooo`080?ooo`030000003oool0oooo0480oooo00130?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0C0?ooo`800000?@3oool2000001D0
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo0480
oooo00120?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool02@3oool00`000000oooo
0?ooo`0D0?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3oool0503oool00`000000oooo
0?ooo`090?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0@@3oool00480oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo01D0oooo0P00
000g0?ooo`8000005`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool0@@3oool00440oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0<`3oool00`000000oooo0?ooo`0F
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`10
0?ooo`00@@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00X0oooo00<000000?oo
o`3oool05`3oool200000340oooo0P00000I0?ooo`030000003oool0oooo00X0oooo00<000000?oo
o`3oool02P3oool00`000000oooo0?ooo`100?ooo`00@03oool00`000000oooo0?ooo`0;0?ooo`03
0000003oool0oooo00/0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0]0?ooo`03
0000003oool0oooo01P0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0;0?ooo`03
0000003oool0oooo03l0oooo00100?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0
2`3oool00`000000oooo0?ooo`0I0?ooo`800000:`3oool2000001/0oooo00<000000?ooo`3oool0
2`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo03l0oooo000o0?ooo`030000003o
ool0oooo00`0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0J0?ooo`030000003o
ool0oooo02L0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`0<0?ooo`030000003o
ool0oooo00`0oooo00<000000?ooo`3oool0?P3oool003l0oooo00<000000?ooo`3oool0303oool0
0`000000oooo0?ooo`0<0?ooo`030000003oool0oooo01/0oooo0P00000U0?ooo`8000007@3oool0
0`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0?P3oool0
03h0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo
01`0oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo
00d0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0m0?ooo`00?P3oool00`000000
oooo0?ooo`0=0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool07@3oool2000001l0
oooo0P00000O0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool03@3oool00`000000
oooo0?ooo`0m0?ooo`00?@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo
00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo01h0oooo
00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo03`0oooo
000m0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?oo
o`0O0?ooo`8000006@3oool200000240oooo00<000000?ooo`3oool03P3oool00`000000oooo0?oo
o`0>0?ooo`030000003oool0oooo03`0oooo000l0?ooo`030000003oool0oooo00l0oooo00<00000
0?ooo`3oool03`3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo01D0oooo00<00000
0?ooo`3oool0803oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00l0oooo00<00000
0?ooo`3oool0>`3oool003`0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0?0?oo
o`030000003oool0oooo0240oooo0P00000C0?ooo`8000008`3oool00`000000oooo0?ooo`0?0?oo
o`030000003oool0oooo00l0oooo00<000000?ooo`3oool0>`3oool003/0oooo00<000000?ooo`3o
ool0403oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3o
ool03`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3o
ool0403oool00`000000oooo0?ooo`0j0?ooo`00>`3oool00`000000oooo0?ooo`0@0?ooo`030000
003oool0oooo0100oooo00<000000?ooo`3oool08`3oool2000000d0oooo0P00000U0?ooo`030000
003oool0oooo0100oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0j0?ooo`00>P3o
ool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0903o
ool00`000000oooo0?ooo`090?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool04@3o
ool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo03T0oooo000j0?ooo`030000003oool0
oooo0140oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0U0?ooo`8000001`3oool2
000002L0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0
oooo03T0oooo000i0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool04P3oool00`00
0000oooo0?ooo`0V0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool09P3oool00`00
0000oooo0?ooo`0B0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0>03oool003T0
oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo02L0
oooo0P0000000`3oool000000000000Y0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3o
ool04P3oool00`000000oooo0?ooo`0h0?ooo`00>03oool00`000000oooo0?ooo`0C0?ooo`030000
003oool0oooo01<0oooo00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`0X0?ooo`030000
003oool0oooo01<0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0g0?ooo`00>03o
ool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool09P3o
ool2000000030?ooo`000000000002P0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?oo
o`0C0?ooo`030000003oool0oooo03L0oooo000g0?ooo`030000003oool0oooo01@0oooo00<00000
0?ooo`3oool0503oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool0903oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<00000
0?ooo`3oool0=P3oool003L0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?oo
o`030000003oool0oooo0280oooo0P0000070?ooo`800000903oool00`000000oooo0?ooo`0D0?oo
o`030000003oool0oooo01@0oooo00<000000?ooo`3oool0=P3oool003H0oooo00<000000?ooo`3o
ool05@3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3o
ool05@3oool00`000000oooo0?ooo`0e0?ooo`00=P3oool00`000000oooo0?ooo`0E0?ooo`030000
003oool0oooo01D0oooo00<000000?ooo`3oool07P3oool2000000d0oooo0P00000P0?ooo`030000
003oool0oooo01D0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0e0?ooo`00=@3o
ool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0703o
ool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool05P3o
ool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo03@0oooo000e0?ooo`030000003oool0
oooo01H0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0J0?ooo`8000004`3oool2
000001`0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0
oooo03@0oooo000d0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool05`3oool00`00
0000oooo0?ooo`0H0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0603oool00`00
0000oooo0?ooo`0G0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0<`3oool003@0
oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo01H0
oooo0P00000I0?ooo`800000603oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo01L0
oooo00<000000?ooo`3oool0<`3oool003<0oooo00<000000?ooo`3oool0603oool00`000000oooo
0?ooo`0H0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool06`3oool00`000000oooo
0?ooo`0D0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0603oool00`000000oooo
0?ooo`0b0?ooo`00<`3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo01P0oooo00<0
00000?ooo`3oool04P3oool2000001l0oooo0P00000D0?ooo`030000003oool0oooo01P0oooo00<0
00000?ooo`3oool0603oool00`000000oooo0?ooo`0b0?ooo`00<P3oool00`000000oooo0?ooo`0I
0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0Q
0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0I
0?ooo`030000003oool0oooo0340oooo000b0?ooo`030000003oool0oooo01T0oooo00<000000?oo
o`3oool06@3oool00`000000oooo0?ooo`0>0?ooo`8000009@3oool200000100oooo00<000000?oo
o`3oool06@3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo0340oooo000a0?ooo`03
0000003oool0oooo01X0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`0<0?ooo`03
0000003oool0oooo02L0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0J0?ooo`03
0000003oool0oooo01X0oooo00<000000?ooo`3oool0<03oool00340oooo00<000000?ooo`3oool0
6P3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo00X0oooo0P00000[0?ooo`800000
303oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0
<03oool00300oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0K0?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo01/0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0_0?ooo`00<03oool0
0`000000oooo0?ooo`0K0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool01P3oool2
00000340oooo0P0000080?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool06`3oool0
0`000000oooo0?ooo`0_0?ooo`00;`3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo
01`0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo
02h0oooo000_0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0703oool00`000000
oooo0?ooo`020?ooo`800000=`3oool2000000@0oooo00<000000?ooo`3oool0703oool00`000000
oooo0?ooo`0L0?ooo`030000003oool0oooo02h0oooo000^0?ooo`030000003oool0oooo01d0oooo
00<000000?ooo`3oool07@3oool010000000oooo0?ooo`00000k0?ooo`040000003oool0oooo0000
01l0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0]0?ooo`00;P3oool00`000000
oooo0?ooo`0M0?ooo`030000003oool0oooo01d0oooo0`00000m0?ooo`<000007`3oool00`000000
oooo0?ooo`0M0?ooo`030000003oool0oooo02d0oooo000]0?ooo`030000003oool0oooo01h0oooo
00<000000?ooo`3oool0703oool3000003l0oooo0`00000N0?ooo`030000003oool0oooo01h0oooo
00<000000?ooo`3oool0;03oool002d0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?oo
o`0K0?ooo`040000003oool0oooo000003l0oooo00@000000?ooo`3oool000007@3oool00`000000
oooo0?ooo`0N0?ooo`030000003oool0oooo02`0oooo000/0?ooo`030000003oool0oooo01l0oooo
00<000000?ooo`3oool06@3oool2000000@0oooo00<000000?ooo`3oool0>`3oool00`000000oooo
0?ooo`020?ooo`8000006`3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo02/0oooo
000/0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0603oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`0H0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0:`3oool002/0oooo00<00000
0?ooo`3oool0803oool00`000000oooo0?ooo`0F0?ooo`800000203oool00`000000oooo0?ooo`0i
0?ooo`030000003oool0oooo00H0oooo0P00000H0?ooo`030000003oool0oooo0200oooo00<00000
0?ooo`3oool0:P3oool002/0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0E0?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?ooo`080?oo
o`030000003oool0oooo01D0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0Z0?oo
o`00:P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo01<0oooo0P00000<0?ooo`03
0000003oool0oooo03L0oooo00<000000?ooo`3oool02P3oool2000001D0oooo00<000000?ooo`3o
ool08@3oool00`000000oooo0?ooo`0Y0?ooo`00:P3oool00`000000oooo0?ooo`0Q0?ooo`030000
003oool0oooo0180oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0g0?ooo`030000
003oool0oooo00`0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0Q0?ooo`030000
003oool0oooo02T0oooo000Y0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0403o
ool200000100oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`0>0?ooo`8000004P3o
ool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02P0oooo000Y0?ooo`030000003oool0
oooo0280oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0
oooo03D0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0?0?ooo`030000003oool0
oooo0280oooo00<000000?ooo`3oool0:03oool002P0oooo00<000000?ooo`3oool08`3oool00`00
0000oooo0?ooo`0=0?ooo`800000503oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo
0180oooo0P00000?0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool09`3oool002P0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo01@0
oooo00<000000?ooo`3oool0<`3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo00`0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0W0?ooo`009`3oool00`000000oooo
0?ooo`0T0?ooo`030000003oool0oooo00X0oooo0P00000H0?ooo`030000003oool0oooo0340oooo
00<000000?ooo`3oool05P3oool2000000`0oooo00<000000?ooo`3oool0903oool00`000000oooo
0?ooo`0V0?ooo`009`3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool0603oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo01P0oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo02H0oooo000V
0?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool01`3oool2000001`0oooo00<00000
0?ooo`3oool0;`3oool00`000000oooo0?ooo`0J0?ooo`8000002@3oool00`000000oooo0?ooo`0U
0?ooo`030000003oool0oooo02D0oooo000V0?ooo`030000003oool0oooo02D0oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo02l0oooo00<000000?oo
o`3oool0703oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo02D0oooo00<000000?oo
o`3oool09@3oool002D0oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`040?ooo`80
0000803oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo01h0oooo0P0000060?ooo`03
0000003oool0oooo02H0oooo00<000000?ooo`3oool0903oool002D0oooo00<000000?ooo`3oool0
9P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0
;@3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
9P3oool00`000000oooo0?ooo`0T0?ooo`00903oool00`000000oooo0?ooo`0W0?ooo`040000003o
ool0oooo0?ooo`800000903oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo0280oooo
0P0000030?ooo`030000003oool0oooo02L0oooo00<000000?ooo`3oool08`3oool002@0oooo00<0
00000?ooo`3oool09`3oool010000000oooo0?ooo`00000V0?ooo`030000003oool0oooo02/0oooo
00<000000?ooo`3oool0903oool010000000oooo0?ooo`00000Y0?ooo`030000003oool0oooo02<0
oooo000S0?ooo`030000003oool0oooo02P0oooo0`00000X0?ooo`030000003oool0oooo02T0oooo
00<000000?ooo`3oool09P3oool3000002X0oooo00<000000?ooo`3oool08P3oool002<0oooo00<0
00000?ooo`3oool0:03oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo02T0oooo00<0
00000?ooo`3oool0:03oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo0280oooo000R
0?ooo`030000003oool0oooo02L0oooo0`00000[0?ooo`030000003oool0oooo02L0oooo00<00000
0?ooo`3oool0:@3oool3000002T0oooo00<000000?ooo`3oool08@3oool00280oooo00<000000?oo
o`3oool09P3oool010000000oooo0?ooo`00000[0?ooo`030000003oool0oooo02L0oooo00<00000
0?ooo`3oool0:@3oool010000000oooo0?ooo`00000X0?ooo`030000003oool0oooo0240oooo000Q
0?ooo`030000003oool0oooo02D0oooo0P0000030?ooo`030000003oool0oooo02X0oooo00<00000
0?ooo`3oool09@3oool00`000000oooo0?ooo`0Z0?ooo`040000003oool0oooo0?ooo`8000009`3o
ool00`000000oooo0?ooo`0P0?ooo`008@3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool0:P3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0
oooo02X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0
oooo0200oooo000P0?ooo`030000003oool0oooo02<0oooo0P0000060?ooo`030000003oool0oooo
02/0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo
00@0oooo0P00000U0?ooo`030000003oool0oooo01l0oooo000P0?ooo`030000003oool0oooo0280
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0280
oooo00<000000?ooo`3oool07`3oool001l0oooo00<000000?ooo`3oool08@3oool2000000T0oooo
00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo02`0oooo
00<000000?ooo`3oool01`3oool2000002<0oooo00<000000?ooo`3oool07P3oool001l0oooo00<0
00000?ooo`3oool0803oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo02`0oooo00<0
00000?ooo`3oool08@3oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool0803oool00`000000oooo0?ooo`0N0?ooo`007P3oool00`000000oooo0?ooo`0O
0?ooo`800000303oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo01l0oooo00<00000
0?ooo`3oool0;@3oool00`000000oooo0?ooo`0:0?ooo`8000008@3oool00`000000oooo0?ooo`0M
0?ooo`007P3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo00`0oooo00<000000?oo
o`3oool0;@3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo02d0oooo00<000000?oo
o`3oool0303oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo01d0oooo000M0?ooo`03
0000003oool0oooo01d0oooo0P00000?0?ooo`030000003oool0oooo02h0oooo00<000000?ooo`3o
ool07@3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo00d0oooo0P00000O0?ooo`03
0000003oool0oooo01`0oooo000M0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0
3`3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0
;P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0
703oool001`0oooo00<000000?ooo`3oool06`3oool200000180oooo00<000000?ooo`3oool0;`3o
ool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool0403o
ool2000001d0oooo00<000000?ooo`3oool06`3oool001`0oooo00<000000?ooo`3oool06P3oool0
0`000000oooo0?ooo`0B0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool06`3oool0
0`000000oooo0?ooo`0_0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool06P3oool0
0`000000oooo0?ooo`0K0?ooo`006`3oool00`000000oooo0?ooo`0I0?ooo`8000005@3oool00`00
0000oooo0?ooo`0`0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool0<03oool00`00
0000oooo0?ooo`0C0?ooo`8000006`3oool00`000000oooo0?ooo`0J0?ooo`006`3oool00`000000
oooo0?ooo`0H0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0<03oool00`000000
oooo0?ooo`0I0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool05@3oool00`000000
oooo0?ooo`0H0?ooo`030000003oool0oooo01X0oooo000J0?ooo`030000003oool0oooo01L0oooo
0P00000H0?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool05`3oool00`000000oooo
0?ooo`0a0?ooo`030000003oool0oooo01H0oooo0P00000I0?ooo`030000003oool0oooo01T0oooo
000J0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0603oool00`000000oooo0?oo
o`0a0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?oo
o`0H0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool06@3oool001T0oooo00<00000
0?ooo`3oool05@3oool2000001/0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0E
0?ooo`030000003oool0oooo0380oooo00<000000?ooo`3oool06@3oool2000001L0oooo00<00000
0?ooo`3oool0603oool001T0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0K0?oo
o`030000003oool0oooo0380oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0b0?oo
o`030000003oool0oooo01/0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0H0?oo
o`00603oool00`000000oooo0?ooo`0C0?ooo`8000007P3oool00`000000oooo0?ooo`0c0?ooo`03
0000003oool0oooo01<0oooo00<000000?ooo`3oool0<`3oool00`000000oooo0?ooo`0L0?ooo`80
00005@3oool00`000000oooo0?ooo`0G0?ooo`00603oool00`000000oooo0?ooo`0A0?ooo`800000
803oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0
<`3oool00`000000oooo0?ooo`0N0?ooo`8000004`3oool00`000000oooo0?ooo`0G0?ooo`005`3o
ool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0=03o
ool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3oool0803o
ool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo01H0oooo000G0?ooo`030000003oool0
oooo00l0oooo0P00000S0?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3oool04@3oool0
0`000000oooo0?ooo`0d0?ooo`030000003oool0oooo0240oooo0P00000A0?ooo`030000003oool0
oooo01H0oooo000F0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool08`3oool00`00
0000oooo0?ooo`0e0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0=@3oool00`00
0000oooo0?ooo`0S0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool05@3oool001H0
oooo00<000000?ooo`3oool03@3oool2000002H0oooo00<000000?ooo`3oool0=@3oool00`000000
oooo0?ooo`0?0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool0903oool2000000l0
oooo00<000000?ooo`3oool05@3oool001D0oooo00<000000?ooo`3oool03@3oool00`000000oooo
0?ooo`0V0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool03@3oool00`000000oooo
0?ooo`0f0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool03@3oool00`000000oooo
0?ooo`0D0?ooo`005@3oool00`000000oooo0?ooo`0;0?ooo`800000:@3oool00`000000oooo0?oo
o`0f0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0=P3oool00`000000oooo0?oo
o`0W0?ooo`8000003@3oool00`000000oooo0?ooo`0D0?ooo`00503oool00`000000oooo0?ooo`0;
0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?ooo`0;
0?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`0;
0?ooo`030000003oool0oooo01<0oooo000D0?ooo`030000003oool0oooo00T0oooo0P00000/0?oo
o`030000003oool0oooo03L0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0g0?oo
o`030000003oool0oooo02X0oooo0P00000;0?ooo`030000003oool0oooo01<0oooo000C0?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`0h0?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`0/0?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool04P3oool001<0oooo00<000000?ooo`3oool0
1`3oool2000002l0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`090?ooo`030000
003oool0oooo03P0oooo00<000000?ooo`3oool0;@3oool2000000T0oooo00<000000?ooo`3oool0
4P3oool00180oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0_0?ooo`030000003o
ool0oooo03T0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0i0?ooo`030000003o
ool0oooo02l0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0A0?ooo`004P3oool0
0`000000oooo0?ooo`050?ooo`800000<P3oool00`000000oooo0?ooo`0i0?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?ooo`0`0?ooo`8000001`3oool0
0`000000oooo0?ooo`0A0?ooo`000`3oool2000000`0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`0b0?ooo`030000003oool0oooo03X0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`0j0?ooo`030000003oool0oooo0380oooo00<000000?ooo`0000000P0000030?oo
o`030000003oool0oooo0100oooo00020?ooo`040000003oool0oooo000000/0oooo00<000000?oo
o`3oool00`3oool2000003D0oooo00<000000?ooo`3oool0>P3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo03X0oooo00<000000?ooo`3oool0<`3oool200000080oooo00@000000?oo
o`3oool000004P3oool000@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo03D0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo03/0oooo00<000000?ooo`3oool0=03oool2000000030?ooo`000000oooo
0080oooo00<000000?ooo`3oool03`3oool000D0oooo00<000000?ooo`3oool0203oool010000000
oooo0?ooo`3oool2000003P0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo03/0oooo00<000000?ooo`3oool0=03oool4000000<0oooo00<000000?oo
o`3oool03`3oool00080oooo00@000000?ooo`3oool000002@3oool01@000000oooo0?ooo`3oool0
000003X0oooo00<000000?ooo`3oool0?03oool01@000000oooo0?ooo`3oool0000003h0oooo00<0
00000?ooo`3oool0=@3oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo00h0oooo
00030?ooo`8000001P3oool3000000030?ooo`000000oooo00800000>`3oool00`000000oooo0?oo
o`0l0?ooo`050000003oool0oooo0?ooo`000000?P3oool00`000000oooo0?ooo`0e0?ooo`<00000
00@0oooo000000000000oooo1000000=0?ooo`002P3oool5000000030?ooo`000000oooo03`0oooo
00<000000?ooo`3oool0?@3oool00`000000oooo0000000o0?ooo`030000003oool0oooo03/0oooo
1P00000<0?ooo`002@3oool7000003h0oooo00<000000?ooo`3oool0?@3oool00`000000oooo0000
000o0?ooo`030000003oool0oooo03/0oooo1`00000;0?ooo`002@3ooooo000000d000002`3oool0
00T0oooo1`00000n0?ooo`030000003oool0oooo03d0oooo00<000000?ooo`000000?`3oool00`00
0000oooo0?ooo`0k0?ooo`L000002`3oool000X0oooo1@0000000`3oool000000?ooo`0l0?ooo`03
0000003oool0oooo03d0oooo00<000000?ooo`000000?`3oool00`000000oooo0?ooo`0k0?ooo`H0
0000303oool000/0oooo0`0000000`3oool000000?ooo`02000003/0oooo00<000000?ooo`3oool0
?03oool01@000000oooo0?ooo`3oool0000003h0oooo00<000000?ooo`3oool0>@3oool200000003
0?ooo`0000000000008000003@3oool000l0oooo00D000000?ooo`3oool0oooo0000000j0?ooo`03
0000003oool0oooo03`0oooo00D000000?ooo`3oool0oooo0000000n0?ooo`030000003oool0oooo
03P0oooo00D000000?ooo`3oool0oooo0000000@0?ooo`00403oool010000000oooo0?ooo`3oool2
000003P0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo03/0oooo00<000000?ooo`3oool0=P3oool2000000<0oooo00<000000?ooo`3oool03`3oool0
0100oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0e0?ooo`030000003oool0oooo
03/0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0k0?ooo`030000003oool0oooo
03D0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0?0?ooo`004@3oool00`000000
oooo0?ooo`030?ooo`800000=@3oool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool0>P3oool00`000000oooo0?ooo`0c0?ooo`8000001@3oool00`000000
oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0380oooo
00<000000?ooo`3oool0>P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo03X0oooo
00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0100oooo
000B0?ooo`030000003oool0oooo00D0oooo0P00000b0?ooo`030000003oool0oooo03T0oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo0300oooo0P00
00070?ooo`030000003oool0oooo0140oooo000B0?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool0;`3oool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool0>@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool04@3oool001<0oooo00<000000?ooo`3oool01`3oool2000002l0oooo00<000000?oo
o`3oool0>03oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo03P0oooo00<000000?oo
o`3oool0;@3oool2000000T0oooo00<000000?ooo`3oool04P3oool001<0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo03P0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`0B0?ooo`00503oool00`000000oooo0?ooo`090?ooo`800000
;03oool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0
=`3oool00`000000oooo0?ooo`0Z0?ooo`8000002`3oool00`000000oooo0?ooo`0C0?ooo`00503o
ool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool0=`3o
ool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3oool0:@3o
ool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo01<0oooo000E0?ooo`030000003oool0
oooo00/0oooo0P00000Y0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool03@3oool0
0`000000oooo0?ooo`0f0?ooo`030000003oool0oooo02L0oooo0P00000=0?ooo`030000003oool0
oooo01@0oooo000E0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool09P3oool00`00
0000oooo0?ooo`0f0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0=P3oool00`00
0000oooo0?ooo`0V0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0503oool001H0
oooo00<000000?ooo`3oool03@3oool2000002H0oooo00<000000?ooo`3oool0=@3oool00`000000
oooo0?ooo`0?0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool0903oool2000000l0
oooo00<000000?ooo`3oool05@3oool001H0oooo00<000000?ooo`3oool03`3oool00`000000oooo
0?ooo`0S0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool03`3oool00`000000oooo
0?ooo`0e0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool03`3oool00`000000oooo
0?ooo`0E0?ooo`005`3oool00`000000oooo0?ooo`0?0?ooo`8000008`3oool00`000000oooo0?oo
o`0d0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0=03oool00`000000oooo0?oo
o`0Q0?ooo`8000004@3oool00`000000oooo0?ooo`0F0?ooo`005`3oool00`000000oooo0?ooo`0A
0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`0A
0?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0A
0?ooo`030000003oool0oooo01H0oooo000H0?ooo`030000003oool0oooo0140oooo0P00000P0?oo
o`030000003oool0oooo03<0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0c0?oo
o`030000003oool0oooo01h0oooo0P00000C0?ooo`030000003oool0oooo01L0oooo000H0?ooo`03
0000003oool0oooo01<0oooo0P00000N0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3o
ool04`3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo01`0oooo0P00000E0?ooo`03
0000003oool0oooo01L0oooo000I0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0
6`3oool00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0
<P3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0
603oool001T0oooo00<000000?ooo`3oool05@3oool2000001/0oooo00<000000?ooo`3oool0<P3o
ool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo0380oooo00<000000?ooo`3oool06@3o
ool2000001L0oooo00<000000?ooo`3oool0603oool001X0oooo00<000000?ooo`3oool05P3oool0
0`000000oooo0?ooo`0H0?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool05`3oool0
0`000000oooo0?ooo`0a0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool05P3oool0
0`000000oooo0?ooo`0I0?ooo`006P3oool00`000000oooo0?ooo`0G0?ooo`800000603oool00`00
0000oooo0?ooo`0a0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0<@3oool00`00
0000oooo0?ooo`0F0?ooo`8000006@3oool00`000000oooo0?ooo`0I0?ooo`006`3oool00`000000
oooo0?ooo`0H0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0<03oool00`000000
oooo0?ooo`0I0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool05@3oool00`000000
oooo0?ooo`0H0?ooo`030000003oool0oooo01X0oooo000K0?ooo`030000003oool0oooo01T0oooo
0P00000E0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool06@3oool00`000000oooo
0?ooo`0`0?ooo`030000003oool0oooo01<0oooo0P00000K0?ooo`030000003oool0oooo01X0oooo
000L0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?oo
o`0_0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?oo
o`0B0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool06`3oool001`0oooo00<00000
0?ooo`3oool06`3oool200000180oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0K
0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool0403oool2000001d0oooo00<00000
0?ooo`3oool06`3oool001d0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0?0?oo
o`030000003oool0oooo02h0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0^0?oo
o`030000003oool0oooo00l0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0L0?oo
o`007@3oool00`000000oooo0?ooo`0M0?ooo`8000003`3oool00`000000oooo0?ooo`0^0?ooo`03
0000003oool0oooo01d0oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`0=0?ooo`80
00007`3oool00`000000oooo0?ooo`0L0?ooo`007P3oool00`000000oooo0?ooo`0N0?ooo`030000
003oool0oooo00`0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`0O0?ooo`030000
003oool0oooo02d0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0N0?ooo`030000
003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo01l0oooo0P00000<0?ooo`030000003o
ool0oooo02d0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0]0?ooo`030000003o
ool0oooo00X0oooo0P00000Q0?ooo`030000003oool0oooo01d0oooo000O0?ooo`030000003oool0
oooo0200oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0/0?ooo`030000003oool0
oooo0240oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`090?ooo`030000003oool0
oooo0200oooo00<000000?ooo`3oool07P3oool001l0oooo00<000000?ooo`3oool08@3oool20000
00T0oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo
02`0oooo00<000000?ooo`3oool01`3oool2000002<0oooo00<000000?ooo`3oool07P3oool00200
oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo02/0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0O0?ooo`00803oool00`000000oooo
0?ooo`0S0?ooo`8000001P3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo02<0oooo
00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`040?ooo`8000009@3oool00`000000oooo
0?ooo`0O0?ooo`008@3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool0:P3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo02X0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo0200oooo000Q
0?ooo`030000003oool0oooo02D0oooo0P0000030?ooo`030000003oool0oooo02X0oooo00<00000
0?ooo`3oool09@3oool00`000000oooo0?ooo`0Z0?ooo`040000003oool0oooo0?ooo`8000009`3o
ool00`000000oooo0?ooo`0P0?ooo`008P3oool00`000000oooo0?ooo`0V0?ooo`040000003oool0
oooo000002/0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`0Y0?ooo`040000003o
ool0oooo000002P0oooo00<000000?ooo`3oool08@3oool00280oooo00<000000?ooo`3oool09`3o
ool3000002/0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`0Y0?ooo`<00000:@3o
ool00`000000oooo0?ooo`0Q0?ooo`008`3oool00`000000oooo0?ooo`0X0?ooo`030000003oool0
oooo02P0oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`0X0?ooo`030000003oool0
oooo02P0oooo00<000000?ooo`3oool08P3oool002<0oooo00<000000?ooo`3oool0:03oool30000
02P0oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`0V0?ooo`<00000:P3oool00`00
0000oooo0?ooo`0R0?ooo`00903oool00`000000oooo0?ooo`0W0?ooo`040000003oool0oooo0000
02H0oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`0T0?ooo`040000003oool0oooo
000002T0oooo00<000000?ooo`3oool08`3oool002@0oooo00<000000?ooo`3oool09`3oool01000
0000oooo0?ooo`3oool2000002@0oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`0R
0?ooo`8000000`3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo02<0oooo000U0?oo
o`030000003oool0oooo02H0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0P0?oo
o`030000003oool0oooo02d0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo02H0oooo00<000000?ooo`3oool0903oool002D0oooo00<000000?ooo`3o
ool09P3oool00`000000oooo0?ooo`040?ooo`800000803oool00`000000oooo0?ooo`0]0?ooo`03
0000003oool0oooo01h0oooo0P0000060?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3o
ool0903oool002H0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo01`0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0L0?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`0U0?ooo`009P3o
ool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo00L0oooo0P00000L0?ooo`030000003o
ool0oooo02l0oooo00<000000?ooo`3oool06P3oool2000000T0oooo00<000000?ooo`3oool09@3o
ool00`000000oooo0?ooo`0U0?ooo`009`3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0
oooo00T0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0a0?ooo`030000003oool0
oooo01P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0
oooo02H0oooo000W0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool02P3oool20000
01P0oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`0F0?ooo`800000303oool00`00
0000oooo0?ooo`0T0?ooo`030000003oool0oooo02H0oooo000X0?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo03<0
oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool09`3oool002P0oooo00<000000?ooo`3oool08`3oool00`000000oooo
0?ooo`0=0?ooo`800000503oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo0180oooo
0P00000?0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool09`3oool002T0oooo00<0
00000?ooo`3oool08P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0100oooo00<0
00000?ooo`3oool0=@3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00l0oooo00<0
00000?ooo`3oool08P3oool00`000000oooo0?ooo`0X0?ooo`00:@3oool00`000000oooo0?ooo`0R
0?ooo`030000003oool0oooo0100oooo0P00000@0?ooo`030000003oool0oooo03D0oooo00<00000
0?ooo`3oool03P3oool200000180oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0X
0?ooo`00:P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0180oooo00<000000?oo
o`3oool0303oool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo00`0oooo00<000000?oo
o`3oool04P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo02T0oooo000Z0?ooo`03
0000003oool0oooo0240oooo00<000000?ooo`3oool04`3oool2000000`0oooo00<000000?ooo`3o
ool0=`3oool00`000000oooo0?ooo`0:0?ooo`8000005@3oool00`000000oooo0?ooo`0Q0?ooo`03
0000003oool0oooo02T0oooo000[0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0
5@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3oool0
203oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0
:P3oool002/0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0F0?ooo`800000203o
ool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo00H0oooo0P00000H0?ooo`030000003o
ool0oooo0200oooo00<000000?ooo`3oool0:P3oool002`0oooo00<000000?ooo`3oool07`3oool0
0`000000oooo0?ooo`0H0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0>`3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool07`3oool0
0`000000oooo0?ooo`0[0?ooo`00;03oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo
01T0oooo0P0000040?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool00P3oool20000
01/0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0[0?ooo`00;@3oool00`000000
oooo0?ooo`0N0?ooo`030000003oool0oooo01/0oooo00@000000?ooo`3oool00000?`3oool01000
0000oooo0?ooo`00000M0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0;03oool0
02d0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`0L0?ooo`<00000?`3oool30000
01h0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`0/0?ooo`00;P3oool00`000000
oooo0?ooo`0M0?ooo`030000003oool0oooo01d0oooo0`00000m0?ooo`<000007`3oool00`000000
oooo0?ooo`0M0?ooo`030000003oool0oooo02d0oooo000^0?ooo`030000003oool0oooo01d0oooo
00<000000?ooo`3oool07@3oool010000000oooo0?ooo`00000k0?ooo`040000003oool0oooo0000
01l0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0]0?ooo`00;`3oool00`000000
oooo0?ooo`0L0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool00P3oool2000003L0
oooo0P0000040?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0703oool00`000000
oooo0?ooo`0^0?ooo`00;`3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo01`0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo02h0oooo
000`0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?oo
o`060?ooo`800000<@3oool2000000P0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?oo
o`0K0?ooo`030000003oool0oooo02l0oooo000`0?ooo`030000003oool0oooo01/0oooo00<00000
0?ooo`3oool06`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo02d0oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo01/0oooo00<00000
0?ooo`3oool0;`3oool00340oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`0J0?oo
o`030000003oool0oooo00X0oooo0P00000[0?ooo`800000303oool00`000000oooo0?ooo`0J0?oo
o`030000003oool0oooo01X0oooo00<000000?ooo`3oool0<03oool00340oooo00<000000?ooo`3o
ool06P3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3o
ool09`3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3o
ool06P3oool00`000000oooo0?ooo`0`0?ooo`00<P3oool00`000000oooo0?ooo`0I0?ooo`030000
003oool0oooo01T0oooo00<000000?ooo`3oool03P3oool2000002D0oooo0P00000@0?ooo`030000
003oool0oooo01T0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0a0?ooo`00<P3o
ool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool0403o
ool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool06@3o
ool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo0340oooo000c0?ooo`030000003oool0
oooo01P0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0B0?ooo`8000007`3oool2
000001@0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0H0?ooo`030000003oool0
oooo0380oooo000c0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0603oool00`00
0000oooo0?ooo`0D0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool0503oool00`00
0000oooo0?ooo`0H0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0<P3oool003@0
oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo01H0
oooo0P00000I0?ooo`800000603oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo01L0
oooo00<000000?ooo`3oool0<`3oool003@0oooo00<000000?ooo`3oool05`3oool00`000000oooo
0?ooo`0G0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool05@3oool00`000000oooo
0?ooo`0H0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool05`3oool00`000000oooo
0?ooo`0c0?ooo`00=@3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo01H0oooo00<0
00000?ooo`3oool06P3oool2000001<0oooo0P00000L0?ooo`030000003oool0oooo01H0oooo00<0
00000?ooo`3oool05P3oool00`000000oooo0?ooo`0d0?ooo`00=@3oool00`000000oooo0?ooo`0F
0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0?
0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0F
0?ooo`030000003oool0oooo03@0oooo000f0?ooo`030000003oool0oooo01D0oooo00<000000?oo
o`3oool05@3oool00`000000oooo0?ooo`0N0?ooo`8000003@3oool200000200oooo00<000000?oo
o`3oool05@3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo03D0oooo000f0?ooo`03
0000003oool0oooo01D0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0P0?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0E0?ooo`03
0000003oool0oooo01D0oooo00<000000?ooo`3oool0=@3oool003L0oooo00<000000?ooo`3oool0
503oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo0280oooo0P0000070?ooo`800000
903oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0
=P3oool003L0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo02@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0T0?ooo`030000003o
ool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0f0?ooo`00>03oool0
0`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool09P3oool2
000000030?ooo`000000000002P0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0C
0?ooo`030000003oool0oooo03L0oooo000h0?ooo`030000003oool0oooo01<0oooo00<000000?oo
o`3oool04`3oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo02P0oooo00<000000?oo
o`3oool04`3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo03L0oooo000i0?ooo`03
0000003oool0oooo0180oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0W0?ooo`80
000000<0oooo000000000000:@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo0180
oooo00<000000?ooo`3oool0>03oool003T0oooo00<000000?ooo`3oool04P3oool00`000000oooo
0?ooo`0B0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`0V0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool04P3oool00`000000oooo
0?ooo`0h0?ooo`00>P3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo0140oooo00<0
00000?ooo`3oool09@3oool2000000L0oooo0P00000W0?ooo`030000003oool0oooo0140oooo00<0
00000?ooo`3oool04@3oool00`000000oooo0?ooo`0i0?ooo`00>P3oool00`000000oooo0?ooo`0A
0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0A
0?ooo`030000003oool0oooo03T0oooo000k0?ooo`030000003oool0oooo0100oooo00<000000?oo
o`3oool0403oool00`000000oooo0?ooo`0S0?ooo`8000003@3oool2000002D0oooo00<000000?oo
o`3oool0403oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo03X0oooo000k0?ooo`03
0000003oool0oooo0100oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0R0?ooo`03
0000003oool0oooo00l0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0@0?ooo`03
0000003oool0oooo0100oooo00<000000?ooo`3oool0>P3oool003`0oooo00<000000?ooo`3oool0
3`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0240oooo0P00000C0?ooo`800000
8`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0
>`3oool003`0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0?0?ooo`030000003o
ool0oooo0200oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0P0?ooo`030000003o
ool0oooo00l0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0k0?ooo`00?@3oool0
0`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool07`3oool2
000001T0oooo0P00000Q0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool03P3oool0
0`000000oooo0?ooo`0l0?ooo`00?@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo
00h0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo
01h0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo
03`0oooo000n0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool03@3oool00`000000
oooo0?ooo`0M0?ooo`8000007`3oool2000001l0oooo00<000000?ooo`3oool03@3oool00`000000
oooo0?ooo`0=0?ooo`030000003oool0oooo03d0oooo000n0?ooo`030000003oool0oooo00d0oooo
00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo0240oooo
00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00d0oooo
00<000000?ooo`3oool0?@3oool003l0oooo00<000000?ooo`3oool0303oool00`000000oooo0?oo
o`0<0?ooo`030000003oool0oooo01/0oooo0P00000U0?ooo`8000007@3oool00`000000oooo0?oo
o`0<0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0?P3oool003l0oooo00<00000
0?ooo`3oool0303oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo01X0oooo00<00000
0?ooo`3oool09`3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo00`0oooo00<00000
0?ooo`3oool0303oool00`000000oooo0?ooo`0n0?ooo`00@03oool00`000000oooo0?ooo`0;0?oo
o`030000003oool0oooo00/0oooo00<000000?ooo`3oool06@3oool2000002/0oooo0P00000K0?oo
o`030000003oool0oooo00/0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0o0?oo
o`00@03oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3o
ool0603oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3o
ool02`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo03l0oooo00110?ooo`030000
003oool0oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0G0?ooo`800000
<@3oool2000001T0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`030000
003oool0oooo0400oooo00110?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02P3o
ool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool05P3o
ool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0@03o
ool00480oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`090?ooo`030000003oool0
oooo01D0oooo0P00000g0?ooo`8000005`3oool00`000000oooo0?ooo`090?ooo`030000003oool0
oooo00T0oooo00<000000?ooo`3oool0@@3oool00480oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0>@3oool00`00
0000oooo0?ooo`0D0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`110?ooo`00@`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool04`3oool2000003d0oooo0P00000E0?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`120?ooo`00@`3oool00`000000oooo
0?ooo`080?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool04@3oool200000440oooo
0P00000C0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`120?ooo`00A03oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`3oool04@3oool00`000000oooo0?ooo`130?ooo`030000003oool0oooo0140oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo04<0oooo0014
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0?
0?ooo`800000A`3oool200000140oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo04<0oooo00150?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo04T0oooo00<000000?oo
o`3oool03`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool0A03oool004D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00d0oooo0P00001=0?ooo`8000003`3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool0A03oool004H0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0
C`3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`150?ooo`00AP3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool02`3oool2000005<0oooo0P00000=0?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`150?ooo`00A`3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02`3oool0
0`000000oooo0?ooo`1E0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo04H0oooo00170?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`800000F@3oool20000
00/0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
04H0oooo00180?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo05/0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0A`3oool004P0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00L0oooo
0P00001O0?ooo`8000002@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool0A`3oool004T0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0H@3oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`180?ooo`00B@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool01@3oool2000006D0oooo0P0000070?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`180?ooo`00@`3oool4000000<0oooo00D000000?oo
o`3oool0oooo000000030?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0I`3oool6
00000080oooo00D000000?ooo`3oool0oooo000000030?ooo`030000003oool0oooo04T0oooo0013
0?ooo`030000003oool0oooo00@0oooo00D000000?ooo`3oool0oooo000000030?ooo`030000003o
ool0oooo00<0oooo0P00001[0?ooo`<00000103oool01@000000oooo0?ooo`3oool0000000<0oooo
00<000000?ooo`3oool0B@3oool004@0oooo00<000000?ooo`3oool0103oool010000000oooo0?oo
o`0000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0K@3oool00`000000oooo
0?ooo`030?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool0BP3oool004D0oooo
00<000000?ooo`3oool00`3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo0?oo
o`800000L03oool3000000<0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`1:
0?ooo`00@`3oool010000000oooo0?ooo`0000050?ooo`050000003oool000000?ooo`0000000`3o
ool00`000000oooo0?ooo`1`0?ooo`040000003oool0oooo000000<0oooo00D000000?ooo`000000
oooo0000001=0?ooo`00A03oool2000000H0oooo1@0000000`3oool000000000001b0?ooo`800000
0`3oool2000000030?ooo`000000000000<00000C@3oool004`0oooo1P00001k0?ooo`H00000C@3o
ool004/0oooo1`00001k0?ooo`L00000C03oool004/0ooooR@00001<0?ooo`00B`3oool7000007/0
oooo1`00001<0?ooo`00C03oool5000007d0oooo1@00001=0?ooo`00C@3oool3000007l0oooo0`00
001>0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3o
oolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3o
oolQ0?ooo`00o`3ooolQ0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-0.0500054, 0.0169824, \
0.00383279, 0.00336597}}],

Cell[BoxData[
    \("4-valent subgraphs"\)], "Print"],

Cell[BoxData[
    \({{{1, 2}, {1, 3}, {1, 4}, {1, 5}, {2, 3}, {2, 4}, {2, 5}, {3, 4}, {3, 
          5}, {4, 5}}}\)], "Print"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0.0221976 0.973522 0.0465153 0.930307 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 0 0 r
.005 w
[ ] 0 setdash
.60654 .95348 m
.04868 .78027 L
s
.60654 .95348 m
.04868 .21973 L
s
.60654 .95348 m
.60654 .04652 L
s
.60654 .95348 m
.95132 .5 L
s
.04868 .78027 m
.04868 .21973 L
s
.04868 .78027 m
.60654 .04652 L
s
.04868 .78027 m
.95132 .5 L
s
.04868 .21973 m
.60654 .04652 L
s
.04868 .21973 m
.95132 .5 L
s
.60654 .04652 m
.95132 .5 L
s
.025 w
.60654 .95348 Mdot
[(1)] .58654 .93348 1 0 Mshowa
.04868 .78027 Mdot
[(2)] .02868 .76027 1 0 Mshowa
.04868 .21973 Mdot
[(3)] .02868 .19973 1 0 Mshowa
.60654 .04652 Mdot
[(4)] .58654 .02652 1 0 Mshowa
.95132 .5 Mdot
[(5)] .93132 .48 1 0 Mshowa
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00Y@3oool3000007P0oooo002V0?ooo`030000003oool0oooo07L0oooo002S0?ooo`D00000
N03oool00:<0oooo00@000000?ooo`3oool00000N@3oool00:@0oooo00<000000?ooo`000000N@3o
ool00:D0oooo0P0000060?ooo`<00000L03oool00:`0oooo1@00001_0?ooo`00Z`3oool7000006h0
oooo002[0?ooo`L00000KP3oool00:X0oooo2000001^0?ooo`00YP3oool400000080oooo1@00001_
0?ooo`00X`3oool3000000H0oooo1@00001_0?ooo`00X03oool3000000P0oooo00@000000?ooo`3o
ool000000P3oool00`000000oooo0?ooo`1/0?ooo`00W@3oool3000000X0oooo00D000000?ooo`3o
ool0oooo000000030?ooo`030000003oool0oooo06/0oooo002J0?ooo`<00000303oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0JP3oool009H0oooo
1000000?0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`1Z0?ooo`00T`3oool300000180oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo06T0oooo002@0?ooo`<00000503oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0J03oool008d0oooo0`00000F0?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`1W0?oo
o`00R@3oool4000001T0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo06L0oooo00260?ooo`<00000703oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool0IP3oool008<0oooo0`00000N0?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`1U0?ooo`00P03oool3
00000200oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`080?ooo`030000003oool0
oooo06@0oooo001m0?ooo`<000008P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool0I03oool007T0oooo1000000U0?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`1S0?ooo`00MP3oool3000002P0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0680oooo
001c0?ooo`<00000:P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool0H@3oool00700oooo0`00000/0?ooo`030000003oool0oooo00`0oooo00<00000
0?ooo`3oool02`3oool00`000000oooo0?ooo`1Q0?ooo`00K03oool4000002l0oooo00<000000?oo
o`3oool0303oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo0600oooo001Y0?ooo`<0
0000<P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3o
ool0G`3oool006H0oooo0`00000d0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0
3P3oool00`000000oooo0?ooo`1N0?ooo`00H`3oool3000003H0oooo00<000000?ooo`3oool03`3o
ool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo05d0oooo001P0?ooo`<00000>@3oool0
0`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0G@3oool0
05`0oooo1000000k0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0403oool00`00
0000oooo0?ooo`1L0?ooo`00F@3oool3000003h0oooo00<000000?ooo`3oool04@3oool00`000000
oooo0?ooo`0A0?ooo`030000003oool0oooo05/0oooo001F0?ooo`<00000@03oool00`000000oooo
0?ooo`0B0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0FP3oool005<0oooo0`00
00130?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool04P3oool00`000000oooo0?oo
o`1J0?ooo`00D03oool3000004D0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0C
0?ooo`030000003oool0oooo05T0oooo001<0?ooo`@00000A`3oool00`000000oooo0?ooo`0D0?oo
o`030000003oool0oooo01@0oooo00<000000?ooo`3oool0F03oool004T0oooo0`00001:0?ooo`03
0000003oool0oooo01D0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`1G0?ooo`00
AP3oool3000004`0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0E0?ooo`030000
003oool0oooo05L0oooo00130?ooo`<00000C`3oool00`000000oooo0?ooo`0F0?ooo`030000003o
ool0oooo01H0oooo00<000000?ooo`3oool0EP3oool003l0oooo1000001A0?ooo`030000003oool0
oooo01L0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`1E0?ooo`00?03oool30000
05@0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo
05@0oooo000i0?ooo`<00000EP3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo01P0
oooo00<000000?ooo`3oool0E03oool003H0oooo0`00001I0?ooo`030000003oool0oooo01T0oooo
00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`1C0?ooo`00<`3oool3000005/0oooo00<0
00000?ooo`3oool06P3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo0580oooo000_
0?ooo`@00000G@3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo01/0oooo00<00000
0?ooo`3oool0D@3oool002`0oooo0`00001P0?ooo`030000003oool0oooo01`0oooo00<000000?oo
o`3oool06`3oool00`000000oooo0?ooo`1A0?ooo`00:@3oool3000006<0oooo00<000000?ooo`3o
ool0703oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo0500oooo00040?ooo`800000
803oool3000006D0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0M0?ooo`030000
003oool0oooo04l0oooo00030?ooo`040000003oool0oooo000001/0oooo1000001W0?ooo`030000
003oool0oooo01h0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`1>0?ooo`001@3o
ool00`000000oooo0?ooo`0G0?ooo`<00000JP3oool00`000000oooo0?ooo`0O0?ooo`030000003o
ool0oooo01l0oooo00<000000?ooo`3oool0C@3oool000H0oooo00<000000?ooo`3oool04`3oool3
000006`0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0O0?ooo`030000003oool0
oooo04d0oooo00030?ooo`040000003oool0oooo00000180oooo0`00001_0?ooo`030000003oool0
oooo0200oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`1<0?ooo`00103oool20000
00H0oooo0`0000070?ooo`<00000L@3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo
0240oooo00<000000?ooo`3oool0B`3oool000/0oooo1@0000020?ooo`@00000L`3oool00`000000
oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0BP3oool000X0oooo
2000001f0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08P3oool00`000000oooo
0?ooo`1:0?ooo`002P3oool7000007L0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?oo
o`0S0?ooo`030000003oool0oooo04T0oooo000:0?ooo`P00000M@3oool00`000000oooo0?ooo`0T
0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool0B03oool000/0oooo1@0000020?oo
o`@00000L03oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo02D0oooo00<000000?oo
o`3oool0A`3oool000`0oooo100000060?ooo`<00000K03oool00`000000oooo0?ooo`0V0?ooo`03
0000003oool0oooo02D0oooo00<000000?ooo`3oool0A`3oool000d0oooo00@000000?ooo`3oool0
0000203oool3000006T0oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`0V0?ooo`03
0000003oool0oooo04H0oooo000=0?ooo`050000003oool0oooo0?ooo`0000002P3oool3000006D0
oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo04D0
oooo000=0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02P3oool400000600oooo
00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo04@0oooo
000=0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool03P3oool3000005`0oooo00<0
00000?ooo`3oool0:@3oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo04@0oooo000=
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0403oool3000005T0oooo00<00000
0?ooo`3oool0:@3oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo04<0oooo000=0?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool04P3oool3000005D0oooo00<000000?oo
o`3oool0:P3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo0480oooo000=0?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool0503oool400000500oooo00<000000?ooo`3o
ool0:`3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo0440oooo000=0?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0603oool3000004`0oooo00<000000?ooo`3oool0
;03oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo0440oooo000=0?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool06P3oool3000004P0oooo00<000000?ooo`3oool0;@3o
ool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo0400oooo000=0?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool0703oool3000004D0oooo00<000000?ooo`3oool0;@3oool0
0`000000oooo0?ooo`0]0?ooo`030000003oool0oooo03l0oooo000=0?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool07P3oool400000400oooo00<000000?ooo`3oool0;P3oool00`00
0000oooo0?ooo`0^0?ooo`030000003oool0oooo03h0oooo000=0?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool08P3oool3000003`0oooo00<000000?ooo`3oool0;`3oool00`000000
oooo0?ooo`0^0?ooo`030000003oool0oooo03h0oooo000=0?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool0903oool3000003P0oooo00<000000?ooo`3oool0<03oool00`000000oooo
0?ooo`0_0?ooo`030000003oool0oooo03d0oooo000=0?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool09P3oool3000003D0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?oo
o`0`0?ooo`030000003oool0oooo03`0oooo000=0?ooo`030000003oool0oooo00/0oooo00<00000
0?ooo`3oool0:03oool400000300oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`0a
0?ooo`030000003oool0oooo03/0oooo000=0?ooo`030000003oool0oooo00`0oooo00<000000?oo
o`3oool0:`3oool3000002`0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0b0?oo
o`030000003oool0oooo03X0oooo000=0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3o
ool0;P3oool3000002P0oooo00<000000?ooo`3oool0<`3oool00`000000oooo0?ooo`0b0?ooo`03
0000003oool0oooo03X0oooo000=0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0
<03oool3000002D0oooo00<000000?ooo`3oool0<`3oool00`000000oooo0?ooo`0c0?ooo`030000
003oool0oooo03T0oooo000=0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0<P3o
ool400000200oooo00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`0d0?ooo`030000003o
ool0oooo03P0oooo000=0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0=@3oool3
000001`0oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`0e0?ooo`030000003oool0
oooo03L0oooo000=0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0>03oool30000
01P0oooo00<000000?ooo`3oool0=P3oool00`000000oooo0?ooo`0e0?ooo`030000003oool0oooo
03L0oooo000=0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0>P3oool3000001@0
oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?ooo`0f0?ooo`030000003oool0oooo03H0
oooo000=0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0?03oool400000100oooo
00<000000?ooo`3oool0=`3oool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo03D0oooo
000=0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0?`3oool3000000`0oooo00<0
00000?ooo`3oool0>03oool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo03@0oooo000=
0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0@P3oool3000000P0oooo00<00000
0?ooo`3oool0>@3oool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo03@0oooo000=0?oo
o`030000003oool0oooo01<0oooo00<000000?ooo`3oool0A03oool3000000@0oooo00<000000?oo
o`3oool0>P3oool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo03<0oooo000=0?ooo`03
0000003oool0oooo01@0oooo00<000000?ooo`3oool0AP3oool5000003`0oooo00<000000?ooo`3o
ool0>P3oool00`000000oooo0?ooo`0b0?ooo`003@3oool00`000000oooo0?ooo`0E0?ooo`030000
003oool0oooo04P0oooo1000000j0?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool0
<@3oool000d0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`160?ooo`030000003o
ool0oooo0080oooo0`00000g0?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool0<@3o
ool000d0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`150?ooo`030000003oool0
oooo00H0oooo0`00000d0?ooo`030000003oool0oooo03`0oooo00<000000?ooo`3oool0<03oool0
00d0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`140?ooo`030000003oool0oooo
00T0oooo1000000`0?ooo`030000003oool0oooo03d0oooo00<000000?ooo`3oool0;`3oool000d0
oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`120?ooo`030000003oool0oooo00h0
oooo0`00000]0?ooo`030000003oool0oooo03h0oooo00<000000?ooo`3oool0;P3oool000d0oooo
00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`100?ooo`030000003oool0oooo0180oooo
0`00000Z0?ooo`030000003oool0oooo03h0oooo00<000000?ooo`3oool0;P3oool000d0oooo00<0
00000?ooo`3oool06@3oool00`000000oooo0?ooo`0o0?ooo`030000003oool0oooo01H0oooo0`00
000W0?ooo`030000003oool0oooo03l0oooo00<000000?ooo`3oool0;@3oool000d0oooo00<00000
0?ooo`3oool06P3oool00`000000oooo0?ooo`0n0?ooo`030000003oool0oooo01T0oooo1000000S
0?ooo`030000003oool0oooo0400oooo00<000000?ooo`3oool0;03oool000d0oooo00<000000?oo
o`3oool06`3oool00`000000oooo0?ooo`0l0?ooo`030000003oool0oooo01h0oooo0`00000P0?oo
o`030000003oool0oooo0440oooo00<000000?ooo`3oool0:`3oool000d0oooo00<000000?ooo`3o
ool0703oool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo0280oooo0`00000M0?ooo`03
0000003oool0oooo0480oooo00<000000?ooo`3oool0:P3oool000d0oooo00<000000?ooo`3oool0
703oool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo02H0oooo0`00000J0?ooo`030000
003oool0oooo0480oooo00<000000?ooo`3oool0:P3oool000d0oooo00<000000?ooo`3oool07@3o
ool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo02X0oooo1000000F0?ooo`030000003o
ool0oooo04<0oooo00<000000?ooo`3oool0:@3oool000d0oooo00<000000?ooo`3oool07P3oool0
0`000000oooo0?ooo`0f0?ooo`030000003oool0oooo02h0oooo0`00000C0?ooo`030000003oool0
oooo04@0oooo00<000000?ooo`3oool0:03oool000d0oooo00<000000?ooo`3oool07`3oool00`00
0000oooo0?ooo`0d0?ooo`030000003oool0oooo0380oooo0`00000@0?ooo`030000003oool0oooo
04D0oooo00<000000?ooo`3oool09`3oool000d0oooo00<000000?ooo`3oool07`3oool00`000000
oooo0?ooo`0c0?ooo`030000003oool0oooo03H0oooo0`00000=0?ooo`030000003oool0oooo04D0
oooo00<000000?ooo`3oool09`3oool000d0oooo00<000000?ooo`3oool0803oool00`000000oooo
0?ooo`0a0?ooo`030000003oool0oooo03X0oooo100000090?ooo`030000003oool0oooo04H0oooo
00<000000?ooo`3oool09P3oool000d0oooo00<000000?ooo`3oool08@3oool00`000000oooo0?oo
o`0`0?ooo`030000003oool0oooo03h0oooo0`0000060?ooo`030000003oool0oooo04L0oooo00<0
00000?ooo`3oool09@3oool000d0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0^
0?ooo`030000003oool0oooo0480oooo0`0000030?ooo`030000003oool0oooo04P0oooo00<00000
0?ooo`3oool0903oool000d0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0/0?oo
o`030000003oool0oooo04H0oooo1000001:0?ooo`030000003oool0oooo02@0oooo000=0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`1:0?ooo`@0
0000B03oool00`000000oooo0?ooo`0S0?ooo`003@3oool00`000000oooo0?ooo`0T0?ooo`030000
003oool0oooo02X0oooo00<000000?ooo`3oool0BP3oool010000000oooo0?ooo`3oool3000004H0
oooo00<000000?ooo`3oool08P3oool000d0oooo00<000000?ooo`3oool09@3oool00`000000oooo
0?ooo`0X0?ooo`030000003oool0oooo04/0oooo00<000000?ooo`3oool0103oool3000004@0oooo
00<000000?ooo`3oool08@3oool000d0oooo00<000000?ooo`3oool09P3oool00`000000oooo0?oo
o`0V0?ooo`030000003oool0oooo04`0oooo00<000000?ooo`3oool01`3oool300000440oooo00<0
00000?ooo`3oool08@3oool000d0oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`0U
0?ooo`030000003oool0oooo04d0oooo00<000000?ooo`3oool02P3oool4000003h0oooo00<00000
0?ooo`3oool0803oool000d0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`0S0?oo
o`030000003oool0oooo04h0oooo00<000000?ooo`3oool03P3oool3000003`0oooo00<000000?oo
o`3oool07`3oool000d0oooo00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`0R0?ooo`03
0000003oool0oooo04h0oooo00<000000?ooo`3oool04@3oool3000003X0oooo00<000000?ooo`3o
ool07P3oool000d0oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`0P0?ooo`030000
003oool0oooo04l0oooo00<000000?ooo`3oool0503oool3000003L0oooo00<000000?ooo`3oool0
7P3oool000d0oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`0O0?ooo`030000003o
ool0oooo0500oooo00<000000?ooo`3oool05`3oool4000003@0oooo00<000000?ooo`3oool07@3o
ool000d0oooo00<000000?ooo`3oool0:P3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0
oooo0540oooo00<000000?ooo`3oool06`3oool300000380oooo00<000000?ooo`3oool0703oool0
00d0oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo
0540oooo00<000000?ooo`3oool07P3oool300000300oooo00<000000?ooo`3oool06`3oool000d0
oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo0580
oooo00<000000?ooo`3oool08@3oool3000002h0oooo00<000000?ooo`3oool06P3oool000d0oooo
00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo05<0oooo
00<000000?ooo`3oool0903oool4000002X0oooo00<000000?ooo`3oool06P3oool000d0oooo00<0
00000?ooo`3oool0;@3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo05@0oooo00<0
00000?ooo`3oool0:03oool3000002P0oooo00<000000?ooo`3oool06@3oool000d0oooo00<00000
0?ooo`3oool0;P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo05@0oooo00<00000
0?ooo`3oool0:`3oool3000002H0oooo00<000000?ooo`3oool0603oool000d0oooo00<000000?oo
o`3oool0;`3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo05D0oooo00<000000?oo
o`3oool0;P3oool3000002@0oooo00<000000?ooo`3oool05`3oool000d0oooo00<000000?ooo`3o
ool0<03oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo05H0oooo00<000000?ooo`3o
ool0<@3oool400000200oooo00<000000?ooo`3oool05`3oool000d0oooo00<000000?ooo`3oool0
<03oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo05L0oooo00<000000?ooo`3oool0
=@3oool3000001h0oooo00<000000?ooo`3oool05P3oool000d0oooo00<000000?ooo`3oool0<@3o
ool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo05L0oooo00<000000?ooo`3oool0>03o
ool3000001`0oooo00<000000?ooo`3oool05@3oool000d0oooo00<000000?ooo`3oool0<P3oool0
0`000000oooo0?ooo`0>0?ooo`030000003oool0oooo05P0oooo00<000000?ooo`3oool0>`3oool3
000001X0oooo00<000000?ooo`3oool0503oool000d0oooo00<000000?ooo`3oool0<`3oool00`00
0000oooo0?ooo`0<0?ooo`030000003oool0oooo05T0oooo00<000000?ooo`3oool0?P3oool40000
01H0oooo00<000000?ooo`3oool0503oool000d0oooo00<000000?ooo`3oool0<`3oool00`000000
oooo0?ooo`0;0?ooo`030000003oool0oooo05X0oooo00<000000?ooo`3oool0@P3oool3000001@0
oooo00<000000?ooo`3oool04`3oool000d0oooo00<000000?ooo`3oool0=03oool00`000000oooo
0?ooo`090?ooo`030000003oool0oooo05/0oooo00<000000?ooo`3oool0A@3oool3000000h0oooo
0P0000020?ooo`030000003oool0oooo0180oooo000=0?ooo`030000003oool0oooo03D0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`1K0?ooo`030000003oool0oooo04P0oooo0`00
000:0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool04@3oool000d0oooo00<0
00000?ooo`3oool0=P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo05`0oooo00<0
00000?ooo`3oool0B`3oool4000000T0oooo00@000000?ooo`3oool000004`3oool000d0oooo00<0
00000?ooo`3oool0=P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo05d0oooo00<0
00000?ooo`3oool0C`3oool3000000@0oooo0P0000040?ooo`030000003oool0oooo0100oooo000=
0?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`1N
0?ooo`030000003oool0oooo0580oooo0`0000000`3oool000000?ooo`050?ooo`030000003oool0
oooo00l0oooo000=0?ooo`030000003oool0oooo03P0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`1N0?ooo`030000003oool0oooo05D0oooo100000050?ooo`<000003P3oool000d0
oooo00<000000?ooo`3oool0>@3oool010000000oooo0?ooo`00001Q0?ooo`030000003oool0oooo
05P0oooo100000000`3oool0000000000003000000d0oooo000=0?ooo`030000003oool0oooo03X0
oooo0P00001R0?ooo`030000003oool0oooo05`0oooo1`00000<0?ooo`003@3oool00`000000oooo
0?ooo`0j0?ooo`030000003oool0oooo0640oooo00<000000?ooo`3oool0G03oool7000000`0oooo
000=0?ooo`030000003oool0oooo03X0oooo0P00001R0?ooo`030000003oool0oooo05`0oooo1`00
000<0?ooo`003@3oool00`000000oooo0?ooo`0i0?ooo`040000003oool0oooo00000640oooo00<0
00000?ooo`3oool0F03oool4000000030?ooo`000000000000<000003@3oool000d0oooo00<00000
0?ooo`3oool0>03oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo05h0oooo00<00000
0?ooo`3oool0E@3oool3000000H0oooo0`00000>0?ooo`003@3oool00`000000oooo0?ooo`0g0?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool0GP3oool00`000000oooo0?ooo`1B0?oo
o`<00000203oool00`000000oooo0?ooo`0?0?ooo`003@3oool00`000000oooo0?ooo`0f0?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool0G@3oool00`000000oooo0?ooo`1?0?ooo`<0
00002P3oool00`000000oooo0?ooo`0@0?ooo`003@3oool00`000000oooo0?ooo`0f0?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool0G03oool00`000000oooo0?ooo`1;0?ooo`@00000
303oool00`000000oooo0?ooo`0A0?ooo`003@3oool00`000000oooo0?ooo`0e0?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool0F`3oool00`000000oooo0?ooo`180?ooo`<00000403o
ool00`000000oooo0?ooo`0A0?ooo`003@3oool00`000000oooo0?ooo`0d0?ooo`030000003oool0
oooo00T0oooo00<000000?ooo`3oool0F`3oool00`000000oooo0?ooo`150?ooo`<000004P3oool0
0`000000oooo0?ooo`0B0?ooo`003@3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool0FP3oool00`000000oooo0?ooo`120?ooo`<00000503oool00`00
0000oooo0?ooo`0C0?ooo`003@3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo00`0
oooo00<000000?ooo`3oool0F@3oool00`000000oooo0?ooo`0n0?ooo`@000005P3oool00`000000
oooo0?ooo`0D0?ooo`003@3oool00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo00h0oooo
00<000000?ooo`3oool0F03oool00`000000oooo0?ooo`0k0?ooo`<000006P3oool00`000000oooo
0?ooo`0D0?ooo`003@3oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo0100oooo00<0
00000?ooo`3oool0E`3oool00`000000oooo0?ooo`0h0?ooo`<00000703oool00`000000oooo0?oo
o`0E0?ooo`003@3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo0140oooo00<00000
0?ooo`3oool0E`3oool00`000000oooo0?ooo`0e0?ooo`<000007P3oool00`000000oooo0?ooo`0F
0?ooo`003@3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo0180oooo00<000000?oo
o`3oool0EP3oool00`000000oooo0?ooo`0a0?ooo`@00000803oool00`000000oooo0?ooo`0G0?oo
o`003@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3o
ool0E@3oool00`000000oooo0?ooo`0^0?ooo`<00000903oool00`000000oooo0?ooo`0G0?ooo`00
3@3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0
E03oool00`000000oooo0?ooo`0[0?ooo`<000009P3oool00`000000oooo0?ooo`0H0?ooo`003@3o
ool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0E03o
ool00`000000oooo0?ooo`0X0?ooo`<00000:03oool00`000000oooo0?ooo`0I0?ooo`003@3oool0
0`000000oooo0?ooo`0]0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0D`3oool0
0`000000oooo0?ooo`0T0?ooo`@00000:P3oool00`000000oooo0?ooo`0J0?ooo`003@3oool00`00
0000oooo0?ooo`0/0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0DP3oool00`00
0000oooo0?ooo`0Q0?ooo`<00000;P3oool00`000000oooo0?ooo`0J0?ooo`003@3oool00`000000
oooo0?ooo`0[0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0D@3oool00`000000
oooo0?ooo`0N0?ooo`<00000<03oool00`000000oooo0?ooo`0K0?ooo`003@3oool00`000000oooo
0?ooo`0Z0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0D@3oool00`000000oooo
0?ooo`0K0?ooo`<00000<P3oool00`000000oooo0?ooo`0L0?ooo`003@3oool00`000000oooo0?oo
o`0Y0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0D03oool00`000000oooo0?oo
o`0G0?ooo`@00000=03oool00`000000oooo0?ooo`0M0?ooo`003@3oool00`000000oooo0?ooo`0Y
0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0C`3oool00`000000oooo0?ooo`0D
0?ooo`<00000=`3oool00`000000oooo0?ooo`0N0?ooo`003@3oool00`000000oooo0?ooo`0X0?oo
o`030000003oool0oooo0280oooo00<000000?ooo`3oool0CP3oool00`000000oooo0?ooo`0A0?oo
o`<00000>P3oool00`000000oooo0?ooo`0N0?ooo`003@3oool00`000000oooo0?ooo`0W0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool0CP3oool00`000000oooo0?ooo`0>0?ooo`<0
0000?03oool00`000000oooo0?ooo`0O0?ooo`003@3oool00`000000oooo0?ooo`0V0?ooo`030000
003oool0oooo02D0oooo00<000000?ooo`3oool0C@3oool00`000000oooo0?ooo`0:0?ooo`@00000
?P3oool00`000000oooo0?ooo`0P0?ooo`003@3oool00`000000oooo0?ooo`0V0?ooo`030000003o
ool0oooo02H0oooo00<000000?ooo`3oool0C03oool00`000000oooo0?ooo`070?ooo`<00000@@3o
ool00`000000oooo0?ooo`0Q0?ooo`003@3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0
oooo02P0oooo00<000000?ooo`3oool0B`3oool00`000000oooo0?ooo`040?ooo`<00000A03oool0
0`000000oooo0?ooo`0Q0?ooo`003@3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo
02X0oooo00<000000?ooo`3oool0BP3oool010000000oooo0?ooo`3oool3000004H0oooo00<00000
0?ooo`3oool08P3oool000d0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0[0?oo
o`030000003oool0oooo04X0oooo100000180?ooo`030000003oool0oooo02<0oooo000=0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`160?ooo`@0
0000BP3oool00`000000oooo0?ooo`0T0?ooo`003@3oool00`000000oooo0?ooo`0R0?ooo`030000
003oool0oooo02h0oooo00<000000?ooo`3oool0@P3oool3000000<0oooo00<000000?ooo`3oool0
B03oool00`000000oooo0?ooo`0T0?ooo`003@3oool00`000000oooo0?ooo`0Q0?ooo`030000003o
ool0oooo0300oooo00<000000?ooo`3oool0?P3oool3000000H0oooo00<000000?ooo`3oool0A`3o
ool00`000000oooo0?ooo`0U0?ooo`003@3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0
oooo0340oooo00<000000?ooo`3oool0>P3oool4000000T0oooo00<000000?ooo`3oool0AP3oool0
0`000000oooo0?ooo`0V0?ooo`003@3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo
03<0oooo00<000000?ooo`3oool0=P3oool3000000d0oooo00<000000?ooo`3oool0A@3oool00`00
0000oooo0?ooo`0W0?ooo`003@3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo03@0
oooo00<000000?ooo`3oool0<P3oool300000100oooo00<000000?ooo`3oool0A@3oool00`000000
oooo0?ooo`0W0?ooo`003@3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo03H0oooo
00<000000?ooo`3oool0;P3oool3000001<0oooo00<000000?ooo`3oool0A03oool00`000000oooo
0?ooo`0X0?ooo`003@3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo03L0oooo00<0
00000?ooo`3oool0:P3oool4000001H0oooo00<000000?ooo`3oool0@`3oool00`000000oooo0?oo
o`0Y0?ooo`003@3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo03T0oooo00<00000
0?ooo`3oool09P3oool3000001X0oooo00<000000?ooo`3oool0@P3oool00`000000oooo0?ooo`0Z
0?ooo`003@3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo03X0oooo00<000000?oo
o`3oool08P3oool3000001d0oooo00<000000?ooo`3oool0@P3oool00`000000oooo0?ooo`0Z0?oo
o`003@3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo03`0oooo00<000000?ooo`3o
ool07P3oool300000200oooo00<000000?ooo`3oool0@@3oool00`000000oooo0?ooo`0[0?ooo`00
3@3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo03h0oooo00<000000?ooo`3oool0
6@3oool4000002<0oooo00<000000?ooo`3oool0@03oool00`000000oooo0?ooo`0/0?ooo`003@3o
ool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo03l0oooo00<000000?ooo`3oool05P3o
ool3000002L0oooo00<000000?ooo`3oool0?`3oool00`000000oooo0?ooo`0]0?ooo`003@3oool0
0`000000oooo0?ooo`0I0?ooo`030000003oool0oooo0400oooo00<000000?ooo`3oool04P3oool3
000002X0oooo00<000000?ooo`3oool0?P3oool00`000000oooo0?ooo`0^0?ooo`003@3oool00`00
0000oooo0?ooo`0H0?ooo`030000003oool0oooo0480oooo00<000000?ooo`3oool03P3oool30000
02d0oooo00<000000?ooo`3oool0?P3oool00`000000oooo0?ooo`0^0?ooo`003@3oool00`000000
oooo0?ooo`0G0?ooo`030000003oool0oooo04@0oooo00<000000?ooo`3oool02@3oool400000300
oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?ooo`0_0?ooo`003@3oool00`000000oooo
0?ooo`0F0?ooo`030000003oool0oooo04D0oooo00<000000?ooo`3oool01P3oool3000003@0oooo
00<000000?ooo`3oool0?03oool00`000000oooo0?ooo`0`0?ooo`003@3oool00`000000oooo0?oo
o`0F0?ooo`030000003oool0oooo04H0oooo00<000000?ooo`3oool00P3oool3000003L0oooo00<0
00000?ooo`3oool0>`3oool00`000000oooo0?ooo`0a0?ooo`003@3oool00`000000oooo0?ooo`0E
0?ooo`030000003oool0oooo04P0oooo1000000j0?ooo`030000003oool0oooo03/0oooo00<00000
0?ooo`3oool0<@3oool000d0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`160?oo
o`D00000?03oool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo0380oooo000=0?ooo`03
0000003oool0oooo01<0oooo00<000000?ooo`3oool0A03oool3000000@0oooo00<000000?ooo`3o
ool0>P3oool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo03<0oooo000=0?ooo`030000
003oool0oooo0180oooo00<000000?ooo`3oool0@P3oool3000000P0oooo00<000000?ooo`3oool0
>@3oool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo03@0oooo000=0?ooo`030000003o
ool0oooo0180oooo00<000000?ooo`3oool0?`3oool3000000`0oooo00<000000?ooo`3oool0>03o
ool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo03@0oooo000=0?ooo`030000003oool0
oooo0140oooo00<000000?ooo`3oool0?03oool400000100oooo00<000000?ooo`3oool0=`3oool0
0`000000oooo0?ooo`0g0?ooo`030000003oool0oooo03D0oooo000=0?ooo`030000003oool0oooo
0100oooo00<000000?ooo`3oool0>P3oool3000001@0oooo00<000000?ooo`3oool0=`3oool00`00
0000oooo0?ooo`0f0?ooo`030000003oool0oooo03H0oooo000=0?ooo`030000003oool0oooo00l0
oooo00<000000?ooo`3oool0>03oool3000001P0oooo00<000000?ooo`3oool0=P3oool00`000000
oooo0?ooo`0e0?ooo`030000003oool0oooo03L0oooo000=0?ooo`030000003oool0oooo00l0oooo
00<000000?ooo`3oool0=@3oool3000001`0oooo00<000000?ooo`3oool0=@3oool00`000000oooo
0?ooo`0e0?ooo`030000003oool0oooo03L0oooo000=0?ooo`030000003oool0oooo00h0oooo00<0
00000?ooo`3oool0<P3oool400000200oooo00<000000?ooo`3oool0=03oool00`000000oooo0?oo
o`0d0?ooo`030000003oool0oooo03P0oooo000=0?ooo`030000003oool0oooo00d0oooo00<00000
0?ooo`3oool0<03oool3000002D0oooo00<000000?ooo`3oool0<`3oool00`000000oooo0?ooo`0c
0?ooo`030000003oool0oooo03T0oooo000=0?ooo`030000003oool0oooo00`0oooo00<000000?oo
o`3oool0;P3oool3000002P0oooo00<000000?ooo`3oool0<`3oool00`000000oooo0?ooo`0b0?oo
o`030000003oool0oooo03X0oooo000=0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3o
ool0:`3oool3000002`0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0b0?ooo`03
0000003oool0oooo03X0oooo000=0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0
:03oool400000300oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`0a0?ooo`030000
003oool0oooo03/0oooo000=0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool09P3o
ool3000003D0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`0`0?ooo`030000003o
ool0oooo03`0oooo000=0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0903oool3
000003P0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`0_0?ooo`030000003oool0
oooo03d0oooo000=0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool08P3oool30000
03`0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo
03h0oooo000=0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool07P3oool400000400
oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo03h0
oooo000=0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0703oool3000004D0oooo
00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo03l0oooo
000=0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool06P3oool3000004P0oooo00<0
00000?ooo`3oool0;@3oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo0400oooo000=
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0603oool3000004`0oooo00<00000
0?ooo`3oool0;03oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo0440oooo000=0?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0503oool400000500oooo00<000000?oo
o`3oool0:`3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo0440oooo000=0?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool04P3oool3000005D0oooo00<000000?ooo`3o
ool0:P3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo0480oooo000=0?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool0403oool3000005T0oooo00<000000?ooo`3oool0
:@3oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo04<0oooo00030?ooo`@000001P3o
ool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00h0oooo0`00001L0?ooo`030000003o
ool0oooo02T0oooo00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`140?ooo`000`3oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02P3oool4
00000600oooo00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`0X0?ooo`030000003oool0
oooo04@0oooo00040?ooo`030000003oool0oooo00H0oooo00D000000?ooo`3oool0oooo0000000:
0?ooo`<00000I@3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo02L0oooo00<00000
0?ooo`3oool0A@3oool000D0oooo00<000000?ooo`3oool01@3oool010000000oooo0?ooo`000008
0?ooo`<00000J@3oool00`000000oooo0?ooo`0V0?ooo`030000003oool0oooo02H0oooo00<00000
0?ooo`3oool0AP3oool000<0oooo00@000000?ooo`3oool000001@3oool4000000H0oooo0`00001/
0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`17
0?ooo`00103oool2000000D0oooo1@0000020?ooo`@00000L03oool00`000000oooo0?ooo`0U0?oo
o`030000003oool0oooo02D0oooo00<000000?ooo`3oool0A`3oool000X0oooo2000001e0?ooo`03
0000003oool0oooo02@0oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`180?ooo`00
2P3oool7000007L0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000
003oool0oooo04T0oooo000:0?ooo`P00000MP3oool00`000000oooo0?ooo`0S0?ooo`030000003o
ool0oooo0280oooo00<000000?ooo`3oool0BP3oool000/0oooo1@0000020?ooo`@00000L`3oool0
0`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0BP3oool0
00`0oooo0`0000070?ooo`<00000L@3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo
0240oooo00<000000?ooo`3oool0B`3oool001T0oooo0`00001_0?ooo`030000003oool0oooo0200
oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`1<0?ooo`00703oool3000006`0oooo
00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo04d0oooo
000O0?ooo`<00000JP3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo01l0oooo00<0
00000?ooo`3oool0C@3oool00280oooo1000001W0?ooo`030000003oool0oooo01h0oooo00<00000
0?ooo`3oool07P3oool00`000000oooo0?ooo`1>0?ooo`009P3oool3000006D0oooo00<000000?oo
o`3oool07@3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo04l0oooo000Y0?ooo`<0
0000H`3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3o
ool0D03oool002`0oooo0`00001P0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0
6`3oool00`000000oooo0?ooo`1A0?ooo`00;`3oool4000005d0oooo00<000000?ooo`3oool06`3o
ool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo0540oooo000c0?ooo`<00000F`3oool0
0`000000oooo0?ooo`0J0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0DP3oool0
03H0oooo0`00001I0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool06@3oool00`00
0000oooo0?ooo`1C0?ooo`00>@3oool3000005H0oooo00<000000?ooo`3oool06@3oool00`000000
oooo0?ooo`0H0?ooo`030000003oool0oooo05@0oooo000l0?ooo`<00000E03oool00`000000oooo
0?ooo`0H0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0E03oool003l0oooo1000
001A0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?oo
o`1E0?ooo`00@`3oool3000004l0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0F
0?ooo`030000003oool0oooo05H0oooo00160?ooo`<00000C03oool00`000000oooo0?ooo`0F0?oo
o`030000003oool0oooo01D0oooo00<000000?ooo`3oool0E`3oool004T0oooo0`00001:0?ooo`03
0000003oool0oooo01D0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`1G0?ooo`00
C03oool4000004L0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0D0?ooo`030000
003oool0oooo05P0oooo001@0?ooo`<00000A@3oool00`000000oooo0?ooo`0C0?ooo`030000003o
ool0oooo01<0oooo00<000000?ooo`3oool0F@3oool005<0oooo0`0000130?ooo`030000003oool0
oooo0180oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`1J0?ooo`00EP3oool30000
0400oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo
05X0oooo001I0?ooo`<00000?P3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo0140
oooo00<000000?ooo`3oool0F`3oool005`0oooo1000000k0?ooo`030000003oool0oooo0100oooo
00<000000?ooo`3oool0403oool00`000000oooo0?ooo`1L0?ooo`00H03oool3000003T0oooo00<0
00000?ooo`3oool03`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo05d0oooo001S
0?ooo`<00000=P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00l0oooo00<00000
0?ooo`3oool0G@3oool006H0oooo0`00000d0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`1N0?ooo`00J@3oool300000380oooo00<000000?ooo`3o
ool03@3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo05l0oooo001/0?ooo`@00000
;`3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0
H03oool00700oooo0`00000/0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool02`3o
ool00`000000oooo0?ooo`1Q0?ooo`00L`3oool3000002X0oooo00<000000?ooo`3oool02`3oool0
0`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0640oooo001f0?ooo`<00000:03oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0HP3oool007T0
oooo1000000U0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`1S0?ooo`00O@3oool300000280oooo00<000000?ooo`3oool02@3oool00`000000oooo
0?ooo`080?ooo`030000003oool0oooo06@0oooo00200?ooo`<00000803oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0I03oool008<0oooo0`00000N
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`1U
0?ooo`00QP3oool3000001`0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo06H0oooo00290?ooo`@000006@3oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool0I`3oool008d0oooo0`00000F0?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`1W0?ooo`00T03o
ool3000001@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo06P0oooo002C0?ooo`<000003@3oool6000000D0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`1Y0?ooo`00UP3oool4000000/0oooo00D000000?ooo`3oool0oooo00000004
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0JP3oool009X0oooo0`0000080?oo
o`050000003oool0oooo0?ooo`000000103oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo06X0oooo002M0?ooo`<000001@3oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo
0?ooo`0000000`3oool00`000000oooo0?ooo`1[0?ooo`00X03oool300000080oooo00<000000?oo
o`3oool00`3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo06`0oooo002S0?oo
o`<000001P3oool5000006l0oooo002V0?ooo`@000000P3oool5000006l0oooo002Z0?ooo`P00000
KP3oool00:/0oooo1`00001^0?ooo`00Z`3oool7000006h0oooo002/0?ooo`D00000K`3oool00:d0
oooo0`00001`0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?oo
o`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?oo
o`00o`3ooolQ0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {0.0227962, -0.0500053, \
0.00357912, 0.00374538}}],

Cell[BoxData[
    \({{1, 2}, {1, 3}, {1, 4}, {1, 6}, {2, 3}, {2, 4}, {2, 6}, {3, 4}, {3, 
        6}, {4, 6}}\)], "Print"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0454545 0.909091 -0.0175847 1.03517 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 0 0 r
.005 w
[ ] 0 setdash
.72727 .94824 m
.27273 .94824 L
s
.72727 .94824 m
.04545 .5 L
s
.72727 .94824 m
.27273 .05176 L
s
.72727 .94824 m
.95455 .5 L
s
.27273 .94824 m
.04545 .5 L
s
.27273 .94824 m
.27273 .05176 L
s
.27273 .94824 m
.95455 .5 L
s
.04545 .5 m
.27273 .05176 L
s
.04545 .5 m
.95455 .5 L
s
.27273 .05176 m
.95455 .5 L
s
.025 w
.72727 .94824 Mdot
[(1)] .70727 .92824 1 0 Mshowa
.27273 .94824 Mdot
[(2)] .25273 .92824 1 0 Mshowa
.04545 .5 Mdot
[(3)] .02545 .48 1 0 Mshowa
.27273 .05176 Mdot
[(4)] .25273 .03176 1 0 Mshowa
.72727 .05176 Mdot
[(5)] .70727 .03176 1 0 Mshowa
.95455 .5 Mdot
[(6)] .93455 .48 1 0 Mshowa
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00A@3oool3000007h0oooo0P00001H0?ooo`00AP3o
ool00`000000oooo0?ooo`1l0?ooo`040000003oool0oooo000005L0oooo00130?ooo`D00000P03o
ool00`000000oooo0?ooo`1E0?ooo`00@`3oool010000000oooo0?ooo`00001o0?ooo`800000F03o
ool004@0oooo00<000000?ooo`0000001P3oool3000007H0oooo00<000000?ooo`3oool01P3oool3
000004h0oooo00150?ooo`8000001@3oool5000007D0oooo0`0000050?ooo`D00000C@3oool004/0
oooo1`00001k0?ooo`L00000C03oool004/0oooo1`00001k0?ooo`L00000C03oool004/0oooo1`00
001k0?ooo`L00000C03oool004`0oooo1P00001l0?ooo`D00000C@3oool004`0oooo1@0000000`3o
ool000000000001k0?ooo`<00000CP3oool004`0oooo00D000000?ooo`000000oooo000000030?oo
o`030000003oool0oooo0<T0oooo001;0?ooo`040000003oool0oooo00000080oooo00@000000?oo
o`3oool0oooo0P0000390?ooo`00B`3oool010000000oooo0?ooo`0000020?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool0aP3oool004X0oooo00D000000?ooo`3oool0oooo00000003
0?ooo`030000003oool0oooo00<0oooo0P0000360?ooo`00BP3oool01@000000oooo0?ooo`3oool0
000000<0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`330?ooo`00B@3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01@3oool20000
0<<0oooo00190?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo0<00oooo00180?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`070?ooo`800000`03oool004P0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool0_@3oool004L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00T0oooo0P00002m0?ooo`00A`3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`2j0?oo
o`00AP3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool02`3oool200000;X0oooo00160?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo0;L0oooo00150?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0=0?ooo`800000]`3o
ool004D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo00l0oooo00<000000?ooo`3oool0]03oool004@0oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`070?ooo`030000003oool0oooo00l0oooo0P00002d0?ooo`00A03oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool04@3oool00`000000
oooo0?ooo`2a0?ooo`00@`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00P0oooo
00<000000?ooo`3oool04@3oool200000;40oooo00130?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`0C0?ooo`800000[`3oool00480oooo00<00000
0?ooo`3oool02@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo01@0oooo00<00000
0?ooo`3oool0[03oool00480oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`090?oo
o`030000003oool0oooo01D0oooo0P00002/0?ooo`00@@3oool00`000000oooo0?ooo`0:0?ooo`03
0000003oool0oooo00X0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`2Y0?ooo`00
@@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0
5`3oool200000:T0oooo00100?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool02`3o
ool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo0:H0oooo00100?ooo`030000003oool0
oooo00/0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0I0?ooo`800000YP3oool0
03l0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo
01X0oooo00<000000?ooo`3oool0X`3oool003l0oooo00<000000?ooo`3oool0303oool00`000000
oooo0?ooo`0<0?ooo`030000003oool0oooo01/0oooo0P00002S0?ooo`00?P3oool00`000000oooo
0?ooo`0=0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0703oool00`000000oooo
0?ooo`2P0?ooo`00?P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00d0oooo00<0
00000?ooo`3oool07@3oool200000:00oooo000m0?ooo`030000003oool0oooo00h0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo09d0oooo000m0?oo
o`030000003oool0oooo00h0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0O0?oo
o`800000W@3oool003`0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0?0?ooo`03
0000003oool0oooo0200oooo00<000000?ooo`3oool0VP3oool003`0oooo00<000000?ooo`3oool0
3`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0240oooo0P00002J0?ooo`00>`3o
ool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool08P3o
ool00`000000oooo0?ooo`2G0?ooo`00>`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0
oooo0100oooo00<000000?ooo`3oool08`3oool2000009L0oooo000j0?ooo`030000003oool0oooo
0140oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo
09@0oooo000j0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool04@3oool00`000000
oooo0?ooo`0U0?ooo`800000U03oool003T0oooo00<000000?ooo`3oool04P3oool00`000000oooo
0?ooo`0B0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0T@3oool003T0oooo00<0
00000?ooo`3oool04P3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo02L0oooo0P00
002A0?ooo`00>03oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01<0oooo00<00000
0?ooo`3oool0:03oool00`000000oooo0?ooo`2>0?ooo`00>03oool00`000000oooo0?ooo`0C0?oo
o`030000003oool0oooo01<0oooo00<000000?ooo`3oool0:@3oool2000008h0oooo000g0?ooo`03
0000003oool0oooo01@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0Z0?ooo`03
0000003oool0oooo08/0oooo000g0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0
503oool00`000000oooo0?ooo`0[0?ooo`800000R`3oool003H0oooo00<000000?ooo`3oool05@3o
ool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool0R03o
ool003H0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0
oooo02d0oooo0P0000280?ooo`00=@3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo
01H0oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`250?ooo`00=@3oool00`000000
oooo0?ooo`0F0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0;`3oool2000008D0
oooo000d0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool05`3oool00`000000oooo
0?ooo`0`0?ooo`030000003oool0oooo0880oooo000d0?ooo`030000003oool0oooo01L0oooo00<0
00000?ooo`3oool05`3oool00`000000oooo0?ooo`0a0?ooo`800000PP3oool003<0oooo00<00000
0?ooo`3oool0603oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo0380oooo00<00000
0?ooo`3oool0O`3oool003<0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0H0?oo
o`030000003oool0oooo03<0oooo0P00001o0?ooo`00<P3oool00`000000oooo0?ooo`0I0?ooo`03
0000003oool0oooo01T0oooo00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`1l0?ooo`00
<P3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool0
=@3oool2000007`0oooo000a0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool06P3o
ool00`000000oooo0?ooo`0f0?ooo`030000003oool0oooo07T0oooo000a0?ooo`030000003oool0
oooo01X0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`0g0?ooo`800000N@3oool0
0300oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo
03P0oooo00<000000?ooo`3oool0MP3oool00300oooo00<000000?ooo`3oool06`3oool00`000000
oooo0?ooo`0K0?ooo`030000003oool0oooo03T0oooo0P00001f0?ooo`00;`3oool00`000000oooo
0?ooo`0L0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0>P3oool00`000000oooo
0?ooo`1c0?ooo`00;`3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo01`0oooo00<0
00000?ooo`3oool0>`3oool2000007<0oooo000^0?ooo`030000003oool0oooo01d0oooo00<00000
0?ooo`3oool07@3oool00`000000oooo0?ooo`0l0?ooo`030000003oool0oooo0700oooo000^0?oo
o`030000003oool0oooo01d0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0m0?oo
o`800000L03oool002d0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`0N0?ooo`03
0000003oool0oooo03h0oooo0P00001^0?ooo`00;@3oool00`000000oooo0?ooo`0N0?ooo`030000
003oool0oooo01h0oooo00<000000?ooo`3oool0@03oool00`000000oooo0?ooo`1[0?ooo`00;03o
ool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0@03o
ool2000006/0oooo000/0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool07`3oool0
0`000000oooo0?ooo`120?ooo`030000003oool0oooo06P0oooo000[0?ooo`030000003oool0oooo
0200oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`120?ooo`800000J03oool002/0
oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo04@0
oooo00<000000?ooo`3oool0I@3oool002X0oooo00<000000?ooo`3oool08@3oool00`000000oooo
0?ooo`0Q0?ooo`030000003oool0oooo04@0oooo0P00001U0?ooo`00:P3oool00`000000oooo0?oo
o`0Q0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool0AP3oool00`000000oooo0?oo
o`1R0?ooo`00:@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<00000
0?ooo`3oool0AP3oool200000680oooo000Y0?ooo`030000003oool0oooo0280oooo00<000000?oo
o`3oool08P3oool00`000000oooo0?ooo`180?ooo`030000003oool0oooo05l0oooo000X0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`180?ooo`80
0000G`3oool002P0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000
003oool0oooo04X0oooo00<000000?ooo`3oool0G03oool002L0oooo00<000000?ooo`3oool0903o
ool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo04X0oooo0P00001L0?ooo`009`3oool0
0`000000oooo0?ooo`0T0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool0C03oool0
0`000000oooo0?ooo`1I0?ooo`009P3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo
02D0oooo00<000000?ooo`3oool0C03oool2000005T0oooo000V0?ooo`030000003oool0oooo02D0
oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`1>0?ooo`030000003oool0oooo05H0
oooo000U0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool09P3oool00`000000oooo
0?ooo`1>0?ooo`800000EP3oool002D0oooo00<000000?ooo`3oool09P3oool00`000000oooo0?oo
o`0V0?ooo`030000003oool0oooo0500oooo00<000000?ooo`3oool0D`3oool002@0oooo00<00000
0?ooo`3oool09`3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo0500oooo0P00001C
0?ooo`00903oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo02L0oooo00<000000?oo
o`3oool0DP3oool00`000000oooo0?ooo`1@0?ooo`008`3oool00`000000oooo0?ooo`0X0?ooo`03
0000003oool0oooo02P0oooo00<000000?ooo`3oool0DP3oool200000500oooo000S0?ooo`030000
003oool0oooo02P0oooo00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`1D0?ooo`030000
003oool0oooo04d0oooo000R0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool0:@3o
ool00`000000oooo0?ooo`1D0?ooo`800000C@3oool00280oooo00<000000?ooo`3oool0:@3oool0
0`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo05H0oooo00<000000?ooo`3oool0BP3oool0
0240oooo00<000000?ooo`3oool0:P3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo
05H0oooo0P00001:0?ooo`008@3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo02X0
oooo00<000000?ooo`3oool0F03oool00`000000oooo0?ooo`170?ooo`00803oool00`000000oooo
0?ooo`0[0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0F03oool2000004L0oooo
000P0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?oo
o`1J0?ooo`030000003oool0oooo04@0oooo000O0?ooo`030000003oool0oooo02`0oooo00<00000
0?ooo`3oool0;03oool00`000000oooo0?ooo`1J0?ooo`800000A03oool001l0oooo00<000000?oo
o`3oool0;03oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo05`0oooo00<000000?oo
o`3oool0@@3oool001h0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`0]0?ooo`03
0000003oool0oooo05`0oooo0P0000110?ooo`007P3oool00`000000oooo0?ooo`0]0?ooo`030000
003oool0oooo02d0oooo00<000000?ooo`3oool0GP3oool00`000000oooo0?ooo`0n0?ooo`007@3o
ool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo02h0oooo00<000000?ooo`3oool0GP3o
ool2000003h0oooo000M0?ooo`030000003oool0oooo02h0oooo00<000000?ooo`3oool0;P3oool0
0`000000oooo0?ooo`1P0?ooo`030000003oool0oooo03/0oooo000L0?ooo`030000003oool0oooo
02l0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`1P0?ooo`800000>`3oool001`0
oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo0680
oooo00<000000?ooo`3oool0>03oool001/0oooo00<000000?ooo`3oool0<03oool00`000000oooo
0?ooo`0`0?ooo`030000003oool0oooo0680oooo0P00000h0?ooo`006`3oool00`000000oooo0?oo
o`0`0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool0I03oool00`000000oooo0?oo
o`0e0?ooo`006P3oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo0340oooo00<00000
0?ooo`3oool0I03oool2000003D0oooo000J0?ooo`030000003oool0oooo0340oooo00<000000?oo
o`3oool0<@3oool00`000000oooo0?ooo`1V0?ooo`030000003oool0oooo0380oooo000I0?ooo`03
0000003oool0oooo0380oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`1V0?ooo`80
0000<P3oool001T0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0b0?ooo`030000
003oool0oooo06P0oooo00<000000?ooo`3oool0;`3oool001P0oooo00<000000?ooo`3oool0<`3o
ool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo06P0oooo0P00000_0?ooo`00603oool0
0`000000oooo0?ooo`0c0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0JP3oool2
000002d0oooo000G0?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3oool0=03oool00`00
0000oooo0?ooo`1[0?ooo`030000003oool0oooo02X0oooo000G0?ooo`030000003oool0oooo03@0
oooo00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`1/0?ooo`800000:P3oool001H0oooo
00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`0e0?ooo`030000003oool0oooo06d0oooo
00<000000?ooo`3oool09`3oool001H0oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?oo
o`0e0?ooo`030000003oool0oooo06h0oooo0P00000W0?ooo`005@3oool00`000000oooo0?ooo`0f
0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool0K`3oool00`000000oooo0?ooo`0T
0?ooo`005@3oool00`000000oooo0?ooo`0f0?ooo`030000003oool0oooo03H0oooo00<000000?oo
o`3oool0L03oool2000002@0oooo000D0?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3o
ool0=`3oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo0240oooo000D0?ooo`030000
003oool0oooo03L0oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?ooo`1b0?ooo`800000
8@3oool001<0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`0h0?ooo`030000003o
ool0oooo07<0oooo00<000000?ooo`3oool07P3oool001<0oooo00<000000?ooo`3oool0>03oool0
0`000000oooo0?ooo`0h0?ooo`030000003oool0oooo07@0oooo0P00000N0?ooo`004P3oool00`00
0000oooo0?ooo`0i0?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3oool0M@3oool00`00
0000oooo0?ooo`0K0?ooo`004P3oool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo03T0
oooo00<000000?ooo`3oool0MP3oool2000001/0oooo00030?ooo`800000303oool00`000000oooo
0?ooo`0j0?ooo`030000003oool0oooo03X0oooo00<000000?ooo`3oool0M`3oool00`000000oooo
00000002000001H0oooo00020?ooo`040000003oool0oooo000000/0oooo00<000000?ooo`3oool0
>P3oool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo07P0oooo0P0000020?ooo`030000
003oool0oooo01<0oooo00040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0>`3o
ool00`000000oooo0?ooo`0k0?ooo`030000003oool0oooo07P0oooo0P0000000`3oool000000?oo
o`0D0?ooo`001@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo03/0oooo00<00000
0?ooo`3oool0>`3oool00`000000oooo0?ooo`1h0?ooo`@000005@3oool00080oooo00@000000?oo
o`3oool000002@3oool00`000000oooo0?ooo`0l0?ooo`030000003oool0oooo03`0oooo00<00000
0?ooo`3oool0N03oool010000000oooo0?ooo`00000D0?ooo`000`3oool2000000H0oooo0`000000
0`3oool000000?ooo`0m0?ooo`030000003oool0oooo03`0oooo00<000000?ooo`3oool0N03oool3
000000030?ooo`00000000000080oooo0`00000=0?ooo`002P3oool5000003l0oooo00<000000?oo
o`3oool0?@3oool00`000000oooo0?ooo`1m0?ooo`H00000303oool000T0oooo1`00000n0?ooo`03
0000003oool0oooo03d0oooo00<000000?ooo`3oool0O@3oool7000000/0oooo00090?ooool00000
3@00000;0?ooo`002@3oool7000003h0oooo00<000000?ooo`3oool0?`3oool00`000000oooo0?oo
o`1k0?ooo`L000002`3oool000X0oooo1@0000000`3oool000000?ooo`0l0?ooo`030000003oool0
oooo03l0oooo00<000000?ooo`3oool0N`3oool6000000`0oooo000;0?ooo`<0000000<0oooo0000
003oool00P00000k0?ooo`030000003oool0oooo0400oooo00<000000?ooo`3oool0N03oool20000
00030?ooo`0000000000008000003@3oool000l0oooo00D000000?ooo`3oool0oooo0000000j0?oo
o`030000003oool0oooo0400oooo00<000000?ooo`3oool0M`3oool01@000000oooo0?ooo`3oool0
00000100oooo000@0?ooo`040000003oool0oooo0?ooo`800000>03oool00`000000oooo0?ooo`11
0?ooo`030000003oool0oooo07@0oooo0P0000030?ooo`030000003oool0oooo00l0oooo000@0?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`110?oo
o`030000003oool0oooo07<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0?0?oo
o`004@3oool00`000000oooo0?ooo`030?ooo`800000=@3oool00`000000oooo0?ooo`120?ooo`03
0000003oool0oooo0700oooo0P0000050?ooo`030000003oool0oooo0100oooo000A0?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`120?ooo`030000
003oool0oooo06l0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0@0?ooo`004P3o
ool00`000000oooo0?ooo`050?ooo`800000<P3oool00`000000oooo0?ooo`130?ooo`030000003o
ool0oooo06`0oooo0P0000070?ooo`030000003oool0oooo0140oooo000B0?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`130?ooo`030000003oool0
oooo06/0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0A0?ooo`004`3oool00`00
0000oooo0?ooo`070?ooo`800000;`3oool00`000000oooo0?ooo`140?ooo`030000003oool0oooo
06P0oooo0P0000090?ooo`030000003oool0oooo0180oooo000C0?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`140?ooo`030000003oool0oooo06L0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0B0?ooo`00503oool00`000000oooo
0?ooo`090?ooo`800000;03oool00`000000oooo0?ooo`150?ooo`030000003oool0oooo06@0oooo
0P00000;0?ooo`030000003oool0oooo01<0oooo000D0?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool0:@3oool00`000000oooo0?ooo`150?ooo`030000003oool0oooo06<0oooo00<0
00000?ooo`3oool02`3oool00`000000oooo0?ooo`0C0?ooo`005@3oool00`000000oooo0?ooo`0;
0?ooo`800000:@3oool00`000000oooo0?ooo`160?ooo`030000003oool0oooo0600oooo0P00000=
0?ooo`030000003oool0oooo01@0oooo000E0?ooo`030000003oool0oooo00d0oooo00<000000?oo
o`3oool09P3oool00`000000oooo0?ooo`160?ooo`030000003oool0oooo05l0oooo00<000000?oo
o`3oool03@3oool00`000000oooo0?ooo`0D0?ooo`005P3oool00`000000oooo0?ooo`0=0?ooo`80
00009P3oool00`000000oooo0?ooo`170?ooo`030000003oool0oooo05`0oooo0P00000?0?ooo`03
0000003oool0oooo01D0oooo000F0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0
8`3oool00`000000oooo0?ooo`170?ooo`030000003oool0oooo05/0oooo00<000000?ooo`3oool0
3`3oool00`000000oooo0?ooo`0E0?ooo`005`3oool00`000000oooo0?ooo`0?0?ooo`8000008`3o
ool00`000000oooo0?ooo`180?ooo`030000003oool0oooo05P0oooo0P00000A0?ooo`030000003o
ool0oooo01H0oooo000G0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0803oool0
0`000000oooo0?ooo`180?ooo`030000003oool0oooo05L0oooo00<000000?ooo`3oool04@3oool0
0`000000oooo0?ooo`0F0?ooo`00603oool00`000000oooo0?ooo`0A0?ooo`800000803oool00`00
0000oooo0?ooo`190?ooo`030000003oool0oooo05@0oooo0P00000C0?ooo`030000003oool0oooo
01L0oooo000H0?ooo`030000003oool0oooo01<0oooo0P00000N0?ooo`030000003oool0oooo04T0
oooo00<000000?ooo`3oool0DP3oool2000001D0oooo00<000000?ooo`3oool05`3oool001T0oooo
00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo04X0oooo
00<000000?ooo`3oool0D03oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01P0oooo
000I0?ooo`030000003oool0oooo01D0oooo0P00000K0?ooo`030000003oool0oooo04X0oooo00<0
00000?ooo`3oool0CP3oool2000001L0oooo00<000000?ooo`3oool0603oool001X0oooo00<00000
0?ooo`3oool05P3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo04/0oooo00<00000
0?ooo`3oool0C03oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo01T0oooo000J0?oo
o`030000003oool0oooo01L0oooo0P00000H0?ooo`030000003oool0oooo04/0oooo00<000000?oo
o`3oool0BP3oool2000001T0oooo00<000000?ooo`3oool06@3oool001/0oooo00<000000?ooo`3o
ool0603oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo04`0oooo00<000000?ooo`3o
ool0B03oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo01X0oooo000K0?ooo`030000
003oool0oooo01T0oooo0P00000E0?ooo`030000003oool0oooo04`0oooo00<000000?ooo`3oool0
AP3oool2000001/0oooo00<000000?ooo`3oool06P3oool001`0oooo00<000000?ooo`3oool06P3o
ool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo04d0oooo00<000000?ooo`3oool0A03o
ool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo01/0oooo000L0?ooo`030000003oool0
oooo01/0oooo0P00000B0?ooo`030000003oool0oooo04d0oooo00<000000?ooo`3oool0@P3oool2
000001d0oooo00<000000?ooo`3oool06`3oool001d0oooo00<000000?ooo`3oool0703oool00`00
0000oooo0?ooo`0?0?ooo`030000003oool0oooo04h0oooo00<000000?ooo`3oool0@03oool00`00
0000oooo0?ooo`0L0?ooo`030000003oool0oooo01`0oooo000M0?ooo`030000003oool0oooo01d0
oooo0P00000?0?ooo`030000003oool0oooo04h0oooo00<000000?ooo`3oool0?P3oool2000001l0
oooo00<000000?ooo`3oool0703oool001h0oooo00<000000?ooo`3oool07P3oool00`000000oooo
0?ooo`0<0?ooo`030000003oool0oooo04l0oooo00<000000?ooo`3oool0?03oool00`000000oooo
0?ooo`0N0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo01l0oooo0P00
000<0?ooo`030000003oool0oooo04l0oooo00<000000?ooo`3oool0>P3oool200000240oooo00<0
00000?ooo`3oool07@3oool001l0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo0500oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`0P
0?ooo`030000003oool0oooo01h0oooo000O0?ooo`030000003oool0oooo0240oooo0P0000090?oo
o`030000003oool0oooo0500oooo00<000000?ooo`3oool0=P3oool2000002<0oooo00<000000?oo
o`3oool07P3oool00200oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo0540oooo00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`0R0?ooo`03
0000003oool0oooo01l0oooo000P0?ooo`030000003oool0oooo02<0oooo0P0000060?ooo`030000
003oool0oooo0540oooo00<000000?ooo`3oool0<P3oool2000002D0oooo00<000000?ooo`3oool0
7`3oool00240oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo0580oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`0T0?ooo`030000003o
ool0oooo0200oooo000Q0?ooo`030000003oool0oooo02D0oooo0P0000030?ooo`030000003oool0
oooo0580oooo00<000000?ooo`3oool0;P3oool2000002L0oooo00<000000?ooo`3oool0803oool0
0280oooo00<000000?ooo`3oool09P3oool010000000oooo0?ooo`00001E0?ooo`030000003oool0
oooo02`0oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`0Q0?ooo`008P3oool00`00
0000oooo0?ooo`0W0?ooo`<00000E@3oool00`000000oooo0?ooo`0Z0?ooo`800000:@3oool00`00
0000oooo0?ooo`0Q0?ooo`008`3oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo05@0
oooo00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo0280
oooo000S0?ooo`030000003oool0oooo02P0oooo0`00001D0?ooo`030000003oool0oooo02H0oooo
0P00000[0?ooo`030000003oool0oooo0280oooo000T0?ooo`030000003oool0oooo02L0oooo00@0
00000?ooo`3oool00000E03oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo02X0oooo
00<000000?ooo`3oool08`3oool002@0oooo00<000000?ooo`3oool09`3oool010000000oooo0?oo
o`3oool200000580oooo00<000000?ooo`3oool08P3oool2000002d0oooo00<000000?ooo`3oool0
8`3oool002D0oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo0500oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0/0?ooo`030000003o
ool0oooo02@0oooo000U0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0103oool2
00000500oooo00<000000?ooo`3oool07P3oool2000002l0oooo00<000000?ooo`3oool0903oool0
02H0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
04h0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo
02D0oooo000V0?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool01`3oool2000004h0
oooo00<000000?ooo`3oool06P3oool200000340oooo00<000000?ooo`3oool09@3oool002L0oooo
00<000000?ooo`3oool0903oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo04`0oooo
00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo02H0oooo
000W0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool02P3oool2000004`0oooo00<0
00000?ooo`3oool05P3oool2000003<0oooo00<000000?ooo`3oool09P3oool002P0oooo00<00000
0?ooo`3oool08`3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo04X0oooo00<00000
0?ooo`3oool0503oool00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo02L0oooo000X0?oo
o`030000003oool0oooo02<0oooo00<000000?ooo`3oool03@3oool2000004X0oooo00<000000?oo
o`3oool04P3oool2000003D0oooo00<000000?ooo`3oool09`3oool002T0oooo00<000000?ooo`3o
ool08P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo04P0oooo00<000000?ooo`3o
ool0403oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo02P0oooo000Y0?ooo`030000
003oool0oooo0280oooo00<000000?ooo`3oool0403oool2000004P0oooo00<000000?ooo`3oool0
3P3oool2000003L0oooo00<000000?ooo`3oool0:03oool002X0oooo00<000000?ooo`3oool08@3o
ool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo04H0oooo00<000000?ooo`3oool0303o
ool00`000000oooo0?ooo`0f0?ooo`030000003oool0oooo02T0oooo000Z0?ooo`030000003oool0
oooo0240oooo00<000000?ooo`3oool04`3oool2000004H0oooo00<000000?ooo`3oool02P3oool2
000003T0oooo00<000000?ooo`3oool0:@3oool002/0oooo00<000000?ooo`3oool0803oool00`00
0000oooo0?ooo`0E0?ooo`030000003oool0oooo04@0oooo00<000000?ooo`3oool0203oool00`00
0000oooo0?ooo`0h0?ooo`030000003oool0oooo02X0oooo000[0?ooo`030000003oool0oooo0200
oooo00<000000?ooo`3oool05P3oool2000004@0oooo00<000000?ooo`3oool01P3oool2000003/0
oooo00<000000?ooo`3oool0:P3oool002`0oooo00<000000?ooo`3oool07`3oool00`000000oooo
0?ooo`0H0?ooo`030000003oool0oooo0480oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`0j0?ooo`030000003oool0oooo02/0oooo000/0?ooo`030000003oool0oooo01l0oooo00<0
00000?ooo`3oool06@3oool200000480oooo00<000000?ooo`3oool00P3oool2000003d0oooo00<0
00000?ooo`3oool0:`3oool002d0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`0K
0?ooo`030000003oool0oooo0400oooo00@000000?ooo`3oool00000?P3oool00`000000oooo0?oo
o`0/0?ooo`00;@3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo01`0oooo0P000010
0?ooo`<00000?`3oool00`000000oooo0?ooo`0/0?ooo`00;P3oool00`000000oooo0?ooo`0M0?oo
o`030000003oool0oooo01h0oooo0P00000m0?ooo`<00000?`3oool00`000000oooo0?ooo`0]0?oo
o`00;P3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3o
ool0>@3oool010000000oooo0?ooo`00000o0?ooo`030000003oool0oooo02d0oooo000_0?ooo`03
0000003oool0oooo01`0oooo00<000000?ooo`3oool08@3oool2000003L0oooo0P0000040?ooo`03
0000003oool0oooo03/0oooo00<000000?ooo`3oool0;P3oool002l0oooo00<000000?ooo`3oool0
703oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`0k0?ooo`030000003oool0oooo02h0oooo000`0?ooo`030000003o
ool0oooo01/0oooo00<000000?ooo`3oool0903oool200000340oooo0P0000080?ooo`030000003o
ool0oooo03T0oooo00<000000?ooo`3oool0;`3oool00300oooo00<000000?ooo`3oool06`3oool0
0`000000oooo0?ooo`0V0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`0i0?ooo`030000003oool0oooo02l0oooo000a0?ooo`030000003oool0oooo
01X0oooo00<000000?ooo`3oool09`3oool2000002/0oooo0P00000<0?ooo`030000003oool0oooo
03L0oooo00<000000?ooo`3oool0<03oool00340oooo00<000000?ooo`3oool06P3oool00`000000
oooo0?ooo`0Y0?ooo`030000003oool0oooo02L0oooo00<000000?ooo`3oool0303oool00`000000
oooo0?ooo`0g0?ooo`030000003oool0oooo0300oooo000b0?ooo`030000003oool0oooo01T0oooo
00<000000?ooo`3oool0:P3oool2000002D0oooo0P00000@0?ooo`030000003oool0oooo03D0oooo
00<000000?ooo`3oool0<@3oool00380oooo00<000000?ooo`3oool06@3oool00`000000oooo0?oo
o`0/0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool0403oool00`000000oooo0?oo
o`0e0?ooo`030000003oool0oooo0340oooo000c0?ooo`030000003oool0oooo01P0oooo00<00000
0?ooo`3oool0;@3oool2000001l0oooo0P00000D0?ooo`030000003oool0oooo03<0oooo00<00000
0?ooo`3oool0<P3oool003<0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0_0?oo
o`030000003oool0oooo01/0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0c0?oo
o`030000003oool0oooo0380oooo000d0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3o
ool0<03oool2000001T0oooo0P00000H0?ooo`030000003oool0oooo0340oooo00<000000?ooo`3o
ool0<`3oool003@0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0b0?ooo`030000
003oool0oooo01D0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0a0?ooo`030000
003oool0oooo03<0oooo000e0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0<`3o
ool2000001<0oooo0P00000L0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool0=03o
ool003D0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0e0?ooo`030000003oool0
oooo00l0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0_0?ooo`030000003oool0
oooo03@0oooo000f0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0=P3oool20000
00d0oooo0P00000P0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool0=@3oool003H0
oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo03D0
oooo000g0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0>@3oool2000000L0oooo
0P00000T0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0=P3oool003L0oooo00<0
00000?ooo`3oool0503oool00`000000oooo0?ooo`0k0?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool0903oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo03H0oooo000h
0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0?03oool2000000030?ooo`000000
000002P0oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`0g0?ooo`00>03oool00`00
0000oooo0?ooo`0C0?ooo`030000003oool0oooo03h0oooo00<000000?ooo`3oool0:03oool00`00
0000oooo0?ooo`0Y0?ooo`030000003oool0oooo03L0oooo000i0?ooo`030000003oool0oooo0180
oooo00<000000?ooo`3oool0?03oool2000000030?ooo`000000000002T0oooo00<000000?ooo`3o
ool09`3oool00`000000oooo0?ooo`0h0?ooo`00>@3oool00`000000oooo0?ooo`0B0?ooo`030000
003oool0oooo03/0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0V0?ooo`030000
003oool0oooo02L0oooo00<000000?ooo`3oool0>03oool003X0oooo00<000000?ooo`3oool04@3o
ool00`000000oooo0?ooo`0i0?ooo`8000001`3oool2000002L0oooo00<000000?ooo`3oool09@3o
ool00`000000oooo0?ooo`0i0?ooo`00>P3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0
oooo03P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0
oooo02D0oooo00<000000?ooo`3oool0>@3oool003/0oooo00<000000?ooo`3oool0403oool00`00
0000oooo0?ooo`0f0?ooo`8000003@3oool2000002D0oooo00<000000?ooo`3oool08`3oool00`00
0000oooo0?ooo`0j0?ooo`00>`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo03D0
oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool0>P3oool003`0oooo00<000000?ooo`3oool03`3oool00`000000oooo
0?ooo`0c0?ooo`8000004`3oool2000002<0oooo00<000000?ooo`3oool08@3oool00`000000oooo
0?ooo`0k0?ooo`00?03oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0380oooo00<0
00000?ooo`3oool05@3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo0240oooo00<0
00000?ooo`3oool0>`3oool003d0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0`
0?ooo`8000006@3oool200000240oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0l
0?ooo`00?@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo02l0oooo00<000000?oo
o`3oool06`3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo01l0oooo00<000000?oo
o`3oool0?03oool003h0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0]0?ooo`80
00007`3oool2000001l0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0m0?ooo`00
?P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool0
8@3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0
?@3oool003l0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0Z0?ooo`8000009@3o
ool2000001d0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0n0?ooo`00?`3oool0
0`000000oooo0?ooo`0<0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool09`3oool0
0`000000oooo0?ooo`0J0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool0?P3oool0
0400oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0W0?ooo`800000:`3oool20000
01/0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0o0?ooo`00@03oool00`000000
oooo0?ooo`0;0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0;@3oool00`000000
oooo0?ooo`0H0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool0?`3oool00440oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0T0?ooo`800000<@3oool2000001T0oooo
00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`100?ooo`00@@3oool00`000000oooo0?oo
o`0:0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0<`3oool00`000000oooo0?oo
o`0F0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0@03oool00480oooo00<00000
0?ooo`3oool02@3oool00`000000oooo0?ooo`0Q0?ooo`800000=`3oool2000001L0oooo00<00000
0?ooo`3oool05@3oool00`000000oooo0?ooo`110?ooo`00@P3oool00`000000oooo0?ooo`090?oo
o`030000003oool0oooo0200oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?ooo`0D0?oo
o`030000003oool0oooo01D0oooo00<000000?ooo`3oool0@@3oool004<0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`0N0?ooo`800000?@3oool2000001D0oooo00<000000?ooo`3o
ool04`3oool00`000000oooo0?ooo`120?ooo`00@`3oool00`000000oooo0?ooo`080?ooo`030000
003oool0oooo01`0oooo0P0000110?ooo`8000004`3oool00`000000oooo0?ooo`0C0?ooo`030000
003oool0oooo0480oooo00140?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool06`3o
ool00`000000oooo0?ooo`130?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool04@3o
ool00`000000oooo0?ooo`130?ooo`00A03oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo01T0oooo0P0000170?ooo`8000004@3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0
oooo04<0oooo00150?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0603oool00`00
0000oooo0?ooo`190?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool03`3oool00`00
0000oooo0?ooo`140?ooo`00A@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo01H0
oooo0P00001=0?ooo`8000003`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo04@0
oooo00160?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool05@3oool00`000000oooo
0?ooo`1?0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool03@3oool00`000000oooo
0?ooo`150?ooo`00AP3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01<0oooo0P00
001C0?ooo`8000003@3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo04D0oooo0017
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`1E
0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`16
0?ooo`00A`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0100oooo0P00001I0?oo
o`8000002`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo04H0oooo00180?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`1K0?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`170?ooo`00
B03oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00d0oooo0P00001O0?ooo`800000
2@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo04L0oooo00190?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`1Q0?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`180?ooo`00B@3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo0P00001U0?ooo`8000001`3oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo04P0oooo00130?ooo`@000000`3oool01@00
0000oooo0?ooo`3oool0000000/0oooo00<000000?ooo`3oool0I`3oool600000080oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`190?ooo`00@`3oool00`000000oooo0?ooo`040?oo
o`050000003oool0oooo0?ooo`0000002@3oool2000006/0oooo0`0000040?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool0B@3oool004@0oooo00<000000?ooo`3oool0103oool01000
0000oooo0?ooo`0000080?ooo`030000003oool0oooo06d0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo04X0oooo00150?ooo`030000003oool0oooo
00<0oooo00@000000?ooo`3oool000001P3oool200000700oooo0`0000030?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool0BP3oool004<0oooo00@000000?ooo`3oool000001@3oool0
0`000000oooo000000050?ooo`030000003oool0oooo0700oooo00@000000?ooo`3oool000000`3o
ool01@000000oooo0?ooo`3oool0000004d0oooo00140?ooo`8000001P3oool400000080oooo0P00
001b0?ooo`8000000`3oool2000000030?ooo`000000000000<00000C@3oool004`0oooo1P00001k
0?ooo`H00000C@3oool004/0oooo1`00001k0?ooo`L00000C03oool004/0ooooR@00001<0?ooo`00
B`3oool7000007/0oooo1`00001<0?ooo`00C03oool5000007d0oooo1@00001=0?ooo`00C@3oool3
000007l0oooo0`00001>0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3o
oolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3o
oolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-0.0500054, 0.0169824, \
0.00383279, 0.00336597}}],

Cell[BoxData[
    \({{{1, 2}, {1, 3}, {1, 4}, {1, 5}, {2, 3}, {2, 4}, {2, 6}, {3, 5}, {3, 
          6}, {4, 5}, {4, 6}, {5, 6}}}\)], "Print"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0454545 0.909091 -0.0175847 1.03517 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 0 0 r
.005 w
[ ] 0 setdash
.72727 .94824 m
.27273 .94824 L
s
.72727 .94824 m
.04545 .5 L
s
.72727 .94824 m
.27273 .05176 L
s
.72727 .94824 m
.72727 .05176 L
s
.27273 .94824 m
.04545 .5 L
s
.27273 .94824 m
.27273 .05176 L
s
.27273 .94824 m
.95455 .5 L
s
.04545 .5 m
.72727 .05176 L
s
.04545 .5 m
.95455 .5 L
s
.27273 .05176 m
.72727 .05176 L
s
.27273 .05176 m
.95455 .5 L
s
.72727 .05176 m
.95455 .5 L
s
.025 w
.72727 .94824 Mdot
[(1)] .70727 .92824 1 0 Mshowa
.27273 .94824 Mdot
[(2)] .25273 .92824 1 0 Mshowa
.04545 .5 Mdot
[(3)] .02545 .48 1 0 Mshowa
.27273 .05176 Mdot
[(4)] .25273 .03176 1 0 Mshowa
.72727 .05176 Mdot
[(5)] .70727 .03176 1 0 Mshowa
.95455 .5 Mdot
[(6)] .93455 .48 1 0 Mshowa
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00A@3oool3000007h0oooo0P00001H0?ooo`00AP3o
ool00`000000oooo0?ooo`1l0?ooo`040000003oool0oooo000005L0oooo00130?ooo`D00000P03o
ool00`000000oooo0?ooo`1E0?ooo`00@`3oool010000000oooo0?ooo`00001o0?ooo`800000F03o
ool004@0oooo00<000000?ooo`0000001P3oool3000007H0oooo00<000000?ooo`3oool01P3oool3
000004h0oooo00150?ooo`8000001@3oool5000007D0oooo0`0000050?ooo`D00000C@3oool004/0
oooo1`00001k0?ooo`L00000C03oool004/0ooooR@00001<0?ooo`00B`3oool7000007/0oooo1`00
001<0?ooo`00C03oool6000007/0oooo1P00001=0?ooo`00C@3oool4000000030?ooo`0000000000
07L0oooo0P0000020?ooo`@00000C@3oool004h0oooo00<000000?ooo`0000000`3oool00`000000
oooo0?ooo`1c0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`000000C@3oool004h0oooo
00@000000?ooo`3oool000000`3oool200000740oooo0P0000060?ooo`040000003oool0oooo0000
04`0oooo001>0?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool0K@3oool00`00
0000oooo0?ooo`060?ooo`040000003oool0oooo000004`0oooo001>0?ooo`050000003oool0oooo
0?ooo`0000001@3oool2000006/0oooo0P0000090?ooo`050000003oool0oooo0?ooo`000000B`3o
ool004h0oooo00D000000?ooo`3oool0oooo000000070?ooo`030000003oool0oooo06L0oooo00<0
00000?ooo`3oool02@3oool01@000000oooo0?ooo`3oool0000004/0oooo001>0?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool01@3oool2000006D0oooo0P00000<0?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool0B03oool004h0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo0640oooo00<000000?ooo`3oool0303oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo04P0oooo001>0?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool01`3oool2000005l0oooo0P00000?0?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool0A`3oool004h0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo05/0oooo00<000000?ooo`3oool03`3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo04L0oooo001>0?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool02@3oool2000005T0oooo0P00000B0?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0AP3oool004h0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`0;0?ooo`030000003oool0oooo05D0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo04H0oooo001>0?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool02`3oool2000005<0oooo0P00000E0?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool0A@3oool004h0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0=0?oo
o`030000003oool0oooo04l0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo04D0oooo001>0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool03@3oool2000004d0oooo0P00000H0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool0A03oool004h0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0?0?ooo`030000
003oool0oooo04T0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo04@0oooo001>0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool03`3o
ool2000004L0oooo0P00000K0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0@`3o
ool004h0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0
oooo04<0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo04<0oooo001>0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool04@3oool20000
0440oooo0P00000N0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0@P3oool004h0
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0C0?ooo`800000?@3oool200000200
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`120?ooo`00CP3oool00`000000oooo
0?ooo`090?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0>@3oool00`000000oooo
0?ooo`0P0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0@@3oool004h0oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`0E0?ooo`800000=`3oool2000002<0oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`110?ooo`00CP3oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0<`3oool00`000000oooo0?ooo`0S
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0@03oool004h0oooo00<000000?oo
o`3oool02P3oool00`000000oooo0?ooo`0G0?ooo`800000<@3oool2000002H0oooo00<000000?oo
o`3oool02P3oool00`000000oooo0?ooo`100?ooo`00CP3oool00`000000oooo0?ooo`0;0?ooo`03
0000003oool0oooo01P0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`0V0?ooo`03
0000003oool0oooo00/0oooo00<000000?ooo`3oool0?`3oool004h0oooo00<000000?ooo`3oool0
2`3oool00`000000oooo0?ooo`0I0?ooo`800000:`3oool2000002T0oooo00<000000?ooo`3oool0
2`3oool00`000000oooo0?ooo`0o0?ooo`00CP3oool00`000000oooo0?ooo`0<0?ooo`030000003o
ool0oooo01X0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`0Y0?ooo`030000003o
ool0oooo00`0oooo00<000000?ooo`3oool0?P3oool004h0oooo00<000000?ooo`3oool0303oool0
0`000000oooo0?ooo`0K0?ooo`8000009@3oool2000002`0oooo00<000000?ooo`3oool0303oool0
0`000000oooo0?ooo`0n0?ooo`00CP3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo
01`0oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo
00d0oooo00<000000?ooo`3oool0?@3oool004h0oooo00<000000?ooo`3oool03@3oool00`000000
oooo0?ooo`0M0?ooo`8000007`3oool2000002l0oooo00<000000?ooo`3oool03@3oool00`000000
oooo0?ooo`0m0?ooo`00CP3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo01h0oooo
00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00h0oooo
00<000000?ooo`3oool0?03oool004h0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?oo
o`0O0?ooo`8000006@3oool200000380oooo00<000000?ooo`3oool03P3oool00`000000oooo0?oo
o`0l0?ooo`00CP3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0200oooo00<00000
0?ooo`3oool05@3oool00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo00l0oooo00<00000
0?ooo`3oool0>`3oool004h0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0Q0?oo
o`8000004`3oool2000003D0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0k0?oo
o`00CP3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3o
ool03`3oool00`000000oooo0?ooo`0e0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3o
ool0>P3oool004h0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0S0?ooo`800000
3@3oool2000003P0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0j0?ooo`00CP3o
ool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool02@3o
ool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0>@3o
ool004h0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0U0?ooo`8000001`3oool2
000003/0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0i0?ooo`00CP3oool00`00
0000oooo0?ooo`0B0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`0k0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0>03oool004h0
oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0W0?ooo`80000000<0oooo00000000
0000?P3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo03P0oooo001>0?ooo`030000
003oool0oooo01<0oooo00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`0n0?ooo`030000
003oool0oooo01<0oooo00<000000?ooo`3oool0=`3oool004h0oooo00<000000?ooo`3oool04`3o
ool00`000000oooo0?ooo`0V0?ooo`80000000<0oooo000000000000?P3oool00`000000oooo0?oo
o`0C0?ooo`030000003oool0oooo03L0oooo001>0?ooo`030000003oool0oooo01@0oooo00<00000
0?ooo`3oool0903oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo03/0oooo00<00000
0?ooo`3oool0503oool00`000000oooo0?ooo`0f0?ooo`00CP3oool00`000000oooo0?ooo`0D0?oo
o`030000003oool0oooo0280oooo0P0000070?ooo`800000>`3oool00`000000oooo0?ooo`0D0?oo
o`030000003oool0oooo03H0oooo001>0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3o
ool0803oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo03P0oooo00<000000?ooo`3o
ool05@3oool00`000000oooo0?ooo`0e0?ooo`00CP3oool00`000000oooo0?ooo`0E0?ooo`030000
003oool0oooo01h0oooo0P00000=0?ooo`800000>03oool00`000000oooo0?ooo`0E0?ooo`030000
003oool0oooo03D0oooo001>0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0703o
ool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool05P3o
ool00`000000oooo0?ooo`0d0?ooo`00CP3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0
oooo01X0oooo0P00000C0?ooo`800000=@3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0
oooo03@0oooo001>0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0603oool00`00
0000oooo0?ooo`0E0?ooo`030000003oool0oooo0380oooo00<000000?ooo`3oool05`3oool00`00
0000oooo0?ooo`0c0?ooo`00CP3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo01H0
oooo0P00000I0?ooo`800000<P3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo03<0
oooo001>0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0503oool00`000000oooo
0?ooo`0K0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool0603oool00`000000oooo
0?ooo`0b0?ooo`00CP3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo0180oooo0P00
000O0?ooo`800000;`3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo0380oooo001>
0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0Q
0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0a
0?ooo`00CP3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo00h0oooo0P00000U0?oo
o`800000;03oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo0340oooo001>0?ooo`03
0000003oool0oooo01X0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0W0?ooo`03
0000003oool0oooo02T0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`0`0?ooo`00
CP3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo00X0oooo0P00000[0?ooo`800000
:@3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo0300oooo001>0?ooo`030000003o
ool0oooo01/0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0]0?ooo`030000003o
ool0oooo02H0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0_0?ooo`00CP3oool0
0`000000oooo0?ooo`0K0?ooo`030000003oool0oooo00H0oooo0P00000a0?ooo`8000009P3oool0
0`000000oooo0?ooo`0K0?ooo`030000003oool0oooo02l0oooo001>0?ooo`030000003oool0oooo
01`0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo
02<0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0^0?ooo`00CP3oool00`000000
oooo0?ooo`0L0?ooo`030000003oool0oooo0080oooo0P00000g0?ooo`8000008`3oool00`000000
oooo0?ooo`0L0?ooo`030000003oool0oooo02h0oooo001>0?ooo`030000003oool0oooo01d0oooo
00@000000?ooo`3oool00000>`3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo01d0
oooo00<000000?ooo`3oool0;@3oool004h0oooo00<000000?ooo`3oool07@3oool3000003d0oooo
0P00000P0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0;@3oool004h0oooo00<0
00000?ooo`3oool0703oool300000400oooo0P00000N0?ooo`030000003oool0oooo01h0oooo00<0
00000?ooo`3oool0;03oool004h0oooo00<000000?ooo`3oool06`3oool010000000oooo0?ooo`00
00120?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?oo
o`0/0?ooo`00CP3oool00`000000oooo0?ooo`0I0?ooo`800000103oool00`000000oooo0?ooo`10
0?ooo`8000006`3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo02/0oooo001>0?oo
o`030000003oool0oooo01P0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`120?oo
o`030000003oool0oooo01P0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0[0?oo
o`00CP3oool00`000000oooo0?ooo`0F0?ooo`800000203oool00`000000oooo0?ooo`120?ooo`80
0000603oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo02X0oooo001>0?ooo`030000
003oool0oooo01D0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`140?ooo`030000
003oool0oooo01D0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0Z0?ooo`00CP3o
ool00`000000oooo0?ooo`0C0?ooo`800000303oool00`000000oooo0?ooo`140?ooo`8000005@3o
ool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo02T0oooo001>0?ooo`030000003oool0
oooo0180oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`160?ooo`030000003oool0
oooo0180oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0Y0?ooo`00CP3oool00`00
0000oooo0?ooo`0@0?ooo`800000403oool00`000000oooo0?ooo`160?ooo`8000004P3oool00`00
0000oooo0?ooo`0R0?ooo`030000003oool0oooo02P0oooo001>0?ooo`030000003oool0oooo00l0
oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`180?ooo`030000003oool0oooo00l0
oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0X0?ooo`00CP3oool00`000000oooo
0?ooo`0=0?ooo`800000503oool00`000000oooo0?ooo`180?ooo`8000003`3oool00`000000oooo
0?ooo`0S0?ooo`030000003oool0oooo02L0oooo001>0?ooo`030000003oool0oooo00`0oooo00<0
00000?ooo`3oool0503oool00`000000oooo0?ooo`1:0?ooo`030000003oool0oooo00`0oooo00<0
00000?ooo`3oool08`3oool00`000000oooo0?ooo`0W0?ooo`00CP3oool00`000000oooo0?ooo`0:
0?ooo`800000603oool00`000000oooo0?ooo`1:0?ooo`800000303oool00`000000oooo0?ooo`0T
0?ooo`030000003oool0oooo02H0oooo001>0?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool0603oool00`000000oooo0?ooo`1<0?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool0903oool00`000000oooo0?ooo`0V0?ooo`00CP3oool00`000000oooo0?ooo`070?ooo`80
0000703oool00`000000oooo0?ooo`1<0?ooo`8000002@3oool00`000000oooo0?ooo`0U0?ooo`03
0000003oool0oooo02D0oooo001>0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
703oool00`000000oooo0?ooo`1>0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
9@3oool00`000000oooo0?ooo`0U0?ooo`00CP3oool00`000000oooo0?ooo`040?ooo`800000803o
ool00`000000oooo0?ooo`1>0?ooo`8000001P3oool00`000000oooo0?ooo`0V0?ooo`030000003o
ool0oooo02@0oooo001>0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0803oool0
0`000000oooo0?ooo`1@0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool09P3oool0
0`000000oooo0?ooo`0T0?ooo`00CP3oool010000000oooo0?ooo`3oool2000002@0oooo00<00000
0?ooo`3oool0D03oool2000000<0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`0S
0?ooo`00CP3oool010000000oooo0?ooo`00000V0?ooo`030000003oool0oooo0580oooo00@00000
0?ooo`3oool00000:@3oool00`000000oooo0?ooo`0S0?ooo`00CP3oool3000002P0oooo00<00000
0?ooo`3oool0DP3oool3000002X0oooo00<000000?ooo`3oool08P3oool004h0oooo00<000000?oo
o`3oool0:03oool00`000000oooo0?ooo`1D0?ooo`030000003oool0oooo02P0oooo00<000000?oo
o`3oool08P3oool004`0oooo0`00000[0?ooo`030000003oool0oooo05<0oooo0`00000Y0?ooo`03
0000003oool0oooo0240oooo001;0?ooo`040000003oool0oooo000002/0oooo00<000000?ooo`3o
ool0D`3oool010000000oooo0?ooo`00000X0?ooo`030000003oool0oooo0240oooo00190?ooo`80
00000`3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo0580oooo00@000000?ooo`3o
ool0oooo0P00000W0?ooo`030000003oool0oooo0200oooo00180?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool0:P3oool00`000000oooo0?ooo`1B0?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`0P0?ooo`00AP3oool2000000H0oooo
00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`1A0?ooo`030000003oool0oooo00@0oooo
0P00000U0?ooo`030000003oool0oooo01l0oooo00150?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool0:`3oool00`000000oooo0?ooo`1A0?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool08P3oool00`000000oooo0?ooo`0O0?ooo`00@`3oool2000000T0oooo00<00000
0?ooo`3oool0;03oool00`000000oooo0?ooo`1@0?ooo`030000003oool0oooo00L0oooo0P00000S
0?ooo`030000003oool0oooo01h0oooo00120?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool0;03oool00`000000oooo0?ooo`1@0?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool0803oool00`000000oooo0?ooo`0N0?ooo`00@03oool2000000`0oooo00<000000?ooo`3o
ool0;@3oool00`000000oooo0?ooo`1?0?ooo`030000003oool0oooo00X0oooo0P00000Q0?ooo`03
0000003oool0oooo01d0oooo000o0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0
;@3oool00`000000oooo0?ooo`1?0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0
7P3oool00`000000oooo0?ooo`0M0?ooo`00?@3oool2000000l0oooo00<000000?ooo`3oool0;P3o
ool00`000000oooo0?ooo`1>0?ooo`030000003oool0oooo00d0oooo0P00000O0?ooo`030000003o
ool0oooo01`0oooo000l0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0;P3oool0
0`000000oooo0?ooo`1>0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0703oool0
0`000000oooo0?ooo`0L0?ooo`00>P3oool200000180oooo00<000000?ooo`3oool0;`3oool00`00
0000oooo0?ooo`1=0?ooo`030000003oool0oooo0100oooo0P00000M0?ooo`030000003oool0oooo
01/0oooo000i0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0;`3oool00`000000
oooo0?ooo`1=0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool06P3oool00`000000
oooo0?ooo`0K0?ooo`00=`3oool2000001D0oooo00<000000?ooo`3oool0<03oool00`000000oooo
0?ooo`1<0?ooo`030000003oool0oooo01<0oooo0P00000K0?ooo`030000003oool0oooo01X0oooo
000f0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?oo
o`1<0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0603oool00`000000oooo0?oo
o`0J0?ooo`00=03oool2000001P0oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`1;
0?ooo`030000003oool0oooo01H0oooo0P00000I0?ooo`030000003oool0oooo01T0oooo000c0?oo
o`030000003oool0oooo01P0oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`1;0?oo
o`030000003oool0oooo01P0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0I0?oo
o`00<@3oool2000001/0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`1:0?ooo`03
0000003oool0oooo01T0oooo0P00000G0?ooo`030000003oool0oooo01P0oooo000`0?ooo`030000
003oool0oooo01/0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`1:0?ooo`030000
003oool0oooo01/0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0H0?ooo`00;P3o
ool2000001h0oooo00<000000?ooo`3oool0<`3oool00`000000oooo0?ooo`190?ooo`030000003o
ool0oooo01`0oooo0P00000E0?ooo`030000003oool0oooo01L0oooo000/0?ooo`800000803oool0
0`000000oooo0?ooo`0c0?ooo`030000003oool0oooo04T0oooo00<000000?ooo`3oool07P3oool2
000001<0oooo00<000000?ooo`3oool05`3oool002/0oooo00<000000?ooo`3oool0803oool00`00
0000oooo0?ooo`0d0?ooo`030000003oool0oooo04P0oooo00<000000?ooo`3oool0803oool00`00
0000oooo0?ooo`0A0?ooo`030000003oool0oooo01H0oooo000Y0?ooo`8000008`3oool00`000000
oooo0?ooo`0d0?ooo`030000003oool0oooo04P0oooo00<000000?ooo`3oool08@3oool200000140
oooo00<000000?ooo`3oool05P3oool002P0oooo00<000000?ooo`3oool08`3oool00`000000oooo
0?ooo`0e0?ooo`030000003oool0oooo04L0oooo00<000000?ooo`3oool08`3oool00`000000oooo
0?ooo`0?0?ooo`030000003oool0oooo01D0oooo000V0?ooo`8000009P3oool00`000000oooo0?oo
o`0e0?ooo`030000003oool0oooo04L0oooo00<000000?ooo`3oool0903oool2000000l0oooo00<0
00000?ooo`3oool05@3oool002D0oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`0f
0?ooo`030000003oool0oooo04H0oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`0=
0?ooo`030000003oool0oooo01@0oooo000S0?ooo`800000:@3oool00`000000oooo0?ooo`0f0?oo
o`030000003oool0oooo04H0oooo00<000000?ooo`3oool09`3oool2000000d0oooo00<000000?oo
o`3oool0503oool00280oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`0g0?ooo`03
0000003oool0oooo04D0oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`0;0?ooo`03
0000003oool0oooo01<0oooo000P0?ooo`800000;03oool00`000000oooo0?ooo`0g0?ooo`030000
003oool0oooo04D0oooo00<000000?ooo`3oool0:P3oool2000000/0oooo00<000000?ooo`3oool0
4`3oool001l0oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`0h0?ooo`030000003o
ool0oooo04@0oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo0180oooo000M0?ooo`800000;`3oool00`000000oooo0?ooo`0h0?ooo`030000003oool0
oooo04@0oooo00<000000?ooo`3oool0;@3oool2000000T0oooo00<000000?ooo`3oool04P3oool0
01`0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo
04<0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
0140oooo000J0?ooo`800000<P3oool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo04<0
oooo00<000000?ooo`3oool0<03oool2000000L0oooo00<000000?ooo`3oool04@3oool000<0oooo
0P00000D0?ooo`030000003oool0oooo0380oooo00<000000?ooo`3oool0>P3oool00`000000oooo
0?ooo`120?ooo`030000003oool0oooo0380oooo00<000000?ooo`0000000P0000030?ooo`030000
003oool0oooo0100oooo00020?ooo`040000003oool0oooo00000140oooo0P00000e0?ooo`030000
003oool0oooo03X0oooo00<000000?ooo`3oool0@P3oool00`000000oooo0?ooo`0c0?ooo`800000
0P3oool010000000oooo0?ooo`00000B0?ooo`00103oool00`000000oooo0?ooo`0?0?ooo`030000
003oool0oooo03D0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`110?ooo`030000
003oool0oooo03@0oooo0P0000000`3oool000000?ooo`020?ooo`030000003oool0oooo00l0oooo
00050?ooo`030000003oool0oooo00`0oooo0P00000h0?ooo`030000003oool0oooo03/0oooo00<0
00000?ooo`3oool0@@3oool00`000000oooo0?ooo`0d0?ooo`@000000`3oool00`000000oooo0?oo
o`0?0?ooo`000P3oool010000000oooo0?ooo`00000=0?ooo`030000003oool0oooo03P0oooo00<0
00000?ooo`3oool0?03oool00`000000oooo0?ooo`100?ooo`030000003oool0oooo03D0oooo00@0
00000?ooo`3oool000000`3oool00`000000oooo0?ooo`0>0?ooo`000`3oool2000000H0oooo0`00
00030?ooo`800000>`3oool00`000000oooo0?ooo`0l0?ooo`030000003oool0oooo0400oooo00<0
00000?ooo`3oool0=@3oool3000000040?ooo`00000000000?ooo`@000003@3oool000X0oooo1@00
00000`3oool000000?ooo`0l0?ooo`030000003oool0oooo03d0oooo00<000000?ooo`3oool0?`3o
ool00`000000oooo0?ooo`0k0?ooo`H00000303oool000T0oooo1`00000n0?ooo`030000003oool0
oooo03d0oooo00<000000?ooo`3oool0?`3oool00`000000oooo0?ooo`0k0?ooo`L000002`3oool0
00T0ooooo`00000=000000/0oooo00090?ooo`L00000?P3oool00`000000oooo0?ooo`0o0?ooo`03
0000003oool0oooo03d0oooo00<000000?ooo`3oool0>`3oool7000000/0oooo000:0?ooo`D00000
00<0oooo0000003oool0?03oool00`000000oooo0?ooo`0o0?ooo`030000003oool0oooo03d0oooo
00<000000?ooo`3oool0>`3oool6000000`0oooo000;0?ooo`<0000000<0oooo0000003oool00P00
000k0?ooo`030000003oool0oooo0400oooo00<000000?ooo`3oool0?03oool00`000000oooo0?oo
o`0i0?ooo`8000000P3oool3000000d0oooo000?0?ooo`050000003oool0oooo0?ooo`000000>P3o
ool00`000000oooo0?ooo`100?ooo`030000003oool0oooo03`0oooo00<000000?ooo`3oool0>03o
ool00`000000oooo0?ooo`0B0?ooo`00403oool010000000oooo0?ooo`3oool2000003P0oooo00<0
00000?ooo`3oool0@@3oool00`000000oooo0?ooo`0k0?ooo`030000003oool0oooo03H0oooo0P00
000E0?ooo`00403oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo03D0oooo00<00000
0?ooo`3oool0@@3oool00`000000oooo0?ooo`0k0?ooo`030000003oool0oooo03D0oooo00<00000
0?ooo`3oool05@3oool00140oooo00<000000?ooo`3oool00`3oool2000003D0oooo00<000000?oo
o`3oool0@P3oool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo03<0oooo0P00000H0?oo
o`004@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0380oooo00<000000?ooo`3o
ool0@P3oool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo0380oooo00<000000?ooo`3o
ool0603oool00180oooo00<000000?ooo`3oool01@3oool200000380oooo00<000000?ooo`3oool0
@`3oool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo0300oooo0P00000K0?ooo`004P3o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool0@`3o
ool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool06`3o
ool001<0oooo00<000000?ooo`3oool01`3oool2000002l0oooo00<000000?ooo`3oool0A03oool0
0`000000oooo0?ooo`0h0?ooo`030000003oool0oooo02d0oooo0P00000N0?ooo`004`3oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool0A03oool00`00
0000oooo0?ooo`0h0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool07P3oool001@0
oooo00<000000?ooo`3oool02@3oool2000002`0oooo00<000000?ooo`3oool0A@3oool00`000000
oooo0?ooo`0g0?ooo`030000003oool0oooo02X0oooo0P00000Q0?ooo`00503oool00`000000oooo
0?ooo`0;0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool0A@3oool00`000000oooo
0?ooo`0g0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool08@3oool001D0oooo00<0
00000?ooo`3oool02`3oool2000002T0oooo00<000000?ooo`3oool0AP3oool00`000000oooo0?oo
o`0f0?ooo`030000003oool0oooo02L0oooo0P00000T0?ooo`005@3oool00`000000oooo0?ooo`0=
0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0AP3oool00`000000oooo0?ooo`0f
0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0903oool001H0oooo00<000000?oo
o`3oool03@3oool2000002H0oooo00<000000?ooo`3oool0A`3oool00`000000oooo0?ooo`0e0?oo
o`030000003oool0oooo02@0oooo0P00000W0?ooo`005P3oool00`000000oooo0?ooo`0?0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool0A`3oool00`000000oooo0?ooo`0e0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool09`3oool001L0oooo00<000000?ooo`3oool0
3`3oool2000002<0oooo00<000000?ooo`3oool0B03oool00`000000oooo0?ooo`0d0?ooo`030000
003oool0oooo0240oooo0P00000Z0?ooo`005`3oool00`000000oooo0?ooo`0A0?ooo`030000003o
ool0oooo0200oooo00<000000?ooo`3oool0B03oool00`000000oooo0?ooo`0d0?ooo`030000003o
ool0oooo0200oooo00<000000?ooo`3oool0:P3oool001P0oooo00<000000?ooo`3oool04@3oool2
00000200oooo00<000000?ooo`3oool0B@3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0
oooo01h0oooo0P00000]0?ooo`00603oool00`000000oooo0?ooo`0C0?ooo`8000007P3oool00`00
0000oooo0?ooo`190?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0703oool20000
02l0oooo000I0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool06`3oool00`000000
oooo0?ooo`1:0?ooo`030000003oool0oooo0380oooo00<000000?ooo`3oool06`3oool00`000000
oooo0?ooo`0_0?ooo`006@3oool00`000000oooo0?ooo`0E0?ooo`8000006`3oool00`000000oooo
0?ooo`1:0?ooo`030000003oool0oooo0380oooo00<000000?ooo`3oool06@3oool200000380oooo
000J0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0603oool00`000000oooo0?oo
o`1;0?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool0603oool00`000000oooo0?oo
o`0b0?ooo`006P3oool00`000000oooo0?ooo`0G0?ooo`800000603oool00`000000oooo0?ooo`1;
0?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool05P3oool2000003D0oooo000K0?oo
o`030000003oool0oooo01P0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`1<0?oo
o`030000003oool0oooo0300oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0e0?oo
o`006`3oool00`000000oooo0?ooo`0I0?ooo`8000005@3oool00`000000oooo0?ooo`1<0?ooo`03
0000003oool0oooo0300oooo00<000000?ooo`3oool04`3oool2000003P0oooo000L0?ooo`030000
003oool0oooo01X0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`1=0?ooo`030000
003oool0oooo02l0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0h0?ooo`00703o
ool00`000000oooo0?ooo`0K0?ooo`8000004P3oool00`000000oooo0?ooo`1=0?ooo`030000003o
ool0oooo02l0oooo00<000000?ooo`3oool0403oool2000003/0oooo000M0?ooo`030000003oool0
oooo01`0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`1>0?ooo`030000003oool0
oooo02h0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0k0?ooo`007@3oool00`00
0000oooo0?ooo`0M0?ooo`8000003`3oool00`000000oooo0?ooo`1>0?ooo`030000003oool0oooo
02h0oooo00<000000?ooo`3oool03@3oool2000003h0oooo000N0?ooo`030000003oool0oooo01h0
oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`1?0?ooo`030000003oool0oooo02d0
oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0n0?ooo`007P3oool00`000000oooo
0?ooo`0O0?ooo`800000303oool00`000000oooo0?ooo`1?0?ooo`030000003oool0oooo02d0oooo
00<000000?ooo`3oool02P3oool200000440oooo000O0?ooo`030000003oool0oooo0200oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`1@0?ooo`030000003oool0oooo02`0oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`110?ooo`007`3oool00`000000oooo0?ooo`0Q
0?ooo`8000002@3oool00`000000oooo0?ooo`1@0?ooo`030000003oool0oooo02`0oooo00<00000
0?ooo`3oool01`3oool2000004@0oooo000P0?ooo`030000003oool0oooo0280oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`1A0?ooo`030000003oool0oooo02/0oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`140?ooo`00803oool00`000000oooo0?ooo`0S0?ooo`80
00001P3oool00`000000oooo0?ooo`1A0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3o
ool0103oool2000004L0oooo000Q0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`1B0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`170?ooo`008@3oool00`000000oooo0?ooo`0U0?ooo`8000000`3o
ool00`000000oooo0?ooo`1B0?ooo`030000003oool0oooo02X0oooo00@000000?ooo`3oool0oooo
0P00001:0?ooo`008P3oool00`000000oooo0?ooo`0V0?ooo`040000003oool0oooo000005D0oooo
00<000000?ooo`3oool0:@3oool010000000oooo0?ooo`00001<0?ooo`008P3oool00`000000oooo
0?ooo`0W0?ooo`<00000E@3oool00`000000oooo0?ooo`0Y0?ooo`<00000C@3oool002<0oooo00<0
00000?ooo`3oool0:03oool00`000000oooo0?ooo`1D0?ooo`030000003oool0oooo02P0oooo00<0
00000?ooo`3oool0C@3oool002<0oooo00<000000?ooo`3oool0:03oool3000005@0oooo00<00000
0?ooo`3oool09P3oool3000004l0oooo000T0?ooo`030000003oool0oooo02L0oooo00@000000?oo
o`3oool00000E03oool00`000000oooo0?ooo`0T0?ooo`040000003oool0oooo000004l0oooo000T
0?ooo`030000003oool0oooo02L0oooo00@000000?ooo`3oool0oooo0P00001B0?ooo`030000003o
ool0oooo0280oooo0P0000030?ooo`030000003oool0oooo04d0oooo000U0?ooo`030000003oool0
oooo02H0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`1@0?ooo`030000003oool0
oooo0200oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`1=0?ooo`009@3oool00`00
0000oooo0?ooo`0V0?ooo`030000003oool0oooo00@0oooo0P00001@0?ooo`030000003oool0oooo
01h0oooo0P0000060?ooo`030000003oool0oooo04d0oooo000V0?ooo`030000003oool0oooo02D0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`1>0?ooo`030000003oool0oooo01`0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`1=0?ooo`009P3oool00`000000oooo
0?ooo`0U0?ooo`030000003oool0oooo00L0oooo0P00001>0?ooo`030000003oool0oooo01X0oooo
0P0000090?ooo`030000003oool0oooo04d0oooo000W0?ooo`030000003oool0oooo02@0oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`1<0?ooo`030000003oool0oooo01P0oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`1=0?ooo`009`3oool00`000000oooo0?ooo`0T
0?ooo`030000003oool0oooo00X0oooo0P00001<0?ooo`030000003oool0oooo01H0oooo0P00000<
0?ooo`030000003oool0oooo04d0oooo000X0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool0303oool00`000000oooo0?ooo`1:0?ooo`030000003oool0oooo01@0oooo00<000000?oo
o`3oool0303oool00`000000oooo0?ooo`1=0?ooo`00:03oool00`000000oooo0?ooo`0S0?ooo`03
0000003oool0oooo00d0oooo0P00001:0?ooo`030000003oool0oooo0180oooo0P00000?0?ooo`03
0000003oool0oooo04d0oooo000Y0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0
3`3oool00`000000oooo0?ooo`180?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0
3`3oool00`000000oooo0?ooo`1=0?ooo`00:@3oool00`000000oooo0?ooo`0R0?ooo`030000003o
ool0oooo0100oooo0P0000180?ooo`030000003oool0oooo00h0oooo0P00000B0?ooo`030000003o
ool0oooo04d0oooo000Z0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool04P3oool0
0`000000oooo0?ooo`160?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool04P3oool0
0`000000oooo0?ooo`1=0?ooo`00:P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo
01<0oooo0P0000160?ooo`030000003oool0oooo00X0oooo0P00000E0?ooo`030000003oool0oooo
04d0oooo000[0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool05@3oool00`000000
oooo0?ooo`140?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool05@3oool00`000000
oooo0?ooo`1=0?ooo`00:`3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo01H0oooo
0P0000140?ooo`030000003oool0oooo00H0oooo0P00000H0?ooo`030000003oool0oooo04d0oooo
000/0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0603oool00`000000oooo0?oo
o`120?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0603oool00`000000oooo0?oo
o`1=0?ooo`00;03oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo01T0oooo0P000012
0?ooo`030000003oool0oooo0080oooo0P00000K0?ooo`030000003oool0oooo04d0oooo000]0?oo
o`030000003oool0oooo01h0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`100?oo
o`040000003oool0oooo000001d0oooo00<000000?ooo`3oool0C@3oool002d0oooo00<000000?oo
o`3oool07P3oool00`000000oooo0?ooo`0L0?ooo`800000@03oool3000001h0oooo00<000000?oo
o`3oool0C@3oool002h0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0N0?ooo`80
0000?@3oool3000001l0oooo00<000000?ooo`3oool0C@3oool002h0oooo00<000000?ooo`3oool0
7@3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo03T0oooo00@000000?ooo`3oool0
00007`3oool00`000000oooo0?ooo`1=0?ooo`00;`3oool00`000000oooo0?ooo`0L0?ooo`030000
003oool0oooo0240oooo0P00000g0?ooo`800000103oool00`000000oooo0?ooo`0L0?ooo`030000
003oool0oooo04d0oooo000_0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool08`3o
ool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0703o
ool00`000000oooo0?ooo`1=0?ooo`00<03oool00`000000oooo0?ooo`0K0?ooo`030000003oool0
oooo02@0oooo0P00000a0?ooo`800000203oool00`000000oooo0?ooo`0K0?ooo`030000003oool0
oooo04d0oooo000`0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool09P3oool00`00
0000oooo0?ooo`0]0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool06`3oool00`00
0000oooo0?ooo`1=0?ooo`00<@3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo02L0
oooo0P00000[0?ooo`800000303oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo04d0
oooo000a0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0:@3oool00`000000oooo
0?ooo`0W0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool06P3oool00`000000oooo
0?ooo`1=0?ooo`00<P3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo02X0oooo0P00
000U0?ooo`800000403oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo04d0oooo000b
0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`0Q
0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`1=
0?ooo`00<`3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo02d0oooo0P00000O0?oo
o`800000503oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo04d0oooo000c0?ooo`03
0000003oool0oooo01P0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0K0?ooo`03
0000003oool0oooo01@0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`1=0?ooo`00
=03oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo0300oooo0P00000I0?ooo`800000
603oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo04d0oooo000d0?ooo`030000003o
ool0oooo01L0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0E0?ooo`030000003o
ool0oooo01P0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`1=0?ooo`00=@3oool0
0`000000oooo0?ooo`0F0?ooo`030000003oool0oooo03<0oooo0P00000C0?ooo`800000703oool0
0`000000oooo0?ooo`0F0?ooo`030000003oool0oooo04d0oooo000e0?ooo`030000003oool0oooo
01H0oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo
01`0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`1=0?ooo`00=P3oool00`000000
oooo0?ooo`0E0?ooo`030000003oool0oooo03H0oooo0P00000=0?ooo`800000803oool00`000000
oooo0?ooo`0E0?ooo`030000003oool0oooo04d0oooo000f0?ooo`030000003oool0oooo01D0oooo
00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo0200oooo
00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`1=0?ooo`00=`3oool00`000000oooo0?oo
o`0D0?ooo`030000003oool0oooo03T0oooo0P0000070?ooo`800000903oool00`000000oooo0?oo
o`0D0?ooo`030000003oool0oooo04d0oooo000g0?ooo`030000003oool0oooo01@0oooo00<00000
0?ooo`3oool0>`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo02@0oooo00<00000
0?ooo`3oool0503oool00`000000oooo0?ooo`1=0?ooo`00>03oool00`000000oooo0?ooo`0C0?oo
o`030000003oool0oooo03`0oooo0P0000000`3oool000000000000X0?ooo`030000003oool0oooo
01<0oooo00<000000?ooo`3oool0C@3oool003P0oooo00<000000?ooo`3oool04`3oool00`000000
oooo0?ooo`0n0?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3oool04`3oool00`000000
oooo0?ooo`1=0?ooo`00>@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo03`0oooo
0P0000000`3oool000000000000Y0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0
C@3oool003T0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0k0?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`0B0?ooo`030000003o
ool0oooo04d0oooo000j0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0>@3oool2
000000L0oooo0P00000W0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0C@3oool0
03X0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo
00T0oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo
04d0oooo000k0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0=P3oool2000000d0
oooo0P00000U0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0C@3oool003/0oooo
00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0e0?ooo`030000003oool0oooo00l0oooo
00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo04d0oooo
000l0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0<`3oool2000001<0oooo0P00
000S0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0C@3oool003`0oooo00<00000
0?ooo`3oool03`3oool00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo01D0oooo00<00000
0?ooo`3oool0803oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo04d0oooo000m0?oo
o`030000003oool0oooo00h0oooo00<000000?ooo`3oool0<03oool2000001T0oooo0P00000Q0?oo
o`030000003oool0oooo00h0oooo00<000000?ooo`3oool0C@3oool003d0oooo00<000000?ooo`3o
ool03P3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3o
ool07P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo04d0oooo000n0?ooo`030000
003oool0oooo00d0oooo00<000000?ooo`3oool0;@3oool2000001l0oooo0P00000O0?ooo`030000
003oool0oooo00d0oooo00<000000?ooo`3oool0C@3oool003h0oooo00<000000?ooo`3oool03@3o
ool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool0703o
ool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo04d0oooo000o0?ooo`030000003oool0
oooo00`0oooo00<000000?ooo`3oool0:P3oool2000002D0oooo0P00000M0?ooo`030000003oool0
oooo00`0oooo00<000000?ooo`3oool0C@3oool003l0oooo00<000000?ooo`3oool0303oool00`00
0000oooo0?ooo`0Y0?ooo`030000003oool0oooo02L0oooo00<000000?ooo`3oool06P3oool00`00
0000oooo0?ooo`0<0?ooo`030000003oool0oooo04d0oooo00100?ooo`030000003oool0oooo00/0
oooo00<000000?ooo`3oool09`3oool2000002/0oooo0P00000K0?ooo`030000003oool0oooo00/0
oooo00<000000?ooo`3oool0C@3oool00400oooo00<000000?ooo`3oool02`3oool00`000000oooo
0?ooo`0V0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool0603oool00`000000oooo
0?ooo`0;0?ooo`030000003oool0oooo04d0oooo00110?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool0903oool200000340oooo0P00000I0?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool0C@3oool00440oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0S
0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo04d0oooo00120?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool08@3oool2000003L0oooo0P00000G0?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool0C@3oool00480oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0P0?ooo`03
0000003oool0oooo03T0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`090?ooo`03
0000003oool0oooo04d0oooo00130?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
7P3oool2000003d0oooo0P00000E0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
C@3oool004<0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0L0?ooo`800000@@3o
ool2000001<0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`1=0?ooo`00A03oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool0@`3oool0
0`000000oooo0?ooo`0A0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0C@3oool0
04@0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0I0?ooo`800000A`3oool20000
0140oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`1=0?ooo`00A@3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0B@3oool00`000000
oooo0?ooo`0?0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0C@3oool004D0oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0F0?ooo`800000C@3oool2000000l0oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`1=0?ooo`00AP3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0C`3oool00`000000oooo0?oo
o`0=0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0C@3oool004H0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`0C0?ooo`800000D`3oool2000000d0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`1=0?ooo`00A`3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo0180oooo00<000000?ooo`3oool0E@3oool00`000000oooo0?ooo`0;0?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0C@3oool004L0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`0@0?ooo`800000F@3oool2000000/0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`1=0?ooo`00B03oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo00l0oooo00<000000?ooo`3oool0F`3oool00`000000oooo0?ooo`090?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool0C@3oool004P0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`0=0?ooo`800000G`3oool2000000T0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`1=0?ooo`00B@3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo00`0oooo00<000000?ooo`3oool0H@3oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool0C@3oool004T0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`0:0?ooo`800000I@3oool2000000L0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`1=0?ooo`00@`3oool4000000<0oooo00D000000?ooo`3oool0oooo0000000;0?oo
o`030000003oool0oooo06L0oooo1P0000020?ooo`050000003oool0oooo0?ooo`000000C`3oool0
04<0oooo00<000000?ooo`3oool0103oool01@000000oooo0?ooo`3oool0000000T0oooo0P00001[
0?ooo`<00000103oool01@000000oooo0?ooo`3oool0000004l0oooo00140?ooo`030000003oool0
oooo00@0oooo00@000000?ooo`3oool00000203oool00`000000oooo0?ooo`1]0?ooo`030000003o
ool0oooo00<0oooo00@000000?ooo`3oool00000C`3oool004D0oooo00<000000?ooo`3oool00`3o
ool010000000oooo0?ooo`0000060?ooo`800000L03oool3000000<0oooo00@000000?ooo`3oool0
0000C`3oool004<0oooo00@000000?ooo`3oool000001@3oool00`000000oooo000000050?ooo`03
0000003oool0oooo0700oooo00@000000?ooo`3oool000000`3oool00`000000oooo0000001?0?oo
o`00A03oool2000000H0oooo100000020?ooo`800000LP3oool2000000<0oooo0P0000000`3oool0
000000000002000004h0oooo001<0?ooo`H00000N`3oool6000004d0oooo001;0?ooo`L00000N`3o
ool7000004`0oooo001;0?ooohT00000C03oool004/0oooo1`00001k0?ooo`L00000C03oool004`0
oooo1@00001m0?ooo`D00000C@3oool004d0oooo0`00001o0?ooo`<00000CP3oool00?l0oooo8@3o
ool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3o
ool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3o
ool00001\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-0.0500054, 0.0169824, \
0.00383279, 0.00336597}}],

Cell[BoxData[
    \({}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fAddDig ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["produces all 4-regular non-isomorphic graphs obtained by \
replacing single edges by  double (digonal) edges in original graph. ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(G = {{1, 2}, {1, 3}, {1, 6}, {2, 4}, {2, 6}, {3, 4}, {3, 5}, {4, 
            5}, {5, 6}};\)\), "\[IndentingNewLine]", 
    \(fAddDig[G]\)}], "Input"],

Cell[BoxData[
    \({{{1, 2}, {1, 2}, {1, 3}, {1, 6}, {2, 4}, {2, 6}, {3, 4}, {3, 4}, {3, 
          5}, {4, 5}, {5, 6}, {5, 6}}}\)], "Print"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0454545 0.909091 -0.0175847 1.03517 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 0 0 r
.005 w
[ ] 0 setdash
.72727 .94824 m
.5 .96549 L
.27273 .94824 L
s
.72727 .94824 m
.5 .93099 L
.27273 .94824 L
s
.72727 .94824 m
.04545 .5 L
s
.72727 .94824 m
.95455 .5 L
s
.27273 .94824 m
.27273 .05176 L
s
.27273 .94824 m
.95455 .5 L
s
.04545 .5 m
.14597 .26725 L
.27273 .05176 L
s
.04545 .5 m
.17221 .28451 L
.27273 .05176 L
s
.04545 .5 m
.72727 .05176 L
s
.27273 .05176 m
.72727 .05176 L
s
.72727 .05176 m
.82779 .28451 L
.95455 .5 L
s
.72727 .05176 m
.85403 .26725 L
.95455 .5 L
s
.025 w
.72727 .94824 Mdot
[(1)] .70727 .92824 1 0 Mshowa
.27273 .94824 Mdot
[(2)] .25273 .92824 1 0 Mshowa
.04545 .5 Mdot
[(3)] .02545 .48 1 0 Mshowa
.27273 .05176 Mdot
[(4)] .25273 .03176 1 0 Mshowa
.72727 .05176 Mdot
[(5)] .70727 .03176 1 0 Mshowa
.95455 .5 Mdot
[(6)] .93455 .48 1 0 Mshowa
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00A@3oool3000007h0oooo0P00001H0?ooo`00AP3o
ool00`000000oooo0?ooo`1l0?ooo`040000003oool0oooo000005L0oooo00130?ooo`D00000P03o
ool00`000000oooo0?ooo`1E0?ooo`00@`3oool010000000oooo0?ooo`00001o0?ooo`800000F03o
ool004@0oooo00<000000?ooo`0000001P3oool3000007H0oooo00<000000?ooo`3oool01P3oool3
000004h0oooo00150?ooo`8000001@3oool5000007D0oooo0`0000050?ooo`D00000C@3oool004/0
oooo1`00001k0?ooo`L00000C03oool004/0ooooR@00001<0?ooo`00B`3oool7000007/0oooo1`00
001<0?ooo`00C03oool5000007`0oooo1P00001=0?ooo`00C03oool4000007/0oooo0P0000020?oo
o`@00000C@3oool004`0oooo00<000000?ooo`000000N`3oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo04/0oooo001;0?ooo`80000000<0oooo0000003oool0N03oool2000000P0oooo
0P00001<0?ooo`00BP3oool200000080oooo00<000000?ooo`3oool0MP3oool00`000000oooo0?oo
o`090?ooo`800000B`3oool004X0oooo0P0000020?ooo`030000003oool0oooo07@0oooo0P00000<
0?ooo`800000B`3oool004T0oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`1c0?oo
o`030000003oool0oooo00`0oooo00<000000?ooo`000000BP3oool004T0oooo0P0000030?ooo`03
0000003oool0oooo0740oooo0P00000@0?ooo`800000BP3oool004P0oooo00<000000?ooo`000000
0`3oool00`000000oooo0?ooo`1`0?ooo`030000003oool0oooo0100oooo00<000000?ooo`000000
B@3oool004L0oooo00<000000?ooo`000000103oool00`000000oooo0?ooo`1^0?ooo`800000503o
ool00`000000oooo000000180?ooo`00A`3oool00`000000oooo000000040?ooo`030000003oool0
oooo06d0oooo00<000000?ooo`3oool0503oool00`000000oooo000000180?ooo`00AP3oool00`00
0000oooo000000050?ooo`030000003oool0oooo06/0oooo0P00000H0?ooo`030000003oool00000
04L0oooo00160?ooo`030000003oool0000000D0oooo00<000000?ooo`3oool0JP3oool00`000000
oooo0?ooo`0H0?ooo`030000003oool0000004L0oooo00150?ooo`040000003oool0oooo000000D0
oooo00<000000?ooo`3oool0J03oool2000001/0oooo00@000000?ooo`3oool00000AP3oool004@0
oooo00@000000?ooo`3oool000001P3oool00`000000oooo0?ooo`1W0?ooo`030000003oool0oooo
01`0oooo00@000000?ooo`3oool00000A@3oool004@0oooo00@000000?ooo`3oool000001P3oool0
0`000000oooo0?ooo`1U0?ooo`8000007`3oool010000000oooo0?ooo`0000150?ooo`00@`3oool0
10000000oooo0?ooo`0000070?ooo`030000003oool0oooo06@0oooo00<000000?ooo`3oool0803o
ool010000000oooo0?ooo`0000140?ooo`00@`3oool010000000oooo0?ooo`0000070?ooo`030000
003oool0oooo0680oooo0P00000S0?ooo`040000003oool0oooo000004@0oooo00120?ooo`040000
003oool0oooo000000P0oooo00<000000?ooo`3oool0H@3oool00`000000oooo0?ooo`0T0?ooo`04
0000003oool0oooo000004<0oooo00110?ooo`050000003oool0oooo0?ooo`000000203oool00`00
0000oooo0?ooo`1O0?ooo`8000009`3oool01@000000oooo0?ooo`3oool000000480oooo00110?oo
o`040000003oool0oooo000000T0oooo00<000000?ooo`3oool0G@3oool2000002X0oooo00@00000
0?ooo`3oool00000@P3oool00400oooo00D000000?ooo`3oool0oooo000000090?ooo`030000003o
ool0oooo05`0oooo00<000000?ooo`3oool0:P3oool01@000000oooo0?ooo`3oool000000440oooo
00100?ooo`050000003oool0oooo0?ooo`0000002@3oool00`000000oooo0?ooo`1J0?ooo`800000
;@3oool01@000000oooo0?ooo`3oool000000440oooo000o0?ooo`050000003oool0oooo0?ooo`00
00002P3oool00`000000oooo0?ooo`1I0?ooo`030000003oool0oooo02h0oooo00D000000?ooo`3o
ool0oooo000000100?ooo`00?P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool0E`3oool200000340oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`0m0?ooo`00?P3oool01@000000oooo0?ooo`3oool0000000/0oooo00<000000?ooo`3o
ool0EP3oool00`000000oooo0?ooo`0b0?ooo`050000003oool0oooo0?ooo`000000?`3oool003d0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo05@0
oooo0P00000e0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0?03oool003d0oooo
00D000000?ooo`3oool0oooo0000000<0?ooo`030000003oool0oooo05<0oooo00<000000?ooo`3o
ool0=P3oool01@000000oooo0?ooo`3oool0000003h0oooo000l0?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`1A0?ooo`800000>@3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo03/0oooo000k0?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`1@0?ooo`030000003oool0oooo03T0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0k0?ooo`00>`3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0CP3oool2000003d0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`0j0?ooo`00>P3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0C@3oool00`000000oooo0?ooo`0m
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0>@3oool003X0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo04/0oooo0P0000110?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool0>@3oool003T0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo04X0oooo00<000000?ooo`3o
ool0@@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo03P0oooo000i0?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`180?ooo`800000
A@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo03P0oooo000h0?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`170?ooo`030000003o
ool0oooo04D0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0g0?ooo`00=`3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0A@3oool2
000004P0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0f0?ooo`00=`3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0A03oool00`00
0000oooo0?ooo`190?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0=P3oool003H0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo0480
oooo0P00001<0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0=@3oool003H0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0440oooo
00<000000?ooo`3oool0C@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo03D0oooo
000e0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?oo
o`0o0?ooo`800000D03oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo03@0oooo000d
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0n
0?ooo`030000003oool0oooo0540oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0c
0?ooo`00=03oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0100oooo00<000000?oo
o`3oool0?03oool2000005@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0c0?oo
o`00<`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0100oooo00<000000?ooo`3o
ool0>`3oool00`000000oooo0?ooo`1D0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0<P3oool003<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0A0?ooo`030000
003oool0oooo03T0oooo0P00001H0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
<P3oool00380oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0A0?ooo`030000003o
ool0oooo03P0oooo00<000000?ooo`3oool0F03oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo0340oooo000a0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool04P3oool0
0`000000oooo0?ooo`0f0?ooo`800000G03oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo0300oooo000a0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool04P3oool00`00
0000oooo0?ooo`0e0?ooo`030000003oool0oooo05`0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`0`0?ooo`00<03oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01<0
oooo00<000000?ooo`3oool0<`3oool200000600oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`0_0?ooo`00<03oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01<0oooo
00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`1P0?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool0;`3oool002l0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`0D0?ooo`030000003oool0oooo0300oooo0P00001T0?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool0;P3oool002h0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0D
0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool0I03oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo02d0oooo000^0?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool0503oool00`000000oooo0?ooo`0]0?ooo`800000I`3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo02d0oooo000]0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool05@3oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo06P0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`0/0?ooo`00;@3oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo01D0oooo00<000000?ooo`3oool0:P3oool2000006/0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`0/0?ooo`00;03oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo01H0oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`1/0?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool0:`3oool002/0oooo00<000000?ooo`3oool01`3oool0
0`000000oooo0?ooo`0F0?ooo`030000003oool0oooo02L0oooo0P00001_0?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool0:P3oool002/0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`0G0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0L03oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo02X0oooo000Z0?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0T0?ooo`800000L`3oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo02T0oooo000Z0?ooo`030000003oool0oooo00L0oooo
00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo07<0oooo
00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0Y0?ooo`00:@3oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool08@3oool2000007L0oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`0X0?ooo`00:@3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`1g
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0:03oool002P0oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo01h0oooo0P00001k0?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool09`3oool002P0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo01`0oooo0P00001m0?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool09`3oool002L0oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool0
OP3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo02H0oooo000W0?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`0I0?ooo`800000P@3o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo02H0oooo000V0?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0
oooo0880oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0U0?ooo`009P3oool00`00
0000oooo0?ooo`070?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool05P3oool20000
08D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0U0?ooo`009P3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool05@3oool00`000000
oooo0?ooo`260?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool09@3oool002D0oooo
00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo01<0oooo
0P0000290?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0903oool002D0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo0180oooo00<0
00000?ooo`3oool0RP3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo02@0oooo000T
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0@
0?ooo`800000S@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo02<0oooo000T0?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`0?0?oo
o`030000003oool0oooo08h0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0S0?oo
o`00903oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3o
ool03@3oool200000980oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0S0?ooo`00
8`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0
303oool00`000000oooo0?ooo`2B0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
8P3oool002<0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0P0?ooo`030000003o
ool0oooo00X0oooo0P00002F0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool08P3o
ool00280oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0
oooo00T0oooo00<000000?ooo`3oool0UP3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo0240oooo000R0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool08@3oool00`00
0000oooo0?ooo`070?ooo`800000VP3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
0240oooo000Q0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool08P3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo09/0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`0P0?ooo`008@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0280oooo
00<000000?ooo`3oool0103oool2000009h0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`0P0?ooo`008@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo02<0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`2O0?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0803oool00200oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0S
0?ooo`040000003oool0oooo0?ooo`800000XP3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo01l0oooo000P0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0903oool0
10000000oooo0?ooo`00002U0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool07`3o
ool001l0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0T0?ooo`<00000YP3oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo01h0oooo000O0?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`2W0?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool07P3oool001l0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`0T0?ooo`<00000ZP3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01h0
oooo000N0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool08`3oool010000000oooo
0?ooo`00002Z0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool07@3oool001h0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0R0?ooo`8000000`3oool00`000000oooo
0?ooo`2Y0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool07@3oool001d0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool0Z@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo01`0oooo000M
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0803oool2000000H0oooo00<00000
0?ooo`3oool0ZP3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01`0oooo000L0?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo0:/0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0K0?oo
o`00703oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01h0oooo0P0000090?ooo`03
0000003oool0oooo0:/0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0K0?ooo`00
703oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0
2@3oool00`000000oooo0?ooo`2/0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
6`3oool001/0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0L0?ooo`800000303o
ool00`000000oooo0?ooo`2/0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool06P3o
ool001/0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0
oooo00`0oooo00<000000?ooo`3oool0[@3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo01X0oooo000J0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool06P3oool20000
00l0oooo00<000000?ooo`3oool0[@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
01T0oooo000J0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool06P3oool00`000000
oooo0?ooo`0?0?ooo`030000003oool0oooo0:h0oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`0I0?ooo`006P3oool01@000000oooo0?ooo`3oool0000001/0oooo0P00000B0?ooo`03
0000003oool0oooo0:l0oooo00D000000?ooo`3oool0oooo0000000K0?ooo`006@3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool04P3oool00`000000
oooo0?ooo`2_0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0603oool001T0oooo
00D000000?ooo`3oool0oooo0000000I0?ooo`8000005@3oool00`000000oooo0?ooo`2`0?ooo`05
0000003oool0oooo0?ooo`0000006P3oool001P0oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`0F0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0/03oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo01L0oooo000H0?ooo`050000003oool0oooo0?ooo`00
00005`3oool2000001P0oooo00<000000?ooo`3oool0/@3oool01@000000oooo0?ooo`3oool00000
01T0oooo000G0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0503oool00`000000
oooo0?ooo`0H0?ooo`030000003oool0oooo0;40oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`0F0?ooo`005`3oool01@000000oooo0?ooo`3oool0000001D0oooo0P00000K0?ooo`03
0000003oool0oooo0;80oooo00D000000?ooo`3oool0oooo0000000H0?ooo`005`3oool010000000
oooo0?ooo`00000E0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool0/`3oool01000
0000oooo0?ooo`00000H0?ooo`005P3oool01@000000oooo0?ooo`3oool0000001<0oooo0P00000N
0?ooo`030000003oool0oooo0;<0oooo00D000000?ooo`3oool0oooo0000000G0?ooo`005P3oool0
10000000oooo0?ooo`00000B0?ooo`800000803oool00`000000oooo0?ooo`2d0?ooo`040000003o
ool0oooo000001L0oooo000E0?ooo`050000003oool0oooo0?ooo`0000004@3oool00`000000oooo
0?ooo`0P0?ooo`030000003oool0oooo0;@0oooo00D000000?ooo`3oool0oooo0000000F0?ooo`00
5@3oool010000000oooo0?ooo`00000@0?ooo`8000008`3oool00`000000oooo0?ooo`2e0?ooo`04
0000003oool0oooo000001H0oooo000E0?ooo`030000003oool000000100oooo00<000000?ooo`3o
ool08`3oool00`000000oooo0?ooo`2f0?ooo`030000003oool0000001H0oooo000D0?ooo`040000
003oool0oooo000000h0oooo0P00000V0?ooo`030000003oool0oooo0;H0oooo00@000000?ooo`3o
ool000005@3oool001@0oooo00<000000?ooo`0000003P3oool00`000000oooo0?ooo`0V0?ooo`03
0000003oool0oooo0;L0oooo00<000000?ooo`0000005@3oool001<0oooo00@000000?ooo`3oool0
0000303oool2000002T0oooo00<000000?ooo`3oool0]`3oool010000000oooo0?ooo`00000D0?oo
o`004`3oool00`000000oooo0000000<0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3o
ool0^03oool00`000000oooo0000000D0?ooo`004P3oool010000000oooo0?ooo`00000:0?ooo`80
0000;03oool00`000000oooo0?ooo`2h0?ooo`040000003oool0oooo000001<0oooo000B0?ooo`03
0000003oool0000000X0oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`2i0?ooo`03
0000003oool0000001<0oooo000B0?ooo`8000002@3oool2000002l0oooo00<000000?ooo`3oool0
^P3oool2000001<0oooo000A0?ooo`030000003oool0000000P0oooo00<000000?ooo`3oool0;`3o
ool00`000000oooo0?ooo`2j0?ooo`030000003oool000000180oooo000A0?ooo`8000001`3oool2
00000380oooo00<000000?ooo`3oool0^`3oool200000180oooo00030?ooo`8000002`3oool00`00
0000oooo000000060?ooo`030000003oool0oooo0380oooo00<000000?ooo`3oool0]P3oool30000
0080oooo00<000000?ooo`0000004@3oool00080oooo00@000000?ooo`3oool000002P3oool20000
00D0oooo0P00000e0?ooo`030000003oool0oooo0;H0oooo00@000000?ooo`3oool000000P3oool2
00000140oooo00040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`0e0?ooo`030000003oool0oooo0;H0oooo00@000000?ooo`3oool000000`3oool0
0`000000oooo0?ooo`0?0?ooo`001@3oool00`000000oooo0?ooo`070?ooo`8000000`3oool20000
03P0oooo00<000000?ooo`3oool0]P3oool3000000@0oooo0P00000@0?ooo`000P3oool010000000
oooo0?ooo`0000090?ooo`050000003oool0oooo0?ooo`000000>P3oool00`000000oooo0?ooo`2g
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool03P3oool000<0oooo0P0000060?oo
o`D0000000<0oooo000000000000>`3oool00`000000oooo0?ooo`2g0?ooo`<00000103oool40000
00d0oooo000:0?ooo`D0000000<0oooo0000003oool0?03oool00`000000oooo0?ooo`2n0?ooo`D0
0000303oool000T0oooo1`00000n0?ooo`030000003oool0oooo0;d0oooo1`00000;0?ooo`002@3o
ool7000003h0oooo00<000000?ooo`3oool0_@3oool7000000/0oooo00090?ooo`L00000?P3oool0
0`000000oooo0?ooo`2m0?ooo`L000002`3oool000X0oooo1@0000000`3oool000000?ooo`0l0?oo
o`030000003oool0oooo0;d0oooo1P00000<0?ooo`002`3oool3000000<0oooo0P00000k0?ooo`03
0000003oool0oooo0;/0oooo0P0000000`3oool0000000000002000000d0oooo000C0?ooo`030000
003oool0oooo03P0oooo00<000000?ooo`3oool0^P3oool01@000000oooo0?ooo`3oool000000100
oooo000D0?ooo`800000>03oool00`000000oooo0?ooo`2h0?ooo`8000000`3oool00`000000oooo
0?ooo`0?0?ooo`005P3oool00`000000oooo0?ooo`0e0?ooo`030000003oool0oooo0;L0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`0?0?ooo`005`3oool2000003D0oooo00<00000
0?ooo`3oool0]@3oool2000000D0oooo00<000000?ooo`3oool0403oool001T0oooo00<000000?oo
o`3oool0<P3oool00`000000oooo0?ooo`2d0?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0403oool001X0oooo0P00000b0?ooo`030000003oool0oooo0;80oooo0P0000070?ooo`03
0000003oool0oooo0140oooo000L0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool0
/@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0140oooo000M0?ooo`800000;`3o
ool00`000000oooo0?ooo`2_0?ooo`8000002@3oool00`000000oooo0?ooo`0B0?ooo`007`3oool0
0`000000oooo0?ooo`0/0?ooo`030000003oool0oooo0:h0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`0B0?ooo`00803oool2000002`0oooo00<000000?ooo`3oool0[03oool20000
00/0oooo00<000000?ooo`3oool04`3oool00280oooo00<000000?ooo`3oool0:@3oool00`000000
oooo0?ooo`2[0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool04`3oool002<0oooo
0P00000Y0?ooo`030000003oool0oooo0:T0oooo0P00000=0?ooo`030000003oool0oooo01@0oooo
000U0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0Z03oool00`000000oooo0?oo
o`0=0?ooo`030000003oool0oooo01@0oooo000V0?ooo`8000009P3oool00`000000oooo0?ooo`2V
0?ooo`8000003`3oool00`000000oooo0?ooo`0E0?ooo`00:03oool00`000000oooo0?ooo`0S0?oo
o`030000003oool0oooo0:D0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0E0?oo
o`00:@3oool2000002<0oooo00<000000?ooo`3oool0X`3oool200000140oooo00<000000?ooo`3o
ool05P3oool002/0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`2R0?ooo`030000
003oool0oooo0140oooo00<000000?ooo`3oool05P3oool002`0oooo0P00000P0?ooo`030000003o
ool0oooo0:00oooo0P00000C0?ooo`030000003oool0oooo01L0oooo000^0?ooo`8000007P3oool0
0`000000oooo0?ooo`2N0?ooo`8000005@3oool00`000000oooo0?ooo`0G0?ooo`00<03oool00`00
0000oooo0?ooo`0K0?ooo`030000003oool0oooo09d0oooo00<000000?ooo`3oool0503oool00`00
0000oooo0?ooo`0H0?ooo`00<@3oool2000001/0oooo00<000000?ooo`3oool0V`3oool2000001L0
oooo00<000000?ooo`3oool0603oool003<0oooo00<000000?ooo`3oool0603oool00`000000oooo
0?ooo`2J0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool06@3oool003@0oooo0P00
000H0?ooo`030000003oool0oooo09P0oooo0P00000I0?ooo`030000003oool0oooo01T0oooo000f
0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0U`3oool00`000000oooo0?ooo`0H
0?ooo`030000003oool0oooo01X0oooo000g0?ooo`8000005@3oool00`000000oooo0?ooo`2E0?oo
o`8000006`3oool00`000000oooo0?ooo`0J0?ooo`00>@3oool00`000000oooo0?ooo`0B0?ooo`03
0000003oool0oooo09@0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`0K0?ooo`00
>P3oool200000180oooo00<000000?ooo`3oool0TP3oool2000001d0oooo00<000000?ooo`3oool0
6`3oool003`0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`2A0?ooo`030000003o
ool0oooo01`0oooo00<000000?ooo`3oool0703oool003d0oooo0P00000?0?ooo`030000003oool0
oooo08l0oooo0P00000O0?ooo`030000003oool0oooo01`0oooo000o0?ooo`030000003oool0oooo
00`0oooo00<000000?ooo`3oool0SP3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo
01d0oooo00100?ooo`800000303oool00`000000oooo0?ooo`2<0?ooo`8000008@3oool00`000000
oooo0?ooo`0M0?ooo`00@P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo08/0oooo
00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0N0?ooo`00@`3oool2000000T0oooo00<0
00000?ooo`3oool0R@3oool2000002<0oooo00<000000?ooo`3oool07P3oool004D0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`280?ooo`030000003oool0oooo0280oooo00<00000
0?ooo`3oool07`3oool004H0oooo0P0000060?ooo`030000003oool0oooo08H0oooo0P00000U0?oo
o`030000003oool0oooo01l0oooo00180?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool0Q@3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo0200oooo00190?ooo`800000
0`3oool00`000000oooo0?ooo`230?ooo`8000009`3oool00`000000oooo0?ooo`0P0?ooo`00B`3o
ool010000000oooo0?ooo`0000240?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0
8@3oool004`0oooo0`0000220?ooo`800000:@3oool00`000000oooo0?ooo`0Q0?ooo`00CP3oool0
0`000000oooo0?ooo`1o0?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3oool08P3oool0
04h0oooo0`00001m0?ooo`800000:`3oool00`000000oooo0?ooo`0R0?ooo`00CP3oool010000000
oooo0?ooo`00001k0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool08`3oool004h0
oooo00@000000?ooo`3oool0oooo0P00001g0?ooo`800000;@3oool00`000000oooo0?ooo`0S0?oo
o`00CP3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo07<0oooo00<000000?ooo`3o
ool0;03oool00`000000oooo0?ooo`0T0?ooo`00CP3oool00`000000oooo0?ooo`040?ooo`800000
L@3oool2000002l0oooo00<000000?ooo`3oool0903oool004h0oooo00<000000?ooo`3oool01P3o
ool00`000000oooo0?ooo`1]0?ooo`030000003oool0oooo02h0oooo00<000000?ooo`3oool09@3o
ool004h0oooo00<000000?ooo`3oool01`3oool2000006/0oooo0P00000a0?ooo`030000003oool0
oooo02D0oooo001>0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0I`3oool00`00
0000oooo0?ooo`0`0?ooo`030000003oool0oooo02H0oooo001>0?ooo`030000003oool0oooo00X0
oooo0P00001U0?ooo`800000<`3oool00`000000oooo0?ooo`0V0?ooo`00CP3oool00`000000oooo
0?ooo`0<0?ooo`030000003oool0oooo0640oooo00<000000?ooo`3oool0<P3oool00`000000oooo
0?ooo`0W0?ooo`00CP3oool00`000000oooo0?ooo`0=0?ooo`800000G`3oool2000003D0oooo00<0
00000?ooo`3oool09`3oool004h0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`1K
0?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3oool0:03oool004h0oooo00<000000?oo
o`3oool0403oool2000005T0oooo0P00000g0?ooo`030000003oool0oooo02P0oooo001>0?ooo`03
0000003oool0oooo0180oooo00<000000?ooo`3oool0E@3oool00`000000oooo0?ooo`0f0?ooo`03
0000003oool0oooo02T0oooo001>0?ooo`030000003oool0oooo01<0oooo0P00001C0?ooo`800000
>@3oool00`000000oooo0?ooo`0Y0?ooo`00CP3oool00`000000oooo0?ooo`0E0?ooo`030000003o
ool0oooo04l0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`0Z0?ooo`00CP3oool0
0`000000oooo0?ooo`0F0?ooo`800000C@3oool2000003/0oooo00<000000?ooo`3oool0:P3oool0
04h0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`190?ooo`030000003oool0oooo
03X0oooo00<000000?ooo`3oool0:`3oool004h0oooo00<000000?ooo`3oool06@3oool2000004L0
oooo0P00000m0?ooo`030000003oool0oooo02/0oooo001>0?ooo`030000003oool0oooo01/0oooo
00<000000?ooo`3oool0@`3oool00`000000oooo0?ooo`0l0?ooo`030000003oool0oooo02`0oooo
001>0?ooo`030000003oool0oooo01`0oooo0P0000110?ooo`800000?`3oool00`000000oooo0?oo
o`0/0?ooo`00CP3oool00`000000oooo0?ooo`0N0?ooo`800000?@3oool200000400oooo00<00000
0?ooo`3oool0;@3oool004h0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0i0?oo
o`030000003oool0oooo0400oooo00<000000?ooo`3oool0;@3oool004h0oooo00<000000?ooo`3o
ool08@3oool2000003L0oooo0P0000120?ooo`030000003oool0oooo02h0oooo001>0?ooo`030000
003oool0oooo02<0oooo00<000000?ooo`3oool0<`3oool00`000000oooo0?ooo`120?ooo`030000
003oool0oooo02h0oooo001>0?ooo`030000003oool0oooo02@0oooo0P00000a0?ooo`800000A03o
ool00`000000oooo0?ooo`0_0?ooo`00CP3oool00`000000oooo0?ooo`0V0?ooo`030000003oool0
oooo02d0oooo00<000000?ooo`3oool0A03oool00`000000oooo0?ooo`0_0?ooo`00CP3oool00`00
0000oooo0?ooo`0W0?ooo`800000:`3oool2000004H0oooo00<000000?ooo`3oool0<03oool004h0
oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo04H0
oooo00<000000?ooo`3oool0<03oool004h0oooo00<000000?ooo`3oool0:P3oool2000002D0oooo
0P0000180?ooo`030000003oool0oooo0340oooo001>0?ooo`030000003oool0oooo02`0oooo00<0
00000?ooo`3oool08@3oool00`000000oooo0?ooo`180?ooo`030000003oool0oooo0340oooo001>
0?ooo`030000003oool0oooo02d0oooo0P00000O0?ooo`800000BP3oool00`000000oooo0?ooo`0b
0?ooo`00CP3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo01/0oooo00<000000?oo
o`3oool0BP3oool00`000000oooo0?ooo`0b0?ooo`00CP3oool00`000000oooo0?ooo`0`0?ooo`80
00006@3oool2000004`0oooo00<000000?ooo`3oool0<`3oool004h0oooo00<000000?ooo`3oool0
<P3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo04`0oooo00<000000?ooo`3oool0
<`3oool004h0oooo00<000000?ooo`3oool0<`3oool2000001<0oooo0P00001>0?ooo`030000003o
ool0oooo03@0oooo001>0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool03`3oool0
0`000000oooo0?ooo`1>0?ooo`030000003oool0oooo03@0oooo001>0?ooo`030000003oool0oooo
03H0oooo0P00000=0?ooo`800000D03oool00`000000oooo0?ooo`0e0?ooo`00CP3oool00`000000
oooo0?ooo`0h0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0D03oool00`000000
oooo0?ooo`0e0?ooo`00CP3oool00`000000oooo0?ooo`0i0?ooo`8000001`3oool200000580oooo
00<000000?ooo`3oool0=P3oool004h0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo0580oooo00<000000?ooo`3oool0=P3oool004h0oooo00<00000
0?ooo`3oool0?03oool2000000030?ooo`000000000005@0oooo00<000000?ooo`3oool0=`3oool0
04h0oooo00<000000?ooo`3oool0?P3oool00`000000oooo0?ooo`1D0?ooo`030000003oool0oooo
03L0oooo001>0?ooo`030000003oool0oooo03`0oooo0P0000000`3oool000000000001C0?ooo`03
0000003oool0oooo03P0oooo001>0?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`1@0?ooo`030000003oool0oooo03P0oooo001>0?ooo`030000003o
ool0oooo03T0oooo0P0000070?ooo`800000C`3oool00`000000oooo0?ooo`0i0?ooo`00CP3oool0
0`000000oooo0?ooo`0h0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0C03oool0
0`000000oooo0?ooo`0i0?ooo`00CP3oool00`000000oooo0?ooo`0f0?ooo`8000003@3oool20000
04/0oooo00<000000?ooo`3oool0>P3oool004h0oooo00<000000?ooo`3oool0=@3oool00`000000
oooo0?ooo`0?0?ooo`030000003oool0oooo04P0oooo00<000000?ooo`3oool0>P3oool004h0oooo
00<000000?ooo`3oool0<`3oool2000001<0oooo0P0000170?ooo`030000003oool0oooo03/0oooo
001>0?ooo`030000003oool0oooo0380oooo00<000000?ooo`3oool05@3oool00`000000oooo0?oo
o`140?ooo`030000003oool0oooo03/0oooo001>0?ooo`030000003oool0oooo0300oooo0P00000I
0?ooo`800000@`3oool00`000000oooo0?ooo`0l0?ooo`00CP3oool00`000000oooo0?ooo`0_0?oo
o`030000003oool0oooo01/0oooo00<000000?ooo`3oool0@03oool00`000000oooo0?ooo`0l0?oo
o`00CP3oool00`000000oooo0?ooo`0]0?ooo`8000007`3oool2000003l0oooo00<000000?ooo`3o
ool0?@3oool004h0oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`0Q0?ooo`030000
003oool0oooo03`0oooo00<000000?ooo`3oool0?@3oool004h0oooo00<000000?ooo`3oool0:P3o
ool2000002D0oooo0P00000k0?ooo`030000003oool0oooo03h0oooo001>0?ooo`030000003oool0
oooo02T0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`0h0?ooo`030000003oool0
oooo03h0oooo001>0?ooo`030000003oool0oooo02L0oooo0P00000[0?ooo`800000=`3oool00`00
0000oooo0?ooo`0o0?ooo`00CP3oool00`000000oooo0?ooo`0V0?ooo`030000003oool0oooo02d0
oooo00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`0o0?ooo`00CP3oool00`000000oooo
0?ooo`0T0?ooo`800000<@3oool2000003<0oooo00<000000?ooo`3oool0@03oool004h0oooo00<0
00000?ooo`3oool08`3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo0300oooo00<0
00000?ooo`3oool0@03oool004h0oooo00<000000?ooo`3oool08@3oool2000003L0oooo0P00000_
0?ooo`030000003oool0oooo0440oooo001>0?ooo`030000003oool0oooo0200oooo00<000000?oo
o`3oool0>@3oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo0440oooo001>0?ooo`03
0000003oool0oooo01h0oooo0P00000m0?ooo`800000:`3oool00`000000oooo0?ooo`120?ooo`00
CP3oool00`000000oooo0?ooo`0L0?ooo`800000@@3oool2000002T0oooo00<000000?ooo`3oool0
@P3oool004h0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`130?ooo`030000003o
ool0oooo02D0oooo00<000000?ooo`3oool0@`3oool004h0oooo00<000000?ooo`3oool06@3oool2
000004L0oooo0P00000U0?ooo`030000003oool0oooo04<0oooo001>0?ooo`030000003oool0oooo
01P0oooo00<000000?ooo`3oool0B@3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo
04@0oooo001>0?ooo`030000003oool0oooo01H0oooo0P00001=0?ooo`8000008@3oool00`000000
oooo0?ooo`140?ooo`00CP3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo04l0oooo
00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`150?ooo`00CP3oool00`000000oooo0?oo
o`0C0?ooo`800000D`3oool2000001d0oooo00<000000?ooo`3oool0A@3oool004h0oooo00<00000
0?ooo`3oool04P3oool00`000000oooo0?ooo`1E0?ooo`030000003oool0oooo01T0oooo00<00000
0?ooo`3oool0AP3oool004h0oooo00<000000?ooo`3oool0403oool2000005T0oooo0P00000I0?oo
o`030000003oool0oooo04H0oooo001>0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3o
ool0F`3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo04L0oooo001>0?ooo`030000
003oool0oooo00d0oooo0P00001O0?ooo`8000005@3oool00`000000oooo0?ooo`170?ooo`00CP3o
ool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo0640oooo00<000000?ooo`3oool04@3o
ool00`000000oooo0?ooo`180?ooo`00CP3oool00`000000oooo0?ooo`0:0?ooo`800000I@3oool2
00000140oooo00<000000?ooo`3oool0B03oool004<0oooo100000070?ooo`030000003oool0oooo
00T0oooo00<000000?ooo`3oool0I`3oool6000000X0oooo00<000000?ooo`3oool0B@3oool004<0
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`070?ooo`800000J`3oool3000000`0
oooo00<000000?ooo`3oool0B@3oool004@0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`060?ooo`030000003oool0oooo06d0oooo00<000000?ooo`3oool02@3oool00`000000oooo
0?ooo`1:0?ooo`00A@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00@0oooo0P00
000b0?ooo`d00000<@3oool3000000T0oooo00<000000?ooo`3oool0BP3oool004<0oooo00@00000
0?ooo`3oool000001`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo02D0oooo3@00
000=0?ooo`d00000903oool010000000oooo0?ooo`0000070?ooo`030000003oool0oooo04/0oooo
00140?ooo`8000001`3oool300000080oooo0P00000K0?ooo`d000009`3oool=000001H0oooo0P00
00030?ooo`8000000P3oool4000004d0oooo001<0?ooo`H00000403oool=00000440oooo3@00000@
0?ooo`H00000C@3oool004/0oooo1`0000030?ooo`d00000F`3oool=000000<0oooo1`00001<0?oo
o`00B`3oool:000007D0oooo2P00001<0?ooo`00B`3oool7000000<0oooo3@00001K0?ooo`d00000
0`3oool7000004`0oooo001<0?ooo`D000004@3oool=00000440oooo3@00000A0?ooo`D00000C@3o
ool004d0oooo0`00000O0?ooo`d000009`3oool=000001l0oooo0`00001>0?ooo`00O03oool=0000
00d0oooo3@00001m0?ooo`00R@3oool=000008X0oooo003o0?ooob40oooo003o0?ooob40oooo003o
0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o
0?ooob40oooo003o0?ooob40oooo0000\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-0.0500054, 0.0169824, \
0.00383279, 0.00336597}}],

Cell[BoxData[
    \({{1, 2}, {1, 3}, {1, 3}, {1, 6}, {2, 4}, {2, 4}, {2, 6}, {3, 4}, {3, 
        5}, {4, 5}, {5, 6}, {5, 6}}\)], "Print"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0454545 0.909091 -0.0175847 1.03517 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 0 0 r
.005 w
[ ] 0 setdash
.72727 .94824 m
.27273 .94824 L
s
.72727 .94824 m
.37324 .75 L
.04545 .5 L
s
.72727 .94824 m
.39949 .69824 L
.04545 .5 L
s
.72727 .94824 m
.95455 .5 L
s
.27273 .94824 m
.24648 .5 L
.27273 .05176 L
s
.27273 .94824 m
.29897 .5 L
.27273 .05176 L
s
.27273 .94824 m
.95455 .5 L
s
.04545 .5 m
.27273 .05176 L
s
.04545 .5 m
.72727 .05176 L
s
.27273 .05176 m
.72727 .05176 L
s
.72727 .05176 m
.82779 .28451 L
.95455 .5 L
s
.72727 .05176 m
.85403 .26725 L
.95455 .5 L
s
.025 w
.72727 .94824 Mdot
[(1)] .70727 .92824 1 0 Mshowa
.27273 .94824 Mdot
[(2)] .25273 .92824 1 0 Mshowa
.04545 .5 Mdot
[(3)] .02545 .48 1 0 Mshowa
.27273 .05176 Mdot
[(4)] .25273 .03176 1 0 Mshowa
.72727 .05176 Mdot
[(5)] .70727 .03176 1 0 Mshowa
.95455 .5 Mdot
[(6)] .93455 .48 1 0 Mshowa
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00A@3oool3000007h0oooo0P00001H0?ooo`00AP3o
ool00`000000oooo0?ooo`1l0?ooo`040000003oool0oooo000005L0oooo00130?ooo`D00000P03o
ool00`000000oooo0?ooo`1E0?ooo`00@`3oool010000000oooo0?ooo`00001o0?ooo`800000F03o
ool004@0oooo00<000000?ooo`0000001P3oool3000007H0oooo00<000000?ooo`3oool01P3oool3
000004h0oooo00150?ooo`8000001@3oool5000007D0oooo0`0000050?ooo`D00000C@3oool004/0
oooo1`00001k0?ooo`L00000C03oool004/0ooooR@00001<0?ooo`00B`3oool7000007/0oooo1`00
001<0?ooo`00C03oool5000007`0oooo1P00001=0?ooo`00C03oool4000007/0oooo0P0000020?oo
o`@00000C@3oool004`0oooo00<000000?ooo`000000N`3oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo04/0oooo001;0?ooo`040000003oool0oooo000007T0oooo0P0000080?ooo`80
0000C03oool004/0oooo00@000000?ooo`3oool00000N03oool00`000000oooo0?ooo`090?ooo`80
0000B`3oool004X0oooo00D000000?ooo`3oool0oooo0000001f0?ooo`800000303oool2000004/0
oooo001:0?ooo`050000003oool0oooo0?ooo`000000M@3oool00`000000oooo0?ooo`0<0?ooo`03
0000003oool0000004X0oooo00190?ooo`040000003oool0oooo0?ooo`800000L`3oool200000100
oooo0P00001:0?ooo`00B@3oool01`000000oooo0?ooo`3oool000000?ooo`000000L@3oool00`00
0000oooo0?ooo`0@0?ooo`030000003oool0000004T0oooo00180?ooo`030000003oool0oooo0080
oooo00<000000?ooo`000000K`3oool2000001@0oooo00<000000?ooo`000000B03oool004P0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0000001^0?ooo`030000003oool0oooo01@0oooo
00<000000?ooo`000000B03oool004L0oooo00<000000?ooo`3oool00`3oool00`000000oooo0000
001/0?ooo`800000603oool00`000000oooo000000170?ooo`00A`3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0000006/0oooo00<000000?ooo`3oool0603oool00`000000oooo00000017
0?ooo`00AP3oool00`000000oooo0?ooo`040?ooo`030000003oool0000006T0oooo0P00000K0?oo
o`040000003oool0oooo000004H0oooo00160?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`000000J03oool00`000000oooo0?ooo`0L0?ooo`040000003oool0oooo000004D0oooo00150?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`000000IP3oool2000001l0oooo00@000000?oo
o`3oool00000A@3oool004D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0000001U0?oo
o`030000003oool0oooo0200oooo00@000000?ooo`3oool00000A03oool004@0oooo00<000000?oo
o`3oool01P3oool00`000000oooo0000001S0?ooo`8000008`3oool010000000oooo0?ooo`000014
0?ooo`00A03oool00`000000oooo0?ooo`060?ooo`030000003oool000000680oooo00<000000?oo
o`3oool0903oool010000000oooo0?ooo`0000130?ooo`00@`3oool00`000000oooo0?ooo`070?oo
o`030000003oool000000600oooo0P00000W0?ooo`050000003oool0oooo0?ooo`000000@P3oool0
04<0oooo00<000000?ooo`3oool01`3oool00`000000oooo0000001N0?ooo`800000:P3oool01000
0000oooo0?ooo`0000120?ooo`00@P3oool00`000000oooo0?ooo`080?ooo`030000003oool00000
05d0oooo00<000000?ooo`3oool0:P3oool01@000000oooo0?ooo`3oool000000440oooo00120?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`000000F`3oool2000002d0oooo00D000000?oo
o`3oool0oooo000000110?ooo`00@@3oool00`000000oooo0?ooo`080?ooo`040000003oool0oooo
000005X0oooo00<000000?ooo`3oool0;P3oool01@000000oooo0?ooo`3oool000000400oooo0011
0?ooo`030000003oool0oooo00P0oooo00@000000?ooo`3oool00000F03oool200000340oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`0m0?ooo`00@03oool00`000000oooo0?ooo`09
0?ooo`040000003oool0oooo000005L0oooo00<000000?ooo`3oool0<P3oool01@000000oooo0?oo
o`3oool0000003l0oooo00100?ooo`030000003oool0oooo00T0oooo00D000000?ooo`3oool0oooo
0000001D0?ooo`800000=@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo03`0oooo
000o0?ooo`030000003oool0oooo00X0oooo00D000000?ooo`3oool0oooo0000001C0?ooo`030000
003oool0oooo03H0oooo00D000000?ooo`3oool0oooo0000000n0?ooo`00?`3oool00`000000oooo
0?ooo`0:0?ooo`050000003oool0oooo0?ooo`000000D@3oool2000003T0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`0k0?ooo`00?P3oool00`000000oooo0?ooo`0;0?ooo`050000
003oool0oooo0?ooo`000000D03oool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool0>`3oool003h0oooo00<000000?ooo`3oool02`3oool01@000000oooo
0?ooo`3oool0000004h0oooo0P00000m0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool0>P3oool003d0oooo00<000000?ooo`3oool0303oool01@000000oooo0?ooo`3oool0000004d0
oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo03T0
oooo000m0?ooo`030000003oool0oooo00`0oooo00D000000?ooo`3oool0oooo0000001;0?ooo`80
0000@@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo03T0oooo000l0?ooo`030000
003oool0oooo00d0oooo00D000000?ooo`3oool0oooo0000001:0?ooo`030000003oool0oooo0440
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0h0?ooo`00?03oool00`000000oooo
0?ooo`0=0?ooo`050000003oool0oooo0?ooo`000000B03oool2000004D0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`0h0?ooo`00>`3oool00`000000oooo0?ooo`0>0?ooo`050000
003oool0oooo0?ooo`000000A`3oool00`000000oooo0?ooo`150?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool0=`3oool003/0oooo00<000000?ooo`3oool03P3oool01@000000oooo
0?ooo`3oool0000004D0oooo0P0000180?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0=P3oool003X0oooo00<000000?ooo`3oool03`3oool01@000000oooo0?ooo`3oool0000004@0
oooo00<000000?ooo`3oool0B@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo03H0
oooo000j0?ooo`030000003oool0oooo00l0oooo00D000000?ooo`3oool0oooo000000120?ooo`80
0000C03oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo03D0oooo000i0?ooo`030000
003oool0oooo00l0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0o0?ooo`030000
003oool0oooo04d0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0e0?ooo`00>@3o
ool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0?@3o
ool200000500oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0d0?ooo`00>03oool0
0`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0?03oool0
0`000000oooo0?ooo`1A0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0<`3oool0
03P0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
03X0oooo0P00001D0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0<`3oool003L0
oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo03T0
oooo00<000000?ooo`3oool0E03oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0380
oooo000g0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`0g0?ooo`800000F03oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0380oooo
000f0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`0e0?ooo`030000003oool0oooo05P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`0a0?ooo`00=P3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool0<`3oool2000005`0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0`
0?ooo`00=@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool0<P3oool00`000000oooo0?ooo`1L0?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0<03oool003D0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo0300oooo0P00001P0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0;`3oool003@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo02l0oooo00<000000?ooo`3oool0H03oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo02l0oooo000d0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`0]0?ooo`800000I03oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo02h0oooo000c0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`0/0?ooo`030000003oool0oooo06@0oooo00<000000?ooo`3oool01P3oool0
0`000000oooo0?ooo`0]0?ooo`00<`3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool0:P3oool2000006L0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`0]0?ooo`00<P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`1X0?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`3oool0;03oool00380oooo00<000000?ooo`3oool05P3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo02L0oooo0P00001[0?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool0;03oool00340oooo00<000000?ooo`3oool05P3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0K03oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo02/0oooo000a0?ooo`030000003oool0oooo01H0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`0T0?ooo`800000K`3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo02X0oooo000`0?ooo`030000003oool0oooo01L0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo0700oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`0Z0?ooo`00<03oool00`000000oooo0?ooo`0G0?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool08@3oool2000007<0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`0Y0?ooo`00;`3oool00`000000oooo0?ooo`0H0?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`1c0?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool0:@3oool002l0oooo00<000000?ooo`3oool0603o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo01h0oooo0P00001g0?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool0:03oool002h0oooo00<000000?ooo`3oool06@3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0M`3oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo02P0oooo000^0?ooo`030000003oool0oooo
01T0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0K0?ooo`800000N`3oool00`00
0000oooo0?ooo`070?ooo`030000003oool0oooo02L0oooo000]0?ooo`030000003oool0oooo01X0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0H0?ooo`800000O@3oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo02L0oooo000]0?ooo`030000003oool0oooo01X0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo07h0oooo
00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0V0?ooo`00;03oool00`000000oooo0?oo
o`0K0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool05@3oool200000840oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`0V0?ooo`00;03oool00`000000oooo0?ooo`0K
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`22
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool09@3oool002/0oooo00<000000?oo
o`3oool0703oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0180oooo0P0000250?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool09@3oool002/0oooo00<000000?ooo`3o
ool0703oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0140oooo00<000000?ooo`3o
ool0QP3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo02D0oooo000Z0?ooo`030000
003oool0oooo01d0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0?0?ooo`800000
R@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo02@0oooo000Z0?ooo`030000003o
ool0oooo01d0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0>0?ooo`030000003o
ool0oooo08X0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0T0?ooo`00:@3oool0
0`000000oooo0?ooo`0M0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0303oool2
000008d0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0S0?ooo`00:@3oool00`00
0000oooo0?ooo`0M0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool02`3oool00`00
0000oooo0?ooo`2>0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool08`3oool002P0
oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00T0
oooo0P00002B0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool08`3oool002P0oooo
00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00P0oooo
00<000000?ooo`3oool0TP3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0280oooo
000W0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`060?ooo`800000UP3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0280oooo000W
0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo09H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0Q
0?ooo`009P3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool00`3oool2000009X0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0Q0?oo
o`009P3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`2K0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0803oool002D0oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo00800000WP3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0200oooo
000U0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool01P3oool00`000000oooo0000
002Q0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0803oool002@0oooo00<00000
0?ooo`3oool08P3oool00`000000oooo0?ooo`060?ooo`800000XP3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo01l0oooo000T0?ooo`030000003oool0oooo0280oooo00<000000?oo
o`3oool01@3oool00`000000oooo0000002S0?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool07`3oool002<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`030?ooo`80
00000P3oool00`000000oooo0?ooo`2Q0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool07P3oool002<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool0XP3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo01h0oooo000R0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool00P00
00050?ooo`030000003oool0oooo0:<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`0N0?ooo`008P3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0000000L0oooo00<00000
0?ooo`3oool0X`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo01d0oooo000Q0?oo
o`030000003oool0oooo02@0oooo0`0000080?ooo`030000003oool0oooo0:@0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`0M0?ooo`008@3oool00`000000oooo0?ooo`0T0?ooo`03
0000003oool0oooo00P0oooo00<000000?ooo`3oool0Y03oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo01`0oooo000P0?ooo`030000003oool0oooo02<0oooo0`00000:0?ooo`030000
003oool0oooo0:D0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0L0?ooo`00803o
ool00`000000oooo0?ooo`0R0?ooo`040000003oool0oooo000000X0oooo00<000000?ooo`3oool0
YP3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01/0oooo000O0?ooo`030000003o
ool0oooo0240oooo0P0000030?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0YP3o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01/0oooo000O0?ooo`030000003oool0
oooo0200oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`080?ooo`030000003oool0
oooo0:L0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0K0?ooo`007P3oool00`00
0000oooo0?ooo`0O0?ooo`8000001P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo
0:L0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0J0?ooo`007P3oool00`000000
oooo0?ooo`0N0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0203oool00`000000
oooo0?ooo`2X0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool06P3oool001d0oooo
00<000000?ooo`3oool07@3oool2000000T0oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`2X0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool06@3oool001d0oooo00<0
00000?ooo`3oool0703oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool0Z@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo01T0oooo000L
0?ooo`030000003oool0oooo01/0oooo0P00000<0?ooo`030000003oool0oooo00P0oooo00<00000
0?ooo`3oool0ZP3oool01@000000oooo0?ooo`3oool0000001/0oooo000L0?ooo`030000003oool0
oooo01X0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`080?ooo`030000003oool0
oooo0:X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0H0?ooo`006`3oool00`00
0000oooo0?ooo`0I0?ooo`8000003`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo
0:/0oooo00D000000?ooo`3oool0oooo0000000J0?ooo`006`3oool00`000000oooo0?ooo`0H0?oo
o`030000003oool0oooo00l0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`2Z0?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool05`3oool001X0oooo00<000000?ooo`3o
ool05`3oool200000180oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`2[0?ooo`05
0000003oool0oooo0?ooo`0000006@3oool001X0oooo00<000000?ooo`3oool05P3oool00`000000
oooo0?ooo`0B0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0Z`3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo01H0oooo000I0?ooo`030000003oool0oooo01D0oooo
0P00000D0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0[03oool01@000000oooo
0?ooo`3oool0000001P0oooo000I0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0
503oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0:d0oooo00@000000?ooo`3oool0
0000603oool001P0oooo00<000000?ooo`3oool04`3oool2000001L0oooo00<000000?ooo`3oool0
2P3oool00`000000oooo0?ooo`2]0?ooo`050000003oool0oooo0?ooo`0000005`3oool001P0oooo
00<000000?ooo`3oool04@3oool2000001T0oooo00<000000?ooo`3oool02P3oool00`000000oooo
0?ooo`2^0?ooo`040000003oool0oooo000001L0oooo000G0?ooo`030000003oool0oooo0140oooo
00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0:h0oooo
00D000000?ooo`3oool0oooo0000000F0?ooo`005`3oool00`000000oooo0?ooo`0?0?ooo`800000
703oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0:l0oooo00@000000?ooo`3oool0
00005P3oool001H0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0L0?ooo`030000
003oool0oooo00X0oooo00<000000?ooo`3oool0/03oool00`000000oooo0000000F0?ooo`005P3o
ool00`000000oooo0?ooo`0=0?ooo`8000007`3oool00`000000oooo0?ooo`0:0?ooo`030000003o
ool0oooo0;00oooo00@000000?ooo`3oool000005@3oool001D0oooo00<000000?ooo`3oool03@3o
ool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0/@3o
ool00`000000oooo0000000E0?ooo`005@3oool00`000000oooo0?ooo`0;0?ooo`8000008P3oool0
0`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0;40oooo00@000000?ooo`3oool00000503o
ool001@0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool0/P3oool00`000000oooo0000000D0?ooo`00503oool00`00
0000oooo0?ooo`090?ooo`8000009@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
0;80oooo00@000000?ooo`3oool000004`3oool001<0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`0U0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0/`3oool00`00
0000oooo0000000C0?ooo`004`3oool00`000000oooo0?ooo`070?ooo`800000:03oool00`000000
oooo0?ooo`0:0?ooo`030000003oool0oooo0;@0oooo0P00000C0?ooo`004P3oool00`000000oooo
0?ooo`070?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3oool02P3oool00`000000oooo
0?ooo`2d0?ooo`030000003oool000000180oooo000B0?ooo`030000003oool0oooo00D0oooo0P00
000[0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0]03oool200000180oooo0003
0?ooo`800000303oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo02X0oooo00<00000
0?ooo`3oool0303oool00`000000oooo0?ooo`2_0?ooo`<000000P3oool00`000000oooo0000000A
0?ooo`000P3oool010000000oooo0?ooo`00000;0?ooo`030000003oool0oooo00<0oooo0P00000]
0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0[`3oool010000000oooo0?ooo`00
00020?ooo`8000004@3oool000@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`2_
0?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool03`3oool000D0oooo00<00000
0?ooo`3oool0203oool010000000oooo0?ooo`3oool200000300oooo00<000000?ooo`3oool0303o
ool00`000000oooo0?ooo`2_0?ooo`<00000103oool200000100oooo00020?ooo`040000003oool0
oooo000000T0oooo00D000000?ooo`3oool0oooo0000000b0?ooo`030000003oool0oooo00`0oooo
00<000000?ooo`3oool0/03oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00h0oooo
00030?ooo`8000001P3oool3000000030?ooo`000000oooo00800000<`3oool00`000000oooo0?oo
o`0<0?ooo`030000003oool0oooo0;00oooo0`0000040?ooo`@000003@3oool000X0oooo1@000000
0`3oool000000?ooo`0d0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0]`3oool5
000000`0oooo00090?ooo`L00000=P3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo
0;H0oooo1`00000;0?ooo`002@3oool7000003H0oooo00<000000?ooo`3oool0303oool00`000000
oooo0?ooo`2f0?ooo`L000002`3oool000T0oooo1`00000f0?ooo`030000003oool0oooo00`0oooo
00<000000?ooo`3oool0]P3oool7000000/0oooo000:0?ooo`P00000=03oool00`000000oooo0?oo
o`0<0?ooo`030000003oool0oooo0;H0oooo1P00000<0?ooo`002`3oool3000000<0oooo0`00000b
0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0]03oool2000000030?ooo`000000
0000008000003@3oool00180oooo00<000000?ooo`000000<@3oool00`000000oooo0?ooo`0<0?oo
o`030000003oool0oooo0;<0oooo00D000000?ooo`3oool0oooo0000000@0?ooo`004`3oool40000
02l0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`2a0?ooo`8000000`3oool00`00
0000oooo0?ooo`0?0?ooo`005@3oool010000000oooo00000000000]0?ooo`030000003oool0oooo
00`0oooo00<000000?ooo`3oool0/03oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
00l0oooo000F0?ooo`030000003oool0oooo00800000:`3oool00`000000oooo0?ooo`0<0?ooo`03
0000003oool0oooo0:h0oooo0P0000050?ooo`030000003oool0oooo0100oooo000G0?ooo`800000
0P3oool2000002T0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`2]0?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0403oool001T0oooo00D000000?ooo`3oool0oooo
0000000Y0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0Z`3oool2000000L0oooo
00<000000?ooo`3oool04@3oool001X0oooo00@000000?ooo`3oool0oooo0P00000W0?ooo`030000
003oool0oooo00X0oooo00<000000?ooo`3oool0Z`3oool00`000000oooo0?ooo`070?ooo`030000
003oool0oooo0140oooo000K0?ooo`8000000`3oool2000002D0oooo00<000000?ooo`3oool02P3o
ool00`000000oooo0?ooo`2Y0?ooo`8000002@3oool00`000000oooo0?ooo`0B0?ooo`007@3oool0
0`000000oooo0?ooo`020?ooo`8000008`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo0:P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0B0?ooo`007P3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool02P3oool00`00
0000oooo0?ooo`2V0?ooo`8000002`3oool00`000000oooo0?ooo`0C0?ooo`007`3oool00`000000
oooo0?ooo`030?ooo`800000803oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0:D0
oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0C0?ooo`00803oool2000000D0oooo
0P00000N0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0X`3oool2000000d0oooo
00<000000?ooo`3oool0503oool00280oooo00<000000?ooo`3oool0103oool2000001`0oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`2R0?ooo`030000003oool0oooo00d0oooo00<0
00000?ooo`3oool0503oool002<0oooo00<000000?ooo`3oool01@3oool2000001X0oooo00<00000
0?ooo`3oool02P3oool00`000000oooo0?ooo`2P0?ooo`8000003`3oool00`000000oooo0?ooo`0E
0?ooo`00903oool2000000L0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0:0?oo
o`030000003oool0oooo09l0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0E0?oo
o`009P3oool00`000000oooo0?ooo`050?ooo`8000005`3oool00`000000oooo0?ooo`0:0?ooo`03
0000003oool0oooo09d0oooo0P00000A0?ooo`030000003oool0oooo01H0oooo000W0?ooo`030000
003oool0oooo00H0oooo0P00000E0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0
W03oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo01H0oooo000X0?ooo`800000203o
ool2000001<0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`2J0?ooo`8000004`3o
ool00`000000oooo0?ooo`0G0?ooo`00:P3oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo0100oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`2H0?ooo`8000005@3oool0
0`000000oooo0?ooo`0G0?ooo`00:`3oool00`000000oooo0?ooo`070?ooo`800000403oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo09L0oooo00<000000?ooo`3oool0503oool00`00
0000oooo0?ooo`0H0?ooo`00;03oool00`000000oooo0?ooo`080?ooo`8000003P3oool00`000000
oooo0?ooo`0:0?ooo`030000003oool0oooo09D0oooo0P00000G0?ooo`030000003oool0oooo01P0
oooo000]0?ooo`8000002P3oool2000000d0oooo00<000000?ooo`3oool02@3oool00`000000oooo
0?ooo`2D0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool06@3oool002l0oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool0TP3oool2000001T0oooo00<000000?ooo`3oool06@3oool00300oooo00<00000
0?ooo`3oool02@3oool2000000X0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`2A
0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool06P3oool00340oooo0P00000;0?oo
o`800000203oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo0900oooo0P00000K0?oo
o`030000003oool0oooo01X0oooo000c0?ooo`030000003oool0oooo00X0oooo0P0000060?ooo`03
0000003oool0oooo00P0oooo00<000000?ooo`3oool0S`3oool00`000000oooo0?ooo`0J0?ooo`03
0000003oool0oooo01/0oooo000d0?ooo`030000003oool0oooo00/0oooo0P0000040?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool0S@3oool2000001d0oooo00<000000?ooo`3oool0
6`3oool003D0oooo0P00000=0?ooo`050000003oool0oooo0?ooo`0000002P3oool00`000000oooo
0?ooo`2<0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0703oool003L0oooo00<0
00000?ooo`3oool02`3oool2000000030?ooo`000000oooo00T0oooo00<000000?ooo`3oool0RP3o
ool2000001l0oooo00<000000?ooo`3oool0703oool003P0oooo00<000000?ooo`3oool0303oool2
000000X0oooo00<000000?ooo`3oool0R@3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0
oooo01d0oooo000i0?ooo`8000003@3oool3000000P0oooo00<000000?ooo`3oool0Q`3oool20000
0240oooo00<000000?ooo`3oool07@3oool003/0oooo00<000000?ooo`3oool02P3oool010000000
oooo0?ooo`0000070?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0803oool00`00
0000oooo0?ooo`0N0?ooo`00?03oool00`000000oooo0?ooo`090?ooo`040000003oool0oooo0?oo
o`8000001@3oool00`000000oooo0?ooo`240?ooo`8000008`3oool00`000000oooo0?ooo`0N0?oo
o`00?@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00<0oooo0P0000030?ooo`03
0000003oool0oooo08<0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0O0?ooo`00
?P3oool2000000P0oooo00<000000?ooo`3oool01@3oool2000000030?ooo`000000oooo0880oooo
0P00000U0?ooo`030000003oool0oooo01l0oooo00100?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool01`3oool200000880oooo00<000000?ooo`3oool0903oool00`000000oooo0?oo
o`0P0?ooo`00@@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo0P00001o
0?ooo`8000009`3oool00`000000oooo0?ooo`0P0?ooo`00@P3oool2000000D0oooo00<000000?oo
o`3oool01`3oool010000000oooo00000000001l0?ooo`030000003oool0oooo02H0oooo00<00000
0?ooo`3oool08@3oool004@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`070?oo
o`040000003oool0oooo0?ooo`800000N03oool2000002T0oooo00<000000?ooo`3oool08@3oool0
04D0oooo00D000000?ooo`3oool0oooo000000090?ooo`030000003oool0oooo00<0oooo0P00001e
0?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3oool08P3oool004H0oooo0P0000000`3o
ool000000?ooo`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0L03oool20000
02/0oooo00<000000?ooo`3oool08P3oool004P0oooo0P0000090?ooo`030000003oool0oooo00H0
oooo0P00001_0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool08`3oool004T0oooo
00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`080?ooo`800000J`3oool2000002d0oooo
00<000000?ooo`3oool08`3oool004T0oooo0`0000060?ooo`030000003oool0oooo00/0oooo0P00
001X0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool0903oool004T0oooo00@00000
0?ooo`3oool000001@3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo06<0oooo0P00
000_0?ooo`030000003oool0oooo02@0oooo00190?ooo`050000003oool0oooo0?ooo`000000103o
ool00`000000oooo0?ooo`0>0?ooo`800000HP3oool00`000000oooo0?ooo`0^0?ooo`030000003o
ool0oooo02D0oooo00190?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo0000
000B0?ooo`800000GP3oool200000340oooo00<000000?ooo`3oool09@3oool004T0oooo00<00000
0?ooo`3oool00`3oool2000000030?ooo`000000oooo01<0oooo0P00001K0?ooo`030000003oool0
oooo0300oooo00<000000?ooo`3oool09P3oool004T0oooo00<000000?ooo`3oool01@3oool20000
01H0oooo0P00001G0?ooo`800000<`3oool00`000000oooo0?ooo`0V0?ooo`00B@3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0D`3oool00`000000
oooo0?ooo`0b0?ooo`030000003oool0oooo02L0oooo00190?ooo`030000003oool0oooo00H0oooo
0`00000G0?ooo`800000D@3oool2000003D0oooo00<000000?ooo`3oool09`3oool004T0oooo00<0
00000?ooo`3oool01P3oool010000000oooo0?ooo`00000H0?ooo`800000CP3oool00`000000oooo
0?ooo`0d0?ooo`030000003oool0oooo02P0oooo00190?ooo`030000003oool0oooo00H0oooo00D0
00000?ooo`3oool0oooo0000000I0?ooo`800000BP3oool2000003L0oooo00<000000?ooo`3oool0
:03oool004X0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`020?ooo`8000006@3o
ool00`000000oooo0?ooo`160?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool0:@3o
ool004X0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo01L0oooo00<000000?ooo`3oool0@`3oool2000003T0oooo00<000000?ooo`3oool0:@3oool0
04X0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
01L0oooo0P0000120?ooo`030000003oool0oooo03P0oooo00<000000?ooo`3oool0:P3oool004X0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo01P0
oooo00<000000?ooo`3oool0?@3oool2000003/0oooo00<000000?ooo`3oool0:P3oool004X0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`8000006@3oool00`000000oooo
0?ooo`0k0?ooo`030000003oool0oooo03X0oooo00<000000?ooo`3oool0:`3oool004X0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo01L0oooo0P00
000i0?ooo`800000?@3oool00`000000oooo0?ooo`0[0?ooo`00BP3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0e
0?ooo`030000003oool0oooo03`0oooo00<000000?ooo`3oool0;03oool004X0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`0;0?ooo`8000006@3oool00`000000oooo0?ooo`0b0?oo
o`800000?`3oool00`000000oooo0?ooo`0/0?ooo`00BP3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00h0oooo00<000000?ooo`3oool05`3oool200000300oooo0P0000100?ooo`03
0000003oool0oooo02d0oooo001:0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
3`3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool0
@03oool00`000000oooo0?ooo`0]0?ooo`00BP3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo0100oooo0P00000I0?ooo`030000003oool0oooo02T0oooo0P0000120?ooo`030000003o
ool0oooo02h0oooo001:0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool04P3oool0
0`000000oooo0?ooo`0G0?ooo`800000:03oool00`000000oooo0?ooo`120?ooo`030000003oool0
oooo02h0oooo001:0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool04`3oool00`00
0000oooo0?ooo`0H0?ooo`030000003oool0oooo02<0oooo0P0000140?ooo`030000003oool0oooo
02l0oooo001:0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0503oool2000001T0
oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`140?ooo`030000003oool0oooo02l0
oooo001:0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool05P3oool00`000000oooo
0?ooo`0G0?ooo`030000003oool0oooo01h0oooo0P0000160?ooo`030000003oool0oooo0300oooo
001:0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?oo
o`0G0?ooo`8000007@3oool00`000000oooo0?ooo`160?ooo`030000003oool0oooo0300oooo001;
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0603oool2000001T0oooo00<00000
0?ooo`3oool0603oool2000004P0oooo00<000000?ooo`3oool0<@3oool004/0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`0J0?ooo`800000603oool00`000000oooo0?ooo`0F0?oo
o`030000003oool0oooo04P0oooo00<000000?ooo`3oool0<@3oool004/0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`0L0?ooo`8000005`3oool2000001@0oooo0P00001:0?ooo`03
0000003oool0oooo0380oooo001;0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
7P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0
BP3oool00`000000oooo0?ooo`0b0?ooo`00B`3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo01l0oooo0P00000G0?ooo`030000003oool0oooo00d0oooo0P00001<0?ooo`030000003o
ool0oooo03<0oooo001;0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool08@3oool2
000001H0oooo0P00000<0?ooo`030000003oool0oooo04`0oooo00<000000?ooo`3oool0<`3oool0
04/0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0S0?ooo`8000005P3oool00`00
0000oooo0?ooo`070?ooo`800000CP3oool00`000000oooo0?ooo`0d0?ooo`00B`3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo02D0oooo0P00000E0?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool0CP3oool00`000000oooo0?ooo`0d0?ooo`00B`3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo02L0oooo00<000000?ooo`3oool04`3oool00`000000oooo
0?ooo`020?ooo`800000D03oool00`000000oooo0?ooo`0e0?ooo`00B`3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo02P0oooo0P00000D0?ooo`80000000<0oooo0000003oool0D@3o
ool00`000000oooo0?ooo`0e0?ooo`00B`3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo02/0oooo0P00000C0?ooo`800000DP3oool00`000000oooo0?ooo`0f0?ooo`00B`3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo02d0oooo0P00000@0?ooo`040000003oool0oooo
00000540oooo00<000000?ooo`3oool0=P3oool004/0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`0_0?ooo`030000003oool0oooo00/0oooo0P0000040?ooo`800000CP3oool00`00
0000oooo0?ooo`0g0?ooo`00B`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0300
oooo0P00000:0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0B`3oool00`000000
oooo0?ooo`0g0?ooo`00B`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0380oooo
0P0000060?ooo`8000002P3oool00`000000oooo0?ooo`190?ooo`030000003oool0oooo03P0oooo
001;0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0=03oool2000000<0oooo00<0
00000?ooo`3oool02`3oool2000004T0oooo00<000000?ooo`3oool0>03oool004`0oooo00D00000
0?ooo`3oool0oooo0000000h0?ooo`<00000403oool00`000000oooo0?ooo`150?ooo`030000003o
ool0oooo03T0oooo001<0?ooo`050000003oool0oooo0?ooo`000000>03oool00`000000oooo0000
000A0?ooo`030000003oool0oooo04@0oooo00<000000?ooo`3oool0>@3oool004`0oooo00D00000
0?ooo`3oool0oooo0000000f0?ooo`8000000`3oool200000100oooo0P0000130?ooo`030000003o
ool0oooo03X0oooo001<0?ooo`050000003oool0oooo0?ooo`000000=@3oool00`000000oooo0?oo
o`050?ooo`800000403oool00`000000oooo0?ooo`100?ooo`030000003oool0oooo03X0oooo001<
0?ooo`050000003oool0oooo0?ooo`000000<`3oool2000000X0oooo0P00000?0?ooo`030000003o
ool0oooo03h0oooo00<000000?ooo`3oool0>`3oool004`0oooo00D000000?ooo`3oool0oooo0000
000b0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?oo
o`0m0?ooo`030000003oool0oooo03/0oooo001<0?ooo`050000003oool0oooo0?ooo`000000<03o
ool200000100oooo0P00000>0?ooo`800000?03oool00`000000oooo0?ooo`0l0?ooo`00C03oool0
1@000000oooo0?ooo`3oool0000002l0oooo00<000000?ooo`3oool04P3oool2000000h0oooo00<0
00000?ooo`3oool0>@3oool00`000000oooo0?ooo`0l0?ooo`00C03oool01@000000oooo0?ooo`3o
ool0000002d0oooo0P00000G0?ooo`8000003@3oool00`000000oooo0?ooo`0g0?ooo`030000003o
ool0oooo03d0oooo001<0?ooo`050000003oool0oooo0?ooo`000000;03oool00`000000oooo0?oo
o`0I0?ooo`030000003oool0oooo00/0oooo0P00000g0?ooo`030000003oool0oooo03d0oooo001<
0?ooo`050000003oool0oooo0?ooo`000000:P3oool2000001d0oooo0P00000=0?ooo`030000003o
ool0oooo03<0oooo00<000000?ooo`3oool0?P3oool004`0oooo00D000000?ooo`3oool0oooo0000
000Y0?ooo`030000003oool0oooo01l0oooo0P00000<0?ooo`030000003oool0oooo0380oooo00<0
00000?ooo`3oool0?P3oool004`0oooo00D000000?ooo`3oool0oooo0000000W0?ooo`800000903o
ool2000000/0oooo0P00000a0?ooo`030000003oool0oooo03l0oooo001<0?ooo`040000003oool0
oooo000002L0oooo00<000000?ooo`3oool09P3oool2000000/0oooo00<000000?ooo`3oool0;P3o
ool00`000000oooo0?ooo`0o0?ooo`00C03oool010000000oooo0?ooo`00000U0?ooo`800000:`3o
ool00`000000oooo0?ooo`090?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool0@03o
ool004`0oooo00@000000?ooo`3oool00000903oool00`000000oooo0?ooo`0/0?ooo`8000002P3o
ool2000002`0oooo00<000000?ooo`3oool0@03oool004d0oooo00<000000?ooo`0000008P3oool2
00000340oooo0P00000:0?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3oool0@@3oool0
04d0oooo00<000000?ooo`0000008@3oool00`000000oooo0?ooo`0c0?ooo`8000002@3oool00`00
0000oooo0?ooo`0W0?ooo`030000003oool0oooo0440oooo001=0?ooo`030000003oool0000001l0
oooo0P00000h0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool09@3oool00`000000
oooo0?ooo`120?ooo`00C@3oool00`000000oooo0000000M0?ooo`800000>`3oool2000000P0oooo
0P00000U0?ooo`030000003oool0oooo0480oooo001=0?ooo`030000003oool0000001`0oooo00<0
00000?ooo`3oool0?@3oool2000000P0oooo00<000000?ooo`3oool08@3oool00`000000oooo0?oo
o`130?ooo`00C@3oool00`000000oooo0000000J0?ooo`800000@P3oool2000000L0oooo00<00000
0?ooo`3oool0803oool00`000000oooo0?ooo`130?ooo`00C@3oool00`000000oooo0000000I0?oo
o`030000003oool0oooo04@0oooo00<000000?ooo`3oool01@3oool2000001l0oooo00<000000?oo
o`3oool0A03oool004d0oooo00<000000?ooo`0000005`3oool2000004P0oooo0P0000070?ooo`03
0000003oool0oooo01`0oooo00<000000?ooo`3oool0A03oool004d0oooo00<000000?ooo`000000
5P3oool00`000000oooo0?ooo`1:0?ooo`8000001P3oool00`000000oooo0?ooo`0J0?ooo`030000
003oool0oooo04D0oooo001=0?ooo`030000003oool0000001@0oooo0P00001?0?ooo`8000001@3o
ool2000001X0oooo00<000000?ooo`3oool0A@3oool004d0oooo00<000000?ooo`0000004`3oool0
0`000000oooo0?ooo`1A0?ooo`8000001@3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0
oooo04H0oooo001=0?ooo`030000003oool000000140oooo0P00001F0?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`160?ooo`00C@3oool00`000000
oooo0000000@0?ooo`030000003oool0oooo05L0oooo0P0000040?ooo`030000003oool0oooo01<0
oooo00<000000?ooo`3oool0A`3oool004d0oooo00<000000?ooo`0000003P3oool2000005`0oooo
0P0000030?ooo`8000004`3oool00`000000oooo0?ooo`170?ooo`00C@3oool00`000000oooo0000
000=0?ooo`030000003oool0oooo05h0oooo0P0000030?ooo`030000003oool0oooo00l0oooo00<0
00000?ooo`3oool0B03oool004d0oooo0P00000<0?ooo`800000H`3oool01@000000oooo0?ooo`3o
ool000000100oooo00<000000?ooo`3oool0B03oool004<0oooo100000070?ooo`030000003oool0
oooo00T0oooo00<000000?ooo`3oool0I03oool200000080oooo1@00000:0?ooo`030000003oool0
oooo04T0oooo00130?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01`3oool20000
06T0oooo0P0000020?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0B@3oool004@0
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo06/0
oooo1000000:0?ooo`030000003oool0oooo04X0oooo00150?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool0103oool200000700oooo100000080?ooo`030000003oool0oooo04X0oooo
00130?ooo`040000003oool0oooo000000L0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`1`0?ooo`050000003oool000000?ooo`0000001P3oool00`000000oooo0?ooo`1;0?ooo`00
A03oool2000000L0oooo0`0000020?ooo`800000LP3oool200000080oooo0`0000020?ooo`@00000
C@3oool004`0oooo1P00001j0?ooo`L00000C@3oool004/0oooo1`00001k0?ooo`L00000C03oool0
04/0ooooR@00001<0?ooo`00B`3oool7000007/0oooo1`00001<0?ooo`00C03oool5000007d0oooo
1@00001=0?ooo`00C@3oool3000007l0oooo0`00001>0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?oo
o`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?oo
o`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-0.0500054, 0.0169824, \
0.00383279, 0.00336597}}],

Cell[BoxData[
    \({{{1, 2}, {1, 2}, {1, 3}, {1, 6}, {2, 4}, {2, 6}, {3, 4}, {3, 4}, {3, 
          5}, {4, 5}, {5, 6}, {5, 6}}, {{1, 2}, {1, 3}, {1, 3}, {1, 6}, {2, 
          4}, {2, 4}, {2, 6}, {3, 4}, {3, 5}, {4, 5}, {5, 6}, {5, 
          6}}}\)], "Output"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" fPrimeGraph ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["tests if a corresponding alternating ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" of a graph given by a list of unordered pairs is a  prime or \
composite alternating ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[". The output is 1 for prime, and 0 for composite ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[".",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(G = {{1, 2}, {1, 13}, {1, 14}, {1, 15}, {2, 3}, {2, 14}, {2, 15}, {3, 
            4}, {3, 14}, {3, 15}, {4, 5}, {4, 14}, {4, 15}, {5, 6}, {5, 
            6}, {5, 8}, {6, 7}, {6, 7}, {7, 8}, {7, 11}, {8, 9}, {8, 9}, {9, 
            10}, {9, 12}, {10, 11}, {10, 11}, {10, 12}, {11, 13}, {12, 
            13}, {12, 13}};\)\), "\[IndentingNewLine]", 
    \(fPrimeGraph[G]\)}], "Input"],

Cell[BoxData[
    \(0\)], "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Planar embedding",
  FontSize->18,
  FontWeight->"Bold",
  FontColor->RGBColor[0.500008, 0, 0]]], "Section",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fPlanarEmbKL ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["calculates the planar embedding of a prime ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL ",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["given by Conway symbol,  Dowker code, or P-data. An output is the \
list that consists of the graph of input ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[",  its planar embedding given by vertex cycles, and faces of \
planar embedded graph. As the basis of this program it is used the external \
program \"",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["planarity.exe",
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["\" written by J.M.Boyer.",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<6*-2.3 0.2 1\>";\)\), "\[IndentingNewLine]", 
    \(fPlanarEmbKL[K]\)}], "Input"],

Cell[BoxData[
    \({{{1, 2}, {1, 2}, {1, 8}, {1, 9}, {2, 3}, {2, 5}, {3, 4}, {3, 4}, {3, 
          10}, {4, 5}, {4, 10}, {5, 6}, {5, 6}, {6, 7}, {6, 7}, {7, 8}, {7, 
          11}, {8, 9}, {8, 11}, {9, 10}, {9, 11}, {10, 11}}, {{1, 9, 2, 
          8}, {2, 1, 3, 5}, {3, 10, 4, 2}, {4, 5, 3, 10}, {5, 2, 4, 6}, {6, 
          5, 7}, {7, 6, 11, 8}, {8, 1, 7, 11, 9}, {9, 8, 11, 10, 1}, {10, 9, 
          11, 4, 3}, {11, 8, 7, 10, 9}}, {{1, 2, 5, 6, 7, 8}, {1, 8, 9}, {1, 
          9, 10, 3, 2}, {2, 3, 4, 5}, {3, 10, 4}, {4, 10, 11, 7, 6, 5}, {7, 
          11, 8}, {8, 11, 9}, {9, 11, 10}}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{11}, {\(-16\), 12, 18, 20, \(-22\), 4, \(-10\), 8, \(-2\), 
            6, \(-14\)}};\)\), "\[IndentingNewLine]", 
    \(fPlanarEmbKL[DD]\)}], "Input"],

Cell[BoxData[
    \({{{1, 2}, {1, 2}, {1, 8}, {1, 9}, {2, 3}, {2, 5}, {3, 4}, {3, 4}, {3, 
          10}, {4, 5}, {4, 10}, {5, 6}, {5, 6}, {6, 7}, {6, 7}, {7, 8}, {7, 
          11}, {8, 9}, {8, 11}, {9, 10}, {9, 11}, {10, 11}}, {{1, 9, 2, 
          8}, {2, 1, 3, 5}, {3, 10, 4, 2}, {4, 5, 3, 10}, {5, 2, 4, 6}, {6, 
          5, 7}, {7, 6, 11, 8}, {8, 1, 7, 11, 9}, {9, 8, 11, 10, 1}, {10, 9, 
          11, 4, 3}, {11, 8, 7, 10, 9}}, {{1, 2, 5, 6, 7, 8}, {1, 8, 9}, {1, 
          9, 10, 3, 2}, {2, 3, 4, 5}, {3, 10, 4}, {4, 10, 11, 7, 6, 5}, {7, 
          11, 8}, {8, 11, 9}, {9, 11, 10}}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata = {{11}, {17, \(-12\), \(-18\), \(-20\), 22, \(-4\), 
            10, \(-8\), 1, \(-6\), 14}};\)\), "\[IndentingNewLine]", 
    \(fPlanarEmbKL[pdata]\)}], "Input"],

Cell[BoxData[
    \({{{1, 2}, {1, 2}, {1, 8}, {1, 9}, {2, 3}, {2, 5}, {3, 4}, {3, 4}, {3, 
          10}, {4, 5}, {4, 10}, {5, 6}, {5, 6}, {6, 7}, {6, 7}, {7, 8}, {7, 
          11}, {8, 9}, {8, 11}, {9, 10}, {9, 11}, {10, 11}}, {{1, 9, 2, 
          8}, {2, 1, 3, 5}, {3, 10, 4, 2}, {4, 5, 3, 10}, {5, 2, 4, 6}, {6, 
          5, 7}, {7, 6, 11, 8}, {8, 1, 7, 11, 9}, {9, 8, 11, 10, 1}, {10, 9, 
          11, 4, 3}, {11, 8, 7, 10, 9}}, {{1, 2, 5, 6, 7, 8}, {1, 8, 9}, {1, 
          9, 10, 3, 2}, {2, 3, 4, 5}, {3, 10, 4}, {4, 10, 11, 7, 6, 5}, {7, 
          11, 8}, {8, 11, 9}, {9, 11, 10}}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fPlanarEmbGraph",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["gives the planar embedding of a 3-connected planar graph given by \
a list of unordered pairs. An output is the list that consists of the graph \
given by a list of unordered pairs, its planar embedding given by vertex \
cycles, and faces of planar embedded graph. As the basis of this program it \
is used the external program \"",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["planarity.exe",
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["\" written by J.M.Boyer.",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(G = {{1, 2}, {1, 3}, {1, 4}, {1, 5}, {2, 3}, {2, 4}, {2, 6}, {3, 
            5}, {3, 6}, {4, 5}, {4, 6}, {5, 6}};\)\), "\[IndentingNewLine]", 
    \(fPlanarEmbGraph[G]\)}], "Input"],

Cell[BoxData[
    \({{{1, 2}, {1, 3}, {1, 4}, {1, 5}, {2, 3}, {2, 4}, {2, 6}, {3, 5}, {3, 
          6}, {4, 5}, {4, 6}, {5, 6}}, {{1, 5, 3, 2, 4}, {2, 1, 3, 6, 4}, {3, 
          1, 5, 6, 2}, {4, 1, 2, 6, 5}, {5, 4, 6, 3, 1}, {6, 4, 2, 3, 
          5}}, {{1, 2, 4}, {1, 3, 2}, {1, 4, 5}, {1, 5, 3}, {2, 3, 6}, {2, 6, 
          4}, {3, 5, 6}, {4, 6, 5}}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" DrawPlanarEmbKL",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["draws the planar embedding of a prime alternating ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" given by Conway symbol, Dowker code, or P-data, without showing \
digonal faces. As the basis of this program it is used the program \"",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["3-Dimensional Convex Drawings of 3-Connected Planar Graphs",
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["\" by M.Ochiai, N.Imafuji and N.Morimura.  ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text",
  FontFamily->"Arial",
  FontVariations->{"CompatibilityType"->0}],

Cell[CellGroupData[{

Cell[BoxData[{
    StyleBox[\(K = "\<2,3,4+1\>";\),
      FontFamily->"Courier New",
      FontWeight->"Bold"], "\[IndentingNewLine]", 
    StyleBox[\(DrawPlanarEmbKL[K]\),
      FontFamily->"Courier New",
      FontWeight->"Bold"]}], "Input",
  FontFamily->"Arial",
  FontWeight->"Plain",
  FontVariations->{"CompatibilityType"->0}],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0459853 0.919705 0.0118122 0.941131 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 g
.025 w
.5 .95294 Mdot
.13591 .77352 Mdot
.04599 .37036 Mdot
.29794 .04706 Mdot
.70206 .04706 Mdot
.95401 .37036 Mdot
.86409 .77352 Mdot
.67529 .531 Mdot
.63479 .34938 Mdot
.52701 .4701 Mdot
.5 Mabswid
[ ] 0 setdash
.5 .95294 m
.13591 .77352 L
s
.5 .95294 m
.86409 .77352 L
s
.5 .95294 m
.52701 .4701 L
s
.13591 .77352 m
.5 .95294 L
s
.13591 .77352 m
.04599 .37036 L
s
.04599 .37036 m
.13591 .77352 L
s
.04599 .37036 m
.29794 .04706 L
s
.29794 .04706 m
.04599 .37036 L
s
.29794 .04706 m
.70206 .04706 L
s
.29794 .04706 m
.52701 .4701 L
s
.70206 .04706 m
.29794 .04706 L
s
.70206 .04706 m
.95401 .37036 L
s
.70206 .04706 m
.63479 .34938 L
s
.95401 .37036 m
.70206 .04706 L
s
.95401 .37036 m
.86409 .77352 L
s
.86409 .77352 m
.5 .95294 L
s
.86409 .77352 m
.95401 .37036 L
s
.86409 .77352 m
.67529 .531 L
s
.67529 .531 m
.86409 .77352 L
s
.67529 .531 m
.63479 .34938 L
s
.67529 .531 m
.52701 .4701 L
s
.63479 .34938 m
.70206 .04706 L
s
.63479 .34938 m
.67529 .531 L
s
.63479 .34938 m
.52701 .4701 L
s
.52701 .4701 m
.5 .95294 L
s
.52701 .4701 m
.29794 .04706 L
s
.52701 .4701 m
.67529 .531 L
s
.52701 .4701 m
.63479 .34938 L
s
.5 .95294 m
.13591 .77352 L
s
.5 .95294 m
.86409 .77352 L
s
.5 .95294 m
.52701 .4701 L
s
.13591 .77352 m
.5 .95294 L
s
.13591 .77352 m
.04599 .37036 L
s
.04599 .37036 m
.13591 .77352 L
s
.04599 .37036 m
.29794 .04706 L
s
.29794 .04706 m
.04599 .37036 L
s
.29794 .04706 m
.70206 .04706 L
s
.29794 .04706 m
.52701 .4701 L
s
.70206 .04706 m
.29794 .04706 L
s
.70206 .04706 m
.95401 .37036 L
s
.70206 .04706 m
.63479 .34938 L
s
.95401 .37036 m
.70206 .04706 L
s
.95401 .37036 m
.86409 .77352 L
s
.86409 .77352 m
.5 .95294 L
s
.86409 .77352 m
.95401 .37036 L
s
.86409 .77352 m
.67529 .531 L
s
.67529 .531 m
.86409 .77352 L
s
.67529 .531 m
.63479 .34938 L
s
.67529 .531 m
.52701 .4701 L
s
.63479 .34938 m
.70206 .04706 L
s
.63479 .34938 m
.67529 .531 L
s
.63479 .34938 m
.52701 .4701 L
s
.52701 .4701 m
.5 .95294 L
s
.52701 .4701 m
.29794 .04706 L
s
.52701 .4701 m
.67529 .531 L
s
.52701 .4701 m
.63479 .34938 L
s
[(1)] .47241 .92471 0 1 Mshowa
[(2)] .10832 .74529 0 1 Mshowa
[(3)] .01839 .34213 0 1 Mshowa
[(4)] .27035 .01882 0 1 Mshowa
[(5)] .67446 .01882 0 1 Mshowa
[(6)] .92642 .34213 0 1 Mshowa
[(7)] .8365 .74529 0 1 Mshowa
[(8)] .6477 .50277 0 1 Mshowa
[(9)] .60719 .32115 0 1 Mshowa
[(10)] .49941 .44186 0 1 Mshowa
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3ooolQ
0?ooo`00B`3oool010000000oooo0?ooo`00001a0?ooo`800000GP3oool004`0oooo00<000000?oo
o`000000L@3oool00`000000oooo0?ooo`1M0?ooo`00C@3oool200000740oooo0`00001M0?ooo`00
o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00
o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00E03oool300000740oooo0`00001E0?ooo`00D`3oool50000
06l0oooo1@00001D0?ooo`00DP3oool7000006d0oooo1`00001C0?ooo`00DP3ooomk000005<0oooo
001B0?ooo`L00000K@3oool7000005<0oooo001C0?ooo`D00000K`3oool5000005@0oooo001C0?oo
o`D00000L03oool4000005@0oooo001B0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool0KP3oool01@000000oooo0?ooo`3oool0000005<0oooo001A0?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0K@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0500
oooo001@0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0K@3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo04l0oooo001@0?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool0J`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo04l0oooo001?
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0J`3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo04h0oooo001>0?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool0JP3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo04d0oooo001=0?ooo`03
0000003oool0oooo00X0oooo00<000000?ooo`3oool0JP3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo04`0oooo001<0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0
J@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo04/0oooo001<0?ooo`030000003o
ool0oooo00d0oooo00<000000?ooo`3oool0I`3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo04/0oooo001;0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0I`3oool0
0`000000oooo0?ooo`0:0?ooo`030000003oool0oooo04X0oooo001:0?ooo`030000003oool0oooo
0100oooo00<000000?ooo`3oool0IP3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
04T0oooo00190?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0IP3oool00`000000
oooo0?ooo`0<0?ooo`030000003oool0oooo04P0oooo00190?ooo`030000003oool0oooo0180oooo
00<000000?ooo`3oool0I@3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo04P0oooo
00180?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0I03oool00`000000oooo0?oo
o`0>0?ooo`030000003oool0oooo04L0oooo00170?ooo`030000003oool0oooo01D0oooo00<00000
0?ooo`3oool0H`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo04H0oooo00160?oo
o`030000003oool0oooo01H0oooo00<000000?ooo`3oool0H`3oool00`000000oooo0?ooo`0@0?oo
o`030000003oool0oooo04D0oooo00160?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3o
ool0HP3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo04D0oooo00150?ooo`030000
003oool0oooo01P0oooo00<000000?ooo`3oool0H@3oool00`000000oooo0?ooo`0B0?ooo`030000
003oool0oooo04@0oooo00140?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0H03o
ool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo04<0oooo00130?ooo`030000003oool0
oooo01`0oooo00<000000?ooo`3oool0G`3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0
oooo0480oooo00120?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0G`3oool00`00
0000oooo0?ooo`0E0?ooo`030000003oool0oooo0440oooo00120?ooo`030000003oool0oooo01h0
oooo00<000000?ooo`3oool0GP3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo0440
oooo00110?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0G@3oool00`000000oooo
0?ooo`0G0?ooo`030000003oool0oooo0400oooo00100?ooo`030000003oool0oooo0240oooo00<0
00000?ooo`3oool0G03oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo03l0oooo000o
0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0G03oool00`000000oooo0?ooo`0I
0?ooo`030000003oool0oooo03h0oooo000o0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool0F`3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo03h0oooo000n0?ooo`03
0000003oool0oooo02@0oooo00<000000?ooo`3oool0FP3oool00`000000oooo0?ooo`0K0?ooo`03
0000003oool0oooo03d0oooo000m0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0
F@3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo03`0oooo000l0?ooo`030000003o
ool0oooo02L0oooo00<000000?ooo`3oool0F@3oool00`000000oooo0?ooo`0M0?ooo`030000003o
ool0oooo03/0oooo000k0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool0F03oool0
0`000000oooo0?ooo`0N0?ooo`030000003oool0oooo03X0oooo000k0?ooo`030000003oool0oooo
02X0oooo00<000000?ooo`3oool0E`3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo
03X0oooo000j0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0EP3oool00`000000
oooo0?ooo`0P0?ooo`030000003oool0oooo03T0oooo000i0?ooo`030000003oool0oooo02d0oooo
00<000000?ooo`3oool0E@3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo03P0oooo
000h0?ooo`030000003oool0oooo02h0oooo00<000000?ooo`3oool0E@3oool00`000000oooo0?oo
o`0R0?ooo`030000003oool0oooo03L0oooo000h0?ooo`030000003oool0oooo02l0oooo00<00000
0?ooo`3oool0E03oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo03L0oooo000g0?oo
o`030000003oool0oooo0300oooo00<000000?ooo`3oool0D`3oool00`000000oooo0?ooo`0T0?oo
o`030000003oool0oooo03H0oooo000f0?ooo`030000003oool0oooo0380oooo00<000000?ooo`3o
ool0DP3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo03D0oooo000e0?ooo`030000
003oool0oooo03<0oooo00<000000?ooo`3oool0DP3oool00`000000oooo0?ooo`0V0?ooo`030000
003oool0oooo03@0oooo000d0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool0D@3o
ool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo03<0oooo000d0?ooo`030000003oool0
oooo03D0oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0
oooo03<0oooo000c0?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3oool0C`3oool00`00
0000oooo0?ooo`0Y0?ooo`030000003oool0oooo0380oooo000b0?ooo`030000003oool0oooo03T0
oooo00<000000?ooo`3oool0CP3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo0340
oooo000a0?ooo`030000003oool0oooo03X0oooo00<000000?ooo`3oool0CP3oool00`000000oooo
0?ooo`0[0?ooo`030000003oool0oooo0300oooo000a0?ooo`030000003oool0oooo03/0oooo00<0
00000?ooo`3oool0C@3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo0300oooo000`
0?ooo`030000003oool0oooo03`0oooo00<000000?ooo`3oool0C@3oool00`000000oooo0?ooo`0/
0?ooo`030000003oool0oooo02l0oooo000_0?ooo`030000003oool0oooo03h0oooo00<000000?oo
o`3oool0B`3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo02h0oooo000^0?ooo`03
0000003oool0oooo03l0oooo00<000000?ooo`3oool0B`3oool00`000000oooo0?ooo`0_0?ooo`03
0000003oool0oooo02d0oooo000^0?ooo`030000003oool0oooo0400oooo00<000000?ooo`3oool0
BP3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo02d0oooo000]0?ooo`030000003o
ool0oooo0440oooo00<000000?ooo`3oool0BP3oool00`000000oooo0?ooo`0`0?ooo`030000003o
ool0oooo02`0oooo000/0?ooo`030000003oool0oooo04<0oooo00<000000?ooo`3oool0B03oool0
0`000000oooo0?ooo`0b0?ooo`030000003oool0oooo02/0oooo000[0?ooo`030000003oool0oooo
04@0oooo00<000000?ooo`3oool0B03oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo
02X0oooo000Z0?ooo`030000003oool0oooo04H0oooo00<000000?ooo`3oool0A`3oool00`000000
oooo0?ooo`0d0?ooo`030000003oool0oooo02T0oooo000Z0?ooo`030000003oool0oooo04L0oooo
00<000000?ooo`3oool0AP3oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo02T0oooo
000Y0?ooo`030000003oool0oooo04P0oooo00<000000?ooo`3oool0AP3oool00`000000oooo0?oo
o`0e0?ooo`030000003oool0oooo02P0oooo000X0?ooo`030000003oool0oooo04X0oooo00<00000
0?ooo`3oool0A03oool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo02L0oooo000W0?oo
o`030000003oool0oooo04/0oooo00<000000?ooo`3oool0A03oool00`000000oooo0?ooo`0h0?oo
o`030000003oool0oooo02H0oooo000W0?ooo`030000003oool0oooo04`0oooo00<000000?ooo`3o
ool0@`3oool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo02H0oooo000V0?ooo`030000
003oool0oooo04d0oooo00<000000?ooo`3oool0@`3oool00`000000oooo0?ooo`0i0?ooo`030000
003oool0oooo02D0oooo000U0?ooo`030000003oool0oooo04l0oooo00<000000?ooo`3oool0@@3o
ool00`000000oooo0?ooo`0k0?ooo`030000003oool0oooo02@0oooo000T0?ooo`030000003oool0
oooo0500oooo00<000000?ooo`3oool0@@3oool00`000000oooo0?ooo`0l0?ooo`030000003oool0
oooo02<0oooo000S0?ooo`030000003oool0oooo0580oooo00<000000?ooo`3oool0@03oool00`00
0000oooo0?ooo`0m0?ooo`030000003oool0oooo0280oooo000S0?ooo`030000003oool0oooo0580
oooo00<000000?ooo`3oool0@03oool00`000000oooo0?ooo`0m0?ooo`030000003oool0oooo0280
oooo000R0?ooo`030000003oool0oooo05@0oooo00<000000?ooo`3oool0?`3oool00`000000oooo
0?ooo`0n0?ooo`030000003oool0oooo0240oooo000Q0?ooo`030000003oool0oooo05H0oooo00<0
00000?ooo`3oool0?@3oool00`000000oooo0?ooo`100?ooo`030000003oool0oooo0200oooo000P
0?ooo`030000003oool0oooo05L0oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?ooo`11
0?ooo`030000003oool0oooo01l0oooo000P0?ooo`030000003oool0oooo05P0oooo00<000000?oo
o`3oool0?03oool00`000000oooo0?ooo`110?ooo`030000003oool0oooo01l0oooo000O0?ooo`03
0000003oool0oooo05T0oooo00<000000?ooo`3oool0?03oool00`000000oooo0?ooo`120?ooo`03
0000003oool0oooo01h0oooo000N0?ooo`030000003oool0oooo05/0oooo00<000000?ooo`3oool0
;@3oool3000000X0oooo00<000000?ooo`3oool0A03oool00`000000oooo0?ooo`0M0?ooo`007@3o
ool00`000000oooo0?ooo`1L0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool0203o
ool00`000000oooo0?ooo`150?ooo`030000003oool0oooo01`0oooo000L0?ooo`030000003oool0
oooo05h0oooo00<000000?ooo`3oool0;@3oool3000000T0oooo00<000000?ooo`3oool0AP3oool0
0`000000oooo0?ooo`0K0?ooo`00703oool00`000000oooo0?ooo`1N0?ooo`030000003oool0oooo
02`0oooo00@000000?ooo`3oool000002@3oool00`000000oooo0?ooo`160?ooo`030000003oool0
oooo01/0oooo000K0?ooo`030000003oool0oooo0600oooo00<000000?ooo`3oool0:`3oool01000
0000oooo0?ooo`0000090?ooo`030000003oool0oooo04L0oooo00<000000?ooo`3oool06P3oool0
01X0oooo00<000000?ooo`3oool0H@3oool00`000000oooo0?ooo`0/0?ooo`<00000203oool00`00
0000oooo0?ooo`190?ooo`030000003oool0oooo01T0oooo00040?ooo`8000004`3oool00`000000
oooo0?ooo`1S0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool0BP3oool00`000000
oooo00000002000001H0oooo00030?ooo`040000003oool0oooo00000180oooo00<000000?ooo`3o
ool0I03oool00`000000oooo0?ooo`0e0?ooo`030000003oool0oooo04X0oooo00<000000?ooo`00
00000P3oool00`000000oooo0?ooo`0C0?ooo`001@3oool00`000000oooo0?ooo`0@0?ooo`030000
003oool0oooo06D0oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`1;0?ooo`800000
0P3oool00`000000oooo0?ooo`0C0?ooo`001P3oool00`000000oooo0?ooo`0>0?ooo`030000003o
ool0oooo06L0oooo00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`1<0?ooo`<000005P3o
ool000<0oooo00@000000?ooo`3oool000003`3oool00`000000oooo0?ooo`1X0?ooo`030000003o
ool0oooo03<0oooo00<000000?ooo`3oool0CP3oool00`000000oooo0?ooo`0E0?ooo`00103oool2
00000100oooo00<000000?ooo`3oool0J@3oool00`000000oooo0?ooo`0b0?ooo`030000003oool0
oooo04h0oooo0`00000E0?ooo`005@3oool00`000000oooo0?ooo`1Z0?ooo`030000003oool0oooo
0380oooo00<000000?ooo`3oool0C`3oool00`000000oooo0?ooo`0D0?ooo`00503oool00`000000
oooo0?ooo`1/0?ooo`030000003oool0oooo02l0oooo0`00001B0?ooo`030000003oool0oooo01<0
oooo000C0?ooo`030000003oool0oooo06d0oooo00<000000?ooo`3oool0;P3oool500000580oooo
00<000000?ooo`3oool04P3oool00180oooo00<000000?ooo`3oool0K`3oool00`000000oooo0?oo
o`0/0?ooo`L00000DP3oool00`000000oooo0?ooo`0A0?ooo`004P3oool00`000000oooo0?ooo`1_
0?ooo`030000003oool0oooo02`0oooo1`00001B0?ooo`030000003oool0oooo0140oooo000A0?oo
o`030000003oool0oooo0740oooo00<000000?ooo`3oool0:`3oool7000005<0oooo00<000000?oo
o`3oool0403oool00100oooo00<000000?ooo`3oool0L`3oool00`000000oooo0?ooo`0[0?ooo`D0
0000E@3oool00`000000oooo0?ooo`0?0?ooo`00303oool4000007H0oooo00<000000?ooo`3oool0
:P3oool00`000000oooo00000002000005L0oooo1000000=0?ooo`002`3oool5000007L0oooo00<0
00000?ooo`3oool0:03oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo05D0oooo1@00
000<0?ooo`002P3oool7000007H0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo05@0oooo1`00000;0?ooo`002P3oool7000007L0oooo00<000000?oo
o`3oool09P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo05@0oooo1`00000;0?oo
o`002P3oool7000007L0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo05@0oooo1`00000;0?ooo`002`3oool5000007T0oooo00<000000?ooo`3oool0
8`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo05@0oooo1@00000<0?ooo`00303o
ool3000007X0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo05D0oooo0`00000=0?ooo`003P3oool00`000000oooo0?ooo`1i0?ooo`030000003oool0
oooo0200oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`1E0?ooo`030000003oool0
oooo00d0oooo000>0?ooo`030000003oool0oooo07T0oooo00<000000?ooo`3oool07`3oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo05D0oooo00<000000?ooo`3oool03@3oool000h0
oooo00<000000?ooo`3oool0NP3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo00/0
oooo00<000000?ooo`3oool0E03oool00`000000oooo0?ooo`0=0?ooo`003`3oool00`000000oooo
0?ooo`1j0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool0303oool00`000000oooo
0?ooo`1C0?ooo`030000003oool0oooo00h0oooo000?0?ooo`030000003oool0oooo07X0oooo00<0
00000?ooo`3oool06P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo05<0oooo00<0
00000?ooo`3oool03P3oool000l0oooo00<000000?ooo`3oool0N`3oool00`000000oooo0?ooo`0H
0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0D`3oool00`000000oooo0?ooo`0>
0?ooo`003`3oool00`000000oooo0?ooo`1k0?ooo`030000003oool0oooo01L0oooo00<000000?oo
o`3oool03`3oool00`000000oooo0?ooo`1C0?ooo`030000003oool0oooo00h0oooo000?0?ooo`03
0000003oool0oooo07`0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0A0?ooo`03
0000003oool0oooo0580oooo00<000000?ooo`3oool03P3oool00100oooo00<000000?ooo`3oool0
M`3oool500000080oooo0P00000C0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0
D@3oool00`000000oooo0?ooo`0?0?ooo`00403oool00`000000oooo0?ooo`1i0?ooo`030000003o
ool0oooo008000000P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0180oooo00<0
00000?ooo`3oool0D@3oool00`000000oooo0?ooo`0?0?ooo`00403oool00`000000oooo0?ooo`1i
0?ooo`030000003oool0oooo008000000P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0
oooo01<0oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`0?0?ooo`00403oool00`00
0000oooo0?ooo`1i0?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`0=
0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`0?
0?ooo`004@3oool00`000000oooo0?ooo`1h0?ooo`050000003oool0oooo0?ooo`0000000P3oool0
0`000000oooo0?ooo`0<0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0C`3oool0
0`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`1g0?ooo`800000103oool20000
00h0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`1?0?ooo`030000003oool0oooo
0100oooo000A0?ooo`030000003oool0oooo07h0oooo00<000000?ooo`3oool02`3oool00`000000
oooo0?ooo`0H0?ooo`030000003oool0oooo04l0oooo00<000000?ooo`3oool0403oool00140oooo
00<000000?ooo`3oool0OP3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo01T0oooo
00<000000?ooo`3oool0C`3oool00`000000oooo0?ooo`0@0?ooo`004P3oool00`000000oooo0?oo
o`1n0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?oo
o`1>0?ooo`030000003oool0oooo0140oooo000B0?ooo`030000003oool0oooo07h0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo04d0oooo00<00000
0?ooo`3oool04@3oool00180oooo00<000000?ooo`3oool0O`3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo01d0oooo00<000000?ooo`3oool0C@3oool00`000000oooo0?ooo`0A0?oo
o`004P3oool00`000000oooo0?ooo`1o0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool07@3oool00`000000oooo0?ooo`1=0?ooo`030000003oool0oooo0140oooo000B0?ooo`030000
003oool0oooo0800oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0N0?ooo`030000
003oool0oooo04d0oooo00<000000?ooo`3oool04@3oool001<0oooo00<000000?ooo`3oool0O`3o
ool4000000030?ooo`000000oooo0240oooo00<000000?ooo`3oool0B`3oool00`000000oooo0?oo
o`0B0?ooo`004`3oool00`000000oooo0?ooo`1o0?ooo`D000008`3oool00`000000oooo0?ooo`1;
0?ooo`030000003oool0oooo0180oooo000C0?ooo`030000003oool0oooo07h0oooo1`00000R0?oo
o`030000003oool0oooo04/0oooo00<000000?ooo`3oool04P3oool001<0oooo00<000000?ooo`3o
ool0OP3oool700000280oooo00<000000?ooo`3oool0B`3oool00`000000oooo0?ooo`0B0?ooo`00
503oool00`000000oooo0?ooo`1m0?ooo`L000008P3oool00`000000oooo0?ooo`1:0?ooo`030000
003oool0oooo01<0oooo000D0?ooo`030000003oool0oooo07h0oooo1@0000000`3oool000000000
000K0?ooo`800000103oool00`000000oooo0?ooo`190?ooo`030000003oool0oooo01<0oooo000D
0?ooo`030000003oool0oooo07l0oooo0`0000040?ooo`<000005`3oool010000000oooo0?ooo`00
00030?ooo`030000003oool0oooo04T0oooo00<000000?ooo`3oool04`3oool001@0oooo00<00000
0?ooo`3oool0P03oool00`000000oooo0?ooo`060?ooo`8000005@3oool010000000oooo0?ooo`00
00030?ooo`030000003oool0oooo04T0oooo00<000000?ooo`3oool04`3oool001@0oooo00<00000
0?ooo`3oool0P03oool00`000000oooo0?ooo`080?ooo`800000503oool2000000@0oooo00<00000
0?ooo`3oool0B@3oool00`000000oooo0?ooo`0C0?ooo`005@3oool00`000000oooo0?ooo`1o0?oo
o`030000003oool0oooo00X0oooo0`00000@0?ooo`040000003oool0oooo000000<0oooo00<00000
0?ooo`3oool0B03oool00`000000oooo0?ooo`0D0?ooo`005@3oool00`000000oooo0?ooo`1o0?oo
o`030000003oool0oooo00d0oooo0P00000?0?ooo`8000001@3oool00`000000oooo0?ooo`170?oo
o`030000003oool0oooo01@0oooo000E0?ooo`030000003oool0oooo07l0oooo00<000000?ooo`3o
ool03`3oool2000001@0oooo00<000000?ooo`3oool0A`3oool00`000000oooo0?ooo`0D0?ooo`00
5@3oool00`000000oooo0?ooo`1n0?ooo`030000003oool0oooo0180oooo0`00000A0?ooo`030000
003oool0oooo04L0oooo00<000000?ooo`3oool0503oool001H0oooo00<000000?ooo`3oool0O@3o
ool00`000000oooo0?ooo`0E0?ooo`8000003`3oool00`000000oooo0?ooo`160?ooo`030000003o
ool0oooo01D0oooo000F0?ooo`030000003oool0oooo07d0oooo00<000000?ooo`3oool05`3oool2
000000h0oooo00<000000?ooo`3oool0A@3oool00`000000oooo0?ooo`0E0?ooo`005P3oool00`00
0000oooo0?ooo`1m0?ooo`030000003oool0oooo01T0oooo0`00000;0?ooo`030000003oool0oooo
04D0oooo00<000000?ooo`3oool05@3oool001H0oooo00<000000?ooo`3oool0O@3oool00`000000
oooo0?ooo`0L0?ooo`8000002@3oool00`000000oooo0?ooo`150?ooo`030000003oool0oooo01D0
oooo000F0?ooo`030000003oool0oooo07d0oooo00<000000?ooo`3oool07P3oool2000000L0oooo
00<000000?ooo`3oool0A@3oool00`000000oooo0?ooo`0E0?ooo`005`3oool00`000000oooo0?oo
o`1l0?ooo`030000003oool0oooo0200oooo0`0000040?ooo`<00000A03oool00`000000oooo0?oo
o`0F0?ooo`005`3oool00`000000oooo0?ooo`1l0?ooo`030000003oool0oooo02<0oooo0P000000
0`3oool0000000000003000004<0oooo00<000000?ooo`3oool05P3oool001L0oooo00<000000?oo
o`3oool0O03oool00`000000oooo0?ooo`0U0?ooo`L00000@P3oool00`000000oooo0?ooo`0F0?oo
o`005`3oool00`000000oooo0?ooo`1l0?ooo`030000003oool0oooo02D0oooo1`0000120?ooo`03
0000003oool0oooo01H0oooo000H0?ooo`030000003oool0oooo07/0oooo00<000000?ooo`3oool0
9@3oool700000440oooo00<000000?ooo`3oool05`3oool001P0oooo00<000000?ooo`3oool0N`3o
ool00`000000oooo0?ooo`0V0?ooo`D00000@P3oool00`000000oooo0?ooo`0G0?ooo`00603oool0
0`000000oooo0?ooo`1k0?ooo`030000003oool0oooo02L0oooo100000120?ooo`030000003oool0
oooo01L0oooo000H0?ooo`030000003oool0oooo07/0oooo00<000000?ooo`3oool0:`3oool00`00
0000oooo0?ooo`0o0?ooo`030000003oool0oooo01L0oooo000I0?ooo`030000003oool0oooo07X0
oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`0m0?ooo`030000003oool0oooo01P0
oooo000I0?ooo`030000003oool0oooo07X0oooo00<000000?ooo`3oool0;@3oool00`000000oooo
0?ooo`0l0?ooo`030000003oool0oooo01P0oooo000I0?ooo`030000003oool0oooo07X0oooo00<0
00000?ooo`3oool0;@3oool00`000000oooo0?ooo`0l0?ooo`030000003oool0oooo01P0oooo000I
0?ooo`030000003oool0oooo07X0oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`0k
0?ooo`030000003oool0oooo01P0oooo000I0?ooo`030000003oool0oooo07T0oooo00<000000?oo
o`3oool0<03oool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo01P0oooo000J0?ooo`03
0000003oool0oooo07P0oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`0h0?ooo`03
0000003oool0oooo01T0oooo000J0?ooo`030000003oool0oooo07P0oooo00<000000?ooo`3oool0
<P3oool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo01T0oooo000J0?ooo`030000003o
ool0oooo07P0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0g0?ooo`030000003o
ool0oooo01T0oooo000J0?ooo`030000003oool0oooo07P0oooo00<000000?ooo`3oool0<`3oool0
0`000000oooo0?ooo`0f0?ooo`030000003oool0oooo01T0oooo000K0?ooo`030000003oool0oooo
07L0oooo00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo
01X0oooo000K0?ooo`030000003oool0oooo07L0oooo00<000000?ooo`3oool0=@3oool00`000000
oooo0?ooo`0c0?ooo`030000003oool0oooo01X0oooo000K0?ooo`030000003oool0oooo07L0oooo
00<000000?ooo`3oool0=P3oool00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo01X0oooo
000K0?ooo`030000003oool0oooo07L0oooo00<000000?ooo`3oool0=P3oool00`000000oooo0?oo
o`0b0?ooo`030000003oool0oooo01X0oooo000K0?ooo`030000003oool0oooo07L0oooo00<00000
0?ooo`3oool0=`3oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo01X0oooo000L0?oo
o`030000003oool0oooo07H0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`0_0?oo
o`030000003oool0oooo01/0oooo000L0?ooo`030000003oool0oooo07H0oooo00<000000?ooo`3o
ool0>@3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo01/0oooo000L0?ooo`030000
003oool0oooo07H0oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?ooo`0^0?ooo`030000
003oool0oooo01/0oooo000L0?ooo`030000003oool0oooo07H0oooo00<000000?ooo`3oool0>P3o
ool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo01/0oooo000M0?ooo`030000003oool0
oooo07D0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0
oooo01`0oooo000M0?ooo`030000003oool0oooo07D0oooo00<000000?ooo`3oool0?03oool00`00
0000oooo0?ooo`0Z0?ooo`030000003oool0oooo01`0oooo000M0?ooo`030000003oool0oooo07D0
oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo01`0
oooo000M0?ooo`030000003oool0oooo07@0oooo00<000000?ooo`3oool0?P3oool00`000000oooo
0?ooo`0Y0?ooo`030000003oool0oooo01`0oooo000N0?ooo`030000003oool0oooo07<0oooo00<0
00000?ooo`3oool0?`3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo01d0oooo000N
0?ooo`030000003oool0oooo07<0oooo00<000000?ooo`3oool0@03oool00`000000oooo0?ooo`0V
0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo07<0oooo00<000000?oo
o`3oool0@@3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo01d0oooo000N0?ooo`03
0000003oool0oooo07<0oooo00<000000?ooo`3oool0@@3oool00`000000oooo0?ooo`0U0?ooo`03
0000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo07<0oooo00<000000?ooo`3oool0
@P3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo01d0oooo000O0?ooo`030000003o
ool0oooo0780oooo00<000000?ooo`3oool0@`3oool00`000000oooo0?ooo`0R0?ooo`030000003o
ool0oooo01h0oooo000O0?ooo`030000003oool0oooo0780oooo00<000000?ooo`3oool0A03oool0
0`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo01h0oooo000O0?ooo`030000003oool0oooo
0780oooo00<000000?ooo`3oool0A@3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo
01h0oooo000O0?ooo`030000003oool0oooo0780oooo00<000000?ooo`3oool0A@3oool00`000000
oooo0?ooo`0P0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo0740oooo
00<000000?ooo`3oool0AP3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo01l0oooo
000P0?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0A`3oool00`000000oooo0?oo
o`0M0?ooo`030000003oool0oooo01l0oooo000P0?ooo`030000003oool0oooo0740oooo00<00000
0?ooo`3oool0B03oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo01l0oooo000P0?oo
o`030000003oool0oooo0740oooo00<000000?ooo`3oool0B@3oool00`000000oooo0?ooo`0K0?oo
o`030000003oool0oooo01l0oooo000P0?ooo`030000003oool0oooo0740oooo00<000000?ooo`3o
ool0B@3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo01l0oooo000Q0?ooo`030000
003oool0oooo0700oooo00<000000?ooo`3oool0BP3oool00`000000oooo0?ooo`0I0?ooo`030000
003oool0oooo0200oooo000Q0?ooo`030000003oool0oooo0700oooo00<000000?ooo`3oool0B`3o
ool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo0200oooo000Q0?ooo`030000003oool0
oooo06l0oooo00<000000?ooo`3oool0C@3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0
oooo0200oooo000Q0?ooo`030000003oool0oooo06l0oooo00<000000?ooo`3oool0C@3oool00`00
0000oooo0?ooo`0G0?ooo`030000003oool0oooo0200oooo000R0?ooo`030000003oool0oooo06h0
oooo00<000000?ooo`3oool0CP3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo0240
oooo000R0?ooo`030000003oool0oooo06h0oooo00<000000?ooo`3oool0C`3oool00`000000oooo
0?ooo`0D0?ooo`030000003oool0oooo0240oooo000R0?ooo`030000003oool0oooo06h0oooo00<0
00000?ooo`3oool0D03oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0240oooo000R
0?ooo`030000003oool0oooo06h0oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`0B
0?ooo`030000003oool0oooo0240oooo000R0?ooo`030000003oool0oooo06h0oooo00<000000?oo
o`3oool0D@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo0240oooo000S0?ooo`03
0000003oool0oooo06d0oooo00<000000?ooo`3oool0DP3oool00`000000oooo0?ooo`0@0?ooo`03
0000003oool0oooo0280oooo000S0?ooo`030000003oool0oooo06d0oooo00<000000?ooo`3oool0
D`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0280oooo000S0?ooo`030000003o
ool0oooo06d0oooo00<000000?ooo`3oool0E03oool00`000000oooo0?ooo`0>0?ooo`030000003o
ool0oooo0280oooo000M0?ooo`@000000P3oool00`000000oooo0?ooo`1]0?ooo`030000003oool0
oooo05@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`080?ooo`030000003oool0
oooo0280oooo000M0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0K03oool00`00
0000oooo0?ooo`1E0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`0S0?ooo`007P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo06`0
oooo00<000000?ooo`3oool0EP3oool01@000000oooo0?ooo`3oool0000000T0oooo00<000000?oo
o`3oool08`3oool001l0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`1/0?ooo`03
0000003oool0oooo05L0oooo00D000000?ooo`3oool0oooo000000080?ooo`030000003oool0oooo
02<0oooo000M0?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool0K03oool00`00
0000oooo0?ooo`1H0?ooo`040000003oool0oooo000000P0oooo00<000000?ooo`3oool08`3oool0
01h0oooo0P0000050?ooo`030000003oool0oooo06/0oooo00<000000?ooo`3oool0F03oool40000
00L0oooo00<000000?ooo`3oool0903oool002D0oooo00<000000?ooo`3oool0J`3oool00`000000
oooo0?ooo`1I0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0903oool002D0oooo
00<000000?ooo`3oool0J`3oool00`000000oooo0?ooo`1J0?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool0903oool002D0oooo00<000000?ooo`3oool0JP3oool00`000000oooo0?oo
o`1L0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0903oool002D0oooo00<00000
0?ooo`3oool0JP3oool00`000000oooo0?ooo`1M0?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0903oool002H0oooo00<000000?ooo`3oool0J@3oool00`000000oooo0?ooo`1M0?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool09@3oool002H0oooo00<000000?ooo`3o
ool0J@3oool00`000000oooo0?ooo`1N0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool09@3oool002H0oooo00<000000?ooo`3oool0J@3oool00`000000oooo0?ooo`1O0?ooo`050000
003oool0oooo0?ooo`0000009`3oool002H0oooo00<000000?ooo`3oool0J@3oool00`000000oooo
0?ooo`1P0?ooo`040000003oool0oooo000002L0oooo000U0?ooo`<00000JP3oool00`000000oooo
0?ooo`1P0?ooo`@000009`3oool002@0oooo1@00001Y0?ooo`030000003oool0oooo0600oooo1@00
000V0?ooo`008`3oool7000006P0oooo00<000000?ooo`3oool0G`3oool7000002D0oooo000S0?oo
o`L00000J03oool00`000000oooo0?ooo`1O0?ooo`L000009@3oool002<0oooo2@00001V0?ooo`03
0000003oool0oooo05h0oooo2000000U0?ooo`00903oool5000000<0oooo0P00001T0?ooo`030000
003oool0oooo05`0oooo0P0000020?ooo`D000009P3oool002D0oooo0`0000060?ooo`800000HP3o
ool00`000000oooo0?ooo`1J0?ooo`8000001@3oool3000002L0oooo000`0?ooo`800000H03oool0
0`000000oooo0?ooo`1H0?ooo`800000<@3oool00380oooo0P00001N0?ooo`030000003oool0oooo
05H0oooo0P00000c0?ooo`00=03oool2000005`0oooo00<000000?ooo`3oool0E03oool2000003D0
oooo000f0?ooo`800000FP3oool00`000000oooo0?ooo`1B0?ooo`800000=`3oool003P0oooo0P00
001G0?ooo`030000003oool0oooo0540oooo0P00000i0?ooo`00>P3oool2000005D0oooo00<00000
0?ooo`3oool0C`3oool2000003/0oooo000l0?ooo`800000D`3oool00`000000oooo0?ooo`1=0?oo
o`800000?@3oool003h0oooo0P00001A0?ooo`030000003oool0oooo04/0oooo0P00000o0?ooo`00
@03oool2000004l0oooo00<000000?ooo`3oool0B@3oool200000440oooo00120?ooo`800000C@3o
ool00`000000oooo0?ooo`170?ooo`800000@`3oool004@0oooo0P00001;0?ooo`030000003oool0
oooo04D0oooo0P0000150?ooo`00AP3oool2000004T0oooo00<000000?ooo`3oool0@`3oool20000
04L0oooo00180?ooo`800000A`3oool00`000000oooo0?ooo`110?ooo`800000B@3oool004X0oooo
0P0000150?ooo`030000003oool0oooo03l0oooo0P00001;0?ooo`00C03oool2000004<0oooo00<0
00000?ooo`3oool0?@3oool2000004d0oooo001>0?ooo`800000@@3oool00`000000oooo0?ooo`0k
0?ooo`800000C`3oool00500oooo0P00000o0?ooo`030000003oool0oooo03T0oooo0P00001A0?oo
o`00DP3oool2000003d0oooo00<000000?ooo`3oool0=`3oool2000005<0oooo001D0?ooo`800000
>`3oool00`000000oooo0?ooo`0e0?ooo`800000E@3oool005H0oooo0P00000i0?ooo`030000003o
ool0oooo03<0oooo0P00001G0?ooo`00F03oool2000003L0oooo00<000000?ooo`3oool0<@3oool2
000005T0oooo001J0?ooo`800000=03oool00`000000oooo0?ooo`0`0?ooo`800000F`3oool005`0
oooo0P00000b0?ooo`030000003oool0oooo02h0oooo0P00001M0?ooo`00GP3oool200000300oooo
00<000000?ooo`3oool0;03oool2000005l0oooo001P0?ooo`800000;P3oool00`000000oooo0?oo
o`0Z0?ooo`800000H@3oool00680oooo0P00000/0?ooo`030000003oool0oooo02P0oooo0P00001S
0?ooo`00I03oool2000002X0oooo00<000000?ooo`3oool09P3oool2000006D0oooo001V0?ooo`80
0000:03oool00`000000oooo0?ooo`0T0?ooo`800000I`3oool006P0oooo0P00000V0?ooo`030000
003oool0oooo0280oooo0P00001Y0?ooo`00JP3oool2000002@0oooo00<000000?ooo`3oool0803o
ool2000006/0oooo001/0?ooo`8000008P3oool00`000000oooo0?ooo`0N0?ooo`800000K@3oool0
06h0oooo0P00000E0?ooo`D000001P3oool00`000000oooo0?ooo`0L0?ooo`800000K`3oool00700
oooo0P00000E0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool06P3oool200000740
oooo001b0?ooo`8000004`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo01P0oooo
0P00001c0?ooo`00M03oool200000140oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`0F0?ooo`800000M@3oool007H0oooo0P00000?0?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool0503oool2000007L0oooo001h0?ooo`800000303oool2000000P0oooo00<000000?oo
o`3oool04P3oool2000007T0oooo001j0?ooo`800000503oool00`000000oooo0?ooo`0@0?ooo`80
0000N`3oool007`0oooo0P00000B0?ooo`030000003oool0oooo00h0oooo0P00001m0?ooo`00OP3o
ool2000000l0oooo00<000000?ooo`3oool03@3oool2000007l0oooo00200?ooo`8000003@3oool0
0`000000oooo0?ooo`0;0?ooo`800000P@3oool00880oooo0P00000;0?ooo`030000003oool0oooo
00T0oooo0P0000230?ooo`00Q03oool2000000T0oooo00<000000?ooo`3oool01`3oool2000008D0
oooo00260?ooo`8000001`3oool00`000000oooo0?ooo`050?ooo`800000Q`3oool008P0oooo0P00
00040?ooo`<00000103oool2000008T0oooo002:0?ooo`80000000<0oooo0000000000000`000000
0`3oool000000000002;0?ooo`00S03oool7000008d0oooo002<0?ooo`L00000S@3oool008`0oooo
1`00002=0?ooo`00S@3oool5000008h0oooo002>0?ooo`<00000S`3oool00?l0oooo8@3oool00?l0
oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0
oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00001\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-0.0500055, -0.0125564, \
0.00378856, 0.00370231}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{4, 
            6}, {\(-20\), \(-8\), \(-14\), \(-16\), \(-2\), \(-18\), \(-4\), \
\(-6\), \(-10\), \(-12\)}};\)\), "\[IndentingNewLine]", 
    \(DrawPlanarEmbKL[DD]\)}], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0459853 0.919705 0.0118122 0.941131 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 g
.025 w
.5 .95294 Mdot
.13591 .77352 Mdot
.04599 .37036 Mdot
.29794 .04706 Mdot
.70206 .04706 Mdot
.95401 .37036 Mdot
.86409 .77352 Mdot
.67529 .531 Mdot
.63479 .34938 Mdot
.52701 .4701 Mdot
.5 Mabswid
[ ] 0 setdash
.5 .95294 m
.13591 .77352 L
s
.5 .95294 m
.86409 .77352 L
s
.5 .95294 m
.52701 .4701 L
s
.13591 .77352 m
.5 .95294 L
s
.13591 .77352 m
.04599 .37036 L
s
.04599 .37036 m
.13591 .77352 L
s
.04599 .37036 m
.29794 .04706 L
s
.29794 .04706 m
.04599 .37036 L
s
.29794 .04706 m
.70206 .04706 L
s
.29794 .04706 m
.52701 .4701 L
s
.70206 .04706 m
.29794 .04706 L
s
.70206 .04706 m
.95401 .37036 L
s
.70206 .04706 m
.63479 .34938 L
s
.95401 .37036 m
.70206 .04706 L
s
.95401 .37036 m
.86409 .77352 L
s
.86409 .77352 m
.5 .95294 L
s
.86409 .77352 m
.95401 .37036 L
s
.86409 .77352 m
.67529 .531 L
s
.67529 .531 m
.86409 .77352 L
s
.67529 .531 m
.63479 .34938 L
s
.67529 .531 m
.52701 .4701 L
s
.63479 .34938 m
.70206 .04706 L
s
.63479 .34938 m
.67529 .531 L
s
.63479 .34938 m
.52701 .4701 L
s
.52701 .4701 m
.5 .95294 L
s
.52701 .4701 m
.29794 .04706 L
s
.52701 .4701 m
.67529 .531 L
s
.52701 .4701 m
.63479 .34938 L
s
.5 .95294 m
.13591 .77352 L
s
.5 .95294 m
.86409 .77352 L
s
.5 .95294 m
.52701 .4701 L
s
.13591 .77352 m
.5 .95294 L
s
.13591 .77352 m
.04599 .37036 L
s
.04599 .37036 m
.13591 .77352 L
s
.04599 .37036 m
.29794 .04706 L
s
.29794 .04706 m
.04599 .37036 L
s
.29794 .04706 m
.70206 .04706 L
s
.29794 .04706 m
.52701 .4701 L
s
.70206 .04706 m
.29794 .04706 L
s
.70206 .04706 m
.95401 .37036 L
s
.70206 .04706 m
.63479 .34938 L
s
.95401 .37036 m
.70206 .04706 L
s
.95401 .37036 m
.86409 .77352 L
s
.86409 .77352 m
.5 .95294 L
s
.86409 .77352 m
.95401 .37036 L
s
.86409 .77352 m
.67529 .531 L
s
.67529 .531 m
.86409 .77352 L
s
.67529 .531 m
.63479 .34938 L
s
.67529 .531 m
.52701 .4701 L
s
.63479 .34938 m
.70206 .04706 L
s
.63479 .34938 m
.67529 .531 L
s
.63479 .34938 m
.52701 .4701 L
s
.52701 .4701 m
.5 .95294 L
s
.52701 .4701 m
.29794 .04706 L
s
.52701 .4701 m
.67529 .531 L
s
.52701 .4701 m
.63479 .34938 L
s
[(1)] .47241 .92471 0 1 Mshowa
[(2)] .10832 .74529 0 1 Mshowa
[(3)] .01839 .34213 0 1 Mshowa
[(4)] .27035 .01882 0 1 Mshowa
[(5)] .67446 .01882 0 1 Mshowa
[(6)] .92642 .34213 0 1 Mshowa
[(7)] .8365 .74529 0 1 Mshowa
[(8)] .6477 .50277 0 1 Mshowa
[(9)] .60719 .32115 0 1 Mshowa
[(10)] .49941 .44186 0 1 Mshowa
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3ooolQ
0?ooo`00B`3oool010000000oooo0?ooo`00001a0?ooo`800000GP3oool004`0oooo00<000000?oo
o`000000L@3oool00`000000oooo0?ooo`1M0?ooo`00C@3oool200000740oooo0`00001M0?ooo`00
o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00
o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00E03oool300000740oooo0`00001E0?ooo`00D`3oool50000
06l0oooo1@00001D0?ooo`00DP3oool7000006d0oooo1`00001C0?ooo`00DP3ooomk000005<0oooo
001B0?ooo`L00000K@3oool7000005<0oooo001C0?ooo`D00000K`3oool5000005@0oooo001C0?oo
o`D00000L03oool4000005@0oooo001B0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool0KP3oool01@000000oooo0?ooo`3oool0000005<0oooo001A0?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0K@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0500
oooo001@0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0K@3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo04l0oooo001@0?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool0J`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo04l0oooo001?
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0J`3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo04h0oooo001>0?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool0JP3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo04d0oooo001=0?ooo`03
0000003oool0oooo00X0oooo00<000000?ooo`3oool0JP3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo04`0oooo001<0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0
J@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo04/0oooo001<0?ooo`030000003o
ool0oooo00d0oooo00<000000?ooo`3oool0I`3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo04/0oooo001;0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0I`3oool0
0`000000oooo0?ooo`0:0?ooo`030000003oool0oooo04X0oooo001:0?ooo`030000003oool0oooo
0100oooo00<000000?ooo`3oool0IP3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
04T0oooo00190?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0IP3oool00`000000
oooo0?ooo`0<0?ooo`030000003oool0oooo04P0oooo00190?ooo`030000003oool0oooo0180oooo
00<000000?ooo`3oool0I@3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo04P0oooo
00180?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0I03oool00`000000oooo0?oo
o`0>0?ooo`030000003oool0oooo04L0oooo00170?ooo`030000003oool0oooo01D0oooo00<00000
0?ooo`3oool0H`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo04H0oooo00160?oo
o`030000003oool0oooo01H0oooo00<000000?ooo`3oool0H`3oool00`000000oooo0?ooo`0@0?oo
o`030000003oool0oooo04D0oooo00160?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3o
ool0HP3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo04D0oooo00150?ooo`030000
003oool0oooo01P0oooo00<000000?ooo`3oool0H@3oool00`000000oooo0?ooo`0B0?ooo`030000
003oool0oooo04@0oooo00140?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0H03o
ool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo04<0oooo00130?ooo`030000003oool0
oooo01`0oooo00<000000?ooo`3oool0G`3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0
oooo0480oooo00120?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0G`3oool00`00
0000oooo0?ooo`0E0?ooo`030000003oool0oooo0440oooo00120?ooo`030000003oool0oooo01h0
oooo00<000000?ooo`3oool0GP3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo0440
oooo00110?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0G@3oool00`000000oooo
0?ooo`0G0?ooo`030000003oool0oooo0400oooo00100?ooo`030000003oool0oooo0240oooo00<0
00000?ooo`3oool0G03oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo03l0oooo000o
0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0G03oool00`000000oooo0?ooo`0I
0?ooo`030000003oool0oooo03h0oooo000o0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool0F`3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo03h0oooo000n0?ooo`03
0000003oool0oooo02@0oooo00<000000?ooo`3oool0FP3oool00`000000oooo0?ooo`0K0?ooo`03
0000003oool0oooo03d0oooo000m0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0
F@3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo03`0oooo000l0?ooo`030000003o
ool0oooo02L0oooo00<000000?ooo`3oool0F@3oool00`000000oooo0?ooo`0M0?ooo`030000003o
ool0oooo03/0oooo000k0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool0F03oool0
0`000000oooo0?ooo`0N0?ooo`030000003oool0oooo03X0oooo000k0?ooo`030000003oool0oooo
02X0oooo00<000000?ooo`3oool0E`3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo
03X0oooo000j0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0EP3oool00`000000
oooo0?ooo`0P0?ooo`030000003oool0oooo03T0oooo000i0?ooo`030000003oool0oooo02d0oooo
00<000000?ooo`3oool0E@3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo03P0oooo
000h0?ooo`030000003oool0oooo02h0oooo00<000000?ooo`3oool0E@3oool00`000000oooo0?oo
o`0R0?ooo`030000003oool0oooo03L0oooo000h0?ooo`030000003oool0oooo02l0oooo00<00000
0?ooo`3oool0E03oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo03L0oooo000g0?oo
o`030000003oool0oooo0300oooo00<000000?ooo`3oool0D`3oool00`000000oooo0?ooo`0T0?oo
o`030000003oool0oooo03H0oooo000f0?ooo`030000003oool0oooo0380oooo00<000000?ooo`3o
ool0DP3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo03D0oooo000e0?ooo`030000
003oool0oooo03<0oooo00<000000?ooo`3oool0DP3oool00`000000oooo0?ooo`0V0?ooo`030000
003oool0oooo03@0oooo000d0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool0D@3o
ool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo03<0oooo000d0?ooo`030000003oool0
oooo03D0oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0
oooo03<0oooo000c0?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3oool0C`3oool00`00
0000oooo0?ooo`0Y0?ooo`030000003oool0oooo0380oooo000b0?ooo`030000003oool0oooo03T0
oooo00<000000?ooo`3oool0CP3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo0340
oooo000a0?ooo`030000003oool0oooo03X0oooo00<000000?ooo`3oool0CP3oool00`000000oooo
0?ooo`0[0?ooo`030000003oool0oooo0300oooo000a0?ooo`030000003oool0oooo03/0oooo00<0
00000?ooo`3oool0C@3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo0300oooo000`
0?ooo`030000003oool0oooo03`0oooo00<000000?ooo`3oool0C@3oool00`000000oooo0?ooo`0/
0?ooo`030000003oool0oooo02l0oooo000_0?ooo`030000003oool0oooo03h0oooo00<000000?oo
o`3oool0B`3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo02h0oooo000^0?ooo`03
0000003oool0oooo03l0oooo00<000000?ooo`3oool0B`3oool00`000000oooo0?ooo`0_0?ooo`03
0000003oool0oooo02d0oooo000^0?ooo`030000003oool0oooo0400oooo00<000000?ooo`3oool0
BP3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo02d0oooo000]0?ooo`030000003o
ool0oooo0440oooo00<000000?ooo`3oool0BP3oool00`000000oooo0?ooo`0`0?ooo`030000003o
ool0oooo02`0oooo000/0?ooo`030000003oool0oooo04<0oooo00<000000?ooo`3oool0B03oool0
0`000000oooo0?ooo`0b0?ooo`030000003oool0oooo02/0oooo000[0?ooo`030000003oool0oooo
04@0oooo00<000000?ooo`3oool0B03oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo
02X0oooo000Z0?ooo`030000003oool0oooo04H0oooo00<000000?ooo`3oool0A`3oool00`000000
oooo0?ooo`0d0?ooo`030000003oool0oooo02T0oooo000Z0?ooo`030000003oool0oooo04L0oooo
00<000000?ooo`3oool0AP3oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo02T0oooo
000Y0?ooo`030000003oool0oooo04P0oooo00<000000?ooo`3oool0AP3oool00`000000oooo0?oo
o`0e0?ooo`030000003oool0oooo02P0oooo000X0?ooo`030000003oool0oooo04X0oooo00<00000
0?ooo`3oool0A03oool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo02L0oooo000W0?oo
o`030000003oool0oooo04/0oooo00<000000?ooo`3oool0A03oool00`000000oooo0?ooo`0h0?oo
o`030000003oool0oooo02H0oooo000W0?ooo`030000003oool0oooo04`0oooo00<000000?ooo`3o
ool0@`3oool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo02H0oooo000V0?ooo`030000
003oool0oooo04d0oooo00<000000?ooo`3oool0@`3oool00`000000oooo0?ooo`0i0?ooo`030000
003oool0oooo02D0oooo000U0?ooo`030000003oool0oooo04l0oooo00<000000?ooo`3oool0@@3o
ool00`000000oooo0?ooo`0k0?ooo`030000003oool0oooo02@0oooo000T0?ooo`030000003oool0
oooo0500oooo00<000000?ooo`3oool0@@3oool00`000000oooo0?ooo`0l0?ooo`030000003oool0
oooo02<0oooo000S0?ooo`030000003oool0oooo0580oooo00<000000?ooo`3oool0@03oool00`00
0000oooo0?ooo`0m0?ooo`030000003oool0oooo0280oooo000S0?ooo`030000003oool0oooo0580
oooo00<000000?ooo`3oool0@03oool00`000000oooo0?ooo`0m0?ooo`030000003oool0oooo0280
oooo000R0?ooo`030000003oool0oooo05@0oooo00<000000?ooo`3oool0?`3oool00`000000oooo
0?ooo`0n0?ooo`030000003oool0oooo0240oooo000Q0?ooo`030000003oool0oooo05H0oooo00<0
00000?ooo`3oool0?@3oool00`000000oooo0?ooo`100?ooo`030000003oool0oooo0200oooo000P
0?ooo`030000003oool0oooo05L0oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?ooo`11
0?ooo`030000003oool0oooo01l0oooo000P0?ooo`030000003oool0oooo05P0oooo00<000000?oo
o`3oool0?03oool00`000000oooo0?ooo`110?ooo`030000003oool0oooo01l0oooo000O0?ooo`03
0000003oool0oooo05T0oooo00<000000?ooo`3oool0?03oool00`000000oooo0?ooo`120?ooo`03
0000003oool0oooo01h0oooo000N0?ooo`030000003oool0oooo05/0oooo00<000000?ooo`3oool0
;@3oool3000000X0oooo00<000000?ooo`3oool0A03oool00`000000oooo0?ooo`0M0?ooo`007@3o
ool00`000000oooo0?ooo`1L0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool0203o
ool00`000000oooo0?ooo`150?ooo`030000003oool0oooo01`0oooo000L0?ooo`030000003oool0
oooo05h0oooo00<000000?ooo`3oool0;@3oool3000000T0oooo00<000000?ooo`3oool0AP3oool0
0`000000oooo0?ooo`0K0?ooo`00703oool00`000000oooo0?ooo`1N0?ooo`030000003oool0oooo
02`0oooo00@000000?ooo`3oool000002@3oool00`000000oooo0?ooo`160?ooo`030000003oool0
oooo01/0oooo000K0?ooo`030000003oool0oooo0600oooo00<000000?ooo`3oool0:`3oool01000
0000oooo0?ooo`0000090?ooo`030000003oool0oooo04L0oooo00<000000?ooo`3oool06P3oool0
01X0oooo00<000000?ooo`3oool0H@3oool00`000000oooo0?ooo`0/0?ooo`<00000203oool00`00
0000oooo0?ooo`190?ooo`030000003oool0oooo01T0oooo00040?ooo`8000004`3oool00`000000
oooo0?ooo`1S0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool0BP3oool00`000000
oooo00000002000001H0oooo00030?ooo`040000003oool0oooo00000180oooo00<000000?ooo`3o
ool0I03oool00`000000oooo0?ooo`0e0?ooo`030000003oool0oooo04X0oooo00<000000?ooo`00
00000P3oool00`000000oooo0?ooo`0C0?ooo`001@3oool00`000000oooo0?ooo`0@0?ooo`030000
003oool0oooo06D0oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`1;0?ooo`800000
0P3oool00`000000oooo0?ooo`0C0?ooo`001P3oool00`000000oooo0?ooo`0>0?ooo`030000003o
ool0oooo06L0oooo00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`1<0?ooo`<000005P3o
ool000<0oooo00@000000?ooo`3oool000003`3oool00`000000oooo0?ooo`1X0?ooo`030000003o
ool0oooo03<0oooo00<000000?ooo`3oool0CP3oool00`000000oooo0?ooo`0E0?ooo`00103oool2
00000100oooo00<000000?ooo`3oool0J@3oool00`000000oooo0?ooo`0b0?ooo`030000003oool0
oooo04h0oooo0`00000E0?ooo`005@3oool00`000000oooo0?ooo`1Z0?ooo`030000003oool0oooo
0380oooo00<000000?ooo`3oool0C`3oool00`000000oooo0?ooo`0D0?ooo`00503oool00`000000
oooo0?ooo`1/0?ooo`030000003oool0oooo02l0oooo0`00001B0?ooo`030000003oool0oooo01<0
oooo000C0?ooo`030000003oool0oooo06d0oooo00<000000?ooo`3oool0;P3oool500000580oooo
00<000000?ooo`3oool04P3oool00180oooo00<000000?ooo`3oool0K`3oool00`000000oooo0?oo
o`0/0?ooo`L00000DP3oool00`000000oooo0?ooo`0A0?ooo`004P3oool00`000000oooo0?ooo`1_
0?ooo`030000003oool0oooo02`0oooo1`00001B0?ooo`030000003oool0oooo0140oooo000A0?oo
o`030000003oool0oooo0740oooo00<000000?ooo`3oool0:`3oool7000005<0oooo00<000000?oo
o`3oool0403oool00100oooo00<000000?ooo`3oool0L`3oool00`000000oooo0?ooo`0[0?ooo`D0
0000E@3oool00`000000oooo0?ooo`0?0?ooo`00303oool4000007H0oooo00<000000?ooo`3oool0
:P3oool00`000000oooo00000002000005L0oooo1000000=0?ooo`002`3oool5000007L0oooo00<0
00000?ooo`3oool0:03oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo05D0oooo1@00
000<0?ooo`002P3oool7000007H0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo05@0oooo1`00000;0?ooo`002P3oool7000007L0oooo00<000000?oo
o`3oool09P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo05@0oooo1`00000;0?oo
o`002P3oool7000007L0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo05@0oooo1`00000;0?ooo`002`3oool5000007T0oooo00<000000?ooo`3oool0
8`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo05@0oooo1@00000<0?ooo`00303o
ool3000007X0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo05D0oooo0`00000=0?ooo`003P3oool00`000000oooo0?ooo`1i0?ooo`030000003oool0
oooo0200oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`1E0?ooo`030000003oool0
oooo00d0oooo000>0?ooo`030000003oool0oooo07T0oooo00<000000?ooo`3oool07`3oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo05D0oooo00<000000?ooo`3oool03@3oool000h0
oooo00<000000?ooo`3oool0NP3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo00/0
oooo00<000000?ooo`3oool0E03oool00`000000oooo0?ooo`0=0?ooo`003`3oool00`000000oooo
0?ooo`1j0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool0303oool00`000000oooo
0?ooo`1C0?ooo`030000003oool0oooo00h0oooo000?0?ooo`030000003oool0oooo07X0oooo00<0
00000?ooo`3oool06P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo05<0oooo00<0
00000?ooo`3oool03P3oool000l0oooo00<000000?ooo`3oool0N`3oool00`000000oooo0?ooo`0H
0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0D`3oool00`000000oooo0?ooo`0>
0?ooo`003`3oool00`000000oooo0?ooo`1k0?ooo`030000003oool0oooo01L0oooo00<000000?oo
o`3oool03`3oool00`000000oooo0?ooo`1C0?ooo`030000003oool0oooo00h0oooo000?0?ooo`03
0000003oool0oooo07`0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0A0?ooo`03
0000003oool0oooo0580oooo00<000000?ooo`3oool03P3oool00100oooo00<000000?ooo`3oool0
M`3oool500000080oooo0P00000C0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0
D@3oool00`000000oooo0?ooo`0?0?ooo`00403oool00`000000oooo0?ooo`1i0?ooo`030000003o
ool0oooo008000000P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0180oooo00<0
00000?ooo`3oool0D@3oool00`000000oooo0?ooo`0?0?ooo`00403oool00`000000oooo0?ooo`1i
0?ooo`030000003oool0oooo008000000P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0
oooo01<0oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`0?0?ooo`00403oool00`00
0000oooo0?ooo`1i0?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`0=
0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`0?
0?ooo`004@3oool00`000000oooo0?ooo`1h0?ooo`050000003oool0oooo0?ooo`0000000P3oool0
0`000000oooo0?ooo`0<0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0C`3oool0
0`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`1g0?ooo`800000103oool20000
00h0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`1?0?ooo`030000003oool0oooo
0100oooo000A0?ooo`030000003oool0oooo07h0oooo00<000000?ooo`3oool02`3oool00`000000
oooo0?ooo`0H0?ooo`030000003oool0oooo04l0oooo00<000000?ooo`3oool0403oool00140oooo
00<000000?ooo`3oool0OP3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo01T0oooo
00<000000?ooo`3oool0C`3oool00`000000oooo0?ooo`0@0?ooo`004P3oool00`000000oooo0?oo
o`1n0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?oo
o`1>0?ooo`030000003oool0oooo0140oooo000B0?ooo`030000003oool0oooo07h0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo04d0oooo00<00000
0?ooo`3oool04@3oool00180oooo00<000000?ooo`3oool0O`3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo01d0oooo00<000000?ooo`3oool0C@3oool00`000000oooo0?ooo`0A0?oo
o`004P3oool00`000000oooo0?ooo`1o0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool07@3oool00`000000oooo0?ooo`1=0?ooo`030000003oool0oooo0140oooo000B0?ooo`030000
003oool0oooo0800oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0N0?ooo`030000
003oool0oooo04d0oooo00<000000?ooo`3oool04@3oool001<0oooo00<000000?ooo`3oool0O`3o
ool4000000030?ooo`000000oooo0240oooo00<000000?ooo`3oool0B`3oool00`000000oooo0?oo
o`0B0?ooo`004`3oool00`000000oooo0?ooo`1o0?ooo`D000008`3oool00`000000oooo0?ooo`1;
0?ooo`030000003oool0oooo0180oooo000C0?ooo`030000003oool0oooo07h0oooo1`00000R0?oo
o`030000003oool0oooo04/0oooo00<000000?ooo`3oool04P3oool001<0oooo00<000000?ooo`3o
ool0OP3oool700000280oooo00<000000?ooo`3oool0B`3oool00`000000oooo0?ooo`0B0?ooo`00
503oool00`000000oooo0?ooo`1m0?ooo`L000008P3oool00`000000oooo0?ooo`1:0?ooo`030000
003oool0oooo01<0oooo000D0?ooo`030000003oool0oooo07h0oooo1@0000000`3oool000000000
000K0?ooo`800000103oool00`000000oooo0?ooo`190?ooo`030000003oool0oooo01<0oooo000D
0?ooo`030000003oool0oooo07l0oooo0`0000040?ooo`<000005`3oool010000000oooo0?ooo`00
00030?ooo`030000003oool0oooo04T0oooo00<000000?ooo`3oool04`3oool001@0oooo00<00000
0?ooo`3oool0P03oool00`000000oooo0?ooo`060?ooo`8000005@3oool010000000oooo0?ooo`00
00030?ooo`030000003oool0oooo04T0oooo00<000000?ooo`3oool04`3oool001@0oooo00<00000
0?ooo`3oool0P03oool00`000000oooo0?ooo`080?ooo`800000503oool2000000@0oooo00<00000
0?ooo`3oool0B@3oool00`000000oooo0?ooo`0C0?ooo`005@3oool00`000000oooo0?ooo`1o0?oo
o`030000003oool0oooo00X0oooo0`00000@0?ooo`040000003oool0oooo000000<0oooo00<00000
0?ooo`3oool0B03oool00`000000oooo0?ooo`0D0?ooo`005@3oool00`000000oooo0?ooo`1o0?oo
o`030000003oool0oooo00d0oooo0P00000?0?ooo`8000001@3oool00`000000oooo0?ooo`170?oo
o`030000003oool0oooo01@0oooo000E0?ooo`030000003oool0oooo07l0oooo00<000000?ooo`3o
ool03`3oool2000001@0oooo00<000000?ooo`3oool0A`3oool00`000000oooo0?ooo`0D0?ooo`00
5@3oool00`000000oooo0?ooo`1n0?ooo`030000003oool0oooo0180oooo0`00000A0?ooo`030000
003oool0oooo04L0oooo00<000000?ooo`3oool0503oool001H0oooo00<000000?ooo`3oool0O@3o
ool00`000000oooo0?ooo`0E0?ooo`8000003`3oool00`000000oooo0?ooo`160?ooo`030000003o
ool0oooo01D0oooo000F0?ooo`030000003oool0oooo07d0oooo00<000000?ooo`3oool05`3oool2
000000h0oooo00<000000?ooo`3oool0A@3oool00`000000oooo0?ooo`0E0?ooo`005P3oool00`00
0000oooo0?ooo`1m0?ooo`030000003oool0oooo01T0oooo0`00000;0?ooo`030000003oool0oooo
04D0oooo00<000000?ooo`3oool05@3oool001H0oooo00<000000?ooo`3oool0O@3oool00`000000
oooo0?ooo`0L0?ooo`8000002@3oool00`000000oooo0?ooo`150?ooo`030000003oool0oooo01D0
oooo000F0?ooo`030000003oool0oooo07d0oooo00<000000?ooo`3oool07P3oool2000000L0oooo
00<000000?ooo`3oool0A@3oool00`000000oooo0?ooo`0E0?ooo`005`3oool00`000000oooo0?oo
o`1l0?ooo`030000003oool0oooo0200oooo0`0000040?ooo`<00000A03oool00`000000oooo0?oo
o`0F0?ooo`005`3oool00`000000oooo0?ooo`1l0?ooo`030000003oool0oooo02<0oooo0P000000
0`3oool0000000000003000004<0oooo00<000000?ooo`3oool05P3oool001L0oooo00<000000?oo
o`3oool0O03oool00`000000oooo0?ooo`0U0?ooo`L00000@P3oool00`000000oooo0?ooo`0F0?oo
o`005`3oool00`000000oooo0?ooo`1l0?ooo`030000003oool0oooo02D0oooo1`0000120?ooo`03
0000003oool0oooo01H0oooo000H0?ooo`030000003oool0oooo07/0oooo00<000000?ooo`3oool0
9@3oool700000440oooo00<000000?ooo`3oool05`3oool001P0oooo00<000000?ooo`3oool0N`3o
ool00`000000oooo0?ooo`0V0?ooo`D00000@P3oool00`000000oooo0?ooo`0G0?ooo`00603oool0
0`000000oooo0?ooo`1k0?ooo`030000003oool0oooo02L0oooo100000120?ooo`030000003oool0
oooo01L0oooo000H0?ooo`030000003oool0oooo07/0oooo00<000000?ooo`3oool0:`3oool00`00
0000oooo0?ooo`0o0?ooo`030000003oool0oooo01L0oooo000I0?ooo`030000003oool0oooo07X0
oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`0m0?ooo`030000003oool0oooo01P0
oooo000I0?ooo`030000003oool0oooo07X0oooo00<000000?ooo`3oool0;@3oool00`000000oooo
0?ooo`0l0?ooo`030000003oool0oooo01P0oooo000I0?ooo`030000003oool0oooo07X0oooo00<0
00000?ooo`3oool0;@3oool00`000000oooo0?ooo`0l0?ooo`030000003oool0oooo01P0oooo000I
0?ooo`030000003oool0oooo07X0oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`0k
0?ooo`030000003oool0oooo01P0oooo000I0?ooo`030000003oool0oooo07T0oooo00<000000?oo
o`3oool0<03oool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo01P0oooo000J0?ooo`03
0000003oool0oooo07P0oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`0h0?ooo`03
0000003oool0oooo01T0oooo000J0?ooo`030000003oool0oooo07P0oooo00<000000?ooo`3oool0
<P3oool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo01T0oooo000J0?ooo`030000003o
ool0oooo07P0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0g0?ooo`030000003o
ool0oooo01T0oooo000J0?ooo`030000003oool0oooo07P0oooo00<000000?ooo`3oool0<`3oool0
0`000000oooo0?ooo`0f0?ooo`030000003oool0oooo01T0oooo000K0?ooo`030000003oool0oooo
07L0oooo00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo
01X0oooo000K0?ooo`030000003oool0oooo07L0oooo00<000000?ooo`3oool0=@3oool00`000000
oooo0?ooo`0c0?ooo`030000003oool0oooo01X0oooo000K0?ooo`030000003oool0oooo07L0oooo
00<000000?ooo`3oool0=P3oool00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo01X0oooo
000K0?ooo`030000003oool0oooo07L0oooo00<000000?ooo`3oool0=P3oool00`000000oooo0?oo
o`0b0?ooo`030000003oool0oooo01X0oooo000K0?ooo`030000003oool0oooo07L0oooo00<00000
0?ooo`3oool0=`3oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo01X0oooo000L0?oo
o`030000003oool0oooo07H0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`0_0?oo
o`030000003oool0oooo01/0oooo000L0?ooo`030000003oool0oooo07H0oooo00<000000?ooo`3o
ool0>@3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo01/0oooo000L0?ooo`030000
003oool0oooo07H0oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?ooo`0^0?ooo`030000
003oool0oooo01/0oooo000L0?ooo`030000003oool0oooo07H0oooo00<000000?ooo`3oool0>P3o
ool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo01/0oooo000M0?ooo`030000003oool0
oooo07D0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0
oooo01`0oooo000M0?ooo`030000003oool0oooo07D0oooo00<000000?ooo`3oool0?03oool00`00
0000oooo0?ooo`0Z0?ooo`030000003oool0oooo01`0oooo000M0?ooo`030000003oool0oooo07D0
oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo01`0
oooo000M0?ooo`030000003oool0oooo07@0oooo00<000000?ooo`3oool0?P3oool00`000000oooo
0?ooo`0Y0?ooo`030000003oool0oooo01`0oooo000N0?ooo`030000003oool0oooo07<0oooo00<0
00000?ooo`3oool0?`3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo01d0oooo000N
0?ooo`030000003oool0oooo07<0oooo00<000000?ooo`3oool0@03oool00`000000oooo0?ooo`0V
0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo07<0oooo00<000000?oo
o`3oool0@@3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo01d0oooo000N0?ooo`03
0000003oool0oooo07<0oooo00<000000?ooo`3oool0@@3oool00`000000oooo0?ooo`0U0?ooo`03
0000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo07<0oooo00<000000?ooo`3oool0
@P3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo01d0oooo000O0?ooo`030000003o
ool0oooo0780oooo00<000000?ooo`3oool0@`3oool00`000000oooo0?ooo`0R0?ooo`030000003o
ool0oooo01h0oooo000O0?ooo`030000003oool0oooo0780oooo00<000000?ooo`3oool0A03oool0
0`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo01h0oooo000O0?ooo`030000003oool0oooo
0780oooo00<000000?ooo`3oool0A@3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo
01h0oooo000O0?ooo`030000003oool0oooo0780oooo00<000000?ooo`3oool0A@3oool00`000000
oooo0?ooo`0P0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo0740oooo
00<000000?ooo`3oool0AP3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo01l0oooo
000P0?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0A`3oool00`000000oooo0?oo
o`0M0?ooo`030000003oool0oooo01l0oooo000P0?ooo`030000003oool0oooo0740oooo00<00000
0?ooo`3oool0B03oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo01l0oooo000P0?oo
o`030000003oool0oooo0740oooo00<000000?ooo`3oool0B@3oool00`000000oooo0?ooo`0K0?oo
o`030000003oool0oooo01l0oooo000P0?ooo`030000003oool0oooo0740oooo00<000000?ooo`3o
ool0B@3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo01l0oooo000Q0?ooo`030000
003oool0oooo0700oooo00<000000?ooo`3oool0BP3oool00`000000oooo0?ooo`0I0?ooo`030000
003oool0oooo0200oooo000Q0?ooo`030000003oool0oooo0700oooo00<000000?ooo`3oool0B`3o
ool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo0200oooo000Q0?ooo`030000003oool0
oooo06l0oooo00<000000?ooo`3oool0C@3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0
oooo0200oooo000Q0?ooo`030000003oool0oooo06l0oooo00<000000?ooo`3oool0C@3oool00`00
0000oooo0?ooo`0G0?ooo`030000003oool0oooo0200oooo000R0?ooo`030000003oool0oooo06h0
oooo00<000000?ooo`3oool0CP3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo0240
oooo000R0?ooo`030000003oool0oooo06h0oooo00<000000?ooo`3oool0C`3oool00`000000oooo
0?ooo`0D0?ooo`030000003oool0oooo0240oooo000R0?ooo`030000003oool0oooo06h0oooo00<0
00000?ooo`3oool0D03oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0240oooo000R
0?ooo`030000003oool0oooo06h0oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`0B
0?ooo`030000003oool0oooo0240oooo000R0?ooo`030000003oool0oooo06h0oooo00<000000?oo
o`3oool0D@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo0240oooo000S0?ooo`03
0000003oool0oooo06d0oooo00<000000?ooo`3oool0DP3oool00`000000oooo0?ooo`0@0?ooo`03
0000003oool0oooo0280oooo000S0?ooo`030000003oool0oooo06d0oooo00<000000?ooo`3oool0
D`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0280oooo000S0?ooo`030000003o
ool0oooo06d0oooo00<000000?ooo`3oool0E03oool00`000000oooo0?ooo`0>0?ooo`030000003o
ool0oooo0280oooo000M0?ooo`@000000P3oool00`000000oooo0?ooo`1]0?ooo`030000003oool0
oooo05@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`080?ooo`030000003oool0
oooo0280oooo000M0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0K03oool00`00
0000oooo0?ooo`1E0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`0S0?ooo`007P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo06`0
oooo00<000000?ooo`3oool0EP3oool01@000000oooo0?ooo`3oool0000000T0oooo00<000000?oo
o`3oool08`3oool001l0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`1/0?ooo`03
0000003oool0oooo05L0oooo00D000000?ooo`3oool0oooo000000080?ooo`030000003oool0oooo
02<0oooo000M0?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool0K03oool00`00
0000oooo0?ooo`1H0?ooo`040000003oool0oooo000000P0oooo00<000000?ooo`3oool08`3oool0
01h0oooo0P0000050?ooo`030000003oool0oooo06/0oooo00<000000?ooo`3oool0F03oool40000
00L0oooo00<000000?ooo`3oool0903oool002D0oooo00<000000?ooo`3oool0J`3oool00`000000
oooo0?ooo`1I0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0903oool002D0oooo
00<000000?ooo`3oool0J`3oool00`000000oooo0?ooo`1J0?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool0903oool002D0oooo00<000000?ooo`3oool0JP3oool00`000000oooo0?oo
o`1L0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0903oool002D0oooo00<00000
0?ooo`3oool0JP3oool00`000000oooo0?ooo`1M0?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0903oool002H0oooo00<000000?ooo`3oool0J@3oool00`000000oooo0?ooo`1M0?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool09@3oool002H0oooo00<000000?ooo`3o
ool0J@3oool00`000000oooo0?ooo`1N0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool09@3oool002H0oooo00<000000?ooo`3oool0J@3oool00`000000oooo0?ooo`1O0?ooo`050000
003oool0oooo0?ooo`0000009`3oool002H0oooo00<000000?ooo`3oool0J@3oool00`000000oooo
0?ooo`1P0?ooo`040000003oool0oooo000002L0oooo000U0?ooo`<00000JP3oool00`000000oooo
0?ooo`1P0?ooo`@000009`3oool002@0oooo1@00001Y0?ooo`030000003oool0oooo0600oooo1@00
000V0?ooo`008`3oool7000006P0oooo00<000000?ooo`3oool0G`3oool7000002D0oooo000S0?oo
o`L00000J03oool00`000000oooo0?ooo`1O0?ooo`L000009@3oool002<0oooo2@00001V0?ooo`03
0000003oool0oooo05h0oooo2000000U0?ooo`00903oool5000000<0oooo0P00001T0?ooo`030000
003oool0oooo05`0oooo0P0000020?ooo`D000009P3oool002D0oooo0`0000060?ooo`800000HP3o
ool00`000000oooo0?ooo`1J0?ooo`8000001@3oool3000002L0oooo000`0?ooo`800000H03oool0
0`000000oooo0?ooo`1H0?ooo`800000<@3oool00380oooo0P00001N0?ooo`030000003oool0oooo
05H0oooo0P00000c0?ooo`00=03oool2000005`0oooo00<000000?ooo`3oool0E03oool2000003D0
oooo000f0?ooo`800000FP3oool00`000000oooo0?ooo`1B0?ooo`800000=`3oool003P0oooo0P00
001G0?ooo`030000003oool0oooo0540oooo0P00000i0?ooo`00>P3oool2000005D0oooo00<00000
0?ooo`3oool0C`3oool2000003/0oooo000l0?ooo`800000D`3oool00`000000oooo0?ooo`1=0?oo
o`800000?@3oool003h0oooo0P00001A0?ooo`030000003oool0oooo04/0oooo0P00000o0?ooo`00
@03oool2000004l0oooo00<000000?ooo`3oool0B@3oool200000440oooo00120?ooo`800000C@3o
ool00`000000oooo0?ooo`170?ooo`800000@`3oool004@0oooo0P00001;0?ooo`030000003oool0
oooo04D0oooo0P0000150?ooo`00AP3oool2000004T0oooo00<000000?ooo`3oool0@`3oool20000
04L0oooo00180?ooo`800000A`3oool00`000000oooo0?ooo`110?ooo`800000B@3oool004X0oooo
0P0000150?ooo`030000003oool0oooo03l0oooo0P00001;0?ooo`00C03oool2000004<0oooo00<0
00000?ooo`3oool0?@3oool2000004d0oooo001>0?ooo`800000@@3oool00`000000oooo0?ooo`0k
0?ooo`800000C`3oool00500oooo0P00000o0?ooo`030000003oool0oooo03T0oooo0P00001A0?oo
o`00DP3oool2000003d0oooo00<000000?ooo`3oool0=`3oool2000005<0oooo001D0?ooo`800000
>`3oool00`000000oooo0?ooo`0e0?ooo`800000E@3oool005H0oooo0P00000i0?ooo`030000003o
ool0oooo03<0oooo0P00001G0?ooo`00F03oool2000003L0oooo00<000000?ooo`3oool0<@3oool2
000005T0oooo001J0?ooo`800000=03oool00`000000oooo0?ooo`0`0?ooo`800000F`3oool005`0
oooo0P00000b0?ooo`030000003oool0oooo02h0oooo0P00001M0?ooo`00GP3oool200000300oooo
00<000000?ooo`3oool0;03oool2000005l0oooo001P0?ooo`800000;P3oool00`000000oooo0?oo
o`0Z0?ooo`800000H@3oool00680oooo0P00000/0?ooo`030000003oool0oooo02P0oooo0P00001S
0?ooo`00I03oool2000002X0oooo00<000000?ooo`3oool09P3oool2000006D0oooo001V0?ooo`80
0000:03oool00`000000oooo0?ooo`0T0?ooo`800000I`3oool006P0oooo0P00000V0?ooo`030000
003oool0oooo0280oooo0P00001Y0?ooo`00JP3oool2000002@0oooo00<000000?ooo`3oool0803o
ool2000006/0oooo001/0?ooo`8000008P3oool00`000000oooo0?ooo`0N0?ooo`800000K@3oool0
06h0oooo0P00000E0?ooo`D000001P3oool00`000000oooo0?ooo`0L0?ooo`800000K`3oool00700
oooo0P00000E0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool06P3oool200000740
oooo001b0?ooo`8000004`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo01P0oooo
0P00001c0?ooo`00M03oool200000140oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`0F0?ooo`800000M@3oool007H0oooo0P00000?0?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool0503oool2000007L0oooo001h0?ooo`800000303oool2000000P0oooo00<000000?oo
o`3oool04P3oool2000007T0oooo001j0?ooo`800000503oool00`000000oooo0?ooo`0@0?ooo`80
0000N`3oool007`0oooo0P00000B0?ooo`030000003oool0oooo00h0oooo0P00001m0?ooo`00OP3o
ool2000000l0oooo00<000000?ooo`3oool03@3oool2000007l0oooo00200?ooo`8000003@3oool0
0`000000oooo0?ooo`0;0?ooo`800000P@3oool00880oooo0P00000;0?ooo`030000003oool0oooo
00T0oooo0P0000230?ooo`00Q03oool2000000T0oooo00<000000?ooo`3oool01`3oool2000008D0
oooo00260?ooo`8000001`3oool00`000000oooo0?ooo`050?ooo`800000Q`3oool008P0oooo0P00
00040?ooo`<00000103oool2000008T0oooo002:0?ooo`80000000<0oooo0000000000000`000000
0`3oool000000000002;0?ooo`00S03oool7000008d0oooo002<0?ooo`L00000S@3oool008`0oooo
1`00002=0?ooo`00S@3oool5000008h0oooo002>0?ooo`<00000S`3oool00?l0oooo8@3oool00?l0
oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0
oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00001\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-0.0500055, -0.0125564, \
0.00378856, 0.00370231}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(\(pdata = {{4, 
              6}, {\(-20\), \(-8\), \(-14\), \(-16\), \(-2\), \(-18\), \
\(-4\), \(-6\), \(-10\), \(-12\)}};\);\)\), "\[IndentingNewLine]", 
    \(DrawPlanarEmbKL[K]\)}], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0459853 0.919705 0.0118122 0.941131 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 g
.025 w
.5 .95294 Mdot
.13591 .77352 Mdot
.04599 .37036 Mdot
.29794 .04706 Mdot
.70206 .04706 Mdot
.95401 .37036 Mdot
.86409 .77352 Mdot
.67529 .531 Mdot
.63479 .34938 Mdot
.52701 .4701 Mdot
.5 Mabswid
[ ] 0 setdash
.5 .95294 m
.13591 .77352 L
s
.5 .95294 m
.86409 .77352 L
s
.5 .95294 m
.52701 .4701 L
s
.13591 .77352 m
.5 .95294 L
s
.13591 .77352 m
.04599 .37036 L
s
.04599 .37036 m
.13591 .77352 L
s
.04599 .37036 m
.29794 .04706 L
s
.29794 .04706 m
.04599 .37036 L
s
.29794 .04706 m
.70206 .04706 L
s
.29794 .04706 m
.52701 .4701 L
s
.70206 .04706 m
.29794 .04706 L
s
.70206 .04706 m
.95401 .37036 L
s
.70206 .04706 m
.63479 .34938 L
s
.95401 .37036 m
.70206 .04706 L
s
.95401 .37036 m
.86409 .77352 L
s
.86409 .77352 m
.5 .95294 L
s
.86409 .77352 m
.95401 .37036 L
s
.86409 .77352 m
.67529 .531 L
s
.67529 .531 m
.86409 .77352 L
s
.67529 .531 m
.63479 .34938 L
s
.67529 .531 m
.52701 .4701 L
s
.63479 .34938 m
.70206 .04706 L
s
.63479 .34938 m
.67529 .531 L
s
.63479 .34938 m
.52701 .4701 L
s
.52701 .4701 m
.5 .95294 L
s
.52701 .4701 m
.29794 .04706 L
s
.52701 .4701 m
.67529 .531 L
s
.52701 .4701 m
.63479 .34938 L
s
.5 .95294 m
.13591 .77352 L
s
.5 .95294 m
.86409 .77352 L
s
.5 .95294 m
.52701 .4701 L
s
.13591 .77352 m
.5 .95294 L
s
.13591 .77352 m
.04599 .37036 L
s
.04599 .37036 m
.13591 .77352 L
s
.04599 .37036 m
.29794 .04706 L
s
.29794 .04706 m
.04599 .37036 L
s
.29794 .04706 m
.70206 .04706 L
s
.29794 .04706 m
.52701 .4701 L
s
.70206 .04706 m
.29794 .04706 L
s
.70206 .04706 m
.95401 .37036 L
s
.70206 .04706 m
.63479 .34938 L
s
.95401 .37036 m
.70206 .04706 L
s
.95401 .37036 m
.86409 .77352 L
s
.86409 .77352 m
.5 .95294 L
s
.86409 .77352 m
.95401 .37036 L
s
.86409 .77352 m
.67529 .531 L
s
.67529 .531 m
.86409 .77352 L
s
.67529 .531 m
.63479 .34938 L
s
.67529 .531 m
.52701 .4701 L
s
.63479 .34938 m
.70206 .04706 L
s
.63479 .34938 m
.67529 .531 L
s
.63479 .34938 m
.52701 .4701 L
s
.52701 .4701 m
.5 .95294 L
s
.52701 .4701 m
.29794 .04706 L
s
.52701 .4701 m
.67529 .531 L
s
.52701 .4701 m
.63479 .34938 L
s
[(1)] .47241 .92471 0 1 Mshowa
[(2)] .10832 .74529 0 1 Mshowa
[(3)] .01839 .34213 0 1 Mshowa
[(4)] .27035 .01882 0 1 Mshowa
[(5)] .67446 .01882 0 1 Mshowa
[(6)] .92642 .34213 0 1 Mshowa
[(7)] .8365 .74529 0 1 Mshowa
[(8)] .6477 .50277 0 1 Mshowa
[(9)] .60719 .32115 0 1 Mshowa
[(10)] .49941 .44186 0 1 Mshowa
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3ooolQ
0?ooo`00B`3oool010000000oooo0?ooo`00001a0?ooo`800000GP3oool004`0oooo00<000000?oo
o`000000L@3oool00`000000oooo0?ooo`1M0?ooo`00C@3oool200000740oooo0`00001M0?ooo`00
o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00
o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00E03oool300000740oooo0`00001E0?ooo`00D`3oool50000
06l0oooo1@00001D0?ooo`00DP3oool7000006d0oooo1`00001C0?ooo`00DP3ooomk000005<0oooo
001B0?ooo`L00000K@3oool7000005<0oooo001C0?ooo`D00000K`3oool5000005@0oooo001C0?oo
o`D00000L03oool4000005@0oooo001B0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool0KP3oool01@000000oooo0?ooo`3oool0000005<0oooo001A0?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0K@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0500
oooo001@0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0K@3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo04l0oooo001@0?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool0J`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo04l0oooo001?
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0J`3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo04h0oooo001>0?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool0JP3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo04d0oooo001=0?ooo`03
0000003oool0oooo00X0oooo00<000000?ooo`3oool0JP3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo04`0oooo001<0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0
J@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo04/0oooo001<0?ooo`030000003o
ool0oooo00d0oooo00<000000?ooo`3oool0I`3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo04/0oooo001;0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0I`3oool0
0`000000oooo0?ooo`0:0?ooo`030000003oool0oooo04X0oooo001:0?ooo`030000003oool0oooo
0100oooo00<000000?ooo`3oool0IP3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
04T0oooo00190?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0IP3oool00`000000
oooo0?ooo`0<0?ooo`030000003oool0oooo04P0oooo00190?ooo`030000003oool0oooo0180oooo
00<000000?ooo`3oool0I@3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo04P0oooo
00180?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0I03oool00`000000oooo0?oo
o`0>0?ooo`030000003oool0oooo04L0oooo00170?ooo`030000003oool0oooo01D0oooo00<00000
0?ooo`3oool0H`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo04H0oooo00160?oo
o`030000003oool0oooo01H0oooo00<000000?ooo`3oool0H`3oool00`000000oooo0?ooo`0@0?oo
o`030000003oool0oooo04D0oooo00160?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3o
ool0HP3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo04D0oooo00150?ooo`030000
003oool0oooo01P0oooo00<000000?ooo`3oool0H@3oool00`000000oooo0?ooo`0B0?ooo`030000
003oool0oooo04@0oooo00140?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0H03o
ool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo04<0oooo00130?ooo`030000003oool0
oooo01`0oooo00<000000?ooo`3oool0G`3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0
oooo0480oooo00120?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0G`3oool00`00
0000oooo0?ooo`0E0?ooo`030000003oool0oooo0440oooo00120?ooo`030000003oool0oooo01h0
oooo00<000000?ooo`3oool0GP3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo0440
oooo00110?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0G@3oool00`000000oooo
0?ooo`0G0?ooo`030000003oool0oooo0400oooo00100?ooo`030000003oool0oooo0240oooo00<0
00000?ooo`3oool0G03oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo03l0oooo000o
0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0G03oool00`000000oooo0?ooo`0I
0?ooo`030000003oool0oooo03h0oooo000o0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool0F`3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo03h0oooo000n0?ooo`03
0000003oool0oooo02@0oooo00<000000?ooo`3oool0FP3oool00`000000oooo0?ooo`0K0?ooo`03
0000003oool0oooo03d0oooo000m0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0
F@3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo03`0oooo000l0?ooo`030000003o
ool0oooo02L0oooo00<000000?ooo`3oool0F@3oool00`000000oooo0?ooo`0M0?ooo`030000003o
ool0oooo03/0oooo000k0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool0F03oool0
0`000000oooo0?ooo`0N0?ooo`030000003oool0oooo03X0oooo000k0?ooo`030000003oool0oooo
02X0oooo00<000000?ooo`3oool0E`3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo
03X0oooo000j0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0EP3oool00`000000
oooo0?ooo`0P0?ooo`030000003oool0oooo03T0oooo000i0?ooo`030000003oool0oooo02d0oooo
00<000000?ooo`3oool0E@3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo03P0oooo
000h0?ooo`030000003oool0oooo02h0oooo00<000000?ooo`3oool0E@3oool00`000000oooo0?oo
o`0R0?ooo`030000003oool0oooo03L0oooo000h0?ooo`030000003oool0oooo02l0oooo00<00000
0?ooo`3oool0E03oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo03L0oooo000g0?oo
o`030000003oool0oooo0300oooo00<000000?ooo`3oool0D`3oool00`000000oooo0?ooo`0T0?oo
o`030000003oool0oooo03H0oooo000f0?ooo`030000003oool0oooo0380oooo00<000000?ooo`3o
ool0DP3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo03D0oooo000e0?ooo`030000
003oool0oooo03<0oooo00<000000?ooo`3oool0DP3oool00`000000oooo0?ooo`0V0?ooo`030000
003oool0oooo03@0oooo000d0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool0D@3o
ool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo03<0oooo000d0?ooo`030000003oool0
oooo03D0oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0
oooo03<0oooo000c0?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3oool0C`3oool00`00
0000oooo0?ooo`0Y0?ooo`030000003oool0oooo0380oooo000b0?ooo`030000003oool0oooo03T0
oooo00<000000?ooo`3oool0CP3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo0340
oooo000a0?ooo`030000003oool0oooo03X0oooo00<000000?ooo`3oool0CP3oool00`000000oooo
0?ooo`0[0?ooo`030000003oool0oooo0300oooo000a0?ooo`030000003oool0oooo03/0oooo00<0
00000?ooo`3oool0C@3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo0300oooo000`
0?ooo`030000003oool0oooo03`0oooo00<000000?ooo`3oool0C@3oool00`000000oooo0?ooo`0/
0?ooo`030000003oool0oooo02l0oooo000_0?ooo`030000003oool0oooo03h0oooo00<000000?oo
o`3oool0B`3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo02h0oooo000^0?ooo`03
0000003oool0oooo03l0oooo00<000000?ooo`3oool0B`3oool00`000000oooo0?ooo`0_0?ooo`03
0000003oool0oooo02d0oooo000^0?ooo`030000003oool0oooo0400oooo00<000000?ooo`3oool0
BP3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo02d0oooo000]0?ooo`030000003o
ool0oooo0440oooo00<000000?ooo`3oool0BP3oool00`000000oooo0?ooo`0`0?ooo`030000003o
ool0oooo02`0oooo000/0?ooo`030000003oool0oooo04<0oooo00<000000?ooo`3oool0B03oool0
0`000000oooo0?ooo`0b0?ooo`030000003oool0oooo02/0oooo000[0?ooo`030000003oool0oooo
04@0oooo00<000000?ooo`3oool0B03oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo
02X0oooo000Z0?ooo`030000003oool0oooo04H0oooo00<000000?ooo`3oool0A`3oool00`000000
oooo0?ooo`0d0?ooo`030000003oool0oooo02T0oooo000Z0?ooo`030000003oool0oooo04L0oooo
00<000000?ooo`3oool0AP3oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo02T0oooo
000Y0?ooo`030000003oool0oooo04P0oooo00<000000?ooo`3oool0AP3oool00`000000oooo0?oo
o`0e0?ooo`030000003oool0oooo02P0oooo000X0?ooo`030000003oool0oooo04X0oooo00<00000
0?ooo`3oool0A03oool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo02L0oooo000W0?oo
o`030000003oool0oooo04/0oooo00<000000?ooo`3oool0A03oool00`000000oooo0?ooo`0h0?oo
o`030000003oool0oooo02H0oooo000W0?ooo`030000003oool0oooo04`0oooo00<000000?ooo`3o
ool0@`3oool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo02H0oooo000V0?ooo`030000
003oool0oooo04d0oooo00<000000?ooo`3oool0@`3oool00`000000oooo0?ooo`0i0?ooo`030000
003oool0oooo02D0oooo000U0?ooo`030000003oool0oooo04l0oooo00<000000?ooo`3oool0@@3o
ool00`000000oooo0?ooo`0k0?ooo`030000003oool0oooo02@0oooo000T0?ooo`030000003oool0
oooo0500oooo00<000000?ooo`3oool0@@3oool00`000000oooo0?ooo`0l0?ooo`030000003oool0
oooo02<0oooo000S0?ooo`030000003oool0oooo0580oooo00<000000?ooo`3oool0@03oool00`00
0000oooo0?ooo`0m0?ooo`030000003oool0oooo0280oooo000S0?ooo`030000003oool0oooo0580
oooo00<000000?ooo`3oool0@03oool00`000000oooo0?ooo`0m0?ooo`030000003oool0oooo0280
oooo000R0?ooo`030000003oool0oooo05@0oooo00<000000?ooo`3oool0?`3oool00`000000oooo
0?ooo`0n0?ooo`030000003oool0oooo0240oooo000Q0?ooo`030000003oool0oooo05H0oooo00<0
00000?ooo`3oool0?@3oool00`000000oooo0?ooo`100?ooo`030000003oool0oooo0200oooo000P
0?ooo`030000003oool0oooo05L0oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?ooo`11
0?ooo`030000003oool0oooo01l0oooo000P0?ooo`030000003oool0oooo05P0oooo00<000000?oo
o`3oool0?03oool00`000000oooo0?ooo`110?ooo`030000003oool0oooo01l0oooo000O0?ooo`03
0000003oool0oooo05T0oooo00<000000?ooo`3oool0?03oool00`000000oooo0?ooo`120?ooo`03
0000003oool0oooo01h0oooo000N0?ooo`030000003oool0oooo05/0oooo00<000000?ooo`3oool0
;@3oool3000000X0oooo00<000000?ooo`3oool0A03oool00`000000oooo0?ooo`0M0?ooo`007@3o
ool00`000000oooo0?ooo`1L0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool0203o
ool00`000000oooo0?ooo`150?ooo`030000003oool0oooo01`0oooo000L0?ooo`030000003oool0
oooo05h0oooo00<000000?ooo`3oool0;@3oool3000000T0oooo00<000000?ooo`3oool0AP3oool0
0`000000oooo0?ooo`0K0?ooo`00703oool00`000000oooo0?ooo`1N0?ooo`030000003oool0oooo
02`0oooo00@000000?ooo`3oool000002@3oool00`000000oooo0?ooo`160?ooo`030000003oool0
oooo01/0oooo000K0?ooo`030000003oool0oooo0600oooo00<000000?ooo`3oool0:`3oool01000
0000oooo0?ooo`0000090?ooo`030000003oool0oooo04L0oooo00<000000?ooo`3oool06P3oool0
01X0oooo00<000000?ooo`3oool0H@3oool00`000000oooo0?ooo`0/0?ooo`<00000203oool00`00
0000oooo0?ooo`190?ooo`030000003oool0oooo01T0oooo00040?ooo`8000004`3oool00`000000
oooo0?ooo`1S0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool0BP3oool00`000000
oooo00000002000001H0oooo00030?ooo`040000003oool0oooo00000180oooo00<000000?ooo`3o
ool0I03oool00`000000oooo0?ooo`0e0?ooo`030000003oool0oooo04X0oooo00<000000?ooo`00
00000P3oool00`000000oooo0?ooo`0C0?ooo`001@3oool00`000000oooo0?ooo`0@0?ooo`030000
003oool0oooo06D0oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`1;0?ooo`800000
0P3oool00`000000oooo0?ooo`0C0?ooo`001P3oool00`000000oooo0?ooo`0>0?ooo`030000003o
ool0oooo06L0oooo00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`1<0?ooo`<000005P3o
ool000<0oooo00@000000?ooo`3oool000003`3oool00`000000oooo0?ooo`1X0?ooo`030000003o
ool0oooo03<0oooo00<000000?ooo`3oool0CP3oool00`000000oooo0?ooo`0E0?ooo`00103oool2
00000100oooo00<000000?ooo`3oool0J@3oool00`000000oooo0?ooo`0b0?ooo`030000003oool0
oooo04h0oooo0`00000E0?ooo`005@3oool00`000000oooo0?ooo`1Z0?ooo`030000003oool0oooo
0380oooo00<000000?ooo`3oool0C`3oool00`000000oooo0?ooo`0D0?ooo`00503oool00`000000
oooo0?ooo`1/0?ooo`030000003oool0oooo02l0oooo0`00001B0?ooo`030000003oool0oooo01<0
oooo000C0?ooo`030000003oool0oooo06d0oooo00<000000?ooo`3oool0;P3oool500000580oooo
00<000000?ooo`3oool04P3oool00180oooo00<000000?ooo`3oool0K`3oool00`000000oooo0?oo
o`0/0?ooo`L00000DP3oool00`000000oooo0?ooo`0A0?ooo`004P3oool00`000000oooo0?ooo`1_
0?ooo`030000003oool0oooo02`0oooo1`00001B0?ooo`030000003oool0oooo0140oooo000A0?oo
o`030000003oool0oooo0740oooo00<000000?ooo`3oool0:`3oool7000005<0oooo00<000000?oo
o`3oool0403oool00100oooo00<000000?ooo`3oool0L`3oool00`000000oooo0?ooo`0[0?ooo`D0
0000E@3oool00`000000oooo0?ooo`0?0?ooo`00303oool4000007H0oooo00<000000?ooo`3oool0
:P3oool00`000000oooo00000002000005L0oooo1000000=0?ooo`002`3oool5000007L0oooo00<0
00000?ooo`3oool0:03oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo05D0oooo1@00
000<0?ooo`002P3oool7000007H0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo05@0oooo1`00000;0?ooo`002P3oool7000007L0oooo00<000000?oo
o`3oool09P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo05@0oooo1`00000;0?oo
o`002P3oool7000007L0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo05@0oooo1`00000;0?ooo`002`3oool5000007T0oooo00<000000?ooo`3oool0
8`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo05@0oooo1@00000<0?ooo`00303o
ool3000007X0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo05D0oooo0`00000=0?ooo`003P3oool00`000000oooo0?ooo`1i0?ooo`030000003oool0
oooo0200oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`1E0?ooo`030000003oool0
oooo00d0oooo000>0?ooo`030000003oool0oooo07T0oooo00<000000?ooo`3oool07`3oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo05D0oooo00<000000?ooo`3oool03@3oool000h0
oooo00<000000?ooo`3oool0NP3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo00/0
oooo00<000000?ooo`3oool0E03oool00`000000oooo0?ooo`0=0?ooo`003`3oool00`000000oooo
0?ooo`1j0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool0303oool00`000000oooo
0?ooo`1C0?ooo`030000003oool0oooo00h0oooo000?0?ooo`030000003oool0oooo07X0oooo00<0
00000?ooo`3oool06P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo05<0oooo00<0
00000?ooo`3oool03P3oool000l0oooo00<000000?ooo`3oool0N`3oool00`000000oooo0?ooo`0H
0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0D`3oool00`000000oooo0?ooo`0>
0?ooo`003`3oool00`000000oooo0?ooo`1k0?ooo`030000003oool0oooo01L0oooo00<000000?oo
o`3oool03`3oool00`000000oooo0?ooo`1C0?ooo`030000003oool0oooo00h0oooo000?0?ooo`03
0000003oool0oooo07`0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0A0?ooo`03
0000003oool0oooo0580oooo00<000000?ooo`3oool03P3oool00100oooo00<000000?ooo`3oool0
M`3oool500000080oooo0P00000C0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0
D@3oool00`000000oooo0?ooo`0?0?ooo`00403oool00`000000oooo0?ooo`1i0?ooo`030000003o
ool0oooo008000000P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0180oooo00<0
00000?ooo`3oool0D@3oool00`000000oooo0?ooo`0?0?ooo`00403oool00`000000oooo0?ooo`1i
0?ooo`030000003oool0oooo008000000P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0
oooo01<0oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`0?0?ooo`00403oool00`00
0000oooo0?ooo`1i0?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`0=
0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`0?
0?ooo`004@3oool00`000000oooo0?ooo`1h0?ooo`050000003oool0oooo0?ooo`0000000P3oool0
0`000000oooo0?ooo`0<0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0C`3oool0
0`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`1g0?ooo`800000103oool20000
00h0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`1?0?ooo`030000003oool0oooo
0100oooo000A0?ooo`030000003oool0oooo07h0oooo00<000000?ooo`3oool02`3oool00`000000
oooo0?ooo`0H0?ooo`030000003oool0oooo04l0oooo00<000000?ooo`3oool0403oool00140oooo
00<000000?ooo`3oool0OP3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo01T0oooo
00<000000?ooo`3oool0C`3oool00`000000oooo0?ooo`0@0?ooo`004P3oool00`000000oooo0?oo
o`1n0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?oo
o`1>0?ooo`030000003oool0oooo0140oooo000B0?ooo`030000003oool0oooo07h0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo04d0oooo00<00000
0?ooo`3oool04@3oool00180oooo00<000000?ooo`3oool0O`3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo01d0oooo00<000000?ooo`3oool0C@3oool00`000000oooo0?ooo`0A0?oo
o`004P3oool00`000000oooo0?ooo`1o0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool07@3oool00`000000oooo0?ooo`1=0?ooo`030000003oool0oooo0140oooo000B0?ooo`030000
003oool0oooo0800oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0N0?ooo`030000
003oool0oooo04d0oooo00<000000?ooo`3oool04@3oool001<0oooo00<000000?ooo`3oool0O`3o
ool4000000030?ooo`000000oooo0240oooo00<000000?ooo`3oool0B`3oool00`000000oooo0?oo
o`0B0?ooo`004`3oool00`000000oooo0?ooo`1o0?ooo`D000008`3oool00`000000oooo0?ooo`1;
0?ooo`030000003oool0oooo0180oooo000C0?ooo`030000003oool0oooo07h0oooo1`00000R0?oo
o`030000003oool0oooo04/0oooo00<000000?ooo`3oool04P3oool001<0oooo00<000000?ooo`3o
ool0OP3oool700000280oooo00<000000?ooo`3oool0B`3oool00`000000oooo0?ooo`0B0?ooo`00
503oool00`000000oooo0?ooo`1m0?ooo`L000008P3oool00`000000oooo0?ooo`1:0?ooo`030000
003oool0oooo01<0oooo000D0?ooo`030000003oool0oooo07h0oooo1@0000000`3oool000000000
000K0?ooo`800000103oool00`000000oooo0?ooo`190?ooo`030000003oool0oooo01<0oooo000D
0?ooo`030000003oool0oooo07l0oooo0`0000040?ooo`<000005`3oool010000000oooo0?ooo`00
00030?ooo`030000003oool0oooo04T0oooo00<000000?ooo`3oool04`3oool001@0oooo00<00000
0?ooo`3oool0P03oool00`000000oooo0?ooo`060?ooo`8000005@3oool010000000oooo0?ooo`00
00030?ooo`030000003oool0oooo04T0oooo00<000000?ooo`3oool04`3oool001@0oooo00<00000
0?ooo`3oool0P03oool00`000000oooo0?ooo`080?ooo`800000503oool2000000@0oooo00<00000
0?ooo`3oool0B@3oool00`000000oooo0?ooo`0C0?ooo`005@3oool00`000000oooo0?ooo`1o0?oo
o`030000003oool0oooo00X0oooo0`00000@0?ooo`040000003oool0oooo000000<0oooo00<00000
0?ooo`3oool0B03oool00`000000oooo0?ooo`0D0?ooo`005@3oool00`000000oooo0?ooo`1o0?oo
o`030000003oool0oooo00d0oooo0P00000?0?ooo`8000001@3oool00`000000oooo0?ooo`170?oo
o`030000003oool0oooo01@0oooo000E0?ooo`030000003oool0oooo07l0oooo00<000000?ooo`3o
ool03`3oool2000001@0oooo00<000000?ooo`3oool0A`3oool00`000000oooo0?ooo`0D0?ooo`00
5@3oool00`000000oooo0?ooo`1n0?ooo`030000003oool0oooo0180oooo0`00000A0?ooo`030000
003oool0oooo04L0oooo00<000000?ooo`3oool0503oool001H0oooo00<000000?ooo`3oool0O@3o
ool00`000000oooo0?ooo`0E0?ooo`8000003`3oool00`000000oooo0?ooo`160?ooo`030000003o
ool0oooo01D0oooo000F0?ooo`030000003oool0oooo07d0oooo00<000000?ooo`3oool05`3oool2
000000h0oooo00<000000?ooo`3oool0A@3oool00`000000oooo0?ooo`0E0?ooo`005P3oool00`00
0000oooo0?ooo`1m0?ooo`030000003oool0oooo01T0oooo0`00000;0?ooo`030000003oool0oooo
04D0oooo00<000000?ooo`3oool05@3oool001H0oooo00<000000?ooo`3oool0O@3oool00`000000
oooo0?ooo`0L0?ooo`8000002@3oool00`000000oooo0?ooo`150?ooo`030000003oool0oooo01D0
oooo000F0?ooo`030000003oool0oooo07d0oooo00<000000?ooo`3oool07P3oool2000000L0oooo
00<000000?ooo`3oool0A@3oool00`000000oooo0?ooo`0E0?ooo`005`3oool00`000000oooo0?oo
o`1l0?ooo`030000003oool0oooo0200oooo0`0000040?ooo`<00000A03oool00`000000oooo0?oo
o`0F0?ooo`005`3oool00`000000oooo0?ooo`1l0?ooo`030000003oool0oooo02<0oooo0P000000
0`3oool0000000000003000004<0oooo00<000000?ooo`3oool05P3oool001L0oooo00<000000?oo
o`3oool0O03oool00`000000oooo0?ooo`0U0?ooo`L00000@P3oool00`000000oooo0?ooo`0F0?oo
o`005`3oool00`000000oooo0?ooo`1l0?ooo`030000003oool0oooo02D0oooo1`0000120?ooo`03
0000003oool0oooo01H0oooo000H0?ooo`030000003oool0oooo07/0oooo00<000000?ooo`3oool0
9@3oool700000440oooo00<000000?ooo`3oool05`3oool001P0oooo00<000000?ooo`3oool0N`3o
ool00`000000oooo0?ooo`0V0?ooo`D00000@P3oool00`000000oooo0?ooo`0G0?ooo`00603oool0
0`000000oooo0?ooo`1k0?ooo`030000003oool0oooo02L0oooo100000120?ooo`030000003oool0
oooo01L0oooo000H0?ooo`030000003oool0oooo07/0oooo00<000000?ooo`3oool0:`3oool00`00
0000oooo0?ooo`0o0?ooo`030000003oool0oooo01L0oooo000I0?ooo`030000003oool0oooo07X0
oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`0m0?ooo`030000003oool0oooo01P0
oooo000I0?ooo`030000003oool0oooo07X0oooo00<000000?ooo`3oool0;@3oool00`000000oooo
0?ooo`0l0?ooo`030000003oool0oooo01P0oooo000I0?ooo`030000003oool0oooo07X0oooo00<0
00000?ooo`3oool0;@3oool00`000000oooo0?ooo`0l0?ooo`030000003oool0oooo01P0oooo000I
0?ooo`030000003oool0oooo07X0oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`0k
0?ooo`030000003oool0oooo01P0oooo000I0?ooo`030000003oool0oooo07T0oooo00<000000?oo
o`3oool0<03oool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo01P0oooo000J0?ooo`03
0000003oool0oooo07P0oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`0h0?ooo`03
0000003oool0oooo01T0oooo000J0?ooo`030000003oool0oooo07P0oooo00<000000?ooo`3oool0
<P3oool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo01T0oooo000J0?ooo`030000003o
ool0oooo07P0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0g0?ooo`030000003o
ool0oooo01T0oooo000J0?ooo`030000003oool0oooo07P0oooo00<000000?ooo`3oool0<`3oool0
0`000000oooo0?ooo`0f0?ooo`030000003oool0oooo01T0oooo000K0?ooo`030000003oool0oooo
07L0oooo00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo
01X0oooo000K0?ooo`030000003oool0oooo07L0oooo00<000000?ooo`3oool0=@3oool00`000000
oooo0?ooo`0c0?ooo`030000003oool0oooo01X0oooo000K0?ooo`030000003oool0oooo07L0oooo
00<000000?ooo`3oool0=P3oool00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo01X0oooo
000K0?ooo`030000003oool0oooo07L0oooo00<000000?ooo`3oool0=P3oool00`000000oooo0?oo
o`0b0?ooo`030000003oool0oooo01X0oooo000K0?ooo`030000003oool0oooo07L0oooo00<00000
0?ooo`3oool0=`3oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo01X0oooo000L0?oo
o`030000003oool0oooo07H0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`0_0?oo
o`030000003oool0oooo01/0oooo000L0?ooo`030000003oool0oooo07H0oooo00<000000?ooo`3o
ool0>@3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo01/0oooo000L0?ooo`030000
003oool0oooo07H0oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?ooo`0^0?ooo`030000
003oool0oooo01/0oooo000L0?ooo`030000003oool0oooo07H0oooo00<000000?ooo`3oool0>P3o
ool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo01/0oooo000M0?ooo`030000003oool0
oooo07D0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0
oooo01`0oooo000M0?ooo`030000003oool0oooo07D0oooo00<000000?ooo`3oool0?03oool00`00
0000oooo0?ooo`0Z0?ooo`030000003oool0oooo01`0oooo000M0?ooo`030000003oool0oooo07D0
oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo01`0
oooo000M0?ooo`030000003oool0oooo07@0oooo00<000000?ooo`3oool0?P3oool00`000000oooo
0?ooo`0Y0?ooo`030000003oool0oooo01`0oooo000N0?ooo`030000003oool0oooo07<0oooo00<0
00000?ooo`3oool0?`3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo01d0oooo000N
0?ooo`030000003oool0oooo07<0oooo00<000000?ooo`3oool0@03oool00`000000oooo0?ooo`0V
0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo07<0oooo00<000000?oo
o`3oool0@@3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo01d0oooo000N0?ooo`03
0000003oool0oooo07<0oooo00<000000?ooo`3oool0@@3oool00`000000oooo0?ooo`0U0?ooo`03
0000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo07<0oooo00<000000?ooo`3oool0
@P3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo01d0oooo000O0?ooo`030000003o
ool0oooo0780oooo00<000000?ooo`3oool0@`3oool00`000000oooo0?ooo`0R0?ooo`030000003o
ool0oooo01h0oooo000O0?ooo`030000003oool0oooo0780oooo00<000000?ooo`3oool0A03oool0
0`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo01h0oooo000O0?ooo`030000003oool0oooo
0780oooo00<000000?ooo`3oool0A@3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo
01h0oooo000O0?ooo`030000003oool0oooo0780oooo00<000000?ooo`3oool0A@3oool00`000000
oooo0?ooo`0P0?ooo`030000003oool0oooo01h0oooo000P0?ooo`030000003oool0oooo0740oooo
00<000000?ooo`3oool0AP3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo01l0oooo
000P0?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0A`3oool00`000000oooo0?oo
o`0M0?ooo`030000003oool0oooo01l0oooo000P0?ooo`030000003oool0oooo0740oooo00<00000
0?ooo`3oool0B03oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo01l0oooo000P0?oo
o`030000003oool0oooo0740oooo00<000000?ooo`3oool0B@3oool00`000000oooo0?ooo`0K0?oo
o`030000003oool0oooo01l0oooo000P0?ooo`030000003oool0oooo0740oooo00<000000?ooo`3o
ool0B@3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo01l0oooo000Q0?ooo`030000
003oool0oooo0700oooo00<000000?ooo`3oool0BP3oool00`000000oooo0?ooo`0I0?ooo`030000
003oool0oooo0200oooo000Q0?ooo`030000003oool0oooo0700oooo00<000000?ooo`3oool0B`3o
ool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo0200oooo000Q0?ooo`030000003oool0
oooo06l0oooo00<000000?ooo`3oool0C@3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0
oooo0200oooo000Q0?ooo`030000003oool0oooo06l0oooo00<000000?ooo`3oool0C@3oool00`00
0000oooo0?ooo`0G0?ooo`030000003oool0oooo0200oooo000R0?ooo`030000003oool0oooo06h0
oooo00<000000?ooo`3oool0CP3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo0240
oooo000R0?ooo`030000003oool0oooo06h0oooo00<000000?ooo`3oool0C`3oool00`000000oooo
0?ooo`0D0?ooo`030000003oool0oooo0240oooo000R0?ooo`030000003oool0oooo06h0oooo00<0
00000?ooo`3oool0D03oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0240oooo000R
0?ooo`030000003oool0oooo06h0oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`0B
0?ooo`030000003oool0oooo0240oooo000R0?ooo`030000003oool0oooo06h0oooo00<000000?oo
o`3oool0D@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo0240oooo000S0?ooo`03
0000003oool0oooo06d0oooo00<000000?ooo`3oool0DP3oool00`000000oooo0?ooo`0@0?ooo`03
0000003oool0oooo0280oooo000S0?ooo`030000003oool0oooo06d0oooo00<000000?ooo`3oool0
D`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0280oooo000S0?ooo`030000003o
ool0oooo06d0oooo00<000000?ooo`3oool0E03oool00`000000oooo0?ooo`0>0?ooo`030000003o
ool0oooo0280oooo000M0?ooo`@000000P3oool00`000000oooo0?ooo`1]0?ooo`030000003oool0
oooo05@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`080?ooo`030000003oool0
oooo0280oooo000M0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0K03oool00`00
0000oooo0?ooo`1E0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`0S0?ooo`007P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo06`0
oooo00<000000?ooo`3oool0EP3oool01@000000oooo0?ooo`3oool0000000T0oooo00<000000?oo
o`3oool08`3oool001l0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`1/0?ooo`03
0000003oool0oooo05L0oooo00D000000?ooo`3oool0oooo000000080?ooo`030000003oool0oooo
02<0oooo000M0?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool0K03oool00`00
0000oooo0?ooo`1H0?ooo`040000003oool0oooo000000P0oooo00<000000?ooo`3oool08`3oool0
01h0oooo0P0000050?ooo`030000003oool0oooo06/0oooo00<000000?ooo`3oool0F03oool40000
00L0oooo00<000000?ooo`3oool0903oool002D0oooo00<000000?ooo`3oool0J`3oool00`000000
oooo0?ooo`1I0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0903oool002D0oooo
00<000000?ooo`3oool0J`3oool00`000000oooo0?ooo`1J0?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool0903oool002D0oooo00<000000?ooo`3oool0JP3oool00`000000oooo0?oo
o`1L0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0903oool002D0oooo00<00000
0?ooo`3oool0JP3oool00`000000oooo0?ooo`1M0?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0903oool002H0oooo00<000000?ooo`3oool0J@3oool00`000000oooo0?ooo`1M0?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool09@3oool002H0oooo00<000000?ooo`3o
ool0J@3oool00`000000oooo0?ooo`1N0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool09@3oool002H0oooo00<000000?ooo`3oool0J@3oool00`000000oooo0?ooo`1O0?ooo`050000
003oool0oooo0?ooo`0000009`3oool002H0oooo00<000000?ooo`3oool0J@3oool00`000000oooo
0?ooo`1P0?ooo`040000003oool0oooo000002L0oooo000U0?ooo`<00000JP3oool00`000000oooo
0?ooo`1P0?ooo`@000009`3oool002@0oooo1@00001Y0?ooo`030000003oool0oooo0600oooo1@00
000V0?ooo`008`3oool7000006P0oooo00<000000?ooo`3oool0G`3oool7000002D0oooo000S0?oo
o`L00000J03oool00`000000oooo0?ooo`1O0?ooo`L000009@3oool002<0oooo2@00001V0?ooo`03
0000003oool0oooo05h0oooo2000000U0?ooo`00903oool5000000<0oooo0P00001T0?ooo`030000
003oool0oooo05`0oooo0P0000020?ooo`D000009P3oool002D0oooo0`0000060?ooo`800000HP3o
ool00`000000oooo0?ooo`1J0?ooo`8000001@3oool3000002L0oooo000`0?ooo`800000H03oool0
0`000000oooo0?ooo`1H0?ooo`800000<@3oool00380oooo0P00001N0?ooo`030000003oool0oooo
05H0oooo0P00000c0?ooo`00=03oool2000005`0oooo00<000000?ooo`3oool0E03oool2000003D0
oooo000f0?ooo`800000FP3oool00`000000oooo0?ooo`1B0?ooo`800000=`3oool003P0oooo0P00
001G0?ooo`030000003oool0oooo0540oooo0P00000i0?ooo`00>P3oool2000005D0oooo00<00000
0?ooo`3oool0C`3oool2000003/0oooo000l0?ooo`800000D`3oool00`000000oooo0?ooo`1=0?oo
o`800000?@3oool003h0oooo0P00001A0?ooo`030000003oool0oooo04/0oooo0P00000o0?ooo`00
@03oool2000004l0oooo00<000000?ooo`3oool0B@3oool200000440oooo00120?ooo`800000C@3o
ool00`000000oooo0?ooo`170?ooo`800000@`3oool004@0oooo0P00001;0?ooo`030000003oool0
oooo04D0oooo0P0000150?ooo`00AP3oool2000004T0oooo00<000000?ooo`3oool0@`3oool20000
04L0oooo00180?ooo`800000A`3oool00`000000oooo0?ooo`110?ooo`800000B@3oool004X0oooo
0P0000150?ooo`030000003oool0oooo03l0oooo0P00001;0?ooo`00C03oool2000004<0oooo00<0
00000?ooo`3oool0?@3oool2000004d0oooo001>0?ooo`800000@@3oool00`000000oooo0?ooo`0k
0?ooo`800000C`3oool00500oooo0P00000o0?ooo`030000003oool0oooo03T0oooo0P00001A0?oo
o`00DP3oool2000003d0oooo00<000000?ooo`3oool0=`3oool2000005<0oooo001D0?ooo`800000
>`3oool00`000000oooo0?ooo`0e0?ooo`800000E@3oool005H0oooo0P00000i0?ooo`030000003o
ool0oooo03<0oooo0P00001G0?ooo`00F03oool2000003L0oooo00<000000?ooo`3oool0<@3oool2
000005T0oooo001J0?ooo`800000=03oool00`000000oooo0?ooo`0`0?ooo`800000F`3oool005`0
oooo0P00000b0?ooo`030000003oool0oooo02h0oooo0P00001M0?ooo`00GP3oool200000300oooo
00<000000?ooo`3oool0;03oool2000005l0oooo001P0?ooo`800000;P3oool00`000000oooo0?oo
o`0Z0?ooo`800000H@3oool00680oooo0P00000/0?ooo`030000003oool0oooo02P0oooo0P00001S
0?ooo`00I03oool2000002X0oooo00<000000?ooo`3oool09P3oool2000006D0oooo001V0?ooo`80
0000:03oool00`000000oooo0?ooo`0T0?ooo`800000I`3oool006P0oooo0P00000V0?ooo`030000
003oool0oooo0280oooo0P00001Y0?ooo`00JP3oool2000002@0oooo00<000000?ooo`3oool0803o
ool2000006/0oooo001/0?ooo`8000008P3oool00`000000oooo0?ooo`0N0?ooo`800000K@3oool0
06h0oooo0P00000E0?ooo`D000001P3oool00`000000oooo0?ooo`0L0?ooo`800000K`3oool00700
oooo0P00000E0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool06P3oool200000740
oooo001b0?ooo`8000004`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo01P0oooo
0P00001c0?ooo`00M03oool200000140oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`0F0?ooo`800000M@3oool007H0oooo0P00000?0?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool0503oool2000007L0oooo001h0?ooo`800000303oool2000000P0oooo00<000000?oo
o`3oool04P3oool2000007T0oooo001j0?ooo`800000503oool00`000000oooo0?ooo`0@0?ooo`80
0000N`3oool007`0oooo0P00000B0?ooo`030000003oool0oooo00h0oooo0P00001m0?ooo`00OP3o
ool2000000l0oooo00<000000?ooo`3oool03@3oool2000007l0oooo00200?ooo`8000003@3oool0
0`000000oooo0?ooo`0;0?ooo`800000P@3oool00880oooo0P00000;0?ooo`030000003oool0oooo
00T0oooo0P0000230?ooo`00Q03oool2000000T0oooo00<000000?ooo`3oool01`3oool2000008D0
oooo00260?ooo`8000001`3oool00`000000oooo0?ooo`050?ooo`800000Q`3oool008P0oooo0P00
00040?ooo`<00000103oool2000008T0oooo002:0?ooo`80000000<0oooo0000000000000`000000
0`3oool000000000002;0?ooo`00S03oool7000008d0oooo002<0?ooo`L00000S@3oool008`0oooo
1`00002=0?ooo`00S@3oool5000008h0oooo002>0?ooo`<00000S`3oool00?l0oooo8@3oool00?l0
oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0
oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00001\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-0.0500055, -0.0125564, \
0.00378856, 0.00370231}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" DrawPlanarEmbGraph",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["draws the planar embedding of a 3-connected graph given by the \
list of unordered pairs. As the basis of this program it is used the program \
\"",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["3-Dimensional Convex Drawings of 3-Connected Planar Graphs",
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["\" by M.Ochiai, N.Imafuji and N.Morimura. ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text",
  FontFamily->"Arial",
  FontVariations->{"CompatibilityType"->0}],

Cell[CellGroupData[{

Cell[BoxData[{
    StyleBox[\(K = {{1, 2}, {1, 3}, {1, 4}, {1, 5}, {2, 3}, {2, 4}, {2, 
              6}, {3, 5}, {3, 6}, {4, 5}, {4, 6}, {5, 6}};\),
      FontFamily->"Courier New",
      FontWeight->"Bold"], "\[IndentingNewLine]", 
    StyleBox[\(DrawPlanarEmbGraph[K]\),
      FontFamily->"Courier New",
      FontWeight->"Bold"]}], "Input",
  FontFamily->"Arial",
  FontWeight->"Plain",
  FontVariations->{"CompatibilityType"->0}],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0486285 0.97257 -0.1617 1.10638 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 g
.025 w
.5 .94468 Mdot
.04863 .05532 Mdot
.95137 .05532 Mdot
.40973 .41106 Mdot
.59027 .41106 Mdot
.5 .23319 Mdot
.5 Mabswid
[ ] 0 setdash
.5 .94468 m
.04863 .05532 L
s
.5 .94468 m
.95137 .05532 L
s
.5 .94468 m
.40973 .41106 L
s
.5 .94468 m
.59027 .41106 L
s
.04863 .05532 m
.5 .94468 L
s
.04863 .05532 m
.95137 .05532 L
s
.04863 .05532 m
.40973 .41106 L
s
.04863 .05532 m
.5 .23319 L
s
.95137 .05532 m
.5 .94468 L
s
.95137 .05532 m
.04863 .05532 L
s
.95137 .05532 m
.59027 .41106 L
s
.95137 .05532 m
.5 .23319 L
s
.40973 .41106 m
.5 .94468 L
s
.40973 .41106 m
.04863 .05532 L
s
.40973 .41106 m
.59027 .41106 L
s
.40973 .41106 m
.5 .23319 L
s
.59027 .41106 m
.5 .94468 L
s
.59027 .41106 m
.95137 .05532 L
s
.59027 .41106 m
.40973 .41106 L
s
.59027 .41106 m
.5 .23319 L
s
.5 .23319 m
.04863 .05532 L
s
.5 .23319 m
.95137 .05532 L
s
.5 .23319 m
.40973 .41106 L
s
.5 .23319 m
.59027 .41106 L
s
.5 .94468 m
.04863 .05532 L
s
.5 .94468 m
.95137 .05532 L
s
.5 .94468 m
.40973 .41106 L
s
.5 .94468 m
.59027 .41106 L
s
.04863 .05532 m
.5 .94468 L
s
.04863 .05532 m
.95137 .05532 L
s
.04863 .05532 m
.40973 .41106 L
s
.04863 .05532 m
.5 .23319 L
s
.95137 .05532 m
.5 .94468 L
s
.95137 .05532 m
.04863 .05532 L
s
.95137 .05532 m
.59027 .41106 L
s
.95137 .05532 m
.5 .23319 L
s
.40973 .41106 m
.5 .94468 L
s
.40973 .41106 m
.04863 .05532 L
s
.40973 .41106 m
.59027 .41106 L
s
.40973 .41106 m
.5 .23319 L
s
.59027 .41106 m
.5 .94468 L
s
.59027 .41106 m
.95137 .05532 L
s
.59027 .41106 m
.40973 .41106 L
s
.59027 .41106 m
.5 .23319 L
s
.5 .23319 m
.04863 .05532 L
s
.5 .23319 m
.95137 .05532 L
s
.5 .23319 m
.40973 .41106 L
s
.5 .23319 m
.59027 .41106 L
s
[(1)] .47082 .91149 0 1 Mshowa
[(2)] .01945 .02213 0 1 Mshowa
[(3)] .92219 .02213 0 1 Mshowa
[(4)] .38055 .37787 0 1 Mshowa
[(5)] .5611 .37787 0 1 Mshowa
[(6)] .47082 .2 0 1 Mshowa
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3ooolQ
0?ooo`00103oool00`000000oooo0?ooo`3o0?ooo`80oooo00<000000?ooo`3oool05@3oool000D0
oooo00<000000?ooo`3oool0o`3oool20?ooo`030000003oool0oooo01@0oooo00030?ooo`040000
003oool0oooo00000?l0oooo00@000000?ooo`3oool000005P3oool000@0oooo0P00003o0?ooo`80
oooo0P00000G0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?oo
o`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00303oool30000
0?l0oooo0@3oool3000000h0oooo000;0?ooo`D00000oP3oool5000000d0oooo000:0?ooo`L00000
o03oool7000000`0oooo000:0?ooool000002`00000<0?ooo`002P3oool700000?`0oooo1`00000<
0?ooo`002`3oool5000000040?ooo`000000000000000?L0oooo2000000=0?ooo`00303oool50000
00<0oooo0P00003c0?ooo`8000000`3oool4000000h0oooo000?0?ooo`030000003oool0000000@0
oooo0`00003]0?ooo`<00000103oool00`000000oooo0000000@0?ooo`00403oool00`000000oooo
000000060?ooo`<00000i`3oool3000000H0oooo00<000000?ooo`0000004@3oool00100oooo00@0
00000?ooo`3oool00000203oool200000><0oooo0P0000080?ooo`040000003oool0oooo00000140
oooo000A0?ooo`040000003oool0oooo000000T0oooo0`00003M0?ooo`<000002@3oool010000000
oooo0?ooo`00000B0?ooo`004@3oool01@000000oooo0?ooo`3oool0000000/0oooo0P00003I0?oo
o`8000002`3oool01@000000oooo0?ooo`3oool000000180oooo000B0?ooo`050000003oool0oooo
0?ooo`000000303oool300000=<0oooo0`00000<0?ooo`050000003oool0oooo0?ooo`0000004`3o
ool00180oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0<0?ooo`800000c`3oool2
000000h0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0A0?ooo`004`3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo00d0oooo0`0000390?ooo`<000003`3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo0180oooo000C0?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool03`3oool200000<D0oooo0P00000A0?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool04P3oool001@0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`0@0?ooo`<00000_`3oool300000180oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`0C0?ooo`00503oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0180oooo0P00
002k0?ooo`800000503oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo01<0oooo000E
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool04`3oool300000;D0oooo0`00000E
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0503oool001D0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`0E0?ooo`<00000[`3oool3000001L0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`0D0?ooo`005P3oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo01L0oooo0P00002[0?ooo`8000006@3oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo01D0oooo000F0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
603oool300000:D0oooo0`00000J0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
5@3oool001L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0J0?ooo`800000X@3o
ool2000001`0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0F0?ooo`005`3oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo01/0oooo0`00002K0?ooo`<000007@3oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo01H0oooo000H0?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool07@3oool2000009L0oooo0P00000O0?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool05`3oool001P0oooo00<000000?ooo`3oool0203oool00`000000
oooo0?ooo`0N0?ooo`<00000T@3oool300000200oooo00<000000?ooo`3oool0203oool00`000000
oooo0?ooo`0G0?ooo`006@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo0200oooo
0P00002=0?ooo`8000008P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo01P0oooo
000I0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool08@3oool3000008L0oooo0`00
000S0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0603oool001X0oooo00<00000
0?ooo`3oool02@3oool00`000000oooo0?ooo`0S0?ooo`800000P`3oool2000002D0oooo00<00000
0?ooo`3oool02@3oool00`000000oooo0?ooo`0I0?ooo`006P3oool00`000000oooo0?ooo`0:0?oo
o`8000009@3oool3000007d0oooo0`00000U0?ooo`800000303oool00`000000oooo0?ooo`0I0?oo
o`006`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo02D0oooo0`00001g0?ooo`<0
00009`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo01X0oooo000K0?ooo`030000
003oool0oooo00`0oooo00<000000?ooo`3oool09`3oool2000007<0oooo0P00000Y0?ooo`030000
003oool0oooo00`0oooo00<000000?ooo`3oool06P3oool001`0oooo00<000000?ooo`3oool0303o
ool00`000000oooo0?ooo`0X0?ooo`<00000K@3oool3000002X0oooo00<000000?ooo`3oool0303o
ool00`000000oooo0?ooo`0K0?ooo`00703oool00`000000oooo0?ooo`0=0?ooo`030000003oool0
oooo02X0oooo0P00001Y0?ooo`800000;03oool00`000000oooo0?ooo`0=0?ooo`030000003oool0
oooo01/0oooo000M0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0:`3oool30000
06<0oooo0`00000]0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0703oool001d0
oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0]0?ooo`800000G`3oool2000002l0
oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0L0?ooo`007P3oool00`000000oooo
0?ooo`0>0?ooo`030000003oool0oooo02h0oooo0`00001I0?ooo`<00000<03oool00`000000oooo
0?ooo`0>0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo00l0oooo00<0
00000?ooo`3oool0<03oool200000200oooo0`00000b0?ooo`800000<P3oool00`000000oooo0?oo
o`0?0?ooo`030000003oool0oooo01d0oooo000O0?ooo`030000003oool0oooo00l0oooo00<00000
0?ooo`3oool0<@3oool3000001d0oooo00@000000?ooo`3oool00000;P3oool3000003<0oooo00<0
00000?ooo`3oool03`3oool00`000000oooo0?ooo`0N0?ooo`007`3oool00`000000oooo0?ooo`0@
0?ooo`030000003oool0oooo03<0oooo0`00000J0?ooo`040000003oool0oooo000002/0oooo0`00
000e0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool07P3oool00200oooo00<00000
0?ooo`3oool0403oool00`000000oooo0?ooo`0e0?ooo`800000603oool3000002X0oooo0P00000g
0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool07`3oool00200oooo00<000000?oo
o`3oool04@3oool00`000000oooo0?ooo`0f0?ooo`<000005P3oool00`000000oooo0?ooo`0V0?oo
o`<00000>03oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo01l0oooo000Q0?ooo`03
0000003oool0oooo0140oooo00<000000?ooo`3oool0>03oool2000001@0oooo0`00000T0?ooo`80
0000>P3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo0200oooo000Q0?ooo`030000
003oool0oooo0180oooo00<000000?ooo`3oool0>@3oool3000003D0oooo0`00000k0?ooo`030000
003oool0oooo0180oooo00<000000?ooo`3oool0803oool00280oooo00<000000?ooo`3oool04P3o
ool00`000000oooo0?ooo`0k0?ooo`800000<@3oool2000003d0oooo00<000000?ooo`3oool04P3o
ool00`000000oooo0?ooo`0Q0?ooo`008P3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0
oooo03`0oooo0`00000[0?ooo`<00000?P3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0
oooo0240oooo000S0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0?P3oool20000
02L0oooo0P0000100?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool08P3oool002<0
oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0o0?ooo`<000008@3oool300000440
oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0R0?ooo`00903oool00`000000oooo
0?ooo`0D0?ooo`030000003oool0oooo0440oooo0P00000M0?ooo`800000@`3oool00`000000oooo
0?ooo`0D0?ooo`030000003oool0oooo02<0oooo000T0?ooo`030000003oool0oooo01D0oooo00<0
00000?ooo`3oool0@P3oool3000001L0oooo0`0000140?ooo`030000003oool0oooo01D0oooo00<0
00000?ooo`3oool08`3oool002D0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`14
0?ooo`<000004@3oool3000004H0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0T
0?ooo`009@3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo04H0oooo0P0000050?oo
o`<000001@3oool2000004P0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0T0?oo
o`009P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo04L0oooo0`0000000`3oool0
000000000003000000040?ooo`0000000000000004T0oooo00<000000?ooo`3oool05P3oool00`00
0000oooo0?ooo`0U0?ooo`009P3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo04T0
oooo1`00001;0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool09@3oool002L0oooo
00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`180?ooo`L00000BP3oool00`000000oooo
0?ooo`0G0?ooo`030000003oool0oooo02H0oooo000W0?ooo`030000003oool0oooo01P0oooo00<0
00000?ooo`3oool0A`3oool7000004T0oooo00<000000?ooo`3oool0603oool00`000000oooo0?oo
o`0V0?ooo`00:03oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo04L0oooo1@000019
0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool09`3oool002P0oooo00<000000?oo
o`3oool06@3oool00`000000oooo0?ooo`160?ooo`D00000B03oool00`000000oooo0?ooo`0I0?oo
o`030000003oool0oooo02L0oooo000Y0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3o
ool0A@3oool01@000000oooo0?ooo`3oool0000004L0oooo00<000000?ooo`3oool06@3oool00`00
0000oooo0?ooo`0X0?ooo`00:@3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo04<0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`130?ooo`030000003oool0oooo01X0
oooo00<000000?ooo`3oool0:03oool002X0oooo00<000000?ooo`3oool06P3oool00`000000oooo
0?ooo`120?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0@P3oool00`000000oooo
0?ooo`0J0?ooo`030000003oool0oooo02T0oooo000Z0?ooo`030000003oool0oooo01/0oooo00<0
00000?ooo`3oool0@03oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0400oooo00<0
00000?ooo`3oool06`3oool00`000000oooo0?ooo`0Y0?ooo`00:`3oool00`000000oooo0?ooo`0K
0?ooo`030000003oool0oooo03l0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0o
0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool0:P3oool002/0oooo00<000000?oo
o`3oool0703oool00`000000oooo0?ooo`0m0?ooo`030000003oool0oooo00L0oooo00<000000?oo
o`3oool0?@3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo02X0oooo000/0?ooo`03
0000003oool0oooo01`0oooo00<000000?ooo`3oool0?03oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo03`0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0[0?ooo`00
;03oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo03X0oooo00<000000?ooo`3oool0
2@3oool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0
:`3oool002d0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0i0?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?ooo`0M0?ooo`030000003o
ool0oooo02`0oooo000]0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0=`3oool0
0`000000oooo0?ooo`0;0?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3oool07@3oool0
0`000000oooo0?ooo`0]0?ooo`00;P3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo
03H0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0f0?ooo`030000003oool0oooo
01h0oooo00<000000?ooo`3oool0;@3oool002l0oooo00<000000?ooo`3oool07P3oool00`000000
oooo0?ooo`0d0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0=03oool00`000000
oooo0?ooo`0N0?ooo`030000003oool0oooo02h0oooo000_0?ooo`030000003oool0oooo01l0oooo
00<000000?ooo`3oool0<`3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo03<0oooo
00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0^0?ooo`00<03oool00`000000oooo0?oo
o`0O0?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool03`3oool00`000000oooo0?oo
o`0a0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0;`3oool00300oooo00<00000
0?ooo`3oool0803oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00l0oooo00<00000
0?ooo`3oool0<03oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo02l0oooo000a0?oo
o`030000003oool0oooo0200oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`0A0?oo
o`030000003oool0oooo02h0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0`0?oo
o`00<@3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3o
ool04@3oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3o
ool0<03oool00380oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0[0?ooo`030000
003oool0oooo01<0oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`0Q0?ooo`030000
003oool0oooo0340oooo000b0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0:P3o
ool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool08P3o
ool00`000000oooo0?ooo`0a0?ooo`00<`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0
oooo02P0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0X0?ooo`030000003oool0
oooo0280oooo00<000000?ooo`3oool0<P3oool003<0oooo00<000000?ooo`3oool08`3oool00`00
0000oooo0?ooo`0W0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool09`3oool00`00
0000oooo0?ooo`0S0?ooo`030000003oool0oooo0380oooo000d0?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo02D0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0c0?ooo`00=03oool00`000000oooo
0?ooo`0T0?ooo`8000009@3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo02<0oooo
0P00000V0?ooo`030000003oool0oooo03<0oooo000e0?ooo`030000003oool0oooo02D0oooo00<0
00000?ooo`3oool08@3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo0240oooo00<0
00000?ooo`3oool09@3oool00`000000oooo0?ooo`0d0?ooo`00=@3oool00`000000oooo0?ooo`0V
0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0P
0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0=03oool003H0oooo00<000000?oo
o`3oool09P3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo01/0oooo00<000000?oo
o`3oool07P3oool00`000000oooo0?ooo`0V0?ooo`030000003oool0oooo03D0oooo000f0?ooo`03
0000003oool0oooo02L0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0K0?ooo`03
0000003oool0oooo01d0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`0e0?ooo`00
=`3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool0
7@3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo02L0oooo00<000000?ooo`3oool0
=P3oool003L0oooo00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`0J0?ooo`030000003o
ool0oooo01d0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`0X0?ooo`030000003o
ool0oooo03H0oooo000h0?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3oool0603oool0
0`000000oooo0?ooo`0O0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0:03oool0
0`000000oooo0?ooo`0g0?ooo`00>03oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo
00H0oooo0`00000>0?ooo`030000003oool0oooo01l0oooo0P00000H0?ooo`030000003oool0oooo
02T0oooo00<000000?ooo`3oool0=`3oool003T0oooo00<000000?ooo`3oool0:@3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool07`3oool010000000
oooo00000000000F0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool0>03oool003T0
oooo00<000000?ooo`3oool0:P3oool00`000000oooo0?ooo`020?ooo`D000003@3oool00`000000
oooo0?ooo`0Q0?ooo`8000005@3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo03P0
oooo000j0?ooo`030000003oool0oooo02X0oooo00D000000?ooo`3oool0oooo000000020?ooo`03
0000003oool0oooo00/0oooo00<000000?ooo`3oool08@3oool3000001@0oooo00<000000?ooo`3o
ool0:P3oool00`000000oooo0?ooo`0i0?ooo`00>P3oool00`000000oooo0?ooo`0[0?ooo`070000
003oool0oooo0?ooo`000000oooo0000000=0?ooo`030000003oool0oooo0240oooo00<000000?oo
o`0000004`3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo03T0oooo000k0?ooo`03
0000003oool0oooo02/0oooo00@000000?ooo`3oool0oooo0P00000<0?ooo`030000003oool0oooo
0280oooo1000000A0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0>P3oool003/0
oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo02D0
oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo03X0
oooo000l0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool0303oool00`000000oooo
0?ooo`0W0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0;03oool00`000000oooo
0?ooo`0k0?ooo`00?03oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool09`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo02d0oooo00<0
00000?ooo`3oool0>`3oool003d0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0]
0?ooo`030000003oool0oooo03`0oooo000m0?ooo`030000003oool0oooo02h0oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool0;P3oool00`000000oooo0?ooo`0l0?ooo`00?P3oool00`000000oooo0?ooo`0^0?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo02h0oooo00<000000?ooo`3oool0?@3oool003h0oooo00<000000?ooo`3oool0
;`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo03d0oooo000o0?ooo`030000003o
ool0oooo02l0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0]0?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0n0?ooo`00?`3oool0
0`000000oooo0?ooo`0`0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0;@3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool0?P3oool0
0400oooo00<000000?ooo`3oool0<03oool400000340oooo1000000b0?ooo`030000003oool0oooo
03l0oooo00100?ooo`030000003oool0oooo0300oooo1@00000_0?ooo`D00000<P3oool00`000000
oooo0?ooo`0o0?ooo`00@@3oool00`000000oooo0?ooo`0^0?oooc/00000<03oool00`000000oooo
0?ooo`100?ooo`00@@3oool00`000000oooo0?ooo`0^0?ooo`L00000;@3oool700000300oooo00<0
00000?ooo`3oool0@03oool00480oooo00<000000?ooo`3oool0;@3oool7000002d0oooo1`00000_
0?ooo`030000003oool0oooo0440oooo00120?ooo`030000003oool0oooo02h0oooo1@00000_0?oo
o`D00000<03oool00`000000oooo0?ooo`110?ooo`00@`3oool00`000000oooo0?ooo`0^0?ooo`<0
0000<@3oool300000300oooo00<000000?ooo`3oool0@P3oool004<0oooo00<000000?ooo`3oool0
<03oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool0
@P3oool004@0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0_0?ooo`030000003o
ool0oooo02l0oooo00<000000?ooo`3oool0@`3oool004@0oooo00<000000?ooo`3oool0;`3oool0
0`000000oooo0?ooo`0_0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool0@`3oool0
04D0oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo
02h0oooo00<000000?ooo`3oool0A03oool004D0oooo00<000000?ooo`3oool0;`3oool00`000000
oooo0?ooo`0]0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool0A03oool004H0oooo
00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo02h0oooo
00<000000?ooo`3oool0A@3oool004H0oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?oo
o`0]0?ooo`030000003oool0oooo02h0oooo00<000000?ooo`3oool0A@3oool004L0oooo00<00000
0?ooo`3oool0;@3oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo02d0oooo00<00000
0?ooo`3oool0AP3oool004L0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`0]0?oo
o`030000003oool0oooo02d0oooo00<000000?ooo`3oool0AP3oool004P0oooo00<000000?ooo`3o
ool0;03oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3o
ool0A`3oool004P0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`0[0?ooo`030000
003oool0oooo02d0oooo00<000000?ooo`3oool0A`3oool004T0oooo00<000000?ooo`3oool0;03o
ool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool0B03o
ool004T0oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`0[0?ooo`030000003oool0
oooo02`0oooo00<000000?ooo`3oool0B03oool004X0oooo00<000000?ooo`3oool0:`3oool00`00
0000oooo0?ooo`0[0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0B@3oool004X0
oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo02/0
oooo00<000000?ooo`3oool0B@3oool004/0oooo00<000000?ooo`3oool0:P3oool00`000000oooo
0?ooo`0[0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool0BP3oool004/0oooo00<0
00000?ooo`3oool0:`3oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo02/0oooo00<0
00000?ooo`3oool0BP3oool004`0oooo00<000000?ooo`3oool0:P3oool00`000000oooo0?ooo`0Y
0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool0B`3oool004`0oooo00<000000?oo
o`3oool0:P3oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo02X0oooo00<000000?oo
o`3oool0B`3oool004d0oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`0Y0?ooo`03
0000003oool0oooo02T0oooo00<000000?ooo`3oool0C03oool004d0oooo00<000000?ooo`3oool0
:@3oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool0
C03oool004h0oooo00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`0Y0?ooo`030000003o
ool0oooo02P0oooo00<000000?ooo`3oool0C@3oool004l0oooo00<000000?ooo`3oool0:03oool0
0`000000oooo0?ooo`0W0?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3oool0CP3oool0
04l0oooo00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo
02P0oooo00<000000?ooo`3oool0CP3oool00500oooo00<000000?ooo`3oool09`3oool00`000000
oooo0?ooo`0W0?ooo`030000003oool0oooo02L0oooo00<000000?ooo`3oool0C`3oool00500oooo
00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo02L0oooo
00<000000?ooo`3oool0C`3oool00540oooo00<000000?ooo`3oool09P3oool00`000000oooo0?oo
o`0W0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0D03oool00540oooo00<00000
0?ooo`3oool09P3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo02H0oooo00<00000
0?ooo`3oool0D03oool00580oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`0U0?oo
o`030000003oool0oooo02H0oooo00<000000?ooo`3oool0D@3oool00580oooo00<000000?ooo`3o
ool09P3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3o
ool0D@3oool005<0oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`0U0?ooo`030000
003oool0oooo02D0oooo00<000000?ooo`3oool0DP3oool005<0oooo00<000000?ooo`3oool09@3o
ool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool0DP3o
ool005@0oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`0U0?ooo`030000003oool0
oooo02@0oooo00<000000?ooo`3oool0D`3oool005@0oooo00<000000?ooo`3oool0903oool00`00
0000oooo0?ooo`0U0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool0D`3oool005D0
oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02@0
oooo00<000000?ooo`3oool0E03oool005D0oooo00<000000?ooo`3oool0903oool00`000000oooo
0?ooo`0S0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool0E03oool005H0oooo00<0
00000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<0
00000?ooo`3oool0E@3oool005H0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S
0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0E@3oool005L0oooo00<000000?oo
o`3oool08P3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo0280oooo00<000000?oo
o`3oool0EP3oool005L0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0S0?ooo`03
0000003oool0oooo0280oooo00<000000?ooo`3oool0EP3oool005P0oooo00<000000?ooo`3oool0
8P3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0
E`3oool005P0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0Q0?ooo`030000003o
ool0oooo0280oooo00<000000?ooo`3oool0E`3oool005T0oooo00<000000?ooo`3oool08@3oool0
0`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool0F03oool0
05T0oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo
0240oooo00<000000?ooo`3oool0F03oool005X0oooo00<000000?ooo`3oool0803oool00`000000
oooo0?ooo`0Q0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0F@3oool005X0oooo
00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0200oooo
00<000000?ooo`3oool0F@3oool005/0oooo00<000000?ooo`3oool0803oool00`000000oooo0?oo
o`0O0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0FP3oool005/0oooo00<00000
0?ooo`3oool0803oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo0200oooo00<00000
0?ooo`3oool0FP3oool005`0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0O0?oo
o`030000003oool0oooo01l0oooo00<000000?ooo`3oool0F`3oool005`0oooo00<000000?ooo`3o
ool07`3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3o
ool0F`3oool005d0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`0O0?ooo`030000
003oool0oooo01h0oooo00<000000?ooo`3oool0G03oool005d0oooo00<000000?ooo`3oool07P3o
ool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0G03o
ool005h0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0
oooo01h0oooo00<000000?ooo`3oool0G@3oool005h0oooo00<000000?ooo`3oool07P3oool00`00
0000oooo0?ooo`0M0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0G@3oool005l0
oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo01d0
oooo00<000000?ooo`3oool0GP3oool005l0oooo00<000000?ooo`3oool07@3oool00`000000oooo
0?ooo`0M0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0GP3oool00600oooo00<0
00000?ooo`3oool0703oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo01`0oooo00<0
00000?ooo`3oool0G`3oool00600oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0M
0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0G`3oool00640oooo00<000000?oo
o`3oool0703oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo01`0oooo00<000000?oo
o`3oool0H03oool00640oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0K0?ooo`03
0000003oool0oooo01`0oooo00<000000?ooo`3oool0H03oool00680oooo00<000000?ooo`3oool0
6`3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool0
H@3oool00680oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0K0?ooo`030000003o
ool0oooo01/0oooo00<000000?ooo`3oool0H@3oool006<0oooo00<000000?ooo`3oool06P3oool0
0`000000oooo0?ooo`0K0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0HP3oool0
06<0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo
01X0oooo00<000000?ooo`3oool0HP3oool006@0oooo00<000000?ooo`3oool06P3oool00`000000
oooo0?ooo`0I0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0H`3oool006@0oooo
00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo01X0oooo
00<000000?ooo`3oool0H`3oool006D0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?oo
o`0I0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool0I03oool006D0oooo00<00000
0?ooo`3oool06@3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo01T0oooo00<00000
0?ooo`3oool0I03oool006H0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0I0?oo
o`030000003oool0oooo01P0oooo00<000000?ooo`3oool0I@3oool006H0oooo00<000000?ooo`3o
ool0603oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3o
ool0I@3oool006L0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0G0?ooo`030000
003oool0oooo01P0oooo00<000000?ooo`3oool0IP3oool006L0oooo00<000000?ooo`3oool0603o
ool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0IP3o
ool006P0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0
oooo01L0oooo00<000000?ooo`3oool0I`3oool006P0oooo00<000000?ooo`3oool05`3oool00`00
0000oooo0?ooo`0G0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0I`3oool006T0
oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo01H0
oooo00<000000?ooo`3oool0J03oool006T0oooo00<000000?ooo`3oool05`3oool00`000000oooo
0?ooo`0E0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0J03oool006X0oooo00<0
00000?ooo`3oool05P3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01H0oooo00<0
00000?ooo`3oool0J@3oool006X0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0E
0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0J@3oool006/0oooo00<000000?oo
o`3oool05@3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01D0oooo00<000000?oo
o`3oool0JP3oool006/0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0E0?ooo`03
0000003oool0oooo01D0oooo00<000000?ooo`3oool0JP3oool006`0oooo00<000000?ooo`3oool0
503oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0
J`3oool006`0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0C0?ooo`030000003o
ool0oooo01D0oooo00<000000?ooo`3oool0J`3oool006d0oooo00<000000?ooo`3oool0503oool0
0`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0K03oool0
06d0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo
01@0oooo00<000000?ooo`3oool0K03oool006h0oooo00<000000?ooo`3oool04`3oool00`000000
oooo0?ooo`0C0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0K@3oool006h0oooo
00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0180oooo
00<000000?ooo`3oool0KP3oool006l0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?oo
o`0C0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0KP3oool00700oooo00<00000
0?ooo`3oool04P3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo0180oooo00<00000
0?ooo`3oool0K`3oool00700oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0A0?oo
o`030000003oool0oooo0180oooo00<000000?ooo`3oool0K`3oool00740oooo00<000000?ooo`3o
ool04@3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3o
ool0L03oool00740oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0A0?ooo`030000
003oool0oooo0140oooo00<000000?ooo`3oool0L03oool00780oooo00<000000?ooo`3oool0403o
ool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0L@3o
ool00780oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0A0?ooo`030000003oool0
oooo0100oooo00<000000?ooo`3oool0L@3oool007<0oooo00<000000?ooo`3oool0403oool00`00
0000oooo0?ooo`0?0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0LP3oool007<0
oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0100
oooo00<000000?ooo`3oool0LP3oool007@0oooo00<000000?ooo`3oool03`3oool00`000000oooo
0?ooo`0?0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0L`3oool007@0oooo00<0
00000?ooo`3oool03`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00l0oooo00<0
00000?ooo`3oool0L`3oool007D0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0?
0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0M03oool007D0oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool0M03oool007H0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0=0?ooo`03
0000003oool0oooo00h0oooo00<000000?ooo`3oool0M@3oool007H0oooo00<000000?ooo`3oool0
3P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0
M@3oool007L0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0=0?ooo`030000003o
ool0oooo00d0oooo00<000000?ooo`3oool0MP3oool007L0oooo00<000000?ooo`3oool03@3oool0
0`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0MP3oool0
07P0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo
00`0oooo00<000000?ooo`3oool0M`3oool007P0oooo00<000000?ooo`3oool0303oool00`000000
oooo0?ooo`0=0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0M`3oool007T0oooo
00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00`0oooo
00<000000?ooo`3oool0N03oool007T0oooo00<000000?ooo`3oool0303oool00`000000oooo0?oo
o`0;0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0N03oool007X0oooo00<00000
0?ooo`3oool02`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00/0oooo00<00000
0?ooo`3oool0N@3oool007X0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0;0?oo
o`030000003oool0oooo00/0oooo00<000000?ooo`3oool0N@3oool007/0oooo00<000000?ooo`3o
ool02P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool0NP3oool007/0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0;0?ooo`030000
003oool0oooo00X0oooo00<000000?ooo`3oool0NP3oool007`0oooo00<000000?ooo`3oool02P3o
ool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0N`3o
ool007`0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`090?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool0N`3oool007d0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0O03oool007d0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool0O03oool007h0oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`090?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0O@3oool007h0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool0O@3oool007l0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0OP3oool007l0oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool0OP3oool00800oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool0O`3oool00800oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0
O`3oool00840oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool0P03oool00840oooo00<000000?ooo`3oool01P3oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0P03oool0
0880oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool0P@3oool00880oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0P@3oool008<0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool0PP3oool008<0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0PP3oool008@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0P`3oool008@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0P`3oool008D0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0Q03oool008D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0Q03oool008D0oooo1@0000020?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`250?ooo`00QP3oool2
000000@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo08D0oooo00270?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo08H0oooo00270?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo08H0
oooo00270?ooo`800000103oool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3o
ool0Q`3oool008H0oooo0`0000040?ooo`050000003oool0oooo0?ooo`000000103oool00`000000
oooo0?ooo`270?ooo`00R@3oool01@000000oooo0?ooo`3oool0000000<0oooo00D000000?ooo`3o
ool0oooo0000002:0?ooo`00R@3oool01@000000oooo0?ooo`3oool0000000<0oooo00D000000?oo
o`3oool0oooo0000002:0?ooo`00RP3oool010000000oooo0?ooo`0000030?ooo`040000003oool0
oooo000008/0oooo002:0?ooo`040000003oool0oooo000000<0oooo00@000000?ooo`3oool00000
R`3oool008/0oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0oooo08X0
oooo002;0?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo0?ooo`2:0?oo
o`00S03oool01`000000oooo0000003oool000000?ooo`000000S@3oool008`0oooo00L000000?oo
o`000000oooo0000003oool0000008d0oooo002=0?ooo`80000000<0oooo000000000000SP3oool0
08d0oooo1@00002>0?ooo`00S@3oool5000008h0oooo002<0?ooo`L00000S@3oool008`0oooo1`00
002=0?ooo`00S03oool7000008d0oooo002=0?ooo`D00000SP3oool008h0oooo0`00002?0?ooo`00
o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00
o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00
o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-0.0500051, 0.146148, \
0.00358263, 0.00314933}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["fEdmonds",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["gives list of polygons, characteristic and genus of graph given \
as a list of unordered pairs.  ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(G = {{1, 4}, {1, 5}, {1, 6}, {2, 4}, {2, 5}, {2, 6}, {3, 4}, {3, 
            5}, {3, 6}};\)\), "\[IndentingNewLine]", 
    \(fEdmonds[G]\)}], "Input"],

Cell[BoxData[
    \({{{{4, 5, 6}, {4, 5, 6}, {4, 5, 6}, {1, 2, 3}, {1, 2, 3}, {1, 3, 
            2}}, {{1, 4, 2, 5, 3, 6, 2, 4, 3, 5, 1, 6, 3, 4, 1, 5, 2, 
            6}}, \(-2\), 
        2}, {{{4, 5, 6}, {4, 5, 6}, {4, 6, 5}, {1, 2, 3}, {1, 2, 3}, {1, 3, 
            2}}, {{1, 4, 2, 5, 3, 4, 1, 5, 2, 6}, {1, 6, 3, 5}, {2, 4, 3, 
            6}}, 0, 1}, {{{4, 5, 6}, {4, 5, 6}, {4, 5, 6}, {1, 2, 3}, {1, 2, 
            3}, {1, 2, 3}}, {{1, 4, 2, 5, 3, 6}, {1, 5, 2, 6, 3, 4}, {1, 6, 
            2, 4, 3, 5}}, 0, 1}}\)], "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Conversion functions",
  FontSize->18,
  FontWeight->"Bold",
  FontColor->RGBColor[0.500008, 0, 0]]], "Section",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["fFindCon",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" finds standard Conway symbol of any alternating ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" with at most 12 vertices given by its Conway symbol, Dowker code \
with signs, or P-data. ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(pdata\  = \ GetPdatabyTracking[]\), "\[IndentingNewLine]", 
    \(fFindCon[pdata]\)}], "Input"],

Cell[BoxData[
    \({{3}, {\(-5\), \(-1\), \(-3\)}}\)], "Output"],

Cell[BoxData[
    \("3"\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = \ "\<102*2......2 0\>";\)\), "\[IndentingNewLine]", 
    \(fFindCon[K]\)}], "Input"],

Cell[BoxData[
    \("102*2....2 0"\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD\  = \ {{9, 3}, {8, 20, \(-22\), \(-14\), 2, \(-4\), 18, 
            24, \(-6\), \(-10\), 12, 16}};\)\), "\[IndentingNewLine]", 
    \(fFindCon[DD]\)}], "Input"],

Cell[BoxData[
    \("102*2....2 0"\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata\  = {{9, 3}, {\(-8\), \(-20\), 22, 14, \(-2\), 
            4, \(-18\), \(-24\), 6, 
            10, \(-12\), \(-16\)}};\)\), "\[IndentingNewLine]", 
    \(fFindCon[pdata]\)}], "Input"],

Cell[BoxData[
    \("102*2....2 0"\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fClassicToCon",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["gives Conway symbol of a ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" given in classical notation (according to D. Rolfsen). ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<8_12\>";\)\), "\[IndentingNewLine]", 
    \(fClassicToCon[K]\)}], "Input"],

Cell[BoxData[
    \("2 2 2 2"\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fPDataFromDow",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["calculates P-data from Dowker code in ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["Knotscape",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" format (without signs for an alternating prime ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[", or from Dowker code with signs of changed crossings for a \
non-alternating prime ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[") (example \"2,2,-2\"). ",
    FontColor->RGBColor[0.501961, 0, 0]]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{2, 2, 2}, {8, \(-10\), 2, 12, 6, 
            4}};\)\), "\[IndentingNewLine]", 
    \(pd = fPDataFromDow[DD]\)}], "Input"],

Cell[BoxData[
    \({{2, 2, 2}, {\(-8\), \(-2\), 12, 6, 3, \(-4\)}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fPDataFromDowker",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["calculates P-data from Dowker code with signs. ",
    FontColor->RGBColor[0.501961, 0, 0]]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{2, 2, 2}, {\(-8\), 10, \(-2\), 12, 6, 
            4}};\)\), "\[IndentingNewLine]", 
    \(pd = fPDataFromDowker[DD]\)}], "Input"],

Cell[BoxData[
    \({{2, 2, 2}, {\(-5\), 10, 9, \(-1\), 4, 7}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["DowfromPD",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" produces Dowker code of a ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" from its ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" P-data",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[". ",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{\(pdata = {{4, 5, 3}, {18, 10, 12, 22, 2, 4, 
            6, \(-20\), \(-24\), \(-16\), \(-14\), 
            8}};\), "\[IndentingNewLine]", 
    StyleBox[\(fDowfromPD[pdata]\),
      FontColor->RGBColor[0.500008, 0, 0]]}], "Input"],

Cell[BoxData[
    \({{4, 5, 3}, {18, 10, 12, 22, 2, 4, 
        6, \(-20\), \(-24\), \(-16\), \(-14\), 8}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fKnotscapeDow ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["calculates from a Conway symbol of a ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" its Dowker code in a the ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["Knotscape",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" format: Dowker code  without signs for alternating ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[", or Dowker code with signs of changed crossings for \
non-alternating  ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[". ",
    FontColor->RGBColor[0.501961, 0, 0]]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<2 3,2,-2\>";\)\), "\[IndentingNewLine]", 
    \(fKnotscapeDow[K]\)}], "Input"],

Cell[BoxData[
    \({{7, 2}, {8, 18, 12, 10, 2, 6, \(-16\), 4, \(-14\)}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fSignsKL",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["calculates Dowker code with signs of  a ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" given by its  Dowker code in ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["Knotscape",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" form. For an alternating ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[", an input is Dowker code without signs, and for a non-alternatng \
",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" an input is Dowker code containing only signs of points with \
signs changed with regard to the corresponding alternating ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[". ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{9, \ 8}, {10, \ 26, \ 28, 32, \ 34, \ 2, \ 20, \ 22, \ 8, \ 
            14, \ 12, \ 16, \ 30, \ 4, \ 6, \ 24, \ 
            18}};\)\), "\[IndentingNewLine]", 
    \(fSignsKL[DD]\)}], "Input"],

Cell[BoxData[
    \({{9, 8}, {10, 26, 28, 32, \(-34\), 
        2, \(-20\), \(-22\), \(-8\), \(-14\), \(-12\), \(-16\), 30, 4, 6, 24, 
        18}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{9, \ 8}, {10, \ 26, \ 28, \ \(-32\), \ 34, \ 2, \ 20, \ 22, \ 
            8, \ 14, \ 12, \ 16, \ \(-30\), \ 4, \ 6, \ 24, \ 
            18}};\)\), "\[IndentingNewLine]", 
    \(fSignsKL[DD]\)}], "Input"],

Cell[BoxData[
    \({{9, 8}, {10, 26, 28, \(-32\), \(-34\), 
        2, \(-20\), \(-22\), \(-8\), \(-14\), \(-12\), \(-16\), \(-30\), 4, 
        6, 24, 18}}\)], "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Rational ",
    FontSize->18,
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSize->18,
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["s",
    FontSize->18,
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Section",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["RatReduce ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["reduces Conway symbol of a rational ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL.",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{\(K = "\<5 1 -2 2 2\>";\), "\[IndentingNewLine]", 
    RowBox[{"RatReduce", 
      StyleBox["[",
        FontColor->RGBColor[0.500008, 0, 0]], 
      StyleBox["K",
        FontColor->RGBColor[0.500008, 0, 0]], 
      StyleBox["]",
        FontColor->RGBColor[0.500008, 0, 0]]}]}], "Input",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[BoxData[
    \("7 1 2"\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["RationalKL ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["calculates the number and Conway symbols of all rational ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["-s ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" for a given number of crossings ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["n",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[".",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{\(n = 12;\), "\[IndentingNewLine]", 
    RowBox[{"RR", "=", 
      RowBox[{"RationalKL", 
        StyleBox["[",
          FontColor->RGBColor[0.500008, 0, 0]], 
        StyleBox["n",
          FontColor->RGBColor[0.500008, 0, 0]], 
        StyleBox["]",
          FontColor->RGBColor[0.500008, 0, 0]]}]}]}], "Input",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[BoxData[
    \(272\)], "Print"],

Cell[BoxData[
    \({"12", "6 6", "7 5", "8 4", "9 3", "10 2", "2 8 2", "3 6 3", "3 7 2", 
      "4 4 4", "4 5 3", "4 6 2", "5 2 5", "5 3 4", "5 4 3", "5 5 2", "6 1 5", 
      "6 2 4", "6 3 3", "6 4 2", "7 1 4", "7 2 3", "7 3 2", "8 1 3", "8 2 2", 
      "9 1 2", "2 4 4 2", "2 5 3 2", "2 6 2 2", "2 7 1 2", "3 1 6 2", 
      "3 2 5 2", "3 3 3 3", "3 3 4 2", "3 4 2 3", "3 4 3 2", "3 5 1 3", 
      "3 5 2 2", "3 6 1 2", "4 1 4 3", "4 1 5 2", "4 2 2 4", "4 2 3 3", 
      "4 2 4 2", "4 3 1 4", "4 3 2 3", "4 3 3 2", "4 4 1 3", "4 4 2 2", 
      "4 5 1 2", "5 1 1 5", "5 1 2 4", "5 1 3 3", "5 1 4 2", "5 2 1 4", 
      "5 2 2 3", "5 2 3 2", "5 3 1 3", "5 3 2 2", "5 4 1 2", "6 1 1 4", 
      "6 1 2 3", "6 1 3 2", "6 2 1 3", "6 2 2 2", "6 3 1 2", "7 1 1 3", 
      "7 1 2 2", "7 2 1 2", "8 1 1 2", "2 1 6 1 2", "2 2 4 2 2", "2 2 5 1 2", 
      "2 3 2 3 2", "2 3 3 2 2", "2 3 4 1 2", "2 4 1 3 2", "2 4 2 2 2", 
      "2 4 3 1 2", "2 5 1 2 2", "2 5 2 1 2", "2 6 1 1 2", "3 1 1 5 2", 
      "3 1 2 4 2", "3 1 3 3 2", "3 1 4 1 3", "3 1 4 2 2", "3 1 5 1 2", 
      "3 2 1 4 2", "3 2 2 2 3", "3 2 2 3 2", "3 2 3 1 3", "3 2 3 2 2", 
      "3 2 4 1 2", "3 3 1 2 3", "3 3 1 3 2", "3 3 2 1 3", "3 3 2 2 2", 
      "3 3 3 1 2", "3 4 1 1 3", "3 4 1 2 2", "3 4 2 1 2", "3 5 1 1 2", 
      "4 1 1 3 3", "4 1 1 4 2", "4 1 2 1 4", "4 1 2 2 3", "4 1 2 3 2", 
      "4 1 3 1 3", "4 1 3 2 2", "4 1 4 1 2", "4 2 1 1 4", "4 2 1 2 3", 
      "4 2 1 3 2", "4 2 2 1 3", "4 2 2 2 2", "4 2 3 1 2", "4 3 1 1 3", 
      "4 3 1 2 2", "4 3 2 1 2", "4 4 1 1 2", "5 1 1 1 4", "5 1 1 2 3", 
      "5 1 1 3 2", "5 1 2 1 3", "5 1 2 2 2", "5 1 3 1 2", "5 2 1 1 3", 
      "5 2 1 2 2", "5 2 2 1 2", "5 3 1 1 2", "6 1 1 1 3", "6 1 1 2 2", 
      "6 1 2 1 2", "6 2 1 1 2", "7 1 1 1 2", "2 1 3 3 1 2", "2 1 4 2 1 2", 
      "2 1 5 1 1 2", "2 2 1 4 1 2", "2 2 2 2 2 2", "2 2 2 3 1 2", 
      "2 2 3 1 2 2", "2 2 3 2 1 2", "2 2 4 1 1 2", "2 3 1 1 3 2", 
      "2 3 1 2 2 2", "2 3 1 3 1 2", "2 3 2 1 2 2", "2 3 2 2 1 2", 
      "2 3 3 1 1 2", "2 4 1 1 2 2", "2 4 1 2 1 2", "2 4 2 1 1 2", 
      "2 5 1 1 1 2", "3 1 1 1 4 2", "3 1 1 2 3 2", "3 1 1 3 2 2", 
      "3 1 1 4 1 2", "3 1 2 1 3 2", "3 1 2 2 1 3", "3 1 2 2 2 2", 
      "3 1 2 3 1 2", "3 1 3 1 1 3", "3 1 3 1 2 2", "3 1 3 2 1 2", 
      "3 1 4 1 1 2", "3 2 1 1 2 3", "3 2 1 1 3 2", "3 2 1 2 1 3", 
      "3 2 1 2 2 2", "3 2 1 3 1 2", "3 2 2 1 1 3", "3 2 2 1 2 2", 
      "3 2 2 2 1 2", "3 2 3 1 1 2", "3 3 1 1 1 3", "3 3 1 1 2 2", 
      "3 3 1 2 1 2", "3 3 2 1 1 2", "3 4 1 1 1 2", "4 1 1 1 1 4", 
      "4 1 1 1 2 3", "4 1 1 1 3 2", "4 1 1 2 1 3", "4 1 1 2 2 2", 
      "4 1 1 3 1 2", "4 1 2 1 1 3", "4 1 2 1 2 2", "4 1 2 2 1 2", 
      "4 1 3 1 1 2", "4 2 1 1 1 3", "4 2 1 1 2 2", "4 2 1 2 1 2", 
      "4 2 2 1 1 2", "4 3 1 1 1 2", "5 1 1 1 1 3", "5 1 1 1 2 2", 
      "5 1 1 2 1 2", "5 1 2 1 1 2", "5 2 1 1 1 2", "6 1 1 1 1 2", 
      "2 1 1 4 1 1 2", "2 1 2 2 2 1 2", "2 1 2 3 1 1 2", "2 1 3 1 2 1 2", 
      "2 1 3 2 1 1 2", "2 1 4 1 1 1 2", "2 2 1 1 3 1 2", "2 2 1 2 1 2 2", 
      "2 2 1 2 2 1 2", "2 2 1 3 1 1 2", "2 2 2 1 1 2 2", "2 2 2 1 2 1 2", 
      "2 2 2 2 1 1 2", "2 2 3 1 1 1 2", "2 3 1 1 1 2 2", "2 3 1 1 2 1 2", 
      "2 3 1 2 1 1 2", "2 3 2 1 1 1 2", "2 4 1 1 1 1 2", "3 1 1 1 1 3 2", 
      "3 1 1 1 2 2 2", "3 1 1 1 3 1 2", "3 1 1 2 1 1 3", "3 1 1 2 1 2 2", 
      "3 1 1 2 2 1 2", "3 1 1 3 1 1 2", "3 1 2 1 1 1 3", "3 1 2 1 1 2 2", 
      "3 1 2 1 2 1 2", "3 1 2 2 1 1 2", "3 1 3 1 1 1 2", "3 2 1 1 1 1 3", 
      "3 2 1 1 1 2 2", "3 2 1 1 2 1 2", "3 2 1 2 1 1 2", "3 2 2 1 1 1 2", 
      "3 3 1 1 1 1 2", "4 1 1 1 1 1 3", "4 1 1 1 1 2 2", "4 1 1 1 2 1 2", 
      "4 1 1 2 1 1 2", "4 1 2 1 1 1 2", "4 2 1 1 1 1 2", "5 1 1 1 1 1 2", 
      "2 1 1 2 2 1 1 2", "2 1 1 3 1 1 1 2", "2 1 2 1 1 2 1 2", 
      "2 1 2 1 2 1 1 2", "2 1 2 2 1 1 1 2", "2 1 3 1 1 1 1 2", 
      "2 2 1 1 1 1 2 2", "2 2 1 1 1 2 1 2", "2 2 1 1 2 1 1 2", 
      "2 2 1 2 1 1 1 2", "2 2 2 1 1 1 1 2", "2 3 1 1 1 1 1 2", 
      "3 1 1 1 1 1 1 3", "3 1 1 1 1 1 2 2", "3 1 1 1 1 2 1 2", 
      "3 1 1 1 2 1 1 2", "3 1 1 2 1 1 1 2", "3 1 2 1 1 1 1 2", 
      "3 2 1 1 1 1 1 2", "4 1 1 1 1 1 1 2", "2 1 1 1 2 1 1 1 2", 
      "2 1 1 2 1 1 1 1 2", "2 1 2 1 1 1 1 1 2", "2 2 1 1 1 1 1 1 2", 
      "3 1 1 1 1 1 1 1 2", "2 1 1 1 1 1 1 1 1 2"}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The number ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["R",
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" of rational ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["s",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" with a given number of crossings ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["n",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" is determined by the following general formula:",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(n = 23;\)\), "\[IndentingNewLine]", 
    \(R = 2^\((n - 4)\) + 2^\((IntegerPart[n/2] - 2)\)\)}], "Input"],

Cell[BoxData[
    \(524800\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The number ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["RK",
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" of rational ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["knots",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" with a given number of crossings ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["n",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" is determined by the following general formula:",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(n = 25;\)\), "\[IndentingNewLine]", 
    \(RK = \(Divide[
          2^\((n - 3)\) + 
            2^\((IntegerPart[n/2] - 
                  2^{Mod[n - 1, 2]})\) + \((\(-1\))\)^{n - 1} 
              Mod[IntegerPart[n/2], 2], 3]\)[\([1]\)]\)}], "Input"],

Cell[BoxData[
    \(1398784\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The number ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["RL",
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" of rational ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["links",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" with a given number of crossings ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["n",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" is determined by the following general formula:",
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(n = 12;\)\), "\[IndentingNewLine]", 
    \(\(R = 
        2^\((n - 4)\) + 
          2^\((IntegerPart[n/2] - 2)\);\)\), "\[IndentingNewLine]", 
    \(\(RK = 
        Divide[2^\((n - 3)\) + 
            2^\((IntegerPart[n/2] - 
                  2^{Mod[n - 1, 2]})\) + \((\(-1\))\)^{n - 1} 
              Mod[IntegerPart[n/2], 2], 3];\)\), "\[IndentingNewLine]", 
    \(RL = \((R - RK)\)[\([1]\)]\)}], "Input"],

Cell[BoxData[
    \(96\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["RationalAmphiK ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["calculates the number and Conway symbols of all rational \
amphicheiral knots for a given number of crossings ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["n",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[".",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(n = 14;\)\), "\[IndentingNewLine]", 
    \(RationalAmphiK[n]\)}], "Input"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \({"6 1 1 6", "5 1 1 1 1 5", "4 3 3 4", "4 1 2 2 1 4", "4 1 1 1 1 1 1 4", 
      "3 3 1 1 3 3", "3 2 1 1 1 1 2 3", "3 1 3 3 1 3", "3 1 1 2 2 1 1 3", 
      "3 1 1 1 1 1 1 1 1 3", "2 5 5 2", "2 3 2 2 3 2", "2 3 1 1 1 1 3 2", 
      "2 2 2 1 1 2 2 2", "2 2 1 1 1 1 1 1 2 2", "2 1 4 4 1 2", 
      "2 1 3 1 1 3 1 2", "2 1 2 2 2 2 1 2", "2 1 1 3 3 1 1 2", 
      "2 1 1 2 1 1 2 1 1 2", "2 1 1 1 2 2 1 1 1 2"}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["RationalAmphiL ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["calculates the number and Conway symbols of all rational \
amphicheiral links for a given number of crossings ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["n",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[".",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(n = 6;\)\), "\[IndentingNewLine]", 
    \(RationalAmphiL[n]\)}], "Input"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \({"3 3"}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["RatGenSourKL ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["calculates the number and Conway symbols of all rational \
generating ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["s (for ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["k",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["=3) and rational source ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["s (for ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["k",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["=2) with ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["n",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" crossings.",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(n = 8;\)\), "\[IndentingNewLine]", 
    \(\(k = 2;\)\), "\[IndentingNewLine]", 
    \(RatGenSourKL[n, k]\)}], "Input"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \({"2 2 2 2", "2 1 2 1 2", "2 2 1 1 2", "2 1 1 1 1 2"}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["RatSourceKLNo ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["calculates the number of rational source ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["-s",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" (for ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["k",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["=2) with ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["n",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" crossings according to the general recursion formula: ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["b",
    FontSlant->"Italic"],
  "[0]=1, ",
  StyleBox["b",
    FontSlant->"Italic"],
  "[1]=1, ",
  StyleBox["b",
    FontSlant->"Italic"],
  "[2",
  StyleBox["n",
    FontSlant->"Italic"],
  "-2]+",
  StyleBox["b",
    FontSlant->"Italic"],
  "[2",
  StyleBox["n",
    FontSlant->"Italic"],
  "-1]=",
  StyleBox["b",
    FontSlant->"Italic"],
  "[2",
  StyleBox["n",
    FontSlant->"Italic"],
  "], ",
  StyleBox["b",
    FontSlant->"Italic"],
  "[2",
  StyleBox["n",
    FontSlant->"Italic"],
  "]+",
  StyleBox["b",
    FontSlant->"Italic"],
  "[2",
  StyleBox["n",
    FontSlant->"Italic"],
  "-1]-",
  StyleBox["f",
    FontSlant->"Italic"],
  "[",
  StyleBox["n",
    FontSlant->"Italic"],
  "-1]=",
  StyleBox["b",
    FontSlant->"Italic"],
  "[2",
  StyleBox["n",
    FontSlant->"Italic"],
  "+1], where ",
  StyleBox[" f",
    FontSlant->"Italic"],
  "  is the Fibonacci sequence given by recursion ",
  StyleBox["f",
    FontSlant->"Italic"],
  "[0]=1, ",
  StyleBox["f",
    FontSlant->"Italic"],
  "[1]=1,",
  StyleBox[" f",
    FontSlant->"Italic"],
  "[",
  StyleBox["n",
    FontSlant->"Italic"],
  "-2]+",
  StyleBox["f",
    FontSlant->"Italic"],
  "[",
  StyleBox["n",
    FontSlant->"Italic"],
  "-1]=",
  StyleBox["f",
    FontSlant->"Italic"],
  "[",
  StyleBox["n",
    FontSlant->"Italic"],
  "]. "
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(n = 8;\)\), "\[IndentingNewLine]", 
    \(RatSourceKLNo[n]\)}], "Input"],

Cell[BoxData[
    \(4\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["RatLinkU1 ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["calculates the number and Conway symbols of all rational links \
with the unlinking number 1 with ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["n",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" crossings.",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(n = 11;\)\), "\[IndentingNewLine]", 
    \(RatLinkU1[n]\)}], "Input"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \({"5 1 1 4", "2 3 1 1 2 2", "3 2 1 1 1 3", 
      "2 1 2 1 1 1 1 2"}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["RatLinkU0 ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["calculates the number and Conway symbols of all rational unlinks \
(",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["U",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["=0)  with ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["n",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" crossings.",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(n = 11;\)\), "\[IndentingNewLine]", 
    \(RatLinkU0[n]\)}], "Input"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \({"5 -1 1 4", "2 3 -1 1 2 2", "3 2 -1 1 1 3", 
      "2 1 2 -1 1 1 1 2"}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["RatKnotGenU1 ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["gives Conway symbols of all rational knots with the unknotting \
number 1 with ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["n",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" crossings.",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(n = 10;\)\), "\[IndentingNewLine]", 
    \(RatKnotGenU1[n]\)}], "Input"],

Cell[BoxData[
    \({"8 2", "5 1 1 1 2", "5 2 1 2", "3 2 1 1 3", "3 3 1 1 2", 
      "3 1 1 1 1 3", "3 1 2 1 1 2", "4 1 1 4", "5 1 1 3", "2 2 1 1 4", 
      "2 3 1 1 3", "3 1 1 1 2 2", "3 2 1 1 1 2", "2 1 1 1 1 2 2", 
      "2 1 2 1 1 1 2"}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["RatKnotGenU0 ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["gives Conway symbols of all rational links with the unlinking \
number 0 with ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["n",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" crossings.",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(n = 15;\)\), "\[IndentingNewLine]", 
    \(RatKnotGenU0[n]\)}], "Input"],

Cell[BoxData[
    \({"10 1 1 -1 2", "10 2 -1 2", "8 2 1 -1 3", "8 3 -1 1 2", 
      "8 1 1 1 -1 3", "8 1 2 -1 1 2", "6 3 1 -1 4", "6 4 -1 1 3", 
      "6 1 2 1 -1 4", "6 1 3 -1 1 3", "6 2 1 1 -1 2 2", "6 2 2 -1 1 1 2", 
      "6 1 1 1 1 -1 2 2", "6 1 1 2 -1 1 1 2", "4 4 1 -1 5", "4 5 -1 1 4", 
      "4 1 3 1 -1 5", "4 1 4 -1 1 4", "4 2 2 1 -1 3 2", "4 2 3 -1 1 2 2", 
      "4 3 1 1 -1 2 3", "4 3 2 -1 1 1 3", "4 1 1 2 1 -1 3 2", 
      "4 1 1 3 -1 1 2 2", "4 1 2 1 1 -1 2 3", "4 1 2 2 -1 1 1 3", 
      "4 2 1 1 1 -1 2 1 2", "4 2 1 2 -1 1 1 1 2", "4 1 1 1 1 1 -1 2 1 2", 
      "4 1 1 1 2 -1 1 1 1 2", "2 5 1 -1 6", "2 6 -1 1 5", "2 1 4 1 -1 6", 
      "2 1 5 -1 1 5", "2 2 3 1 -1 4 2", "2 2 4 -1 1 3 2", "2 3 2 1 -1 3 3", 
      "2 3 3 -1 1 2 3", "2 4 1 1 -1 2 4", "2 4 2 -1 1 1 4", 
      "2 1 1 3 1 -1 4 2", "2 1 1 4 -1 1 3 2", "2 1 2 2 1 -1 3 3", 
      "2 1 2 3 -1 1 2 3", "2 1 3 1 1 -1 2 4", "2 1 3 2 -1 1 1 4", 
      "2 2 1 2 1 -1 3 1 2", "2 2 1 3 -1 1 2 1 2", "2 2 2 1 1 -1 2 2 2", 
      "2 2 2 2 -1 1 1 2 2", "2 3 1 1 1 -1 2 1 3", "2 3 1 2 -1 1 1 1 3", 
      "2 1 1 1 2 1 -1 3 1 2", "2 1 1 1 3 -1 1 2 1 2", "2 1 1 2 1 1 -1 2 2 2", 
      "2 1 1 2 2 -1 1 1 2 2", "2 1 2 1 1 1 -1 2 1 3", "2 1 2 1 2 -1 1 1 1 3", 
      "2 2 1 1 1 1 -1 2 1 1 2", "2 2 1 1 2 -1 1 1 1 1 2", 
      "2 1 1 1 1 1 1 -1 2 1 1 2", "2 1 1 1 1 2 -1 1 1 1 1 2"}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["MSigRat ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["calculates the fraction and Murasugi signature of a rational ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" given by its Conway symbol.",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<3 1 3\>";\)\), "\[IndentingNewLine]", 
    \(MSigRat[K]\)}], "Input"],

Cell[BoxData[
    \(15\/4\)], "Print"],

Cell[BoxData[
    \(0\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["AllStatesRational ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["calculates all states of a given rational ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" given by its Conway symbol, i.e., all different variations of \
signs in a given projection of a rational ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[". The first datum in the result is the unknotting (unlinking) \
number obtained from the fixed projection of a given rational ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[",  followed by  the list of minimum numbers of crossing changes \
necessary to obtain the corresponding rational ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" given by its Conway symbol, i.e., the list of the ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" distances from a given rational KL projection.",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<5 1 4\>";\)\), "\[IndentingNewLine]", 
    \(AllStatesRational[K]\)}], "Input"],

Cell[BoxData[
    \({3, {{0, "Con: 5 1 4"}, {1, "Con: 3 1 2"}, {1, "Con: 3 1 4"}, {1, 
          "Con: 5 1 2"}, {2, "Con: 2 2"}, {2, "Con: 2 4"}, {2, "Con: 3"}, {2, 
          "Con: 5"}, {3, "Con: 1"}, {3, "Con: 7"}, {4, "Con: -1"}, {4, 
          "Con: -2 -3"}, {4, "Con: -2 -5"}, {4, "Con: 4 3"}, {4, 
          "Con: 6 3"}, {5, "Con: 2 3"}, {5, "Con: -3"}, {5, 
          "Con: -4 -3"}, {5, "Con: -4 -5"}, {5, "Con: 4 5"}, {6, 
          "Con: 2 5"}, {6, "Con: -5"}, {6, "Con: -6 -3"}, {7, 
          "Con: -2 -2"}, {7, "Con: -7"}, {8, "Con: -2 -4"}, {8, 
          "Con: -3 -1 -2"}, {9, "Con: -3 -1 -4"}, {9, "Con: -5 -1 -2"}, {10, 
          "Con: -5 -1 -4"}}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["UnR",
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" calculates estimated unknotting (unlinking)  number of a \
rational ",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox[" given by its Conway symbol.   ",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    StyleBox[\(K = "\<5 1 4\>";\),
      FontColor->RGBColor[0.500008, 0, 0]], "\n", 
    StyleBox[\(UnR[K]\),
      FontColor->RGBColor[0.500008, 0, 0]]}], "Input"],

Cell[BoxData[
    \({2}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fUnRFixProj",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["checks if a fixed projection of a rational ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" can be unknotted (unlinked) by ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["k ",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["crossing changes. The result is 1 for all ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["s that can be unknotted (unlinked) by ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["k",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" crossing changes, and 0",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" ",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["for the others.",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<5 1 4\>";\)\), "\[IndentingNewLine]", 
    \(\(i = 3;\)\), "\[IndentingNewLine]", 
    \(fUnRFixProj[K, i]\)}], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fGapRat",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["finds rational ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["s with an unlinking gap. The result is the unlinking gap, \
followed by the unlinking number of ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" and the unlinking number of its fixed minimal projection.",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<4 1 4\>";\)\), "\[IndentingNewLine]", 
    \(fGapRat[K]\)}], "Input"],

Cell[BoxData[
    \({1, {2, 3}, "4 1 4"}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function  ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["NMoveRat",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["calculates  the minimum number of ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["n",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["-moves neccessary to unknot a minimal projection of a rational ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL ",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["given by its Conway symbol for a given ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["n",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[".",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(n = 3;\)\), "\[IndentingNewLine]", 
    \(\(K = "\<11 9 2\>";\)\), "\[IndentingNewLine]", 
    \(NMoveRat[n, K]\)}], "Input"],

Cell[BoxData[
    \(7\)], "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Basic polyhedra",
  FontSize->18,
  FontWeight->"Bold",
  FontColor->RGBColor[0.500008, 0, 0]]], "Section",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fBasicPoly",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["finds the basic polyhedron for a ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" given by Dowker code, or P-data. ",
    FontColor->RGBColor[0.501961, 0, 0]]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{7, 3, 3}, {20, 10, 22, 18, 2, 26, \(-6\), 4, 
            12, \(-24\), \(-16\), 14, 8}};\)\), "\[IndentingNewLine]", 
    \(fBasicPoly[DD]\)}], "Input"],

Cell[BoxData[
    \("123*"\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata = {{7, 3, 
            3}, {\(-20\), \(-9\), \(-22\), \(-18\), \(-3\), \(-26\), 
            6, \(-4\), \(-12\), 24, 
            16, \(-14\), \(-8\)}};\)\), "\[IndentingNewLine]", 
    \(fBasicPoly[pdata]\)}], "Input"],

Cell[BoxData[
    \("123*"\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fCompositePoly",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["checks whether basic polyhedron given by its Conway symbol is \
elementary or composite. The result is 1 for composite, and 0 for elementary \
basic polyhedron.",
    FontColor->RGBColor[0.501961, 0, 0]]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<103*\>";\)\), "\n", 
    \(fCompositePoly[K]\)}], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fPolyFlype ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["checks whether basic polyhedron given by its Conway symbol \
permits flypes or not. The result is 1 for basic polyhedra permiting flypes, \
and 0 for the others.",
    FontColor->RGBColor[0.501961, 0, 0]]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = "\<113*\>";\)\), "\n", 
    \(fPolyFlype[K]\)}], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fProdTangles ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["gives the P-data of the product of non-algebraic tangles \
m5*,m7*,m81*-82*,m91*-m96*,m101*-m1011*,m111*-m1138* with an algebraic tangle \
placed in the basic polyhedron obtained (using the same notation as for \
polyhedral ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["s).  ",
    FontColor->RGBColor[0.501961, 0, 0]]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(s1 = "\<m5*\>";\)\), "\n", 
    \(\(s2 = "\<m7*\>";\)\), "\[IndentingNewLine]", 
    \(\(tt = "\<.2\>";\)\), "\[IndentingNewLine]", 
    \(fProdTangles[s1, s2, tt]\)}], "Input"],

Cell[BoxData[
    \({{13}, {\(-10\), 12, 18, \(-20\), 14, \(-16\), 8, 2, 22, \(-24\), 
        26, \(-4\), 6}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fSumTangles ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["gives the P-data of the sum of non-algebraic tangles \
m5*,m7*,m81*-82*,m91*-m96*,m101*-m1011*,m111*-m1138* with an algebraic tangle \
placed in the basic polyhedron obtained (using the same notation as for \
polyhedral ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["s).  ",
    FontColor->RGBColor[0.501961, 0, 0]]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(s1 = "\<m112*\>";\)\), "\n", 
    \(\(s2 = "\<m7*\>";\)\), "\[IndentingNewLine]", 
    \(\(tt = "\<.2\>";\)\), "\[IndentingNewLine]", 
    \(fSumTangles[s1, s2, tt]\)}], "Input"],

Cell[BoxData[
    \({{12, 7}, {38, 8, \(-10\), 12, \(-18\), 20, 28, \(-24\), 34, 4, \(-6\), 
        30, \(-32\), 2, \(-36\), 16, \(-26\), 22, 14}}\)], "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Derivation of ",
    FontSize->18,
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KL",
    FontSize->18,
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["s",
    FontSize->18,
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Section",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fDowCodes",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["generates all different projections of ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["s with ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["n",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" crossings, including non-prime ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["s. It uses the external program ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["plantri.exe",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" written by B.McKay and Gunnar Brinkmann. ",
    FontColor->RGBColor[0.501961, 0, 0]]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(n = 6;\)\), "\[IndentingNewLine]", 
    \(fDowCodes[n]\)}], "Input"],

Cell[BoxData[
    \({{{6}, {4, 6, 2, 10, 12, 8}}, {{6}, {4, 8, 10, 2, 12, 6}}, {{6}, {4, 8, 
          10, 12, 2, 6}}, {{6}, {4, 8, 12, 10, 2, 6}}, {{2, 4}, {6, 10, 2, 
          12, 4, 8}}, {{3, 3}, {4, 8, 10, 2, 12, 6}}, {{3, 3}, {8, 10, 12, 2, 
          6, 4}}, {{3, 3}, {8, 10, 12, 6, 2, 4}}, {{2, 2, 2}, {6, 8, 10, 12, 
          2, 4}}, {{2, 2, 2}, {6, 10, 2, 12, 4, 8}}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["fStellarBasic ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["produces list of stellar basic ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["s with",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" n",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" crossings. ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(n = 8;\)\), "\[IndentingNewLine]", 
    \(fStellarBasic[8]\)}], "Input"],

Cell[BoxData[
    \({"4,2,2", "3,3,2", "2,2,2,2"}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function  ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["fStellar ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["produces list of stellar ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["K",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["L",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["s with",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" n",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" crossings. ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(n = 8;\)\), "\[IndentingNewLine]", 
    \(fStellar[n]\)}], "Input"],

Cell[BoxData[
    \({"2,2,2,2", "4,2,2", "2 2,2,2", "3 1,2,2", "2 1 1,2,2", "3,3,2", 
      "2 1,2 1,2", "2 1,3,2"}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function  ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["fStellarPlus ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["produces list of stellar ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["s with",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" ",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["pluses",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" ",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["with",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" n",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" crossings. ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(n = 8;\)\), "\[IndentingNewLine]", 
    \(fStellarBasic[n]\)}], "Input"],

Cell[BoxData[
    \({"4,2,2", "3,3,2", "2,2,2,2"}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(n = 8;\)\), "\[IndentingNewLine]", 
    \(fStellar[n]\)}], "Input"],

Cell[BoxData[
    \({"2,2,2,2", "4,2,2", "2 2,2,2", "3 1,2,2", "2 1 1,2,2", "3,3,2", 
      "2 1,2 1,2", "2 1,3,2"}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(n = 8;\)\), "\[IndentingNewLine]", 
    \(fStellarPlus[n]\)}], "Input"],

Cell[BoxData[
    \({"2,2,2+2", "3,2,2+1", "2 1,2,2+1"}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["fStellarNalt",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["produces list of non-alternating stellar ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["s with",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" n",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" crossings. ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(n = 9;\)\), "\[IndentingNewLine]", 
    \(fStellarNalt[n]\)}], "Input"],

Cell[BoxData[
    \({"5,2,2+-1", "4,3,2+-1", "4 1,2,2+-1", "3,3,3+-1", "3 2,2,2+-1", 
      "3,2,2,2+-1", "3 1,3,2+-1", "3 1,2 1,2+-1", "3 1 1,2,2+-1", 
      "2 3,2,2+-1", "2 2,3,2+-1", "2 2,2 1,2+-1", "2 2 1,2,2+-1", 
      "2 1,4,2+-1", "2 1,3,3+-1", "2 1 2,2,2+-1", "2 1,2,2,2+-1", 
      "2 1,2 1,3+-1", "2 1,2 1,2 1+-1", "2 1 1,3,2+-1", "2 1 1,2 1,2+-1", 
      "2 1 1 1,2,2+-1", "3,2,2,2+-2"}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fGenKL",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["generates all different alternating ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["s with ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["n",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" crossings obtained from a given source ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[".",
    FontColor->RGBColor[0.501961, 0, 0]]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(n = 13;\)\), "\n", 
    \(\(K = "\<6*(2,2)\>";\)\), "\n", 
    \(fGenKL[n, K]\)}], "Input"],

Cell[BoxData[
    \({"6*(2 1 1,2 1 1)", "6*(2 2,2 2)", "6*(3 1,3 1)", "6*(4,4)", 
      "6*(2,2 1 1 1 1)", "6*(2,2 1 1 2)", "6*(2,2 1 2 1)", "6*(2,2 1 3)", 
      "6*(2,2 2 1 1)", "6*(2,2 2 2)", "6*(2,2 3 1)", "6*(2,2 4)", 
      "6*(2,3 1 1 1)", "6*(2,3 1 2)", "6*(2,3 2 1)", "6*(2,3 3)", 
      "6*(2,4 1 1)", "6*(2,4 2)", "6*(2,5 1)", "6*(2,6)", "6*(2 1,2 1 1 1)", 
      "6*(2 1,2 1 2)", "6*(2 1,2 2 1)", "6*(2 1,2 3)", "6*(2 1,3 1 1)", 
      "6*(2 1,3 2)", "6*(2 1,4 1)", "6*(2 1,5)", "6*(2 1 1,2 2)", 
      "6*(2 1 1,3 1)", "6*(2 1 1,4)", "6*(2 1 1 1,3)", "6*(2 1 2,3)", 
      "6*(2 2,3 1)", "6*(2 2,4)", "6*(2 2 1,3)", "6*(2 3,3)", "6*(3,3 1 1)", 
      "6*(3,3 2)", "6*(3,4 1)", "6*(3,5)", "6*(3 1,4)"}\)], "Output"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["KL",
    FontSize->18,
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["s and logic",
    FontSize->18,
    FontColor->RGBColor[0.500008, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Section",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["fBoolean",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["calculates the square-free polynomial for a given logical term.",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(tt = \((\(! \((\(! \((\(! b\) && \(! r\))\)\) && \(! \((\(! a\) && \
\(! r\))\)\) && \(! \((\(! x\) && r)\)\) && \(! \((\(! y\) && 
                        r)\)\))\)\))\) \[Equal] \((\(! \((\(! r\) && a && 
                    b)\)\) && \(! \((r && x && 
                    y)\)\))\);\)\), "\[IndentingNewLine]", 
    \(fBoolean[tt]\)}], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fAutoSigInp",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["calculates the stable states of an automat, given by a list of \
outgoing edges, signs of vertices and inputs in vertices. In the vertices \
with a sign 1 is used the operation ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["NOR",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[", and in the vertices -1 the operation ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["OR",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[". The result is the list of edge colorings corresponding to \
stable states and the list of stable states according to vertices (see L.H. \
Kauffmann: ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["Knot automata, ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["IEEE Computer Society Press Reprint",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" (1994), 328-333).",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["If the signlist is empty, it is computed as {1,...,1}, i.e. with \
",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["NOR",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" in all vertices. ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(G = {{{4, 5, 2}, {1, 6, 3}, {4, 6}, {3, 5}, {1}, {2}}, {}, {1, 
            2}};\)\), "\[IndentingNewLine]", 
    \(fAutoSigInp[G]\)}], "Input"],

Cell[BoxData[
    \({{1, 1, 1, 1, 1, 1, 0, 0, 1, 1, 0, 1}, {1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 
        1, 0}}\)], "Print"],

Cell[BoxData[
    \({{1, 1, 0, 1, 0, 1}, {1, 1, 1, 0, 1, 0}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" fAutoKL",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["calculates the stable states of an automaton obtained from a ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" given in Conway notation, followed by a list of signs of \
vertices, and inputs in vertices. In the vertices with a sign 1 is used the \
operation ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["NOR",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[", and in the vertices -1 the operation ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["OR",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[". The result is the list of edge colorings corresponding to \
stable states and the list of stable states according to vertices  (see L.H. \
Kauffmann: ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["Knot automata, ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["IEEE Computer Society Press Reprint",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" (1994), 328-333).",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[". If the signlist is empty, it is computed as the signlist of the \
given ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[".",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(K = {"\<2 2\>", {}, {}};\)\), "\[IndentingNewLine]", 
    \(fAutoKL[K]\)}], "Input"],

Cell[BoxData[
    InterpretationBox[\("Gauss code:"\[InvisibleSpace]{1, 2, \(-3\), \(-4\), 
          2, 1, \(-4\), \(-3\)}\),
      SequenceForm[ "Gauss code:", {1, 2, -3, -4, 2, 1, -4, -3}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Signs:"\[InvisibleSpace]{1, 1, \(-1\), \(-1\)}\),
      SequenceForm[ "Signs:", {1, 1, -1, -1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Graph:"\[InvisibleSpace]{{1, 2}, {1, 4}, {2, 1}, {2, 
            3}, {3, 1}, {3, 4}, {4, 2}, {4, 3}}\),
      SequenceForm[ 
      "Graph:", {{1, 2}, {1, 4}, {2, 1}, {2, 3}, {3, 1}, {3, 4}, {4, 2}, {4, 
        3}}],
      Editable->False]], "Print"],

Cell[BoxData[
    \({{1, 1, 1, 1, 0, 0, 0, 0}}\)], "Print"],

Cell[BoxData[
    \({{1, 1, 0, 0}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["fDiffSeq",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["calculates all different periodic sequences with ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["n",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" variables, of period ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["p",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[". As the result, every sequence is given by its code, Kauffman \
code, and corresponding square-free polynomials  (see L.H. Kauffmann: ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["Knot automata, ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["IEEE Computer Society Press Reprint",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" (1994), 328-333).",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["The function ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["fBalanced",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["calculates stable (balanced) states for a given periodic \
sequence.",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(n = 3;\)\), "\[IndentingNewLine]", 
    \(\(p = 4;\)\), "\[IndentingNewLine]", 
    \(dd = fDiffSeq[n, p]\), "\[IndentingNewLine]", 
    \(Length[dd]\)}], "Input"],

Cell[BoxData[
    InterpretationBox[\("There are "\[InvisibleSpace]45\[InvisibleSpace]" \
different periodic sequences for "\[InvisibleSpace]3\[InvisibleSpace]" & "\
\[InvisibleSpace]4\),
      SequenceForm[ 
      "There are ", 45, " different periodic sequences for ", 3, " & ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    \({{{{0, 0, 0}, {0, 0, 1}, {0, 1, 0}, {1, 0, 
            0}}, {{{0, 0, 0}, {0, 0, 1}, {1, 0, 0}}, {{0, 0, 0}, {0, 1, 
              0}, {1, 0, 0}}, {{0, 0, 1}, {0, 1, 0}, {1, 0, 0}}}, {1 - a - 
            b + 2\ a\ b - c + 2\ a\ c + 2\ b\ c - 3\ a\ b\ c, 
          a\ b + c - a\ b\ c, 
          a + b\ c - a\ b\ c}}, {{{0, 0, 0}, {0, 0, 1}, {0, 1, 0}, {1, 0, 
            1}}, {{{0, 0, 0}, {0, 0, 1}, {1, 0, 1}}, {{0, 0, 0}, {0, 1, 
              0}, {1, 0, 1}}, {{0, 0, 1}, {1, 0, 1}}}, {1 - a + a\ b, 
          a + c - 2\ a\ c + a\ b\ c, 
          b + c - a\ c - b\ c + a\ b\ c}}, {{{0, 0, 0}, {0, 0, 1}, {0, 1, 
            0}, {1, 1, 
            0}}, {{{0, 0, 0}, {0, 0, 1}, {1, 1, 0}}, {{0, 0, 0}, {1, 1, 
              0}}, {{0, 0, 1}, {0, 1, 0}, {1, 1, 0}}}, {1 - a - b + 2\ a\ b + 
            a\ c - a\ b\ c, a + b - a\ b + c - a\ c - 2\ b\ c + 2\ a\ b\ c, 
          b + c - 2\ b\ c + a\ b\ c}}, {{{0, 0, 0}, {0, 0, 1}, {0, 1, 0}, {1, 
            1, 1}}, {{{0, 0, 0}, {0, 0, 1}, {1, 1, 1}}, {{0, 0, 0}, {1, 1, 
              1}}, {{0, 0, 1}, {1, 1, 1}}}, {a + b - a\ b + c - a\ c - b\ c, 
          1 - b + a\ b + b\ c - 2\ a\ b\ c, 
          a + c - a\ c - a\ b\ c}}, {{{0, 0, 0}, {0, 0, 1}, {0, 1, 1}, {1, 0, 
            0}}, {{{0, 0, 0}, {0, 0, 1}, {1, 0, 0}}, {{0, 0, 0}, {0, 1, 
              1}, {1, 0, 0}}, {{0, 1, 1}, {1, 0, 0}}}, {1 - b + a\ b - a\ c + 
            b\ c, a\ b + c - a\ b\ c, 
          a + c - 2\ a\ c + a\ b\ c}}, {{{0, 0, 0}, {0, 0, 1}, {0, 1, 1}, {1, 
            0, 1}}, {{{0, 0, 0}, {0, 0, 1}, {1, 0, 1}}, {{0, 0, 0}, {0, 1, 
              1}, {1, 0, 1}}, {{1, 0, 1}}}, {1 - a\ b + a\ b\ c, 
          b - a\ b + c - b\ c + a\ b\ c, 
          a + b - 2\ a\ b + c - 2\ a\ c - b\ c + 3\ a\ b\ c}}, {{{0, 0, 
            0}, {0, 0, 1}, {0, 1, 1}, {1, 1, 
            0}}, {{{0, 0, 0}, {0, 0, 1}, {1, 1, 0}}, {{0, 0, 0}, {1, 1, 
              0}}, {{0, 1, 1}, {1, 1, 0}}}, {a + b - 2\ a\ b + a\ b\ c, 
          a + b - 2\ a\ b + c - a\ c - b\ c + 2\ a\ b\ c, 
          1 - a\ b - b\ c + 2\ a\ b\ c}}, {{{0, 0, 0}, {0, 0, 1}, {0, 1, 
            1}, {1, 1, 
            1}}, {{{0, 0, 0}, {0, 0, 1}, {1, 1, 1}}, {{0, 0, 0}, {1, 1, 
              1}}, {{1, 1, 1}}}, {a + b - a\ b + c - a\ c - b\ c, 
          1 - a\ b\ c, 
          a + c - a\ c - a\ b\ c}}, {{{0, 0, 0}, {0, 0, 1}, {1, 1, 0}, {0, 1, 
            0}}, {{{0, 0, 0}, {0, 1, 0}, {1, 1, 0}}, {{0, 0, 0}, {0, 1, 
              0}}, {{0, 0, 1}, {0, 1, 0}, {1, 1, 0}}}, {b + c - b\ c, 
          1 - a - b + 2\ a\ b + b\ c - a\ b\ c, 
          b + c - a\ c - b\ c + a\ b\ c}}, {{{0, 0, 0}, {0, 0, 1}, {1, 1, 
            0}, {0, 1, 
            1}}, {{{0, 0, 0}, {0, 1, 1}, {1, 1, 0}}, {{0, 0, 0}, {0, 1, 
              1}}, {{0, 0, 1}, {0, 1, 1}}}, {1 - a + a\ b, 
          a + b - a\ b + c - 2\ a\ c - 2\ b\ c + 3\ a\ b\ c, 
          a + b - a\ b + c - 2\ a\ c - b\ c + 2\ a\ b\ c}}, {{{0, 0, 0}, {0, 
            0, 1}, {1, 1, 0}, {1, 1, 
            1}}, {{{0, 0, 0}, {1, 1, 1}}, {{0, 0, 0}, {1, 1, 1}}, {{0, 0, 
              1}, {1, 1, 1}}}, {a + b - a\ b + c - a\ c - b\ c, 
          a + b - a\ b + c - a\ c - b\ c, 
          1 - c + a\ c + b\ c - 2\ a\ b\ c}}, {{{0, 0, 0}, {0, 0, 1}, {1, 1, 
            1}, {0, 1, 
            0}}, {{{0, 0, 0}, {0, 1, 0}, {1, 1, 1}}, {{0, 0, 0}, {0, 1, 
              0}}, {{0, 1, 0}, {1, 1, 1}}}, {b + c - b\ c, 
          1 - a + a\ b + a\ c - 2\ a\ b\ c, 
          b + c - b\ c - a\ b\ c}}, {{{0, 0, 0}, {0, 0, 1}, {1, 1, 1}, {0, 1, 
            1}}, {{{0, 0, 0}, {0, 1, 1}, {1, 1, 1}}, {{0, 0, 0}, {0, 1, 
              1}}, {{0, 1, 1}}}, {1 - a\ b + a\ b\ c, 
          a + b - 2\ a\ b + c - a\ c - b\ c + 2\ a\ b\ c, 
          a + b - 2\ a\ b + c - a\ c - b\ c + a\ b\ c}}, {{{0, 0, 0}, {0, 0, 
            1}, {1, 1, 1}, {1, 1, 
            0}}, {{{0, 0, 0}, {1, 1, 0}}, {{0, 0, 0}, {1, 1, 0}}, {{1, 1, 
              0}, {1, 1, 1}}}, {1 - b\ c, 
          a + b - a\ b + c - a\ c - 2\ b\ c + 2\ a\ b\ c, 
          a + b - a\ b + c - a\ c - 2\ b\ c + 2\ a\ b\ c}}, {{{0, 0, 0}, {0, 
            1, 1}, {0, 0, 1}, {1, 0, 
            0}}, {{{0, 0, 0}, {0, 1, 1}, {1, 0, 0}}, {{0, 0, 1}, {0, 1, 
              1}, {1, 0, 0}}, {{0, 0, 1}, {1, 0, 0}}}, {1 - a - b + 2\ a\ b + 
            a\ c + b\ c - 2\ a\ b\ c, a + c - 2\ a\ c + a\ b\ c, 
          1 - a - b + 2\ a\ b + b\ c - a\ b\ c}}, {{{0, 0, 0}, {0, 1, 1}, {0, 
            0, 1}, {1, 0, 
            1}}, {{{0, 0, 0}, {0, 1, 1}, {1, 0, 1}}, {{0, 0, 1}, {0, 1, 
              1}, {1, 0, 1}}, {{1, 0, 1}}}, {1 - b + a\ b\ c, 
          1 - b\ c + a\ b\ c, 
          a + b - 2\ a\ b + c - a\ c - 2\ b\ c + 3\ a\ b\ c}}, {{{0, 0, 
            0}, {0, 1, 1}, {0, 0, 1}, {1, 1, 
            0}}, {{{0, 0, 0}, {0, 1, 1}, {1, 1, 0}}, {{0, 1, 1}, {1, 1, 
              0}}, {{0, 0, 1}, {1, 1, 0}}}, {1 - a + a\ b + a\ c - b\ c, 
          1 - a\ b - b\ c + 2\ a\ b\ c, 
          a + b - 2\ a\ b + c - a\ c - 2\ b\ c + 3\ a\ b\ c}}, {{{0, 0, 
            0}, {0, 1, 1}, {0, 0, 1}, {1, 1, 
            1}}, {{{0, 0, 0}, {0, 1, 1}, {1, 1, 1}}, {{0, 1, 1}, {1, 1, 
              1}}, {{1, 1, 1}}}, {1 - a\ b, 1 - a\ b\ c, 
          a + b - 2\ a\ b + c - a\ c - b\ c + a\ b\ c}}, {{{0, 0, 0}, {0, 1, 
            1}, {1, 0, 0}, {0, 0, 
            1}}, {{{0, 0, 0}, {0, 0, 1}, {1, 0, 0}}, {{0, 0, 1}, {0, 1, 
              1}, {1, 0, 0}}, {{0, 0, 1}, {0, 1, 1}}}, {1 - a + a\ b, 
          a\ b + c - a\ b\ c, 
          1 - a - b + 2\ a\ b + b\ c - a\ b\ c}}, {{{0, 0, 0}, {0, 1, 1}, {1, 
            0, 0}, {1, 0, 
            1}}, {{{0, 0, 0}, {1, 0, 1}}, {{0, 1, 1}, {1, 0, 0}, {1, 0, 
              1}}, {{0, 1, 1}, {1, 0, 1}}}, {1 - b + a\ b - a\ c + a\ b\ c, 
          a + b - a\ b + c - a\ c - 2\ b\ c + 2\ a\ b\ c, 
          1 - a\ c - b\ c + 2\ a\ b\ c}}, {{{0, 0, 0}, {0, 1, 1}, {1, 0, 
            0}, {1, 1, 
            1}}, {{{0, 0, 0}, {1, 1, 1}}, {{0, 1, 1}, {1, 1, 1}}, {{0, 1, 
              1}, {1, 1, 1}}}, {1 - a\ b, 1 - a\ b, 
          a + b - a\ b + c - a\ c - b\ c}}, {{{0, 0, 0}, {0, 1, 1}, {1, 0, 
            1}, {0, 0, 
            1}}, {{{0, 0, 0}, {0, 0, 1}, {1, 0, 1}}, {{0, 0, 1}, {0, 1, 
              1}, {1, 0, 1}}, {{0, 0, 1}}}, {1 - a + a\ b + a\ c - a\ b\ c, 
          1 - a + a\ b\ c, 
          b + c - a\ c - b\ c + a\ b\ c}}, {{{0, 0, 0}, {0, 1, 1}, {1, 0, 
            1}, {0, 1, 
            0}}, {{{0, 0, 0}, {0, 1, 0}, {1, 0, 1}}, {{0, 1, 0}, {0, 1, 
              1}}, {{0, 1, 0}, {1, 0, 1}}}, {1 - a + a\ b, 
          b + c - 2\ b\ c + a\ b\ c, 
          1 - a + a\ b + a\ c - b\ c}}, {{{0, 0, 0}, {0, 1, 1}, {1, 0, 
            1}, {1, 0, 
            0}}, {{{0, 0, 0}, {1, 0, 0}}, {{0, 1, 1}, {1, 0, 0}, {1, 0, 
              1}}, {{1, 0, 0}, {1, 0, 1}}}, {b + c - b\ c, 1 - a + a\ c, 
          1 - a + a\ c - b\ c + a\ b\ c}}, {{{0, 0, 0}, {0, 1, 1}, {1, 0, 
            1}, {1, 1, 
            0}}, {{{0, 0, 0}, {1, 1, 0}}, {{0, 1, 1}, {1, 1, 0}}, {{1, 0, 
              1}, {1, 1, 0}}}, {1 - a\ b - a\ c + 2\ a\ b\ c, 
          1 - a\ c - b\ c + 2\ a\ b\ c, 
          a + b - a\ b + c - 2\ a\ c - b\ c + 2\ a\ b\ c}}, {{{0, 0, 0}, {0, 
            1, 1}, {1, 1, 1}, {0, 0, 
            1}}, {{{0, 0, 0}, {0, 0, 1}, {1, 1, 1}}, {{0, 0, 1}, {1, 1, 
              1}}, {{0, 0, 1}}}, {1 - b + a\ b + b\ c - 2\ a\ b\ c, 
          1 - b + a\ b + b\ c - a\ b\ c, 
          a + c - a\ c - a\ b\ c}}, {{{0, 0, 0}, {0, 1, 1}, {1, 1, 1}, {1, 0, 
            0}}, {{{0, 0, 0}, {1, 0, 0}}, {{1, 0, 0}, {1, 1, 1}}, {{1, 0, 
              0}, {1, 1, 1}}}, {b + c - b\ c, 
          1 - a + a\ b + a\ c - 2\ a\ b\ c, 
          1 - a + a\ b + a\ c - 2\ a\ b\ c}}, {{{0, 0, 0}, {1, 1, 1}, {0, 0, 
            1}, {0, 1, 
            0}}, {{{0, 0, 1}, {0, 1, 0}, {1, 1, 1}}, {{0, 1, 0}, {1, 1, 
              1}}, {{0, 0, 1}, {0, 1, 0}}}, {1 - b + a\ b - c + a\ c + 
            2\ b\ c - 3\ a\ b\ c, 1 - b + a\ b + b\ c - 2\ a\ b\ c, 
          1 - b + a\ b - c + a\ c + 2\ b\ c - 2\ a\ b\ c}}, {{{0, 0, 0}, {1, 
            1, 1}, {0, 0, 1}, {0, 1, 
            1}}, {{{0, 0, 1}, {0, 1, 1}, {1, 1, 1}}, {{0, 1, 1}, {1, 1, 
              1}}, {{0, 1, 1}}}, {1 - a\ b, 1 - a\ b + a\ b\ c, 
          1 - b + b\ c - a\ b\ c}}, {{{0, 0, 0}, {1, 1, 1}, {0, 0, 1}, {1, 1, 
            0}}, {{{1, 1, 0}, {1, 1, 1}}, {{1, 1, 0}, {1, 1, 1}}, {{0, 0, 
              1}, {1, 1, 0}}}, {1 - a\ b, 1 - a\ b, 
          1 - a\ b - c + a\ c + b\ c}}, {{{0, 0, 0}, {1, 1, 1}, {0, 1, 
            1}, {0, 0, 
            1}}, {{{0, 0, 1}, {0, 1, 1}, {1, 1, 1}}, {{0, 0, 1}, {0, 1, 
              1}}, {{0, 0, 1}}}, {1 - b + b\ c, 
          1 - b + a\ b + b\ c - a\ b\ c, 
          1 - b + b\ c - a\ b\ c}}, {{{0, 0, 0}, {1, 1, 1}, {0, 1, 1}, {1, 0, 
            0}}, {{{1, 0, 0}, {1, 1, 1}}, {{0, 1, 1}, {1, 0, 0}}, {{0, 1, 
              1}, {1, 0, 0}}}, {1 - b + a\ b - a\ c + b\ c, 
          1 - b + a\ b + b\ c - 2\ a\ b\ c, 
          1 - b + a\ b - a\ c + b\ c}}, {{{0, 0, 1}, {0, 1, 1}, {1, 0, 
            0}, {1, 1, 
            0}}, {{{0, 0, 1}, {1, 1, 0}}, {{0, 1, 1}, {1, 1, 0}}, {{0, 1, 
              1}, {1, 0, 0}}}, {1 - b + a\ b - a\ c + b\ c, 
          1 - a + a\ b + a\ c - b\ c, 
          1 - a\ c - b\ c + 2\ a\ b\ c}}, {{{0, 0, 1}, {1, 1, 0}, {0, 1, 
            0}, {1, 0, 
            1}}, {{{1, 0, 1}, {1, 1, 0}}, {{0, 1, 0}, {1, 0, 1}}, {{0, 0, 
              1}, {1, 1, 0}}}, {1 - a + a\ b + a\ c - b\ c, 
          1 - b + a\ b - a\ c + b\ c, 
          1 - a\ c - b\ c + 2\ a\ b\ c}}, {{{0, 0, 1}, {0, 1, 0}, {0, 1, 
            1}, {1, 0, 
            1}}, {{{0, 0, 1}, {0, 1, 0}, {1, 0, 1}}, {{0, 1, 1}, {1, 0, 
              1}}, {{0, 0, 1}}}, {1 - a + a\ b + a\ c - a\ b\ c, 
          1 - a - c + 2\ a\ c + b\ c - a\ b\ c, 
          1 - a\ b - a\ c + 2\ a\ b\ c}}, {{{0, 0, 1}, {0, 1, 0}, {0, 1, 
            1}, {1, 1, 
            0}}, {{{0, 0, 1}, {0, 1, 0}, {1, 1, 0}}, {{1, 1, 0}}, {{0, 0, 
              1}, {0, 1, 1}}}, {1 - a + a\ b, 
          1 - a + a\ b - c + 2\ a\ c - a\ b\ c, 
          1 - b\ c + a\ b\ c}}, {{{0, 0, 1}, {0, 1, 0}, {1, 0, 1}, {0, 1, 
            1}}, {{{0, 0, 1}, {0, 1, 1}, {1, 0, 1}}, {{0, 1, 0}, {0, 1, 
              1}}, {{0, 0, 1}}}, {1 - a + a\ b, 1 - c + a\ b\ c, 
          1 - c + a\ c + b\ c - a\ b\ c}}, {{{0, 0, 1}, {0, 1, 0}, {1, 0, 
            1}, {1, 1, 
            0}}, {{{0, 0, 1}, {1, 1, 0}}, {{0, 1, 0}, {1, 1, 0}}, {{0, 0, 
              1}, {1, 0, 1}}}, {1 - a + a\ b, 1 - b + a\ b, 
          1 - a + a\ b + a\ c - b\ c}}, {{{0, 0, 1}, {0, 1, 0}, {1, 1, 
            0}, {0, 1, 
            1}}, {{{0, 0, 1}, {0, 1, 1}, {1, 1, 0}}, {{0, 1, 1}}, {{0, 0, 
              1}, {0, 1, 0}}}, {1 - a - b + 2\ a\ b + a\ c + b\ c - 
            2\ a\ b\ c, 1 - a\ b + a\ b\ c, 
          1 - a + a\ c - b\ c + a\ b\ c}}, {{{0, 0, 1}, {0, 1, 0}, {1, 1, 
            0}, {1, 0, 
            1}}, {{{0, 0, 1}, {1, 0, 1}}, {{1, 0, 1}, {1, 1, 0}}, {{0, 0, 
              1}, {0, 1, 0}}}, {1 - b + b\ c, 
          1 - b + a\ b - c + a\ c + 2\ b\ c - 2\ a\ b\ c, 
          1 - a\ b - a\ c + 2\ a\ b\ c}}, {{{0, 0, 1}, {0, 1, 1}, {0, 1, 
            0}, {1, 0, 
            1}}, {{{0, 0, 1}, {0, 1, 1}, {1, 0, 1}}, {{0, 1, 0}, {1, 0, 
              1}}, {{0, 1, 1}}}, {1 - a + a\ b + a\ c - b\ c, 
          1 - a\ b + a\ b\ c, 
          1 - b + a\ b\ c}}, {{{0, 0, 1}, {0, 1, 1}, {0, 1, 0}, {1, 1, 
            0}}, {{{0, 0, 1}, {0, 1, 1}, {1, 1, 0}}, {{1, 1, 0}}, {{0, 1, 
              0}, {0, 1, 1}}}, {1 - b + b\ c, 1 - b\ c + a\ b\ c, 
          1 - a + a\ c - b\ c + a\ b\ c}}, {{{0, 0, 1}, {0, 1, 0}, {0, 1, 
            1}, {1, 0, 
            0}}, {{{0, 0, 1}, {0, 1, 0}, {1, 0, 0}}, {{0, 1, 1}, {1, 0, 
              0}}, {{0, 0, 1}, {0, 1, 1}}}, {1 - a + a\ b, 
          1 - a - b + 2\ a\ b - c + 2\ a\ c + 2\ b\ c - 3\ a\ b\ c, 
          1 - b + a\ b - a\ c + b\ c}}, {{{0, 0, 1}, {0, 1, 0}, {1, 0, 
            0}, {0, 1, 
            1}}, {{{0, 0, 1}, {0, 1, 1}, {1, 0, 0}}, {{0, 1, 0}, {0, 1, 
              1}}, {{0, 0, 1}, {0, 1, 0}}}, {1 - a + a\ b, 
          1 - b + a\ b - c + 2\ b\ c - a\ b\ c, 
          1 - a + a\ b - c + 2\ a\ c + b\ c - 2\ a\ b\ c}}, {{{0, 0, 1}, {0, 
            1, 0}, {1, 0, 0}, {1, 0, 
            1}}, {{{0, 0, 1}, {1, 0, 1}}, {{0, 1, 0}, {1, 0, 0}, {1, 0, 
              1}}, {{0, 0, 1}, {0, 1, 0}}}, {1 - b + b\ c, 
          1 - b + a\ b - c + a\ c + 2\ b\ c - 2\ a\ b\ c, 
          1 - a - c + 2\ a\ c + b\ c - a\ b\ c}}}\)], "Output"],

Cell[BoxData[
    \(45\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(fBalanced[dd, 3]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Periodic sequence: "\[InvisibleSpace]{{0, 0, 0}, {0, 
            0, 1}, {0, 1, 0}, {1, 1, 0}}\),
      SequenceForm[ 
      "Periodic sequence: ", {{0, 0, 0}, {0, 0, 1}, {0, 1, 0}, {1, 1, 0}}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Kauffman's code: "\[InvisibleSpace]{{{0, 0, 0}, {0, 
              0, 1}, {1, 1, 0}}, {{0, 0, 0}, {1, 1, 0}}, {{0, 0, 1}, {0, 1, 
              0}, {1, 1, 0}}}\),
      SequenceForm[ 
      "Kauffman's code: ", {{{0, 0, 0}, {0, 0, 1}, {1, 1, 0}}, {{0, 0, 0}, {1,
         1, 0}}, {{0, 0, 1}, {0, 1, 0}, {1, 1, 0}}}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Polynomials: "\[InvisibleSpace]{1 - a - b + 
            2\ a\ b + a\ c - a\ b\ c, 
          a + b - a\ b + c - a\ c - 2\ b\ c + 2\ a\ b\ c, 
          b + c - 2\ b\ c + a\ b\ c}\),
      SequenceForm[ "Polynomials: ", {
        Plus[ 1, 
          Times[ -1, a], 
          Times[ -1, b], 
          Times[ 2, a, b], 
          Times[ a, c], 
          Times[ -1, a, b, c]], 
        Plus[ a, b, 
          Times[ -1, a, b], c, 
          Times[ -1, a, c], 
          Times[ -2, b, c], 
          Times[ 2, a, b, c]], 
        Plus[ b, c, 
          Times[ -2, b, c], 
          Times[ a, b, c]]}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Balanced states: "\[InvisibleSpace]{{b \[Rule] 0, 
            c \[Rule] 1\/2\ \((1 - \@5)\), 
            a \[Rule] 1\/2\ \((3 - \@5)\)}, {b \[Rule] 0, 
            c \[Rule] 1\/2 + \@5\/2, 
            a \[Rule] 1\/2\ \((3 + \@5)\)}, {b \[Rule] 1, a \[Rule] 1, 
            c \[Rule] 1}, {b \[Rule] 1, c \[Rule] 1, 
            a \[Rule] 1}, {b \[Rule] 1, c \[Rule] 1, a \[Rule] 1}}\),
      SequenceForm[ "Balanced states: ", {{b -> 0, c -> Times[ 
          Rational[ 1, 2], 
          Plus[ 1, 
            Times[ -1, 
              Power[ 5, 
                Rational[ 1, 2]]]]], a -> Times[ 
          Rational[ 1, 2], 
          Plus[ 3, 
            Times[ -1, 
              Power[ 5, 
                Rational[ 1, 2]]]]]}, {b -> 0, c -> Plus[ 
          Rational[ 1, 2], 
          Times[ 
            Rational[ 1, 2], 
            Power[ 5, 
              Rational[ 1, 2]]]], a -> Times[ 
          Rational[ 1, 2], 
          Plus[ 3, 
            Power[ 5, 
              Rational[ 1, 2]]]]}, {b -> 1, a -> 1, c -> 1}, {b -> 1, c -> 1, 
        a -> 1}, {b -> 1, c -> 1, a -> 1}}],
      Editable->False]], "Print"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Graphics for ",
    FontSize->18,
    FontWeight->"Bold",
    FontColor->RGBColor[0.500008, 0, 0]],
  StyleBox["KnotPlot",
    FontSize->18,
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.500008, 0, 0]]
}], "Section",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["As an input for the function ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["fCreateGraphics ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["one ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["can use Conway notation of KLs as a \"",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["Mathematica",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["\" string. The function ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["fCreateGraphics",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["creates ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["file ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["c:\\Program Files\\KnotPlot\\",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["graphics.txt that",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" can be loaded in ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KnotPlot ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["(http://www.pims.math.ca/knotplot/download.html)",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["by writing ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["load graphics.txt",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" in the ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KnotPlot ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["command line.",
    FontColor->RGBColor[0.501961, 0, 0]]
}], "Text",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
    StyleBox[\(K = "\<101*2 1.2 1 0.2 1.2 1 0.2 1.2 1 0.2 1.2 1 0.2 1.2 1 \
0\>";\),
      FontColor->RGBColor[0.500008, 0, 0]], "\[IndentingNewLine]", 
    StyleBox[\(fCreateGraphics[K]\),
      FontColor->RGBColor[0.500008, 0, 0]]}], "Input",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[BoxData[
    \("C:\\Program Files\\KnotPlot\\graphics.txt"\)], "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell["\<\

\
\>", "Subsubtitle"],

Cell[TextData[{
  "\t",
  StyleBox["***Working with ",
    FontSize->36,
    FontWeight->"Bold"],
  StyleBox["Knot Theory'",
    FontSize->36,
    FontWeight->"Bold",
    FontSlant->"Italic"],
  StyleBox[" ***",
    FontSize->36,
    FontWeight->"Bold"]
}], "Title"],

Cell[TextData[{
  "http://katlas.math.toronto.edu/wiki/The_Mathematica_Package_KnotTheory",
  StyleBox["\nDror Bar-Natan, drorbn@math.toronto.edu",
    FontSize->18,
    FontWeight->"Plain",
    FontVariations->{"CompatibilityType"->0}]
}], "Subtitle",
  Background->GrayLevel[0.666667]],

Cell[TextData[{
  StyleBox["Department of Mathematics\nThe University of Toronto \nToronto, \
Canada ",
    FontSize->18,
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["M5S2E4\n",
    FontSize->18,
    FontSlant->"Plain",
    FontVariations->{"CompatibilityType"->0}]
}], "Subsubtitle"],

Cell[TextData[{
  "In order to use all the functions from ",
  StyleBox["this section you  need to downlad ",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KnotTheory`",
    FontWeight->"Bold",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" from \
http://katlas.math.toronto.edu/wiki/The_Mathematica_Package_KnotTheory and \
run it togther with ",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["LinKnot",
    FontWeight->"Bold",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[". ",
    FontVariations->{"CompatibilityType"->0}],
  "For detailed explanation of all functions from the program ",
  StyleBox["KnotTheory'",
    FontWeight->"Bold"],
  StyleBox[" please see ",
    FontVariations->{"CompatibilityType"->0}],
  "the manual: \
http://katlas.math.toronto.edu/wiki/The_Mathematica_Package_KnotTheory"
}], "Subsection"],

Cell[CellGroupData[{

Cell["Usages", "Section"],

Cell[CellGroupData[{

Cell[TextData[{
  "In order to use the selected functions from ",
  StyleBox["KnotTheory`",
    FontWeight->"Bold"],
  StyleBox[" you  need to downlad ",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KnotTheory`",
    FontWeight->"Bold",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" from ",
    FontVariations->{"CompatibilityType"->0}],
  "http://katlas.math.toronto.edu/wiki/The_Mathematica_Package_KnotTheory",
  StyleBox[" and run it togther with ",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["LinKnot",
    FontWeight->"Bold",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[". ",
    FontVariations->{"CompatibilityType"->0}],
  "For the detailed explanation of all functions from the program ",
  StyleBox["KnotTheory'",
    FontWeight->"Bold"],
  StyleBox["  (",
    FontVariations->{"CompatibilityType"->0}],
  "http://katlas.math.toronto.edu/wiki/The_Mathematica_Package_KnotTheory",
  StyleBox[") are ",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["PD",
    FontSlant->"Italic",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" please see ",
    FontVariations->{"CompatibilityType"->0}],
  "the manual: \
http://katlas.math.toronto.edu/wiki/The_Mathematica_Package_KnotTheory The \
functions computing Links-Gould invariant can can be used after runing ",
  StyleBox["KnotTheory`",
    FontWeight->"Bold"],
  "."
}], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?BR\)\)], "Input"],

Cell[BoxData[
    \("BR stands for Braid Representative. BR[k,l] represents a braid on k \
strands with crossings l={i1,i2,...}, where a positive index i within the \
list l indicates a right-handed crossing between strand number i and strand \
number i+1 and a negative i indicates a left handed crossing between strands \
numbers |i| and |i|+1. Each ij can also be a list of non-adjacent (i.e., \
commuting) indices. BR also acts as a \"type caster\": BR[K] will return a \
braid whose closure is K if K is given in any format that KnotTheory` \
understands. BR[K] where K is is a named knot with up to 10 crossings returns \
a minimum braid representative for that knot."\)], "Print",
  CellTags->"Info3353396215-4162633"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?A2Invariant\)\)], "Input"],

Cell[BoxData[
    \("   A2Invariant[L][q] computes the A2 (sl(3)) invariant of a knot or \
link L   as a function of the variable q. "\)], "Print",
  CellTags->"Info3349533458-8851117"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?ColouredJones\)\)], "Input"],

Cell[BoxData[
    \("ColouredJones[K, n][q] returns the coloured Jones polynomial of a knot \
in colour n (i.e., in the (n+1)-dimensional representation) in the \
indeterminate q. Some of these polynomials have been precomputed in \
KnotTheory`. To force computation, use ColouredJones[K,n, Program -> \
\"prog\"][q], with \"prog\" replaced by one of the two available programs, \
\"REngine\" or \"Braid\" (including the quotes). \"REngine\" (default) \
computes the invariant for closed knots (as well as links where all \
components are coloured by the same integer) directly from the MorseLink \
presentation of the knot, while \"Braid\" computes the invariant via a \
presentation of the knot as a braid closure.  \"REngine\" will usually be \
faster, but it might be better to use \"Braid\" when (roughly): 1) a \"good\" \
braid representative is available for the knot, and 2) the length of this \
braid is less than the maximum width of the MorseLink presentation of the \
knot."\)], "Print",
  CellTags->"Info3350327846-8623498"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?fBraidW\)\)], "Input"],

Cell[BoxData[
    \("fBraidW[Ul_] gives braid word of KL given by its Conway symbol, Dowker \
code with signs, or pdata."\)], "Print",
  CellTags->"Info3353568096-4048252"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?fPDfromBW\)\)], "Input"],

Cell[BoxData[
    \(" fPDfromBW[Ul_String] computes for the braid word given as a  string \
its PD (planar diagram)"\)], "Print",
  CellTags->"Info3353396505-8782159"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?LinksGould\)\)], "Input"],

Cell[BoxData[
    \("Links-Gould[k,n,L] computes  Links-Gould invariant for a given braid \
L, and  the parameters m,n"\)], "Print",
  CellTags->"Info3353564304-4246517"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?LinksGouldInv\)\)], "Input"],

Cell[BoxData[
    \("LinksGouldInv[m,n,L] computes  Links-Gould invariant for a KL given by \
its  Conway symbol, Dowker code with signs, or pdata, and  the parameters \
m,n"\)], "Print",
  CellTags->"Info3353566825-9703633"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?Kh\)\)], "Input"],

Cell[BoxData[
    \("Kh[L][q, t] returns the Poincare polynomial of the Khovanov Homology \
of a knot/link L (over a field of characteristic 0) in terms of the variables \
q and t. Kh[L, Program -> prog] uses the program prog to perform the \
computation. The currently available programs are \"FastKh\", written in \
Mathematica by Dror Bar-Natan in the winter of 2005 and \"JavaKh\" (default), \
written in java (java 1.5 required!) by Jeremy Green in the summer of 2005. \
The java program is several thousand times faster than the Mathematica \
program, though java may not be available on some systems. \"JavaKh\" also \
takes the option \"Modulus -> p\" which changes the characteristic of the \
ground field to p. If p==0 JavaKh works over the rational numbers; if p==Null \
JavaKh works over Z (see ?ZMod for the output format)."\)], "Print",
  CellTags->"Info3349533639-8986767"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?MultivariableAlexander\)\)], "Input"],

Cell[BoxData[
    \(" MultivariableAlexander[L][t] returns the multivariable Alexander \
polynomial of a link L as a function of the variable t[1], t[2], ..., t[c], \
where c is the number of components of L. "\)], "Print",
  CellTags->"Info3352184477-7291141"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?Vassiliev\)\)], "Input"],

Cell[BoxData[
    \("   Vassiliev[2][K] computes the (standardly normalized) type 2 \
Vassiliev   invariant of the knot K, i.e., the coefficient of z^2 in \
Conway[K][z].   Vassiliev[3][K] computes the (standardly normalized) type 3   \
Vassiliev invariant of the knot K, i.e., 3J''(1)-(1/36)J'''(1) where   J is \
the Jones polynomial of K. "\)], "Print",
  CellTags->"Info3350327237-8170799"]
}, Closed]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Conversion functions to ",
    FontSize->18,
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["Knot Theory",
    FontSize->18,
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]]
}], "Section",
  FontColor->RGBColor[0.500008, 0, 0]],

Cell[TextData[{
  StyleBox["One of the inputs for all functions from the program ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KnotTheory",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" by Dror Bar-Natan (",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["http://katlas.math.toronto.edu/wiki/The_Mathematica_Package_\
KnotTheory",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[") are ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["PD",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[".  For the explanation of Planar Diagrams (",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["PD ",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["presentations",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[")",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" please see: ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["http://katlas.math.toronto.edu/wiki/Planar_Diagrams",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["  The conversion functions are written by S.Jablan and \
R.Sazdanovic.",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["fConwayToPD",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" converts Conway symbol of  a  ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["  given by its Conway symbol to ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["PD",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[". ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(Con = "\<2 2\>";\)\), "\[IndentingNewLine]", 
    \(mm = fConwayToPD[Con]\)}], "Input"],

Cell[BoxData[
    \(PD[X[1, 6, 2, 7], X[5, 2, 6, 3], X[3, 1, 4, 8], 
      X[7, 5, 8, 4]]\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["fKnotscapeDowToPD",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["converts a ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" given in ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["Knotscape ",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["notation to ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["PD",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[". ",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(Dow = {{5, \ 2}, {\(-6\), \ \(-8\), \ 14, \ \(-2\), \ \(-12\), \ 
            4, \ \(-10\)}};\)\), "\[IndentingNewLine]", 
    \(mm = fKnotscapeDowToPD[Dow]\)}], "Input"],

Cell[BoxData[
    \(PD[X[6, 1, 7, 2], X[8, 3, 9, 4], X[5, 14, 6, 11], X[2, 7, 3, 8], 
      X[12, 9, 13, 10], X[11, 4, 12, 5], X[10, 13, 1, 14]]\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["fDowkerToPD",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["converts a",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" given by its Dowker code with signs to ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["PD",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[". ",
    FontColor->RGBColor[0.501961, 0, 0]]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DD = {{2, 2, 2}, {8, \(-10\), 2, 12, 6, 
            4}};\)\), "\[IndentingNewLine]", 
    \(mm = fDowkerToPD[DD]\)}], "Input"],

Cell[BoxData[
    \(PD[X[1, 5, 2, 8], X[10, 3, 11, 4], X[5, 3, 6, 2], X[12, 8, 9, 7], 
      X[6, 10, 7, 9], X[11, 1, 12, 4]]\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["The function",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["fPdataToPD",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["converts ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KL",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[" given by its ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["P",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["-data to ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["PD",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[". ",
    FontColor->RGBColor[0.501961, 0, 0]]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pdata = {{5, 2}, {14, \(-9\), \(-12\), \(-3\), \(-5\), 
            2, \(-6\)}};\)\), "\[IndentingNewLine]", 
    \(mm = fPdataToPD[pdata]\)}], "Input"],

Cell[BoxData[
    \(PD[X[1, 11, 2, 14], X[8, 3, 9, 4], X[10, 5, 1, 6], X[7, 12, 8, 13], 
      X[4, 9, 5, 10], X[11, 3, 12, 2], X[13, 6, 14, 7]]\)], "Output"],

Cell[TextData[{
  StyleBox["BR ",
    FontWeight->"Bold",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["stands for Braid Representative. BW[k,l] represents a braid on k \
strands with crossings l={i1,i2,...}, where a positive index i within the \
list l indicates a right-handed crossing between strand number i and strand \
number i+1 and a negative i indicates a left handed crossing between strands \
numbers |i| and |i|+1. Each ij can also be a list of non-adjacent (i.e., \
commuting) indices. This function is from the program ",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox["KnotTheory",
    FontSlant->"Italic",
    FontColor->RGBColor[0.501961, 0, 0]],
  StyleBox[".",
    FontColor->RGBColor[0.501961, 0, 0]]
}], "Text"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["BR ",
    FontWeight->"Bold"],
  "stands for Braid Representative. BR[k,l] represents a braid on k strands \
with crossings l={i1,i2,...}, where a positive index i within the list l \
indicates a right-handed crossing between strand number i and strand number \
i+1 and a negative i indicates a left handed crossing between strands numbers \
|i| and |i|+1. Each ij can also be a list of non-adjacent (i.e., commuting) \
indices. BR also acts as a \"type caster\": BR[K] will return a braid whose \
closure is K if K is given in any format that KnotTheory` understands. BR[K] \
where ",
  StyleBox["K",
    FontSlant->"Italic"],
  " is is a named knot with up to 10 crossings returns a minimum braid \
representative for that knot. This function is from the program ",
  StyleBox["KnotTheory`",
    FontWeight->"Bold"],
  StyleBox[".",
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{\(Con = "\<2 2\>";\), "\[IndentingNewLine]", 
    StyleBox[\(BR[fConwayToPD[Con]]\),
      FontWeight->"Bold"]}], "Input"],

Cell[BoxData[
    \(BR[3, {\(-1\), 2, \(-1\), 2}]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(BR[Knot[4, 1]]\)], "Input"],

Cell[BoxData[
    \(BR[3, {\(-1\), 2, \(-1\), 2}]\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "The function ",
  StyleBox["fBraidW ",
    FontWeight->"Bold"],
  "gives braid word of ",
  StyleBox["KL",
    FontSlant->"Italic"],
  " given by its Conway symbol, Dowker code with signs, or pdata. This \
function uses ",
  StyleBox["KnotTheory`",
    FontWeight->"Bold"],
  StyleBox[" function BR.",
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(Con = "\<2 2\>";\)\), "\[IndentingNewLine]", 
    \(fBraidW[Con]\)}], "Input"],

Cell[BoxData[
    \("aBaB"\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(dd = {{3, 
            3}, {\(-12\), \(-8\), \(-10\), \(-2\), \(-6\), \(-4\)}};\)\), "\
\[IndentingNewLine]", 
    \(fBraidW[dd]\)}], "Input"],

Cell[BoxData[
    \("AbCbabbbcb"\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pd = {{2, 2, 2}, {8, \(-11\), 
            2, \(-12\), \(-6\), \(-3\)}};\)\), "\[IndentingNewLine]", 
    \(fBraidW[pd]\)}], "Input"],

Cell[BoxData[
    \("AAbaab"\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "The function ",
  StyleBox["fPDfromBW ",
    FontWeight->"Bold"],
  "converts given braid word to ",
  StyleBox["PD",
    FontSlant->"Italic"],
  ". This function is from the program ",
  StyleBox["KnotTheory`",
    FontWeight->"Bold"],
  StyleBox[".",
    FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(bw = "\<aBaBaBa\>";\)\), "\[IndentingNewLine]", 
    \(mm = fPDfromBW[bw]\)}], "Input"],

Cell[BoxData[
    \(PD[X[7, 13, 8, 12], X[13, 4, 14, 1], X[1, 9, 2, 8], X[9, 14, 10, 5], 
      X[5, 3, 6, 2], X[3, 10, 4, 11], X[11, 7, 12, 6]]\)], "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Polynomial and other invariants", "Section"],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["A2Invariant[L][ q] ",
    FontWeight->"Bold"],
  "computes the A2 (sl(3)) invariant of a knot or link L  as a function of \
the variable q."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    StyleBox[\(\(A2Invariant[
          PD[X[1, 7, 2, 12], X[7, 3, 8, 2], X[3, 9, 4, 8], X[11, 5, 12, 4], 
            X[5, 11, 6, 10], X[9, 1, 10, 6]]]\)[q]\),
      FontWeight->"Bold"]], "Input"],

Cell[BoxData[
    \(q\^4 + q\^8 + q\^14 + q\^16 + 2\ q\^18 + q\^20 + q\^22 + 
      q\^24\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(Con = "\<3 3\>";\)\), "\[IndentingNewLine]", 
    \(\(mm = fConwayToPD[Con];\)\), "\[IndentingNewLine]", 
    \(\(A2Invariant[mm]\)[q]\)}], "Input"],

Cell[BoxData[
    \(q\^4 + q\^8 + q\^14 + q\^16 + 2\ q\^18 + q\^20 + q\^22 + 
      q\^24\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["ColouredJones[K, n][q] ",
    FontWeight->"Bold"],
  "returns the coloured Jones polynomial of a knot in colour n (i.e., in the \
(n+1)-dimensional representation) in the indeterminate q. Some of these \
polynomials have been precomputed in KnotTheory`. To force computation, use \
ColouredJones[K,n, Program -> \"prog\"][q], with \"prog\" replaced by one of \
the two available programs, \"REngine\" or \"Braid\" (including the quotes). \
\"REngine\" (default) computes the invariant for closed knots (as well as \
links where all components are coloured by the same integer) directly from \
the MorseLink presentation of the knot, while \"Braid\" computes the \
invariant via a presentation of the knot as a braid closure.  \"REngine\" \
will usually be faster, but it might be better to use \"Braid\" when \
(roughly): 1) a \"good\" braid representative is available for the knot, and \
2) the length of this braid is less than the maximum width of the MorseLink \
presentation of the knot. The Gauss code to PD conversion, Morse link and \
R-matrix engine was written by Siddarth Sankaran at the University of Toronto \
in the summer of 2005."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(Con = "\<3 3\>";\)\), "\[IndentingNewLine]", 
    \(\(mm = fConwayToPD[Con];\)\), "\[IndentingNewLine]", 
    \(\(ColouredJones[mm, \ 3]\)[q]\)}], "Input"],

Cell[BoxData[
    \(q\^\(9/2\) - q\^\(11/2\) + q\^\(15/2\) + 2\ q\^\(17/2\) - 
      2\ q\^\(19/2\) - 2\ q\^\(21/2\) + q\^\(23/2\) + 5\ q\^\(25/2\) - 
      2\ q\^\(27/2\) - 5\ q\^\(29/2\) + 8\ q\^\(33/2\) - q\^\(35/2\) - 
      8\ q\^\(37/2\) + 10\ q\^\(41/2\) - 10\ q\^\(45/2\) + 10\ q\^\(49/2\) - 
      8\ q\^\(53/2\) - q\^\(55/2\) + 8\ q\^\(57/2\) - 5\ q\^\(61/2\) - 
      2\ q\^\(63/2\) + 5\ q\^\(65/2\) + q\^\(67/2\) - 2\ q\^\(69/2\) - 
      2\ q\^\(71/2\) + 2\ q\^\(73/2\) + q\^\(75/2\) - q\^\(79/2\) + 
      q\^\(81/2\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(ColouredJones[
        PD[X[1, 7, 2, 12], X[7, 3, 8, 2], X[3, 9, 4, 8], X[11, 5, 12, 4], 
          X[5, 11, 6, 10], X[9, 1, 10, 6]], \ 3]\)[q]\)], "Input"],

Cell[BoxData[
    \(q\^\(9/2\) - q\^\(11/2\) + q\^\(15/2\) + 2\ q\^\(17/2\) - 
      2\ q\^\(19/2\) - 2\ q\^\(21/2\) + q\^\(23/2\) + 5\ q\^\(25/2\) - 
      2\ q\^\(27/2\) - 5\ q\^\(29/2\) + 8\ q\^\(33/2\) - q\^\(35/2\) - 
      8\ q\^\(37/2\) + 10\ q\^\(41/2\) - 10\ q\^\(45/2\) + 10\ q\^\(49/2\) - 
      8\ q\^\(53/2\) - q\^\(55/2\) + 8\ q\^\(57/2\) - 5\ q\^\(61/2\) - 
      2\ q\^\(63/2\) + 5\ q\^\(65/2\) + q\^\(67/2\) - 2\ q\^\(69/2\) - 
      2\ q\^\(71/2\) + 2\ q\^\(73/2\) + q\^\(75/2\) - q\^\(79/2\) + 
      q\^\(81/2\)\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Kh[L][q,t]",
    FontWeight->"Bold"],
  " returns the Poincare polynomial of the Khovanov Homology of a knot/link L \
(over a field of characteristic 0) in terms of the variables q and t. Kh[L, \
Program -> prog] uses the program prog to perform the computation. The \
currently available programs are \"FastKh\", written in Mathematica by Dror \
Bar-Natan in the winter of 2005 and \"JavaKh\" (default), written in java \
(java 1.5 required!) by Jeremy Green in the summer of 2005. The java program \
is several thousand times faster than the Mathematica program, though java \
may not be available on some systems. \"JavaKh\" also takes the option \
\"Modulus -> p\" which changes the characteristic of the ground field to p. \
If p==0 JavaKh works over the rational numbers; if p==Null JavaKh works over \
Z (see ?ZMod for the output format). The Khovanov homology program JavaKh was \
written by Jeremy Green in the summer of 2005 at the University of Toronto."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(Con = "\<3 3\>";\)\), "\[IndentingNewLine]", 
    \(\(mm = fConwayToPD[Con];\)\), "\[IndentingNewLine]", 
    \(\(Kh[mm]\)[q, t]\)}], "Input"],

Cell[BoxData[
    \(q\^2 + q\^4 + q\^4\ t + q\^6\ t\^2 + q\^8\ t\^2 + q\^8\ t\^3 + 
      q\^10\ t\^3 + q\^10\ t\^4 + q\^12\ t\^4 + q\^14\ t\^5 + q\^14\ t\^6 + 
      q\^16\ t\^6\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    StyleBox[\(\(Kh[
          PD[X[1, 7, 2, 12], X[7, 3, 8, 2], X[3, 9, 4, 8], X[11, 5, 12, 4], 
            X[5, 11, 6, 10], X[9, 1, 10, 6]]]\)[q, t]\),
      FontWeight->"Bold"]], "Input"],

Cell[BoxData[
    \(q\^2 + q\^4 + q\^4\ t + q\^6\ t\^2 + q\^8\ t\^2 + q\^8\ t\^3 + 
      q\^10\ t\^3 + q\^10\ t\^4 + q\^12\ t\^4 + q\^14\ t\^5 + q\^14\ t\^6 + 
      q\^16\ t\^6\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["MultivariableAlexander[L][t]",
    FontWeight->"Bold"],
  " returns the multivariable Alexander polynomial of a link L as a function \
of the variable t[1], t[2], ..., t[c], where c is the number of components of \
L."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{\(Con = "\<3 3\>";\), "\[IndentingNewLine]", \(mm = 
        fConwayToPD[Con];\), "\[IndentingNewLine]", 
    StyleBox[\(\(MultivariableAlexander[mm]\)[t]\),
      FontWeight->"Bold"]}], "Input"],

Cell[BoxData[
    \(\(-t[1]\) - t[2] + t[1]\ t[2] - t[1]\^2\ t[2] - 
      t[1]\ t[2]\^2\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Vassiliev[2][K]",
    FontWeight->"Bold"],
  " computes the (standardly normalized) type 2 Vassiliev invariant of the \
knot K, i.e., the coefficient of z^2 in Conway[K,   z]. ",
  StyleBox["Vassiliev[3][K] ",
    FontWeight->"Bold"],
  "computes the (standardly normalized) type 3 Vassiliev invariant of the \
knot K, i.e., 3J''(1)-(1/36)J'''(1) where   J is the Jones polynomial of K. "
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{\(Con = "\<3 3\>";\), "\[IndentingNewLine]", \(mm = 
        fConwayToPD[Con];\), "\[IndentingNewLine]", 
    StyleBox[\(\(Vassiliev[2]\)[mm]\),
      FontWeight->"Bold"]}], "Input"],

Cell[BoxData[
    \(0\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    StyleBox[\(\(Vassiliev[2]\)[
        PD[X[1, 7, 2, 12], X[7, 3, 8, 2], X[3, 9, 4, 8], X[11, 5, 12, 4], 
          X[5, 11, 6, 10], X[9, 1, 10, 6]]]\),
      FontWeight->"Bold"]], "Input"],

Cell[BoxData[
    \(0\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{\(Con = "\<3 3\>";\), "\[IndentingNewLine]", \(mm = 
        fConwayToPD[Con];\), "\[IndentingNewLine]", 
    StyleBox[\(\(Vassiliev[3]\)[mm]\),
      FontWeight->"Bold"]}], "Input"],

Cell[BoxData[
    \(161\/16\)], "Output"],

Cell[CellGroupData[{

Cell[BoxData[
    StyleBox[\(\(Vassiliev[3]\)[
        PD[X[1, 7, 2, 12], X[7, 3, 8, 2], X[3, 9, 4, 8], X[11, 5, 12, 4], 
          X[5, 11, 6, 10], X[9, 1, 10, 6]]]\),
      FontWeight->"Bold"]], "Input"],

Cell[BoxData[
    \(161\/16\)], "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Links-Gould invariant from ",
  StyleBox["Links-Gould Explorer",
    FontSlant->"Italic"]
}], "Section"],

Cell[CellGroupData[{

Cell[TextData[{
  "For the braid word L",
  StyleBox[" LinksGould[m, n, L][q,p] ",
    FontWeight->"Bold"],
  StyleBox["gives t",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["he ",
    FontVariations->{"CompatibilityType"->0}],
  "Links--Gould invariant LG^{m,n}_L  presented as a Laurent polynomial in \
the natural variables q and p. As we do not yet have proof that \
LinksGouldInvariant[m, n, L] is always a polynomial,  we do not call the \
function LinksGouldPolynomial. If n>m, the function evaluates and transforms \
LinksGouldInvariant[n,m,L]. Depending on L, the    function uses a formula \
for LG^{2,1}_L for 2-bridge links L, another if L is an easy braid, and, more \
generally, if a braid word is available for L, the state model method. This \
function is written by ",
  StyleBox["David de Wit",
    FontWeight->"Bold"],
  ", as a part of his program ",
  StyleBox["Links-Gould Explorer",
    FontWeight->"Bold",
    FontSlant->"Italic"],
  " (http://www.maths.uq.edu.au/~ddw/Links--Gould%20Explorer/Links--Gould%\
20Explorer.htm). About Links-Gould invariant please read the papers ",
  StyleBox["The Links-Gould Invariant",
    FontSlant->"Italic"],
  " by D.De Wit (http://arxiv.org/abs/math.GT/9909063) and ",
  StyleBox["On the Links-Goulld invariant of links",
    FontSlant->"Italic"],
  " by David De Wit, Louis H. Kauffman, Jon R. Links \
(http://citeseer.ist.psu.edu/wit99linksgould.html)."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    StyleBox[\(bw = "\<aaaBB\>";\),
      FontWeight->"Bold"], "\[IndentingNewLine]", 
    StyleBox[\(LinksGould[1, 1, bw]\),
      FontWeight->"Bold"]}], "Input"],

Cell[BoxData[
    \(\(-\(1\/p\^3\)\) + 2\/p - 2\ p + p\^3\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    StyleBox[\(bw = "\<aaaBB\>";\),
      FontWeight->"Bold"], "\[IndentingNewLine]", 
    StyleBox[\(LinksGould[2, 1, bw]\),
      FontWeight->"Bold"]}], "Input"],

Cell[BoxData[
    \(\(-5\) - 2\/p\^4 - 2\ p\^4 - 1\/q\^2 + 
      2\/\(p\^2\ q\) + \(2\ p\^2\)\/q + q\/p\^6 + \(5\ q\)\/p\^2 + 
      5\ p\^2\ q + p\^6\ q - 4\ q\^2 - \(2\ q\^2\)\/p\^4 - 2\ p\^4\ q\^2 + 
      q\^3\/p\^2 + p\^2\ q\^3\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["LinksGouldInv[m,n,KL] ",
    FontWeight->"Bold"],
  "computes  Links-Gould invariant for a KL given by its  Conway symbol, \
Dowker code with signs, or pdata, and  the parameters m,n."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(Con = "\<3 3\>";\)\), "\[IndentingNewLine]", 
    \(LinksGouldInv[1, 1, Con]\)}], "Input"],

Cell[BoxData[
    \(\(-\(2\/p\^3\)\) + 3\/p - 3\ p + 2\ p\^3\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(dd = {{3, 
            3}, {\(-12\), \(-8\), \(-10\), \(-2\), \(-6\), \(-4\)}};\)\), "\
\[IndentingNewLine]", 
    \(LinksGouldInv[2, 1, dd]\)}], "Input"],

Cell[BoxData[
    \(\(-3\) + \(5\ q\)\/p\^2 + 5\ p\^2\ q - 12\ q\^2 - \(5\ q\^2\)\/p\^4 - 
      5\ p\^4\ q\^2 + \(3\ q\^3\)\/p\^6 + \(12\ q\^3\)\/p\^2 + 
      12\ p\^2\ q\^3 + 3\ p\^6\ q\^3 - 10\ q\^4 - \(6\ q\^4\)\/p\^4 - 
      6\ p\^4\ q\^4 + q\^5\/p\^6 + \(4\ q\^5\)\/p\^2 + 4\ p\^2\ q\^5 + 
      p\^6\ q\^5 - q\^6 - q\^6\/p\^4 - p\^4\ q\^6\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(pd = {{2, 2, 2}, {8, \(-11\), 
            2, \(-12\), \(-6\), \(-3\)}};\)\), "\[IndentingNewLine]", 
    \(LinksGouldInv[3, 1, pd]\)}], "Input"],

Cell[BoxData[
    \(4 - 1\/p\^6 + 1\/p\^4 - 2\/p\^2 - 2\ p\^2 + p\^4 - p\^6 + 
      1\/\(p\^4\ q\^2\) - 1\/\(p\^2\ q\^2\) - p\^2\/q\^2 + p\^4\/q\^2 + 
      4\ q\^2 + \(2\ q\^2\)\/p\^4 - \(4\ q\^2\)\/p\^2 - 4\ p\^2\ q\^2 + 
      2\ p\^4\ q\^2 + 6\ q\^4 + q\^4\/p\^4 - \(4\ q\^4\)\/p\^2 - 
      4\ p\^2\ q\^4 + p\^4\ q\^4 + 4\ q\^6 + q\^6\/p\^4 - \(3\ q\^6\)\/p\^2 - 
      3\ p\^2\ q\^6 + p\^4\ q\^6 + 2\ q\^8 - q\^8\/p\^2 - 
      p\^2\ q\^8\)], "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]]
},
FrontEndVersion->"5.2 for Microsoft Windows",
ScreenRectangle->{{0, 1280}, {0, 937}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{1272, 903},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
ShowSelection->True,
StyleDefinitions -> "DemoText.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Info3353396215-4162633"->{
    Cell[2873806, 106013, 725, 10, 82, "Print",
      CellTags->"Info3353396215-4162633"]},
  "Info3349533458-8851117"->{
    Cell[2874620, 106031, 185, 3, 25, "Print",
      CellTags->"Info3349533458-8851117"]},
  "Info3350327846-8623498"->{
    Cell[2874896, 106042, 1037, 15, 120, "Print",
      CellTags->"Info3350327846-8623498"]},
  "Info3353568096-4048252"->{
    Cell[2876018, 106065, 172, 3, 25, "Print",
      CellTags->"Info3353568096-4048252"]},
  "Info3353396505-8782159"->{
    Cell[2876277, 106076, 167, 3, 25, "Print",
      CellTags->"Info3353396505-8782159"]},
  "Info3353564304-4246517"->{
    Cell[2876532, 106087, 170, 3, 25, "Print",
      CellTags->"Info3353564304-4246517"]},
  "Info3353566825-9703633"->{
    Cell[2876793, 106098, 225, 4, 25, "Print",
      CellTags->"Info3353566825-9703633"]},
  "Info3349533639-8986767"->{
    Cell[2877098, 106110, 888, 12, 101, "Print",
      CellTags->"Info3349533639-8986767"]},
  "Info3352184477-7291141"->{
    Cell[2878086, 106130, 261, 4, 44, "Print",
      CellTags->"Info3352184477-7291141"]},
  "Info3350327237-8170799"->{
    Cell[2878434, 106142, 394, 6, 44, "Print",
      CellTags->"Info3350327237-8170799"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Info3353396215-4162633", 2902695, 106909},
  {"Info3349533458-8851117", 2902817, 106912},
  {"Info3350327846-8623498", 2902938, 106915},
  {"Info3353568096-4048252", 2903062, 106918},
  {"Info3353396505-8782159", 2903183, 106921},
  {"Info3353564304-4246517", 2903304, 106924},
  {"Info3353566825-9703633", 2903425, 106927},
  {"Info3349533639-8986767", 2903546, 106930},
  {"Info3352184477-7291141", 2903669, 106933},
  {"Info3350327237-8170799", 2903790, 106936}
  }
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 174, 5, 286, "Title"],
Cell[1931, 58, 122, 3, 66, "Subtitle"],
Cell[2056, 63, 165, 3, 112, "Subsubtitle"],
Cell[2224, 68, 23, 0, 58, "Subsubtitle"],

Cell[CellGroupData[{
Cell[2272, 72, 31, 0, 54, "Section"],
Cell[2306, 74, 141, 5, 29, "Text"],
Cell[2450, 81, 288, 10, 29, "Text"],
Cell[2741, 93, 117, 2, 60, "Input"],
Cell[2861, 97, 3194, 96, 136, "Text"],

Cell[CellGroupData[{
Cell[6080, 197, 214, 4, 100, "Input"],
Cell[6297, 203, 160, 2, 44, "Print"]
}, Open  ]],
Cell[6472, 208, 131, 5, 81, "Subsection"],
Cell[6606, 215, 10406, 315, 578, "Text"],
Cell[17015, 532, 181, 6, 29, "Text"],
Cell[17199, 540, 56, 1, 40, "Input"],
Cell[17258, 543, 55, 1, 40, "Input"],
Cell[17316, 546, 61, 1, 40, "Input"],
Cell[17380, 549, 54, 1, 40, "Input"],
Cell[17437, 552, 54, 1, 40, "Input"],
Cell[17494, 555, 51, 1, 40, "Input"],
Cell[17548, 558, 49, 1, 40, "Input"],
Cell[17600, 561, 51, 1, 40, "Input"],
Cell[17654, 564, 47, 1, 40, "Input"],
Cell[17704, 567, 55, 1, 40, "Input"],
Cell[17762, 570, 53, 1, 40, "Input"],
Cell[17818, 573, 56, 1, 40, "Input"],
Cell[17877, 576, 67, 1, 40, "Input"],
Cell[17947, 579, 70, 1, 40, "Input"],
Cell[18020, 582, 60, 1, 40, "Input"],
Cell[18083, 585, 61, 1, 40, "Input"],
Cell[18147, 588, 68, 1, 40, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[18252, 594, 42, 0, 34, "Section"],
Cell[18297, 596, 469, 12, 48, "Text"],

Cell[CellGroupData[{
Cell[18791, 612, 65, 1, 40, "Input"],
Cell[18859, 615, 55, 1, 49, "Output"]
}, Open  ]],
Cell[18929, 619, 1176, 27, 117, "Text"],
Cell[20108, 648, 84, 1, 40, "Input"],

Cell[CellGroupData[{
Cell[20217, 653, 265, 11, 54, "Section"],
Cell[20485, 666, 978, 18, 98, "Text"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[21512, 690, 44, 0, 34, "Section"],
Cell[21559, 692, 139, 3, 29, "Text"],
Cell[21701, 697, 138, 2, 40, "Input"],
Cell[21842, 701, 485, 8, 79, "Text"],

Cell[CellGroupData[{
Cell[22352, 713, 57, 1, 40, "Input"],
Cell[22412, 716, 443931, 19400, 286, 355690, 18306, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[466380, 20121, 56, 1, 40, "Input"],
Cell[466439, 20124, 45, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[466521, 20130, 578, 11, 67, "Text"],

Cell[CellGroupData[{
Cell[467124, 20145, 68, 1, 40, "Input"],
Cell[467195, 20148, 163, 4, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[467395, 20157, 88, 1, 40, "Input"],
Cell[467486, 20160, 443656, 19388, 286, 355415, 18294, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]]
}, Open  ]],
Cell[911169, 39552, 285, 6, 29, "Text"],
Cell[911457, 39560, 72, 1, 40, "Input"],
Cell[911532, 39563, 88, 2, 29, "Text"],

Cell[CellGroupData[{
Cell[911645, 39569, 59, 1, 40, "Input"],
Cell[911707, 39572, 35, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[911779, 39578, 58, 1, 40, "Input"],
Cell[911840, 39581, 111, 2, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[912000, 39589, 39, 0, 34, "Section"],
Cell[912042, 39591, 326, 5, 48, "Text"],

Cell[CellGroupData[{
Cell[912393, 39600, 59, 1, 40, "Input"],
Cell[912455, 39603, 46, 1, 49, "Output"]
}, Open  ]],
Cell[912516, 39607, 262, 9, 29, "Text"],

Cell[CellGroupData[{
Cell[912803, 39620, 137, 3, 40, "Input"],
Cell[912943, 39625, 46, 1, 49, "Output"]
}, Open  ]],
Cell[913004, 39629, 110, 3, 29, "Text"],

Cell[CellGroupData[{
Cell[913139, 39636, 49, 1, 40, "Input"],
Cell[913191, 39639, 176498, 8086, 79, 151834, 7777, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]],
Cell[1089704, 47728, 190, 4, 60, "Text"],
Cell[1089897, 47734, 78, 1, 40, "Input"],
Cell[1089978, 47737, 94, 2, 29, "Text"],
Cell[1090075, 47741, 81, 1, 40, "Input"],
Cell[1090159, 47744, 89, 2, 29, "Text"],
Cell[1090251, 47748, 81, 1, 40, "Input"],
Cell[1090335, 47751, 775, 13, 117, "Text"],

Cell[CellGroupData[{
Cell[1091135, 47768, 97, 1, 44, "Subsection"],
Cell[1091235, 47771, 374, 6, 48, "Text"],

Cell[CellGroupData[{
Cell[1091634, 47781, 60, 1, 40, "Input"],
Cell[1091697, 47784, 174822, 7824, 150, 143167, 7429, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]],
Cell[1266534, 55611, 90, 2, 29, "Text"],

Cell[CellGroupData[{
Cell[1266649, 55617, 61, 1, 40, "Input"],
Cell[1266713, 55620, 77, 1, 49, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1266851, 55628, 40, 0, 34, "Section"],
Cell[1266894, 55630, 978, 24, 190, "Text"],

Cell[CellGroupData[{
Cell[1267897, 55658, 41, 0, 44, "Subsubsection"],
Cell[1267941, 55660, 70, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[1268036, 55664, 45, 1, 40, "Input"],
Cell[1268084, 55667, 356, 5, 25, "Message"],
Cell[1268443, 55674, 35, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1268515, 55680, 61, 1, 40, "Input"],
Cell[1268579, 55683, 362, 7, 25, "Print"],
Cell[1268944, 55692, 119, 2, 62, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1269100, 55699, 81, 1, 40, "Input"],
Cell[1269184, 55702, 398, 7, 25, "Print"],
Cell[1269585, 55711, 163, 2, 38, "Print"],
Cell[1269751, 55715, 45, 1, 49, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[1269845, 55722, 55, 0, 44, "Subsubsection"],
Cell[1269903, 55724, 90, 2, 29, "Text"],
Cell[1269996, 55728, 45, 1, 40, "Input"],
Cell[1270044, 55731, 61, 1, 40, "Input"],
Cell[1270108, 55734, 81, 1, 40, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[1270226, 55740, 64, 0, 28, "Subsubsection"],
Cell[1270293, 55742, 102, 3, 29, "Text"],
Cell[1270398, 55747, 50, 1, 40, "Input"],
Cell[1270451, 55750, 61, 1, 40, "Input"],
Cell[1270515, 55753, 87, 1, 40, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[1270639, 55759, 42, 0, 28, "Subsubsection"],
Cell[1270684, 55761, 70, 0, 29, "Text"],
Cell[1270757, 55763, 50, 1, 40, "Input"],
Cell[1270810, 55766, 61, 1, 40, "Input"],
Cell[1270874, 55769, 81, 1, 40, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[1270992, 55775, 118, 1, 28, "Subsubsection"],
Cell[1271113, 55778, 86, 2, 29, "Text"],
Cell[1271202, 55782, 122, 2, 60, "Input"],
Cell[1271327, 55786, 71, 0, 29, "Text"],
Cell[1271401, 55788, 61, 1, 40, "Input"],
Cell[1271465, 55791, 85, 1, 40, "Input"],
Cell[1271553, 55794, 358, 7, 48, "Text"],
Cell[1271914, 55803, 88, 1, 40, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[1272039, 55809, 101, 1, 28, "Subsubsection"],
Cell[1272143, 55812, 174, 3, 29, "Text"],
Cell[1272320, 55817, 69, 1, 40, "Input"],
Cell[1272392, 55820, 62, 1, 40, "Input"],
Cell[1272457, 55823, 307, 6, 60, "Text"],
Cell[1272767, 55831, 84, 1, 40, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[1272888, 55837, 129, 1, 28, "Subsubsection"],
Cell[1273020, 55840, 174, 3, 29, "Text"],
Cell[1273197, 55845, 77, 1, 40, "Input"],
Cell[1273277, 55848, 69, 1, 40, "Input"],
Cell[1273349, 55851, 98, 2, 40, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[1273484, 55858, 184, 2, 28, "Subsubsection"],
Cell[1273671, 55862, 657, 13, 67, "Text"],
Cell[1274331, 55877, 103, 3, 25, "Print"],

Cell[CellGroupData[{
Cell[1274459, 55884, 77, 1, 40, "Input"],
Cell[1274539, 55887, 268, 5, 25, "Print"],
Cell[1274810, 55894, 35, 1, 49, "Output"],
Cell[1274848, 55897, 111, 3, 25, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1274996, 55905, 253, 5, 80, "Input"],
Cell[1275252, 55912, 97, 3, 25, "Print"]
}, Open  ]],
Cell[1275364, 55918, 60, 1, 40, "Input"],

Cell[CellGroupData[{
Cell[1275449, 55923, 74, 1, 40, "Input"],
Cell[1275526, 55926, 284, 5, 25, "Print"],
Cell[1275813, 55933, 966, 13, 124, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1276816, 55951, 155, 2, 60, "Input"],
Cell[1276974, 55955, 288, 5, 25, "Print"],
Cell[1277265, 55962, 1006, 14, 122, "Output"],
Cell[1278274, 55978, 288, 5, 25, "Print"],
Cell[1278565, 55985, 1006, 14, 122, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1279608, 56004, 49, 1, 40, "Input"],
Cell[1279660, 56007, 113, 2, 67, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1279810, 56014, 50, 1, 40, "Input"],
Cell[1279863, 56017, 35, 1, 49, "Output"]
}, Open  ]],
Cell[1279913, 56021, 169, 3, 29, "Text"],

Cell[CellGroupData[{
Cell[1280107, 56028, 151, 2, 60, "Input"],
Cell[1280261, 56032, 284, 5, 25, "Print"],
Cell[1280548, 56039, 857, 12, 103, "Output"],
Cell[1281408, 56053, 282, 5, 25, "Print"],
Cell[1281693, 56060, 834, 11, 103, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1282564, 56076, 50, 1, 40, "Input"],
Cell[1282617, 56079, 229, 4, 64, "Output"]
}, Open  ]],
Cell[1282861, 56086, 171, 4, 60, "Text"],
Cell[1283035, 56092, 234, 4, 60, "Input"],
Cell[1283272, 56098, 170, 3, 60, "Input"],
Cell[1283445, 56103, 54, 1, 40, "Input"],
Cell[1283502, 56106, 581, 11, 140, "Input"],
Cell[1284086, 56119, 118, 2, 60, "Input"],
Cell[1284207, 56123, 104, 3, 29, "Text"],
Cell[1284314, 56128, 238, 4, 60, "Input"],
Cell[1284555, 56134, 253, 5, 60, "Text"],

Cell[CellGroupData[{
Cell[1284833, 56143, 57, 1, 40, "Input"],
Cell[1284893, 56146, 268, 5, 25, "Print"],
Cell[1285164, 56153, 9714, 142, 1038, "Output"]
}, Closed]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1294939, 56302, 37, 0, 34, "Section"],
Cell[1294979, 56304, 576, 11, 67, "Text"],
Cell[1295558, 56317, 169, 2, 40, "Input"],

Cell[CellGroupData[{
Cell[1295752, 56323, 56, 1, 40, "Input"],
Cell[1295811, 56326, 49, 1, 25, "Print"],
Cell[1295863, 56329, 125, 2, 25, "Print"],
Cell[1295991, 56333, 154, 2, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1296182, 56340, 143, 2, 40, "Input"],
Cell[1296328, 56344, 154, 2, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1296519, 56351, 57, 1, 40, "Input"],
Cell[1296579, 56354, 54, 1, 25, "Print"],
Cell[1296636, 56357, 126, 2, 25, "Print"],
Cell[1296765, 56361, 154, 2, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1296968, 56369, 34, 0, 34, "Section"],
Cell[1297005, 56371, 168, 3, 29, "Text"],

Cell[CellGroupData[{
Cell[1297198, 56378, 67, 1, 40, "Input"],
Cell[1297268, 56381, 60, 1, 25, "Print"],
Cell[1297331, 56384, 64, 1, 25, "Print"],
Cell[1297398, 56387, 38, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1297473, 56393, 136, 2, 60, "Input"],
Cell[1297612, 56397, 45, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1297694, 56403, 67, 1, 40, "Input"],
Cell[1297764, 56406, 60, 1, 25, "Print"],
Cell[1297827, 56409, 69, 1, 25, "Print"],
Cell[1297899, 56412, 38, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1297974, 56418, 154, 3, 60, "Input"],
Cell[1298131, 56423, 45, 1, 49, "Output"]
}, Open  ]],
Cell[1298191, 56427, 190, 4, 29, "Text"],

Cell[CellGroupData[{
Cell[1298406, 56435, 75, 1, 40, "Input"],
Cell[1298484, 56438, 115, 2, 25, "Print"],
Cell[1298602, 56442, 38, 1, 49, "Output"]
}, Open  ]],
Cell[1298655, 56446, 336, 8, 29, "Text"],

Cell[CellGroupData[{
Cell[1299016, 56458, 84, 1, 40, "Input"],
Cell[1299103, 56461, 234, 5, 25, "Print"],
Cell[1299340, 56468, 38, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1299415, 56474, 68, 1, 40, "Input"],
Cell[1299486, 56477, 254, 14, 195, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1299777, 56496, 164, 2, 40, "Input"],
Cell[1299944, 56500, 110, 2, 25, "Print"],
Cell[1300057, 56504, 38, 1, 49, "Output"]
}, Open  ]],
Cell[1300110, 56508, 75, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[1300210, 56512, 105, 2, 40, "Input"],
Cell[1300318, 56516, 93, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1300448, 56522, 131, 2, 40, "Input"],
Cell[1300582, 56526, 93, 1, 49, "Output"]
}, Open  ]],
Cell[1300690, 56530, 457, 9, 89, "Text"],

Cell[CellGroupData[{
Cell[1301172, 56543, 64, 1, 40, "Input"],
Cell[1301239, 56546, 34, 1, 25, "Print"],
Cell[1301276, 56549, 140, 2, 25, "Print"],
Cell[1301419, 56553, 34, 1, 25, "Print"],
Cell[1301456, 56556, 140, 2, 25, "Print"],
Cell[1301599, 56560, 34, 1, 25, "Print"],
Cell[1301636, 56563, 150, 2, 25, "Print"],
Cell[1301789, 56567, 38, 1, 49, "Output"]
}, Open  ]],
Cell[1301842, 56571, 108, 2, 40, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[1301987, 56578, 32, 0, 34, "Section"],
Cell[1302022, 56580, 166, 3, 60, "Text"],

Cell[CellGroupData[{
Cell[1302213, 56587, 64, 1, 40, "Input"],
Cell[1302280, 56590, 117, 2, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1302434, 56597, 159, 4, 60, "Input"],
Cell[1302596, 56603, 63, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1302696, 56609, 59, 1, 40, "Input"],
Cell[1302758, 56612, 272, 5, 25, "Print"],
Cell[1303033, 56619, 69, 1, 62, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1303139, 56625, 61, 1, 40, "Input"],
Cell[1303203, 56628, 105, 2, 25, "Print"],
Cell[1303311, 56632, 44, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1303404, 56639, 55, 0, 34, "Section"],
Cell[1303462, 56641, 375, 6, 48, "Text"],

Cell[CellGroupData[{
Cell[1303862, 56651, 52, 1, 40, "Input"],
Cell[1303917, 56654, 143, 3, 64, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1304097, 56662, 52, 1, 40, "Input"],
Cell[1304152, 56665, 140, 2, 64, "Output"]
}, Open  ]],
Cell[1304307, 56670, 59, 1, 40, "Input"],

Cell[CellGroupData[{
Cell[1304391, 56675, 58, 1, 40, "Input"],
Cell[1304452, 56678, 108, 2, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1304597, 56685, 58, 1, 40, "Input"],
Cell[1304658, 56688, 384, 7, 25, "Print"],
Cell[1305045, 56697, 203, 3, 67, "Output"]
}, Open  ]],
Cell[1305263, 56703, 401, 8, 162, "Input"],
Cell[1305667, 56713, 197, 3, 40, "Input"],

Cell[CellGroupData[{
Cell[1305889, 56720, 43, 1, 40, "Input"],
Cell[1305935, 56723, 261, 4, 67, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1306233, 56732, 52, 1, 40, "Input"],
Cell[1306288, 56735, 222, 3, 49, "Output"]
}, Open  ]],
Cell[1306525, 56741, 71, 0, 29, "Text"],
Cell[1306599, 56743, 52, 1, 40, "Input"],
Cell[1306654, 56746, 333, 6, 90, "Input"],

Cell[CellGroupData[{
Cell[1307012, 56756, 70, 1, 40, "Input"],
Cell[1307085, 56759, 616, 10, 87, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1307738, 56774, 70, 1, 40, "Input"],
Cell[1307811, 56777, 616, 10, 87, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1308476, 56793, 30, 0, 34, "Section"],
Cell[1308509, 56795, 179, 5, 91, "Text"]
}, Closed]],
Cell[1308703, 56803, 32, 3, 70, "Subsubtitle"],
Cell[1308738, 56808, 248, 12, 73, "Title"],
Cell[1308989, 56822, 236, 5, 66, "Subtitle"],
Cell[1309228, 56829, 204, 3, 136, "Subsubtitle"],

Cell[CellGroupData[{
Cell[1309457, 56836, 149, 3, 54, "Section"],
Cell[1309609, 56841, 23192, 691, 2092, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[1332838, 57537, 122, 3, 34, "Section"],
Cell[1332963, 57542, 243, 7, 29, "Text"],
Cell[1333209, 57551, 94, 2, 40, "Input"],
Cell[1333306, 57555, 87, 2, 40, "Input"],
Cell[1333396, 57559, 91, 2, 40, "Input"],
Cell[1333490, 57563, 87, 2, 40, "Input"],
Cell[1333580, 57567, 83, 2, 40, "Input"],
Cell[1333666, 57571, 80, 2, 40, "Input"],
Cell[1333749, 57575, 92, 2, 40, "Input"],
Cell[1333844, 57579, 95, 2, 40, "Input"],
Cell[1333942, 57583, 88, 2, 40, "Input"],
Cell[1334033, 57587, 86, 2, 40, "Input"],
Cell[1334122, 57591, 100, 2, 40, "Input"],
Cell[1334225, 57595, 84, 2, 40, "Input"],
Cell[1334312, 57599, 93, 2, 40, "Input"],
Cell[1334408, 57603, 88, 2, 40, "Input"],
Cell[1334499, 57607, 92, 2, 40, "Input"],
Cell[1334594, 57611, 85, 2, 40, "Input"],
Cell[1334682, 57615, 90, 2, 40, "Input"],
Cell[1334775, 57619, 87, 2, 40, "Input"],
Cell[1334865, 57623, 88, 2, 40, "Input"],
Cell[1334956, 57627, 92, 2, 40, "Input"],
Cell[1335051, 57631, 89, 2, 40, "Input"],
Cell[1335143, 57635, 89, 2, 40, "Input"],
Cell[1335235, 57639, 89, 2, 40, "Input"],
Cell[1335327, 57643, 86, 2, 40, "Input"],
Cell[1335416, 57647, 86, 2, 40, "Input"],
Cell[1335505, 57651, 86, 2, 40, "Input"],
Cell[1335594, 57655, 90, 2, 40, "Input"],
Cell[1335687, 57659, 87, 2, 40, "Input"],
Cell[1335777, 57663, 91, 2, 40, "Input"],
Cell[1335871, 57667, 91, 2, 40, "Input"],
Cell[1335965, 57671, 89, 2, 40, "Input"],
Cell[1336057, 57675, 90, 2, 40, "Input"],
Cell[1336150, 57679, 85, 2, 40, "Input"],
Cell[1336238, 57683, 81, 2, 40, "Input"],
Cell[1336322, 57687, 87, 2, 40, "Input"],
Cell[1336412, 57691, 80, 2, 40, "Input"],
Cell[1336495, 57695, 84, 2, 40, "Input"],
Cell[1336582, 57699, 86, 2, 40, "Input"],
Cell[1336671, 57703, 91, 2, 40, "Input"],
Cell[1336765, 57707, 84, 2, 40, "Input"],
Cell[1336852, 57711, 88, 2, 40, "Input"],
Cell[1336943, 57715, 86, 2, 40, "Input"],
Cell[1337032, 57719, 87, 2, 40, "Input"],
Cell[1337122, 57723, 85, 2, 40, "Input"],
Cell[1337210, 57727, 87, 2, 40, "Input"],
Cell[1337300, 57731, 85, 2, 40, "Input"],
Cell[1337388, 57735, 89, 2, 40, "Input"],
Cell[1337480, 57739, 91, 2, 40, "Input"],
Cell[1337574, 57743, 98, 2, 40, "Input"],
Cell[1337675, 57747, 92, 2, 40, "Input"],
Cell[1337770, 57751, 89, 2, 40, "Input"],
Cell[1337862, 57755, 88, 2, 40, "Input"],
Cell[1337953, 57759, 88, 2, 40, "Input"],
Cell[1338044, 57763, 98, 2, 40, "Input"],
Cell[1338145, 57767, 85, 2, 40, "Input"],
Cell[1338233, 57771, 86, 2, 40, "Input"],
Cell[1338322, 57775, 87, 2, 40, "Input"],
Cell[1338412, 57779, 85, 2, 40, "Input"],
Cell[1338500, 57783, 85, 2, 40, "Input"],
Cell[1338588, 57787, 81, 2, 40, "Input"],
Cell[1338672, 57791, 84, 2, 40, "Input"],
Cell[1338759, 57795, 91, 2, 40, "Input"],
Cell[1338853, 57799, 83, 2, 40, "Input"],
Cell[1338939, 57803, 85, 2, 40, "Input"],
Cell[1339027, 57807, 92, 2, 40, "Input"],
Cell[1339122, 57811, 88, 2, 40, "Input"],
Cell[1339213, 57815, 86, 2, 40, "Input"],
Cell[1339302, 57819, 85, 2, 40, "Input"],
Cell[1339390, 57823, 88, 2, 40, "Input"],
Cell[1339481, 57827, 89, 2, 40, "Input"],
Cell[1339573, 57831, 87, 2, 40, "Input"],
Cell[1339663, 57835, 90, 2, 40, "Input"],
Cell[1339756, 57839, 90, 2, 40, "Input"],
Cell[1339849, 57843, 85, 2, 40, "Input"],
Cell[1339937, 57847, 90, 2, 40, "Input"],
Cell[1340030, 57851, 90, 2, 40, "Input"],
Cell[1340123, 57855, 93, 2, 40, "Input"],
Cell[1340219, 57859, 96, 2, 40, "Input"],
Cell[1340318, 57863, 87, 2, 40, "Input"],
Cell[1340408, 57867, 92, 2, 40, "Input"],
Cell[1340503, 57871, 87, 2, 40, "Input"],
Cell[1340593, 57875, 88, 2, 40, "Input"],
Cell[1340684, 57879, 85, 2, 40, "Input"],
Cell[1340772, 57883, 89, 2, 40, "Input"],
Cell[1340864, 57887, 89, 2, 40, "Input"],
Cell[1340956, 57891, 85, 2, 40, "Input"],
Cell[1341044, 57895, 84, 2, 40, "Input"],
Cell[1341131, 57899, 85, 2, 40, "Input"],
Cell[1341219, 57903, 90, 2, 40, "Input"],
Cell[1341312, 57907, 85, 2, 40, "Input"],
Cell[1341400, 57911, 89, 2, 40, "Input"],
Cell[1341492, 57915, 89, 2, 40, "Input"],
Cell[1341584, 57919, 88, 2, 40, "Input"],
Cell[1341675, 57923, 85, 2, 40, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[1341797, 57930, 195, 4, 34, "Section"],
Cell[1341995, 57936, 15587, 416, 617, "Text"],

Cell[CellGroupData[{
Cell[1357607, 58356, 1404, 41, 29, "Text"],

Cell[CellGroupData[{
Cell[1359036, 58401, 202, 4, 60, "Input"],
Cell[1359241, 58407, 120, 2, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1359410, 58415, 1141, 33, 28, "Text"],

Cell[CellGroupData[{
Cell[1360576, 58452, 185, 4, 60, "Input"],
Cell[1360764, 58458, 115, 2, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1360928, 58466, 701, 20, 28, "Text"],

Cell[CellGroupData[{
Cell[1361654, 58490, 105, 2, 60, "Input"],
Cell[1361762, 58494, 118, 2, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1361929, 58502, 1150, 33, 28, "Text"],

Cell[CellGroupData[{
Cell[1363104, 58539, 241, 5, 60, "Input"],
Cell[1363348, 58546, 117, 2, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1363514, 58554, 723, 20, 28, "Text"],

Cell[CellGroupData[{
Cell[1364262, 58578, 107, 2, 60, "Input"],
Cell[1364372, 58582, 59, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1364480, 58589, 721, 20, 28, "Text"],

Cell[CellGroupData[{
Cell[1365226, 58613, 111, 2, 60, "Input"],
Cell[1365340, 58617, 103, 2, 49, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[1365504, 58626, 138, 2, 34, "Section"],

Cell[CellGroupData[{
Cell[1365667, 58632, 884, 24, 29, "Text"],

Cell[CellGroupData[{
Cell[1366576, 58660, 53, 1, 40, "Input"],
Cell[1366632, 58663, 53, 1, 49, "Output"]
}, Open  ]]
}, Open  ]],
Cell[1366712, 58668, 2996, 83, 67, "Text"],

Cell[CellGroupData[{
Cell[1369733, 58755, 170, 4, 60, "Input"],
Cell[1369906, 58761, 407, 5, 448, "Output"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[1370362, 58772, 183, 4, 34, "Section"],
Cell[1370548, 58778, 1799, 54, 48, "Text"],
Cell[1372350, 58834, 4979, 154, 98, "Text"],

Cell[CellGroupData[{
Cell[1377354, 58992, 139, 3, 60, "Input"],
Cell[1377496, 58997, 86, 1, 49, "Output"],
Cell[1377585, 59000, 1430, 43, 48, "Text"],

Cell[CellGroupData[{
Cell[1379040, 59047, 107, 2, 40, "Input"],
Cell[1379150, 59051, 52, 1, 25, "Print"],
Cell[1379205, 59054, 38, 1, 49, "Output"]
}, Open  ]]
}, Open  ]],
Cell[1379270, 59059, 4835, 133, 124, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[1384142, 59197, 191, 4, 34, "Section"],

Cell[CellGroupData[{
Cell[1384358, 59205, 732, 20, 29, "Text"],

Cell[CellGroupData[{
Cell[1385115, 59229, 112, 2, 60, "Input"],
Cell[1385230, 59233, 72, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1385351, 59240, 782, 21, 28, "Text"],

Cell[CellGroupData[{
Cell[1386158, 59265, 168, 3, 40, "Input"],
Cell[1386329, 59270, 202, 3, 68, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1386580, 59279, 920, 24, 28, "Text"],

Cell[CellGroupData[{
Cell[1387525, 59307, 119, 2, 60, "Input"],
Cell[1387647, 59311, 116, 2, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1387800, 59318, 184, 3, 60, "Input"],
Cell[1387987, 59323, 116, 2, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1388140, 59330, 195, 3, 60, "Input"],
Cell[1388338, 59335, 121, 2, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1388508, 59343, 605, 16, 28, "Text"],

Cell[CellGroupData[{
Cell[1389138, 59363, 103, 2, 60, "Input"],
Cell[1389244, 59367, 87, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1389380, 59374, 836, 22, 28, "Text"],

Cell[CellGroupData[{
Cell[1390241, 59400, 171, 3, 80, "Input"],
Cell[1390415, 59405, 35, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1390487, 59411, 296, 5, 80, "Input"],
Cell[1390786, 59418, 35, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1390858, 59424, 308, 5, 80, "Input"],
Cell[1391169, 59431, 35, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1391253, 59438, 861, 24, 28, "Text"],

Cell[CellGroupData[{
Cell[1392139, 59466, 189, 3, 80, "Input"],
Cell[1392331, 59471, 35, 1, 49, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[1392427, 59479, 166, 4, 34, "Section"],

Cell[CellGroupData[{
Cell[1392618, 59487, 762, 21, 29, "Text"],

Cell[CellGroupData[{
Cell[1393405, 59512, 109, 2, 60, "Input"],
Cell[1393517, 59516, 201, 3, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1393755, 59524, 203, 4, 60, "Input"],
Cell[1393961, 59530, 201, 3, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1394199, 59538, 208, 4, 60, "Input"],
Cell[1394410, 59544, 201, 3, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1394660, 59553, 912, 21, 47, "Text"],

Cell[CellGroupData[{
Cell[1395597, 59578, 106, 2, 60, "Input"],
Cell[1395706, 59582, 558, 9, 87, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1396301, 59596, 180, 4, 60, "Input"],
Cell[1396484, 59602, 558, 9, 87, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1397079, 59616, 186, 4, 60, "Input"],
Cell[1397268, 59622, 558, 9, 87, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[1397887, 59638, 190, 4, 34, "Section"],

Cell[CellGroupData[{
Cell[1398102, 59646, 605, 17, 29, "Text"],

Cell[CellGroupData[{
Cell[1398732, 59667, 105, 2, 60, "Input"],
Cell[1398840, 59671, 35, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1398912, 59677, 151, 3, 60, "Input"],
Cell[1399066, 59682, 35, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1399138, 59688, 167, 3, 60, "Input"],
Cell[1399308, 59693, 35, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1399392, 59700, 428, 11, 28, "Text"],
Cell[1399823, 59713, 342, 8, 60, "Input"],
Cell[1400168, 59723, 53, 1, 49, "Output"],
Cell[1400224, 59726, 423, 10, 60, "Input"],
Cell[1400650, 59738, 53, 1, 49, "Output"],
Cell[1400706, 59741, 493, 12, 60, "Input"],
Cell[1401202, 59755, 53, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1401304, 59762, 329, 11, 34, "Section"],

Cell[CellGroupData[{
Cell[1401658, 59777, 4488, 115, 174, "Text"],

Cell[CellGroupData[{
Cell[1406171, 59896, 205, 4, 60, "Input"],
Cell[1406379, 59902, 43, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1406459, 59908, 221, 4, 60, "Input"],
Cell[1406683, 59914, 43, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1406763, 59920, 248, 5, 60, "Input"],
Cell[1407014, 59927, 43, 1, 49, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[1407106, 59934, 1026, 28, 29, "Text"],
Cell[1408135, 59964, 96, 2, 60, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[1408268, 59971, 1297, 34, 47, "Text"],

Cell[CellGroupData[{
Cell[1409590, 60009, 107, 2, 60, "Input"],
Cell[1409700, 60013, 1217, 21, 182, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1410954, 60039, 153, 3, 60, "Input"],
Cell[1411110, 60044, 1063, 19, 182, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1412210, 60068, 169, 3, 60, "Input"],
Cell[1412382, 60073, 1217, 21, 182, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[1413660, 60101, 176, 4, 34, "Section"],

Cell[CellGroupData[{
Cell[1413861, 60109, 691, 19, 48, "Text"],

Cell[CellGroupData[{
Cell[1414577, 60132, 106, 2, 60, "Input"],
Cell[1414686, 60136, 60, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1414783, 60142, 162, 3, 60, "Input"],
Cell[1414948, 60147, 60, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1415045, 60153, 168, 3, 60, "Input"],
Cell[1415216, 60158, 60, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1415325, 60165, 560, 15, 47, "Text"],

Cell[CellGroupData[{
Cell[1415910, 60184, 107, 2, 60, "Input"],
Cell[1416020, 60188, 37, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1416094, 60194, 177, 3, 60, "Input"],
Cell[1416274, 60199, 37, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1416348, 60205, 183, 3, 60, "Input"],
Cell[1416534, 60210, 37, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1416620, 60217, 336, 9, 28, "Text"],

Cell[CellGroupData[{
Cell[1416981, 60230, 99, 2, 60, "Input"],
Cell[1417083, 60234, 35, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1417155, 60240, 206, 4, 60, "Input"],
Cell[1417364, 60246, 35, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1417436, 60252, 217, 4, 60, "Input"],
Cell[1417656, 60258, 35, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1417740, 60265, 1242, 33, 66, "Text"],

Cell[CellGroupData[{
Cell[1419007, 60302, 108, 2, 60, "Input"],
Cell[1419118, 60306, 35, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1419190, 60312, 153, 3, 60, "Input"],
Cell[1419346, 60317, 35, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1419418, 60323, 159, 3, 60, "Input"],
Cell[1419580, 60328, 35, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1419664, 60335, 764, 18, 66, "Text"],

Cell[CellGroupData[{
Cell[1420453, 60357, 101, 2, 60, "Input"],
Cell[1420557, 60361, 35, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1420629, 60367, 147, 3, 60, "Input"],
Cell[1420779, 60372, 35, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1420851, 60378, 163, 3, 60, "Input"],
Cell[1421017, 60383, 35, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1421101, 60390, 756, 18, 47, "Text"],

Cell[CellGroupData[{
Cell[1421882, 60412, 104, 2, 60, "Input"],
Cell[1421989, 60416, 236, 5, 25, "Print"],
Cell[1422228, 60423, 157, 3, 25, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1422422, 60431, 150, 3, 60, "Input"],
Cell[1422575, 60436, 236, 5, 25, "Print"],
Cell[1422814, 60443, 157, 3, 25, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1423008, 60451, 166, 3, 60, "Input"],
Cell[1423177, 60456, 236, 5, 25, "Print"],
Cell[1423416, 60463, 157, 3, 25, "Print"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[1423634, 60473, 179, 4, 34, "Section"],

Cell[CellGroupData[{
Cell[1423838, 60481, 623, 16, 29, "Text"],

Cell[CellGroupData[{
Cell[1424486, 60501, 116, 2, 60, "Input"],
Cell[1424605, 60505, 35, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1424677, 60511, 197, 3, 60, "Input"],
Cell[1424877, 60516, 35, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1424949, 60522, 203, 3, 60, "Input"],
Cell[1425155, 60527, 35, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1425239, 60534, 497, 14, 28, "Text"],

Cell[CellGroupData[{
Cell[1425761, 60552, 116, 2, 60, "Input"],
Cell[1425880, 60556, 211, 4, 25, "Print"],
Cell[1426094, 60562, 238, 5, 25, "Print"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1426381, 60573, 744, 20, 28, "Text"],

Cell[CellGroupData[{
Cell[1427150, 60597, 106, 2, 60, "Input"],
Cell[1427259, 60601, 192, 3, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1427500, 60610, 1991, 57, 28, "Text"],

Cell[CellGroupData[{
Cell[1429516, 60671, 52, 1, 40, "Input"],
Cell[1429571, 60674, 155, 3, 25, "Print"],
Cell[1429729, 60679, 101, 2, 62, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1429879, 60687, 545, 14, 28, "Text"],

Cell[CellGroupData[{
Cell[1430449, 60705, 104, 2, 60, "Input"],
Cell[1430556, 60709, 40, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1430633, 60715, 159, 3, 60, "Input"],
Cell[1430795, 60720, 40, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1430872, 60726, 165, 3, 60, "Input"],
Cell[1431040, 60731, 40, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1431129, 60738, 500, 14, 28, "Text"],

Cell[CellGroupData[{
Cell[1431654, 60756, 99, 2, 60, "Input"],
Cell[1431756, 60760, 155, 3, 25, "Print"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1431960, 60769, 658, 16, 47, "Text"],

Cell[CellGroupData[{
Cell[1432643, 60789, 93, 2, 60, "Input"],
Cell[1432739, 60793, 2645, 36, 372, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1435421, 60834, 148, 3, 60, "Input"],
Cell[1435572, 60839, 2645, 36, 372, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1438254, 60880, 150, 3, 60, "Input"],
Cell[1438407, 60885, 2645, 36, 372, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1441101, 60927, 515, 14, 28, "Text"],

Cell[CellGroupData[{
Cell[1441641, 60945, 107, 2, 60, "Input"],
Cell[1441751, 60949, 173, 3, 25, "Print"],
Cell[1441927, 60954, 192, 4, 25, "Print"],
Cell[1442122, 60960, 282169, 13288, 174, 249867, 12885, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[1724352, 74255, 182, 4, 34, "Section"],

Cell[CellGroupData[{
Cell[1724559, 74263, 2003, 53, 67, "Text"],

Cell[CellGroupData[{
Cell[1726587, 74320, 104, 2, 60, "Input"],
Cell[1726694, 74324, 219, 4, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1726950, 74333, 196, 4, 60, "Input"],
Cell[1727149, 74339, 219, 4, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1727405, 74348, 155, 3, 60, "Input"],
Cell[1727563, 74353, 161, 2, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1727773, 74361, 1841, 43, 159, "Text"],

Cell[CellGroupData[{
Cell[1729639, 74408, 150, 3, 80, "Input"],
Cell[1729792, 74413, 377, 7, 25, "Print"],
Cell[1730172, 74422, 90, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1730299, 74428, 195, 4, 80, "Input"],
Cell[1730497, 74434, 377, 7, 25, "Print"],
Cell[1730877, 74443, 90, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1731004, 74449, 218, 5, 80, "Input"],
Cell[1731225, 74456, 377, 7, 25, "Print"],
Cell[1731605, 74465, 90, 1, 49, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[1731756, 74473, 183, 4, 34, "Section"],

Cell[CellGroupData[{
Cell[1731964, 74481, 901, 24, 29, "Text"],

Cell[CellGroupData[{
Cell[1732890, 74509, 103, 2, 60, "Input"],
Cell[1732996, 74513, 153, 2, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1733186, 74520, 148, 3, 60, "Input"],
Cell[1733337, 74525, 153, 2, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1733527, 74532, 167, 4, 60, "Input"],
Cell[1733697, 74538, 153, 2, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1733899, 74546, 656, 17, 28, "Text"],

Cell[CellGroupData[{
Cell[1734580, 74567, 102, 2, 60, "Input"],
Cell[1734685, 74571, 35, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1734757, 74577, 157, 3, 60, "Input"],
Cell[1734917, 74582, 35, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1734989, 74588, 185, 4, 60, "Input"],
Cell[1735177, 74594, 35, 1, 49, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[1735273, 74602, 399, 15, 34, "Section"],

Cell[CellGroupData[{
Cell[1735697, 74621, 1383, 42, 29, "Text"],

Cell[CellGroupData[{
Cell[1737105, 74667, 148, 3, 60, "Input"],
Cell[1737256, 74672, 35, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1737328, 74678, 201, 3, 60, "Input"],
Cell[1737532, 74683, 35, 1, 49, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[1737628, 74691, 399, 15, 34, "Section"],

Cell[CellGroupData[{
Cell[1738052, 74710, 1205, 34, 48, "Text"],

Cell[CellGroupData[{
Cell[1739282, 74748, 132, 3, 80, "Input"],
Cell[1739417, 74753, 35, 1, 49, "Output"],
Cell[1739455, 74756, 169, 3, 25, "Print"],
Cell[1739627, 74761, 236, 4, 25, "Print"],
Cell[1739866, 74767, 169, 3, 25, "Print"],
Cell[1740038, 74772, 147, 3, 25, "Print"],
Cell[1740188, 74777, 167, 3, 25, "Print"],
Cell[1740358, 74782, 161, 3, 25, "Print"],
Cell[1740522, 74787, 153, 3, 25, "Print"],
Cell[1740678, 74792, 438, 13, 25, "Print"],
Cell[1741119, 74807, 145, 3, 25, "Print"],
Cell[1741267, 74812, 163, 3, 25, "Print"],
Cell[1741433, 74817, 437855, 18927, 298, 340112, 17716, "GraphicsData", \
"PostScript", "Graphics"],
Cell[2179291, 93746, 78, 1, 49, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[2179430, 93754, 327, 11, 34, "Section"],

Cell[CellGroupData[{
Cell[2179782, 93769, 731, 18, 48, "Text"],

Cell[CellGroupData[{
Cell[2180538, 93791, 102, 2, 60, "Input"],
Cell[2180643, 93795, 230, 4, 68, "Output"],

Cell[CellGroupData[{
Cell[2180898, 93803, 176, 4, 60, "Input"],
Cell[2181077, 93809, 230, 4, 68, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[2181356, 93819, 182, 4, 60, "Input"],
Cell[2181541, 93825, 230, 4, 68, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2181820, 93835, 959, 25, 28, "Text"],

Cell[CellGroupData[{
Cell[2182804, 93864, 109, 2, 60, "Input"],
Cell[2182916, 93868, 39974, 574, 304, 1337, 92, "GraphicsData", "PostScript", \
"Graphics"],
Cell[2222893, 94444, 139, 2, 49, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[2223069, 94451, 181, 3, 62, "Input"],
Cell[2223253, 94456, 39974, 574, 304, 1337, 92, "GraphicsData", "PostScript", \
"Graphics"],
Cell[2263230, 95032, 139, 2, 49, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[2263406, 95039, 210, 4, 62, "Input"],
Cell[2263619, 95045, 39974, 574, 304, 1337, 92, "GraphicsData", "PostScript", \
"Graphics"],
Cell[2303596, 95621, 139, 2, 49, "Output"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[2303784, 95629, 728, 21, 28, "Text"],

Cell[CellGroupData[{
Cell[2304537, 95654, 207, 3, 60, "Input"],
Cell[2304747, 95659, 376, 5, 87, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2305172, 95670, 1220, 34, 28, "Text"],

Cell[CellGroupData[{
Cell[2306417, 95708, 170, 3, 60, "Input"],
Cell[2306590, 95713, 53, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2306692, 95720, 950, 27, 28, "Text"],

Cell[CellGroupData[{
Cell[2307667, 95751, 200, 3, 60, "Input"],
Cell[2307870, 95756, 46, 1, 25, "Print"],
Cell[2307919, 95759, 35616, 521, 304, 1362, 94, "GraphicsData", "PostScript", \
"Graphics"],
Cell[2343538, 96282, 53, 1, 25, "Print"],
Cell[2343594, 96285, 110, 2, 25, "Print"],
Cell[2343707, 96289, 28634, 424, 304, 1122, 80, "GraphicsData", "PostScript", \
"Graphics"],
Cell[2372344, 96715, 126, 2, 25, "Print"],
Cell[2372473, 96719, 27526, 413, 304, 1246, 84, "GraphicsData", "PostScript", \
"Graphics"],
Cell[2400002, 97134, 212, 3, 68, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2400251, 97142, 237, 4, 60, "Input"],
Cell[2400491, 97148, 46, 1, 25, "Print"],
Cell[2400540, 97151, 54206, 754, 304, 1370, 97, "GraphicsData", "PostScript", \
"Graphics"],
Cell[2454749, 97907, 53, 1, 25, "Print"],
Cell[2454805, 97910, 126, 2, 25, "Print"],
Cell[2454934, 97914, 36757, 524, 304, 1182, 80, "GraphicsData", "PostScript", \
"Graphics"],
Cell[2491694, 98440, 122, 2, 25, "Print"],
Cell[2491819, 98444, 35916, 515, 304, 1208, 82, "GraphicsData", "PostScript", \
"Graphics"],
Cell[2527738, 98961, 142, 2, 25, "Print"],
Cell[2527883, 98965, 41213, 586, 304, 1276, 88, "GraphicsData", "PostScript", \
"Graphics"],
Cell[2569099, 99553, 36, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2569184, 99560, 416, 10, 28, "Text"],

Cell[CellGroupData[{
Cell[2569625, 99574, 173, 3, 60, "Input"],
Cell[2569801, 99579, 142, 2, 25, "Print"],
Cell[2569946, 99583, 33954, 501, 304, 1364, 94, "GraphicsData", "PostScript", \
"Graphics"],
Cell[2603903, 100086, 138, 2, 25, "Print"],
Cell[2604044, 100090, 38361, 555, 304, 1361, 94, "GraphicsData", \
"PostScript", "Graphics"],
Cell[2642408, 100647, 263, 4, 68, "Output"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[2642720, 100657, 1211, 32, 47, "Text"],

Cell[CellGroupData[{
Cell[2643956, 100693, 408, 6, 100, "Input"],
Cell[2644367, 100701, 35, 1, 49, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[2644463, 100709, 171, 4, 34, "Section"],

Cell[CellGroupData[{
Cell[2644659, 100717, 1355, 34, 67, "Text"],

Cell[CellGroupData[{
Cell[2646039, 100755, 111, 2, 60, "Input"],
Cell[2646153, 100759, 608, 8, 106, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2646798, 100772, 181, 3, 60, "Input"],
Cell[2646982, 100777, 608, 8, 106, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2647627, 100790, 192, 3, 60, "Input"],
Cell[2647822, 100795, 608, 8, 106, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2648479, 100809, 1045, 25, 66, "Text"],

Cell[CellGroupData[{
Cell[2649549, 100838, 205, 3, 60, "Input"],
Cell[2649757, 100843, 370, 5, 87, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2650176, 100854, 1265, 31, 47, "Text"],

Cell[CellGroupData[{
Cell[2651466, 100889, 333, 9, 58, "Input"],
Cell[2651802, 100900, 32548, 598, 304, 2922, 228, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2684387, 101503, 209, 4, 60, "Input"],
Cell[2684599, 101509, 32548, 598, 304, 2922, 228, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2717184, 102112, 218, 4, 60, "Input"],
Cell[2717405, 102118, 32548, 598, 304, 2922, 228, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2750002, 102722, 994, 25, 47, "Text"],

Cell[CellGroupData[{
Cell[2751021, 102751, 434, 10, 58, "Input"],
Cell[2751458, 102763, 35962, 615, 304, 2401, 196, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2787469, 103384, 570, 16, 28, "Text"],

Cell[CellGroupData[{
Cell[2788064, 103404, 174, 3, 60, "Input"],
Cell[2788241, 103409, 536, 8, 87, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2788838, 103424, 175, 4, 34, "Section"],

Cell[CellGroupData[{
Cell[2789038, 103432, 661, 17, 29, "Text"],

Cell[CellGroupData[{
Cell[2789724, 103453, 116, 2, 60, "Input"],
Cell[2789843, 103457, 65, 1, 49, "Output"],
Cell[2789911, 103460, 37, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2789985, 103466, 111, 2, 60, "Input"],
Cell[2790099, 103470, 48, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2790184, 103476, 187, 3, 60, "Input"],
Cell[2790374, 103481, 48, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2790459, 103487, 214, 4, 60, "Input"],
Cell[2790676, 103493, 48, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2790773, 103500, 735, 20, 28, "Text"],

Cell[CellGroupData[{
Cell[2791533, 103524, 104, 2, 60, "Input"],
Cell[2791640, 103528, 43, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2791732, 103535, 999, 28, 47, "Text"],

Cell[CellGroupData[{
Cell[2792756, 103567, 152, 3, 60, "Input"],
Cell[2792911, 103572, 81, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2793041, 103579, 425, 12, 28, "Text"],

Cell[CellGroupData[{
Cell[2793491, 103595, 160, 3, 60, "Input"],
Cell[2793654, 103600, 76, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2793779, 103607, 629, 19, 28, "Text"],

Cell[CellGroupData[{
Cell[2794433, 103630, 246, 4, 60, "Input"],
Cell[2794682, 103636, 120, 2, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2794851, 103644, 1008, 29, 47, "Text"],

Cell[CellGroupData[{
Cell[2795884, 103677, 108, 2, 60, "Input"],
Cell[2795995, 103681, 86, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2796130, 103688, 1877, 50, 47, "Text"],

Cell[CellGroupData[{
Cell[2798032, 103742, 223, 4, 60, "Input"],
Cell[2798258, 103748, 161, 3, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2798456, 103756, 235, 4, 60, "Input"],
Cell[2798694, 103762, 171, 3, 49, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[2798926, 103772, 402, 15, 34, "Section"],

Cell[CellGroupData[{
Cell[2799353, 103791, 404, 12, 29, "Text"],

Cell[CellGroupData[{
Cell[2799782, 103807, 342, 8, 60, "Input"],
Cell[2800127, 103817, 41, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2800217, 103824, 716, 21, 28, "Text"],

Cell[CellGroupData[{
Cell[2800958, 103849, 369, 9, 60, "Input"],
Cell[2801330, 103860, 36, 1, 25, "Print"],
Cell[2801369, 103863, 4257, 60, 448, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2805675, 103929, 823, 24, 28, "Text"],

Cell[CellGroupData[{
Cell[2806523, 103957, 128, 2, 60, "Input"],
Cell[2806654, 103961, 40, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2806743, 103968, 744, 21, 28, "Text"],

Cell[CellGroupData[{
Cell[2807512, 103993, 275, 6, 60, "Input"],
Cell[2807790, 104001, 41, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2807880, 104008, 744, 21, 28, "Text"],

Cell[CellGroupData[{
Cell[2808649, 104033, 432, 10, 100, "Input"],
Cell[2809084, 104045, 36, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2809169, 104052, 539, 15, 28, "Text"],

Cell[CellGroupData[{
Cell[2809733, 104071, 97, 2, 60, "Input"],
Cell[2809833, 104075, 35, 1, 25, "Print"],
Cell[2809871, 104078, 436, 6, 87, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2810356, 104090, 539, 15, 28, "Text"],

Cell[CellGroupData[{
Cell[2810920, 104109, 96, 2, 60, "Input"],
Cell[2811019, 104113, 34, 1, 25, "Print"],
Cell[2811056, 104116, 41, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2811146, 104123, 1116, 35, 28, "Text"],

Cell[CellGroupData[{
Cell[2812287, 104162, 141, 3, 80, "Input"],
Cell[2812431, 104167, 34, 1, 25, "Print"],
Cell[2812468, 104170, 86, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2812603, 104177, 2213, 101, 47, "Text"],

Cell[CellGroupData[{
Cell[2814841, 104282, 95, 2, 60, "Input"],
Cell[2814939, 104286, 35, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2815023, 104293, 532, 15, 28, "Text"],

Cell[CellGroupData[{
Cell[2815580, 104312, 92, 2, 60, "Input"],
Cell[2815675, 104316, 34, 1, 25, "Print"],
Cell[2815712, 104319, 101, 2, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2815862, 104327, 652, 20, 28, "Text"],

Cell[CellGroupData[{
Cell[2816539, 104351, 92, 2, 60, "Input"],
Cell[2816634, 104355, 34, 1, 25, "Print"],
Cell[2816671, 104358, 105, 2, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2816825, 104366, 477, 14, 28, "Text"],

Cell[CellGroupData[{
Cell[2817327, 104384, 95, 2, 60, "Input"],
Cell[2817425, 104388, 254, 4, 68, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2817728, 104398, 476, 14, 28, "Text"],

Cell[CellGroupData[{
Cell[2818229, 104416, 95, 2, 60, "Input"],
Cell[2818327, 104420, 1360, 19, 201, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2819736, 104445, 511, 14, 28, "Text"],

Cell[CellGroupData[{
Cell[2820272, 104463, 99, 2, 60, "Input"],
Cell[2820374, 104467, 38, 1, 38, "Print"],
Cell[2820415, 104470, 35, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2820499, 104477, 1482, 37, 66, "Text"],

Cell[CellGroupData[{
Cell[2822006, 104518, 109, 2, 60, "Input"],
Cell[2822118, 104522, 679, 10, 106, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2822846, 104538, 478, 14, 28, "Text"],

Cell[CellGroupData[{
Cell[2823349, 104556, 180, 4, 60, "Input"],
Cell[2823532, 104562, 37, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2823618, 104569, 1776, 48, 47, "Text"],

Cell[CellGroupData[{
Cell[2825419, 104621, 150, 3, 80, "Input"],
Cell[2825572, 104626, 35, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2825656, 104633, 1050, 28, 28, "Text"],

Cell[CellGroupData[{
Cell[2826731, 104665, 99, 2, 60, "Input"],
Cell[2826833, 104669, 54, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2826936, 104676, 1252, 34, 28, "Text"],

Cell[CellGroupData[{
Cell[2828213, 104714, 148, 3, 80, "Input"],
Cell[2828364, 104719, 35, 1, 49, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[2828460, 104727, 170, 4, 34, "Section"],

Cell[CellGroupData[{
Cell[2828655, 104735, 580, 17, 29, "Text"],

Cell[CellGroupData[{
Cell[2829260, 104756, 182, 3, 60, "Input"],
Cell[2829445, 104761, 40, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2829522, 104767, 248, 5, 60, "Input"],
Cell[2829773, 104774, 40, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2829862, 104781, 536, 14, 47, "Text"],

Cell[CellGroupData[{
Cell[2830423, 104799, 88, 2, 60, "Input"],
Cell[2830514, 104803, 35, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2830598, 104810, 406, 10, 47, "Text"],

Cell[CellGroupData[{
Cell[2831029, 104824, 84, 2, 60, "Input"],
Cell[2831116, 104828, 35, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2831200, 104835, 617, 16, 47, "Text"],

Cell[CellGroupData[{
Cell[2831842, 104855, 200, 4, 100, "Input"],
Cell[2832045, 104861, 124, 2, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2832218, 104869, 612, 16, 47, "Text"],

Cell[CellGroupData[{
Cell[2832855, 104889, 201, 4, 100, "Input"],
Cell[2833059, 104895, 161, 2, 49, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[2833281, 104904, 407, 15, 34, "Section"],

Cell[CellGroupData[{
Cell[2833713, 104923, 1094, 32, 48, "Text"],

Cell[CellGroupData[{
Cell[2834832, 104959, 91, 2, 60, "Input"],
Cell[2834926, 104963, 392, 5, 87, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2835367, 104974, 913, 26, 28, "Text"],

Cell[CellGroupData[{
Cell[2836305, 105004, 95, 2, 60, "Input"],
Cell[2836403, 105008, 63, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2836515, 105015, 927, 27, 28, "Text"],

Cell[CellGroupData[{
Cell[2837467, 105046, 90, 2, 60, "Input"],
Cell[2837560, 105050, 129, 2, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2837738, 105058, 1277, 37, 28, "Text"],

Cell[CellGroupData[{
Cell[2839040, 105099, 95, 2, 60, "Input"],
Cell[2839138, 105103, 63, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2839238, 105109, 90, 2, 60, "Input"],
Cell[2839331, 105113, 129, 2, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2839497, 105120, 94, 2, 60, "Input"],
Cell[2839594, 105124, 69, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2839712, 105131, 979, 28, 28, "Text"],

Cell[CellGroupData[{
Cell[2840716, 105163, 94, 2, 60, "Input"],
Cell[2840813, 105167, 413, 6, 87, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2841275, 105179, 874, 27, 28, "Text"],

Cell[CellGroupData[{
Cell[2842174, 105210, 114, 3, 80, "Input"],
Cell[2842291, 105215, 727, 10, 125, "Output"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[2843079, 105232, 326, 11, 34, "Section"],

Cell[CellGroupData[{
Cell[2843430, 105247, 479, 13, 29, "Text"],

Cell[CellGroupData[{
Cell[2843934, 105264, 370, 6, 60, "Input"],
Cell[2844307, 105272, 35, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2844391, 105279, 2043, 52, 85, "Text"],

Cell[CellGroupData[{
Cell[2846459, 105335, 167, 3, 60, "Input"],
Cell[2846629, 105340, 118, 2, 25, "Print"],
Cell[2846750, 105344, 74, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2846873, 105351, 2190, 56, 85, "Text"],

Cell[CellGroupData[{
Cell[2849088, 105411, 107, 2, 60, "Input"],
Cell[2849198, 105415, 226, 4, 25, "Print"],
Cell[2849427, 105421, 169, 3, 25, "Print"],
Cell[2849599, 105426, 290, 6, 25, "Print"],
Cell[2849892, 105434, 59, 1, 25, "Print"],
Cell[2849954, 105437, 48, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2850051, 105444, 1913, 51, 66, "Text"],

Cell[CellGroupData[{
Cell[2851989, 105499, 186, 4, 100, "Input"],
Cell[2852178, 105505, 318, 6, 25, "Print"],
Cell[2852499, 105513, 12437, 207, 1588, "Output"],
Cell[2864939, 105722, 36, 1, 49, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[2865012, 105728, 49, 1, 42, "Input"],
Cell[2865064, 105731, 267, 5, 25, "Print"],
Cell[2865334, 105738, 389, 7, 25, "Print"],
Cell[2865726, 105747, 673, 20, 25, "Print"],
Cell[2866402, 105769, 1168, 29, 77, "Print"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[2867631, 105805, 312, 11, 34, "Section"],

Cell[CellGroupData[{
Cell[2867968, 105820, 2064, 60, 48, "Text"],

Cell[CellGroupData[{
Cell[2870057, 105884, 298, 6, 60, "Input"],
Cell[2870358, 105892, 77, 1, 49, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],
Cell[2870474, 105898, 32, 3, 70, "Subsubtitle"],
Cell[2870509, 105903, 266, 12, 73, "Title"],
Cell[2870778, 105917, 287, 7, 66, "Subtitle"],
Cell[2871068, 105926, 298, 9, 135, "Subsubtitle"],
Cell[2871369, 105937, 874, 23, 63, "Subsection"],

Cell[CellGroupData[{
Cell[2872268, 105964, 25, 0, 54, "Section"],

Cell[CellGroupData[{
Cell[2872318, 105968, 1420, 38, 82, "Subsection"],

Cell[CellGroupData[{
Cell[2873763, 106010, 40, 1, 40, "Input"],
Cell[2873806, 106013, 725, 10, 82, "Print",
  CellTags->"Info3353396215-4162633"]
}, Closed]],

Cell[CellGroupData[{
Cell[2874568, 106028, 49, 1, 42, "Input"],
Cell[2874620, 106031, 185, 3, 25, "Print",
  CellTags->"Info3349533458-8851117"]
}, Closed]],

Cell[CellGroupData[{
Cell[2874842, 106039, 51, 1, 42, "Input"],
Cell[2874896, 106042, 1037, 15, 120, "Print",
  CellTags->"Info3350327846-8623498"]
}, Closed]],

Cell[CellGroupData[{
Cell[2875970, 106062, 45, 1, 42, "Input"],
Cell[2876018, 106065, 172, 3, 25, "Print",
  CellTags->"Info3353568096-4048252"]
}, Closed]],

Cell[CellGroupData[{
Cell[2876227, 106073, 47, 1, 42, "Input"],
Cell[2876277, 106076, 167, 3, 25, "Print",
  CellTags->"Info3353396505-8782159"]
}, Closed]],

Cell[CellGroupData[{
Cell[2876481, 106084, 48, 1, 42, "Input"],
Cell[2876532, 106087, 170, 3, 25, "Print",
  CellTags->"Info3353564304-4246517"]
}, Closed]],

Cell[CellGroupData[{
Cell[2876739, 106095, 51, 1, 42, "Input"],
Cell[2876793, 106098, 225, 4, 25, "Print",
  CellTags->"Info3353566825-9703633"]
}, Closed]],

Cell[CellGroupData[{
Cell[2877055, 106107, 40, 1, 42, "Input"],
Cell[2877098, 106110, 888, 12, 101, "Print",
  CellTags->"Info3349533639-8986767"]
}, Closed]],

Cell[CellGroupData[{
Cell[2878023, 106127, 60, 1, 42, "Input"],
Cell[2878086, 106130, 261, 4, 44, "Print",
  CellTags->"Info3352184477-7291141"]
}, Closed]],

Cell[CellGroupData[{
Cell[2878384, 106139, 47, 1, 42, "Input"],
Cell[2878434, 106142, 394, 6, 44, "Print",
  CellTags->"Info3350327237-8170799"]
}, Closed]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2878889, 106155, 326, 11, 34, "Section"],
Cell[2879218, 106168, 1637, 42, 48, "Text"],

Cell[CellGroupData[{
Cell[2880880, 106214, 822, 23, 29, "Text"],

Cell[CellGroupData[{
Cell[2881727, 106241, 110, 2, 60, "Input"],
Cell[2881840, 106245, 103, 2, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2881992, 106253, 1248, 37, 28, "Text"],

Cell[CellGroupData[{
Cell[2883265, 106294, 193, 3, 60, "Input"],
Cell[2883461, 106299, 158, 2, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2883668, 106307, 789, 25, 28, "Text"],

Cell[CellGroupData[{
Cell[2884482, 106336, 150, 3, 60, "Input"],
Cell[2884635, 106341, 139, 2, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2884823, 106349, 885, 29, 28, "Text"],

Cell[CellGroupData[{
Cell[2885733, 106382, 175, 3, 60, "Input"],
Cell[2885911, 106387, 158, 2, 49, "Output"],
Cell[2886072, 106391, 746, 16, 48, "Text"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2886867, 106413, 920, 19, 85, "Text"],

Cell[CellGroupData[{
Cell[2887812, 106436, 136, 2, 60, "Input"],
Cell[2887951, 106440, 63, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2888051, 106446, 47, 1, 40, "Input"],
Cell[2888101, 106449, 63, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2888213, 106456, 378, 13, 28, "Text"],

Cell[CellGroupData[{
Cell[2888616, 106473, 101, 2, 60, "Input"],
Cell[2888720, 106477, 40, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2888797, 106483, 165, 4, 60, "Input"],
Cell[2888965, 106489, 46, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2889048, 106495, 156, 3, 60, "Input"],
Cell[2889207, 106500, 42, 1, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2889298, 106507, 329, 12, 28, "Text"],

Cell[CellGroupData[{
Cell[2889652, 106523, 110, 2, 60, "Input"],
Cell[2889765, 106527, 158, 2, 49, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[2889984, 106536, 50, 0, 34, "Section"],

Cell[CellGroupData[{
Cell[2890059, 106540, 180, 5, 29, "Text"],

Cell[CellGroupData[{
Cell[2890264, 106549, 211, 4, 40, "Input"],
Cell[2890478, 106555, 103, 2, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2890618, 106562, 171, 3, 80, "Input"],
Cell[2890792, 106567, 103, 2, 49, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[2890944, 106575, 1187, 18, 105, "Text"],

Cell[CellGroupData[{
Cell[2892156, 106597, 178, 3, 80, "Input"],
Cell[2892337, 106602, 545, 8, 68, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2892919, 106615, 178, 3, 40, "Input"],
Cell[2893100, 106620, 545, 8, 68, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2893694, 106634, 1005, 15, 104, "Text"],

Cell[CellGroupData[{
Cell[2894724, 106653, 165, 3, 80, "Input"],
Cell[2894892, 106658, 192, 3, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2895121, 106666, 205, 4, 40, "Input"],
Cell[2895329, 106672, 192, 3, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2895570, 106681, 258, 6, 28, "Text"],

Cell[CellGroupData[{
Cell[2895853, 106691, 209, 3, 80, "Input"],
Cell[2896065, 106696, 102, 2, 49, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2896216, 106704, 428, 9, 47, "Text"],

Cell[CellGroupData[{
Cell[2896669, 106717, 196, 3, 80, "Input"],
Cell[2896868, 106722, 35, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2896940, 106728, 205, 4, 40, "Input"],
Cell[2897148, 106734, 35, 1, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2897220, 106740, 196, 3, 80, "Input"],
Cell[2897419, 106745, 41, 1, 62, "Output"],

Cell[CellGroupData[{
Cell[2897485, 106750, 205, 4, 40, "Input"],
Cell[2897693, 106756, 41, 1, 62, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[2897807, 106765, 123, 4, 34, "Section"],

Cell[CellGroupData[{
Cell[2897955, 106773, 1443, 31, 105, "Text"],

Cell[CellGroupData[{
Cell[2899423, 106808, 178, 4, 60, "Input"],
Cell[2899604, 106814, 71, 1, 64, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2899712, 106820, 178, 4, 60, "Input"],
Cell[2899893, 106826, 247, 4, 67, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2900189, 106836, 224, 5, 28, "Text"],

Cell[CellGroupData[{
Cell[2900438, 106845, 113, 2, 60, "Input"],
Cell[2900554, 106849, 74, 1, 64, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2900665, 106855, 177, 4, 60, "Input"],
Cell[2900845, 106861, 361, 5, 67, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2901243, 106871, 168, 3, 60, "Input"],
Cell[2901414, 106876, 459, 7, 67, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

