(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     56922,       1224]*)
(*NotebookOutlinePosition[     57566,       1246]*)
(*  CellTagsIndexPosition[     57522,       1242]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[
    \(\(a1 = {"\<1\>"};\)\)], "Input"],

Cell[BoxData[
    \(\(a2 = {"\<2\>"};\)\)], "Input"],

Cell[BoxData[
    \(\(a3 = {"\<3\>"};\)\)], "Input"],

Cell[BoxData[
    \(\(a4 = {"\<2 2\>", "\<4\>"};\)\)], "Input"],

Cell[BoxData[
    \(\(a5 = {"\<5\>", "\<3 2\>", "\<2 1 2\>"};\)\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"a6", "=", 
        RowBox[{"{", 
          RowBox[{
          "\"\<4 2\>\"", ",", "\"\<3 1 2\>\"", ",", "\"\<2 1 1 2\>\"", ",", 
            "\"\<6\>\"", ",", "\"\<3 3\>\"", ",", "\"\<2 2 2\>\"", ",", 
            StyleBox["\"\<2,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<.1\>\"",
              FontColor->RGBColor[1, 0, 0]]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"n6", "=", 
        RowBox[{"{", 
          StyleBox["\"\<2,2,-2\>\"",
            FontColor->RGBColor[0, 0, 1]], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"a7", "=", 
        RowBox[{"{", 
          RowBox[{
          "\"\<7\>\"", ",", "\"\<5 2\>\"", ",", "\"\<4 3\>\"", ",", 
            "\"\<3 1 3\>\"", ",", "\"\<3 2 2\>\"", ",", "\"\<2 2 1 2\>\"", 
            ",", "\"\<2 1 1 1 2\>\"", ",", "\"\<4 1 2\>\"", ",", 
            "\"\<3 1 1 2\>\"", ",", "\"\<2 3 2\>\"", ",", 
            StyleBox["\"\<3,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<.2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2,2,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"n7", "=", 
        RowBox[{"{", 
          RowBox[{
            StyleBox["\"\<3,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"a8", "=", 
        RowBox[{"{", 
          RowBox[{
          "\"\<6 2\>\"", ",", "\"\<5 1 2\>\"", ",", "\"\<4 4\>\"", ",", 
            "\"\<4 1 3\>\"", ",", 
            StyleBox["\"\<3,3,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", "\"\<3 3 2\>\"", ",", 
            "\"\<4 1 1 2\>\"", ",", "\"\<2 3 1 2\>\"", ",", "\"\<3 1 1 3\>\"",
             ",", 
            StyleBox["\"\<3,2 1,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", "\"\<3 2 1 2\>\"", ",", 
            "\"\<2 2 2 2\>\"", ",", "\"\<3 1 1 1 2\>\"", ",", 
            "\"\<2 2 1 1 2\>\"", ",", 
            StyleBox["\"\<2 1,2 1,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<.2.2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2.2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<8*\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", "\"\<8\>\"", ",", 
            "\"\<5 3\>\"", ",", "\"\<4 2 2\>\"", ",", "\"\<3 2 3\>\"", ",", 
            "\"\<3 1 2 2\>\"", ",", "\"\<2 4 2\>\"", ",", "\"\<2 1 2 1 2\>\"",
             ",", "\"\<2 1 1 1 1 2\>\"", ",", 
            StyleBox["\"\<2 2,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1 1,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3,2,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<2 1,2,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<.2 1\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2..2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<4,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 1,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2,2,2+2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<(2,2) (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<.3\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2,2,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"n8", "=", 
        RowBox[{"{", 
          RowBox[{
            StyleBox["\"\<3,3,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3,2 1,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1,2 1,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 2,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1 1,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 1,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<(2,2) (2,-2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(2,2) -(2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<2,2,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2,2,-2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"a9", "=", 
        RowBox[{"{", 
          RowBox[{
          "\"\<9\>\"", ",", "\"\<7 2\>\"", ",", "\"\<6 3\>\"", ",", 
            "\"\<5 4\>\"", ",", "\"\<5 1 3\>\"", ",", "\"\<5 2 2\>\"", ",", 
            "\"\<3 4 2\>\"", ",", "\"\<2 4 1 2\>\"", ",", "\"\<4 2 3\>\"", 
            ",", "\"\<3 3 3\>\"", ",", "\"\<4 1 2 2\>\"", ",", 
            "\"\<4 2 1 2\>\"", ",", "\"\<3 2 1 3\>\"", ",", 
            "\"\<4 1 1 1 2\>\"", ",", "\"\<2 3 2 2\>\"", ",", 
            StyleBox["\"\<3,3,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", "\"\<2 1 3 1 2\>\"", ",", 
            "\"\<3 2 2 2\>\"", ",", "\"\<2 3 1 1 2\>\"", ",", 
            "\"\<3 1 2 1 2\>\"", ",", "\"\<3 1 1 2 2\>\"", ",", 
            "\"\<2 1 1,3,2\>\"", ",", "\"\<2 2 1 2 2\>\"", ",", 
            StyleBox["\"\<3,2 1,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<2 2,2 1,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", "\"\<3 1 1 1 1 2\>\"", ",", 
            "\"\<2 1 2 1 1 2\>\"", ",", 
            StyleBox["\"\<2 1,2 1,2+1\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<.2.2 0.2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2 1 1,2 1,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", "\"\<2 1 1 1 1 1 2\>\"", 
            ",", 
            StyleBox["\"\<.2 1.2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2 1.2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<8*2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<3,3,3\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 2,3,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3,2 1,2 1\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<.2.2.2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2..2..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<9*\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2 0..2 0..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", "\"\<6 1 2\>\"", ",", 
            "\"\<5 1 1 2\>\"", ",", "\"\<4 3 2\>\"", ",", "\"\<4 1 4\>\"", 
            ",", "\"\<4 1 1 3\>\"", ",", "\"\<3 3 1 2\>\"", ",", 
            "\"\<3 2 1 1 2\>\"", ",", "\"\<3 1 3 2\>\"", ",", 
            "\"\<3 1 1 1 3\>\"", ",", "\"\<2 5 2\>\"", ",", 
            "\"\<2 2 2 1 2\>\"", ",", "\"\<2 2 1 1 1 2\>\"", ",", 
            StyleBox["\"\<5,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4 1,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 2,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 1 1,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 3,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 2 1,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4,3,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4,2 1,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 1,3,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 1,2 1,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3,3,2 1\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1,2 1,2 1\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 2,2,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<2 1 1,2,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<3,2,2+2\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<2 1,2,2+2\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<(3,2) (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(2 1,2) (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<.4\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.3 1\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2 2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.3.2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.3.2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.3..2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.3..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2 1..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2.2.2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2..2..2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2..2 0..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<8*2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2 1 2,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1 1 1,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3,2,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1,2,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4,2,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<3 1,2,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<2,2,2+3\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<(2,2+1) (2,2)\>\"",
              FontColor->RGBColor[1, 0.501961, 0.501961]], ",", 
            StyleBox["\"\<(2,2) 1 (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<.2 1 1\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2 1..2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.(2,2)\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2,2,2,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"n9", "=", 
        RowBox[{"{", 
          RowBox[{
            StyleBox["\"\<2 2,3,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1 1,3,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 2,2 1,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1 1,2 1,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3,3,-3\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<8*-2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2 1,2 1,-3\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<-2 0..-2 0..-2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<5,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4 1,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 2,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 1 1,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 3,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 2 1,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4,3,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4,2 1,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 1,3,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 1,2 1,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3,3,-2 -1\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3,2 1,-3\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<(3,2) (2,-2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(2 1,2) (2,-2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(3,-2) (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(2 1,-2) (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(3,2) -(2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(2 1,2) -(2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<2..-2 0..-2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2 1 2,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1 1 1,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3,2,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1,2,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3,2,-2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<(2,2+1) (2,-2)\>\"",
              FontColor->RGBColor[1, 0.501961, 0.501961]], ",", 
            StyleBox["\"\<(2,2+1) -(2,2)\>\"",
              FontColor->RGBColor[1, 0.501961, 0.501961]], ",", 
            StyleBox["\"\<.(2,-2)\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.-(2,2)\>\"",
              FontColor->RGBColor[1, 0, 0]]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"a10", "=", 
        RowBox[{"{", 
          RowBox[{
          "\"\<8 2\>\"", ",", "\"\<7 1 2\>\"", ",", "\"\<6 4\>\"", ",", 
            "\"\<6 1 3\>\"", ",", "\"\<6 1 1 2\>\"", ",", "\"\<5 3 2\>\"", 
            ",", "\"\<5 2 1 2\>\"", ",", "\"\<5 1 4\>\"", ",", 
            "\"\<5 1 1 3\>\"", ",", "\"\<5 1 1 1 2\>\"", ",", "\"\<4 3 3\>\"",
             ",", "\"\<4 3 1 2\>\"", ",", "\"\<4 2 2 2\>\"", ",", 
            "\"\<4 2 1 1 2\>\"", ",", "\"\<4 1 3 2\>\"", ",", 
            "\"\<4 1 2 3\>\"", ",", "\"\<4 1 1 4\>\"", ",", 
            "\"\<4 1 1 2 2\>\"", ",", "\"\<4 1 1 1 3\>\"", ",", 
            "\"\<3 5 2\>\"", ",", "\"\<3 4 1 2\>\"", ",", "\"\<3 3 1 3\>\"", 
            ",", "\"\<3 3 1 1 2\>\"", ",", "\"\<3 2 3 2\>\"", ",", 
            "\"\<3 2 2 1 2\>\"", ",", "\"\<3 2 1 1 3\>\"", ",", 
            "\"\<3 2 1 1 1 2\>\"", ",", "\"\<3 1 3 1 2\>\"", ",", 
            "\"\<3 1 2 2 2\>\"", ",", "\"\<3 1 2 1 1 2\>\"", ",", 
            "\"\<3 1 1 3 2\>\"", ",", "\"\<3 1 1 1 2 2\>\"", ",", 
            "\"\<3 1 1 1 1 3\>\"", ",", "\"\<2 5 1 2\>\"", ",", 
            "\"\<2 4 2 2\>\"", ",", "\"\<2 4 1 1 2\>\"", ",", 
            "\"\<2 3 3 2\>\"", ",", "\"\<2 3 1 2 2\>\"", ",", 
            "\"\<2 2 3 1 2\>\"", ",", "\"\<2 2 2 1 1 2\>\"", ",", 
            "\"\<2 2 1 2 1 2\>\"", ",", "\"\<2 2 1 1 1 1 2\>\"", ",", 
            "\"\<2 1 2 2 1 2\>\"", ",", "\"\<2 1 2 1 1 1 2\>\"", ",", 
            "\"\<2 1 1 1 1 1 1 2\>\"", ",", 
            StyleBox["\"\<5,3,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<5,2 1,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4 1,3,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4 1,2 1,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 2,3,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 2,2 1,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 1 1,3,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 1 1,2 1,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 3,3,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 3,2 1,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 2 1,3,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 2 1,2 1,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 2,2 2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 2,2 1 1,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1 1,2 1 1,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4,3,3\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4,3,2 1\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4,2 1,2 1\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 1,3,3\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 1,3,2 1\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 1,2 1,2 1\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 2,3,2 1\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1 1,3,3\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1 1,2 1,2 1\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 2,3,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<2 2,2 1,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<2 1 1,3,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<2 1 1,2 1,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<3,3,2 1+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<2 1,2 1,2 1+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<3,3,2+2\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<3,2 1,2+2\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<2 1,2 1,2+2\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<(3,2) (3,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(3,2) (2 1,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(2 1,2) (2 1,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<.4.2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.3 1.2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2 2.2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.4.2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.3 1.2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2 2.2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2 1.2 1\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2 1.2 1 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.3.2.2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.3.2.2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2 1.2.2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.3.2 0.2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.3 0.2.2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2 1 0.2.2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2.2 1.2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2.2 1 0.2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2.2.2.2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2.2.2 0.2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<3..2..2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2 1..2..2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<3..2..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<3 0..2..2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<3..2 0..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2 1..2 0..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<3 0..2..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2 1 0..2..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<3 0..2 0..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2.2.2.2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2.2.2.2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2.2.2 0.2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<8*3\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<8*2 1\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<8*3 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<8*2 0.2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<8*2..2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<8*2..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<8*2...2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<8*2...2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<8*2 0....2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<9*2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<9*.2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<101*\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", "\"\<10\>\"", ",", 
            StyleBox["\"\<102*\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2 0.2.2.2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2 1 0..2 0..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2 1 1 1\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2 1 1 1 1,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1 1 1,2 1,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1 1 1,3,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<.2 1 1..2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2 1 1.2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2 1 1..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2 1 1.2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2 1 1 2 1 1 2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<(2 1 1,2) (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<2 1 1,2,2+2\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<2 1 1 2,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1 1,3,2 1\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<.(2 1,2)\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2 1 2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2 1.2 0.2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2 1..2 1\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<(2 1,2) 1 (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(2 1,2+1) (2,2)\>\"",
              FontColor->RGBColor[1, 0.501961, 0.501961]], ",", 
            StyleBox["\"\<2 1,2 1,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1 2 1,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<.2 1.2.2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2 1..2..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2 1,2,2 1,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1 2,2 1,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1,2,2+3\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<2 1 2,3,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", "\"\<2 1 3 1 1 2\>\"", ",", 
            
            StyleBox["\"\<2 1 3,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", "\"\<2 1 4 1 2\>\"", ",", 
            StyleBox["\"\<.2.2 0.2.2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2.2 0.2.2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", "\"\<2 2 1 1 2 2\>\"", ",", 
            
            StyleBox["\"\<.2.2 1.2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<(2,2+1) (2 1,2)\>\"",
              FontColor->RGBColor[1, 0.501961, 0.501961]], ",", 
            StyleBox["\"\<2 2 1,2,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<(2,2+1) (3,2)\>\"",
              FontColor->RGBColor[1, 0.501961, 0.501961]], ",", 
            StyleBox["\"\<.(2,2).2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.(2,2).2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2 2..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2.2.2 0.2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2..2..2 1 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2 2,2 1,2 1\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<.2.2.2.2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<(2 2,2) (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<2 2,2,2+2\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", "\"\<2 2 2 2 2\>\"", ",", 
            StyleBox["\"\<2 2,3,3\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<.2 3\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2.3 0.2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", "\"\<2 3 1 1 1 2\>\"", ",", 
            
            StyleBox["\"\<2 3 1,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<.2.3.2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", "\"\<2 3 2 1 2\>\"", ",", 
            StyleBox["\"\<2 3,2,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<2 4,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", "\"\<2 6 2\>\"", ",", 
            StyleBox["\"\<.3 1 1\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", "\"\<3 1 1 1 1 1 2\>\"", 
            ",", 
            StyleBox["\"\<3 1 1 1,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", "\"\<3 1 1 2 1 2\>\"", ",", 
            
            StyleBox["\"\<3 1 1,2,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<.3 1..2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<3 1,2 1 1,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 1,2 1,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", "\"\<3 1 2 1 3\>\"", ",", 
            StyleBox["\"\<3 1,2 2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 1 2,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 1,3,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", "\"\<3 1 4 2\>\"", ",", 
            StyleBox["\"\<.(3,2)\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.3..2 1\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.3.2 1\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.3..2 1 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.3.2 1 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<3,2 1,2 1+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<(3,2) 1 (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(3,2+1) (2,2)\>\"",
              FontColor->RGBColor[1, 0.501961, 0.501961]], ",", 
            StyleBox["\"\<(3,2 1) (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<3,2 1,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", "\"\<3 2 1 2 2\>\"", ",", 
            StyleBox["\"\<3,2,2 1,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 2,2,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<3,2,2+3\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", "\"\<3 2 2 3\>\"", ",", 
            StyleBox["\"\<3,2,3,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3,3,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", "\"\<3 3 2 2\>\"", ",", 
            StyleBox["\"\<3,3,3+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", "\"\<3 4 3\>\"", ",", 
            StyleBox["\"\<.4 1\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", "\"\<4 1 1 1 1 2\>\"", ",", 
            
            StyleBox["\"\<4 1 1,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", "\"\<4 1 2 1 2\>\"", ",", 
            StyleBox["\"\<4 1,2,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<.4..2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<4,2 1 1,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4,2 1,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", "\"\<4 2 1 3\>\"", ",", 
            StyleBox["\"\<4,2 2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", "\"\<\!\(\*
StyleBox[\"4\",\nFontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\" \",\nFontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"2\",\nFontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\",\",\nFontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"2\",\nFontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\",\",\nFontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"2\",\nFontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"\\\"\",\nFontColor->RGBColor[0, 0, 1]]\)", ",", "\"\<4 2 4\>\"", 
            ",", 
            StyleBox["\"\<4,3,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", "\"\<4 4 2\>\"", ",", 
            "\"\<5 1 2 2\>\"", ",", 
            StyleBox["\"\<5,2,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", "\"\<5 2 3\>\"", ",", 
            "\"\<5 5\>\"", ",", "\"\<6 2 2\>\"", ",", "\"\<7 3\>\"", ",", 
            StyleBox["\"\<8*2 0...2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<8*2 0..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<8*2 1 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<8*2....2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<8*2.2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<9*.2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", "\"\<\!\(\*
StyleBox[\"9\",\nFontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"*\",\nFontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"2\",\nFontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"\\\"\",\nFontColor->RGBColor[1, 0, 0]]\)", ",", 
            StyleBox["\"\<2 0.2.2 0.2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2 1 1 1,2,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<2 1 1,2,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<.2 1..2 1 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<(2 1,2 1) (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<2 1,2,2,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<2 1 2,2,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<.(2,2+1)\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.2 2 1\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<(2,2+1) 1 (2,2)\>\"",
              FontColor->RGBColor[1, 0.501961, 0.501961]], ",", 
            StyleBox["\"\<2 2 1 1,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<(2,2+1) (2,2+1)\>\"",
              FontColor->RGBColor[1, 0.501961, 0.501961]], ",", 
            StyleBox["\"\<.2 2..2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.(2,2)..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<(2,2),2,(2,2)\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<(2,2+2) (2,2)\>\"",
              FontColor->RGBColor[1, 0.501961, 0.501961]], ",", 
            StyleBox["\"\<2 2,2,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 2 2,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2,2,2+4\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<.2.3.2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.3 1..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<(3 1,2) (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<3 1,2,2+2\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<3 1,3 1,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<.3 2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<3 2 1,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3,2,2,2+1\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<.3..3\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.3.3\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.3..3 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.3.3 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<(3,3) (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<3 3,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<.4..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<(4,2) (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<4,2,2+2\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<4,3 1,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4,4,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<.5\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<5 1,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<6,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<8*2....2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<8*2.2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<103*\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.(2,2) 1\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<(2,2) 1 1 (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<.(2,2)..2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<(2,2) 2 (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(2,2,2) (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<2,2,2,2+2\>\"",
              FontColor->RGBColor[1, 0, 1]], ",", 
            StyleBox["\"\<3 1,2,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4,2,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2,2,2,2,2\>\"",
              FontColor->RGBColor[0, 0, 1]]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"n10", "=", 
        RowBox[{"{", 
          RowBox[{
            StyleBox["\"\<5,3,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<5,2 1,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4 1,3,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4 1,2 1,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 2,3,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 2,2 1,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 1 1,3,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 1 1,2 1,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 3,3,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 3,2 1,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 2 1,3,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 2 1,2 1,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 2,2 2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 2,2 1 1,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1 1,2 1 1,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4,3,-2 -1\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4,3,-3\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4,2 1,-3\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 1,3,-2 -1\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 1,3,-3\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 1,2 1,-3\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 2,3,-2 -1\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 2,2 1,-3\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1 1,3,-3\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<(3 2) (3,-2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(3,2) (2 1,-2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(2 1,2) (3,-2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(2 1,2) (2 1,-2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(3,2) -(3,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(3,2) -(2 1,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(2 1,2) -(2 1,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<-3..2..2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<-3..2..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<-3..2 0..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<-3 0..2..2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<-3 0..2..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<-3 0..2 0..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<3..-2 0..-2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<-3 0..-2 0..-2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<8*-3 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<8*2..-2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<8*2...-2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<-2 -1 0..2 0..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2 1 1 1 1,2,-2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2 1 1 1,2 1,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1 1 1,3,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1 1,2 1,-3\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<(2 1 1,-2) (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(2 1 1,2) -(2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(2 1 1,2) (2,-2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<2 1 1 2,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1 1,3,-2 -1\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<(2 1,-3) (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(2 1,2+1) -(2,2)\>\"",
              FontColor->RGBColor[1, 0.501961, 0.501961]], ",", 
            StyleBox["\"\<(2 1,2+1) (2,-2)\>\"",
              FontColor->RGBColor[1, 0.501961, 0.501961]], ",", 
            StyleBox["\"\<2 1,2 1,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1 2 1,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1..2..-2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2 1,2,2 1,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1 2,2 1,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1 2,3,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 1 3,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2.-2 0.-2.2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.(2,-2).2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.(2,-2).2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<(2,2+1) -(2 1,2)\>\"",
              FontColor->RGBColor[1, 0.501961, 0.501961]], ",", 
            StyleBox["\"\<(2,2+1) (2 1,-2)\>\"",
              FontColor->RGBColor[1, 0.501961, 0.501961]], ",", 
            StyleBox["\"\<(2,2+1) -(3,2)\>\"",
              FontColor->RGBColor[1, 0.501961, 0.501961]], ",", 
            StyleBox["\"\<(2,2+1) (3,-2)\>\"",
              FontColor->RGBColor[1, 0.501961, 0.501961]], ",", 
            StyleBox["\"\<.-(2,2).2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.-(2,2).2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2.-2.-2 0.2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2..2..-2 -1 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<(2 2,-2) (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(2 2,2) -(2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(2 2,2) (2,-2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<2 2,3,-3\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 3 1,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 4,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 1 1 1,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 1,2 1 1,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 1,2 2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 1 2,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<.(-3,2)\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.(3,-2)\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<(3,2+1) -(2,2)\>\"",
              FontColor->RGBColor[1, 0.501961, 0.501961]], ",", 
            StyleBox["\"\<(3,2 1) -(2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(3,2+1) (2,-2)\>\"",
              FontColor->RGBColor[1, 0.501961, 0.501961]], ",", 
            StyleBox["\"\<(3,2 1) (2,-2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<3,2 1,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3,2 1,-2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3,2,2 1,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3,-2,2 1,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3,2,3,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3,-2,3,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<(3,-2 -1) (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<3,3,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3,3,-2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4 1 1,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4,2 1 1,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4,2 2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4 2,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<8*2 0...-2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<8*2 0..-2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<8*2.-2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<9*.-2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2 0.-2.-2 0.2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<2 1 1,2,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<(2 1,2 1) -(2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(2 1,2 1) (2,-2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(2 1,-2 -1) (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<2 2 1 1,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<.(2,-2)..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.-(2,2)..2 0\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<(2,2),-2,(2,2)\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<(2,2),2,-(2,2)\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<(2,2+2) -(2,2)\>\"",
              FontColor->RGBColor[1, 0.501961, 0.501961]], ",", 
            StyleBox["\"\<(2,2),2,(2,-2)\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<(2,2+2) (2,-2)\>\"",
              FontColor->RGBColor[1, 0.501961, 0.501961]], ",", 
            StyleBox["\"\<2 2,2,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 2 2,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2 2,2,-2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<(2,2) (4,-2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(3 1,-2) (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(3 1,2) -(2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(3 1,2) (2,-2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<3 1,3 1,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<3 2 1,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<(3,3) -(2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(3,3) (2,-2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<3 3,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<(4,2) -(2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(4,2) (2,-2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<4,3 1,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4,4,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<5 1,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<6,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<103*-1.-1.-1.-1.1.1.1.1.-1\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.(2,-2) 1\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.(2,-2)..2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<.-(2,2)..2\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<(2,2,-2) (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(2,2,-2) (2,-2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(2,2) -2 (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(2,2) 2 -(2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(2,2,2) -(2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(2,2) 2 (2,-2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<(2,2,2) (2,-2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<103*-1.-1.1.1.1.-1.-1.1.1.1\>\"",
              FontColor->RGBColor[1, 0, 0]], ",", 
            StyleBox["\"\<(2,-2,-2) (2,2)\>\"",
              FontColor->RGBColor[1, 0, 0.501961]], ",", 
            StyleBox["\"\<3 1,2,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4,2,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<4,2,-2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2,2,2,2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]], ",", 
            StyleBox["\"\<2,2,2,-2,-2\>\"",
              FontColor->RGBColor[0, 0, 1]]}], "}"}]}], ";"}]], "Input"]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 685}},
WindowSize->{1016, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 52, 1, 30, "Input"],
Cell[1809, 54, 52, 1, 30, "Input"],
Cell[1864, 57, 52, 1, 30, "Input"],
Cell[1919, 60, 63, 1, 30, "Input"],
Cell[1985, 63, 76, 1, 30, "Input"],
Cell[2064, 66, 440, 10, 30, "Input"],
Cell[2507, 78, 180, 5, 30, "Input"],
Cell[2690, 85, 742, 16, 30, "Input"],
Cell[3435, 103, 297, 8, 30, "Input"],
Cell[3735, 113, 2413, 51, 90, "Input"],
Cell[6151, 166, 1150, 26, 50, "Input"],
Cell[7304, 194, 6660, 138, 210, "Input"],
Cell[13967, 334, 3568, 76, 110, "Input"],
Cell[17538, 412, 24033, 494, 690, "Input"],
Cell[41574, 908, 15344, 314, 450, "Input"]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

